var Module = {};

Module['noInitialRun'] = true;
Module['OpenModelica_readFile'] = function(fname) {
  return intArrayToString(FS.findObject(fname).contents);
};

try { // Try to add an event listener like a webworker thread
  self.addEventListener('message', function(e) {
    var data = e.data;
    if (!data) return;
    var result = {};
    try {
        shouldRunNow = true;
        var args = ['-override','outputFormat=csv,stopTime=' +  data.stopTime +',tolerance=' + data.tolerance + ',stepSize=' + data.stepSize];
        Module.callMain(args);
        result.csv = intArrayToString(FS.findObject(data.basename + "_res.csv").contents);
        result.status = "Simulation finished";
    } catch(err) {
        result.status = "Simulation failed";
    };
    self.postMessage(result);
  }, false);
} catch (e) {
}

// Note: For maximum-speed code, see "Optimizing Code" on the Emscripten wiki, https://github.com/kripken/emscripten/wiki/Optimizing-Code
// Note: Some Emscripten settings may limit the speed of the generated code.
// The Module object: Our interface to the outside world. We import
// and export values on it, and do the work to get that through
// closure compiler if necessary. There are various ways Module can be used:
// 1. Not defined. We create it here
// 2. A function parameter, function(Module) { ..generated code.. }
// 3. pre-run appended it, var Module = {}; ..generated code..
// 4. External script tag defines var Module.
// We need to do an eval in order to handle the closure compiler
// case, where this code here is minified but Module was defined
// elsewhere (e.g. case 4 above). We also need to check if Module
// already exists (e.g. case 3 above).
// Note that if you want to run closure, and also to use Module
// after the generated code, you will need to define   var Module = {};
// before the code. Then that object will be used in the code, and you
// can continue to use Module afterwards as well.
var Module;
if (!Module) Module = eval('(function() { try { return Module || {} } catch(e) { return {} } })()');

// Sometimes an existing Module object exists with properties
// meant to overwrite the default module functionality. Here
// we collect those properties and reapply _after_ we configure
// the current environment's defaults to avoid having to be so
// defensive during initialization.
var moduleOverrides = {};
for (var key in Module) {
  if (Module.hasOwnProperty(key)) {
    moduleOverrides[key] = Module[key];
  }
}

// The environment setup code below is customized to use Module.
// *** Environment setup code ***
var ENVIRONMENT_IS_NODE = typeof process === 'object' && typeof require === 'function';
var ENVIRONMENT_IS_WEB = typeof window === 'object';
var ENVIRONMENT_IS_WORKER = typeof importScripts === 'function';
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;

if (ENVIRONMENT_IS_NODE) {
  // Expose functionality in the same simple way that the shells work
  // Note that we pollute the global namespace here, otherwise we break in node
  if (!Module['print']) Module['print'] = function print(x) {
    process['stdout'].write(x + '\n');
  };
  if (!Module['printErr']) Module['printErr'] = function printErr(x) {
    process['stderr'].write(x + '\n');
  };

  var nodeFS = require('fs');
  var nodePath = require('path');

  Module['read'] = function read(filename, binary) {
    filename = nodePath['normalize'](filename);
    var ret = nodeFS['readFileSync'](filename);
    // The path is absolute if the normalized version is the same as the resolved.
    if (!ret && filename != nodePath['resolve'](filename)) {
      filename = path.join(__dirname, '..', 'src', filename);
      ret = nodeFS['readFileSync'](filename);
    }
    if (ret && !binary) ret = ret.toString();
    return ret;
  };

  Module['readBinary'] = function readBinary(filename) { return Module['read'](filename, true) };

  Module['load'] = function load(f) {
    globalEval(read(f));
  };

  Module['arguments'] = process['argv'].slice(2);

  module['exports'] = Module;
}
else if (ENVIRONMENT_IS_SHELL) {
  if (!Module['print']) Module['print'] = print;
  if (typeof printErr != 'undefined') Module['printErr'] = printErr; // not present in v8 or older sm

  if (typeof read != 'undefined') {
    Module['read'] = read;
  } else {
    Module['read'] = function read() { throw 'no read() available (jsc?)' };
  }

  Module['readBinary'] = function readBinary(f) {
    return read(f, 'binary');
  };

  if (typeof scriptArgs != 'undefined') {
    Module['arguments'] = scriptArgs;
  } else if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  this['Module'] = Module;

  eval("if (typeof gc === 'function' && gc.toString().indexOf('[native code]') > 0) var gc = undefined"); // wipe out the SpiderMonkey shell 'gc' function, which can confuse closure (uses it as a minified name, and it is then initted to a non-falsey value unexpectedly)
}
else if (ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) {
  Module['read'] = function read(url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, false);
    xhr.send(null);
    return xhr.responseText;
  };

  if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  if (typeof console !== 'undefined') {
    if (!Module['print']) Module['print'] = function print(x) {
      console.log(x);
    };
    if (!Module['printErr']) Module['printErr'] = function printErr(x) {
      console.log(x);
    };
  } else {
    // Probably a worker, and without console.log. We can do very little here...
    var TRY_USE_DUMP = false;
    if (!Module['print']) Module['print'] = (TRY_USE_DUMP && (typeof(dump) !== "undefined") ? (function(x) {
      dump(x);
    }) : (function(x) {
      // self.postMessage(x); // enable this if you want stdout to be sent as messages
    }));
  }

  if (ENVIRONMENT_IS_WEB) {
    this['Module'] = Module;
  } else {
    Module['load'] = importScripts;
  }
}
else {
  // Unreachable because SHELL is dependant on the others
  throw 'Unknown runtime environment. Where are we?';
}

function globalEval(x) {
  eval.call(null, x);
}
if (!Module['load'] == 'undefined' && Module['read']) {
  Module['load'] = function load(f) {
    globalEval(Module['read'](f));
  };
}
if (!Module['print']) {
  Module['print'] = function(){};
}
if (!Module['printErr']) {
  Module['printErr'] = Module['print'];
}
if (!Module['arguments']) {
  Module['arguments'] = [];
}
// *** Environment setup code ***

// Closure helpers
Module.print = Module['print'];
Module.printErr = Module['printErr'];

// Callbacks
Module['preRun'] = [];
Module['postRun'] = [];

// Merge back in the overrides
for (var key in moduleOverrides) {
  if (moduleOverrides.hasOwnProperty(key)) {
    Module[key] = moduleOverrides[key];
  }
}



// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackSave: function () {
    return STACKTOP;
  },
  stackRestore: function (stackTop) {
    STACKTOP = stackTop;
  },
  forceAlign: function (target, quantum) {
    quantum = quantum || 4;
    if (quantum == 1) return target;
    if (isNumber(target) && isNumber(quantum)) {
      return Math.ceil(target/quantum)*quantum;
    } else if (isNumber(quantum) && isPowerOfTwo(quantum)) {
      return '(((' +target + ')+' + (quantum-1) + ')&' + -quantum + ')';
    }
    return 'Math.ceil((' + target + ')/' + quantum + ')*' + quantum;
  },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return type[type.length-1] == '*';
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (isArrayType(type)) return true;
  if (/<?\{ ?[^}]* ?\}>?/.test(type)) return true; // { i32, i8 } etc. - anonymous struct types
  // See comment in isStructPointerType()
  return type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  or64: function (x, y) {
    var l = (x | 0) | (y | 0);
    var h = (Math.round(x / 4294967296) | Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  and64: function (x, y) {
    var l = (x | 0) & (y | 0);
    var h = (Math.round(x / 4294967296) & Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  xor64: function (x, y) {
    var l = (x | 0) ^ (y | 0);
    var h = (Math.round(x / 4294967296) ^ Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  getNativeTypeSize: function (type) {
    switch (type) {
      case 'i1': case 'i8': return 1;
      case 'i16': return 2;
      case 'i32': return 4;
      case 'i64': return 8;
      case 'float': return 4;
      case 'double': return 8;
      default: {
        if (type[type.length-1] === '*') {
          return Runtime.QUANTUM_SIZE; // A pointer
        } else if (type[0] === 'i') {
          var bits = parseInt(type.substr(1));
          assert(bits % 8 === 0);
          return bits/8;
        } else {
          return 0;
        }
      }
    }
  },
  getNativeFieldSize: function (type) {
    return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
  },
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  STACK_ALIGN: 8,
  getAlignSize: function (type, size, vararg) {
    // we align i64s and doubles on 64-bit boundaries, unlike x86
    if (vararg) return 8;
    if (!vararg && (type == 'i64' || type == 'double')) return 8;
    if (!type) return Math.min(size, 8); // align structures internally to 64 bits
    return Math.min(size || (type ? Runtime.getNativeFieldSize(type) : 0), Runtime.QUANTUM_SIZE);
  },
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    var index = 0;
    type.flatIndexes = type.fields.map(function(field) {
      index++;
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeTypeSize(field); // pack char; char; in structs, also char[X]s.
        alignSize = Runtime.getAlignSize(field, size);
      } else if (Runtime.isStructType(field)) {
        if (field[1] === '0') {
          // this is [0 x something]. When inside another structure like here, it must be at the end,
          // and it adds no size
          // XXX this happens in java-nbody for example... assert(index === type.fields.length, 'zero-length in the middle!');
          size = 0;
          if (Types.types[field]) {
            alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
          } else {
            alignSize = type.alignSize || QUANTUM_SIZE;
          }
        } else {
          size = Types.types[field].flatSize;
          alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
        }
      } else if (field[0] == 'b') {
        // bN, large number field, like a [N x i8]
        size = field.substr(1)|0;
        alignSize = 1;
      } else if (field[0] === '<') {
        // vector type
        size = alignSize = Types.types[field].flatSize; // fully aligned
      } else if (field[0] === 'i') {
        // illegal integer field, that could not be legalized because it is an internal structure field
        // it is ok to have such fields, if we just use them as markers of field size and nothing more complex
        size = alignSize = parseInt(field.substr(1))/8;
        assert(size % 1 === 0, 'cannot handle non-byte-size field ' + field);
      } else {
        assert(false, 'invalid type for calculateStructAlignment');
      }
      if (type.packed) alignSize = 1;
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    if (type.name_ && type.name_[0] === '[') {
      // arrays have 2 elements, so we get the proper difference. then we scale here. that way we avoid
      // allocating a potentially huge array for [999999 x i8] etc.
      type.flatSize = parseInt(type.name_.substr(1))*type.flatSize/2;
    }
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  generateStructInfo: function (struct, typeName, offset) {
    var type, alignment;
    if (typeName) {
      offset = offset || 0;
      type = (typeof Types === 'undefined' ? Runtime.typeInfo : Types.types)[typeName];
      if (!type) return null;
      if (type.fields.length != struct.length) {
        printErr('Number of named fields must match the type for ' + typeName + ': possibly duplicate struct names. Cannot return structInfo');
        return null;
      }
      alignment = type.flatIndexes;
    } else {
      var type = { fields: struct.map(function(item) { return item[0] }) };
      alignment = Runtime.calculateStructAlignment(type);
    }
    var ret = {
      __size__: type.flatSize
    };
    if (typeName) {
      struct.forEach(function(item, i) {
        if (typeof item === 'string') {
          ret[item] = alignment[i] + offset;
        } else {
          // embedded struct
          var key;
          for (var k in item) key = k;
          ret[key] = Runtime.generateStructInfo(item[key], type.fields[i], alignment[i]);
        }
      });
    } else {
      struct.forEach(function(item, i) {
        ret[item[1]] = alignment[i];
      });
    }
    return ret;
  },
  dynCall: function (sig, ptr, args) {
    if (args && args.length) {
      if (!args.splice) args = Array.prototype.slice.call(args);
      args.splice(0, 0, ptr);
      return Module['dynCall_' + sig].apply(null, args);
    } else {
      return Module['dynCall_' + sig].call(null, ptr);
    }
  },
  functionPointers: [],
  addFunction: function (func) {
    for (var i = 0; i < Runtime.functionPointers.length; i++) {
      if (!Runtime.functionPointers[i]) {
        Runtime.functionPointers[i] = func;
        return 2*(1 + i);
      }
    }
    throw 'Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS.';
  },
  removeFunction: function (index) {
    Runtime.functionPointers[(index-2)/2] = null;
  },
  getAsmConst: function (code, numArgs) {
    // code is a constant string on the heap, so we can cache these
    if (!Runtime.asmConstCache) Runtime.asmConstCache = {};
    var func = Runtime.asmConstCache[code];
    if (func) return func;
    var args = [];
    for (var i = 0; i < numArgs; i++) {
      args.push(String.fromCharCode(36) + i); // $0, $1 etc
    }
    code = Pointer_stringify(code);
    if (code[0] === '"') {
      // tolerate EM_ASM("..code..") even though EM_ASM(..code..) is correct
      if (code.indexOf('"', 1) === code.length-1) {
        code = code.substr(1, code.length-2);
      } else {
        // something invalid happened, e.g. EM_ASM("..code($0)..", input)
        abort('invalid EM_ASM input |' + code + '|. Please use EM_ASM(..code..) (no quotes) or EM_ASM({ ..code($0).. }, input) (to input values)');
      }
    }
    return Runtime.asmConstCache[code] = eval('(function(' + args.join(',') + '){ ' + code + ' })'); // new Function does not allow upvars in node
  },
  warnOnce: function (text) {
    if (!Runtime.warnOnce.shown) Runtime.warnOnce.shown = {};
    if (!Runtime.warnOnce.shown[text]) {
      Runtime.warnOnce.shown[text] = 1;
      Module.printErr(text);
    }
  },
  funcWrappers: {},
  getFuncWrapper: function (func, sig) {
    assert(sig);
    if (!Runtime.funcWrappers[func]) {
      Runtime.funcWrappers[func] = function dynCall_wrapper() {
        return Runtime.dynCall(sig, func, arguments);
      };
    }
    return Runtime.funcWrappers[func];
  },
  UTF8Processor: function () {
    var buffer = [];
    var needed = 0;
    this.processCChar = function (code) {
      code = code & 0xFF;

      if (buffer.length == 0) {
        if ((code & 0x80) == 0x00) {        // 0xxxxxxx
          return String.fromCharCode(code);
        }
        buffer.push(code);
        if ((code & 0xE0) == 0xC0) {        // 110xxxxx
          needed = 1;
        } else if ((code & 0xF0) == 0xE0) { // 1110xxxx
          needed = 2;
        } else {                            // 11110xxx
          needed = 3;
        }
        return '';
      }

      if (needed) {
        buffer.push(code);
        needed--;
        if (needed > 0) return '';
      }

      var c1 = buffer[0];
      var c2 = buffer[1];
      var c3 = buffer[2];
      var c4 = buffer[3];
      var ret;
      if (buffer.length == 2) {
        ret = String.fromCharCode(((c1 & 0x1F) << 6)  | (c2 & 0x3F));
      } else if (buffer.length == 3) {
        ret = String.fromCharCode(((c1 & 0x0F) << 12) | ((c2 & 0x3F) << 6)  | (c3 & 0x3F));
      } else {
        // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
        var codePoint = ((c1 & 0x07) << 18) | ((c2 & 0x3F) << 12) |
                        ((c3 & 0x3F) << 6)  | (c4 & 0x3F);
        ret = String.fromCharCode(
          Math.floor((codePoint - 0x10000) / 0x400) + 0xD800,
          (codePoint - 0x10000) % 0x400 + 0xDC00);
      }
      buffer.length = 0;
      return ret;
    }
    this.processJSString = function processJSString(string) {
      string = unescape(encodeURIComponent(string));
      var ret = [];
      for (var i = 0; i < string.length; i++) {
        ret.push(string.charCodeAt(i));
      }
      return ret;
    }
  },
  getCompilerSetting: function (name) {
    throw 'You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work';
  },
  stackAlloc: function (size) { var ret = STACKTOP;STACKTOP = (STACKTOP + size)|0;STACKTOP = (((STACKTOP)+7)&-8); return ret; },
  staticAlloc: function (size) { var ret = STATICTOP;STATICTOP = (STATICTOP + size)|0;STATICTOP = (((STATICTOP)+7)&-8); return ret; },
  dynamicAlloc: function (size) { var ret = DYNAMICTOP;DYNAMICTOP = (DYNAMICTOP + size)|0;DYNAMICTOP = (((DYNAMICTOP)+7)&-8); if (DYNAMICTOP >= TOTAL_MEMORY) enlargeMemory();; return ret; },
  alignMemory: function (size,quantum) { var ret = size = Math.ceil((size)/(quantum ? quantum : 8))*(quantum ? quantum : 8); return ret; },
  makeBigInt: function (low,high,unsigned) { var ret = (unsigned ? ((+((low>>>0)))+((+((high>>>0)))*(+4294967296))) : ((+((low>>>0)))+((+((high|0)))*(+4294967296)))); return ret; },
  GLOBAL_BASE: 8,
  QUANTUM_SIZE: 4,
  __dummy__: 0
}


Module['Runtime'] = Runtime;









//========================================
// Runtime essentials
//========================================

var __THREW__ = 0; // Used in checking for thrown exceptions.

var ABORT = false; // whether we are quitting the application. no code should run after this. set in exit() and abort()
var EXITSTATUS = 0;

var undef = 0;
// tempInt is used for 32-bit signed values or smaller. tempBigInt is used
// for 32-bit unsigned values or more than 32 bits. TODO: audit all uses of tempInt
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD, tempDouble, tempFloat;
var tempI64, tempI64b;
var tempRet0, tempRet1, tempRet2, tempRet3, tempRet4, tempRet5, tempRet6, tempRet7, tempRet8, tempRet9;

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

var globalScope = this;

// C calling interface. A convenient way to call C functions (in C files, or
// defined with extern "C").
//
// Note: LLVM optimizations can inline and remove functions, after which you will not be
//       able to call them. Closure can also do so. To avoid that, add your function to
//       the exports using something like
//
//         -s EXPORTED_FUNCTIONS='["_main", "_myfunc"]'
//
// @param ident      The name of the C function (note that C++ functions will be name-mangled - use extern "C")
// @param returnType The return type of the function, one of the JS types 'number', 'string' or 'array' (use 'number' for any C pointer, and
//                   'array' for JavaScript arrays and typed arrays; note that arrays are 8-bit).
// @param argTypes   An array of the types of arguments for the function (if there are no arguments, this can be ommitted). Types are as in returnType,
//                   except that 'array' is not possible (there is no way for us to know the length of the array)
// @param args       An array of the arguments to the function, as native JS values (as in returnType)
//                   Note that string arguments will be stored on the stack (the JS string will become a C string on the stack).
// @return           The return value, as a native JS value (as in returnType)
function ccall(ident, returnType, argTypes, args) {
  return ccallFunc(getCFunc(ident), returnType, argTypes, args);
}
Module["ccall"] = ccall;

// Returns the C function with a specified identifier (for C++, you need to do manual name mangling)
function getCFunc(ident) {
  try {
    var func = Module['_' + ident]; // closure exported function
    if (!func) func = eval('_' + ident); // explicit lookup
  } catch(e) {
  }
  assert(func, 'Cannot call unknown function ' + ident + ' (perhaps LLVM optimizations or closure removed it?)');
  return func;
}

// Internal function that does a C call using a function, not an identifier
function ccallFunc(func, returnType, argTypes, args) {
  var stack = 0;
  function toC(value, type) {
    if (type == 'string') {
      if (value === null || value === undefined || value === 0) return 0; // null string
      value = intArrayFromString(value);
      type = 'array';
    }
    if (type == 'array') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length);
      writeArrayToMemory(value, ret);
      return ret;
    }
    return value;
  }
  function fromC(value, type) {
    if (type == 'string') {
      return Pointer_stringify(value);
    }
    assert(type != 'array');
    return value;
  }
  var i = 0;
  var cArgs = args ? args.map(function(arg) {
    return toC(arg, argTypes[i++]);
  }) : [];
  var ret = fromC(func.apply(null, cArgs), returnType);
  if (stack) Runtime.stackRestore(stack);
  return ret;
}

// Returns a native JS wrapper for a C function. This is similar to ccall, but
// returns a function you can call repeatedly in a normal way. For example:
//
//   var my_function = cwrap('my_c_function', 'number', ['number', 'number']);
//   alert(my_function(5, 22));
//   alert(my_function(99, 12));
//
function cwrap(ident, returnType, argTypes) {
  var func = getCFunc(ident);
  return function() {
    return ccallFunc(func, returnType, argTypes, Array.prototype.slice.call(arguments));
  }
}
Module["cwrap"] = cwrap;

// Sets a value in memory in a dynamic way at run-time. Uses the
// type data. This is the same as makeSetValue, except that
// makeSetValue is done at compile-time and generates the needed
// code then, whereas this function picks the right code at
// run-time.
// Note that setValue and getValue only do *aligned* writes and reads!
// Note that ccall uses JS types as for defining types, while setValue and
// getValue need LLVM types ('i8', 'i32') - this is a lower-level operation
function setValue(ptr, value, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': HEAP8[(ptr)]=value; break;
      case 'i8': HEAP8[(ptr)]=value; break;
      case 'i16': HEAP16[((ptr)>>1)]=value; break;
      case 'i32': HEAP32[((ptr)>>2)]=value; break;
      case 'i64': (tempI64 = [value>>>0,(tempDouble=value,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((ptr)>>2)]=tempI64[0],HEAP32[(((ptr)+(4))>>2)]=tempI64[1]); break;
      case 'float': HEAPF32[((ptr)>>2)]=value; break;
      case 'double': HEAPF64[((ptr)>>3)]=value; break;
      default: abort('invalid type for setValue: ' + type);
    }
}
Module['setValue'] = setValue;

// Parallel to setValue.
function getValue(ptr, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': return HEAP8[(ptr)];
      case 'i8': return HEAP8[(ptr)];
      case 'i16': return HEAP16[((ptr)>>1)];
      case 'i32': return HEAP32[((ptr)>>2)];
      case 'i64': return HEAP32[((ptr)>>2)];
      case 'float': return HEAPF32[((ptr)>>2)];
      case 'double': return HEAPF64[((ptr)>>3)];
      default: abort('invalid type for setValue: ' + type);
    }
  return null;
}
Module['getValue'] = getValue;

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed
var ALLOC_DYNAMIC = 3; // Cannot be freed except through sbrk
var ALLOC_NONE = 4; // Do not allocate
Module['ALLOC_NORMAL'] = ALLOC_NORMAL;
Module['ALLOC_STACK'] = ALLOC_STACK;
Module['ALLOC_STATIC'] = ALLOC_STATIC;
Module['ALLOC_DYNAMIC'] = ALLOC_DYNAMIC;
Module['ALLOC_NONE'] = ALLOC_NONE;

// allocate(): This is for internal use. You can use it yourself as well, but the interface
//             is a little tricky (see docs right below). The reason is that it is optimized
//             for multiple syntaxes to save space in generated code. So you should
//             normally not use allocate(), and instead allocate memory using _malloc(),
//             initialize it with setValue(), and so forth.
// @slab: An array of data, or a number. If a number, then the size of the block to allocate,
//        in *bytes* (note that this is sometimes confusing: the next parameter does not
//        affect this!)
// @types: Either an array of types, one for each byte (or 0 if no type at that position),
//         or a single type which is used for the entire block. This only matters if there
//         is initial data - if @slab is a number, then this does not matter at all and is
//         ignored.
// @allocator: How to allocate memory, see ALLOC_*
function allocate(slab, types, allocator, ptr) {
  var zeroinit, size;
  if (typeof slab === 'number') {
    zeroinit = true;
    size = slab;
  } else {
    zeroinit = false;
    size = slab.length;
  }

  var singleType = typeof types === 'string' ? types : null;

  var ret;
  if (allocator == ALLOC_NONE) {
    ret = ptr;
  } else {
    ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc, Runtime.dynamicAlloc][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));
  }

  if (zeroinit) {
    var ptr = ret, stop;
    assert((ret & 3) == 0);
    stop = ret + (size & ~3);
    for (; ptr < stop; ptr += 4) {
      HEAP32[((ptr)>>2)]=0;
    }
    stop = ret + size;
    while (ptr < stop) {
      HEAP8[((ptr++)|0)]=0;
    }
    return ret;
  }

  if (singleType === 'i8') {
    if (slab.subarray || slab.slice) {
      HEAPU8.set(slab, ret);
    } else {
      HEAPU8.set(new Uint8Array(slab), ret);
    }
    return ret;
  }

  var i = 0, type, typeSize, previousType;
  while (i < size) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    type = singleType || types[i];
    if (type === 0) {
      i++;
      continue;
    }

    if (type == 'i64') type = 'i32'; // special case: we have one i32 here, and one i32 later

    setValue(ret+i, curr, type);

    // no need to look up size unless type changes, so cache it
    if (previousType !== type) {
      typeSize = Runtime.getNativeTypeSize(type);
      previousType = type;
    }
    i += typeSize;
  }

  return ret;
}
Module['allocate'] = allocate;

function Pointer_stringify(ptr, /* optional */ length) {
  // TODO: use TextDecoder
  // Find the length, and check for UTF while doing so
  var hasUtf = false;
  var t;
  var i = 0;
  while (1) {
    t = HEAPU8[(((ptr)+(i))|0)];
    if (t >= 128) hasUtf = true;
    else if (t == 0 && !length) break;
    i++;
    if (length && i == length) break;
  }
  if (!length) length = i;

  var ret = '';

  if (!hasUtf) {
    var MAX_CHUNK = 1024; // split up into chunks, because .apply on a huge string can overflow the stack
    var curr;
    while (length > 0) {
      curr = String.fromCharCode.apply(String, HEAPU8.subarray(ptr, ptr + Math.min(length, MAX_CHUNK)));
      ret = ret ? ret + curr : curr;
      ptr += MAX_CHUNK;
      length -= MAX_CHUNK;
    }
    return ret;
  }

  var utf8 = new Runtime.UTF8Processor();
  for (i = 0; i < length; i++) {
    t = HEAPU8[(((ptr)+(i))|0)];
    ret += utf8.processCChar(t);
  }
  return ret;
}
Module['Pointer_stringify'] = Pointer_stringify;

// Given a pointer 'ptr' to a null-terminated UTF16LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF16ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var codeUnit = HEAP16[(((ptr)+(i*2))>>1)];
    if (codeUnit == 0)
      return str;
    ++i;
    // fromCharCode constructs a character from a UTF-16 code unit, so we can pass the UTF16 string right through.
    str += String.fromCharCode(codeUnit);
  }
}
Module['UTF16ToString'] = UTF16ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF16LE form. The copy will require at most (str.length*2+1)*2 bytes of space in the HEAP.
function stringToUTF16(str, outPtr) {
  for(var i = 0; i < str.length; ++i) {
    // charCodeAt returns a UTF-16 encoded code unit, so it can be directly written to the HEAP.
    var codeUnit = str.charCodeAt(i); // possibly a lead surrogate
    HEAP16[(((outPtr)+(i*2))>>1)]=codeUnit;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP16[(((outPtr)+(str.length*2))>>1)]=0;
}
Module['stringToUTF16'] = stringToUTF16;

// Given a pointer 'ptr' to a null-terminated UTF32LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF32ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var utf32 = HEAP32[(((ptr)+(i*4))>>2)];
    if (utf32 == 0)
      return str;
    ++i;
    // Gotcha: fromCharCode constructs a character from a UTF-16 encoded code (pair), not from a Unicode code point! So encode the code point to UTF-16 for constructing.
    if (utf32 >= 0x10000) {
      var ch = utf32 - 0x10000;
      str += String.fromCharCode(0xD800 | (ch >> 10), 0xDC00 | (ch & 0x3FF));
    } else {
      str += String.fromCharCode(utf32);
    }
  }
}
Module['UTF32ToString'] = UTF32ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF32LE form. The copy will require at most (str.length+1)*4 bytes of space in the HEAP,
// but can use less, since str.length does not return the number of characters in the string, but the number of UTF-16 code units in the string.
function stringToUTF32(str, outPtr) {
  var iChar = 0;
  for(var iCodeUnit = 0; iCodeUnit < str.length; ++iCodeUnit) {
    // Gotcha: charCodeAt returns a 16-bit word that is a UTF-16 encoded code unit, not a Unicode code point of the character! We must decode the string to UTF-32 to the heap.
    var codeUnit = str.charCodeAt(iCodeUnit); // possibly a lead surrogate
    if (codeUnit >= 0xD800 && codeUnit <= 0xDFFF) {
      var trailSurrogate = str.charCodeAt(++iCodeUnit);
      codeUnit = 0x10000 + ((codeUnit & 0x3FF) << 10) | (trailSurrogate & 0x3FF);
    }
    HEAP32[(((outPtr)+(iChar*4))>>2)]=codeUnit;
    ++iChar;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP32[(((outPtr)+(iChar*4))>>2)]=0;
}
Module['stringToUTF32'] = stringToUTF32;

function demangle(func) {
  try {
    // Special-case the entry point, since its name differs from other name mangling.
    if (func == 'Object._main' || func == '_main') {
      return 'main()';
    }
    if (typeof func === 'number') func = Pointer_stringify(func);
    if (func[0] !== '_') return func;
    if (func[1] !== '_') return func; // C function
    if (func[2] !== 'Z') return func;
    switch (func[3]) {
      case 'n': return 'operator new()';
      case 'd': return 'operator delete()';
    }
    var i = 3;
    // params, etc.
    var basicTypes = {
      'v': 'void',
      'b': 'bool',
      'c': 'char',
      's': 'short',
      'i': 'int',
      'l': 'long',
      'f': 'float',
      'd': 'double',
      'w': 'wchar_t',
      'a': 'signed char',
      'h': 'unsigned char',
      't': 'unsigned short',
      'j': 'unsigned int',
      'm': 'unsigned long',
      'x': 'long long',
      'y': 'unsigned long long',
      'z': '...'
    };
    function dump(x) {
      //return;
      if (x) Module.print(x);
      Module.print(func);
      var pre = '';
      for (var a = 0; a < i; a++) pre += ' ';
      Module.print (pre + '^');
    }
    var subs = [];
    function parseNested() {
      i++;
      if (func[i] === 'K') i++; // ignore const
      var parts = [];
      while (func[i] !== 'E') {
        if (func[i] === 'S') { // substitution
          i++;
          var next = func.indexOf('_', i);
          var num = func.substring(i, next) || 0;
          parts.push(subs[num] || '?');
          i = next+1;
          continue;
        }
        if (func[i] === 'C') { // constructor
          parts.push(parts[parts.length-1]);
          i += 2;
          continue;
        }
        var size = parseInt(func.substr(i));
        var pre = size.toString().length;
        if (!size || !pre) { i--; break; } // counter i++ below us
        var curr = func.substr(i + pre, size);
        parts.push(curr);
        subs.push(curr);
        i += pre + size;
      }
      i++; // skip E
      return parts;
    }
    var first = true;
    function parse(rawList, limit, allowVoid) { // main parser
      limit = limit || Infinity;
      var ret = '', list = [];
      function flushList() {
        return '(' + list.join(', ') + ')';
      }
      var name;
      if (func[i] === 'N') {
        // namespaced N-E
        name = parseNested().join('::');
        limit--;
        if (limit === 0) return rawList ? [name] : name;
      } else {
        // not namespaced
        if (func[i] === 'K' || (first && func[i] === 'L')) i++; // ignore const and first 'L'
        var size = parseInt(func.substr(i));
        if (size) {
          var pre = size.toString().length;
          name = func.substr(i + pre, size);
          i += pre + size;
        }
      }
      first = false;
      if (func[i] === 'I') {
        i++;
        var iList = parse(true);
        var iRet = parse(true, 1, true);
        ret += iRet[0] + ' ' + name + '<' + iList.join(', ') + '>';
      } else {
        ret = name;
      }
      paramLoop: while (i < func.length && limit-- > 0) {
        //dump('paramLoop');
        var c = func[i++];
        if (c in basicTypes) {
          list.push(basicTypes[c]);
        } else {
          switch (c) {
            case 'P': list.push(parse(true, 1, true)[0] + '*'); break; // pointer
            case 'R': list.push(parse(true, 1, true)[0] + '&'); break; // reference
            case 'L': { // literal
              i++; // skip basic type
              var end = func.indexOf('E', i);
              var size = end - i;
              list.push(func.substr(i, size));
              i += size + 2; // size + 'EE'
              break;
            }
            case 'A': { // array
              var size = parseInt(func.substr(i));
              i += size.toString().length;
              if (func[i] !== '_') throw '?';
              i++; // skip _
              list.push(parse(true, 1, true)[0] + ' [' + size + ']');
              break;
            }
            case 'E': break paramLoop;
            default: ret += '?' + c; break paramLoop;
          }
        }
      }
      if (!allowVoid && list.length === 1 && list[0] === 'void') list = []; // avoid (void)
      return rawList ? list : ret + flushList();
    }
    return parse();
  } catch(e) {
    return func;
  }
}

function demangleAll(text) {
  return text.replace(/__Z[\w\d_]+/g, function(x) { var y = demangle(x); return x === y ? x : (x + ' [' + y + ']') });
}

function stackTrace() {
  var stack = new Error().stack;
  return stack ? demangleAll(stack) : '(no stack trace available)'; // Stack trace is not available at least on IE10 and Safari 6.
}

// Memory management

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return (x+4095)&-4096;
}

var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;

var STATIC_BASE = 0, STATICTOP = 0, staticSealed = false; // static area
var STACK_BASE = 0, STACKTOP = 0, STACK_MAX = 0; // stack area
var DYNAMIC_BASE = 0, DYNAMICTOP = 0; // dynamic area handled by sbrk

function enlargeMemory() {
  abort('Cannot enlarge memory arrays. Either (1) compile with -s TOTAL_MEMORY=X with X higher than the current value ' + TOTAL_MEMORY + ', (2) compile with ALLOW_MEMORY_GROWTH which adjusts the size at runtime but prevents some optimizations, or (3) set Module.TOTAL_MEMORY before the program runs.');
}

var TOTAL_STACK = Module['TOTAL_STACK'] || 5242880;
var TOTAL_MEMORY = Module['TOTAL_MEMORY'] || 536870912;
var FAST_MEMORY = Module['FAST_MEMORY'] || 2097152;

var totalMemory = 4096;
while (totalMemory < TOTAL_MEMORY || totalMemory < 2*TOTAL_STACK) {
  if (totalMemory < 16*1024*1024) {
    totalMemory *= 2;
  } else {
    totalMemory += 16*1024*1024
  }
}
if (totalMemory !== TOTAL_MEMORY) {
  Module.printErr('increasing TOTAL_MEMORY to ' + totalMemory + ' to be more reasonable');
  TOTAL_MEMORY = totalMemory;
}

// Initialize the runtime's memory
// check for full engine support (use string 'subarray' to avoid closure compiler confusion)
assert(typeof Int32Array !== 'undefined' && typeof Float64Array !== 'undefined' && !!(new Int32Array(1)['subarray']) && !!(new Int32Array(1)['set']),
       'Cannot fallback to non-typed array case: Code is too specialized');

var buffer = new ArrayBuffer(TOTAL_MEMORY);
HEAP8 = new Int8Array(buffer);
HEAP16 = new Int16Array(buffer);
HEAP32 = new Int32Array(buffer);
HEAPU8 = new Uint8Array(buffer);
HEAPU16 = new Uint16Array(buffer);
HEAPU32 = new Uint32Array(buffer);
HEAPF32 = new Float32Array(buffer);
HEAPF64 = new Float64Array(buffer);

// Endianness check (note: assumes compiler arch was little-endian)
HEAP32[0] = 255;
assert(HEAPU8[0] === 255 && HEAPU8[3] === 0, 'Typed arrays 2 must be run on a little-endian system');

Module['HEAP'] = HEAP;
Module['HEAP8'] = HEAP8;
Module['HEAP16'] = HEAP16;
Module['HEAP32'] = HEAP32;
Module['HEAPU8'] = HEAPU8;
Module['HEAPU16'] = HEAPU16;
Module['HEAPU32'] = HEAPU32;
Module['HEAPF32'] = HEAPF32;
Module['HEAPF64'] = HEAPF64;

function callRuntimeCallbacks(callbacks) {
  while(callbacks.length > 0) {
    var callback = callbacks.shift();
    if (typeof callback == 'function') {
      callback();
      continue;
    }
    var func = callback.func;
    if (typeof func === 'number') {
      if (callback.arg === undefined) {
        Runtime.dynCall('v', func);
      } else {
        Runtime.dynCall('vi', func, [callback.arg]);
      }
    } else {
      func(callback.arg === undefined ? null : callback.arg);
    }
  }
}

var __ATPRERUN__  = []; // functions called before the runtime is initialized
var __ATINIT__    = []; // functions called during startup
var __ATMAIN__    = []; // functions called when main() is to be run
var __ATEXIT__    = []; // functions called during shutdown
var __ATPOSTRUN__ = []; // functions called after the runtime has exited

var runtimeInitialized = false;

function preRun() {
  // compatibility - merge in anything from Module['preRun'] at this time
  if (Module['preRun']) {
    if (typeof Module['preRun'] == 'function') Module['preRun'] = [Module['preRun']];
    while (Module['preRun'].length) {
      addOnPreRun(Module['preRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPRERUN__);
}

function ensureInitRuntime() {
  if (runtimeInitialized) return;
  runtimeInitialized = true;
  callRuntimeCallbacks(__ATINIT__);
}

function preMain() {
  callRuntimeCallbacks(__ATMAIN__);
}

function exitRuntime() {
  callRuntimeCallbacks(__ATEXIT__);
}

function postRun() {
  // compatibility - merge in anything from Module['postRun'] at this time
  if (Module['postRun']) {
    if (typeof Module['postRun'] == 'function') Module['postRun'] = [Module['postRun']];
    while (Module['postRun'].length) {
      addOnPostRun(Module['postRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPOSTRUN__);
}

function addOnPreRun(cb) {
  __ATPRERUN__.unshift(cb);
}
Module['addOnPreRun'] = Module.addOnPreRun = addOnPreRun;

function addOnInit(cb) {
  __ATINIT__.unshift(cb);
}
Module['addOnInit'] = Module.addOnInit = addOnInit;

function addOnPreMain(cb) {
  __ATMAIN__.unshift(cb);
}
Module['addOnPreMain'] = Module.addOnPreMain = addOnPreMain;

function addOnExit(cb) {
  __ATEXIT__.unshift(cb);
}
Module['addOnExit'] = Module.addOnExit = addOnExit;

function addOnPostRun(cb) {
  __ATPOSTRUN__.unshift(cb);
}
Module['addOnPostRun'] = Module.addOnPostRun = addOnPostRun;

// Tools

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy, dontAddNull, length /* optional */) {
  var ret = (new Runtime.UTF8Processor()).processJSString(stringy);
  if (length) {
    ret.length = length;
  }
  if (!dontAddNull) {
    ret.push(0);
  }
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = [];
  for (var i = 0; i < array.length; i++) {
    var chr = array[i];
    if (chr > 0xFF) {
      chr &= 0xFF;
    }
    ret.push(String.fromCharCode(chr));
  }
  return ret.join('');
}
Module['intArrayToString'] = intArrayToString;

// Write a Javascript array to somewhere in the heap
function writeStringToMemory(string, buffer, dontAddNull) {
  var array = intArrayFromString(string, dontAddNull);
  var i = 0;
  while (i < array.length) {
    var chr = array[i];
    HEAP8[(((buffer)+(i))|0)]=chr;
    i = i + 1;
  }
}
Module['writeStringToMemory'] = writeStringToMemory;

function writeArrayToMemory(array, buffer) {
  for (var i = 0; i < array.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=array[i];
  }
}
Module['writeArrayToMemory'] = writeArrayToMemory;

function writeAsciiToMemory(str, buffer, dontAddNull) {
  for (var i = 0; i < str.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=str.charCodeAt(i);
  }
  if (!dontAddNull) HEAP8[(((buffer)+(str.length))|0)]=0;
}
Module['writeAsciiToMemory'] = writeAsciiToMemory;

function unSign(value, bits, ignore) {
  if (value >= 0) {
    return value;
  }
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
}
function reSign(value, bits, ignore) {
  if (value <= 0) {
    return value;
  }
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half && (bits <= 32 || value > half)) { // for huge values, we can hit the precision limit and always get true here. so don't do that
                                                       // but, in general there is no perfect solution here. With 64-bit ints, we get rounding and errors
                                                       // TODO: In i64 mode 1, resign the two parts separately and safely
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// check for imul support, and also for correctness ( https://bugs.webkit.org/show_bug.cgi?id=126345 )
if (!Math['imul'] || Math['imul'](0xffffffff, 5) !== -5) Math['imul'] = function imul(a, b) {
  var ah  = a >>> 16;
  var al = a & 0xffff;
  var bh  = b >>> 16;
  var bl = b & 0xffff;
  return (al*bl + ((ah*bl + al*bh) << 16))|0;
};
Math.imul = Math['imul'];


var Math_abs = Math.abs;
var Math_cos = Math.cos;
var Math_sin = Math.sin;
var Math_tan = Math.tan;
var Math_acos = Math.acos;
var Math_asin = Math.asin;
var Math_atan = Math.atan;
var Math_atan2 = Math.atan2;
var Math_exp = Math.exp;
var Math_log = Math.log;
var Math_sqrt = Math.sqrt;
var Math_ceil = Math.ceil;
var Math_floor = Math.floor;
var Math_pow = Math.pow;
var Math_imul = Math.imul;
var Math_fround = Math.fround;
var Math_min = Math.min;

// A counter of dependencies for calling run(). If we need to
// do asynchronous work before running, increment this and
// decrement it. Incrementing must happen in a place like
// PRE_RUN_ADDITIONS (used by emcc to add file preloading).
// Note that you can add dependencies in preRun, even though
// it happens right before run - run will be postponed until
// the dependencies are met.
var runDependencies = 0;
var runDependencyWatcher = null;
var dependenciesFulfilled = null; // overridden to take different actions when all run dependencies are fulfilled

function addRunDependency(id) {
  runDependencies++;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
}
Module['addRunDependency'] = addRunDependency;
function removeRunDependency(id) {
  runDependencies--;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (runDependencies == 0) {
    if (runDependencyWatcher !== null) {
      clearInterval(runDependencyWatcher);
      runDependencyWatcher = null;
    }
    if (dependenciesFulfilled) {
      var callback = dependenciesFulfilled;
      dependenciesFulfilled = null;
      callback(); // can add another dependenciesFulfilled
    }
  }
}
Module['removeRunDependency'] = removeRunDependency;

Module["preloadedImages"] = {}; // maps url to image data
Module["preloadedAudios"] = {}; // maps url to audio data


var memoryInitializer = null;

// === Body ===



STATIC_BASE = 8;

STATICTOP = STATIC_BASE + 943864;



















































































































































var _stdout;
var _stdout=_stdout=allocate(1, "i32*", ALLOC_STATIC);
var _stdin;
var _stdin=_stdin=allocate(1, "i32*", ALLOC_STATIC);
var _stderr;
var _stderr=_stderr=allocate(1, "i32*", ALLOC_STATIC);

































































































































































































































































































/* global initializers */ __ATINIT__.push({ func: function() { runPostSets() } },{ func: function() { __GLOBAL__I_a() } });



























































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var ___dso_handle;
var ___dso_handle=___dso_handle=allocate(1, "i32*", ALLOC_STATIC);


































































































































































var __ZTVN10__cxxabiv120__si_class_type_infoE;
__ZTVN10__cxxabiv120__si_class_type_infoE=allocate([0,0,0,0,184,239,13,0,60,1,0,0,174,0,0,0,82,0,0,0,196,0,0,0,14,0,0,0,10,0,0,0,10,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
var __ZTVN10__cxxabiv117__class_type_infoE;
__ZTVN10__cxxabiv117__class_type_infoE=allocate([0,0,0,0,200,239,13,0,60,1,0,0,104,0,0,0,82,0,0,0,196,0,0,0,14,0,0,0,32,0,0,0,6,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;


































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var __ZNSt13runtime_errorC1EPKc;
var __ZNSt13runtime_errorD1Ev;
var __ZNSt12length_errorD1Ev;
var __ZNSt12out_of_rangeD1Ev;
var __ZNSt3__16localeC1Ev;
var __ZNSt3__16localeC1ERKS0_;
var __ZNSt3__16localeD1Ev;
var __ZNSt8bad_castC1Ev;
var __ZNSt8bad_castD1Ev;
/* memory initializer */ allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,44,51,120,44,2,82,50,32,61,2,44,101,50,49,46,49,51,41,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,41,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,44,51,120,44,2,73,50,32,61,2,44,105,49,48,41,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,41,0,0,0,0,0,0,40,49,120,44,56,48,97,49,41,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,0,0,0,0,0,0,0,97,108,110,117,109,0,97,108,112,104,97,0,98,108,97,110,107,0,99,110,116,114,108,0,100,105,103,105,116,0,103,114,97,112,104,0,108,111,119,101,114,0,112,114,105,110,116,0,112,117,110,99,116,0,115,112,97,99,101,0,117,112,112,101,114,0,120,100,105,103,105,116,0,0,0,0,0,0,0,0,36,0,0,0,78,0,0,0,34,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,38,0,0,0,22,0,0,0,78,0,0,0,22,0,0,0,16,0,0,0,56,0,0,0,70,0,0,0,16,0,0,0,60,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,48,0,0,0,6,0,0,0,8,0,0,0,48,0,0,0,2,0,0,0,46,0,0,0,40,0,0,0,36,0,0,0,78,0,0,0,34,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,38,0,0,0,22,0,0,0,78,0,0,0,22,0,0,0,16,0,0,0,56,0,0,0,70,0,0,0,16,0,0,0,60,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,48,0,0,0,6,0,0,0,8,0,0,0,48,0,0,0,2,0,0,0,46,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,216,136,0,0,110,0,0,0,48,164,13,0,114,0,0,0,192,213,0,0,102,0,0,0,152,195,0,0,97,0,0,0,32,166,0,0,101,0,0,0,80,146,0,0,119,0,0,0,48,130,0,0,87,0,0,0,16,115,0,0,115,0,0,0,72,101,0,0,83,0,0,0,120,91,0,0,100,0,0,0,152,202,13,0,68,0,0,0,40,192,13,0,0,0,0,0,0,0,0,0,168,75,14,0,0,0,0,0,187,189,215,217,223,124,219,61,0,0,0,0,200,203,0,0,40,201,0,0,24,86,14,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,176,76,14,0,0,0,0,0,18,16,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,16,16,34,35,16,36,37,38,39,40,41,42,43,16,44,45,46,17,47,48,17,17,49,17,17,17,50,51,52,53,54,55,56,57,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,58,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,59,16,60,61,62,63,64,65,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,66,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,67,16,16,68,16,69,70,71,16,72,16,73,16,16,16,16,74,75,76,77,16,16,78,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,16,16,16,16,82,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,83,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,84,85,86,87,16,16,88,89,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,90,16,91,92,93,94,95,96,97,98,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,254,255,0,252,1,0,0,248,1,0,0,120,0,0,0,0,255,251,223,251,0,0,128,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,252,255,224,175,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,32,64,176,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,134,254,255,255,255,0,64,73,0,0,0,0,0,24,0,223,255,0,200,0,0,0,0,0,0,0,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,16,224,1,30,0,96,255,191,0,0,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,207,3,0,0,0,3,0,32,255,127,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,16,0,32,30,0,48,0,1,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,252,15,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,3,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,255,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,63,2,0,0,0,0,0,0,0,0,0,4,0,0,0,0,16,0,0,0,0,0,0,128,0,128,192,223,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,254,255,255,255,0,252,255,255,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,192,255,223,255,7,0,0,0,0,0,0,0,0,0,0,128,6,0,252,0,0,24,62,0,0,128,191,0,204,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,96,255,255,255,31,0,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,56,0,0,0,0,16,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,254,127,47,0,0,255,3,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,255,255,255,255,0,0,0,192,0,0,0,0,0,0,0,0,1,0,224,159,0,0,0,0,127,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,16,0,0,252,255,255,255,31,0,0,0,0,0,12,0,0,0,0,0,0,64,0,12,240,0,0,0,0,0,0,192,248,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,255,0,255,255,255,33,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,127,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,3,224,0,224,0,224,0,96,128,248,255,255,255,252,255,255,255,255,255,127,31,252,241,127,255,127,0,0,255,255,255,3,0,0,255,255,255,255,1,0,123,3,208,193,175,66,0,12,31,188,255,255,0,0,0,0,0,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,127,0,0,0,255,7,0,0,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,252,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,135,3,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,255,15,0,0,0,0,0,0,0,0,255,255,255,251,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,255,15,30,255,255,255,1,252,193,224,0,0,0,0,0,0,0,0,0,0,0,30,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,255,255,255,15,0,0,0,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,0,0,0,0,0,0,192,0,224,0,0,0,0,0,0,0,0,0,0,0,128,15,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,127,0,3,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,8,0,0,0,15,255,3,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,16,192,0,0,255,255,3,7,0,0,0,0,0,248,0,0,0,0,8,128,0,0,0,0,0,0,0,0,0,0,8,0,255,63,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,0,0,128,11,0,0,0,0,0,0,0,128,2,0,0,192,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,255,255,255,3,127,0,255,255,255,255,247,255,127,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,255,0,252,1,0,0,248,1,0,0,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,127,0,48,135,255,255,255,255,255,143,255,0,0,0,0,0,0,224,255,255,7,255,15,0,0,0,0,0,0,255,255,255,255,255,63,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,143,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,255,0,255,1,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,63,252,255,63,0,0,0,3,0,0,0,0,0,0,254,3,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,7,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,255,255,255,255,127,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,127,0,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,8,0,0,0,8,0,0,32,0,0,0,32,0,0,128,0,0,0,128,0,0,0,2,0,0,0,2,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,127,254,127,254,255,254,255,0,0,0,0,255,7,255,255,255,127,255,255,255,255,255,255,255,15,255,255,255,255,255,7,0,0,0,0,0,0,0,0,192,255,255,255,7,0,255,255,255,255,255,7,255,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,1,0,191,255,255,255,255,255,255,255,255,31,255,255,15,0,255,255,255,255,223,7,0,0,255,255,1,0,255,255,255,255,255,255,255,127,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,30,255,255,255,255,255,255,255,63,15,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,255,255,255,255,255,255,255,255,225,255,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,17,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,17,34,35,36,17,37,38,39,40,41,42,43,44,17,45,46,47,16,16,48,16,16,16,16,16,16,16,49,50,51,16,52,53,16,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,54,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,55,17,17,17,17,56,17,57,58,59,60,61,62,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,63,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,64,65,17,66,67,68,69,70,71,72,73,16,16,16,74,75,76,77,78,16,16,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,17,17,17,82,83,16,16,16,16,16,16,16,16,16,16,16,17,17,17,17,84,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,17,85,16,16,16,16,86,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,87,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,88,89,90,91,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,92,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,7,254,255,255,7,0,0,0,0,0,4,32,4,255,255,127,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,195,255,3,0,31,80,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,223,60,64,215,255,255,251,255,255,255,255,255,255,255,255,255,191,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,252,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,254,255,255,255,127,2,254,255,255,255,255,0,0,0,0,0,255,191,182,0,255,255,255,7,7,0,0,0,255,7,255,255,255,255,255,255,255,254,255,195,255,255,255,255,255,255,255,255,255,255,255,255,239,31,254,225,255,159,0,0,255,255,255,255,255,255,0,224,255,255,255,255,255,255,255,255,255,255,255,255,3,0,255,255,255,255,255,7,48,4,255,255,255,252,255,31,0,0,255,255,255,1,0,0,0,0,0,0,0,0,253,31,0,0,0,0,0,0,240,3,255,127,255,255,255,255,255,255,255,239,255,223,225,255,207,255,254,254,238,159,249,255,255,253,197,227,159,89,128,176,207,255,3,0,238,135,249,255,255,253,109,195,135,25,2,94,192,255,63,0,238,191,251,255,255,253,237,227,191,27,1,0,207,255,0,0,238,159,249,255,255,253,237,227,159,25,192,176,207,255,2,0,236,199,61,214,24,199,255,195,199,29,129,0,192,255,0,0,238,223,253,255,255,253,239,227,223,29,96,3,207,255,0,0,236,223,253,255,255,253,239,227,223,29,96,64,207,255,6,0,236,223,253,255,255,255,255,231,223,93,128,0,207,255,0,252,236,255,127,252,255,255,251,47,127,128,95,255,0,0,12,0,254,255,255,255,255,127,255,7,63,32,255,3,0,0,0,0,150,37,240,254,174,236,255,59,95,32,255,243,0,0,0,0,1,0,0,0,255,3,0,0,255,254,255,255,255,31,254,255,3,255,255,254,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,249,255,3,255,255,231,193,255,255,127,64,255,51,255,255,255,255,191,32,255,255,255,255,255,247,255,255,255,255,255,255,255,255,255,61,127,61,255,255,255,255,255,61,255,255,255,255,61,127,61,255,127,255,255,255,255,255,255,255,61,255,255,255,255,255,255,255,255,135,0,0,0,0,255,255,0,0,255,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,159,255,255,254,255,255,7,255,255,255,255,255,255,255,255,255,199,1,0,255,223,15,0,255,255,15,0,255,255,15,0,255,223,13,0,255,255,255,255,255,255,207,255,255,1,128,16,255,3,0,0,0,0,255,3,255,255,255,255,255,255,255,255,255,255,255,0,255,255,255,255,255,7,255,255,255,255,255,255,255,255,63,0,255,255,255,31,255,15,255,1,192,255,255,255,255,63,31,0,255,255,255,255,255,15,255,255,255,3,255,3,0,0,0,0,255,255,255,15,255,255,255,255,255,255,255,127,254,255,31,0,255,3,255,3,128,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,239,255,239,15,255,3,0,0,0,0,255,255,255,255,255,243,255,255,255,255,255,255,191,255,3,0,255,255,255,255,255,255,63,0,255,227,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,222,111,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,0,0,255,31,0,0,0,0,0,0,0,0,0,0,0,0,132,252,47,62,80,189,255,243,224,67,0,0,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,255,255,255,255,255,255,3,0,0,255,255,255,255,255,127,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,120,12,0,255,255,255,255,191,32,255,255,255,255,255,255,255,128,0,0,255,255,127,0,127,127,127,127,127,127,127,127,255,255,255,255,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,0,0,0,254,3,62,31,254,255,255,255,255,255,255,255,255,255,127,224,254,255,255,255,255,255,255,255,255,255,255,247,224,255,255,255,255,63,254,255,255,255,255,255,255,255,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,63,255,31,255,255,255,15,0,0,255,255,255,255,255,127,240,143,255,255,255,128,255,255,255,255,255,255,255,255,255,255,0,0,0,0,128,255,252,255,255,255,255,255,255,255,255,255,255,255,255,121,15,0,255,7,0,0,0,0,0,0,0,0,0,255,187,247,255,255,255,0,0,0,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,15,0,255,3,0,0,252,8,255,255,255,255,255,7,255,255,255,255,7,0,255,255,255,31,255,255,255,255,255,255,247,255,0,128,255,3,0,0,0,0,255,255,255,255,255,255,127,0,255,63,255,3,255,255,127,4,255,255,255,255,255,255,255,127,5,0,0,56,255,255,60,0,126,126,126,0,127,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,7,255,3,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,127,248,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,0,127,0,248,224,255,253,127,95,219,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,248,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,255,255,255,255,255,255,255,255,252,255,255,255,255,255,255,0,0,0,0,0,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,255,3,254,255,255,7,254,255,255,7,192,255,255,255,255,255,255,255,255,255,255,127,252,252,252,28,0,0,0,0,255,239,255,255,127,255,255,183,255,63,255,63,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,31,255,255,255,255,255,255,1,0,0,0,0,0,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,63,255,255,255,255,15,255,62,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,3,0,0,0,0,0,0,0,0,0,0,63,253,255,255,255,255,191,145,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,63,0,255,255,255,3,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,192,0,0,0,0,0,0,0,0,111,240,239,254,255,255,15,0,0,0,0,0,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,255,63,0,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,192,255,0,0,252,255,255,255,255,255,255,1,0,0,255,255,255,1,255,3,255,255,255,255,255,255,199,255,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,30,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,3,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,31,0,255,255,255,255,255,127,0,0,248,255,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,255,255,255,223,100,222,255,235,239,255,255,255,255,255,255,255,191,231,223,223,255,255,255,123,95,252,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,253,255,255,247,255,255,255,247,255,255,223,255,255,255,223,255,255,127,255,255,255,127,255,255,255,253,255,255,255,253,255,255,247,207,255,255,255,255,255,255,239,255,255,255,150,254,247,10,132,234,150,170,150,247,247,94,255,251,255,15,238,251,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,97,108,117,99,117,108,97,116,101,32,111,110,101,32,99,111,108,58,0,0,0,0,0,60,47,115,116,97,116,117,115,62,0,0,0,0,0,0,0,34,62,0,0,0,0,0,0,60,115,116,97,116,117,115,62,0,0,0,0,0,0,0,0,10,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,0,0,0,0,0,0,0,60,112,104,97,115,101,62,85,78,75,78,79,87,78,60,47,112,104,97,115,101,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,26,0,0,0,26,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,240,63,184,77,14,0,0,0,0,0,64,78,14,0,0,0,0,0,200,78,14,0,0,0,0,0,80,79,14,0,0,0,0,0,73,0,49,1,83,0,127,1,48,1,105,0,120,1,255,0,129,1,83,2,130,1,131,1,132,1,133,1,134,1,84,2,135,1,136,1,137,1,86,2,138,1,87,2,139,1,140,1,142,1,221,1,143,1,89,2,144,1,91,2,145,1,146,1,147,1,96,2,148,1,99,2,150,1,105,2,151,1,104,2,152,1,153,1,156,1,111,2,157,1,114,2,159,1,117,2,166,1,128,2,167,1,168,1,169,1,131,2,172,1,173,1,174,1,136,2,175,1,176,1,177,1,138,2,178,1,139,2,183,1,146,2,184,1,185,1,188,1,189,1,196,1,198,1,196,1,197,1,197,1,198,1,199,1,201,1,199,1,200,1,200,1,201,1,202,1,204,1,202,1,203,1,203,1,204,1,241,1,243,1,241,1,242,1,242,1,243,1,244,1,245,1,246,1,149,1,247,1,191,1,32,2,158,1,134,3,172,3,136,3,173,3,137,3,174,3,138,3,175,3,140,3,204,3,142,3,205,3,143,3,206,3,153,3,69,3,153,3,190,31,163,3,194,3,247,3,248,3,250,3,251,3,96,30,155,30,223,0,223,0,158,30,223,0,89,31,81,31,91,31,83,31,93,31,85,31,95,31,87,31,188,31,179,31,204,31,195,31,236,31,229,31,252,31,243,31,58,2,101,44,59,2,60,2,61,2,154,1,62,2,102,44,65,2,66,2,67,2,128,1,68,2,137,2,69,2,140,2,244,3,184,3,249,3,242,3,253,3,123,3,254,3,124,3,255,3,125,3,192,4,207,4,38,33,201,3,42,33,107,0,43,33,229,0,50,33,78,33,131,33,132,33,96,44,97,44,98,44,107,2,99,44,125,29,100,44,125,2,109,44,81,2,110,44,113,2,111,44,80,2,112,44,82,2,114,44,115,44,117,44,118,44,126,44,63,2,127,44,64,2,242,44,243,44,125,167,121,29,139,167,140,167,141,167,101,2,170,167,102,2,199,16,39,45,205,16,45,45,118,3,119,3,156,3,181,0,146,3,208,3,152,3,209,3,166,3,213,3,160,3,214,3,154,3,240,3,161,3,241,3,149,3,245,3,207,3,215,3,0,0,0,0,0,0,0,0,51,0,0,0,51,0,0,0,51,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,192,219,0,0,80,185,0,0,208,159,0,0,192,141,0,0,0,125,0,0,0,111,0,0,2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,10,0,0,0,86,0,0,0,86,0,0,0,40,0,0,0,96,0,0,0,6,0,0,0,8,0,0,0,82,0,0,0,208,0,0,0,208,0,0,0,22,0,0,0,12,0,0,0,67,68,65,84,65,91,0,0,2,3,4,5,6,7,8,0,0,9,10,11,12,13,14,15,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,200,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,128,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,200,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,96,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,104,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,192,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,65,116,32,116,104,101,32,114,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,2,44,53,120,44,2,78,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,40,52,120,44,2,76,101,97,115,116,32,118,97,108,117,101,32,111,102,32,70,32,61,2,44,49,112,100,50,51,46,49,53,44,57,120,44,2,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,0,0,0,0,40,47,52,120,44,2,78,101,119,32,82,72,79,32,61,2,44,49,112,100,49,49,46,52,44,53,120,44,2,78,117,109,98,101,114,32,111,102,2,44,2,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,0,0,0,0,0,40,53,120,41,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,97,32,116,114,117,115,116,2,44,2,32,114,101,103,105,111,110,32,115,116,101,112,32,104,97,115,32,102,97,105,108,101,100,32,116,111,32,114,101,100,117,99,101,32,81,46,2,41,0,0,0,0,0,0,0,40,47,52,120,44,2,70,117,110,99,116,105,111,110,32,110,117,109,98,101,114,2,44,105,54,44,2,32,32,32,32,70,32,61,2,44,49,112,100,49,56,46,49,48,44,2,32,32,32,32,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,67,65,76,70,85,78,32,104,97,115,32,98,101,101,110,2,44,2,32,99,97,108,108,101,100,32,77,65,88,70,85,78,32,116,105,109,101,115,46,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,16,39,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,78,80,84,32,105,115,32,110,111,116,32,105,110,2,44,2,32,116,104,101,32,114,101,113,117,105,114,101,100,32,105,110,116,101,114,118,97,108,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,43], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE);
/* memory initializer */ allocate([48,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,41,0,0,0,0,0,40,49,120,44,54,103,49,51,46,53,41,0,0,0,0,0,40,47,2,32,65,32,102,117,114,116,104,101,114,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,104,97,118,101,32,98,101,101,110,32,117,115,101,100,2,47,41,0,0,0,0,0,0,40,47,47,2,32,67,79,82,82,69,76,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,41,0,0,0,0,0,40,2,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,47,41,0,0,0,0,0,0,40,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,109,105,110,105,109,105,122,101,100,32,119,97,115,32,45,76,79,71,40,76,73,75,69,76,73,72,79,79,68,41,44,2,47,2,32,116,104,105,115,32,105,115,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,32,111,102,32,116,104,101,32,112,97,114,97,109,101,116,101,114,115,46,2,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,119,97,115,32,97,32,115,117,109,32,111,102,32,115,113,117,97,114,101,115,32,111,102,32,114,101,115,105,100,117,97,108,115,44,2,47,2,32,116,104,105,115,32,109,97,116,114,105,120,32,109,117,115,116,32,98,101,32,109,117,108,116,105,112,108,105,101,100,32,98,121,32,116,119,105,99,101,32,116,104,101,32,101,115,116,105,109,97,116,101,100,2,44,49,120,44,2,114,101,115,105,100,117,97,108,32,118,97,114,105,97,110,99,101,2,47,2,32,116,111,32,111,98,116,97,105,110,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,46,2,47,41,0,0,0,0,40,2,32,82,97,110,107,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,32,61,2,44,105,51,47,2,32,73,110,118,101,114,115,101,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,58,45,2,41,0,40,2,32,73,70,32,84,72,73,83,32,68,73,70,70,69,82,83,32,66,89,32,77,85,67,72,32,70,82,79,77,32,84,72,69,32,77,73,78,73,77,85,77,32,69,83,84,73,77,65,84,69,68,2,44,49,120,44,2,70,82,79,77,32,84,72,69,32,77,73,78,73,77,73,90,65,84,73,79,78,44,2,47,2,32,84,72,69,32,77,73,78,73,77,85,77,32,77,65,89,32,66,69,32,70,65,76,83,69,32,38,47,79,82,32,84,72,69,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,32,77,65,89,32,66,69,2,44,49,120,44,2,73,78,65,67,67,85,82,65,84,69,2,47,41,0,0,0,0,0,40,2,32,77,105,110,105,109,117,109,32,111,102,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,61,2,44,103,49,52,46,54,44,2,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,47,49,48,120,44,2,83,101,97,114,99,104,32,114,101,115,116,97,114,116,105,110,103,2,47,41,0,0,0,0,0,40,47,2,32,77,65,84,82,73,88,32,79,70,32,69,83,84,73,77,65,84,69,68,32,83,69,67,79,78,68,32,68,69,82,73,86,65,84,73,86,69,83,32,78,79,84,32,43,86,69,32,68,69,70,78,46,2,47,2,32,77,73,78,73,77,85,77,32,80,82,79,66,65,66,76,89,32,78,79,84,32,70,79,85,78,68,2,47,41,0,0,0,0,0,0,0,40,47,2,32,70,105,116,116,105,110,103,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,97,98,111,117,116,32,115,117,112,112,111,115,101,100,32,109,105,110,105,109,117,109,2,47,41,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,109,105,110,105,109,117,109,32,61,2,44,103,49,52,46,54,41,0,0,40,2,32,77,105,110,105,109,117,109,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,54,41,41,0,0,0,40,47,47,2,32,77,105,110,105,109,117,109,32,102,111,117,110,100,32,97,102,116,101,114,2,44,105,53,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,41,0,0,0,40,47,2,32,69,86,73,68,69,78,67,69,32,79,70,32,67,79,78,86,69,82,71,69,78,67,69,2,41,0,0,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,99,101,110,116,114,111,105,100,32,61,2,44,103,49,52,46,54,41,0,40,2,32,67,101,110,116,114,111,105,100,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,2,32,82,77,83,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,103,49,52,46,54,41,0,0,0,0,0,40,2,32,78,111,46,32,111,102,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,62,32,2,44,105,53,41,0,0,40,47,49,120,44,105,52,44,50,120,44,103,49,50,46,53,44,50,120,44,53,103,49,49,46,52,44,51,40,47,50,49,120,44,53,103,49,49,46,52,41,41,0,0,0,0,0,0,40,2,32,80,114,111,103,114,101,115,115,32,82,101,112,111,114,116,32,101,118,101,114,121,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,47,44,2,32,69,86,65,76,46,32,32,32,70,85,78,67,46,86,65,76,85,69,46,2,44,49,48,120,44,2,80,65,82,65,77,69,84,69,82,32,86,65,76,85,69,83,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,254,255,255,135,254,255,255,7,0,0,0,0,0,0,0,0,255,255,127,255,255,255,127,255,255,255,255,255,255,255,243,127,254,253,255,255,255,255,255,127,255,255,255,255,255,255,255,255,15,224,255,255,255,255,49,252,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,3,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,0,0,0,0,0,0,0,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,254,7,0,0,0,0,254,255,255,255,255,255,255,255,255,124,255,127,47,0,96,0,0,0,224,255,255,255,255,255,255,35,0,0,0,255,3,0,0,0,224,159,249,255,255,253,197,3,0,0,0,176,3,0,3,0,224,135,249,255,255,253,109,3,0,0,0,94,0,0,28,0,224,175,251,255,255,253,237,35,0,0,0,0,1,0,0,0,224,159,249,255,255,253,205,35,0,0,0,176,3,0,0,0,224,199,61,214,24,199,191,3,0,0,0,0,0,0,0,0,224,223,253,255,255,253,239,3,0,0,0,0,3,0,0,0,224,223,253,255,255,253,239,3,0,0,0,64,3,0,0,0,224,223,253,255,255,253,255,3,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,13,0,63,0,0,0,0,0,0,0,150,37,240,254,174,108,13,32,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,63,0,255,255,255,255,127,0,237,218,7,0,0,0,0,80,1,80,49,130,171,98,44,0,0,0,0,64,0,201,128,245,7,0,0,0,0,8,1,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,3,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,64,76,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,254,3,0,0,254,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,7,224,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,7,254,255,255,135,254,255,255,7,0,0,0,0,0,0,128,0,255,255,127,255,255,255,127,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,3,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,3,0,0,0,192,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,123,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,254,255,251,255,255,187,22,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,255,255,7,0,255,3,255,255,255,255,255,255,255,255,255,124,255,127,239,255,255,61,255,3,238,255,255,255,255,255,255,243,255,63,30,255,207,255,0,0,238,159,249,255,255,253,197,211,159,57,128,176,207,255,3,0,228,135,249,255,255,253,109,211,135,57,0,94,192,255,31,0,238,175,251,255,255,253,237,243,191,59,0,0,193,255,0,0,238,159,249,255,255,253,205,243,143,57,192,176,195,255,0,0,236,199,61,214,24,199,191,195,199,61,128,0,128,255,0,0,238,223,253,255,255,253,239,195,223,61,96,0,195,255,0,0,236,223,253,255,255,253,239,195,223,61,96,64,195,255,0,0,236,223,253,255,255,253,255,195,207,61,128,0,195,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,255,7,255,127,255,3,0,0,0,0,150,37,240,254,174,108,255,59,95,63,255,3,0,0,0,0,0,0,0,3,255,3,160,194,255,254,255,255,255,3,254,255,223,15,191,254,255,63,254,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,31,2,0,0,0,160,0,0,0,254,255,62,0,254,255,255,255,255,255,255,255,255,255,31,102,254,255,255,255,255,255,255,255,255,255,255,119,25,3,26,27,28,29,30,0,0,31,32,33,34,35,36,37,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,38,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,111,32,101,114,114,111,114,0,78,111,32,109,97,116,99,104,0,73,110,118,97,108,105,100,32,114,101,103,101,120,112,0,85,110,107,110,111,119,110,32,99,111,108,108,97,116,105,110,103,32,101,108,101,109,101,110,116,0,85,110,107,110,111,119,110,32,99,104,97,114,97,99,116,101,114,32,99,108,97,115,115,32,110,97,109,101,0,84,114,97,105,108,105,110,103,32,98,97,99,107,115,108,97,115,104,0,73,110,118,97,108,105,100,32,98,97,99,107,32,114,101,102,101,114,101,110,99,101,0,77,105,115,115,105,110,103,32,39,93,39,0,77,105,115,115,105,110,103,32,39,41,39,0,77,105,115,115,105,110,103,32,39,125,39,0,73,110,118,97,108,105,100,32,99,111,110,116,101,110,116,115,32,111,102,32,123,125,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,114,97,110,103,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,112,101,116,105,116,105,111,110,32,110,111,116,32,112,114,101,99,101,100,101,100,32,98,121,32,118,97,108,105,100,32,101,120,112,114,101,115,115,105,111,110,0,0,85,110,107,110,111,119,110,32,101,114,114,111,114,0,0,0,36,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,216,79,14,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,46,0,0,0,24,0,0,0,62,0,0,0,54,0,0,0,70,0,0,0,52,0,0,0,26,0,0,0,18,0,0,0,90,0,0,0,96,0,0,0,26,0,0,0,82,0,0,0,34,0,0,0,10,0,0,0,6,0,0,0,4,0,0,0,18,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,24,0,0,0,62,0,0,0,54,0,0,0,70,0,0,0,52,0,0,0,26,0,0,0,18,0,0,0,90,0,0,0,96,0,0,0,26,0,0,0,82,0,0,0,34,0,0,0,10,0,0,0,6,0,0,0,4,0,0,0,18,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,78,0,0,0,34,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,38,0,0,0,22,0,0,0,78,0,0,0,22,0,0,0,16,0,0,0,56,0,0,0,70,0,0,0,16,0,0,0,60,0,0,0,22,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,78,0,0,0,34,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,38,0,0,0,22,0,0,0,78,0,0,0,22,0,0,0,16,0,0,0,56,0,0,0,70,0,0,0,16,0,0,0,60,0,0,0,22,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,9,0,0,0,10,0,0,0,13,0,0,0,11,0,0,0,12,0,0,0,133,0,0,0,0,32,0,0,1,32,0,0,2,32,0,0,3,32,0,0,4,32,0,0,5,32,0,0,6,32,0,0,8,32,0,0,9,32,0,0,10,32,0,0,40,32,0,0,41,32,0,0,95,32,0,0,0,48,0,0,0,0,0,0,36,0,0,0,78,0,0,0,34,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,38,0,0,0,22,0,0,0,78,0,0,0,22,0,0,0,16,0,0,0,56,0,0,0,70,0,0,0,16,0,0,0,60,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,48,0,0,0,6,0,0,0,8,0,0,0,48,0,0,0,2,0,0,0,46,0,0,0,40,0,0,0,36,0,0,0,78,0,0,0,34,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,38,0,0,0,22,0,0,0,78,0,0,0,22,0,0,0,16,0,0,0,56,0,0,0,70,0,0,0,16,0,0,0,60,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,48,0,0,0,6,0,0,0,8,0,0,0,48,0,0,0,2,0,0,0,46,0,0,0,40,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,120,109,108,61,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,0,0,0,0,114,101,99,111,110,58,119,97,108,108,58,118,48,49,0,0,40,248,13,0,192,247,13,0,144,247,13,0,184,247,13,0,168,247,13,0,152,247,13,0,3,0,0,0,0,0,0,0,255,255,255,255,8,86,14,0,8,86,14,0,8,86,14,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,88,144,13,0,248,194,0,0,120,165,0,0,0,146,0,0,88,157,13,0,152,186,13,0,144,1,0,0,0,0,0,0,56,72,14,0,0,0,0,0,80,58,0,0,240,79,0,0,192,1,0,0,240,76,0,0,240,76,0,0,112,55,0,0,192,1,0,0,0,0,0,0,192,59,0,0,96,81,0,0,48,3,0,0,96,78,0,0,96,78,0,0,224,56,0,0,48,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,79,84,65,84,73,79,78,40,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,67,68,65,84,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,136,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,47,2,32,87,65,82,78,73,78,71,46,32,84,104,101,32,118,97,108,117,101,32,69,77,73,78,32,109,97,121,32,98,101,32,105,110,99,111,114,114,101,99,116,58,45,2,44,2,32,32,69,77,73,78,32,61,32,2,44,105,56,44,47,2,32,73,102,44,32,97,102,116,101,114,32,105,110,115,112,101,99,116,105,111,110,44,32,116,104,101,32,118,97,108,117,101,32,69,77,73,78,32,108,111,111,107,115,2,44,2,32,97,99,99,101,112,116,97,98,108,101,32,112,108,101,97,115,101,32,99,111,109,109,101,110,116,32,111,117,116,32,2,44,47,2,32,116,104,101,32,73,70,32,98,108,111,99,107,32,97,115,32,109,97,114,107,101,100,32,119,105,116,104,105,110,32,116,104,101,32,99,111,100,101,32,111,102,32,114,111,117,116,105,110,101,2,44,2,32,68,76,65,77,67,50,44,2,44,47,2,32,111,116,104,101,114,119,105,115,101,32,115,117,112,112,108,121,32,69,77,73,78,32,101,120,112,108,105,99,105,116,108,121,46,2,44,47,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,112,137,0,255,9,47,15,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,170,0,0,232,164,0,0,16,163,0,0,8,161,0,0,56,159,0,0,104,157,0,0,240,155,0,0,56,154,0,0,96,170,0,0,16,153,0,0,112,151,0,0,32,150,0,0,184,145,0,0,80,144,0,0,16,143,0,0,40,141,0,0,0,0,0,0,240,212,0,0,96,209,0,0,24,86,14,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,0,32,26,192,0,32,31,0,1,1,47,50,1,1,5,57,1,1,15,74,1,1,45,121,1,1,5,112,3,1,3,145,3,32,17,163,3,32,9,0,4,80,16,16,4,32,32,96,4,1,33,138,4,1,53,193,4,1,13,208,4,1,63,20,5,1,19,49,5,48,38,160,1,1,5,179,1,1,3,205,1,1,15,222,1,1,17,248,1,1,39,34,2,1,17,216,3,1,23,0,30,1,149,160,30,1,95,8,31,248,8,24,31,248,6,40,31,248,8,56,31,248,8,72,31,248,6,104,31,248,8,136,31,248,8,152,31,248,8,168,31,248,8,184,31,248,2,186,31,182,2,200,31,170,4,216,31,248,2,218,31,156,2,232,31,248,2,234,31,144,2,248,31,128,2,250,31,130,2,70,2,1,9,16,5,1,3,96,33,16,16,0,44,48,47,103,44,1,5,128,44,1,99,235,44,1,3,64,166,1,45,128,166,1,23,34,167,1,13,50,167,1,61,121,167,1,3,126,167,1,9,144,167,1,3,160,167,1,9,33,255,32,26,0,0,0,0,32,86,14,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,34,3,0,0,0,0,0,0,33,3,0,0,0,0,0,0,7,0,0,0,0,0,0,0,174,2,0,0,0,0,0,0,173,2,0,0,0,0,0,0,169,2,0,0,0,0,0,0,168,2,0,0,0,0,0,0,165,2,0,0,0,0,0,0,164,2,0,0,0,0,0,0,163,2,0,0,0,0,0,0,160,2,0,0,0,0,0,0,159,2,0,0,0,0,0,0,158,2,0,0,0,0,0,0,6,0,0,0,0,0,0,0,149,2,0,0,0,0,0,0,148,2,0,0,0,0,0,0,140,2,0,0,0,0,0,0,139,2,0,0,0,0,0,0,138,2,0,0,0,0,0,0,129,2,0,0,0,0,0,0,128,2,0,0,0,0,0,0,119,2,0,0,0,0,0,0,118,2,0,0,0,0,0,0,110,2,0,0,0,0,0,0,109,2,0,0,0,0,0,0,108,2,0,0,0,0,0,0,99,2,0,0,0,0,0,0,98,2,0,0,0,0,0,0,60,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,201,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,160,163,0,0,0,0,0,0,168,169,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,96,0,0,0,8,0,0,0,28,0,0,0,44,0,0,0,50,0,0,0,84,0,0,0,30,0,0,0,68,0,0,0,32,0,0,0,60,0,0,0,88,0,0,0,74,0,0,0,66,0,0,0,32,0,0,0,12,0,0,0,2,0,0,0,26,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,8,0,0,0,28,0,0,0,44,0,0,0,50,0,0,0,84,0,0,0,30,0,0,0,68,0,0,0,32,0,0,0,60,0,0,0,88,0,0,0,74,0,0,0,66,0,0,0,32,0,0,0,12,0,0,0,2,0,0,0,26,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,248,13,0,96,248,13,0,88,248,13,0,80,248,13,0,112,248,13,0,120,248,13,0,24,248,13,0,8,248,13,0,36,0,0,0,78,0,0,0,34,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,38,0,0,0,22,0,0,0,78], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+10252);
/* memory initializer */ allocate([22,0,0,0,16,0,0,0,56,0,0,0,70,0,0,0,16,0,0,0,60,0,0,0,8,0,0,0,20,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,78,0,0,0,34,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,38,0,0,0,22,0,0,0,78,0,0,0,22,0,0,0,16,0,0,0,56,0,0,0,70,0,0,0,16,0,0,0,60,0,0,0,8,0,0,0,20,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,120,109,108,110,115,47,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,224,80,14,0,0,0,0,0,91,37,108,100,93,32,37,115,0,0,0,0,0,0,0,0,114,97,100,97,117,49,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,38,108,116,59,0,0,0,0,68,101,115,105,114,101,100,32,115,116,101,112,32,116,111,32,115,109,97,108,108,32,116,114,121,32,110,101,120,116,32,111,110,101,0,0,0,0,0,0,117,110,105,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,0,0,0,0,0,74,117,108,0,0,0,0,0,100,101,114,40,0,0,0,0,79,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,114,97,100,97,117,51,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,0,0,0,0,0,0,74,117,110,0,0,0,0,0,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,60,47,102,111,114,109,97,116,62,10,0,0,0,0,0,0,114,97,100,97,117,53,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,65,112,114,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,95,97,99,116,105,118,101,83,116,101,112,115,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,115,41,0,0,32,40,99,112,117,32,116,105,109,101,41,60,47,100,111,117,98,108,101,62,10,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,77,97,114,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,101,116,67,111,110,100,105,116,105,111,110,46,95,121,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,105,110,116,101,114,97,99,116,105,118,101,0,0,0,0,0,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,60,100,111,117,98,108,101,62,0,0,0,0,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,70,101,98,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,80,97,114,97,108,108,101,108,49,46,95,111,117,116,80,111,114,116,46,95,97,118,97,105,108,97,98,108,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,0,105,110,116,101,103,101,114,40,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,44,32,48,41,0,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,49,41,0,0,0,0,0,0,32,40,99,97,108,108,115,41,60,47,117,105,110,116,51,50,62,10,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,74,97,110,0,0,0,0,0,100,117,112,108,105,99,97,116,101,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,80,97,114,97,108,108,101,108,49,46,95,105,110,80,111,114,116,46,95,111,99,99,117,112,105,101,100,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,124,32,37,115,40,115,116,97,114,116,61,37,108,100,41,0,60,117,105,110,116,51,50,62,0,0,0,0,0,0,0,0,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,68,101,99,101,109,98,101,114,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,116,114,97,110,115,105,116,105,111,110,55,46,95,101,110,97,98,108,101,70,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,60,100,111,117,98,108,101,62,99,112,117,32,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,0,0,0,0,101,117,108,101,114,0,0,0,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,0,0,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,78,111,118,101,109,98,101,114,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,54,46,95,97,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,119,101,32,111,110,108,121,32,104,97,118,101,32,37,108,100,32,115,117,99,104,32,98,108,111,99,107,115,0,0,0,0,115,0,0,0,0,0,0,0,60,33,68,79,67,84,89,80,69,32,100,111,99,32,91,32,32,60,33,69,76,69,77,69,78,84,32,115,105,109,117,108,97,116,105,111,110,32,40,109,111,100,101,108,105,110,102,111,44,32,118,97,114,105,97,98,108,101,115,44,32,102,117,110,99,116,105,111,110,115,44,32,101,113,117,97,116,105,111,110,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,118,97,114,105,97,98,108,101,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,101,113,117,97,116,105,111,110,32,40,114,101,102,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,101,113,117,97,116,105,111,110,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,115,32,40,112,114,111,102,105,108,101,98,108,111,99,107,42,41,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,32,40,114,101,102,115,44,32,110,99,97,108,108,44,32,116,105,109,101,44,32,109,97,120,84,105,109,101,41,62,32,32,60,33,69,76,69,77,69,78,84,32,114,101,102,115,32,40,114,101,102,42,41,62,32,32,60,33,65,84,84,76,73,83,84,32,114,101,102,32,114,101,102,105,100,32,73,68,82,69,70,32,35,82,69,81,85,73,82,69,68,62,32,32,93,62,10,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,65,32,0,0,0,0,86,97,114,105,97,98,108,101,32,115,116,101,112,54,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,54,46,110,79,117,116,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,91,94,91,58,115,112,97,99,101,58,93,93,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,115,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,0,37,115,44,32,37,115,32,37,108,117,10,0,0,0,0,0,88,76,97,98,101,108,58,32,116,10,10,0,0,0,0,0,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,0,0,37,108,100,44,0,0,0,0,76,79,71,95,73,78,73,84,0,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,0,0,60,100,111,117,98,108,101,62,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,100,105,115,99,114,101,116,101,0,0,0,0,79,99,116,111,98,101,114,0,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,54,46,95,111,108,100,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,112,105,118,111,116,32,33,61,32,48,0,0,0,0,0,0,60,117,105,110,116,51,50,62,115,116,101,112,60,47,117,105,110,116,51,50,62,10,0,0,110,117,109,101,114,105,99,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,83,101,112,116,101,109,98,101,114,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,54,46,95,110,101,119,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,68,105,115,97,98,108,101,100,32,116,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,98,101,99,97,117,115,101,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,99,111,117,108,100,32,110,111,116,32,98,101,32,103,101,110,101,114,97,116,101,100,58,32,37,115,0,0,0,91,37,108,100,93,32,115,97,109,112,108,101,40,37,103,44,32,37,103,41,0,0,0,0,60,102,111,114,109,97,116,62,10,0,0,0,0,0,0,0,110,111,110,101,0,0,0,0,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,65,117,103,117,115,116,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,54,46,95,108,111,99,97,108,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,76,0,0,0,0,0,0,0,60,102,105,108,101,115,105,122,101,62,37,108,100,60,47,102,105,108,101,115,105,122,101,62,10,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,0,74,117,108,121,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,116,114,97,110,115,105,116,105,111,110,50,46,95,116,95,115,116,97,114,116,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,0,0,0,0,60,47,102,105,108,101,110,97,109,101,62,10,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,36,112,68,69,82,46,0,0,74,117,110,101,0,0,0,0,68,65,83,83,76,45,45,32,32,87,69,82,69,32,73,78,67,82,69,65,83,69,68,32,84,79,32,65,80,80,82,79,80,82,73,65,84,69,32,86,65,76,85,69,83,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,116,114,97,110,115,105,116,105,111,110,50,46,95,102,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,60,102,105,108,101,110,97,109,101,62,0,0,0,0,0,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,0,0,36,90,69,82,79,46,0,0,77,97,121,0,0,0,0,0,99,97,110,39,116,32,115,116,97,116,32,102,105,108,101,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,116,114,97,110,115,105,116,105,111,110,50,46,95,101,110,97,98,108,101,70,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,105,108,115,0,0,0,0,0,69,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,116,111,116,97,108,32,33,61,32,48,0,0,0,0,0,0,0,37,115,95,112,114,111,102,46,100,97,116,97,0,0,0,0,105,112,111,112,116,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,103,41,0,0,65,112,114,105,108,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,49,46,95,97,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,62,61,32,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,32,43,32,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,0,0,0,60,47,118,97,114,105,97,98,108,101,62,10,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,77,97,114,99,104,0,0,0,109,105,115,109,97,116,99,104,101,100,32,116,97,103,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,49,46,95,111,108,100,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,34,32,99,111,109,109,101,110,116,61,34,0,0,0,0,0,107,105,110,115,111,108,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,68,101,114,105,118,97,116,105,118,101,115,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,110,112,117,116,45,102,105,108,101,32,60,37,115,62,32,91,37,115,93,0,0,0,0,0,70,101,98,114,117,97,114,121,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,49,46,95,110,101,119,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,60,118,97,114,105,97,98,108,101,32,105,100,61,34,118,97,114,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,105,109,112,111,114,116,32,115,116,97,114,116,32,118,97,108,117,101,115,10,102,105,108,101,58,32,37,115,10,116,105,109,101,58,32,37,103,0,0,0,74,97,110,117,97,114,121,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,49,46,95,108,111,99,97,108,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,120,109,108,45,62,110,70,117,110,99,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,51,93,0,0,0,110,111,32,115,112,97,99,101,0,0,0,0,0,0,0,0,99,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,91,91,58,115,112,97,99,101,58,93,93,0,0,0,0,0,86,97,114,105,97,98,108,101,32,116,114,97,110,115,105,116,105,111,110,55,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,114,97,110,115,105,116,105,111,110,55,46,119,97,105,116,84,105,109,101,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,108,105,115,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,84,105,116,108,101,84,101,120,116,58,32,79,112,101,110,77,111,100,101,108,105,99,97,32,115,105,109,117,108,97,116,105,111,110,32,112,108,111,116,10,0,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,102,105,108,101,32,37,115,0,0,0,0,0,76,79,71,95,69,86,69,78,84,83,95,86,0,0,0,0,91,37,108,100,93,32,114,101,115,105,100,117,97,108,32,105,115,32,105,110,101,102,102,101,99,116,105,118,101,32,40,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,105,115,32,115,101,116,32,116,111,32,49,46,48,41,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,112,114,101,45,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,0,0,110,101,119,117,111,97,0,0,102,97,108,115,101,0,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,78,101,119,116,111,110,32,82,97,112,104,115,111,110,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,116,114,97,110,115,105,116,105,111,110,49,46,95,116,95,115,116,97,114,116,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,115,105,109,112,108,101,120,0,116,114,117,101,0,0,0,0,110,117,109,101,114,105,99,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,116,114,97,110,115,105,116,105,111,110,49,46,95,102,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,115,116,97,116,101,0,0,0,34,32,115,116,97,114,116,108,105,110,101,61,34,37,100,34,32,115,116,97,114,116,99,111,108,61,34,37,100,34,32,101,110,100,108,105,110,101,61,34,37,100,34,32,101,110,100,99,111,108,61,34,37,100,34,32,114,101,97,100,111,110,108,121,61,34,37,115,34,32,47,62,10,0,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,99,111,117,108,100,32,110,111,116,32,112,97,115,115,101,100,32,116,111,32,68,68,65,83,82,84,0,0,0,0,0,0,110,111,110,101,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,110,117,108,108,32,102,105,108,101,32,110,97,109,101,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,116,114,97,110,115,105,116,105,111,110,49,46,95,101,110,97,98,108,101,70,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,85,0,0,0,0,0,0,0,100,101,98,117,103,0,0,0,60,105,110,102,111,32,102,105,108,101,110,97,109,101,61,34,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,123,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,48,46,95,97,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,0,101,114,114,111,114,0,0,0,60,47,102,117,110,99,116,105,111,110,62,10,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,70,79,82,32,80,82,69,67,73,83,73,79,78,32,79,70,32,77,65,67,72,73,78,69,46,32,82,84,79,76,32,65,78,68,32,65,84,79,76,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,48,46,95,111,108,100,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,119,97,114,110,105,110,103,0,60,102,117,110,99,116,105,111,110,32,105,100,61,34,102,117,110,37,100,34,62,10,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,48,46,95,110,101,119,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,105,105,116,0,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,10,32,32,110,111,116,101,32,116,104,97,116,58,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,67,65,78,78,79,84,32,98,101,32,117,115,101,100,32,119,105,116,104,32,45,111,118,101,114,114,105,100,101,10,32,32,117,115,101,32,119,104,101,110,32,118,97,114,105,97,98,108,101,115,32,102,111,114,32,45,111,118,101,114,114,105,100,101,32,97,114,101,32,116,111,111,32,109,97,110,121,32,97,110,100,32,100,111,32,110,111,116,32,102,105,116,32,105,110,32,99,111,109,109,97,110,100,32,108,105,110,101,32,115,105,122,101,10,32,32,111,118,101,114,114,105,100,101,70,105,108,101,78,97,109,101,32,99,111,110,116,97,105,110,115,32,108,105,110,101,115,32,111,102,32,116,104,101,32,102,111,114,109,58,32,118,97,114,49,61,115,116,97,114,116,49,0,0,0,0,0,0,105,110,102,111,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,97,120,32,33,61,32,48,0,102,117,110,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,109,97,120,0,0,0,0,0,105,112,111,112,116,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,116,101,112,48,46,95,108,111,99,97,108,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,10,32,32,101,46,103,46,32,118,97,114,49,61,115,116,97,114,116,49,44,118,97,114,50,61,115,116,97,114,116,50,44,112,97,114,51,61,115,116,97,114,116,51,44,115,116,97,114,116,84,105,109,101,61,118,97,108,49,44,115,116,111,112,84,105,109,101,61,118,97,108,50,44,115,116,101,112,83,105,122,101,61,118,97,108,51,44,10,32,32,32,32,32,32,32,116,111,108,101,114,97,110,99,101,61,118,97,108,52,44,115,111,108,118,101,114,61,34,115,101,101,32,45,115,34,44,111,117,116,112,117,116,70,111,114,109,97,116,61,34,109,97,116,124,112,108,116,124,99,115,118,124,101,109,112,116,121,34,44,118,97,114,105,97,98,108,101,70,105,108,116,101,114,61,34,102,105,108,116,101,114,34,0,0,0,38,103,116,59,0,0,0,0,100,97,116,97,95,50,0,0,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,62,61,32,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,32,43,32,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,0,0,0,60,47,101,113,117,97,116,105,111,110,62,10,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,109,105,110,0,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,112,97,114,116,105,97,108,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,65,108,116,101,114,110,97,116,105,118,101,49,46,95,115,112,108,105,116,91,51,93,46,95,97,118,97,105,108,97,98,108,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,10,32,32,116,105,109,101,32,61,32,118,97,108,117,101,44,32,97,32,61,32,118,97,108,117,101,44,32,98,32,61,32,118,97,108,117,101,44,32,99,32,61,32,118,97,108,117,101,0,0,0,0,0,38,108,116,59,0,0,0,0,60,99,97,108,99,105,110,102,111,32,116,105,109,101,61,34,37,102,34,32,99,111,117,110,116,61,34,37,108,117,34,47,62,10,0,0,0,0,0,0,117,110,107,110,111,119,110,0,110,111,109,105,110,97,108,0,107,105,110,115,111,108,0,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,65,108,116,101,114,110,97,116,105,118,101,49,46,95,115,112,108,105,116,91,50,93,46,95,97,118,97,105,108,97,98,108,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,10,32,32,115,118,103,10,32,32,106,112,103,10,32,32,112,115,10,32,32,103,105,102,10,32,32,46,46,46,0,0,0,0,0,0,0,0,38,97,109,112,59,0,0,0,60,47,114,101,102,115,62,10,0,0,0,0,0,0,0,0,85,110,104,97,110,100,108,101,100,32,65,115,115,101,114,116,105,111,110,45,69,114,114,111,114,0,0,0,0,0,0,0,117,115,101,78,111,109,105,110,97,108,0,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,65,108,116,101,114,110,97,116,105,118,101,49,46,95,111,117,116,80,111,114,116,46,95,115,101,116,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,37,115,0,120,109,108,45,62,110,69,113,117,97,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,49,93,0,0,0,102,111,114,116,46,37,108,100,0,0,0,0,0,0,0,0,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,111,102,32,103,108,111,98,97,108,32,115,116,101,112,115,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,0,0,0,0,0,0,91,94,91,58,97,108,110,117,109,58,93,95,93,0,0,0,103,0,0,0,0,0,0,0,108,97,112,97,99,107,0,0,34,32,47,62,10,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,35,73,110,116,101,114,118,97,108,83,105,122,101,61,37,108,100,10,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,108,97,109,98,100,97,0,0,76,79,71,95,69,86,69,78,84,83,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,97,114,116,32,118,97,108,117,101,32,114,101,115,105,100,117,97,108,115,58,32,37,108,100,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,0,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,118,97,114,37,100,34,32,47,62,10,0,0,116,105,109,101,114,0,0,0,69,114,114,111,114,58,32,0,102,105,120,101,100,0,0,0,110,101,119,117,111,97,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,65,108,116,101,114,110,97,116,105,118,101,49,46,95,105,110,80,111,114,116,46,95,114,101,115,101,116,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,73,112,111,112,116,44,32,100,101,102,97,117,108,116,32,109,117,109,112,115,46,10,32,78,111,116,101,58,32,85,115,101,32,105,102,32,121,111,117,32,98,117,105,108,100,32,105,112,111,112,116,32,119,105,116,104,32,111,116,104,101,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,105,107,101,32,109,97,50,55,0,0,0,0,0,60,47,109,101,115,115,97,103,101,62,10,0,0,0,0,0,60,114,101,102,115,62,10,0,115,116,97,114,116,0,0,0,115,105,109,112,108,101,120,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,101,120,105,116,83,116,101,112,46,95,97,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,116,105,109,101,0,0,0,0,70,65,76,83,69,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,10,32,32,108,97,112,97,99,107,44,32,108,105,115,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,105,115,32,78,85,76,76,33,10,0,0,0,68,65,83,83,76,45,45,32,32,84,72,69,32,76,65,83,84,32,83,84,69,80,32,84,69,82,77,73,78,65,84,69,68,32,87,73,84,72,32,65,32,78,69,71,65,84,73,86,69,0,0,0,0,0,0,0,34,62,10,0,0,0,0,0,60,117,115,101,100,32,105,110,100,101,120,61,34,37,100,34,32,47,62,10,0,0,0,0,87,97,114,110,105,110,103,58,32,0,0,0,0,0,0,0,117,115,101,83,116,97,114,116,0,0,0,0,0,0,0,0,74,97,99,111,98,105,97,110,32,111,114,32,83,112,97,114,115,101,80,97,116,116,101,114,110,32,105,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,32,111,114,32,102,97,105,108,101,100,32,116,111,32,105,110,105,116,105,97,108,105,122,101,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,101,120,105,116,83,116,101,112,46,95,111,108,100,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,83,84,79,80,32,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,32,40,115,105,109,44,32,99,111,110,115,116,41,0,77,0,0,0,0,0,0,0,34,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+20492);
/* memory initializer */ allocate([60,101,113,117,97,116,105,111,110,32,105,100,61,34,101,113,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,101,120,105,116,83,116,101,112,46,95,110,101,119,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,40,83,89,77,44,32,78,85,77,44,32,78,85,77,68,69,78,83,69,41,0,0,0,0,0,0,60,109,101,115,115,97,103,101,32,115,116,114,101,97,109,61,34,37,115,34,32,116,121,112,101,61,34,37,115,34,32,116,101,120,116,61,34,0,0,0,117,116,105,108,47,98,97,115,101,95,97,114,114,97,121,46,99,0,0,0,0,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,0,0,0,0,0,0,0,102,105,108,101,87,114,105,116,97,98,108,101,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,84,79,79,32,77,85,67,72,32,65,67,67,85,82,65,67,89,32,82,69,81,85,69,83,84,69,68,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,101,120,105,116,83,116,101,112,46,95,108,111,99,97,108,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,101,109,97,116,114,105,120,32,102,111,114,32,73,112,111,112,116,40,79,77,67,44,32,66,70,71,83,44,32,99,111,110,115,116,41,0,0,0,0,0,60,116,105,109,101,62,37,46,57,102,60,47,116,105,109,101,62,10,0,0,0,0,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,105,110,105,116,83,116,101,112,46,95,97,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,105,105,109,0,0,0,0,0,99,97,110,39,116,32,98,97,99,107,115,112,97,99,101,32,102,105,108,101,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,102,111,114,32,104,111,109,111,116,111,112,121,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,115,121,109,98,111,108,105,99,41,32,111,114,10,39,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,39,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,110,117,109,101,114,105,99,32,45,105,111,109,61,110,101,108,100,101,114,95,109,101,97,100,95,101,120,41,0,124,32,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,105,110,32,33,61,32,48,0,60,110,99,97,108,108,62,37,100,60,47,110,99,97,108,108,62,10,0,0,0,0,0,0,101,110,100,67,111,108,117,109,110,0,0,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,105,110,105,116,83,116,101,112,46,95,111,108,100,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,0,37,45,55,115,32,124,32,0,100,97,116,97,95,49,0,0,60,114,101,102,32,114,101,102,105,100,61,34,101,113,37,100,34,47,62,10,0,0,0,0,60,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,10,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,0,0,0,0,0,0,117,110,99,108,111,115,101,100,32,116,111,107,101,110,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,105,110,105,116,83,116,101,112,46,95,110,101,119,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,110,117,109,101,114,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,10,32,32,101,46,103,46,32,45,104,101,108,112,61,102,32,112,114,105,110,116,115,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,102,111,114,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,32,102,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,60,99,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,99,117,114,114,101,110,116,84,105,109,101,62,10,0,0,101,110,100,76,105,110,101,0,117,110,107,110,111,119,110,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,105,110,105,116,83,116,101,112,46,95,108,111,99,97,108,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,32,32,45,32,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,10,32,32,45,32,36,99,112,117,84,105,109,101,32,105,115,32,116,104,101,32,118,97,114,105,97,98,108,101,32,110,97,109,101,32,105,110,115,105,100,101,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,0,0,0,0,37,45,49,55,115,32,124,32,0,0,0,0,0,0,0,0,101,113,0,0,0,0,0,0,60,100,105,102,102,79,108,100,84,105,109,101,62,37,103,60,47,100,105,102,102,79,108,100,84,105,109,101,62,10,0,0,111,112,116,105,109,105,122,97,116,105,111,110,45,99,97,108,108,115,58,32,37,108,100,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,54,97,46,95,116,95,115,116,97,114,116,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,0,0,0,0,101,97,99,104,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,111,110,99,101,58,32,37,115,0,0,0,0,0,0,105,110,102,105,110,105,116,121,0,0,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,111,112,101,110,0,0,0,0,37,115,37,103,32,0,0,0,115,101,116,32,102,111,114,109,97,116,32,121,32,34,37,103,34,10,0,0,0,0,0,0,37,32,46,53,101,32,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,10,32,32,82,84,61,109,111,110,111,116,111,110,105,99,32,114,101,97,108,45,116,105,109,101,32,99,108,111,99,107,44,32,67,80,85,61,112,114,111,99,101,115,115,45,98,97,115,101,100,32,67,80,85,45,116,105,109,101,44,32,67,89,67,61,99,112,117,32,99,121,99,108,101,115,32,109,101,97,115,117,114,101,100,32,119,105,116,104,32,82,68,84,83,67,0,0,0,0,0,91,91,58,97,108,110,117,109,58,93,95,93,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,116,104,101,32,88,77,76,32,112,97,114,115,101,114,33,0,0,0,35,78,117,109,98,101,114,111,102,86,97,114,105,97,98,108,101,115,61,37,100,10,0,0,100,97,116,97,95,50,0,0,116,105,109,101,0,0,0,0,105,116,101,114,97,116,105,111,110,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,116,101,114,110,97,108,32,101,114,114,111,114,44,32,78,76,79,79,80,32,60,32,49,46,0,0,0,0,0,76,79,71,95,68,83,83,95,74,65,67,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,58,32,32,37,108,100,32,40,37,108,100,32,101,113,117,97,116,105,111,110,115,32,43,32,37,108,100,32,97,108,103,111,114,105,116,104,109,115,41,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,117,37,100,40,116,41,61,32,37,102,32,9,0,0,0,0,115,101,108,101,99,116,32,37,115,0,0,0,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,97,114,101,32,115,116,111,114,101,100,32,105,110,32,37,115,95,112,114,111,102,46,104,116,109,108,32,40,104,117,109,97,110,45,114,101,97,100,97,98,108,101,41,32,97,110,100,32,37,115,95,112,114,111,102,46,120,109,108,32,40,102,111,114,32,88,83,76,32,116,114,97,110,115,102,111,114,109,115,32,111,114,32,109,111,114,101,32,100,101,116,97,105,108,115,41,0,0,0,0,0,0,35,35,35,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,0,0,0,0,60,111,108,100,84,105,109,101,50,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,50,62,10,0,0,0,0,0,37,115,0,0,0,0,0,0,115,116,97,114,116,67,111,108,117,109,110,0,0,0,0,0,110,111,116,32,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,54,97,46,95,102,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,115,104,111,119,115,32,97,108,108,32,119,97,114,110,105,110,103,115,32,101,118,101,110,32,105,102,32,97,32,114,101,108,97,116,101,100,32,108,111,103,45,115,116,114,101,97,109,32,105,115,32,105,110,97,99,116,105,118,101,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,103,101,110,101,114,97,116,101,32,104,116,109,108,32,118,101,114,115,105,111,110,32,111,102,32,112,114,111,102,105,108,105,110,103,32,114,101,115,117,108,116,115,58,32,37,115,10,0,0,0,0,0,0,0,60,111,108,100,84,105,109,101,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,62,10,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,54,97,46,95,101,110,97,98,108,101,70,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,37,115,32,101,118,101,110,116,32,97,116,32,116,105,109,101,32,37,46,49,50,103,0,0,84,82,85,69,0,0,0,0,97,110,97,108,121,116,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,115,111,108,118,101,114,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,109,105,115,115,105,110,103,0,0,0,0,0,0,0,0,60,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,37,103,60,47,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,10,0,0,115,116,97,114,116,76,105,110,101,0,0,0,0,0,0,0,78,111,32,83,112,97,114,115,101,80,97,116,116,101,114,110,44,32,115,105,110,99,101,32,116,104,101,114,101,32,97,114,101,32,110,111,32,115,116,97,116,101,115,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,111,109,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,52,97,46,95,97,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,0,91,37,108,100,93,32,37,103,0,0,0,0,0,0,0,0,70,76,65,71,95,85,78,75,78,79,87,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,114,101,115,117,108,116,32,102,105,108,101,32,116,104,97,110,32,116,104,101,32,100,101,102,97,117,108,116,32,77,111,100,101,108,95,114,101,115,46,109,97,116,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,37,115,32,45,111,32,37,115,95,112,114,111,102,46,104,116,109,108,32,37,115,47,115,104,97,114,101,47,111,109,99,47,115,99,114,105,112,116,115,47,100,101,102,97,117,108,116,95,112,114,111,102,105,108,105,110,103,46,120,115,108,32,37,115,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,45,110,114,46,32,37,108,100,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,52,97,46,95,111,108,100,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,115,116,97,116,101,115,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,32,112,111,114,116,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,120,115,108,116,112,114,111,99,0,0,0,0,0,0,0,0,60,109,111,100,101,108,62,37,115,60,47,109,111,100,101,108,62,10,0,0,0,0,0,0,102,105,108,101,78,97,109,101,0,0,0,0,0,0,0,0,35,35,35,32,70,73,78,65,76,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,82,69,83,85,76,84,83,32,35,35,35,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,52,97,46,95,110,101,119,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,68,65,83,83,76,45,45,32,32,84,65,75,69,78,32,79,78,32,84,72,73,83,32,67,65,76,76,32,66,69,70,79,82,69,32,82,69,65,67,72,73,78,71,32,84,79,85,84,0,0,0,0,0,0,0,0,99,106,58,32,37,103,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,87,97,114,110,105,110,103,58,32,80,108,111,116,32,99,111,109,109,97,110,100,32,102,97,105,108,101,100,10,0,0,0,115,107,105,112,32,119,47,111,32,115,99,97,108,105,110,103,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,52,97,46,95,108,111,99,97,108,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,105,105,102,0,0,0,0,0,97,116,32,112,111,105,110,116,32,105,110,32,116,105,109,101,58,32,37,103,0,0,0,0,115,101,113,117,101,110,116,105,97,108,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,0,91,37,115,58,37,100,58,37,100,45,37,100,58,37,100,58,37,115,93,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,32,33,61,32,48,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,109,111,100,101,108,105,110,102,111,46,99,0,0,78,111,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,46,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,115,116,97,114,116,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,0,0,80,77,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,52,97,46,95,116,95,115,116,97,114,116,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,116,104,101,32,122,101,114,111,99,114,111,115,115,105,110,103,115,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,98,117,102,0,0,0,0,0,69,114,114,111,114,58,32,67,111,117,108,100,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,116,104,101,32,103,108,111,98,97,108,32,100,97,116,97,32,115,116,114,117,99,116,117,114,101,32,102,105,108,101,0,0,0,0,0,0,111,118,101,114,45,100,101,116,101,114,109,105,110,101,100,0,65,77,0,0,0,0,0,0,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,32,40,105,110,118,97,108,105,100,32,116,111,107,101,110,41,0,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,52,97,46,95,102,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,101,114,114,111,114,32,105,110,32,102,111,114,109,97,116,0,100,111,32,110,111,116,32,101,109,105,116,32,101,118,101,110,116,32,112,111,105,110,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,63,63,63,0,0,0,0,0,105,110,118,97,108,105,100,32,100,97,116,97,32,110,111,100,101,0,0,0,0,0,0,0,60,47,115,105,109,117,108,97,116,105,111,110,62,10,0,0,117,115,101,32,37,115,32,45,104,101,108,112,32,102,111,114,32,97,32,108,105,115,116,32,111,102,32,97,108,108,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,115,0,0,0,0,0,0,0,118,97,108,117,101,82,101,102,101,114,101,110,99,101,0,0,110,111,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,52,97,46,95,101,110,97,98,108,101,70,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,97,110,121,32,114,101,115,117,108,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,115,116,97,116,105,115,116,105,99,115,32,97,98,111,117,116,32,116,105,109,101,114,47,101,118,101,110,116,115,47,115,111,108,118,101,114,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,104,101,108,112,61,37,115,0,0,0,37,115,40,102,105,120,101,100,61,116,114,117,101,41,32,61,32,37,103,0,0,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,54,46,95,116,95,115,116,97,114,116,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,84,65,73,76,69,68,95,68,69,83,67,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,105,109,117,108,97,116,105,111,110,95,105,110,102,111,95,120,109,108,46,99,0,0,0,0,0,0,0,0,97,99,99,95,116,112,32,33,61,32,48,0,0,0,0,0,114,43,0,0,0,0,0,0,115,101,116,32,110,111,107,101,121,10,0,0,0,0,0,0,80,114,105,110,116,32,106,97,99,58,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,27,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,80,97,114,97,108,108,101,108,49,46,110,66,114,97,110,99,104,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,80,97,114,97,108,108,101,108,49,46,110,66,114,97,110,99,104,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,110,108,115,61,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,102,105,110,97,108,32,115,111,108,117,116,105,111,110,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,97,110,32,110,111,116,32,114,101,97,100,32,102,105,108,101,32,37,115,32,97,115,32,115,101,116,117,112,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,46,0,0,0,35,80,116,111,108,101,109,121,32,80,108,111,116,32,102,105,108,101,44,32,103,101,110,101,114,97,116,101,100,32,98,121,32,79,112,101,110,77,111,100,101,108,105,99,97,10,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,37,115,44,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,78,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,32,60,32,49,0,0,0,0,0,0,76,79,71,95,68,83,83,0,91,37,108,100,93,32,100,105,115,99,114,101,116,101,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,10,73,110,112,117,116,58,32,116,61,37,102,32,32,32,9,0,0,0,0,0,0,0,0,115,101,108,101,99,116,32,110,101,119,32,115,116,97,116,101,115,32,97,116,32,116,105,109,101,32,37,102,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,0,70,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,37,115,0,0,0,0,110,97,109,101,0,0,0,0,115,101,116,116,105,110,103,32,102,105,120,101,100,61,116,114,117,101,32,102,111,114,58,0,65,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,117,110,107,110,111,119,110,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,54,46,95,102,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,0,0,0,0,0,60,47,101,113,117,97,116,105,111,110,115,62,10,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,111,108,118,101,114,32,112,114,111,99,101,115,115,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,62,10,37,115,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,115,0,0,0,0,0,0,0,0,117,110,100,101,114,45,100,101,116,101,114,109,105,110,101,100,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,54,46,95,101,110,97,98,108,101,70,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,82,117,110,110,105,110,103,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,101,110,100,102,105,108,101,0,91,115,116,114,105,110,103,32,108,105,115,116,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,105,109,117,108,97,116,105,111,110,32,112,114,111,99,101,115,115,0,60,101,113,117,97,116,105,111,110,115,62,10,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,108,111,103,70,111,114,109,97,116,61,37,115,44,32,101,120,112,101,99,116,101,100,32,116,101,120,116,32,111,114,32,120,109,108,0,0,0,0,0,0,0,0,110,121,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,32,40,110,101,105,116,104,101,114,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,110,111,114,32,105,110,105,116,105,97,108,32,97,108,103,111,114,105,116,104,109,115,41,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,53,46,95,116,95,115,116,97,114,116,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,100,97,115,115,108,0,0,0,32,73,79,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,105,112,111,112,116,0,0,0,0,0,0,78,0,0,0,0,0,0,0,111,117,116,112,117,116,115,32,114,101,115,105,100,117,97,108,115,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,60,47,102,117,110,99,116,105,111,110,115,62,10,0,0,0,116,101,120,116,0,0,0,0,110,112,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,118,97,114,105,97,98,108,101,115,32,116,111,32,105,110,105,116,105,97,108,105,122,101,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,53,46,95,102,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,105,110,116,101,114,110,97,108,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,0,0,0,0,0,0,0,0,60,102,117,110,99,116,105,111,110,115,62,10,0,0,0,0,111,117,116,112,117,116,115,32,101,118,101,114,121,32,101,118,97,108,117,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,120,109,108,0,0,0,0,0,110,121,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,67,97,110,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,117,110,105,113,117,101,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,46,32,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,32,116,111,32,115,101,101,32,116,104,101,32,115,119,105,116,99,104,105,110,103,32,115,116,97,116,101,32,115,101,116,46,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,53,46,95,101,110,97,98,108,101,70,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,67,85,82,82,69,78,84,32,84,32,40,61,82,49,41,32,32,53,48,48,32,83,84,69,80,83,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,101,120,116,101,114,110,97,108,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,46,32,45,108,111,103,70,111,114,109,97,116,61,116,101,120,116,32,40,100,101,102,97,117,108,116,41,32,111,114,32,45,108,111,103,70,111,114,109,97,116,61,120,109,108,0,0,0,60,47,118,97,114,105,97,98,108,101,115,62,10,0,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,102,108,97,103,45,116,121,112,101,93,32,60,45,37,115,62,0,0,0,0,0,0,0,110,112,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,37,46,49,54,103,44,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,52,46,95,97,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,117,110,102,111,114,109,97,116,116,101,100,0,0,0,0,0,104,101,108,112,0,0,0,0,100,105,114,101,99,116,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,68,65,83,83,76,45,45,32,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,46,32,65,80,80,65,82,69,78,84,32,73,78,70,73,78,73,84,69,32,76,79,79,80,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,119,104,101,114,101,32,116,104,101,32,108,105,110,101,97,114,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,115,104,111,117,108,100,32,98,101,32,112,101,114,102,111,114,109,101,100,0,116,105,99,107,95,116,112,32,33,61,32,48,0,0,0,0,60,118,97,114,105,97,98,108,101,115,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,32,32,37,115,0,110,121,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,108,97,109,98,100,97,32,61,32,37,103,32,100,111,110,101,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,52,46,95,111,108,100,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,102,111,114,109,97,116,116,101,100,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,69,80,69,65,84,69,68,32,79,67,67,85,82,82,69,78,67,69,83,32,79,70,32,73,76,76,69,71,65,76,32,73,78,80,85,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,60,47,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,108,111,103,103,105,110,103,32,102,111,114,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+30736);
/* memory initializer */ allocate([60,45,37,115,62,10,32,32,37,115,0,0,0,0,0,0,110,112,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,104,111,109,111,116,111,112,121,32,112,114,111,99,101,115,115,0,0,0,0,0,0,0,0,83,101,116,32,116,111,108,101,114,97,110,99,101,32,102,111,114,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,104,121,115,116,101,114,101,115,105,115,32,116,111,58,32,37,101,0,0,0,0,0,0,0,110,111,32,101,108,101,109,101,110,116,32,102,111,117,110,100,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,52,46,95,110,101,119,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,0,100,105,114,101,99,116,0,0,32,32,32,32,32,32,32,32,32,84,79,79,32,78,69,65,82,32,84,79,32,84,72,69,32,73,78,73,84,73,65,76,32,80,79,73,78,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,110,111,100,101,0,0,0,0,0,0,0,60,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,117,115,97,103,101,58,32,37,115,0,0,0,0,0,0,0,110,112,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,91,37,100,93,58,32,37,115,32,61,32,37,103,0,0,0,101,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,52,46,95,108,111,99,97,108,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,115,101,113,117,101,110,116,105,97,108,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,78,69,32,79,82,32,77,79,82,69,32,67,79,77,80,79,78,69,78,84,83,32,79,70,32,71,32,72,65,83,32,65,32,82,79,79,84,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,0,98,105,110,84,114,97,110,115,0,0,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,108,111,103,103,105,110,103,32,102,111,114,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,37,115,0,0,0,110,121,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,108,97,109,98,100,97,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,51,46,95,97,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,83,67,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,0,0,119,114,105,116,105,110,103,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,114,43,98,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,115,118,103,10,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,71,32,40,61,73,49,41,32,46,76,84,46,32,48,0,0,0,0,0,0,0,0,119,114,105,116,101,32,105,110,32,106,97,99,91,37,100,93,45,91,37,100,44,37,100,93,61,37,103,32,102,114,111,109,32,114,111,119,91,37,100,93,61,37,103,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,7,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,118,32,37,115,0,0,0,0,0,0,100,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,112,114,101,102,105,120,32,109,117,115,116,32,110,111,116,32,98,101,32,98,111,117,110,100,32,116,111,32,111,110,101,32,111,102,32,116,104,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,115,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,119,0,0,0,0,0,0,0,119,116,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,99,111,110,115,105,115,116,101,110,116,32,105,110,105,116,105,97,108,32,99,111,110,100,105,116,105,111,110,115,46,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,76,79,71,95,68,69,66,85,71,0,0,0,0,0,0,0,102,111,114,109,97,116,32,116,111,111,32,99,111,109,112,108,105,99,97,116,101,100,58,10,0,0,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,0,0,69,114,114,111,114,44,32,115,105,110,103,117,108,97,114,32,74,97,99,111,98,105,97,110,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,32,97,116,32,116,105,109,101,32,37,102,10,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,95,74,65,67,32,116,111,32,103,101,116,32,116,104,101,32,74,97,99,111,98,105,97,110,0,82,101,102,101,114,101,110,99,101,100,32,39,37,115,39,32,116,104,97,116,32,119,97,115,32,110,111,116,32,100,101,99,108,97,114,101,100,32,97,115,32,60,118,97,114,105,97,98,108,101,62,0,0,0,0,0,60,111,100,101,84,105,109,101,84,105,99,107,115,62,37,108,117,60,47,111,100,101,84,105,109,101,84,105,99,107,115,62,10,0,0,0,0,0,0,0,116,101,114,109,105,110,97,108,32,101,118,101,110,116,32,97,116,32,115,116,111,112,32,116,105,109,101,32,37,103,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,117,115,101,100,32,98,121,32,100,97,115,115,108,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,115,32,37,115,0,0,0,0,0,0,0,110,120,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,100,0,0,0,0,0,0,0,110,111,116,32,112,114,101,40,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,0,0,0,0,0,0,0,0,37,115,44,0,0,0,0,0,44,37,115,61,34,37,115,34,0,0,0,0,0,0,0,0,89,111,117,114,32,109,101,109,111,114,121,32,105,115,32,110,111,116,32,115,116,114,111,110,103,32,101,110,111,117,103,104,32,102,111,114,32,111,117,114,32,82,105,110,103,98,117,102,102,101,114,33,0,0,0,0,78,76,83,95,77,65,88,0,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,0,69,82,82,79,82,58,32,84,111,111,32,109,97,110,121,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,115,46,32,83,121,115,116,101,109,32,105,115,32,105,110,99,111,110,115,105,115,116,101,110,116,46,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,46,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,51,46,95,111,108,100,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,117,110,107,110,111,119,110,0,114,101,97,100,105,110,103,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,73,83,32,69,81,85,65,76,32,84,79,32,84,32,40,61,82,50,41,0,115,112,101,99,105,102,121,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,110,115,41,32,109,117,115,116,32,110,111,116,32,98,101,32,100,101,99,108,97,114,101,100,32,111,114,32,117,110,100,101,99,108,97,114,101,100,0,0,0,0,0,0,60,111,100,101,84,105,109,101,62,37,102,60,47,111,100,101,84,105,109,101,62,10,0,0,99,104,101,99,107,32,104,101,115,115,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,65,108,108,111,99,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,115,116,111,114,97,103,101,32,102,111,114,32,109,101,116,104,111,100,32,39,37,115,39,32,97,110,100,32,102,105,108,101,61,39,37,115,39,0,0,69,114,114,111,114,44,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,109,111,100,101,108,46,0,0,0,0,110,111,116,32,112,114,101,40,115,116,101,112,54,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,0,0,119,116,0,0,0,0,0,0,44,37,115,61,37,105,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,51,46,95,110,101,119,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,99,97,108,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,32,40,115,116,101,112,83,105,122,101,58,32,37,103,41,0,0,0,0,0,0,0,0,84,104,101,32,99,111,100,101,32,104,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,116,114,111,117,98,108,101,32,102,114,111,109,32,119,104,105,99,104,32,105,116,32,99,97,110,110,111,116,32,114,101,99,111,118,101,114,46,0,0,108,97,116,101,108,121,32,37,115,32,37,115,32,37,115,32,37,115,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,85,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,105,110,116,93,32,100,101,102,97,117,108,116,58,32,49,0,0,0,0,0,0,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,41,32,109,117,115,116,32,110,111,116,32,98,101,32,117,110,100,101,99,108,97,114,101,100,32,111,114,32,98,111,117,110,100,32,116,111,32,97,110,111,116,104,101,114,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,0,100,117,109,109,121,86,97,114,83,116,97,116,101,83,101,116,74,97,99,0,0,0,0,0,60,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,0,99,104,101,99,107,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,0,0,0,0,0,0,0,85,110,107,110,111,119,110,32,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,110,111,116,32,112,114,101,40,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,0,0,37,115,95,104,111,109,111,116,111,112,121,46,99,115,118,0,44,37,115,61,37,108,105,0,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,0,0,0,124,32,115,111,108,118,101,114,32,124,32,85,115,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,9,37,115,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,115,116,101,112,51,46,95,108,111,99,97,108,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,68,68,65,83,83,76,32,102,97,105,108,101,100,32,116,111,32,99,111,109,112,117,116,101,32,116,104,101,32,105,110,105,116,105,97,108,32,89,80,82,73,77,69,46,0,0,0,0,108,97,115,116,32,102,111,114,109,97,116,58,32,37,115,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,76,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,100,111,117,98,108,101,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,80,0,0,0,0,0,0,0,99,97,110,110,111,116,32,115,117,115,112,101,110,100,32,105,110,32,101,120,116,101,114,110,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,84,79,68,79,58,32,83,101,116,32,109,101,32,117,112,33,33,33,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,62,10,0,0,0,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,0,0,0,112,108,116,0,0,0,0,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,0,110,111,116,32,115,116,101,112,54,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,37,115,61,37,46,50,48,103,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,52,46,95,116,95,115,116,97,114,116,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,73,82,69,83,32,101,113,117,97,108,32,116,111,32,45,50,32,119,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,97,110,100,32,99,111,110,116,114,111,108,32,105,115,32,98,101,105,110,103,32,114,101,116,117,114,110,101,100,32,116,111,32,116,104,101,32,99,97,108,108,105,110,103,32,112,114,111,103,114,97,109,46,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,105,110,116,101,114,110,97,108,32,73,47,79,10,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,61,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,0,0,0,0,0,112,97,114,115,105,110,103,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,32,115,105,122,101,32,102,111,114,32,100,105,109,101,110,115,105,111,110,32,37,100,32,105,115,32,37,100,32,60,32,48,33,10,0,35,70,73,88,77,69,35,0,60,109,97,120,84,105,109,101,62,37,46,57,102,60,47,109,97,120,84,105,109,101,62,10,0,0,0,0,0,0,0,0,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,119,97,108,108,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,105,110,118,0,0,0,0,0,110,111,116,32,112,114,101,40,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,0,0,0,0,0,0,0,0,35,35,35,32,69,78,68,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,0,0,116,105,109,101,61,37,46,50,48,103,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,52,46,95,102,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,80,0,0,0,0,0,0,0,65,32,77,111,100,101,108,105,99,97,32,97,115,115,101,114,116,32,112,114,101,118,101,110,116,115,32,116,104,101,32,105,110,116,101,103,114,97,116,111,114,32,116,111,32,99,111,110,116,105,110,117,101,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,45,108,118,32,76,79,71,95,68,68,65,83,82,84,0,0,40,117,110,110,97,109,101,100,41,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,84,79,85,84,32,40,61,82,49,41,32,84,79,79,32,67,76,79,83,69,32,84,79,32,84,32,40,61,82,50,41,32,84,79,32,83,84,65,82,84,32,73,78,84,69,71,82,65,84,73,79,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,110,32,101,120,116,101,114,110,97,108,32,102,105,108,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,112,97,114,115,105,110,103,32,97,98,111,114,116,101,100,0,60,118,97,114,62,45,116,97,103,32,100,105,100,32,110,111,116,32,115,101,116,32,110,97,109,101,32,97,110,100,32,99,111,109,109,101,110,116,0,0,60,110,117,109,83,116,101,112,62,37,100,60,47,110,117,109,83,116,101,112,62,10,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,109,97,116,0,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,112,114,101,40,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,105,109,0,44,0,0,0,0,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,52,46,95,101,110,97,98,108,101,70,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,32,84,104,101,114,101,32,119,101,114,101,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,105,110,32,116,104,105,115,32,115,116,101,112,46,0,102,0,0,0,0,0,0,0,110,97,109,101,100,32,37,115,10,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,32,73,83,32,46,76,69,46,32,48,46,48,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,51,46,95,116,95,115,116,97,114,116,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,0,0,0,117,110,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,112,97,114,115,101,114,32,110,111,116,32,115,117,115,112,101,110,100,101,100,0,0,0,0,116,111,116,97,108,95,116,112,32,33,61,32,48,0,0,0,99,111,109,109,101,110,116,0,60,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,37,102,60,47,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,101,118,101,110,116,32,115,121,115,116,101,109,0,99,115,118,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,110,111,116,32,112,114,101,40,115,116,101,112,49,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,83,116,97,114,116,32,110,117,109,101,114,105,99,97,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,116,105,109,101,32,62,32,55,46,48,0,0,0,0,0,0,84,104,101,32,109,97,116,114,105,120,32,111,102,32,112,97,114,116,105,97,108,32,100,101,114,105,118,97,116,105,118,101,115,32,105,115,32,115,105,110,103,117,108,97,114,46,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,117,110,105,116,32,37,100,32,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,56,41,61,49,32,65,78,68,32,72,48,61,48,46,48,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,115,101,116,117,112,32,88,77,76,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,0,0,0,112,97,114,115,101,114,32,115,117,115,112,101,110,100,101,100,0,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,83,79,77,69,32,78,73,67,69,32,69,81,85,65,84,73,79,78,32,78,65,77,69,32,40,116,111,32,98,101,32,115,101,116,32,97,32,108,105,116,116,108,101,32,108,97,116,101,114,41,0,0,0,0,0,0,60,116,111,116,97,108,84,105,109,101,62,37,102,60,47,116,111,116,97,108,84,105,109,101,62,10,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,0,0,0,101,109,112,116,121,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,97,108,115,0,0,0,0,0,110,111,116,32,112,114,101,40,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,82,75,46,0,0,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,0,0,0,115,121,110,116,97,120,32,101,114,114,111,114,0,0,0,0,37,112,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,51,46,95,102,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,0,0,0,0,0,0,0,37,115,58,32,37,115,10,0,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,115,45,102,105,108,101,0,0,0,0,0,0,0,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,40,115,41,32,105,110,32,112,117,98,108,105,99,32,105,100,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,102,105,115,116,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,103,111,116,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,105,110,100,101,120,32,37,108,100,44,32,101,120,112,101,99,116,101,100,32,37,108,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,108,105,110,101,97,114,105,122,101,84,105,109,101,62,37,102,60,47,108,105,110,101,97,114,105,122,101,84,105,109,101,62,10,0,0,0,0,0,0,115,118,103,0,0,0,0,0,111,117,116,112,117,116,115,32,106,97,99,111,98,105,97,110,32,111,102,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,110,111,116,32,115,116,101,112,49,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,111,109,32,37,115,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,116,114,97,110,115,105,116,105,111,110,51,46,95,101,110,97,98,108,101,70,105,114,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,68,68,65,83,83,76,32,104,97,100,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,111,110,32,116,104,101,32,108,97,115,116,32,97,116,116,101,109,112,116,101,100,32,115,116,101,112,46,0,0,0,0,0,37,115,58,32,101,110,100,32,111,102,32,102,105,108,101,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,77,65,88,32,40,61,82,49,41,32,46,76,84,46,32,48,46,48,0,0,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,0,0,0,0,114,101,99,101,110,100,0,0,37,35,46,42,102,0,0,0,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,0,0,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,111,117,116,32,105,110,100,101,120,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,111,117,116,112,117,116,84,105,109,101,62,37,102,60,47,111,117,116,112,117,116,84,105,109,101,62,10,0,0,0,0,95,112,114,111,102,46,112,108,116,0,0,0,0,0,0,0,111,117,116,112,117,116,115,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,84,105,109,101,0,0,0,0,110,111,116,32,112,114,101,40,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,0,0,0,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,101,117,108,101,114,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,69,85,76,69,82,46,0,0,0,0,0,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,97,99,116,105,118,101,83,116,101,112,115,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,78,65,77,69,0,0,0,0,0,0,0,84,104,101,32,101,114,114,111,114,32,116,111,108,101,114,97,110,99,101,115,32,97,114,101,32,116,111,111,32,115,116,114,105,110,103,101,110,116,0,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,0,37,115,58,32,105,108,108,101,103,97,108,32,101,114,114,111,114,32,110,117,109,98,101,114,32,37,100,10,0,0,0,0,68,117,109,109,121,32,101,113,117,97,116,105,111,110,32,115,111,32,119,101,32,99,97,110,32,105,110,100,101,120,32,102,114,111,109,32,49,0,0,0,119,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,58,32,37,115,10,0,0,115,101,101,100,58,32,100,97,116,97,45,62,115,105,109,117,108,97,116,105,111,110,73,110,102,111,46,97,110,97,108,121,116,105,99,74,97,99,111,98,105,97,110,115,91,105,110,100,101,120,93,46,115,101,101,100,86,97,114,115,91,37,100,93,61,32,37,102,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,32,61,32,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,79,85,84,32,40,61,82,50,41,0,0,12,0,0,0,0,0,0,0,117,110,107,110,111,119,110,0,37,45,49,56,115,32,91,37,115,93,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,115,116,97,114,116,45,118,97,108,117,101,115,0,0,0,117,116,105,108,47,114,101,97,100,95,109,97,116,108,97,98,52,46,99,0,0,0,0,0,99,111,110,116,105,110,117,111,117,115,0,0,0,0,0,0,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,119,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,37,115,95,105,110,105,116,80,97,116,104,46,99,115,118,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,111,108,118,101,114,32,105,116,101,114,97,116,101,100,32,37,100,32,116,105,109,101,115,32,119,105,116,104,111,117,116,32,102,105,110,100,105,110,103,32,97,32,115,111,108,117,116,105,111,110,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,0,76,79,71,95,68,68,65,83,82,84,0,0,0,0,0,0,98,97,100,32,115,116,114,105,110,103,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,32,91,115,99,97,108,101,100,58,32,37,103,93,0,0,0,0,0,10,69,120,116,101,114,110,97,108,32,73,110,112,117,116,0,37,115,0,0,0,0,0,0,105,110,100,101,120,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,73,110,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,101,118,101,110,116,84,105,109,101,62,37,102,60,47,101,118,101,110,116,84,105,109,101,62,10,0,0,0,0,0,0,87,114,111,116,101,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,116,104,101,32,102,105,108,101,32,97,102,116,101,114,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,40,102,111,114,32,111,117,116,112,117,116,32,102,111,114,109,97,116,115,32,116,104,97,116,32,115,117,112,112,111,114,116,32,116,104,105,115,41,0,0,0,0,0,0,0,0,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,100,101,98,117,103,32,105,110,102,111,114,109,97,116,105,111,110,0,0,0,0,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,0,0,0,0,0,0,0,0,118,109,101,116,97,0,0,0,112,114,101,40,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,0,124,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,110,101,119,116,111,110,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,110,101,119,65,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,68,65,83,83,76,45,45,32,32,65,76,76,32,69,76,69,77,69,78,84,83,32,79,70,32,82,84,79,76,32,65,78,68,32,65,84,79,76,32,65,82,69,32,90,69,82,79,0,110,109,76,98,117,102,32,111,118,101,114,102,108,111,119,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,97,98,115,86,97,114,73,110,100,101,120,32,62,32,48,32,38,38,32,97,98,115,86,97,114,73,110,100,101,120,32,60,61,32,114,101,97,100,101,114,45,62,110,118,97,114,0,0,105,110,99,111,109,112,108,101,116,101,32,109,97,114,107,117,112,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,109,111,114,101,32,101,113,117,97,116,105,111,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+40976);
/* memory initializer */ allocate([32,116,104,97,110,32,101,120,112,101,99,116,101,100,32,40,37,108,100,41,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,79,117,116,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,105,110,105,116,84,105,109,101,62,37,102,60,47,105,110,105,116,84,105,109,101,62,10,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,109,111,100,101,108,32,105,115,32,99,114,101,97,116,101,100,33,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,97,115,115,108,32,115,111,108,118,101,114,0,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,58,32,37,115,0,0,0,0,116,105,109,101,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,116,105,109,101,32,91,115,93,0,0,0,0,0,110,111,116,32,112,114,101,40,115,116,101,112,48,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,73,112,111,112,116,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,0,0,0,0,0,0,37,109,47,37,100,47,37,121,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,95,97,99,116,105,118,101,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,0,0,111,102,102,115,101,116,32,118,97,108,117,101,32,102,111,114,32,116,104,101,32,110,101,120,116,32,115,116,101,112,58,32,37,46,49,48,102,0,0,0,70,105,110,105,115,104,101,100,32,68,68,65,83,82,84,32,115,116,101,112,46,0,0,0,110,111,110,45,112,111,115,105,116,105,118,101,32,114,101,99,111,114,100,32,110,117,109,98,101,114,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,65,84,79,76,32,73,83,32,46,76,84,46,32,48,0,119,0,0,0,0,0,0,0,73,109,112,108,101,109,101,110,116,97,116,105,111,110,32,101,114,114,111,114,58,32,85,110,107,110,111,119,110,32,99,97,115,101,0,0,0,0,0,0,109,117,115,116,32,110,111,116,32,117,110,100,101,99,108,97,114,101,32,112,114,101,102,105,120,0,0,0,0,0,0,0,37,115,58,32,85,110,107,110,111,119,110,32,97,116,116,114,105,98,117,116,101,32,105,110,32,60,105,110,102,111,62,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,73,110,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,112,114,101,105,110,105,116,84,105,109,101,62,37,102,60,47,112,114,101,105,110,105,116,84,105,109,101,62,10,0,0,116,104,105,115,32,115,116,114,101,97,109,32,105,115,32,97,108,119,97,121,115,32,97,99,116,105,118,101,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,0,0,0,0,0,0,0,0,115,105,103,115,0,0,0,0,116,105,109,101,0,0,0,0,110,111,116,32,112,114,101,40,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,105,109,32,37,115,0,0,0,0,0,83,117,110,100,105,97,108,47,107,105,110,115,111,108,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,32,80,108,101,97,115,101,32,99,104,111,111,115,101,32,111,116,104,101,114,32,115,111,108,118,101,114,46,0,117,110,114,101,99,111,103,110,105,122,101,100,32,100,97,115,115,108,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,100,97,115,115,108,46,99,0,0,0,0,0,0,0,99,97,110,39,116,32,97,112,112,101,110,100,32,116,111,32,102,105,108,101,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,82,84,79,76,32,73,83,32,46,76,84,46,32,48,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,50,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,115,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,117,110,98,111,117,110,100,32,112,114,101,102,105,120,0,0,116,114,117,101,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,79,117,116,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,111,118,101,114,104,101,97,100,84,105,109,101,62,37,102,60,47,111,118,101,114,104,101,97,100,84,105,109,101,62,10,0,0,0,0,0,0,0,0,95,114,101,115,46,0,0,0,117,110,107,110,111,119,110,0,118,97,114,105,97,98,108,101,32,102,105,108,116,101,114,58,32,37,115,0,0,0,0,0,116,109,101,116,97,0,0,0,110,111,116,32,115,116,101,112,48,46,97,99,116,105,118,101,32,61,61,32,116,114,117,101,0,0,0,0,0,0,0,0,35,35,35,32,69,78,68,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,91,37,108,100,93,32,37,115,32,61,32,37,99,32,124,32,112,114,101,40,37,115,41,32,61,32,37,99,0,0,0,0,115,97,118,101,32,97,108,108,32,122,101,114,111,99,114,111,115,115,105,110,103,115,32,97,102,116,101,114,32,97,110,32,101,118,101,110,116,0,0,0,49,48,32,43,32,117,105,32,60,32,100,97,115,115,108,68,97,116,97,45,62,108,105,119,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,73,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,73,87,32,40,61,73,50,41,0,0,0,0,39,110,101,119,39,32,102,105,108,101,32,101,120,105,115,116,115,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,51,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,84,111,111,32,102,101,119,32,114,111,119,115,32,105,110,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,99,97,110,110,111,116,32,99,104,97,110,103,101,32,115,101,116,116,105,110,103,32,111,110,99,101,32,112,97,114,115,105,110,103,32,104,97,115,32,98,101,103,117,110,0,0,0,0,102,97,108,115,101,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,37,108,100,60,47,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,10,0,0,0,111,118,101,114,119,114,105,116,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,32,91,102,114,111,109,32,99,111,109,109,97,110,100,32,108,105,110,101,93,0,76,79,71,95,90,69,82,79,67,82,79,83,83,73,78,71,83,0,0,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,115,105,122,101,115,32,97,114,101,32,78,85,76,76,33,10,0,118,97,114,105,97,98,108,101,70,105,108,116,101,114,0,0,111,98,106,115,0,0,0,0,99,112,117,32,116,105,109,101,32,91,115,93,0,0,0,0,35,35,35,32,83,84,65,82,84,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,102,97,108,115,101,0,0,0,0,0,0,0,115,111,114,114,121,32,45,32,110,111,32,115,111,108,118,101,114,32,115,116,97,116,105,115,116,105,99,115,32,97,118,97,105,108,97,98,108,101,46,32,91,110,111,116,32,121,101,116,32,105,109,112,108,101,109,101,110,116,101,100,93,0,0,0,115,116,97,116,117,115,32,111,102,32,114,101,108,97,116,105,111,110,115,0,0,0,0,0,69,120,101,99,117,116,105,111,110,32,102,97,105,108,101,100,33,10,0,0,0,0,0,0,37,108,100,32,99,104,97,110,103,101,100,32,102,114,111,109,32,37,115,32,116,111,32,99,117,114,114,101,110,116,32,37,115,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,67,84,73,79,78,32,87,65,83,32,84,65,75,69,78,46,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,0,0,0,0,0,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,40,105,32,62,32,48,41,32,38,38,32,40,105,32,60,61,32,97,45,62,110,100,105,109,115,41,0,0,0,0,0,0,99,97,110,39,116,32,119,114,105,116,101,32,102,105,108,101,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,82,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,82,87,32,40,61,73,50,41,0,0,0,0,112,111,114,116,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,52,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,58,32,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,114,111,119,115,0,114,101,113,117,101,115,116,101,100,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,115,32,88,77,76,95,68,84,68,32,115,117,112,112,111,114,116,32,105,110,32,69,120,112,97,116,0,0,0,0,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,99,111,108,69,110,100,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,47,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,10,0,0,0,0,0,0,76,105,110,101,97,114,105,122,97,116,105,111,110,32,119,105,108,108,32,112,101,114,102,111,114,109,101,100,32,97,116,32,112,111,105,110,116,32,111,102,32,116,105,109,101,58,32,37,102,0,0,0,0,0,0,0,76,79,71,95,85,84,73,76,0,0,0,0,0,0,0,0,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,37,115,0,0,0,0,0,0,0,116,97,98,115,0,0,0,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,91,37,108,100,93,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,32,40,112,114,101,58,32,34,37,115,34,41,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,115,111,108,118,101,114,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,0,0,0,0,13,0,0,0,0,0,0,0,83,116,97,99,107,32,111,118,101,114,102,108,111,119,32,100,101,116,101,99,116,101,100,32,97,110,100,32,119,97,115,32,110,111,116,32,99,97,117,103,104,116,46,10,83,101,110,100,32,117,115,32,97,32,98,117,103,32,114,101,112,111,114,116,32,97,116,32,104,116,116,112,115,58,47,47,116,114,97,99,46,111,112,101,110,109,111,100,101,108,105,99,97,46,111,114,103,47,79,112,101,110,77,111,100,101,108,105,99,97,47,110,101,119,116,105,99,107,101,116,10,32,32,32,32,73,110,99,108,117,100,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,116,114,97,99,101,58,10,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,99,104,101,99,107,115,32,102,111,114,32,99,111,110,100,105,116,105,111,110,32,99,104,97,110,103,101,115,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,0,0,99,97,110,39,116,32,114,101,97,100,32,102,105,108,101,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,97,41,0,0,0,0,0,0,0,0,99,112,117,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,65,88,79,82,68,32,40,61,73,49,41,32,78,79,84,32,73,78,32,82,65,78,71,69,0,0,0,0,0,0,115,116,97,114,116,105,111,0,111,118,101,114,114,105,100,101,70,105,108,101,0,0,0,0,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,53,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,99,111,110,116,97,105,110,101,100,32,112,97,114,97,109,101,116,101,114,32,116,104,97,116,32,99,104,97,110,103,101,100,32,98,101,116,119,101,101,110,32,115,116,97,114,116,32,97,110,100,32,115,116,111,112,45,116,105,109,101,0,0,0,0,0,0,101,110,116,105,116,121,32,100,101,99,108,97,114,101,100,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,116,114,117,101,0,0,0,0,109,97,120,95,116,112,32,33,61,32,48,0,0,0,0,0,99,111,108,83,116,97,114,116,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,0,0,0,0,0,0,0,0,67,104,111,115,101,110,32,99,108,111,99,107,45,116,121,112,101,58,32,37,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,32,102,111,114,32,116,104,101,32,99,117,114,114,101,110,116,32,112,108,97,116,102,111,114,109,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,114,101,97,108,45,116,105,109,101,46,0,0,76,79,71,95,83,84,65,84,83,0,0,0,0,0,0,0,111,117,116,112,117,116,70,111,114,109,97,116,0,0,0,0,102,109,101,116,97,0,0,0,100,101,114,40,0,0,0,0,105,110,100,101,120,32,91,37,100,93,32,111,117,116,32,111,102,32,114,97,110,103,101,32,91,37,100,58,37,100,93,0,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,37,53,100,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,0,0,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,95,105,110,102,111,46,120,109,108,0,84,84,79,76,32,105,115,32,115,101,116,32,116,111,58,32,37,101,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,106,97,99,111,98,105,97,110,32,58,32,37,100,0,0,68,105,109,101,110,115,105,111,110,32,37,100,32,104,97,115,32,98,111,117,110,100,115,32,49,46,46,37,100,44,32,103,111,116,32,97,114,114,97,121,32,115,117,98,115,99,114,105,112,116,32,37,100,0,0,0,119,95,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,69,81,32,40,61,73,49,41,32,46,76,69,46,32,48,0,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,118,101,114,114,105,100,101,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,54,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,49,32,109,97,116,114,105,120,0,0,0,117,110,101,120,112,101,99,116,101,100,32,112,97,114,115,101,114,32,115,116,97,116,101,32,45,32,112,108,101,97,115,101,32,115,101,110,100,32,97,32,98,117,103,32,114,101,112,111,114,116,0,0,0,0,0,0,37,35,46,42,69,0,0,0,65,99,108,97,115,115,0,0,108,105,110,101,69,110,100,0,60,47,111,117,116,112,117,116,70,111,114,109,97,116,62,10,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,73,110,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,91,117,110,107,110,111,119,110,32,99,108,111,99,107,45,116,121,112,101,93,32,103,111,116,32,37,115,44,32,101,120,112,101,99,116,101,100,32,67,80,85,124,82,84,124,67,89,67,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,82,84,46,0,0,0,0,0,76,79,71,95,83,79,84,73,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,0,0,0,0,0,0,0,97,43,98,0,0,0,0,0,102,97,108,115,101,0,0,0,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,0,0,0,0,0,0,37,53,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,115,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,60,63,120,109,108,45,115,116,121,108,101,115,104,101,101,116,32,116,121,112,101,61,34,97,112,112,108,105,99,97,116,105,111,110,47,120,109,108,34,32,104,114,101,102,61,34,115,105,109,99,111,100,101,100,117,109,112,46,120,115,108,34,63,62,10,60,115,105,109,99,111,100,101,100,117,109,112,32,109,111,100,101,108,61,34,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,34,62,10,60,118,97,114,105,97,98,108,101,115,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,36,100,117,109,109,121,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,36,100,117,109,109,121,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,49,34,32,108,105,110,101,69,110,100,61,34,50,48,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,49,34,32,108,105,110,101,69,110,100,61,34,50,48,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+51216);
/* memory initializer */ allocate([101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+61456);
/* memory initializer */ allocate([112,104,46,73,110,105,116,105,97,108,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+71696);
/* memory initializer */ allocate([111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+81936);
/* memory initializer */ allocate([78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+92176);
/* memory initializer */ allocate([32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,57,34,32,108,105,110,101,69,110,100,61,34,50,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,49,34,32,108,105,110,101,69,110,100,61,34,50,48,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,49,34,32,108,105,110,101,69,110,100,61,34,50,48,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,116,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+102416);
/* memory initializer */ allocate([116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,116,95,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,116,34,32,99,111,109,109,101,110,116,61,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,119,105,116,104,105,110,32,116,104,101,32,115,116,97,116,101,103,114,97,112,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,52,34,32,108,105,110,101,69,110,100,61,34,50,57,48,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,119,105,116,104,105,110,32,116,104,101,32,115,116,97,116,101,103,114,97,112,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,52,34,32,108,105,110,101,69,110,100,61,34,50,57,48,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,119,105,116,104,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,56,34,32,108,105,110,101,69,110,100,61,34,50,55,54,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,83,116,101,112,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,119,105,116,104,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,56,34,32,108,105,110,101,69,110,100,61,34,50,55,54,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,48,34,32,108,105,110,101,69,110,100,61,34,50,53,48,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,48,34,32,108,105,110,101,69,110,100,61,34,50,53,48,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,48,34,32,108,105,110,101,69,110,100,61,34,50,53,48,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+112656);
/* memory initializer */ allocate([101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,48,34,32,108,105,110,101,69,110,100,61,34,50,53,48,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,52,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,115,117,115,112,101,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,52,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,115,117,115,112,101,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,56,51,34,32,108,105,110,101,69,110,100,61,34,49,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,114,101,115,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,56,51,34,32,108,105,110,101,69,110,100,61,34,49,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,114,101,115,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,101,116,67,111,110,100,105,116,105,111,110,46,121,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,34,32,108,105,110,101,69,110,100,61,34,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,101,116,67,111,110,100,105,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,69,120,112,114,101,115,115,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,101,116,67,111,110,100,105,116,105,111,110,46,121,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,34,32,108,105,110,101,69,110,100,61,34,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,101,116,67,111,110,100,105,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,69,120,112,114,101,115,115,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+122896);
/* memory initializer */ allocate([50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+133136);
/* memory initializer */ allocate([77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,51,50,34,32,108,105,110,101,69,110,100,61,34,50,50,51,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,51,50,34,32,108,105,110,101,69,110,100,61,34,50,50,51,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+143376);
/* memory initializer */ allocate([101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+153616);
/* memory initializer */ allocate([111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+163856);
/* memory initializer */ allocate([34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+174096);
/* memory initializer */ allocate([108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,50,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,50,34,32,108,105,110,101,69,110,100,61,34,50,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,48,34,32,108,105,110,101,69,110,100,61,34,50,48,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,53,52,34,32,108,105,110,101,69,110,100,61,34,50,48,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+184336);
/* memory initializer */ allocate([97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,55,34,32,108,105,110,101,69,110,100,61,34,50,49,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,54,34,32,108,105,110,101,69,110,100,61,34,50,55,54,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,54,34,32,108,105,110,101,69,110,100,61,34,50,55,54,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,54,34,32,108,105,110,101,69,110,100,61,34,50,55,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,54,34,32,108,105,110,101,69,110,100,61,34,50,55,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,50,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,50,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,51,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,51,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,52,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,52,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,53,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,53,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+194576);
/* memory initializer */ allocate([100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,54,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,54,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,55,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,55,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,56,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,56,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,57,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,57,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,48,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,48,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,49,48,34,32,108,105,110,101,69,110,100,61,34,50,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,49,48,34,32,108,105,110,101,69,110,100,61,34,50,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,48,57,34,32,108,105,110,101,69,110,100,61,34,50,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,48,57,34,32,108,105,110,101,69,110,100,61,34,50,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+204816);
/* memory initializer */ allocate([115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,48,57,34,32,108,105,110,101,69,110,100,61,34,50,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,48,57,34,32,108,105,110,101,69,110,100,61,34,50,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,49,48,34,32,108,105,110,101,69,110,100,61,34,50,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,49,48,34,32,108,105,110,101,69,110,100,61,34,50,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+215056);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+225296);
/* memory initializer */ allocate([47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,54,34,32,108,105,110,101,69,110,100,61,34,50,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,50,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,49,34,32,108,105,110,101,69,110,100,61,34,50,53,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,105,110,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,50,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,49,34,32,108,105,110,101,69,110,100,61,34,50,53,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+235536);
/* memory initializer */ allocate([114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,105,110,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,49,34,32,108,105,110,101,69,110,100,61,34,50,53,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,105,110,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,49,34,32,108,105,110,101,69,110,100,61,34,50,53,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,105,110,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,50,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,56,34,32,108,105,110,101,69,110,100,61,34,50,53,57,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,105,110,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,50,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,56,34,32,108,105,110,101,69,110,100,61,34,50,53,57,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,105,110,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,50,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,52,34,32,108,105,110,101,69,110,100,61,34,50,54,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,50,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,52,34,32,108,105,110,101,69,110,100,61,34,50,54,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+245776);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,50,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,55,34,32,108,105,110,101,69,110,100,61,34,50,54,51,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,50,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,55,34,32,108,105,110,101,69,110,100,61,34,50,54,51,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,55,34,32,108,105,110,101,69,110,100,61,34,50,54,51,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,55,34,32,108,105,110,101,69,110,100,61,34,50,54,51,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,56,34,32,108,105,110,101,69,110,100,61,34,50,53,57,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,105,110,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,56], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+256016);
/* memory initializer */ allocate([34,32,108,105,110,101,69,110,100,61,34,50,53,57,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,105,110,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,51,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,51,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,50,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,50,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,48,34,32,108,105,110,101,69,110,100,61,34,50,53,48,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,48,34,32,108,105,110,101,69,110,100,61,34,50,53,48,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+266256);
/* memory initializer */ allocate([105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,52,34,32,108,105,110,101,69,110,100,61,34,50,54,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,52,34,32,108,105,110,101,69,110,100,61,34,50,54,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,95,102,111,114,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+276496);
/* memory initializer */ allocate([110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,51,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,48,34,32,108,105,110,101,69,110,100,61,34,50,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,51,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,48,34,32,108,105,110,101,69,110,100,61,34,50,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,50,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,48,34,32,108,105,110,101,69,110,100,61,34,50,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,50,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,48,34,32,108,105,110,101,69,110,100,61,34,50,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,48,34,32,108,105,110,101,69,110,100,61,34,50,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,48,34,32,108,105,110,101,69,110,100,61,34,50,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,105,110,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+286736);
/* memory initializer */ allocate([97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,50,34,32,108,105,110,101,69,110,100,61,34,50,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,50,34,32,108,105,110,101,69,110,100,61,34,50,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,50,34,32,108,105,110,101,69,110,100,61,34,50,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,50,34,32,108,105,110,101,69,110,100,61,34,50,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,50,34,32,108,105,110,101,69,110,100,61,34,50,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+296976);
/* memory initializer */ allocate([114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,50,34,32,108,105,110,101,69,110,100,61,34,50,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,83,116,101,112,95,111,117,116,95,102,111,114,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+307216);
/* memory initializer */ allocate([46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,105,110,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,50,34,32,108,105,110,101,69,110,100,61,34,50,48,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,115,117,115,112,101,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,50,34,32,108,105,110,101,69,110,100,61,34,50,48,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,115,117,115,112,101,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,56,50,34,32,108,105,110,101,69,110,100,61,34,49,57,56,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,114,101,115,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,56,50,34,32,108,105,110,101,69,110,100,61,34,49,57,56,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,114,101,115,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,55,34,32,108,105,110,101,69,110,100,61,34,50,48,51,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,55,34,32,108,105,110,101,69,110,100,61,34,50,48,51,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+317456);
/* memory initializer */ allocate([97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,53,34,32,108,105,110,101,69,110,100,61,34,50,48,51,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,53,34,32,108,105,110,101,69,110,100,61,34,50,48,51,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+327696);
/* memory initializer */ allocate([46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,55,34,32,108,105,110,101,69,110,100,61,34,50,48,51,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,55,34,32,108,105,110,101,69,110,100,61,34,50,48,51,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+337936);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,53,34,32,108,105,110,101,69,110,100,61,34,50,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,53,34,32,108,105,110,101,69,110,100,61,34,50,48,51,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,53,34,32,108,105,110,101,69,110,100,61,34,50,48,51,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+348176);
/* memory initializer */ allocate([116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,50,51,34,32,108,105,110,101,69,110,100,61,34,50,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,46,79,117,116,101,114,83,116,97,116,101,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,101,116,67,111,110,100,105,116,105,111,110,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,49,50,34,32,108,105,110,101,69,110,100,61,34,50,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,99,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,101,116,67,111,110,100,105,116,105,111,110,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,49,50,34,32,108,105,110,101,69,110,100,61,34,50,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,101,116,67,111,110,100,105,116,105,111,110,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,101,116,67,111,110,100,105,116,105,111,110,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+358416);
/* memory initializer */ allocate([46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,52,34,32,108,105,110,101,69,110,100,61,34,49,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,57,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+368656);
/* memory initializer */ allocate([114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+378896);
/* memory initializer */ allocate([34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,57,34,32,108,105,110,101,69,110,100,61,34,49,56,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,83,116,101,112,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,102,105,114,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,56,34,32,108,105,110,101,69,110,100,61,34,50,49,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+389136);
/* memory initializer */ allocate([47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+399376);
/* memory initializer */ allocate([116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+409616);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,111,117,116,80,111,114,116,46,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,55,34,32,108,105,110,101,69,110,100,61,34,49,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,51,48,34,32,108,105,110,101,69,110,100,61,34,49,57,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+419856);
/* memory initializer */ allocate([46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,55,34,32,108,105,110,101,69,110,100,61,34,49,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,105,110,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,52,34,32,108,105,110,101,69,110,100,61,34,49,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,111,117,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,84,114,97,110,115,105,116,105,111,110,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,50,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,114,97,110,115,105,116,105,111,110,49,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+430096);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,99,111,110,100,105,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,51,56,34,32,108,105,110,101,69,110,100,61,34,50,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+440336);
/* memory initializer */ allocate([97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+450576);
/* memory initializer */ allocate([110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,119,97,105,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,83,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,117,115,112,101,110,100,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,83,117,115,112,101,110,100,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,117,115,112,101,110,100,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,82,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,114,101,115,117,109,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,82,101,115,117,109,101,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,114,101,115,117,109,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+460816);
/* memory initializer */ allocate([105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,110,66,114,97,110,99,104,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,108,116,101,114,110,97,116,105,118,101,32,98,114,97,110,99,104,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,48,34,32,108,105,110,101,69,110,100,61,34,50,52,54,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,110,66,114,97,110,99,104,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,97,108,116,101,114,110,97,116,105,118,101,32,98,114,97,110,99,104,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,48,34,32,108,105,110,101,69,110,100,61,34,50,52,54,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,48,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+471056);
/* memory initializer */ allocate([52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,49,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,110,73,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,101,112,54,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,110,79,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,110,66,114,97,110,99,104,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,97,114,97,108,108,101,108,32,98,114,97,110,99,104,101,115,32,116,104,97,116,32,97,114,101,32,101,120,101,99,117,116,101,100,32,105,110,32,112,97,114,97,108,108,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,80,97,114,97,108,108,101,108,49,46,110,66,114,97,110,99,104,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,97,114,97,108,108,101,108,32,98,114,97,110,99,104,101,115,32,116,104,97,116,32,97,114,101,32,101,120,101,99,117,116,101,100,32,105,110,32,112,97,114,97,108,108,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+481296);
/* memory initializer */ allocate([32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,84,105,109,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,48,34,32,108,105,110,101,69,110,100,61,34,50,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,60,47,118,97,114,105,97,98,108,101,115,62,10,60,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,49,54,54,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,49,48,34,32,108,105,110,101,69,110,100,61,34,50,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,48,57,34,32,108,105,110,101,69,110,100,61,34,50,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+491536);
/* memory initializer */ allocate([114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,46,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,56,51,34,32,108,105,110,101,69,110,100,61,34,49,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,114,101,115,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,46,114,101,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,52,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,115,117,115,112,101,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,66,111,111,108,91,49,93,41,35,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,48,57,34,32,108,105,110,101,69,110,100,61,34,50,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,66,111,111,108,91,49,93,41,35,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,49,48,34,32,108,105,110,101,69,110,100,61,34,50,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,101,116,67,111,110,100,105,116,105,111,110,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,38,103,116,59,32,55,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,34,32,108,105,110,101,69,110,100,61,34,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,101,116,67,111,110,100,105,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,69,120,112,114,101,115,115,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,54,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,116,101,112,54,46,97,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+501776);
/* memory initializer */ allocate([32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,54,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,54,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,115,116,101,112,54,46,111,108,100,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,49,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,116,101,112,49,46,97,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,49,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,49,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,115,116,101,112,49,46,111,108,100,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,48,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,51,56,34,32,108,105,110,101,69,110,100,61,34,50,50,51,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,116,101,112,48,46,97,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,48,34,32,108,105,110,101,69,110,100,61,34,50,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,101,116,67,111,110,100,105,116,105,111,110,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,116,67,111,110,100,105,116,105,111,110,46,121,32,97,110,100,32,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+512016);
/* memory initializer */ allocate([32,32,32,60,114,104,115,62,36,80,82,69,46,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,48,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,115,116,101,112,48,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,115,116,101,112,48,46,111,108,100,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,55,48,34,32,108,105,110,101,69,110,100,61,34,50,55,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,56,48,34,32,108,105,110,101,69,110,100,61,34,50,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,41,32,45,32,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,32,45,32,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,50,34,32,108,105,110,101,69,110,100,61,34,50,48,52,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,105,110,116,101,103,101,114,40,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,44,32,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,55,34,32,108,105,110,101,69,110,100,61,34,50,57,48,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,97,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,108,108,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,44,32,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,48,49,34,32,108,105,110,101,69,110,100,61,34,50,55,48,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,32,97,110,100,32,110,111,116,32,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,116,114,97,110,115,105,116,105,111,110,50,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,32,43,32,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,125,41,32,111,114,32,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+522256);
/* memory initializer */ allocate([112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,97,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,44,32,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,48,48,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,57,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,116,114,97,110,115,105,116,105,111,110,49,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,32,43,32,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,125,41,32,111,114,32,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,125,41,32,111,114,32,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+532496);
/* memory initializer */ allocate([105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,97,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,51,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+542736);
/* memory initializer */ allocate([111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,97,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,52,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,97,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,53,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+552976);
/* memory initializer */ allocate([116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,44,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,44,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,52,55,34,32,108,105,110,101,69,110,100,61,34,50,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,32,101,108,115,101,32,40,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,125,41,32,111,114,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,125,41,41,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,41,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,50,34,32,108,105,110,101,69,110,100,61,34,50,48,52,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,105,110,116,101,103,101,114,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,44,32,49,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,55,57,34,32,108,105,110,101,69,110,100,61,34,50,55,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,83,116,101,112,115,32,38,103,116,59,32,48,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,66,111,111,108,91,49,93,41,35,41,32,111,114,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,66,111,111,108,91,49,93,41,35,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,57,49,34,32,108,105,110,101,69,110,100,61,34,50,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,34,32,47,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+563216);
/* memory initializer */ allocate([32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,52,49,34,32,108,105,110,101,69,110,100,61,34,50,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,54,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,52,49,34,32,108,105,110,101,69,110,100,61,34,50,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,55,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,44,32,99,111,109,112,111,115,105,116,101,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+573456);
/* memory initializer */ allocate([116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,44,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,52,54,34,32,108,105,110,101,69,110,100,61,34,50,53,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,32,101,108,115,101,32,40,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,125,41,32,111,114,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,125,41,41,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,32,101,108,115,101,32,40,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,125,41,32,111,114,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,125,41,41,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,32,101,108,115,101,32,40,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,125,41,32,111,114,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,125,41,41,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,32,101,108,115,101,32,40,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,125,41,32,111,114,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,125,41,41,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,56,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+583696);
/* memory initializer */ allocate([116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,52,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,115,116,101,112,54,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,115,116,101,112,54,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,114,101,40,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,115,116,101,112,49,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,115,116,101,112,49,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,114,101,40,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,115,116,101,112,48,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,115,116,101,112,48,46,97,99,116,105,118,101,32,61,61,32,116,114,117,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,51,56,34,32,108,105,110,101,69,110,100,61,34,50,50,51,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,55,48,34,32,108,105,110,101,69,110,100,61,34,50,55,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+593936);
/* memory initializer */ allocate([32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,53,34,32,108,105,110,101,69,110,100,61,34,50,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,55,52,34,32,108,105,110,101,69,110,100,61,34,50,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,56,34,32,108,105,110,101,69,110,100,61,34,50,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,53,34,32,108,105,110,101,69,110,100,61,34,50,49,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,51,34,32,108,105,110,101,69,110,100,61,34,50,49,54,51,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,49,48,54,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,36,100,117,109,109,121,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,56,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,54,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,56,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,54,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,60,114,104,115,62,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+604176);
/* memory initializer */ allocate([32,32,32,32,32,60,114,104,115,62,105,102,32,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,49,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,56,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,49,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,60,114,104,115,62,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,48,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,48,34,32,108,105,110,101,69,110,100,61,34,50,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,56,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,48,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,60,114,104,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,56,48,34,32,108,105,110,101,69,110,100,61,34,50,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,41,32,45,32,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,32,45,32,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,50,34,32,108,105,110,101,69,110,100,61,34,50,48,52,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,105,110,116,101,103,101,114,40,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,44,32,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,55,34,32,108,105,110,101,69,110,100,61,34,50,57,48,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,108,108,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,44,32,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,48,49,34,32,108,105,110,101,69,110,100,61,34,50,55,48,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,32,97,110,100,32,110,111,116,32,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+614416);
/* memory initializer */ allocate([34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,48,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,32,43,32,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,116,114,97,110,115,105,116,105,111,110,50,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,44,32,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,48,48,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,57,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,57,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,32,43,32,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,125,41,32,111,114,32,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,116,114,97,110,115,105,116,105,111,110,49,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+624656);
/* memory initializer */ allocate([62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,51,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,51,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,52,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,52,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+634896);
/* memory initializer */ allocate([104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,51,34,32,108,105,110,101,69,110,100,61,34,50,48,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,97,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,51,34,32,108,105,110,101,69,110,100,61,34,50,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,41,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,50,34,32,108,105,110,101,69,110,100,61,34,50,48,52,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,105,110,116,101,103,101,114,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,44,32,49,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,55,57,34,32,108,105,110,101,69,110,100,61,34,50,55,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,83,116,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,83,116,101,112,115,32,38,103,116,59,32,48,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,66,111,111,108,91,49,93,41,35,41,32,111,114,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,66,111,111,108,91,49,93,41,35,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,57,49,34,32,108,105,110,101,69,110,100,61,34,50,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,50,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,52,49,34,32,108,105,110,101,69,110,100,61,34,50,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,54,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,54,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+645136);
/* memory initializer */ allocate([110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,32,101,108,115,101,32,40,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,125,41,32,111,114,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,125,41,41,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,52,49,34,32,108,105,110,101,69,110,100,61,34,50,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,55,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,55,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,32,101,108,115,101,32,40,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,125,41,32,111,114,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,125,41,41,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,44,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,44,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,52,54,34,32,108,105,110,101,69,110,100,61,34,50,53,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,32,101,108,115,101,32,40,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,125,41,32,111,114,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,125,41,41,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+655376);
/* memory initializer */ allocate([110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,53,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,53,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,49,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,38,103,116,59,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,50,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,44,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,44,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,52,55,34,32,108,105,110,101,69,110,100,61,34,50,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,32,101,108,115,101,32,40,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,125,41,32,111,114,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,125,41,41,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,45,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,50,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,100,117,109,109,121,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,55,56,34,32,108,105,110,101,69,110,100,61,34,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,32,116,104,101,110,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,32,101,108,115,101,32,40,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,125,41,32,111,114,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,125,41,41,32,97,110,100,32,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,101,116,67,111,110,100,105,116,105,111,110,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,38,103,116,59,32,55,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,34,32,108,105,110,101,69,110,100,61,34,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,101,116,67,111,110,100,105,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,69,120,112,114,101,115,115,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,101,116,67,111,110,100,105,116,105,111,110,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,116,67,111,110,100,105,116,105,111,110,46,121,32,97,110,100,32,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,56,34,32,108,105,110,101,69,110,100,61,34,50,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,125,41,32,111,114,32,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,125,41,32,111,114,32,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,32,97,110,100,32,110,111,116,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,123,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,52,34,32,108,105,110,101,69,110,100,61,34,50,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,101,113,117,97,116,105,111,110,115,62,10,60,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,62,10,60,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,109,105,110,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,105,110,45,101,113,117,97,116,105,111,110,115,62,10,60,109,97,120,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,97,120,45,101,113,117,97,116,105,111,110,115,62,10,60,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,52,54,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,116,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,56,34,32,108,105,110,101,69,110,100,61,34,50,49,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+665616);
/* memory initializer */ allocate([110,55,46,116,95,100,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,54,48,34,32,108,105,110,101,69,110,100,61,34,50,49,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,53,34,32,108,105,110,101,69,110,100,61,34,50,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,66,111,111,108,91,49,93,41,35,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,49,48,34,32,108,105,110,101,69,110,100,61,34,50,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,66,111,111,108,91,49,93,41,35,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,48,57,34,32,108,105,110,101,69,110,100,61,34,50,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,99,111,110,100,105,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,114,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,55,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,46,114,101,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,52,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,115,117,115,112,101,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,46,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,56,51,34,32,108,105,110,101,69,110,100,61,34,49,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,95,114,101,115,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,48,57,34,32,108,105,110,101,69,110,100,61,34,50,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,49,48,34,32,108,105,110,101,69,110,100,61,34,50,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,116,101,71,114,97,112,104,82,111,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+675856);
/* memory initializer */ allocate([97,116,101,71,114,97,112,104,82,111,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,51,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,116,101,114,102,97,99,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,83,116,97,116,101,80,111,114,116,95,111,117,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,80,97,114,97,108,108,101,108,49,46,110,66,114,97,110,99,104,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,80,97,114,97,108,108,101,108,49,46,110,66,114,97,110,99,104,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,80,97,114,97,108,108,101,108,49,46,110,66,114,97,110,99,104,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,80,97,114,97,108,108,101,108,49,46,110,66,114,97,110,99,104,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,80,97,114,97,108,108,101,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,80,97,114,97,108,108,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,114,97,110,115,105,116,105,111,110,55,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,114,97,110,115,105,116,105,111,110,55,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,114,97,110,115,105,116,105,111,110,55,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,114,97,110,115,105,116,105,111,110,55,46,119,97,105,116,84,105,109,101,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,87,105,116,104,83,105,103,110,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,116,101,112,54,46,110,79,117,116,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,116,101,112,54,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,54,46,110,79,117,116,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,116,101,112,54,46,110,79,117,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,116,101,112,54,46,110,73,110,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,116,101,112,54,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,54,46,110,73,110,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,116,101,112,54,46,110,73,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,116,101,112,49,46,110,79,117,116,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,116,101,112,49,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,49,46,110,79,117,116,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,116,101,112,49,46,110,79,117,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,116,101,112,49,46,110,73,110,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,116,101,112,49,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,49,46,110,73,110,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,116,101,112,49,46,110,73,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,114,97,110,115,105,116,105,111,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,116,101,112,48,46,110,79,117,116,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,116,101,112,48,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,48,46,110,79,117,116,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,116,101,112,48,46,110,79,117,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,116,101,112,48,46,110,73,110,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,116,101,112,48,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,48,46,110,73,110,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,116,101,112,48,46,110,73,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,101,112,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,73,110,105,116,105,97,108,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,110,66,114,97,110,99,104,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,110,66,114,97,110,99,104,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,110,66,114,97,110,99,104,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,110,66,114,97,110,99,104,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,48,34,32,108,105,110,101,69,110,100,61,34,50,52,54,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,65,108,116,101,114,110,97,116,105,118,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,79,117,116,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,79,117,116,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,79,117,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,73,110,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,73,110,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,73,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,79,117,116,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,79,117,116,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,79,117,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+686096);
/* memory initializer */ allocate([116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,73,110,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,73,110,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,73,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,79,117,116,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,79,117,116,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,79,117,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,73,110,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,73,110,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,73,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,79,117,116,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,79,117,116,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,79,117,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,73,110,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,73,110,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,73,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,79,117,116,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,79,117,116,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,79,117,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,56,34,32,108,105,110,101,69,110,100,61,34,50,48,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,73,110,32,38,103,116,59,61,32,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,73,110,32,38,103,116,59,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,73,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,52,55,34,32,108,105,110,101,69,110,100,61,34,50,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,50,34,32,108,105,110,101,69,110,100,61,34,50,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+696336);
/* memory initializer */ allocate([116,97,110,99,101,62,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,109,112,111,115,105,116,101,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,114,97,110,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,62,10,60,97,115,115,101,114,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,97,115,115,101,114,116,105,111,110,115,62,10,60,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,47,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,108,105,116,101,114,97,108,115,32,115,105,122,101,61,34,49,34,62,10,32,32,60,101,120,112,62,123,102,97,108,115,101,125,60,47,101,120,112,62,10,60,47,108,105,116,101,114,97,108,115,62,10,60,102,117,110,99,116,105,111,110,115,32,115,105,122,101,61,34,50,34,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,110,121,84,114,117,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,49,48,34,32,108,105,110,101,69,110,100,61,34,51,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,84,101,109,112,111,114,97,114,121,46,97,108,108,84,114,117,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,50,51,34,32,108,105,110,101,69,110,100,61,34,51,48,51,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,60,47,102,117,110,99,116,105,111,110,115,62,10,60,47,115,105,109,99,111,100,101,100,117,109,112,62,10,0,0,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,109,101,116,104,111,100,32,115,116,97,114,116,115,32,105,110,32,105,110,116,101,114,118,97,108,32,91,37,101,44,32,37,101,93,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,40,41,32,58,32,37,100,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,73,78,70,79,32,86,69,67,84,79,82,32,73,83,32,78,79,84,32,90,69,82,79,32,79,82,32,79,78,69,0,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,0,0,0,0,0,0,115,117,98,115,116,114,105,110,103,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,117,116,112,117,116,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,55,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,99,111,108,115,0,100,111,99,117,109,101,110,116,32,105,115,32,110,111,116,32,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,101,109,112,116,121,32,108,105,115,116,0,0,0,0,0,0,108,105,110,101,83,116,97,114,116,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,111,114,109,97,116,62,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,79,117,116,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,67,89,67,0,0,0,0,0,76,79,71,95,83,79,76,86,69,82,0,0,0,0,0,0,115,111,108,118,101,114,0,0,119,43,98,0,0,0,0,0,116,114,117,101,0,0,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,37,53,100,32,101,118,97,108,117,97,116,105,111,110,115,32,111,102,32,106,97,99,111,98,105,97,110,0,0,0,0,0,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,32,61,32,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,10,60,33,45,45,32,100,101,115,99,114,105,112,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,105,110,116,101,114,102,97,99,101,32,117,115,105,110,103,32,97,110,32,101,120,116,101,110,116,105,111,110,32,111,102,32,116,104,101,32,70,77,73,32,115,116,97,110,100,97,114,100,32,45,45,62,10,60,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,10,32,32,102,109,105,86,101,114,115,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,46,48,34,10,10,32,32,109,111,100,101,108,78,97,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,109,111,100,101,108,73,100,101,110,116,105,102,105,101,114,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,95,83,116,97,116,101,71,114,97,112,104,95,69,120,97,109,112,108,101,115,95,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,10,32,32,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,34,10,32,32,10,32,32,103,117,105,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,34,10,32,32,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,69,120,97,109,112,108,101,32,116,111,32,100,101,109,111,110,115,116,114,97,116,101,32,112,97,114,97,108,108,101,108,32,97,99,116,105,118,105,116,105,101,115,32,100,101,115,99,114,105,98,101,100,32,98,121,32,97,32,83,116,97,116,101,71,114,97,112,104,34,10,32,32,103,101,110,101,114,97,116,105,111,110,84,111,111,108,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,79,112,101,110,77,111,100,101,108,105,99,97,32,67,111,109,112,105,108,101,114,32,49,46,57,46,49,43,100,101,118,32,40,114,49,57,50,52,53,41,32,40,66,111,111,116,115,116,114,97,112,112,105,110,103,32,118,101,114,115,105,111,110,41,34,10,32,32,103,101,110,101,114,97,116,105,111,110,68,97,116,101,65,110,100,84,105,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,48,49,52,45,48,50,45,50,53,84,49,51,58,53,51,58,48,57,90,34,10,32,32,10,32,32,118,97,114,105,97,98,108,101,78,97,109,105,110,103,67,111,110,118,101,110,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,115,116,114,117,99,116,117,114,101,100,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,95,83,65,77,58,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,32,116,104,97,116,32,97,114,101,32,115,97,109,112,108,101,115,44,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,73,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,79,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,52,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,78,82,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,115,105,100,117,97,108,115,32,102,111,114,32,105,110,105,116,105,97,108,105,97,108,105,122,97,116,105,111,110,32,102,117,110,99,116,105,111,110,44,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,69,88,84,58,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,70,85,78,67,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,115,32,117,115,101,100,32,98,121,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,44,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,88,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,52,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,78,89,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,57,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,78,65,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,57,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,116,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,78,89,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,78,65,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,56,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,49,50,57,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,57,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,98,111,111,108,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,32,62,10,32,32,10,32,32,10,32,32,60,33,45,45,32,115,116,97,114,116,84,105,109,101,44,32,115,116,111,112,84,105,109,101,44,32,116,111,108,101,114,97,110,99,101,32,97,114,101,32,70,77,73,32,115,112,101,99,105,102,105,99,44,32,97,108,108,32,111,116,104,101,114,115,32,97,114,101,32,79,77,67,32,115,112,101,99,105,102,105,99,32,45,45,62,10,32,32,60,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,10,32,32,32,32,115,116,97,114,116,84,105,109,101,32,32,32,32,32,32,61,32,34,48,46,48,34,10,32,32,32,32,115,116,111,112,84,105,109,101,32,32,32,32,32,32,32,61,32,34,49,53,46,48,34,10,32,32,32,32,115,116,101,112,83,105,122,101,32,32,32,32,32,32,32,61,32,34,48,46,48,48,51,34,10,32,32,32,32,116,111,108,101,114,97,110,99,101,32,32,32,32,32,32,61,32,34,49,101,45,48,54,34,10,32,32,32,32,115,111,108,118,101,114,32,32,32,32,32,32,32,32,32,61,32,34,100,97,115,115,108,34,10,32,32,32,32,111,117,116,112,117,116,70,111,114,109,97,116,32,32,32,61,32,34,99,115,118,34,10,32,32,32,32,118,97,114,105,97,98,108,101,70,105,108,116,101,114,32,61,32,34,46,42,34,32,47,62,10,32,32,32,32,10,32,32,60,33,45,45,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,32,45,45,62,10,32,32,60,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,48,34,32,101,110,100,76,105,110,101,32,61,32,34,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,36,100,117,109,109,121,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,48,34,32,101,110,100,76,105,110,101,32,61,32,34,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+706576);
/* memory initializer */ allocate([48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+716816);
/* memory initializer */ allocate([110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,116,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,97,116,32,119,104,105,99,104,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,119,111,117,108,100,32,102,105,114,101,44,32,105,102,32,119,97,105,116,84,105,109,101,32,119,111,117,108,100,32,98,101,32,122,101,114,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,116,95,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,97,99,116,117,97,108,32,119,97,105,116,105,110,103,32,116,105,109,101,32,40,116,114,97,110,115,105,116,105,111,110,32,119,105,108,108,32,102,105,114,101,32,119,104,101,110,32,116,32,38,103,116,59,32,119,97,105,116,84,105,109,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+727056);
/* memory initializer */ allocate([34,50,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,119,97,105,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,97,105,116,32,116,105,109,101,32,98,101,102,111,114,101,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+737296);
/* memory initializer */ allocate([32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,109,109,121,32,118,97,114,105,97,98,108,101,32,105,110,32,111,114,100,101,114,32,116,104,97,116,32,99,111,110,110,101,99,116,111,114,32,102,117,108,102,105,108,108,115,32,114,101,115,116,114,105,99,116,105,111,110,32,111,102,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,68,117,109,109,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,119,105,116,104,105,110,32,116,104,101,32,115,116,97,116,101,103,114,97,112,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,83,116,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,99,116,105,118,101,32,115,116,101,112,115,32,119,105,116,104,105,110,32,116,104,101,32,67,111,109,112,111,115,105,116,101,83,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,83,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,115,117,115,112,101,110,100,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,82,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,114,101,115,117,109,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,73,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,79,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,73,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,79,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,73,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,79,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,73,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,79,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,73,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,79,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,110,66,114,97,110,99,104,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,97,108,116,101,114,110,97,116,105,118,101,32,98,114,97,110,99,104,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,110,73,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,110,79,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,110,73,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+747536);
/* memory initializer */ allocate([98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,110,79,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,110,73,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,110,79,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,32,99,111,110,110,101,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,110,66,114,97,110,99,104,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,97,114,97,108,108,101,108,32,98,114,97,110,99,104,101,115,32,116,104,97,116,32,97,114,101,32,101,120,101,99,117,116,101,100,32,105,110,32,112,97,114,97,108,108,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,48,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,48,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,101,116,67,111,110,100,105,116,105,111,110,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,97,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,111,108,100,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,110,101,119,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,97,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+757776);
/* memory initializer */ allocate([114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,111,108,100,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,110,101,119,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,97,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,51,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,111,108,100,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,110,101,119,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,97,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,97,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,108,100,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+768016);
/* memory initializer */ allocate([110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,97,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,97,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,108,100,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,110,101,119,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,97,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,108,100,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,119,104,101,110,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,119,97,115,32,97,98,111,114,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+778256);
/* memory initializer */ allocate([34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,110,101,119,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,97,108,108,32,102,105,114,105,110,103,32,99,111,110,100,105,116,105,111,110,115,32,97,114,101,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,110,101,119,65,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,117,101,32,111,102,32,97,99,116,105,118,101,32,105,110,32,116,104,101,32,110,101,120,116,32,105,116,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,44,32,111,116,104,101,114,119,105,115,101,32,116,104,101,32,115,116,101,112,32,105,115,32,110,111,116,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,50,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,51,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,52,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,53,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,54,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,55,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,56,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,57,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+788496);
/* memory initializer */ allocate([57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,99,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,99,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,99,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,99,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,99,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,99,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,99,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,99,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,32,40,116,105,109,101,32,118,97,114,121,105,110,103,32,101,120,112,114,101,115,115,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,84,105,109,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,101,110,97,98,108,101,84,105,109,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,84,105,109,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,84,105,109,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,84,105,109,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,84,105,109,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,101,110,97,98,108,101,84,105,109,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,101,110,97,98,108,101,84,105,109,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,84,105,109,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,105,109,101,114,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+798736);
/* memory initializer */ allocate([116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,50,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,49,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,50,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,50,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,49,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,50,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,49,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,106,111,105,110,91,49,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+808976);
/* memory initializer */ allocate([47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,51,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,50,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,49,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,48,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,115,112,108,105,116,91,49,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,51,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,50,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,106,111,105,110,91,49,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+819216);
/* memory initializer */ allocate([34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,49,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,105,110,80,111,114,116,91,49,93,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,115,101,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,80,111,114,116,91,49,93,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,114,101,115,101,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,80,111,114,116,91,49,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,105,110,80,111,114,116,91,49,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,117,115,112,101,110,100,91,49,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,114,101,115,117,109,101,91,49,93,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,97,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+829456);
/* memory initializer */ allocate([97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+839696);
/* memory initializer */ allocate([101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,114,101,115,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,101,115,117,109,101,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,114,101,115,117,109,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,101,114,83,116,97,116,101,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,54,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,49,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,101,112,48,46,111,117,116,101,114,83,116,97,116,101,80,111,114,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,115,117,115,112,101,110,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,115,112,101,110,100,32,116,114,97,110,115,105,116,105,111,110,32,111,102,32,67,111,109,112,111,115,105,116,101,83,116,101,112,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,115,112,101,110,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,99,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,101,116,67,111,110,100,105,116,105,111,110,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,101,116,67,111,110,100,105,116,105,111,110,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,111,117,116,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,105,110,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,111,117,116,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,105,115,32,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,105,110,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+849936);
/* memory initializer */ allocate([118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,80,97,114,97,108,108,101,108,49,46,111,117,116,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,80,97,114,97,108,108,101,108,49,46,105,110,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,54,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,102,105,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,111,117,116,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,105,110,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,55,46,101,110,97,98,108,101,70,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,55,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,116,101,112,48,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,111,117,116,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+860176);
/* memory initializer */ allocate([32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,105,110,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,111,117,116,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,105,110,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,111,117,116,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,105,110,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,111,117,116,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,105,110,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,51,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,111,117,116,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,105,110,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,115,112,108,105,116,91,50,93,46,97,118,97,105,108,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,111,117,116,80,111,114,116,46,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,98,101,99,111,109,101,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,105,110,80,111,114,116,46,114,101,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,102,105,114,101,115,32,97,110,100,32,116,104,101,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,100,101,97,99,116,105,118,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,102,105,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+870416);
/* memory initializer */ allocate([34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,105,110,80,111,114,116,46,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,105,110,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,111,117,116,80,111,114,116,46,111,99,99,117,112,105,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,44,32,105,102,32,115,116,101,112,32,99,111,110,110,101,99,116,101,100,32,116,111,32,116,104,101,32,116,114,97,110,115,105,116,105,111,110,32,111,117,116,112,117,116,32,105,115,32,97,99,116,105,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,51,46,108,111,99,97,108,65,99,116,105,118,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,50,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,50,46,99,111,110,100,105,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,114,97,110,115,105,116,105,111,110,49,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,114,97,110,115,105,116,105,111,110,49,46,99,111,110,100,105,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,99,111,110,100,105,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,99,111,110,100,105,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,99,111,110,100,105,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,99,111,110,100,105,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,99,111,110,100,105,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,108,111,99,97,108,67,111,110,100,105,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,114,97,110,115,105,116,105,111,110,32,109,97,121,32,102,105,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,99,111,110,100,105,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,116,97,116,101,71,114,97,112,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,47,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,32,32,10,32,32,10,60,47,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,62,10,10,0,0,0,0,0,0,0,0,98,97,99,107,117,112,95,103,111,117,116,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,116,97,107,101,110,32,115,111,32,102,97,114,58,32,37,100,0,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,97,114,114,97,121,32,115,101,99,116,105,111,110,0,0,0,68,65,83,83,76,45,45,32,32,73,78,73,84,73,65,76,32,89,80,82,73,77,69,32,67,79,85,76,68,32,78,79,84,32,66,69,32,67,79,77,80,85,84,69,68,0,0,0,110,111,69,118,101,110,116,69,109,105,116,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,56,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,109,111,100,101,108,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,83,116,97,116,101,71,114,97,112,104,95,69,120,97,109,112,108,101,115,95,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,110,32,61,32,49,59,32,47,47,32,115,116,97,116,101,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,107,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,105,110,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,108,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,111,117,116,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,120,48,91,49,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,117,48,91,48,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,65,91,49,44,49,93,32,61,32,91,37,115,93,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,66,91,49,44,48,93,32,61,32,122,101,114,111,115,40,49,44,48,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,67,91,48,44,49,93,32,61,32,122,101,114,111,115,40,48,44,49,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,68,91,48,44,48,93,32,61,32,122,101,114,111,115,40,48,44,48,41,59,37,115,10,32,32,82,101,97,108,32,120,91,49,93,40,115,116,97,114,116,61,120,48,41,59,10,32,32,105,110,112,117,116,32,82,101,97,108,32,117,91,48,93,59,10,32,32,111,117,116,112,117,116,32,82,101,97,108,32,121,91,48,93,59,10,10,32,32,82,101,97,108,32,120,95,80,36,100,117,109,109,121,32,61,32,120,91,49,93,59,10,32,32,32,32,32,32,10,101,113,117,97,116,105,111,110,10,32,32,100,101,114,40,120,41,32,61,32,65,32,42,32,120,32,43,32,66,32,42,32,117,59,10,32,32,121,32,61,32,67,32,42,32,120,32,43,32,68,32,42,32,117,59,10,101,110,100,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,83,116,97,116,101,71,114,97,112,104,95,69,120,97,109,112,108,101,115,95,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,59,10,0,0,0,0,0,108,101,102,116,32,111,102,102,0,0,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,97,116,32,108,101,97,115,116,32,49,32,118,97,114,105,97,98,108,101,0,0,0,0,0,0,101,114,114,111,114,32,105,110,32,112,114,111,99,101,115,115,105,110,103,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,115,116,97,114,116,105,111,0,102,105,108,101,0,0,0,0,60,47,109,101,116,104,111,100,62,10,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,82,84,0,0,0,0,0,0,76,79,71,95,83,73,77,85,76,65,84,73,79,78,0,0,116,111,108,101,114,97,110,99,101,32,61,32,37,103,0,0,114,43,98,0,0,0,0,0,91,37,108,100,93,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,41,32,61,32,37,115,32,40,112,114,101,58,32,37,115,41,0,0,0,0,0,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,37,53,100,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,0,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,108,100,0,0,0,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,0,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,115,116,101,112,32,115,105,122,101,32,117,115,101,100,32,111,110,32,108,97,115,116,32,115,117,99,99,101,115,115,102,117,108,32,115,116,101,112,58,32,37,48,46,52,103,0,0,0,115,117,98,115,99,114,105,112,116,32,102,111,114,32,115,99,97,108,97,114,32,118,97,114,105,97,98,108,101,0,0,0,70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,120,112,97,116,32,111,98,106,101,99,116,0,0,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,119,98,0,0,0,0,0,0,80,108,111,116,115,32,111,102,32,112,114,111,102,105,108,105,110,103,32,100,97,116,97,32,119,101,114,101,32,100,105,115,97,98,108,101,100,58,32,37,115,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,84,87,79,0,0,0,0,110,111,101,109,105,116,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,117,112,100,97,116,105,110,103,32,110,111,109,105,110,97,108,45,118,97,108,117,101,115,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,57,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,112,97,114,97,109,115,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,73,110,102,111,32,109,97,116,114,105,120,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,32,102,97,105,108,101,100,0,0,0,0,0,0,117,110,99,108,111,115,101,100,32,67,68,65,84,65,32,115,101,99,116,105,111,110,0,0,65,99,108,97,115,115,0,0,34,37,115,34,44,0,0,0,116,114,121,32,45,105,108,115,32,116,111,32,97,99,116,105,118,97,116,101,32,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,0,0,0,0,0,0,0,108,101,97,115,116,83,113,117,97,114,101,61,37,103,0,0,110,117,109,98,101,114,32,111,102,32,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,58,32,32,37,108,100,32,40,37,108,100,32,115,116,97,116,101,115,32,43,32,37,108,100,32,112,97,114,97,109,101,116,101,114,115,32,43,32,37,108,100,32,100,105,115,99,114,101,116,101,32,114,101,97,108,115,41,0,0,0,0,97,115,115,101,114,116,0,0,102,109,116,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,115,116,97,116,117,115,0,0,0,37,108,102,0,0,0,0,0,37,115,37,46,53,101,32,0,105,110,102,111,0,0,0,0,60,109,101,116,104,111,100,62,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,73,110,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,98,121,32,97,110,32,97,115,115,101,114,116,105,111,110,32,97,116,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,67,80,85,0,0,0,0,0,116,111,108,101,114,97,110,99,101,0,0,0,0,0,0,0,76,79,71,95,82,69,83,95,73,78,73,84,0,0,0,0,114,98,0,0,0,0,0,0,98,111,111,108,101,97,110,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,37,53,100,32,115,116,101,112,115,32,116,97,107,101,110,0,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,0,0,0,0,0,0,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,107,105,110,115,111,108,0,0,91,37,100,93,32,37,115,0,91,37,100,93,32,37,115,0,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,0,0,0,37,108,100,32,0,0,0,0,115,116,101,112,32,115,105,122,101,32,72,32,116,111,32,98,101,32,97,116,116,101,109,112,116,101,100,32,111,110,32,110,101,120,116,32,115,116,101,112,58,32,37,48,46,52,103,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,0,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,99,111,117,110,116,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,0,0,110,108,115,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,48,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,110,97,109,101,115,32,109,97,116,114,105,120,0,0,0,0,101,110,99,111,100,105,110,103,32,115,112,101,99,105,102,105,101,100,32,105,110,32,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,105,115,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,60,100,101,102,105,110,101,115,62,32,110,101,101,100,115,32,116,111,32,104,97,118,101,32,101,120,97,99,116,108,121,32,111,110,101,32,97,116,116,114,105,98,117,116,101,58,32,110,97,109,101,0,0,0,0,0,60,47,100,97,116,101,62,10,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,105,110,105,116,83,116,101,112,46,110,79,117,116,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,114,118,97,108,115,32,61,32,37,108,100,0,115,116,101,112,83,105,122,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,82,69,83,0,0,0,0,0,97,98,0,0,0,0,0,0,91,37,108,100,93,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,41,32,61,32,37,108,100,32,40,112,114,101,58,32,37,108,100,41,0,0,0,0,115,111,108,118,101,114,58,32,68,65,83,83,76,0,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,103,0,0,0,0,0,0,0,0,77,111,100,101,108,105,99,97,46,83,116,97,116,101,71,114,97,112,104,46,69,120,97,109,112,108,101,115,46,83,104,111,119,67,111,109,112,111,115,105,116,101,83,116,101,112,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,32,99,111,117,108,100,32,110,111,116,32,98,101,32,111,112,101,110,101,100,58,32,37,115,0,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,105,110,116,101,103,114,97,116,105,111,110,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+880656);
/* memory initializer */ allocate([84,79,32,77,73,78,85,83,32,79,78,69,0,0,0,0,110,111,32,101,110,100,32,114,101,99,111,114,100,0,0,0,109,101,97,115,117,114,101,84,105,109,101,80,108,111,116,70,111,114,109,97,116,0,0,0,99,104,101,99,107,32,102,111,114,32,100,105,115,99,114,101,116,101,32,99,104,97,110,103,101,115,0,0,0,0,0,0,63,0,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,98,105,110,84,114,97,110,115,32,111,114,32,98,105,110,78,111,114,109,97,108,32,102,111,114,109,97,116,0,0,0,0,0,0,0,117,110,107,110,111,119,110,32,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,60,100,97,116,101,62,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,73,110,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,111,117,116,112,117,116,116,105,110,103,32,97,108,108,32,118,97,114,105,97,98,108,101,115,46,0,0,0,0,0,0,0,115,116,101,112,83,105,122,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,95,74,65,67,0,0,0,0,0,119,98,0,0,0,0,0,0,105,110,116,101,103,101,114,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,37,53,108,100,32,116,105,109,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,0,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,0,0,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,109,97,116,104,45,115,117,112,112,111,114,116,47,112,105,118,111,116,46,99,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,105,110,105,116,105,97,108,105,122,101,32,68,97,116,97,0,0,0,0,0,114,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,110,111,116,32,105,110,32,110,97,109,101,108,105,115,116,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,32,66,69,67,65,85,83,69,0,0,0,105,111,115,116,114,101,97,109,0,0,0,0,0,0,0,0,108,118,0,0,0,0,0,0,83,0,0,0,0,0,0,0,116,105,109,101,32,62,61,32,116,114,97,110,115,105,116,105,111,110,50,46,116,95,115,116,97,114,116,32,43,32,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,65,99,108,97,115,115,32,109,97,116,114,105,120,0,0,0,88,77,76,32,111,114,32,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,97,116,32,115,116,97,114,116,32,111,102,32,101,110,116,105,116,121,0,0,100,101,102,105,110,101,115,0,60,47,112,114,101,102,105,120,62,10,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,101,120,105,116,83,116,101,112,46,110,79,117,116,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,32,119,105,116,104,32,101,114,114,111,114,58,32,0,0,0,115,116,111,112,84,105,109,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,86,0,0,0,0,0,0,0,97,43,0,0,0,0,0,0,111,116,104,101,114,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,0,37,53,108,100,32,115,116,97,116,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,111,108,100,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,118,97,108,117,101,115,0,0,0,0,0,0,0,0,97,100,100,101,100,32,116,109,112,32,101,118,101,110,116,32,58,32,37,108,100,0,0,0,118,97,108,117,101,32,111,102,32,105,100,105,100,58,32,37,100,0,0,0,0,0,0,0,32,115,116,97,116,101,109,101,110,116,32,101,120,101,99,117,116,101,100,10,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,46,0,0,119,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,118,97,114,105,97,98,108,101,84,121,112,101,0,0,0,0,98,97,100,32,110,97,109,101,108,105,115,116,32,110,97,109,101,0,0,0,0,0,0,0,108,115,95,105,112,111,112,116,0,0,0,0,0,0,0,0,83,116,114,105,110,103,0,0,66,111,111,108,101,97,110,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,49,32,99,111,108,115,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,105,110,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,0,0,73,110,116,101,103,101,114,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,0,0,67,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,82,101,97,108,0,0,0,0,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,0,60,112,114,101,102,105,120,62,0,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,110,66,114,97,110,99,104,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,65,108,116,101,114,110,97,116,105,118,101,49,46,110,66,114,97,110,99,104,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,70,97,105,108,101,100,32,116,111,32,99,111,109,112,105,108,101,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,58,32,0,0,115,116,111,112,84,105,109,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,0,119,43,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,101,118,101,110,116,115,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,110,101,119,65,99,116,105,118,101,41,32,61,61,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,108,111,99,97,108,65,99,116,105,118,101,41,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,101,114,114,111,114,32,114,101,97,100,105,110,103,32,116,104,101,32,120,109,108,32,102,105,108,101,44,32,102,111,117,110,100,32,117,110,107,110,111,119,110,32,99,108,97,115,115,58,32,37,115,32,32,102,111,114,32,118,97,114,105,97,98,108,101,58,32,37,115,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,97,114,101,32,60,32,48,33,10,0,0,115,65,108,105,0,0,0,0,116,105,109,101,32,62,61,32,116,114,97,110,115,105,116,105,111,110,49,46,116,95,115,116,97,114,116,32,43,32,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,0,0,0,0,0,0,77,105,110,105,109,117,109,32,118,97,108,117,101,58,32,37,101,0,0,0,0,0,0,0,115,80,97,114,0,0,0,0,68,65,83,83,76,45,45,32,32,86,65,76,85,69,32,40,61,73,49,41,32,79,70,32,73,68,73,68,32,65,78,68,32,78,79,32,65,80,80,82,79,80,82,73,65,84,69,0,100,97,115,115,108,32,99,97,108,108,32,115,116,97,105,115,116,105,99,115,58,32,0,0,37,115,10,0,0,0,0,0,115,65,108,103,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,46,32,32,65,76,83,79,44,32,84,72,69,0,0,0,0,0,0,0,98,65,108,105,0,0,0,0,98,80,97,114,0,0,0,0,98,97,100,32,118,97,114,105,97,98,108,101,32,116,121,112,101,0,0,0,0,0,0,0,108,115,0,0,0,0,0,0,98,65,108,103,0,0,0,0,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,119,97,105,116,84,105,109,101,0,0,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,52,32,114,111,119,115,0,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,98,105,110,97,114,121,32,101,110,116,105,116,121,0,0,0,0,0,0,105,65,108,105,0,0,0,0,105,80,97,114,0,0,0,0,118,101,99,116,111,114,0,0,105,65,108,103,0,0,0,0,78,111,110,108,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,114,101,115,105,100,117,97,108,70,117,110,99,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,60,47,110,97,109,101,62,10,0,0,0,0,0,0,0,0,119,98,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,116,101,112,48,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,48,46,110,73,110,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,46,42,0,0,0,0,0,0,115,116,97,114,116,84,105,109,101,32,61,32,37,103,0,0,76,79,71,95,76,83,95,86,0,0,0,0,0,0,0,0,114,43,0,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,114,114,111,114,32,105,110,32,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,0,100,101,114,105,118,97,116,105,118,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,116,111,116,97,108,0,0,0,110,111,116,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,101,112,52,97,46,97,99,116,105,118,101,32,61,61,32,102,97,108,115,101,0,0,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,0,0,0,102,97,108,115,101,0,0,0,114,65,108,105,0,0,0,0,114,80,97,114,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,0,0,0,0,0,0,0,115,101,97,114,99,104,32,102,111,114,32,99,117,114,114,101,110,116,32,101,118,101,110,116,46,32,69,118,101,110,116,115,32,105,110,32,108,105,115,116,58,32,37,108,100,0,0,0,114,65,108,103,0,0,0,0,99,97,110,39,116,32,99,111,110,116,105,110,117,101,46,32,116,105,109,101,32,61,32,37,102,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,99,108,111,99,107,0,0,0,114,68,101,114,0,0,0,0,76,79,71,95,65,76,76,0,114,83,116,97,0,0,0,0,68,65,83,83,76,45,45,32,32,73,84,69,82,65,84,73,79,78,32,77,65,84,82,73,88,32,73,83,32,83,73,78,71,85,76,65,82,0,0,0,99,108,97,115,115,84,121,112,101,0,0,0,0,0,0,0,98,97,100,32,108,111,103,105,99,97,108,32,105,110,112,117,116,32,102,105,101,108,100,0,108,111,103,70,111,114,109,97,116,0,0,0,0,0,0,0,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,46,119,97,105,116,84,105,109,101,0,0,99,108,97,115,115,73,110,100,101,120,0,0,0,0,0,0,105,108,108,101,103,97,108,32,117,110,105,116,32,110,117,109,98,101,114,0,0,0,0,0,83,99,97,108,97,114,86,97,114,105,97,98,108,101,0,0,77,97,116,114,105,120,32,110,97,109,101,32,109,105,115,109,97,116,99,104,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,105,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,110,117,109,98,101,114,0,0,0,117,112,100,97,116,105,110,103,32,109,105,110,45,118,97,108,117,101,115,0,0,0,0,0,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,0,0,0,0,0,0,0,37,46,48,76,102,0,0,0,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,117,116,105,108,47,114,116,99,108,111,99,107,46,99,0,0,110,111,110,108,105,110,101,97,114,0,0,0,0,0,0,0,60,110,97,109,101,62,0,0,46,109,111,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,116,101,112,48,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,48,46,110,79,117,116,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,36,100,117,109,109,121,0,0,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,37,46,49,54,103,44,32,37,46,49,54,103,10,0,0,0,76,79,71,95,76,83,0,0,114,0,0,0,0,0,0,0,102,120,107,32,61,32,37,103,0,0,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,0,0,101,109,112,116,121,32,82,105,110,103,66,117,102,102,101,114,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,63,44,32,110,111,109,105,110,97,108,61,63,41,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,101,114,114,111,114,32,114,101,97,100,95,118,97,108,117,101,44,32,110,111,32,100,97,116,97,32,97,108,108,111,99,97,116,101,100,32,102,111,114,32,115,116,111,114,105,110,103,32,115,116,114,105,110,103,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,112,114,111,98,97,98,108,121,32,97,32,115,116,114,111,110,103,32,99,111,109,112,111,110,101,110,116,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,102,108,97,103,115,32,45,108,118,32,76,79,71,95,78,76,83,44,32,76,79,71,95,76,83,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,115,116,97,116,101,115,95,108,101,102,116,0,0,0,0,0,68,65,83,83,76,32,119,105,108,108,32,116,114,121,32,97,103,97,105,110,46,46,46,0,114,101,97,100,32,117,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,95,105,110,105,116,46,120,109,108,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,108,0,0,0,0,0,0,0,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,119,97,105,116,84,105,109,101,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,51,41,0,0,0,0,0,0,97,115,121,110,99,104,114,111,110,111,117,115,32,101,110,116,105,116,121,0,0,0,0,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,0,0,0,0,0,98,105,110,78,111,114,109,97,108,0,0,0,0,0,0,0,76,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,105,110,100,101,120,32,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,0,60,109,111,100,101,108,105,110,102,111,62,10,0,0,0,0,108,105,110,101,97,114,95,0,86,97,114,105,97,98,108,101,32,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,114,97,110,115,105,116,105,111,110,49,46,119,97,105,116,84,105,109,101,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,41,36,0,0,0,0,0,0,114,101,97,100,32,97,108,108,32,116,104,101,32,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,32,118,97,108,117,101,115,58,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,119,114,105,116,101,32,116,111,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,10,0,0,0,0,0,0,0,0,76,79,71,95,74,65,67,0,97,0,0,0,0,0,0,0,102,120,114,32,61,32,37,103,0,0,0,0,0,0,0,0,115,116,97,116,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,105,109,117,108,97,116,105,111,110,0,0,0,0,0,0,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,52,97,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,109,105,120,101,100,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,0,100,97,116,97,95,49,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,101,118,101,110,116,115,46,99,0,0,0,0,0,0,65,32,108,97,114,103,101,32,97,109,111,117,110,116,32,111,102,32,119,111,114,107,32,104,97,115,32,98,101,101,110,32,101,120,112,101,110,100,101,100,46,40,65,98,111,117,116,32,53,48,48,32,115,116,101,112,115,41,46,32,84,114,121,105,110,103,32,116,111,32,99,111,110,116,105,110,117,101,32,46,46,46,0,0,0,0,0,0,37,46,49,54,103,44,0,0,111,117,116,32,111,102,32,102,114,101,101,32,115,112,97,99,101,0,0,0,0,0,0,0,78,79,32,111,118,101,114,114,105,100,101,32,103,105,118,101,110,32,111,110,32,116,104,101,32,99,111,109,109,97,110,100,32,108,105,110,101,46,0,0,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,70,65,73,76,69,68,32,84,79,32,67,79,78,86,69,82,71,69,32,82,69,80,69,65,84,69,68,76,89,0,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,100,111,110,101,33,0,0,111,118,101,114,114,105,100,101,32,37,115,32,61,32,37,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,105,112,111,112,116,95,105,110,105,116,0,0,0,0,0,0,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,101,110,97,98,108,101,70,105,114,101,32,97,110,100,32,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,0,61,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,110,111,32,105,112,111,112,116,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,0,0,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,119,97,105,116,84,105,109,101,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,58,32,37,115,0,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,50,41,0,0,0,0,0,0,114,101,99,117,114,115,105,118,101,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,83,97,116,0,0,0,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,37,76,102,0,0,0,0,0,70,114,105,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,0,0,0,0,0,0,0,84,104,117,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,102,105,108,101,32,103,105,118,101,110,32,116,111,32,45,111,118,101,114,114,105,100,101,70,105,108,101,61,37,115,0,0,0,0,0,109,97,108,108,111,99,32,102,97,105,108,117,114,101,0,0,108,105,110,101,97,114,0,0,60,115,105,109,117,108,97,116,105,111,110,62,10,0,0,0,105,32,102,111,114,32,105,32,105,110,32,49,58,48,0,0,86,97,114,105,97,98,108,101,32,115,116,101,112,49,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,49,46,110,73,110,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,94,40,0,0,0,0,0,0,69,114,114,111,114,44,32,116,104,101,32,71,85,73,68,58,32,37,115,32,102,114,111,109,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,58,32,37,115,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,104,101,32,71,85,73,68,32,99,111,109,112,105,108,101,100,32,105,110,32,116,104,101,32,109,111,100,101,108,58,32,37,115,0,0,68,97,116,97,83,101,116,58,32,37,115,10,0,0,0,0,76,79,71,95,73,80,79,80,84,95,72,69,83,83,69,0,119,0,0,0,0,0,0,0,105,110,99,114,101,97,115,105,110,103,32,108,97,109,98,100,97,32,116,111,32,37,45,51,103,32,105,110,32,115,116,101,112,32,37,54,100,32,97,116,32,102,61,37,103,0,0,0,35,35,35,32,83,79,76,85,84,73,79,78,32,79,70,32,84,72,69,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,118,101,114,104,101,97,100,0,0,0,0,0,0,0,0,87,101,100,0,0,0,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,0,0,112,114,111,112,101,114,32,115,116,97,114,116,45,118,97,108,117,101,115,32,102,111,114,32,115,111,109,101,32,111,102,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,115,32,109,105,103,104,116,32,104,101,108,112,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,32,102,114,111,109,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,84,117,101,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,117,115,97,103,101,32,101,114,114,111,114,32,121,111,117,32,99,97,110,110,111,116,32,104,97,118,101,32,98,111,116,104,32,45,111,118,101,114,114,105,100,101,32,97,110,100,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,97,99,116,105,118,101,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,46,32,115,101,101,32,77,111,100,101,108,32,45,63,32,102,111,114,32,109,111,114,101,32,105,110,102,111,33,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,115,116,97,116,101,115,95,114,105,103,104,116,0,0,0,0,76,79,71,95,85,78,75,78,79,87,78,0,0,0,0,0,83,116,97,114,116,32,115,116,101,112,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,0,105,110,99,111,109,112,114,101,104,101,110,115,105,98,108,101,32,108,105,115,116,32,105,110,112,117,116,0,0,0,0,0,77,111,110,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,37,115,34,10,0,0,0,0,0,83,117,110,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,99,111,117,110,116,34,10,0,0,0,83,97,116,117,114,100,97,121,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,0,0,0,83,116,114,105,110,103,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,70,114,105,100,97,121,0,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,110,117,109,98,101,114,34,10,0,0,0,0,0,0,0,0,105,112,111,112,116,95,106,97,99,0,0,0,0,0,0,0,119,114,105,116,101,32,115,116,97,114,116,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,37,115,34,10,0,0,0,84,104,117,114,115,100,97,121,0,0,0,0,0,0,0,0,119,95,110,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,91,115,93,34,10,0,0,0,0,0,0,0,0,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,97,46,119,97,105,116,84,105,109,101,0,0,0,0,0,0,0,0,37,43,46,50,100,0,0,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,115,105,122,101,32,111,102,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,115,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,110,116,105,116,121,0,0,0,0,0,0,0,0,87,101,100,110,101,115,100,97,121,0,0,0,0,0,0,0,117,110,107,110,111,119,110,32,99,111,100,101,32,105,110,32,100,111,95,102,105,111,58,32,37,100,10,37,115,10,0,0,66,111,111,108,101,97,110,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,101,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,121,115,116,101,109,32,111,102,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,97,114,101,32,110,111,116,32,99,111,110,115,105,115,116,101,110,116,10,40,108,101,97,115,116,32,115,113,117,97,114,101,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,32,105,115,32,37,103,41,0,0,0,0,0,84,117,101,115,100,97,121,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,97,116,32,116,105,109,101,34,10,0,0,0,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,98,97,115,105,99,95,115,116,114,105,110,103,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,115,102,101,0,0,0,0,0,101,120,116,101,114,110,97,108,73,110,112,117,116,46,99,115,118,0,0,0,0,0,0,0,115,101,116,32,116,105,116,108,101,32,34,37,115,34,10,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,77,111,110,100,97,121,0,0,117,0,0,0,0,0,0,0,101,113,117,97,116,105,111,110,0,0,0,0,0,0,0,0,115,116,114,102,116,105,109,101,40,41,32,102,97,105,108,101,100,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,68,32,0,0,0,0,86,97,114,105,97,98,108,101,32,115,116,101,112,49,46,110,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,49,46,110,79,117,116,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,84,104,101,32,77,111,100,101,108,32,71,85,73,68,58,32,37,115,32,105,115,32,110,111,116,32,115,101,116,32,105,110,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,36,99,112,117,84,105,109,101,10,0,0,0,0,0,0,77,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,76,79,71,95,73,80,79,80,84,95,74,65,67,0,0,0,108,97,109,98,100,97,32,105,115,32,37,45,51,103,32,105,110,32,115,116,101,112,61,37,54,100,32,97,116,32,102,61,37,103,32,91,37,103,93,0,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,37,115,10,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,101,118,101,110,116,45,104,97,110,100,108,105,110,103,0,0,83,117,110,100,97,121,0,0,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,54,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,0,0,0,99,97,110,32,110,111,116,32,105,110,105,116,105,97,108,122,101,32,74,97,99,111,98,105,97,110,115,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,115,101,116,32,98,111,114,100,101,114,10,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,104,101,108,112,0,0,0,0,115,101,116,32,120,116,105,99,115,10,0,0,0,0,0,0,67,97,108,108,105,110,103,32,68,68,65,83,82,84,32,102,114,111,109,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,116,114,117,110,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,101,110,100,102,105,108,101,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,102,105,108,101,32,37,115,58,32,37,115,10,0,0,0,0,0,73,110,116,101,103,101,114,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,115,101,116,32,121,116,105,99,115,10,0,0,0,0,0,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,108,111,98,97,116,116,111,54,0,0,0,0,0,0,0,0,103,110,117,112,108,111,116,0,59,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,32,84,72,69,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,73,110,105,116,105,97,108,105,122,105,110,103,32,68,65,83,83,76,0,0,0,0,0,0,108,111,98,97,116,116,111,52,0,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,37,103,58,37,103,93,10,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,105,112,111,112,116,95,104,101,115,115,101,0,0,0,0,0,44,0,0,0,0,0,0,0,108,111,98,97,116,116,111,50,0,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,109,97,120,45,118,97,108,117,101,115,0,0,0,0,0,115,101,116,32,110,111,108,111,103,32,120,121,10,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,116,105,109,101,32,62,61,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,116,95,115,116,97,114,116,32,43,32,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,51,46,119,97,105,116,84,105,109,101,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,77,97,116,114,105,120,32,117,115,101,115,32,105,109,97,103,105,110,97,114,121,32,110,117,109,98,101,114,115,0,0,0,65,117,116,111,109,97,116,105,99,32,111,117,116,112,117,116,32,115,116,101,112,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,79,112,101,110,77,111,100,101,108,105,99,97,32,121,101,116,46,32,83,101,116,32,110,117,109,112,111,105,110,116,115,32,62,61,32,48,46,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,42,93,10,0,0,0,0,0,0,0,114,97,100,97,117,49,0,0,105,108,108,101,103,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,37,115,0,0,0,0,0,0,37,105,44,0,0,0,0,0,32,110,111,116,32,102,111,117,110,100,46,0,0,0,0,0,105,116,101,114,97,116,105,111,110,115,58,32,37,108,100,0,115,105,109,112,108,101,120,95,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,124,32,82,101,115,117,108,116,32,111,102,32,108,101,97,115,116,83,113,117,97,114,101,32,109,101,116,104,111,100,32,61,32,37,103,46,32,84,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,105,116,115,32,116,111,32,116,104,101,32,115,121,115,116,101,109,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,32,112,114,111,98,108,101,109,58,0,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,37,103,93,10,0,0,0,0,0,0,114,97,100,97,117,51,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,115,116,100,111,117,116,0,0,82,101,97,108,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,0,0,100,111,95,102,105,111,0,0,114,101,115,105,100,117,97,108,91,37,108,100,93,32,61,32,37,103,0,0,0,0,0,0,114,0,0,0,0,0,0,0,115,101,116,32,108,111,103,32,121,10,0,0,0,0,0,0,114,97,100,97,117,53,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,106,97,99,111,98,105,97,110,32,37,100,120,37,100,32,91,105,100,58,32,37,108,100,93,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,0,0,0,0,0,0,0,0,37,89,45,37,109,45,37,100,32,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,67,32,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,116,111,114,105,110,103,32,114,101,115,117,108,116,115,32,97,110,100,32,101,120,105,116,105,110,103,46,10,85,115,101,32,45,108,118,61,76,79,71,95,73,78,73,84,32,45,119,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,0,86,97,114,105,97,98,108,101,32,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,114,97,110,115,105,116,105,111,110,50,46,119,97,105,116,84,105,109,101,32,62,61,32,48,46,48,32,104,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+890896);
/* memory initializer */ allocate([115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,91,94,91,58,100,105,103,105,116,58,93,93,0,0,0,0,76,105,115,0,0,0,0,0,103,117,105,100,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,67,97,110,110,111,116,32,97,108,108,111,99,32,109,101,109,111,114,121,0,0,0,0,0,76,79,71,95,73,80,79,80,84,95,70,85,76,76,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,0,0,0,115,101,116,32,121,108,97,98,101,108,10,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,99,114,101,97,116,105,110,103,32,111,117,116,112,117,116,45,102,105,108,101,0,0,0,0,100,97,115,115,108,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,110,111,116,32,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,101,110,97,98,108,101,70,105,114,101,41,32,61,61,32,102,97,108,115,101,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,116,105,109,101,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,104,121,98,114,105,100,0,0,45,105,32,102,103,109,114,101,115,32,0,0,0,0,0,0,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,97,108,108,111,99,97,116,101,77,105,120,101,100,83,101,97,114,99,104,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,0,0,0,0,109,105,120,101,100,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,115,101,116,32,120,108,97,98,101,108,10,0,0,0,0,0,113,115,115,0,0,0,0,0,97,108,105,97,115,86,97,114,105,97,98,108,101,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,73,110,116,101,103,114,97,116,111,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,67,104,97,116,116,101,114,105,110,103,32,100,101,116,101,99,116,101,100,32,97,114,111,117,110,100,32,116,105,109,101,32,37,46,49,50,103,46,46,37,46,49,50,103,32,40,37,100,32,115,116,97,116,101,32,101,118,101,110,116,115,32,105,110,32,97,32,114,111,119,32,119,105,116,104,32,97,32,116,111,116,97,108,32,116,105,109,101,32,100,101,108,116,97,32,108,101,115,115,32,116,104,97,110,32,116,104,101,32,115,116,101,112,32,115,105,122,101,32,37,46,49,50,103,41,46,32,84,104,105,115,32,99,97,110,32,98,101,32,97,32,112,101,114,102,111,114,109,97,110,99,101,32,98,111,116,116,108,101,110,101,99,107,46,32,85,115,101,32,45,108,118,32,76,79,71,95,69,86,69,78,84,83,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,32,84,104,101,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,119,97,115,58,32,37,115,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,115,101,116,32,116,105,116,108,101,10,0,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,73,110,116,101,114,112,111,108,97,116,101,32,108,105,110,101,97,114,0,0,0,0,0,0,111,102,102,32,101,110,100,32,111,102,32,114,101,99,111,114,100,0,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,114,101,97,100,32,102,111,114,32,37,115,32,110,101,103,97,116,101,100,32,37,100,32,102,114,111,109,32,115,101,116,117,112,32,102,105,108,101,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,110,101,103,97,116,101,100,65,108,105,97,115,0,0,0,0,97,108,105,97,115,0,0,0,78,76,83,95,85,78,75,78,79,87,78,0,0,0,0,0,117,110,115,101,116,32,98,111,114,100,101,114,10,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,65,83,32,66,69,67,79,77,69,32,46,76,69,46,32,48,46,48,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,76,105,115,46,0,0,117,110,115,101,116,32,121,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,0,0,105,111,109,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,97,112,97,99,107,46,0,0,0,0,0,0,0,117,110,115,101,116,32,120,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,0,0,0,0,0,0,105,110,116,101,103,101,114,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,115,116,97,116,101,71,114,97,112,104,82,111,111,116,46,115,117,98,103,114,97,112,104,83,116,97,116,101,80,111,114,116,46,97,99,116,105,118,101,83,116,101,112,115,44,32,49,41,0,0,77,97,116,114,105,120,32,116,121,112,101,32,109,105,115,109,97,116,99,104,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,42,50,100,111,117,98,108,101,37,37,37,100,117,105,110,116,51,50,37,37,42,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,37,100,32,119,32,108,32,108,119,32,37,100,10,0,0,0,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,68,101,99,0,0,0,0,0,106,117,110,107,32,97,102,116,101,114,32,100,111,99,117,109,101,110,116,32,101,108,101,109,101,110,116,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,109,105,120,101,100,32,115,111,108,118,101,114,0,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,50,100,111,117,98,108,101,37,37,42,37,100,117,105,110,116,51,50,37,37,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,49,58,40,36,37,100,62,49,101,45,57,32,63,32,36,37,100,32,58,32,49,101,45,51,48,41,32,119,32,108,32,108,119,32,37,100,10,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,78,111,118,0,0,0,0,0,38,113,117,111,116,59,0,0,108,111,98,97,116,116,111,54,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,79,99,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,100,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,116,33,0,0,0,0,0,0,116,105,109,101,40,41,32,102,97,105,108,101,100,58,32,37,115,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,66,32,0,0,0,0,86,97,114,105,97,98,108,101,32,115,116,101,112,54,46,110,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,101,112,54,46,110,73,110,32,62,61,32,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,91,91,58,100,105,103,105,116,58,93,93,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,116,105,109,101,10,0,0,67,97,110,110,111,116,32,119,114,105,116,101,32,116,111,32,102,105,108,101,32,37,115,0,76,79,71,95,73,80,79,80,84,0,0,0,0,0,0,0,37,46,49,54,103,44,0,0,83,101,112,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,38,97,112,111,115,59,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,116,101,112,115,0,0,0,108,111,98,97,116,116,111,52,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,106,97,99,111,98,105,97,110,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,112,114,101,40,99,111,109,112,111,115,105,116,101,83,116,101,112,46,116,114,97,110,115,105,116,105,111,110,53,46,116,95,115,116,97,114,116,41,32,45,32,116,105,109,101,0,0,0,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,38,103,116,59,0,0,0,0,108,111,98,97,116,116,111,50,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,65,117,103,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,99,97,108,108,32,116,101,114,109,105,110,97,116,101,40,41,32,97,116,32,116,105,109,101,32,37,102,10,77,101,115,115,97,103,101,32,58,32,37,115,0,0,0,0,0,119,98,0,0,0,0,0,0,95,112,114,111,102,46,100,97,116,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,105,122,101,95,111,102,95,100,105,109,101,110,115,105,111,110,95,98,97,115,101,95,97,114,114,97,121,0,0,0,0,114,116,95,105,110,105,116,0,112,114,105,110,116,77,111,100,101,108,73,110,102,111,0,0,112,105,118,111,116,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,118,97,108,115,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,115,105,110,103,108,101,95,118,97,108,0,0,0,0,0,109,111,100,101,108,73,110,102,111,88,109,108,73,110,105,116,0,0,0,0,0,0,0,0,102,105,110,100,82,111,111,116,0,0,0,0,0,0,0,0,100,97,115,114,116,95,115,116,101,112,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,72,58,37,77,58,37,83,37,72,58,37,77,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,37,89,45,37,109,45,37,100,37,109,47,37,100,47,37,121,37,72,58,37,77,58,37,83,37,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,0,0,0,0,112,233,13,0,194,0,0,0,152,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,233,13,0,252,0,0,0,206,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,233,13,0,92,0,0,0,70,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,233,13,0,122,0,0,0,40,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,233,13,0,122,0,0,0,14,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,233,13,0,122,0,0,0,32,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,233,13,0,212,0,0,0,106,0,0,0,66,0,0,0,2,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,233,13,0,64,1,0,0,236,0,0,0,66,0,0,0,4,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,234,13,0,204,0,0,0,238,0,0,0,66,0,0,0,10,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,234,13,0,66,1,0,0,184,0,0,0,66,0,0,0,8,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,234,13,0,14,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,234,13,0,62,1,0,0,118,0,0,0,66,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,234,13,0,202,0,0,0,146,0,0,0,66,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,235,13,0,56,0,0,0,148,0,0,0,66,0,0,0,180,0,0,0,4,0,0,0,32,0,0,0,6,0,0,0,20,0,0,0,58,0,0,0,2,0,0,0,248,255,255,255,24,235,13,0,26,0,0,0,10,0,0,0,52,0,0,0,18,0,0,0,4,0,0,0,48,0,0,0,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,235,13,0,242,0,0,0,36,1,0,0,66,0,0,0,24,0,0,0,16,0,0,0,62,0,0,0,26,0,0,0,18,0,0,0,2,0,0,0,4,0,0,0,248,255,255,255,64,235,13,0,102,0,0,0,156,0,0,0,174,0,0,0,186,0,0,0,146,0,0,0,64,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,235,13,0,98,0,0,0,240,0,0,0,66,0,0,0,70,0,0,0,182,0,0,0,14,0,0,0,66,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,235,13,0,128,0,0,0,88,0,0,0,66,0,0,0,60,0,0,0,130,0,0,0,28,0,0,0,88,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,235,13,0,52,1,0,0,2,0,0,0,66,0,0,0,48,0,0,0,38,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,235,13,0,64,0,0,0,8,0,0,0,66,0,0,0,16,0,0,0,18,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,235,13,0,22,1,0,0,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,235,13,0,44,0,0,0,182,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,235,13,0,12,0,0,0,218,0,0,0,66,0,0,0,8,0,0,0,6,0,0,0,12,0,0,0,4,0,0,0,10,0,0,0,4,0,0,0,2,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,13,0,126,0,0,0,28,0,0,0,66,0,0,0,24,0,0,0,28,0,0,0,36,0,0,0,26,0,0,0,34,0,0,0,8,0,0,0,6,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,236,13,0,58,0,0,0,38,0,0,0,66,0,0,0,50,0,0,0,48,0,0,0,40,0,0,0,42,0,0,0,28,0,0,0,46,0,0,0,38,0,0,0,56,0,0,0,54,0,0,0,52,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,236,13,0,72,0,0,0,6,0,0,0,66,0,0,0,76,0,0,0,68,0,0,0,24,0,0,0,66,0,0,0,60,0,0,0,30,0,0,0,64,0,0,0,74,0,0,0,72,0,0,0,70,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,236,13,0,94,0,0,0,116,0,0,0,66,0,0,0,50,0,0,0,22,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,236,13,0,42,0,0,0,220,0,0,0,66,0,0,0,100,0,0,0,30,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,236,13,0,18,0,0,0,72,1,0,0,66,0,0,0,2,0,0,0,10,0,0,0,108,0,0,0,178,0,0,0,98,0,0,0,116,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,236,13,0,230,0,0,0,176,0,0,0,66,0,0,0,14,0,0,0,16,0,0,0,44,0,0,0,74,0,0,0,8,0,0,0,104,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,236,13,0,230,0,0,0,34,0,0,0,66,0,0,0,6,0,0,0,4,0,0,0,26,0,0,0,150,0,0,0,88,0,0,0,56,0,0,0,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,236,13,0,230,0,0,0,130,0,0,0,66,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,46,0,0,0,14,0,0,0,52,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,13,0,230,0,0,0,52,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,237,13,0,76,0,0,0,200,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,237,13,0,230,0,0,0,100,0,0,0,66,0,0,0,44,0,0,0,30,0,0,0,48,0,0,0,94,0,0,0,30,0,0,0,56,0,0,0,70,0,0,0,8,0,0,0,12,0,0,0,86,0,0,0,24,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,237,13,0,68,1,0,0,54,0,0,0,66,0,0,0,24,0,0,0,22,0,0,0,54,0,0,0,64,0,0,0,20,0,0,0,58,0,0,0,52,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,112,237,13,0,10,1,0,0,250,0,0,0,200,255,255,255,200,255,255,255,112,237,13,0,48,0,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,237,13,0,166,0,0,0,110,0,0,0,110,0,0,0,10,0,0,0,36,0,0,0,62,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,237,13,0,230,0,0,0,108,0,0,0,66,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,46,0,0,0,14,0,0,0,52,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,237,13,0,230,0,0,0,208,0,0,0,66,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,46,0,0,0,14,0,0,0,52,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,237,13,0,68,0,0,0,20,1,0,0,94,0,0,0,68,0,0,0,30,0,0,0,4,0,0,0,72,0,0,0,132,0,0,0,42,0,0,0,184,0,0,0,12,0,0,0,80,0,0,0,40,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,237,13,0,172,0,0,0,44,1,0,0,36,0,0,0,46,0,0,0,20,0,0,0,24,0,0,0,134,0,0,0,116,0,0,0,60,0,0,0,42,0,0,0,36,0,0,0,14,0,0,0,76,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,237,13,0,16,0,0,0,156,0,0,0,94,0,0,0,68,0,0,0,34,0,0,0,20,0,0,0,72,0,0,0,132,0,0,0,42,0,0,0,6,0,0,0,12,0,0,0,86,0,0,0,40,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,216,237,13,0,154,0,0,0,134,0,0,0,152,255,255,255,152,255,255,255,216,237,13,0,112,0,0,0,226,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,232,237,13,0,168,0,0,0,222,0,0,0,148,255,255,255,148,255,255,255,232,237,13,0,136,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,24,238,13,0,60,0,0,0,16,1,0,0,252,255,255,255,252,255,255,255,24,238,13,0,190,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,48,238,13,0,24,1,0,0,46,1,0,0,252,255,255,255,252,255,255,255,48,238,13,0,144,0,0,0,2,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,72,238,13,0,114,0,0,0,58,1,0,0,248,255,255,255,248,255,255,255,72,238,13,0,232,0,0,0,42,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,96,238,13,0,142,0,0,0,8,1,0,0,248,255,255,255,248,255,255,255,96,238,13,0,180,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,238,13,0,18,1,0,0,84,0,0,0,70,0,0,0,50,0,0,0,16,0,0,0,18,0,0,0,68,0,0,0,132,0,0,0,42,0,0,0,138,0,0,0,12,0,0,0,50,0,0,0,40,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,238,13,0,6,1,0,0,26,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,238,13,0,56,1,0,0,40,1,0,0,30,0,0,0,46,0,0,0,20,0,0,0,24,0,0,0,80,0,0,0,116,0,0,0,60,0,0,0,42,0,0,0,36,0,0,0,14,0,0,0,58,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,238,13,0,198,0,0,0,12,1,0,0,60,0,0,0,68,0,0,0,34,0,0,0,20,0,0,0,136,0,0,0,132,0,0,0,42,0,0,0,6,0,0,0,12,0,0,0,86,0,0,0,72,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,238,13,0,32,1,0,0,188,0,0,0,66,0,0,0,100,0,0,0,176,0,0,0,76,0,0,0,116,0,0,0,6,0,0,0,50,0,0,0,76,0,0,0,40,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,239,13,0,140,0,0,0,74,0,0,0,66,0,0,0,164,0,0,0,172,0,0,0,100,0,0,0,112,0,0,0,114,0,0,0,44,0,0,0,170,0,0,0,82,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,239,13,0,38,1,0,0,150,0,0,0,66,0,0,0,20,0,0,0,84,0,0,0,10,0,0,0,72,0,0,0,118,0,0,0,84,0,0,0,144,0,0,0,90,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,239,13,0,96,0,0,0,216,0,0,0,66,0,0,0,154,0,0,0,158,0,0,0,48,0,0,0,106,0,0,0,46,0,0,0,38,0,0,0,112,0,0,0,104,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,239,13,0,248,0,0,0,24,0,0,0,92,0,0,0,46,0,0,0,20,0,0,0,24,0,0,0,134,0,0,0,116,0,0,0,60,0,0,0,106,0,0,0,118,0,0,0,26,0,0,0,76,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,239,13,0,22,0,0,0,28,1,0,0,98,0,0,0,68,0,0,0,34,0,0,0,20,0,0,0,72,0,0,0,132,0,0,0,42,0,0,0,148,0,0,0,28,0,0,0,4,0,0,0,40,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,239,13,0,60,1,0,0,254,0,0,0,82,0,0,0,196,0,0,0,14,0,0,0,2,0,0,0,28,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,220,214,13,0,244,239,13,0,8,240,13,0,240,214,13,0,132,216,13,0,28,240,13,0,48,240,13,0,152,216,13,0,180,216,13,0,68,240,13,0,88,240,13,0,200,216,13,0,83,116,57,116,121,112,101,95,105,110,102,111,0,0,0,0,83,116,57,101,120,99,101,112,116,105,111,110,0,0,0,0,83,116,57,98,97,100,95,97,108,108,111,99,0,0,0,0,83,116,56,98,97,100,95,99,97,115,116,0,0,0,0,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,0,0,0,0,0,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,0,0,0,0,0,0,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,0,0,0,0,0,0,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,78,83,116,51,95,95,49,57,116,105,109,101,95,98,97,115,101,69,0,0,0,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,55,102,97,105,108,117,114,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,119,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,99,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,78,83,116,51,95,95,49,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,0,0,78,83,116,51,95,95,49,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,111,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,0,78,83,116,51,95,95,49,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,0,78,83,116,51,95,95,49,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+901136);
/* memory initializer */ allocate([110,99,116,73,99,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,99,116,121,112,101,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,116,105,109,101,95,112,117,116,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,0,0,0,0,0,128,220,13,0,0,0,0,0,144,220,13,0,0,0,0,0,160,220,13,0,104,233,13,0,0,0,0,0,0,0,0,0,176,220,13,0,104,233,13,0,0,0,0,0,0,0,0,0,192,220,13,0,104,233,13,0,0,0,0,0,0,0,0,0,216,220,13,0,192,233,13,0,0,0,0,0,0,0,0,0,240,220,13,0,192,233,13,0,0,0,0,0,0,0,0,0,8,221,13,0,104,233,13,0,0,0,0,0,0,0,0,0,24,221,13,0,40,220,13,0,48,221,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,208,238,13,0,0,0,0,0,40,220,13,0,120,221,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,216,238,13,0,0,0,0,0,40,220,13,0,192,221,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,224,238,13,0,0,0,0,0,40,220,13,0,8,222,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,232,238,13,0,0,0,0,0,0,0,0,0,80,222,13,0,200,235,13,0,0,0,0,0,0,0,0,0,128,222,13,0,200,235,13,0,0,0,0,0,40,220,13,0,176,222,13,0,0,0,0,0,1,0,0,0,0,238,13,0,0,0,0,0,40,220,13,0,200,222,13,0,0,0,0,0,1,0,0,0,0,238,13,0,0,0,0,0,40,220,13,0,224,222,13,0,0,0,0,0,1,0,0,0,8,238,13,0,0,0,0,0,40,220,13,0,248,222,13,0,0,0,0,0,1,0,0,0,8,238,13,0,0,0,0,0,40,220,13,0,16,223,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,128,239,13,0,0,8,0,0,40,220,13,0,88,223,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,128,239,13,0,0,8,0,0,40,220,13,0,160,223,13,0,0,0,0,0,3,0,0,0,0,237,13,0,2,0,0,0,208,233,13,0,2,0,0,0,96,237,13,0,0,8,0,0,40,220,13,0,232,223,13,0,0,0,0,0,3,0,0,0,0,237,13,0,2,0,0,0,208,233,13,0,2,0,0,0,104,237,13,0,0,8,0,0,0,0,0,0,48,224,13,0,0,237,13,0,0,0,0,0,0,0,0,0,72,224,13,0,0,237,13,0,0,0,0,0,40,220,13,0,96,224,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,16,238,13,0,2,0,0,0,40,220,13,0,120,224,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,16,238,13,0,2,0,0,0,0,0,0,0,144,224,13,0,0,0,0,0,168,224,13,0,136,238,13,0,0,0,0,0,40,220,13,0,200,224,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,120,234,13,0,0,0,0,0,40,220,13,0,16,225,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,144,234,13,0,0,0,0,0,40,220,13,0,88,225,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,168,234,13,0,0,0,0,0,40,220,13,0,160,225,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,192,234,13,0,0,0,0,0,0,0,0,0,232,225,13,0,0,237,13,0,0,0,0,0,0,0,0,0,0,226,13,0,0,237,13,0,0,0,0,0,40,220,13,0,24,226,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,152,238,13,0,2,0,0,0,40,220,13,0,64,226,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,152,238,13,0,2,0,0,0,40,220,13,0,104,226,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,152,238,13,0,2,0,0,0,40,220,13,0,144,226,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,152,238,13,0,2,0,0,0,0,0,0,0,184,226,13,0,248,237,13,0,0,0,0,0,0,0,0,0,208,226,13,0,0,237,13,0,0,0,0,0,40,220,13,0,232,226,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,120,239,13,0,2,0,0,0,40,220,13,0,0,227,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,120,239,13,0,2,0,0,0,0,0,0,0,24,227,13,0,0,0,0,0,64,227,13,0,0,0,0,0,104,227,13,0,48,238,13,0,0,0,0,0,0,0,0,0,176,227,13,0,160,238,13,0,0,0,0,0,0,0,0,0,208,227,13,0,224,236,13,0,0,0,0,0,0,0,0,0,248,227,13,0,224,236,13,0,0,0,0,0,0,0,0,0,32,228,13,0,200,237,13,0,0,0,0,0,0,0,0,0,104,228,13,0,0,0,0,0,160,228,13,0,0,0,0,0,216,228,13,0,0,0,0,0,248,228,13,0,48,238,13,0,0,0,0,0,0,0,0,0,40,229,13,0,96,238,13,0,0,0,0,0,0,0,0,0,88,229,13,0,0,0,0,0,120,229,13,0,0,0,0,0,152,229,13,0,0,0,0,0,184,229,13,0,40,220,13,0,208,229,13,0,0,0,0,0,1,0,0,0,88,234,13,0,3,244,255,255,40,220,13,0,0,230,13,0,0,0,0,0,1,0,0,0,104,234,13,0,3,244,255,255,40,220,13,0,48,230,13,0,0,0,0,0,1,0,0,0,88,234,13,0,3,244,255,255,40,220,13,0,96,230,13,0,0,0,0,0,1,0,0,0,104,234,13,0,3,244,255,255,0,0,0,0,144,230,13,0,200,237,13,0,0,0,0,0,0,0,0,0,192,230,13,0,144,233,13,0,0,0,0,0,0,0,0,0,216,230,13,0,0,0,0,0,240,230,13,0,208,237,13,0,0,0,0,0,0,0,0,0,8,231,13,0,192,237,13,0,0,0,0,0,0,0,0,0,40,231,13,0,200,237,13,0,0,0,0,0,0,0,0,0,72,231,13,0,0,0,0,0,104,231,13,0,0,0,0,0,136,231,13,0,0,0,0,0,168,231,13,0,40,220,13,0,200,231,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,112,239,13,0,2,0,0,0,40,220,13,0,232,231,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,112,239,13,0,2,0,0,0,40,220,13,0,8,232,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,112,239,13,0,2,0,0,0,40,220,13,0,40,232,13,0,0,0,0,0,2,0,0,0,0,237,13,0,2,0,0,0,112,239,13,0,2,0,0,0,0,0,0,0,72,232,13,0,0,0,0,0,96,232,13,0,0,0,0,0,120,232,13,0,0,0,0,0,144,232,13,0,192,237,13,0,0,0,0,0,0,0,0,0,168,232,13,0,200,237,13,0,0,0,0,0,0,0,0,0,192,232,13,0,200,239,13,0,0,0,0,0,0,0,0,0,232,232,13,0,200,239,13,0,0,0,0,0,0,0,0,0,16,233,13,0,216,239,13,0,0,0,0,0,0,0,0,0,56,233,13,0,96,233,13,0,0,0,0,0,56,0,0,0,0,0,0,0,48,238,13,0,24,1,0,0,46,1,0,0,200,255,255,255,200,255,255,255,48,238,13,0,144,0,0,0,2,1,0,0,104,0,0,0,0,0,0,0,48,238,13,0,24,1,0,0,46,1,0,0,152,255,255,255,152,255,255,255,48,238,13,0,144,0,0,0,2,1,0,0,108,0,0,0,0,0,0,0,96,238,13,0,142,0,0,0,8,1,0,0,148,255,255,255,148,255,255,255,96,238,13,0,180,0,0,0,70,0,0,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,136,240,13,0,200,102,14,0,0,0,0,0,1,0,0,0,144,240,13,0,208,102,14,0,0,0,0,0,1,0,0,0,152,240,13,0,40,86,14,0,0,0,0,0,0,0,0,0,232,203,10,0,8,187,0,0,168,160,0,0,48,142,0,0,0,126,0,0,168,111,0,0,112,99,0,0,192,87,0,0,0,200,13,0,48,189,13,0,32,181,13,0,136,174,13,0,72,169,13,0,88,165,13,0,240,161,13,0,208,157,13,0,80,155,13,0,184,152,13,0,80,149,13,0,144,145,13,0,192,141,13,0,88,205,10,0,128,219,0,0,216,215,0,0,152,211,0,0,224,207,0,0,152,205,0,0,192,202,0,0,200,199,0,0,248,195,0,0,176,191,0,0,120,188,0,0,56,185,0,0,224,182,0,0,80,180,0,0,168,177,0,0,160,175,0,0,16,173,0,0,184,170,0,0,88,166,0,0,0,0,0,0,208,112,0,0,184,88,0,0,56,88,0,0,0,193,13,0,32,86,0,0,144,85,0,0,192,190,13,0,80,190,13,0,40,189,13,0,200,187,13,0,120,187,13,0,160,186,13,0,120,186,13,0,160,185,13,0,248,184,13,0,216,184,13,0,160,182,13,0,32,182,13,0,232,195,13,0,72,194,13,0,208,112,0,0,184,88,0,0,56,88,0,0,8,87,0,0,32,86,0,0,144,85,0,0,168,84,0,0,184,83,0,0,48,83,0,0,120,204,13,0,176,203,13,0,104,201,13,0,48,201,13,0,224,199,13,0,136,198,13,0,208,197,13,0,40,197,13,0,200,196,13,0,232,195,13,0,72,194,13,0,208,112,0,0,208,103,0,0,0,103,0,0,136,100,0,0,200,99,0,0,64,99,0,0,128,98,0,0,0,0,0,0,80,127,0,0,168,117,0,0,96,116,0,0,0,114,0,0,224,112,0,0,136,111,0,0,168,109,0,0,0,0,0,0,208,112,0,0,104,111,0,0,144,109,0,0,8,107,0,0,40,106,0,0,96,105,0,0,136,104,0,0,0,0,0,0,80,127,0,0,72,125,0,0,56,124,0,0,128,122,0,0,112,121,0,0,56,120,0,0,72,119,0,0,0,0,0,0,8,197,13,0,176,193,13,0,232,147,13,0,200,198,0,0,152,169,0,0,0,0,0,0,128,149,0,0,232,132,0,0,120,116,0,0,32,103,0,0,152,169,0,0,0,0,0,0,112,184,0,0,40,173,13,0,88,204,10,0,152,187,0,0,40,161,0,0,80,142,0,0,128,125,0,0,8,111,0,0,224,98,0,0,152,86,0,0,24,199,13,0,0,0,0,0,1,0,0,0,227,0,0,0,1,0,0,0,236,0,0,0,1,0,0,0,247,0,0,0,1,0,0,0,38,1,0,0,1,0,0,0,30,1,0,0,1,0,0,0,49,1,0,0,1,0,0,0,12,1,0,0,1,0,0,0,2,1,0,0,1,0,0,0,20,1,0,0,1,0,0,0,25,1,0,0,1,0,0,0,209,0,0,0,72,243,13,0,64,243,13,0,48,243,13,0,40,243,13,0,32,243,13,0,24,243,13,0,16,243,13,0,8,243,13,0,0,243,13,0,248,242,13,0,56,243,13,0,0,0,0,0,112,184,0,0,16,188,13,0,144,180,13,0,0,174,13,0,192,168,13,0,184,164,13,0,112,161,13,0,80,160,13,0,248,154,13,0,0,0,0,0,48,84,0,0,200,151,13,0,0,148,13,0,208,198,0,0,160,169,0,0,136,149,0,0,248,132,0,0,136,116,0,0,48,103,0,0,16,93,0,0,0,204,13,0,40,193,13,0,72,184,13,0,224,176,13,0,24,171,13,0,8,167,13,0,88,163,13,0,88,159,13,0,112,156,13,0,216,153,13,0,192,150,13,0,160,147,13,0,240,142,13,0,72,206,10,0,208,220,0,0,128,217,0,0,48,213,0,0,144,209,0,0,112,206,0,0,208,203,0,0,64,201,0,0,96,198,0,0,32,193,0,0,8,190,0,0,16,186,0,0,144,183,0,0,0,181,0,0,168,178,0,0,64,176,0,0,248,173,0,0,168,171,0,0,24,169,0,0,0,0,0,0,0,0,0,0,64,130,0,0,94,8,0,0,5,0,0,0,96,8,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,130,0,0,255,7,0,0,5,0,0,0,255,7,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,130,0,0,0,8,0,0,5,0,0,0,0,8,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,130,0,0,156,9,0,0,3,0,0,0,156,9,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,130,0,0,11,10,0,0,3,0,0,0,12,10,0,0,66,0,0,0,0,0,0,0,10,0,0,0,86,0,0,0,0,1,0,0,224,0,0,0,80,0,0,0,244,0,0,0,68,0,0,0,66,0,0,0,54,0,0,0,32,0,0,0,166,0,0,0,92,0,0,0,194,0,0,0,16,0,0,0,2,0,0,0,38,0,0,0,50,0,0,0,34,0,0,0,1,0,0,0,0,0,0,0,114,0,0,0,30,0,0,0,160,0,0,0,2,0,0,0,18,0,0,0,142,0,0,0,42,0,0,0,94,0,0,0,4,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,128,0,0,0,120,0,0,0,124,0,0,0,122,0,0,0,126,0,0,0,202,0,0,0,192,0,0,0,200,0,0,0,104,0,0,0,62,0,0,0,4,0,0,0,16,0,0,0,44,0,0,0,2,0,0,0,72,206,0,0,104,109,0,0,232,106,0,0,16,106,0,0,80,146,13,0,64,105,0,0,144,178,13,0,104,190,13,0,80,146,13,0,184,196,0,0,104,167,0,0,72,148,0,0,96,131,0,0,224,115,0,0,48,102,0,0,0,92,0,0,56,203,13,0,136,192,13,0,184,183,13,0,72,176,13,0,192,170,13,0,120,166,13,0,224,162,13,0,32,159,13,0,40,156,13,0,144,153,13,0,104,150,13,0,96,147,13,0,152,142,13,0,32,206,10,0,152,220,0,0,24,217,0,0,192,212,0,0,0,209,0,0,72,206,0,0,136,203,0,0,136,203,0,0,216,200,0,0,24,198,0,0,192,192,0,0,176,189,0,0,176,185,0,0,56,183,0,0,160,180,0,0,88,178,0,0,248,175,0,0,144,173,0,0,16,171,0,0,152,168,0,0,200,163,0,0,40,162,0,0,248,159,0,0,96,158,0,0,152,156,0,0,160,154,0,0,96,153,0,0,184,151,0,0,136,150,0,0,240,146,0,0,152,144,0,0,104,143,0,0,144,141,0,0,121,101,115,0,0,0,0,0,118,101,114,115,105,111,110,0,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,110,111,0,0,0,0,0,0,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,85,84,70,45,56,0,0,0,85,84,70,45,49,54,76,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,66,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,0,0,85,83,45,65,83,67,73,73,0,0,0,0,0,0,0,0,83,89,83,84,69,77,0,0,82,69,81,85,73,82,69,68,0,0,0,0,0,0,0,0,80,85,66,76,73,67,0,0,80,67,68,65,84,65,0,0,78,79,84,65,84,73,79,78,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,78,68,65,84,65,0,0,0,73,83,79,45,56,56,53,57,45,49,0,0,0,0,0,0,73,78,67,76,85,68,69,0,73,77,80,76,73,69,68,0,73,71,78,79,82,69,0,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,70,73,88,69,68,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,69,77,80,84,89,0,0,0,69,76,69,77,69,78,84,0,68,79,67,84,89,80,69,0,67,68,65,84,65,0,0,0,65,84,84,76,73,83,84,0,65,78,89,0,0,0,0,0,80,127,0,0,208,104,0,0,224,103,0,0,16,103,0,0,80,127,0,0,144,107,0,0,56,106,0,0,136,105,0,0,40,143,0,0,24,165,13,0,48,215,0,0,192,182,0,0,168,157,0,0,216,139,0,0,56,123,0,0,232,104,0,0,240,97,0,0,128,83,0,0,24,196,13,0,176,185,13,0,192,178,13,0,80,172,13,0,128,83,0,0,104,168,13,0,144,164,13,0,72,161,13,0,112,157,13,0,136,154,13,0,40,152,13,0,208,148,13,0,8,144,13,0,120,138,13,0,216,204,10,0,0,219,0,0,192,214,0,0,208,210,0,0,104,207,0,0,240,204,0,0,72,202,0,0,120,199,0,0,0,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,40,136,0,0,56,164,13,0,232,214,0,0,248,181,0,0,160,157,0,0,184,139,0,0,48,123,0,0,40,108,0,0,64,98,0,0,224,85,0,0,56,198,13,0,176,187,13,0,248,179,13,0,24,173,13,0,184,168,13,0,168,164,13,0,96,161,13,0,136,157,13,0,232,154,13,0,56,152,13,0,240,148,13,0,184,144,13,0,192,138,13,0,240,204,10,0,24,219,0,0,32,215,0,0,40,211,0,0,128,207,0,0,104,205,0,0,144,202,0,0,136,199,0,0,0,0,0,0,160,195,0,0,136,129,0,0,176,127,0,0,240,184,0,0,112,126,0,0,8,180,0,0,120,177,0,0,184,124,0,0,80,123,0,0,152,170,0,0,232,165,0,0,40,122,0,0,200,120,0,0,200,119,0,0,240,157,0,0,40,156,0,0,24,118,0,0,0,117,0,0,232,114,0,0,80,113,0,0,40,146,0,0,104,144,0,0,56,143,0,0,24,112,0,0,248,109,0,0,48,108,0,0,112,137,0,0,56,136,0,0,224,134,0,0,144,133,0,0,136,199,0,0,0,0,0,0,160,195,0,0,88,191,0,0,72,188,0,0,240,184,0,0,128,182,0,0,8,180,0,0,120,177,0,0,80,175,0,0,248,172,0,0,152,170,0,0,232,165,0,0,120,163,0,0,208,161,0,0,152,159,0,0,240,157,0,0,40,156,0,0,96,154,0,0,32,153,0,0,136,151,0,0,48,150,0,0,40,146,0,0,104,144,0,0,56,143,0,0,56,141,0,0,248,139,0,0,184,138,0,0,112,137,0,0,56,136,0,0,224,134,0,0,144,133,0,0,136,199,0,0,0,0,0,0,65,49,32,98,116,46,32,105,114,49,32,110,97,32,32,84,106,32,32,114,101,32,32,97,99,32,32,110,116,32,32,115,111,32,32,32,114,32,32,32,121,32,32,32,0,0,0,0], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+911376);



var tempDoublePtr = Runtime.alignMemory(allocate(12, "i8", ALLOC_STATIC), 8);

assert(tempDoublePtr % 8 == 0);

function copyTempFloat(ptr) { // functions, because inlining this code increases code size too much

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

}

function copyTempDouble(ptr) {

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

  HEAP8[tempDoublePtr+4] = HEAP8[ptr+4];

  HEAP8[tempDoublePtr+5] = HEAP8[ptr+5];

  HEAP8[tempDoublePtr+6] = HEAP8[ptr+6];

  HEAP8[tempDoublePtr+7] = HEAP8[ptr+7];

}


   
  Module["_strlen"] = _strlen;

   
  Module["_strncpy"] = _strncpy;

  
  
  var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};
  
  var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};
  
  
  var ___errno_state=0;function ___setErrNo(value) {
      // For convenient setting and returning of errno.
      HEAP32[((___errno_state)>>2)]=value;
      return value;
    }
  
  var PATH={splitPath:function (filename) {
        var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
        return splitPathRe.exec(filename).slice(1);
      },normalizeArray:function (parts, allowAboveRoot) {
        // if the path tries to go above the root, `up` ends up > 0
        var up = 0;
        for (var i = parts.length - 1; i >= 0; i--) {
          var last = parts[i];
          if (last === '.') {
            parts.splice(i, 1);
          } else if (last === '..') {
            parts.splice(i, 1);
            up++;
          } else if (up) {
            parts.splice(i, 1);
            up--;
          }
        }
        // if the path is allowed to go above the root, restore leading ..s
        if (allowAboveRoot) {
          for (; up--; up) {
            parts.unshift('..');
          }
        }
        return parts;
      },normalize:function (path) {
        var isAbsolute = path.charAt(0) === '/',
            trailingSlash = path.substr(-1) === '/';
        // Normalize the path
        path = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), !isAbsolute).join('/');
        if (!path && !isAbsolute) {
          path = '.';
        }
        if (path && trailingSlash) {
          path += '/';
        }
        return (isAbsolute ? '/' : '') + path;
      },dirname:function (path) {
        var result = PATH.splitPath(path),
            root = result[0],
            dir = result[1];
        if (!root && !dir) {
          // No dirname whatsoever
          return '.';
        }
        if (dir) {
          // It has a dirname, strip trailing slash
          dir = dir.substr(0, dir.length - 1);
        }
        return root + dir;
      },basename:function (path) {
        // EMSCRIPTEN return '/'' for '/', not an empty string
        if (path === '/') return '/';
        var lastSlash = path.lastIndexOf('/');
        if (lastSlash === -1) return path;
        return path.substr(lastSlash+1);
      },extname:function (path) {
        return PATH.splitPath(path)[3];
      },join:function () {
        var paths = Array.prototype.slice.call(arguments, 0);
        return PATH.normalize(paths.join('/'));
      },join2:function (l, r) {
        return PATH.normalize(l + '/' + r);
      },resolve:function () {
        var resolvedPath = '',
          resolvedAbsolute = false;
        for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
          var path = (i >= 0) ? arguments[i] : FS.cwd();
          // Skip empty and invalid entries
          if (typeof path !== 'string') {
            throw new TypeError('Arguments to path.resolve must be strings');
          } else if (!path) {
            continue;
          }
          resolvedPath = path + '/' + resolvedPath;
          resolvedAbsolute = path.charAt(0) === '/';
        }
        // At this point the path should be resolved to a full absolute path, but
        // handle relative paths to be safe (might happen when process.cwd() fails)
        resolvedPath = PATH.normalizeArray(resolvedPath.split('/').filter(function(p) {
          return !!p;
        }), !resolvedAbsolute).join('/');
        return ((resolvedAbsolute ? '/' : '') + resolvedPath) || '.';
      },relative:function (from, to) {
        from = PATH.resolve(from).substr(1);
        to = PATH.resolve(to).substr(1);
        function trim(arr) {
          var start = 0;
          for (; start < arr.length; start++) {
            if (arr[start] !== '') break;
          }
          var end = arr.length - 1;
          for (; end >= 0; end--) {
            if (arr[end] !== '') break;
          }
          if (start > end) return [];
          return arr.slice(start, end - start + 1);
        }
        var fromParts = trim(from.split('/'));
        var toParts = trim(to.split('/'));
        var length = Math.min(fromParts.length, toParts.length);
        var samePartsLength = length;
        for (var i = 0; i < length; i++) {
          if (fromParts[i] !== toParts[i]) {
            samePartsLength = i;
            break;
          }
        }
        var outputParts = [];
        for (var i = samePartsLength; i < fromParts.length; i++) {
          outputParts.push('..');
        }
        outputParts = outputParts.concat(toParts.slice(samePartsLength));
        return outputParts.join('/');
      }};
  
  var TTY={ttys:[],init:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // currently, FS.init does not distinguish if process.stdin is a file or TTY
        //   // device, it always assumes it's a TTY device. because of this, we're forcing
        //   // process.stdin to UTF8 encoding to at least make stdin reading compatible
        //   // with text files until FS.init can be refactored.
        //   process['stdin']['setEncoding']('utf8');
        // }
      },shutdown:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // inolen: any idea as to why node -e 'process.stdin.read()' wouldn't exit immediately (with process.stdin being a tty)?
        //   // isaacs: because now it's reading from the stream, you've expressed interest in it, so that read() kicks off a _read() which creates a ReadReq operation
        //   // inolen: I thought read() in that case was a synchronous operation that just grabbed some amount of buffered data if it exists?
        //   // isaacs: it is. but it also triggers a _read() call, which calls readStart() on the handle
        //   // isaacs: do process.stdin.pause() and i'd think it'd probably close the pending call
        //   process['stdin']['pause']();
        // }
      },register:function (dev, ops) {
        TTY.ttys[dev] = { input: [], output: [], ops: ops };
        FS.registerDevice(dev, TTY.stream_ops);
      },stream_ops:{open:function (stream) {
          var tty = TTY.ttys[stream.node.rdev];
          if (!tty) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          stream.tty = tty;
          stream.seekable = false;
        },close:function (stream) {
          // flush any pending line data
          if (stream.tty.output.length) {
            stream.tty.ops.put_char(stream.tty, 10);
          }
        },read:function (stream, buffer, offset, length, pos /* ignored */) {
          if (!stream.tty || !stream.tty.ops.get_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          var bytesRead = 0;
          for (var i = 0; i < length; i++) {
            var result;
            try {
              result = stream.tty.ops.get_char(stream.tty);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            if (result === undefined && bytesRead === 0) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
            if (result === null || result === undefined) break;
            bytesRead++;
            buffer[offset+i] = result;
          }
          if (bytesRead) {
            stream.node.timestamp = Date.now();
          }
          return bytesRead;
        },write:function (stream, buffer, offset, length, pos) {
          if (!stream.tty || !stream.tty.ops.put_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          for (var i = 0; i < length; i++) {
            try {
              stream.tty.ops.put_char(stream.tty, buffer[offset+i]);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
          }
          if (length) {
            stream.node.timestamp = Date.now();
          }
          return i;
        }},default_tty_ops:{get_char:function (tty) {
          if (!tty.input.length) {
            var result = null;
            if (ENVIRONMENT_IS_NODE) {
              result = process['stdin']['read']();
              if (!result) {
                if (process['stdin']['_readableState'] && process['stdin']['_readableState']['ended']) {
                  return null;  // EOF
                }
                return undefined;  // no data available
              }
            } else if (typeof window != 'undefined' &&
              typeof window.prompt == 'function') {
              // Browser.
              result = window.prompt('Input: ');  // returns null on cancel
              if (result !== null) {
                result += '\n';
              }
            } else if (typeof readline == 'function') {
              // Command line.
              result = readline();
              if (result !== null) {
                result += '\n';
              }
            }
            if (!result) {
              return null;
            }
            tty.input = intArrayFromString(result, true);
          }
          return tty.input.shift();
        },put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['print'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }},default_tty1_ops:{put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['printErr'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }}};
  
  var MEMFS={ops_table:null,CONTENT_OWNING:1,CONTENT_FLEXIBLE:2,CONTENT_FIXED:3,mount:function (mount) {
        return MEMFS.createNode(null, '/', 16384 | 0777, 0);
      },createNode:function (parent, name, mode, dev) {
        if (FS.isBlkdev(mode) || FS.isFIFO(mode)) {
          // no supported
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (!MEMFS.ops_table) {
          MEMFS.ops_table = {
            dir: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                lookup: MEMFS.node_ops.lookup,
                mknod: MEMFS.node_ops.mknod,
                mknod: MEMFS.node_ops.mknod,
                rename: MEMFS.node_ops.rename,
                unlink: MEMFS.node_ops.unlink,
                rmdir: MEMFS.node_ops.rmdir,
                readdir: MEMFS.node_ops.readdir,
                symlink: MEMFS.node_ops.symlink
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek
              }
            },
            file: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek,
                read: MEMFS.stream_ops.read,
                write: MEMFS.stream_ops.write,
                allocate: MEMFS.stream_ops.allocate,
                mmap: MEMFS.stream_ops.mmap
              }
            },
            link: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                readlink: MEMFS.node_ops.readlink
              },
              stream: {}
            },
            chrdev: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: FS.chrdev_stream_ops
            },
          };
        }
        var node = FS.createNode(parent, name, mode, dev);
        if (FS.isDir(node.mode)) {
          node.node_ops = MEMFS.ops_table.dir.node;
          node.stream_ops = MEMFS.ops_table.dir.stream;
          node.contents = {};
        } else if (FS.isFile(node.mode)) {
          node.node_ops = MEMFS.ops_table.file.node;
          node.stream_ops = MEMFS.ops_table.file.stream;
          node.contents = [];
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        } else if (FS.isLink(node.mode)) {
          node.node_ops = MEMFS.ops_table.link.node;
          node.stream_ops = MEMFS.ops_table.link.stream;
        } else if (FS.isChrdev(node.mode)) {
          node.node_ops = MEMFS.ops_table.chrdev.node;
          node.stream_ops = MEMFS.ops_table.chrdev.stream;
        }
        node.timestamp = Date.now();
        // add the new node to the parent
        if (parent) {
          parent.contents[name] = node;
        }
        return node;
      },ensureFlexible:function (node) {
        if (node.contentMode !== MEMFS.CONTENT_FLEXIBLE) {
          var contents = node.contents;
          node.contents = Array.prototype.slice.call(contents);
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        }
      },node_ops:{getattr:function (node) {
          var attr = {};
          // device numbers reuse inode numbers.
          attr.dev = FS.isChrdev(node.mode) ? node.id : 1;
          attr.ino = node.id;
          attr.mode = node.mode;
          attr.nlink = 1;
          attr.uid = 0;
          attr.gid = 0;
          attr.rdev = node.rdev;
          if (FS.isDir(node.mode)) {
            attr.size = 4096;
          } else if (FS.isFile(node.mode)) {
            attr.size = node.contents.length;
          } else if (FS.isLink(node.mode)) {
            attr.size = node.link.length;
          } else {
            attr.size = 0;
          }
          attr.atime = new Date(node.timestamp);
          attr.mtime = new Date(node.timestamp);
          attr.ctime = new Date(node.timestamp);
          // NOTE: In our implementation, st_blocks = Math.ceil(st_size/st_blksize),
          //       but this is not required by the standard.
          attr.blksize = 4096;
          attr.blocks = Math.ceil(attr.size / attr.blksize);
          return attr;
        },setattr:function (node, attr) {
          if (attr.mode !== undefined) {
            node.mode = attr.mode;
          }
          if (attr.timestamp !== undefined) {
            node.timestamp = attr.timestamp;
          }
          if (attr.size !== undefined) {
            MEMFS.ensureFlexible(node);
            var contents = node.contents;
            if (attr.size < contents.length) contents.length = attr.size;
            else while (attr.size > contents.length) contents.push(0);
          }
        },lookup:function (parent, name) {
          throw FS.genericErrors[ERRNO_CODES.ENOENT];
        },mknod:function (parent, name, mode, dev) {
          return MEMFS.createNode(parent, name, mode, dev);
        },rename:function (old_node, new_dir, new_name) {
          // if we're overwriting a directory at new_name, make sure it's empty.
          if (FS.isDir(old_node.mode)) {
            var new_node;
            try {
              new_node = FS.lookupNode(new_dir, new_name);
            } catch (e) {
            }
            if (new_node) {
              for (var i in new_node.contents) {
                throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
              }
            }
          }
          // do the internal rewiring
          delete old_node.parent.contents[old_node.name];
          old_node.name = new_name;
          new_dir.contents[new_name] = old_node;
          old_node.parent = new_dir;
        },unlink:function (parent, name) {
          delete parent.contents[name];
        },rmdir:function (parent, name) {
          var node = FS.lookupNode(parent, name);
          for (var i in node.contents) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
          }
          delete parent.contents[name];
        },readdir:function (node) {
          var entries = ['.', '..']
          for (var key in node.contents) {
            if (!node.contents.hasOwnProperty(key)) {
              continue;
            }
            entries.push(key);
          }
          return entries;
        },symlink:function (parent, newname, oldpath) {
          var node = MEMFS.createNode(parent, newname, 0777 | 40960, 0);
          node.link = oldpath;
          return node;
        },readlink:function (node) {
          if (!FS.isLink(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          return node.link;
        }},stream_ops:{read:function (stream, buffer, offset, length, position) {
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (size > 8 && contents.subarray) { // non-trivial, and typed array
            buffer.set(contents.subarray(position, position + size), offset);
          } else
          {
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          }
          return size;
        },write:function (stream, buffer, offset, length, position, canOwn) {
          var node = stream.node;
          node.timestamp = Date.now();
          var contents = node.contents;
          if (length && contents.length === 0 && position === 0 && buffer.subarray) {
            // just replace it with the new data
            if (canOwn && offset === 0) {
              node.contents = buffer; // this could be a subarray of Emscripten HEAP, or allocated from some other source.
              node.contentMode = (buffer.buffer === HEAP8.buffer) ? MEMFS.CONTENT_OWNING : MEMFS.CONTENT_FIXED;
            } else {
              node.contents = new Uint8Array(buffer.subarray(offset, offset+length));
              node.contentMode = MEMFS.CONTENT_FIXED;
            }
            return length;
          }
          MEMFS.ensureFlexible(node);
          var contents = node.contents;
          while (contents.length < position) contents.push(0);
          for (var i = 0; i < length; i++) {
            contents[position + i] = buffer[offset + i];
          }
          return length;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              position += stream.node.contents.length;
            }
          }
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          stream.ungotten = [];
          stream.position = position;
          return position;
        },allocate:function (stream, offset, length) {
          MEMFS.ensureFlexible(stream.node);
          var contents = stream.node.contents;
          var limit = offset + length;
          while (limit > contents.length) contents.push(0);
        },mmap:function (stream, buffer, offset, length, position, prot, flags) {
          if (!FS.isFile(stream.node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          var ptr;
          var allocated;
          var contents = stream.node.contents;
          // Only make a new copy when MAP_PRIVATE is specified.
          if ( !(flags & 2) &&
                (contents.buffer === buffer || contents.buffer === buffer.buffer) ) {
            // We can't emulate MAP_SHARED when the file is not backed by the buffer
            // we're mapping to (e.g. the HEAP buffer).
            allocated = false;
            ptr = contents.byteOffset;
          } else {
            // Try to avoid unnecessary slices.
            if (position > 0 || position + length < contents.length) {
              if (contents.subarray) {
                contents = contents.subarray(position, position + length);
              } else {
                contents = Array.prototype.slice.call(contents, position, position + length);
              }
            }
            allocated = true;
            ptr = _malloc(length);
            if (!ptr) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOMEM);
            }
            buffer.set(contents, ptr);
          }
          return { ptr: ptr, allocated: allocated };
        }}};
  
  var IDBFS={dbs:{},indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:function (mount) {
        // reuse all of the core MEMFS functionality
        return MEMFS.mount.apply(null, arguments);
      },syncfs:function (mount, populate, callback) {
        IDBFS.getLocalSet(mount, function(err, local) {
          if (err) return callback(err);
  
          IDBFS.getRemoteSet(mount, function(err, remote) {
            if (err) return callback(err);
  
            var src = populate ? remote : local;
            var dst = populate ? local : remote;
  
            IDBFS.reconcile(src, dst, callback);
          });
        });
      },getDB:function (name, callback) {
        // check the cache first
        var db = IDBFS.dbs[name];
        if (db) {
          return callback(null, db);
        }
  
        var req;
        try {
          req = IDBFS.indexedDB().open(name, IDBFS.DB_VERSION);
        } catch (e) {
          return callback(e);
        }
        req.onupgradeneeded = function(e) {
          var db = e.target.result;
          var transaction = e.target.transaction;
  
          var fileStore;
  
          if (db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)) {
            fileStore = transaction.objectStore(IDBFS.DB_STORE_NAME);
          } else {
            fileStore = db.createObjectStore(IDBFS.DB_STORE_NAME);
          }
  
          fileStore.createIndex('timestamp', 'timestamp', { unique: false });
        };
        req.onsuccess = function() {
          db = req.result;
  
          // add to the cache
          IDBFS.dbs[name] = db;
          callback(null, db);
        };
        req.onerror = function() {
          callback(this.error);
        };
      },getLocalSet:function (mount, callback) {
        var entries = {};
  
        function isRealDir(p) {
          return p !== '.' && p !== '..';
        };
        function toAbsolute(root) {
          return function(p) {
            return PATH.join2(root, p);
          }
        };
  
        var check = FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));
  
        while (check.length) {
          var path = check.pop();
          var stat;
  
          try {
            stat = FS.stat(path);
          } catch (e) {
            return callback(e);
          }
  
          if (FS.isDir(stat.mode)) {
            check.push.apply(check, FS.readdir(path).filter(isRealDir).map(toAbsolute(path)));
          }
  
          entries[path] = { timestamp: stat.mtime };
        }
  
        return callback(null, { type: 'local', entries: entries });
      },getRemoteSet:function (mount, callback) {
        var entries = {};
  
        IDBFS.getDB(mount.mountpoint, function(err, db) {
          if (err) return callback(err);
  
          var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readonly');
          transaction.onerror = function() { callback(this.error); };
  
          var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
          var index = store.index('timestamp');
  
          index.openKeyCursor().onsuccess = function(event) {
            var cursor = event.target.result;
  
            if (!cursor) {
              return callback(null, { type: 'remote', db: db, entries: entries });
            }
  
            entries[cursor.primaryKey] = { timestamp: cursor.key };
  
            cursor.continue();
          };
        });
      },loadLocalEntry:function (path, callback) {
        var stat, node;
  
        try {
          var lookup = FS.lookupPath(path);
          node = lookup.node;
          stat = FS.stat(path);
        } catch (e) {
          return callback(e);
        }
  
        if (FS.isDir(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode });
        } else if (FS.isFile(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode, contents: node.contents });
        } else {
          return callback(new Error('node type not supported'));
        }
      },storeLocalEntry:function (path, entry, callback) {
        try {
          if (FS.isDir(entry.mode)) {
            FS.mkdir(path, entry.mode);
          } else if (FS.isFile(entry.mode)) {
            FS.writeFile(path, entry.contents, { encoding: 'binary', canOwn: true });
          } else {
            return callback(new Error('node type not supported'));
          }
  
          FS.utime(path, entry.timestamp, entry.timestamp);
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },removeLocalEntry:function (path, callback) {
        try {
          var lookup = FS.lookupPath(path);
          var stat = FS.stat(path);
  
          if (FS.isDir(stat.mode)) {
            FS.rmdir(path);
          } else if (FS.isFile(stat.mode)) {
            FS.unlink(path);
          }
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },loadRemoteEntry:function (store, path, callback) {
        var req = store.get(path);
        req.onsuccess = function(event) { callback(null, event.target.result); };
        req.onerror = function() { callback(this.error); };
      },storeRemoteEntry:function (store, path, entry, callback) {
        var req = store.put(entry, path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },removeRemoteEntry:function (store, path, callback) {
        var req = store.delete(path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },reconcile:function (src, dst, callback) {
        var total = 0;
  
        var create = [];
        Object.keys(src.entries).forEach(function (key) {
          var e = src.entries[key];
          var e2 = dst.entries[key];
          if (!e2 || e.timestamp > e2.timestamp) {
            create.push(key);
            total++;
          }
        });
  
        var remove = [];
        Object.keys(dst.entries).forEach(function (key) {
          var e = dst.entries[key];
          var e2 = src.entries[key];
          if (!e2) {
            remove.push(key);
            total++;
          }
        });
  
        if (!total) {
          return callback(null);
        }
  
        var errored = false;
        var completed = 0;
        var db = src.type === 'remote' ? src.db : dst.db;
        var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readwrite');
        var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= total) {
            return callback(null);
          }
        };
  
        transaction.onerror = function() { done(this.error); };
  
        // sort paths in ascending order so directory entries are created
        // before the files inside them
        create.sort().forEach(function (path) {
          if (dst.type === 'local') {
            IDBFS.loadRemoteEntry(store, path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeLocalEntry(path, entry, done);
            });
          } else {
            IDBFS.loadLocalEntry(path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeRemoteEntry(store, path, entry, done);
            });
          }
        });
  
        // sort paths in descending order so files are deleted before their
        // parent directories
        remove.sort().reverse().forEach(function(path) {
          if (dst.type === 'local') {
            IDBFS.removeLocalEntry(path, done);
          } else {
            IDBFS.removeRemoteEntry(store, path, done);
          }
        });
      }};
  
  var NODEFS={isWindows:false,staticInit:function () {
        NODEFS.isWindows = !!process.platform.match(/^win/);
      },mount:function (mount) {
        assert(ENVIRONMENT_IS_NODE);
        return NODEFS.createNode(null, '/', NODEFS.getMode(mount.opts.root), 0);
      },createNode:function (parent, name, mode, dev) {
        if (!FS.isDir(mode) && !FS.isFile(mode) && !FS.isLink(mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node = FS.createNode(parent, name, mode);
        node.node_ops = NODEFS.node_ops;
        node.stream_ops = NODEFS.stream_ops;
        return node;
      },getMode:function (path) {
        var stat;
        try {
          stat = fs.lstatSync(path);
          if (NODEFS.isWindows) {
            // On Windows, directories return permission bits 'rw-rw-rw-', even though they have 'rwxrwxrwx', so 
            // propagate write bits to execute bits.
            stat.mode = stat.mode | ((stat.mode & 146) >> 1);
          }
        } catch (e) {
          if (!e.code) throw e;
          throw new FS.ErrnoError(ERRNO_CODES[e.code]);
        }
        return stat.mode;
      },realPath:function (node) {
        var parts = [];
        while (node.parent !== node) {
          parts.push(node.name);
          node = node.parent;
        }
        parts.push(node.mount.opts.root);
        parts.reverse();
        return PATH.join.apply(null, parts);
      },flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:function (flags) {
        if (flags in NODEFS.flagsToPermissionStringMap) {
          return NODEFS.flagsToPermissionStringMap[flags];
        } else {
          return flags;
        }
      },node_ops:{getattr:function (node) {
          var path = NODEFS.realPath(node);
          var stat;
          try {
            stat = fs.lstatSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          // node.js v0.10.20 doesn't report blksize and blocks on Windows. Fake them with default blksize of 4096.
          // See http://support.microsoft.com/kb/140365
          if (NODEFS.isWindows && !stat.blksize) {
            stat.blksize = 4096;
          }
          if (NODEFS.isWindows && !stat.blocks) {
            stat.blocks = (stat.size+stat.blksize-1)/stat.blksize|0;
          }
          return {
            dev: stat.dev,
            ino: stat.ino,
            mode: stat.mode,
            nlink: stat.nlink,
            uid: stat.uid,
            gid: stat.gid,
            rdev: stat.rdev,
            size: stat.size,
            atime: stat.atime,
            mtime: stat.mtime,
            ctime: stat.ctime,
            blksize: stat.blksize,
            blocks: stat.blocks
          };
        },setattr:function (node, attr) {
          var path = NODEFS.realPath(node);
          try {
            if (attr.mode !== undefined) {
              fs.chmodSync(path, attr.mode);
              // update the common node structure mode as well
              node.mode = attr.mode;
            }
            if (attr.timestamp !== undefined) {
              var date = new Date(attr.timestamp);
              fs.utimesSync(path, date, date);
            }
            if (attr.size !== undefined) {
              fs.truncateSync(path, attr.size);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },lookup:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          var mode = NODEFS.getMode(path);
          return NODEFS.createNode(parent, name, mode);
        },mknod:function (parent, name, mode, dev) {
          var node = NODEFS.createNode(parent, name, mode, dev);
          // create the backing node for this in the fs root as well
          var path = NODEFS.realPath(node);
          try {
            if (FS.isDir(node.mode)) {
              fs.mkdirSync(path, node.mode);
            } else {
              fs.writeFileSync(path, '', { mode: node.mode });
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return node;
        },rename:function (oldNode, newDir, newName) {
          var oldPath = NODEFS.realPath(oldNode);
          var newPath = PATH.join2(NODEFS.realPath(newDir), newName);
          try {
            fs.renameSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },unlink:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.unlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },rmdir:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.rmdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readdir:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },symlink:function (parent, newName, oldPath) {
          var newPath = PATH.join2(NODEFS.realPath(parent), newName);
          try {
            fs.symlinkSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readlink:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        }},stream_ops:{open:function (stream) {
          var path = NODEFS.realPath(stream.node);
          try {
            if (FS.isFile(stream.node.mode)) {
              stream.nfd = fs.openSync(path, NODEFS.flagsToPermissionString(stream.flags));
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },close:function (stream) {
          try {
            if (FS.isFile(stream.node.mode) && stream.nfd) {
              fs.closeSync(stream.nfd);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },read:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(length);
          var res;
          try {
            res = fs.readSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          if (res > 0) {
            for (var i = 0; i < res; i++) {
              buffer[offset + i] = nbuffer[i];
            }
          }
          return res;
        },write:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(buffer.subarray(offset, offset + length));
          var res;
          try {
            res = fs.writeSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return res;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              try {
                var stat = fs.fstatSync(stream.nfd);
                position += stat.size;
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES[e.code]);
              }
            }
          }
  
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
  
          stream.position = position;
          return position;
        }}};
  
  var _stdin=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stdout=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stderr=allocate(1, "i32*", ALLOC_STATIC);
  
  function _fflush(stream) {
      // int fflush(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fflush.html
      // we don't currently perform any user-space buffering of data
    }var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,ErrnoError:null,genericErrors:{},handleFSError:function (e) {
        if (!(e instanceof FS.ErrnoError)) throw e + ' : ' + stackTrace();
        return ___setErrNo(e.errno);
      },lookupPath:function (path, opts) {
        path = PATH.resolve(FS.cwd(), path);
        opts = opts || {};
  
        var defaults = {
          follow_mount: true,
          recurse_count: 0
        };
        for (var key in defaults) {
          if (opts[key] === undefined) {
            opts[key] = defaults[key];
          }
        }
  
        if (opts.recurse_count > 8) {  // max recursive lookup of 8
          throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
        }
  
        // split the path
        var parts = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), false);
  
        // start at the root
        var current = FS.root;
        var current_path = '/';
  
        for (var i = 0; i < parts.length; i++) {
          var islast = (i === parts.length-1);
          if (islast && opts.parent) {
            // stop resolving
            break;
          }
  
          current = FS.lookupNode(current, parts[i]);
          current_path = PATH.join2(current_path, parts[i]);
  
          // jump to the mount's root node if this is a mountpoint
          if (FS.isMountpoint(current)) {
            if (!islast || (islast && opts.follow_mount)) {
              current = current.mounted.root;
            }
          }
  
          // by default, lookupPath will not follow a symlink if it is the final path component.
          // setting opts.follow = true will override this behavior.
          if (!islast || opts.follow) {
            var count = 0;
            while (FS.isLink(current.mode)) {
              var link = FS.readlink(current_path);
              current_path = PATH.resolve(PATH.dirname(current_path), link);
              
              var lookup = FS.lookupPath(current_path, { recurse_count: opts.recurse_count });
              current = lookup.node;
  
              if (count++ > 40) {  // limit max consecutive symlinks to 40 (SYMLOOP_MAX).
                throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
              }
            }
          }
        }
  
        return { path: current_path, node: current };
      },getPath:function (node) {
        var path;
        while (true) {
          if (FS.isRoot(node)) {
            var mount = node.mount.mountpoint;
            if (!path) return mount;
            return mount[mount.length-1] !== '/' ? mount + '/' + path : mount + path;
          }
          path = path ? node.name + '/' + path : node.name;
          node = node.parent;
        }
      },hashName:function (parentid, name) {
        var hash = 0;
  
  
        for (var i = 0; i < name.length; i++) {
          hash = ((hash << 5) - hash + name.charCodeAt(i)) | 0;
        }
        return ((parentid + hash) >>> 0) % FS.nameTable.length;
      },hashAddNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        node.name_next = FS.nameTable[hash];
        FS.nameTable[hash] = node;
      },hashRemoveNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        if (FS.nameTable[hash] === node) {
          FS.nameTable[hash] = node.name_next;
        } else {
          var current = FS.nameTable[hash];
          while (current) {
            if (current.name_next === node) {
              current.name_next = node.name_next;
              break;
            }
            current = current.name_next;
          }
        }
      },lookupNode:function (parent, name) {
        var err = FS.mayLookup(parent);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        var hash = FS.hashName(parent.id, name);
        for (var node = FS.nameTable[hash]; node; node = node.name_next) {
          var nodeName = node.name;
          if (node.parent.id === parent.id && nodeName === name) {
            return node;
          }
        }
        // if we failed to find it in the cache, call into the VFS
        return FS.lookup(parent, name);
      },createNode:function (parent, name, mode, rdev) {
        if (!FS.FSNode) {
          FS.FSNode = function(parent, name, mode, rdev) {
            if (!parent) {
              parent = this;  // root node sets parent to itself
            }
            this.parent = parent;
            this.mount = parent.mount;
            this.mounted = null;
            this.id = FS.nextInode++;
            this.name = name;
            this.mode = mode;
            this.node_ops = {};
            this.stream_ops = {};
            this.rdev = rdev;
          };
  
          FS.FSNode.prototype = {};
  
          // compatibility
          var readMode = 292 | 73;
          var writeMode = 146;
  
          // NOTE we must use Object.defineProperties instead of individual calls to
          // Object.defineProperty in order to make closure compiler happy
          Object.defineProperties(FS.FSNode.prototype, {
            read: {
              get: function() { return (this.mode & readMode) === readMode; },
              set: function(val) { val ? this.mode |= readMode : this.mode &= ~readMode; }
            },
            write: {
              get: function() { return (this.mode & writeMode) === writeMode; },
              set: function(val) { val ? this.mode |= writeMode : this.mode &= ~writeMode; }
            },
            isFolder: {
              get: function() { return FS.isDir(this.mode); },
            },
            isDevice: {
              get: function() { return FS.isChrdev(this.mode); },
            },
          });
        }
  
        var node = new FS.FSNode(parent, name, mode, rdev);
  
        FS.hashAddNode(node);
  
        return node;
      },destroyNode:function (node) {
        FS.hashRemoveNode(node);
      },isRoot:function (node) {
        return node === node.parent;
      },isMountpoint:function (node) {
        return !!node.mounted;
      },isFile:function (mode) {
        return (mode & 61440) === 32768;
      },isDir:function (mode) {
        return (mode & 61440) === 16384;
      },isLink:function (mode) {
        return (mode & 61440) === 40960;
      },isChrdev:function (mode) {
        return (mode & 61440) === 8192;
      },isBlkdev:function (mode) {
        return (mode & 61440) === 24576;
      },isFIFO:function (mode) {
        return (mode & 61440) === 4096;
      },isSocket:function (mode) {
        return (mode & 49152) === 49152;
      },flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:function (str) {
        var flags = FS.flagModes[str];
        if (typeof flags === 'undefined') {
          throw new Error('Unknown file open mode: ' + str);
        }
        return flags;
      },flagsToPermissionString:function (flag) {
        var accmode = flag & 2097155;
        var perms = ['r', 'w', 'rw'][accmode];
        if ((flag & 512)) {
          perms += 'w';
        }
        return perms;
      },nodePermissions:function (node, perms) {
        if (FS.ignorePermissions) {
          return 0;
        }
        // return 0 if any user, group or owner bits are set.
        if (perms.indexOf('r') !== -1 && !(node.mode & 292)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('w') !== -1 && !(node.mode & 146)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('x') !== -1 && !(node.mode & 73)) {
          return ERRNO_CODES.EACCES;
        }
        return 0;
      },mayLookup:function (dir) {
        return FS.nodePermissions(dir, 'x');
      },mayCreate:function (dir, name) {
        try {
          var node = FS.lookupNode(dir, name);
          return ERRNO_CODES.EEXIST;
        } catch (e) {
        }
        return FS.nodePermissions(dir, 'wx');
      },mayDelete:function (dir, name, isdir) {
        var node;
        try {
          node = FS.lookupNode(dir, name);
        } catch (e) {
          return e.errno;
        }
        var err = FS.nodePermissions(dir, 'wx');
        if (err) {
          return err;
        }
        if (isdir) {
          if (!FS.isDir(node.mode)) {
            return ERRNO_CODES.ENOTDIR;
          }
          if (FS.isRoot(node) || FS.getPath(node) === FS.cwd()) {
            return ERRNO_CODES.EBUSY;
          }
        } else {
          if (FS.isDir(node.mode)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return 0;
      },mayOpen:function (node, flags) {
        if (!node) {
          return ERRNO_CODES.ENOENT;
        }
        if (FS.isLink(node.mode)) {
          return ERRNO_CODES.ELOOP;
        } else if (FS.isDir(node.mode)) {
          if ((flags & 2097155) !== 0 ||  // opening for write
              (flags & 512)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return FS.nodePermissions(node, FS.flagsToPermissionString(flags));
      },MAX_OPEN_FDS:4096,nextfd:function (fd_start, fd_end) {
        fd_start = fd_start || 0;
        fd_end = fd_end || FS.MAX_OPEN_FDS;
        for (var fd = fd_start; fd <= fd_end; fd++) {
          if (!FS.streams[fd]) {
            return fd;
          }
        }
        throw new FS.ErrnoError(ERRNO_CODES.EMFILE);
      },getStream:function (fd) {
        return FS.streams[fd];
      },createStream:function (stream, fd_start, fd_end) {
        if (!FS.FSStream) {
          FS.FSStream = function(){};
          FS.FSStream.prototype = {};
          // compatibility
          Object.defineProperties(FS.FSStream.prototype, {
            object: {
              get: function() { return this.node; },
              set: function(val) { this.node = val; }
            },
            isRead: {
              get: function() { return (this.flags & 2097155) !== 1; }
            },
            isWrite: {
              get: function() { return (this.flags & 2097155) !== 0; }
            },
            isAppend: {
              get: function() { return (this.flags & 1024); }
            }
          });
        }
        if (stream.__proto__) {
          // reuse the object
          stream.__proto__ = FS.FSStream.prototype;
        } else {
          var newStream = new FS.FSStream();
          for (var p in stream) {
            newStream[p] = stream[p];
          }
          stream = newStream;
        }
        var fd = FS.nextfd(fd_start, fd_end);
        stream.fd = fd;
        FS.streams[fd] = stream;
        return stream;
      },closeStream:function (fd) {
        FS.streams[fd] = null;
      },getStreamFromPtr:function (ptr) {
        return FS.streams[ptr - 1];
      },getPtrForStream:function (stream) {
        return stream ? stream.fd + 1 : 0;
      },chrdev_stream_ops:{open:function (stream) {
          var device = FS.getDevice(stream.node.rdev);
          // override node's stream ops with the device's
          stream.stream_ops = device.stream_ops;
          // forward the open call
          if (stream.stream_ops.open) {
            stream.stream_ops.open(stream);
          }
        },llseek:function () {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }},major:function (dev) {
        return ((dev) >> 8);
      },minor:function (dev) {
        return ((dev) & 0xff);
      },makedev:function (ma, mi) {
        return ((ma) << 8 | (mi));
      },registerDevice:function (dev, ops) {
        FS.devices[dev] = { stream_ops: ops };
      },getDevice:function (dev) {
        return FS.devices[dev];
      },getMounts:function (mount) {
        var mounts = [];
        var check = [mount];
  
        while (check.length) {
          var m = check.pop();
  
          mounts.push(m);
  
          check.push.apply(check, m.mounts);
        }
  
        return mounts;
      },syncfs:function (populate, callback) {
        if (typeof(populate) === 'function') {
          callback = populate;
          populate = false;
        }
  
        var mounts = FS.getMounts(FS.root.mount);
        var completed = 0;
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= mounts.length) {
            callback(null);
          }
        };
  
        // sync all mounts
        mounts.forEach(function (mount) {
          if (!mount.type.syncfs) {
            return done(null);
          }
          mount.type.syncfs(mount, populate, done);
        });
      },mount:function (type, opts, mountpoint) {
        var root = mountpoint === '/';
        var pseudo = !mountpoint;
        var node;
  
        if (root && FS.root) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        } else if (!root && !pseudo) {
          var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
          mountpoint = lookup.path;  // use the absolute path
          node = lookup.node;
  
          if (FS.isMountpoint(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
          }
  
          if (!FS.isDir(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
          }
        }
  
        var mount = {
          type: type,
          opts: opts,
          mountpoint: mountpoint,
          mounts: []
        };
  
        // create a root node for the fs
        var mountRoot = type.mount(mount);
        mountRoot.mount = mount;
        mount.root = mountRoot;
  
        if (root) {
          FS.root = mountRoot;
        } else if (node) {
          // set as a mountpoint
          node.mounted = mount;
  
          // add the new mount to the current mount's children
          if (node.mount) {
            node.mount.mounts.push(mount);
          }
        }
  
        return mountRoot;
      },unmount:function (mountpoint) {
        var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
        if (!FS.isMountpoint(lookup.node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
  
        // destroy the nodes for this mount, and all its child mounts
        var node = lookup.node;
        var mount = node.mounted;
        var mounts = FS.getMounts(mount);
  
        Object.keys(FS.nameTable).forEach(function (hash) {
          var current = FS.nameTable[hash];
  
          while (current) {
            var next = current.name_next;
  
            if (mounts.indexOf(current.mount) !== -1) {
              FS.destroyNode(current);
            }
  
            current = next;
          }
        });
  
        // no longer a mountpoint
        node.mounted = null;
  
        // remove this mount from the child mounts
        var idx = node.mount.mounts.indexOf(mount);
        assert(idx !== -1);
        node.mount.mounts.splice(idx, 1);
      },lookup:function (parent, name) {
        return parent.node_ops.lookup(parent, name);
      },mknod:function (path, mode, dev) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var err = FS.mayCreate(parent, name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.mknod) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.mknod(parent, name, mode, dev);
      },create:function (path, mode) {
        mode = mode !== undefined ? mode : 0666;
        mode &= 4095;
        mode |= 32768;
        return FS.mknod(path, mode, 0);
      },mkdir:function (path, mode) {
        mode = mode !== undefined ? mode : 0777;
        mode &= 511 | 512;
        mode |= 16384;
        return FS.mknod(path, mode, 0);
      },mkdev:function (path, mode, dev) {
        if (typeof(dev) === 'undefined') {
          dev = mode;
          mode = 0666;
        }
        mode |= 8192;
        return FS.mknod(path, mode, dev);
      },symlink:function (oldpath, newpath) {
        var lookup = FS.lookupPath(newpath, { parent: true });
        var parent = lookup.node;
        var newname = PATH.basename(newpath);
        var err = FS.mayCreate(parent, newname);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.symlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.symlink(parent, newname, oldpath);
      },rename:function (old_path, new_path) {
        var old_dirname = PATH.dirname(old_path);
        var new_dirname = PATH.dirname(new_path);
        var old_name = PATH.basename(old_path);
        var new_name = PATH.basename(new_path);
        // parents must exist
        var lookup, old_dir, new_dir;
        try {
          lookup = FS.lookupPath(old_path, { parent: true });
          old_dir = lookup.node;
          lookup = FS.lookupPath(new_path, { parent: true });
          new_dir = lookup.node;
        } catch (e) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // need to be part of the same mount
        if (old_dir.mount !== new_dir.mount) {
          throw new FS.ErrnoError(ERRNO_CODES.EXDEV);
        }
        // source must exist
        var old_node = FS.lookupNode(old_dir, old_name);
        // old path should not be an ancestor of the new path
        var relative = PATH.relative(old_path, new_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        // new path should not be an ancestor of the old path
        relative = PATH.relative(new_path, old_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
        }
        // see if the new path already exists
        var new_node;
        try {
          new_node = FS.lookupNode(new_dir, new_name);
        } catch (e) {
          // not fatal
        }
        // early out if nothing needs to change
        if (old_node === new_node) {
          return;
        }
        // we'll need to delete the old entry
        var isdir = FS.isDir(old_node.mode);
        var err = FS.mayDelete(old_dir, old_name, isdir);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // need delete permissions if we'll be overwriting.
        // need create permissions if new doesn't already exist.
        err = new_node ?
          FS.mayDelete(new_dir, new_name, isdir) :
          FS.mayCreate(new_dir, new_name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!old_dir.node_ops.rename) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(old_node) || (new_node && FS.isMountpoint(new_node))) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // if we are going to change the parent, check write permissions
        if (new_dir !== old_dir) {
          err = FS.nodePermissions(old_dir, 'w');
          if (err) {
            throw new FS.ErrnoError(err);
          }
        }
        // remove the node from the lookup hash
        FS.hashRemoveNode(old_node);
        // do the underlying fs rename
        try {
          old_dir.node_ops.rename(old_node, new_dir, new_name);
        } catch (e) {
          throw e;
        } finally {
          // add the node back to the hash (in case node_ops.rename
          // changed its name)
          FS.hashAddNode(old_node);
        }
      },rmdir:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, true);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.rmdir) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.rmdir(parent, name);
        FS.destroyNode(node);
      },readdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        if (!node.node_ops.readdir) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        return node.node_ops.readdir(node);
      },unlink:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, false);
        if (err) {
          // POSIX says unlink should set EPERM, not EISDIR
          if (err === ERRNO_CODES.EISDIR) err = ERRNO_CODES.EPERM;
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.unlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.unlink(parent, name);
        FS.destroyNode(node);
      },readlink:function (path) {
        var lookup = FS.lookupPath(path);
        var link = lookup.node;
        if (!link.node_ops.readlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        return link.node_ops.readlink(link);
      },stat:function (path, dontFollow) {
        var lookup = FS.lookupPath(path, { follow: !dontFollow });
        var node = lookup.node;
        if (!node.node_ops.getattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return node.node_ops.getattr(node);
      },lstat:function (path) {
        return FS.stat(path, true);
      },chmod:function (path, mode, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          mode: (mode & 4095) | (node.mode & ~4095),
          timestamp: Date.now()
        });
      },lchmod:function (path, mode) {
        FS.chmod(path, mode, true);
      },fchmod:function (fd, mode) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chmod(stream.node, mode);
      },chown:function (path, uid, gid, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          timestamp: Date.now()
          // we ignore the uid / gid for now
        });
      },lchown:function (path, uid, gid) {
        FS.chown(path, uid, gid, true);
      },fchown:function (fd, uid, gid) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chown(stream.node, uid, gid);
      },truncate:function (path, len) {
        if (len < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: true });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!FS.isFile(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var err = FS.nodePermissions(node, 'w');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        node.node_ops.setattr(node, {
          size: len,
          timestamp: Date.now()
        });
      },ftruncate:function (fd, len) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        FS.truncate(stream.node, len);
      },utime:function (path, atime, mtime) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        node.node_ops.setattr(node, {
          timestamp: Math.max(atime, mtime)
        });
      },open:function (path, flags, mode, fd_start, fd_end) {
        flags = typeof flags === 'string' ? FS.modeStringToFlags(flags) : flags;
        mode = typeof mode === 'undefined' ? 0666 : mode;
        if ((flags & 64)) {
          mode = (mode & 4095) | 32768;
        } else {
          mode = 0;
        }
        var node;
        if (typeof path === 'object') {
          node = path;
        } else {
          path = PATH.normalize(path);
          try {
            var lookup = FS.lookupPath(path, {
              follow: !(flags & 131072)
            });
            node = lookup.node;
          } catch (e) {
            // ignore
          }
        }
        // perhaps we need to create the node
        if ((flags & 64)) {
          if (node) {
            // if O_CREAT and O_EXCL are set, error out if the node already exists
            if ((flags & 128)) {
              throw new FS.ErrnoError(ERRNO_CODES.EEXIST);
            }
          } else {
            // node doesn't exist, try to create it
            node = FS.mknod(path, mode, 0);
          }
        }
        if (!node) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
        }
        // can't truncate a device
        if (FS.isChrdev(node.mode)) {
          flags &= ~512;
        }
        // check permissions
        var err = FS.mayOpen(node, flags);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // do truncation if necessary
        if ((flags & 512)) {
          FS.truncate(node, 0);
        }
        // we've already handled these, don't pass down to the underlying vfs
        flags &= ~(128 | 512);
  
        // register the stream with the filesystem
        var stream = FS.createStream({
          node: node,
          path: FS.getPath(node),  // we want the absolute path to the node
          flags: flags,
          seekable: true,
          position: 0,
          stream_ops: node.stream_ops,
          // used by the file family libc calls (fopen, fwrite, ferror, etc.)
          ungotten: [],
          error: false
        }, fd_start, fd_end);
        // call the new stream's open function
        if (stream.stream_ops.open) {
          stream.stream_ops.open(stream);
        }
        if (Module['logReadFiles'] && !(flags & 1)) {
          if (!FS.readFiles) FS.readFiles = {};
          if (!(path in FS.readFiles)) {
            FS.readFiles[path] = 1;
            Module['printErr']('read file: ' + path);
          }
        }
        return stream;
      },close:function (stream) {
        try {
          if (stream.stream_ops.close) {
            stream.stream_ops.close(stream);
          }
        } catch (e) {
          throw e;
        } finally {
          FS.closeStream(stream.fd);
        }
      },llseek:function (stream, offset, whence) {
        if (!stream.seekable || !stream.stream_ops.llseek) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        return stream.stream_ops.llseek(stream, offset, whence);
      },read:function (stream, buffer, offset, length, position) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.read) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        var bytesRead = stream.stream_ops.read(stream, buffer, offset, length, position);
        if (!seeking) stream.position += bytesRead;
        return bytesRead;
      },write:function (stream, buffer, offset, length, position, canOwn) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.write) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        if (stream.flags & 1024) {
          // seek to the end before writing in append mode
          FS.llseek(stream, 0, 2);
        }
        var bytesWritten = stream.stream_ops.write(stream, buffer, offset, length, position, canOwn);
        if (!seeking) stream.position += bytesWritten;
        return bytesWritten;
      },allocate:function (stream, offset, length) {
        if (offset < 0 || length <= 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (!FS.isFile(stream.node.mode) && !FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        if (!stream.stream_ops.allocate) {
          throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
        }
        stream.stream_ops.allocate(stream, offset, length);
      },mmap:function (stream, buffer, offset, length, position, prot, flags) {
        // TODO if PROT is PROT_WRITE, make sure we have write access
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EACCES);
        }
        if (!stream.stream_ops.mmap) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        return stream.stream_ops.mmap(stream, buffer, offset, length, position, prot, flags);
      },ioctl:function (stream, cmd, arg) {
        if (!stream.stream_ops.ioctl) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTTY);
        }
        return stream.stream_ops.ioctl(stream, cmd, arg);
      },readFile:function (path, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'r';
        opts.encoding = opts.encoding || 'binary';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var ret;
        var stream = FS.open(path, opts.flags);
        var stat = FS.stat(path);
        var length = stat.size;
        var buf = new Uint8Array(length);
        FS.read(stream, buf, 0, length, 0);
        if (opts.encoding === 'utf8') {
          ret = '';
          var utf8 = new Runtime.UTF8Processor();
          for (var i = 0; i < length; i++) {
            ret += utf8.processCChar(buf[i]);
          }
        } else if (opts.encoding === 'binary') {
          ret = buf;
        }
        FS.close(stream);
        return ret;
      },writeFile:function (path, data, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'w';
        opts.encoding = opts.encoding || 'utf8';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var stream = FS.open(path, opts.flags, opts.mode);
        if (opts.encoding === 'utf8') {
          var utf8 = new Runtime.UTF8Processor();
          var buf = new Uint8Array(utf8.processJSString(data));
          FS.write(stream, buf, 0, buf.length, 0, opts.canOwn);
        } else if (opts.encoding === 'binary') {
          FS.write(stream, data, 0, data.length, 0, opts.canOwn);
        }
        FS.close(stream);
      },cwd:function () {
        return FS.currentPath;
      },chdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        if (!FS.isDir(lookup.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        var err = FS.nodePermissions(lookup.node, 'x');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        FS.currentPath = lookup.path;
      },createDefaultDirectories:function () {
        FS.mkdir('/tmp');
      },createDefaultDevices:function () {
        // create /dev
        FS.mkdir('/dev');
        // setup /dev/null
        FS.registerDevice(FS.makedev(1, 3), {
          read: function() { return 0; },
          write: function() { return 0; }
        });
        FS.mkdev('/dev/null', FS.makedev(1, 3));
        // setup /dev/tty and /dev/tty1
        // stderr needs to print output using Module['printErr']
        // so we register a second tty just for it.
        TTY.register(FS.makedev(5, 0), TTY.default_tty_ops);
        TTY.register(FS.makedev(6, 0), TTY.default_tty1_ops);
        FS.mkdev('/dev/tty', FS.makedev(5, 0));
        FS.mkdev('/dev/tty1', FS.makedev(6, 0));
        // we're not going to emulate the actual shm device,
        // just create the tmp dirs that reside in it commonly
        FS.mkdir('/dev/shm');
        FS.mkdir('/dev/shm/tmp');
      },createStandardStreams:function () {
        // TODO deprecate the old functionality of a single
        // input / output callback and that utilizes FS.createDevice
        // and instead require a unique set of stream ops
  
        // by default, we symlink the standard streams to the
        // default tty devices. however, if the standard streams
        // have been overwritten we create a unique device for
        // them instead.
        if (Module['stdin']) {
          FS.createDevice('/dev', 'stdin', Module['stdin']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdin');
        }
        if (Module['stdout']) {
          FS.createDevice('/dev', 'stdout', null, Module['stdout']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdout');
        }
        if (Module['stderr']) {
          FS.createDevice('/dev', 'stderr', null, Module['stderr']);
        } else {
          FS.symlink('/dev/tty1', '/dev/stderr');
        }
  
        // open default streams for the stdin, stdout and stderr devices
        var stdin = FS.open('/dev/stdin', 'r');
        HEAP32[((_stdin)>>2)]=FS.getPtrForStream(stdin);
        assert(stdin.fd === 0, 'invalid handle for stdin (' + stdin.fd + ')');
  
        var stdout = FS.open('/dev/stdout', 'w');
        HEAP32[((_stdout)>>2)]=FS.getPtrForStream(stdout);
        assert(stdout.fd === 1, 'invalid handle for stdout (' + stdout.fd + ')');
  
        var stderr = FS.open('/dev/stderr', 'w');
        HEAP32[((_stderr)>>2)]=FS.getPtrForStream(stderr);
        assert(stderr.fd === 2, 'invalid handle for stderr (' + stderr.fd + ')');
      },ensureErrnoError:function () {
        if (FS.ErrnoError) return;
        FS.ErrnoError = function ErrnoError(errno) {
          this.errno = errno;
          for (var key in ERRNO_CODES) {
            if (ERRNO_CODES[key] === errno) {
              this.code = key;
              break;
            }
          }
          this.message = ERRNO_MESSAGES[errno];
        };
        FS.ErrnoError.prototype = new Error();
        FS.ErrnoError.prototype.constructor = FS.ErrnoError;
        // Some errors may happen quite a bit, to avoid overhead we reuse them (and suffer a lack of stack info)
        [ERRNO_CODES.ENOENT].forEach(function(code) {
          FS.genericErrors[code] = new FS.ErrnoError(code);
          FS.genericErrors[code].stack = '<generic error, no stack>';
        });
      },staticInit:function () {
        FS.ensureErrnoError();
  
        FS.nameTable = new Array(4096);
  
        FS.mount(MEMFS, {}, '/');
  
        FS.createDefaultDirectories();
        FS.createDefaultDevices();
      },init:function (input, output, error) {
        assert(!FS.init.initialized, 'FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)');
        FS.init.initialized = true;
  
        FS.ensureErrnoError();
  
        // Allow Module.stdin etc. to provide defaults, if none explicitly passed to us here
        Module['stdin'] = input || Module['stdin'];
        Module['stdout'] = output || Module['stdout'];
        Module['stderr'] = error || Module['stderr'];
  
        FS.createStandardStreams();
      },quit:function () {
        FS.init.initialized = false;
        for (var i = 0; i < FS.streams.length; i++) {
          var stream = FS.streams[i];
          if (!stream) {
            continue;
          }
          FS.close(stream);
        }
      },getMode:function (canRead, canWrite) {
        var mode = 0;
        if (canRead) mode |= 292 | 73;
        if (canWrite) mode |= 146;
        return mode;
      },joinPath:function (parts, forceRelative) {
        var path = PATH.join.apply(null, parts);
        if (forceRelative && path[0] == '/') path = path.substr(1);
        return path;
      },absolutePath:function (relative, base) {
        return PATH.resolve(base, relative);
      },standardizePath:function (path) {
        return PATH.normalize(path);
      },findObject:function (path, dontResolveLastLink) {
        var ret = FS.analyzePath(path, dontResolveLastLink);
        if (ret.exists) {
          return ret.object;
        } else {
          ___setErrNo(ret.error);
          return null;
        }
      },analyzePath:function (path, dontResolveLastLink) {
        // operate from within the context of the symlink's target
        try {
          var lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          path = lookup.path;
        } catch (e) {
        }
        var ret = {
          isRoot: false, exists: false, error: 0, name: null, path: null, object: null,
          parentExists: false, parentPath: null, parentObject: null
        };
        try {
          var lookup = FS.lookupPath(path, { parent: true });
          ret.parentExists = true;
          ret.parentPath = lookup.path;
          ret.parentObject = lookup.node;
          ret.name = PATH.basename(path);
          lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          ret.exists = true;
          ret.path = lookup.path;
          ret.object = lookup.node;
          ret.name = lookup.node.name;
          ret.isRoot = lookup.path === '/';
        } catch (e) {
          ret.error = e.errno;
        };
        return ret;
      },createFolder:function (parent, name, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.mkdir(path, mode);
      },createPath:function (parent, path, canRead, canWrite) {
        parent = typeof parent === 'string' ? parent : FS.getPath(parent);
        var parts = path.split('/').reverse();
        while (parts.length) {
          var part = parts.pop();
          if (!part) continue;
          var current = PATH.join2(parent, part);
          try {
            FS.mkdir(current);
          } catch (e) {
            // ignore EEXIST
          }
          parent = current;
        }
        return current;
      },createFile:function (parent, name, properties, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.create(path, mode);
      },createDataFile:function (parent, name, data, canRead, canWrite, canOwn) {
        var path = name ? PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name) : parent;
        var mode = FS.getMode(canRead, canWrite);
        var node = FS.create(path, mode);
        if (data) {
          if (typeof data === 'string') {
            var arr = new Array(data.length);
            for (var i = 0, len = data.length; i < len; ++i) arr[i] = data.charCodeAt(i);
            data = arr;
          }
          // make sure we can write to the file
          FS.chmod(node, mode | 146);
          var stream = FS.open(node, 'w');
          FS.write(stream, data, 0, data.length, 0, canOwn);
          FS.close(stream);
          FS.chmod(node, mode);
        }
        return node;
      },createDevice:function (parent, name, input, output) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(!!input, !!output);
        if (!FS.createDevice.major) FS.createDevice.major = 64;
        var dev = FS.makedev(FS.createDevice.major++, 0);
        // Create a fake device that a set of stream ops to emulate
        // the old behavior.
        FS.registerDevice(dev, {
          open: function(stream) {
            stream.seekable = false;
          },
          close: function(stream) {
            // flush any pending line data
            if (output && output.buffer && output.buffer.length) {
              output(10);
            }
          },
          read: function(stream, buffer, offset, length, pos /* ignored */) {
            var bytesRead = 0;
            for (var i = 0; i < length; i++) {
              var result;
              try {
                result = input();
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
              if (result === undefined && bytesRead === 0) {
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
              if (result === null || result === undefined) break;
              bytesRead++;
              buffer[offset+i] = result;
            }
            if (bytesRead) {
              stream.node.timestamp = Date.now();
            }
            return bytesRead;
          },
          write: function(stream, buffer, offset, length, pos) {
            for (var i = 0; i < length; i++) {
              try {
                output(buffer[offset+i]);
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
            }
            if (length) {
              stream.node.timestamp = Date.now();
            }
            return i;
          }
        });
        return FS.mkdev(path, mode, dev);
      },createLink:function (parent, name, target, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        return FS.symlink(target, path);
      },forceLoadFile:function (obj) {
        if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
        var success = true;
        if (typeof XMLHttpRequest !== 'undefined') {
          throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");
        } else if (Module['read']) {
          // Command-line.
          try {
            // WARNING: Can't read binary files in V8's d8 or tracemonkey's js, as
            //          read() will try to parse UTF8.
            obj.contents = intArrayFromString(Module['read'](obj.url), true);
          } catch (e) {
            success = false;
          }
        } else {
          throw new Error('Cannot load without read() or XMLHttpRequest.');
        }
        if (!success) ___setErrNo(ERRNO_CODES.EIO);
        return success;
      },createLazyFile:function (parent, name, url, canRead, canWrite) {
        if (typeof XMLHttpRequest !== 'undefined') {
          if (!ENVIRONMENT_IS_WORKER) throw 'Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc';
          // Lazy chunked Uint8Array (implements get and length from Uint8Array). Actual getting is abstracted away for eventual reuse.
          function LazyUint8Array() {
            this.lengthKnown = false;
            this.chunks = []; // Loaded chunks. Index is the chunk number
          }
          LazyUint8Array.prototype.get = function LazyUint8Array_get(idx) {
            if (idx > this.length-1 || idx < 0) {
              return undefined;
            }
            var chunkOffset = idx % this.chunkSize;
            var chunkNum = Math.floor(idx / this.chunkSize);
            return this.getter(chunkNum)[chunkOffset];
          }
          LazyUint8Array.prototype.setDataGetter = function LazyUint8Array_setDataGetter(getter) {
            this.getter = getter;
          }
          LazyUint8Array.prototype.cacheLength = function LazyUint8Array_cacheLength() {
              // Find length
              var xhr = new XMLHttpRequest();
              xhr.open('HEAD', url, false);
              xhr.send(null);
              if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
              var datalength = Number(xhr.getResponseHeader("Content-length"));
              var header;
              var hasByteServing = (header = xhr.getResponseHeader("Accept-Ranges")) && header === "bytes";
              var chunkSize = 1024*1024; // Chunk size in bytes
  
              if (!hasByteServing) chunkSize = datalength;
  
              // Function to get a range from the remote URL.
              var doXHR = (function(from, to) {
                if (from > to) throw new Error("invalid range (" + from + ", " + to + ") or no bytes requested!");
                if (to > datalength-1) throw new Error("only " + datalength + " bytes available! programmer error!");
  
                // TODO: Use mozResponseArrayBuffer, responseStream, etc. if available.
                var xhr = new XMLHttpRequest();
                xhr.open('GET', url, false);
                if (datalength !== chunkSize) xhr.setRequestHeader("Range", "bytes=" + from + "-" + to);
  
                // Some hints to the browser that we want binary data.
                if (typeof Uint8Array != 'undefined') xhr.responseType = 'arraybuffer';
                if (xhr.overrideMimeType) {
                  xhr.overrideMimeType('text/plain; charset=x-user-defined');
                }
  
                xhr.send(null);
                if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
                if (xhr.response !== undefined) {
                  return new Uint8Array(xhr.response || []);
                } else {
                  return intArrayFromString(xhr.responseText || '', true);
                }
              });
              var lazyArray = this;
              lazyArray.setDataGetter(function(chunkNum) {
                var start = chunkNum * chunkSize;
                var end = (chunkNum+1) * chunkSize - 1; // including this byte
                end = Math.min(end, datalength-1); // if datalength-1 is selected, this is the last block
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") {
                  lazyArray.chunks[chunkNum] = doXHR(start, end);
                }
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") throw new Error("doXHR failed!");
                return lazyArray.chunks[chunkNum];
              });
  
              this._length = datalength;
              this._chunkSize = chunkSize;
              this.lengthKnown = true;
          }
  
          var lazyArray = new LazyUint8Array();
          Object.defineProperty(lazyArray, "length", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._length;
              }
          });
          Object.defineProperty(lazyArray, "chunkSize", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._chunkSize;
              }
          });
  
          var properties = { isDevice: false, contents: lazyArray };
        } else {
          var properties = { isDevice: false, url: url };
        }
  
        var node = FS.createFile(parent, name, properties, canRead, canWrite);
        // This is a total hack, but I want to get this lazy file code out of the
        // core of MEMFS. If we want to keep this lazy file concept I feel it should
        // be its own thin LAZYFS proxying calls to MEMFS.
        if (properties.contents) {
          node.contents = properties.contents;
        } else if (properties.url) {
          node.contents = null;
          node.url = properties.url;
        }
        // override each stream op with one that tries to force load the lazy file first
        var stream_ops = {};
        var keys = Object.keys(node.stream_ops);
        keys.forEach(function(key) {
          var fn = node.stream_ops[key];
          stream_ops[key] = function forceLoadLazyFile() {
            if (!FS.forceLoadFile(node)) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            return fn.apply(null, arguments);
          };
        });
        // use a custom read function
        stream_ops.read = function stream_ops_read(stream, buffer, offset, length, position) {
          if (!FS.forceLoadFile(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EIO);
          }
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (contents.slice) { // normal array
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          } else {
            for (var i = 0; i < size; i++) { // LazyUint8Array from sync binary XHR
              buffer[offset + i] = contents.get(position + i);
            }
          }
          return size;
        };
        node.stream_ops = stream_ops;
        return node;
      },createPreloadedFile:function (parent, name, url, canRead, canWrite, onload, onerror, dontCreateFile, canOwn) {
        Browser.init();
        // TODO we should allow people to just pass in a complete filename instead
        // of parent and name being that we just join them anyways
        var fullname = name ? PATH.resolve(PATH.join2(parent, name)) : parent;
        function processData(byteArray) {
          function finish(byteArray) {
            if (!dontCreateFile) {
              FS.createDataFile(parent, name, byteArray, canRead, canWrite, canOwn);
            }
            if (onload) onload();
            removeRunDependency('cp ' + fullname);
          }
          var handled = false;
          Module['preloadPlugins'].forEach(function(plugin) {
            if (handled) return;
            if (plugin['canHandle'](fullname)) {
              plugin['handle'](byteArray, fullname, finish, function() {
                if (onerror) onerror();
                removeRunDependency('cp ' + fullname);
              });
              handled = true;
            }
          });
          if (!handled) finish(byteArray);
        }
        addRunDependency('cp ' + fullname);
        if (typeof url == 'string') {
          Browser.asyncLoad(url, function(byteArray) {
            processData(byteArray);
          }, onerror);
        } else {
          processData(url);
        }
      },indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_NAME:function () {
        return 'EM_FS_' + window.location.pathname;
      },DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = function openRequest_onupgradeneeded() {
          console.log('creating db');
          var db = openRequest.result;
          db.createObjectStore(FS.DB_STORE_NAME);
        };
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          var transaction = db.transaction([FS.DB_STORE_NAME], 'readwrite');
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var putRequest = files.put(FS.analyzePath(path).object.contents, path);
            putRequest.onsuccess = function putRequest_onsuccess() { ok++; if (ok + fail == total) finish() };
            putRequest.onerror = function putRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      },loadFilesFromDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = onerror; // no database to load from
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          try {
            var transaction = db.transaction([FS.DB_STORE_NAME], 'readonly');
          } catch(e) {
            onerror(e);
            return;
          }
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var getRequest = files.get(path);
            getRequest.onsuccess = function getRequest_onsuccess() {
              if (FS.analyzePath(path).exists) {
                FS.unlink(path);
              }
              FS.createDataFile(PATH.dirname(path), PATH.basename(path), getRequest.result, true, true, true);
              ok++;
              if (ok + fail == total) finish();
            };
            getRequest.onerror = function getRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      }};
  
  function _open(path, oflag, varargs) {
      // int open(const char *path, int oflag, ...);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/open.html
      var mode = HEAP32[((varargs)>>2)];
      path = Pointer_stringify(path);
      try {
        var stream = FS.open(path, oflag, mode);
        return stream.fd;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fopen(filename, mode) {
      // FILE *fopen(const char *restrict filename, const char *restrict mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fopen.html
      var flags;
      mode = Pointer_stringify(mode);
      if (mode[0] == 'r') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 0;
        }
      } else if (mode[0] == 'w') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 512;
      } else if (mode[0] == 'a') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 1024;
      } else {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return 0;
      }
      var fd = _open(filename, flags, allocate([0x1FF, 0, 0, 0], 'i32', ALLOC_STACK));  // All creation permissions.
      return fd === -1 ? 0 : FS.getPtrForStream(FS.getStream(fd));
    }

  
  function _strerror_r(errnum, strerrbuf, buflen) {
      if (errnum in ERRNO_MESSAGES) {
        if (ERRNO_MESSAGES[errnum].length > buflen - 1) {
          return ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          var msg = ERRNO_MESSAGES[errnum];
          writeAsciiToMemory(msg, strerrbuf);
          return 0;
        }
      } else {
        return ___setErrNo(ERRNO_CODES.EINVAL);
      }
    }function _strerror(errnum) {
      if (!_strerror.buffer) _strerror.buffer = _malloc(256);
      _strerror_r(errnum, _strerror.buffer, 256);
      return _strerror.buffer;
    }

  function ___errno_location() {
      return ___errno_state;
    }

  
  function _close(fildes) {
      // int close(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/close.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        FS.close(stream);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }
  
  function _fsync(fildes) {
      // int fsync(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fsync.html
      var stream = FS.getStream(fildes);
      if (stream) {
        // We write directly to the file system, so there's nothing to do here.
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }
  
  function _fileno(stream) {
      // int fileno(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fileno.html
      return FS.getStreamFromPtr(stream).fd;
    }function _fclose(stream) {
      // int fclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fclose.html
      var fd = _fileno(stream);
      _fsync(fd);
      return _close(fd);
    }

  
  
  
  
  function _mkport() { throw 'TODO' }var SOCKFS={mount:function (mount) {
        return FS.createNode(null, '/', 16384 | 0777, 0);
      },createSocket:function (family, type, protocol) {
        var streaming = type == 1;
        if (protocol) {
          assert(streaming == (protocol == 6)); // if SOCK_STREAM, must be tcp
        }
  
        // create our internal socket structure
        var sock = {
          family: family,
          type: type,
          protocol: protocol,
          server: null,
          peers: {},
          pending: [],
          recv_queue: [],
          sock_ops: SOCKFS.websocket_sock_ops
        };
  
        // create the filesystem node to store the socket structure
        var name = SOCKFS.nextname();
        var node = FS.createNode(SOCKFS.root, name, 49152, 0);
        node.sock = sock;
  
        // and the wrapping stream that enables library functions such
        // as read and write to indirectly interact with the socket
        var stream = FS.createStream({
          path: name,
          node: node,
          flags: FS.modeStringToFlags('r+'),
          seekable: false,
          stream_ops: SOCKFS.stream_ops
        });
  
        // map the new stream to the socket structure (sockets have a 1:1
        // relationship with a stream)
        sock.stream = stream;
  
        return sock;
      },getSocket:function (fd) {
        var stream = FS.getStream(fd);
        if (!stream || !FS.isSocket(stream.node.mode)) {
          return null;
        }
        return stream.node.sock;
      },stream_ops:{poll:function (stream) {
          var sock = stream.node.sock;
          return sock.sock_ops.poll(sock);
        },ioctl:function (stream, request, varargs) {
          var sock = stream.node.sock;
          return sock.sock_ops.ioctl(sock, request, varargs);
        },read:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          var msg = sock.sock_ops.recvmsg(sock, length);
          if (!msg) {
            // socket is closed
            return 0;
          }
          buffer.set(msg.buffer, offset);
          return msg.buffer.length;
        },write:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          return sock.sock_ops.sendmsg(sock, buffer, offset, length);
        },close:function (stream) {
          var sock = stream.node.sock;
          sock.sock_ops.close(sock);
        }},nextname:function () {
        if (!SOCKFS.nextname.current) {
          SOCKFS.nextname.current = 0;
        }
        return 'socket[' + (SOCKFS.nextname.current++) + ']';
      },websocket_sock_ops:{createPeer:function (sock, addr, port) {
          var ws;
  
          if (typeof addr === 'object') {
            ws = addr;
            addr = null;
            port = null;
          }
  
          if (ws) {
            // for sockets that've already connected (e.g. we're the server)
            // we can inspect the _socket property for the address
            if (ws._socket) {
              addr = ws._socket.remoteAddress;
              port = ws._socket.remotePort;
            }
            // if we're just now initializing a connection to the remote,
            // inspect the url property
            else {
              var result = /ws[s]?:\/\/([^:]+):(\d+)/.exec(ws.url);
              if (!result) {
                throw new Error('WebSocket URL must be in the format ws(s)://address:port');
              }
              addr = result[1];
              port = parseInt(result[2], 10);
            }
          } else {
            // create the actual websocket object and connect
            try {
              var url = 'ws://' + addr + ':' + port;
              // the node ws library API is slightly different than the browser's
              var opts = ENVIRONMENT_IS_NODE ? {headers: {'websocket-protocol': ['binary']}} : ['binary'];
              // If node we use the ws library.
              var WebSocket = ENVIRONMENT_IS_NODE ? require('ws') : window['WebSocket'];
              ws = new WebSocket(url, opts);
              ws.binaryType = 'arraybuffer';
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EHOSTUNREACH);
            }
          }
  
  
          var peer = {
            addr: addr,
            port: port,
            socket: ws,
            dgram_send_queue: []
          };
  
          SOCKFS.websocket_sock_ops.addPeer(sock, peer);
          SOCKFS.websocket_sock_ops.handlePeerEvents(sock, peer);
  
          // if this is a bound dgram socket, send the port number first to allow
          // us to override the ephemeral port reported to us by remotePort on the
          // remote end.
          if (sock.type === 2 && typeof sock.sport !== 'undefined') {
            peer.dgram_send_queue.push(new Uint8Array([
                255, 255, 255, 255,
                'p'.charCodeAt(0), 'o'.charCodeAt(0), 'r'.charCodeAt(0), 't'.charCodeAt(0),
                ((sock.sport & 0xff00) >> 8) , (sock.sport & 0xff)
            ]));
          }
  
          return peer;
        },getPeer:function (sock, addr, port) {
          return sock.peers[addr + ':' + port];
        },addPeer:function (sock, peer) {
          sock.peers[peer.addr + ':' + peer.port] = peer;
        },removePeer:function (sock, peer) {
          delete sock.peers[peer.addr + ':' + peer.port];
        },handlePeerEvents:function (sock, peer) {
          var first = true;
  
          var handleOpen = function () {
            try {
              var queued = peer.dgram_send_queue.shift();
              while (queued) {
                peer.socket.send(queued);
                queued = peer.dgram_send_queue.shift();
              }
            } catch (e) {
              // not much we can do here in the way of proper error handling as we've already
              // lied and said this data was sent. shut it down.
              peer.socket.close();
            }
          };
  
          function handleMessage(data) {
            assert(typeof data !== 'string' && data.byteLength !== undefined);  // must receive an ArrayBuffer
            data = new Uint8Array(data);  // make a typed array view on the array buffer
  
  
            // if this is the port message, override the peer's port with it
            var wasfirst = first;
            first = false;
            if (wasfirst &&
                data.length === 10 &&
                data[0] === 255 && data[1] === 255 && data[2] === 255 && data[3] === 255 &&
                data[4] === 'p'.charCodeAt(0) && data[5] === 'o'.charCodeAt(0) && data[6] === 'r'.charCodeAt(0) && data[7] === 't'.charCodeAt(0)) {
              // update the peer's port and it's key in the peer map
              var newport = ((data[8] << 8) | data[9]);
              SOCKFS.websocket_sock_ops.removePeer(sock, peer);
              peer.port = newport;
              SOCKFS.websocket_sock_ops.addPeer(sock, peer);
              return;
            }
  
            sock.recv_queue.push({ addr: peer.addr, port: peer.port, data: data });
          };
  
          if (ENVIRONMENT_IS_NODE) {
            peer.socket.on('open', handleOpen);
            peer.socket.on('message', function(data, flags) {
              if (!flags.binary) {
                return;
              }
              handleMessage((new Uint8Array(data)).buffer);  // copy from node Buffer -> ArrayBuffer
            });
            peer.socket.on('error', function() {
              // don't throw
            });
          } else {
            peer.socket.onopen = handleOpen;
            peer.socket.onmessage = function peer_socket_onmessage(event) {
              handleMessage(event.data);
            };
          }
        },poll:function (sock) {
          if (sock.type === 1 && sock.server) {
            // listen sockets should only say they're available for reading
            // if there are pending clients.
            return sock.pending.length ? (64 | 1) : 0;
          }
  
          var mask = 0;
          var dest = sock.type === 1 ?  // we only care about the socket state for connection-based sockets
            SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport) :
            null;
  
          if (sock.recv_queue.length ||
              !dest ||  // connection-less sockets are always ready to read
              (dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {  // let recv return 0 once closed
            mask |= (64 | 1);
          }
  
          if (!dest ||  // connection-less sockets are always ready to write
              (dest && dest.socket.readyState === dest.socket.OPEN)) {
            mask |= 4;
          }
  
          if ((dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {
            mask |= 16;
          }
  
          return mask;
        },ioctl:function (sock, request, arg) {
          switch (request) {
            case 21531:
              var bytes = 0;
              if (sock.recv_queue.length) {
                bytes = sock.recv_queue[0].data.length;
              }
              HEAP32[((arg)>>2)]=bytes;
              return 0;
            default:
              return ERRNO_CODES.EINVAL;
          }
        },close:function (sock) {
          // if we've spawned a listen server, close it
          if (sock.server) {
            try {
              sock.server.close();
            } catch (e) {
            }
            sock.server = null;
          }
          // close any peer connections
          var peers = Object.keys(sock.peers);
          for (var i = 0; i < peers.length; i++) {
            var peer = sock.peers[peers[i]];
            try {
              peer.socket.close();
            } catch (e) {
            }
            SOCKFS.websocket_sock_ops.removePeer(sock, peer);
          }
          return 0;
        },bind:function (sock, addr, port) {
          if (typeof sock.saddr !== 'undefined' || typeof sock.sport !== 'undefined') {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already bound
          }
          sock.saddr = addr;
          sock.sport = port || _mkport();
          // in order to emulate dgram sockets, we need to launch a listen server when
          // binding on a connection-less socket
          // note: this is only required on the server side
          if (sock.type === 2) {
            // close the existing server if it exists
            if (sock.server) {
              sock.server.close();
              sock.server = null;
            }
            // swallow error operation not supported error that occurs when binding in the
            // browser where this isn't supported
            try {
              sock.sock_ops.listen(sock, 0);
            } catch (e) {
              if (!(e instanceof FS.ErrnoError)) throw e;
              if (e.errno !== ERRNO_CODES.EOPNOTSUPP) throw e;
            }
          }
        },connect:function (sock, addr, port) {
          if (sock.server) {
            throw new FS.ErrnoError(ERRNO_CODS.EOPNOTSUPP);
          }
  
          // TODO autobind
          // if (!sock.addr && sock.type == 2) {
          // }
  
          // early out if we're already connected / in the middle of connecting
          if (typeof sock.daddr !== 'undefined' && typeof sock.dport !== 'undefined') {
            var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
            if (dest) {
              if (dest.socket.readyState === dest.socket.CONNECTING) {
                throw new FS.ErrnoError(ERRNO_CODES.EALREADY);
              } else {
                throw new FS.ErrnoError(ERRNO_CODES.EISCONN);
              }
            }
          }
  
          // add the socket to our peer list and set our
          // destination address / port to match
          var peer = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
          sock.daddr = peer.addr;
          sock.dport = peer.port;
  
          // always "fail" in non-blocking mode
          throw new FS.ErrnoError(ERRNO_CODES.EINPROGRESS);
        },listen:function (sock, backlog) {
          if (!ENVIRONMENT_IS_NODE) {
            throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
          }
          if (sock.server) {
             throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already listening
          }
          var WebSocketServer = require('ws').Server;
          var host = sock.saddr;
          sock.server = new WebSocketServer({
            host: host,
            port: sock.sport
            // TODO support backlog
          });
  
          sock.server.on('connection', function(ws) {
            if (sock.type === 1) {
              var newsock = SOCKFS.createSocket(sock.family, sock.type, sock.protocol);
  
              // create a peer on the new socket
              var peer = SOCKFS.websocket_sock_ops.createPeer(newsock, ws);
              newsock.daddr = peer.addr;
              newsock.dport = peer.port;
  
              // push to queue for accept to pick up
              sock.pending.push(newsock);
            } else {
              // create a peer on the listen socket so calling sendto
              // with the listen socket and an address will resolve
              // to the correct client
              SOCKFS.websocket_sock_ops.createPeer(sock, ws);
            }
          });
          sock.server.on('closed', function() {
            sock.server = null;
          });
          sock.server.on('error', function() {
            // don't throw
          });
        },accept:function (listensock) {
          if (!listensock.server) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          var newsock = listensock.pending.shift();
          newsock.stream.flags = listensock.stream.flags;
          return newsock;
        },getname:function (sock, peer) {
          var addr, port;
          if (peer) {
            if (sock.daddr === undefined || sock.dport === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            }
            addr = sock.daddr;
            port = sock.dport;
          } else {
            // TODO saddr and sport will be set for bind()'d UDP sockets, but what
            // should we be returning for TCP sockets that've been connect()'d?
            addr = sock.saddr || 0;
            port = sock.sport || 0;
          }
          return { addr: addr, port: port };
        },sendmsg:function (sock, buffer, offset, length, addr, port) {
          if (sock.type === 2) {
            // connection-less sockets will honor the message address,
            // and otherwise fall back to the bound destination address
            if (addr === undefined || port === undefined) {
              addr = sock.daddr;
              port = sock.dport;
            }
            // if there was no address to fall back to, error out
            if (addr === undefined || port === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.EDESTADDRREQ);
            }
          } else {
            // connection-based sockets will only use the bound
            addr = sock.daddr;
            port = sock.dport;
          }
  
          // find the peer for the destination address
          var dest = SOCKFS.websocket_sock_ops.getPeer(sock, addr, port);
  
          // early out if not connected with a connection-based socket
          if (sock.type === 1) {
            if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            } else if (dest.socket.readyState === dest.socket.CONNECTING) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // create a copy of the incoming data to send, as the WebSocket API
          // doesn't work entirely with an ArrayBufferView, it'll just send
          // the entire underlying buffer
          var data;
          if (buffer instanceof Array || buffer instanceof ArrayBuffer) {
            data = buffer.slice(offset, offset + length);
          } else {  // ArrayBufferView
            data = buffer.buffer.slice(buffer.byteOffset + offset, buffer.byteOffset + offset + length);
          }
  
          // if we're emulating a connection-less dgram socket and don't have
          // a cached connection, queue the buffer to send upon connect and
          // lie, saying the data was sent now.
          if (sock.type === 2) {
            if (!dest || dest.socket.readyState !== dest.socket.OPEN) {
              // if we're not connected, open a new connection
              if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                dest = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
              }
              dest.dgram_send_queue.push(data);
              return length;
            }
          }
  
          try {
            // send the actual data
            dest.socket.send(data);
            return length;
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
        },recvmsg:function (sock, length) {
          // http://pubs.opengroup.org/onlinepubs/7908799/xns/recvmsg.html
          if (sock.type === 1 && sock.server) {
            // tcp servers should not be recv()'ing on the listen socket
            throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
          }
  
          var queued = sock.recv_queue.shift();
          if (!queued) {
            if (sock.type === 1) {
              var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
  
              if (!dest) {
                // if we have a destination address but are not connected, error out
                throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
              }
              else if (dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                // return null if the socket has closed
                return null;
              }
              else {
                // else, our socket is in a valid state but truly has nothing available
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
            } else {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // queued.data will be an ArrayBuffer if it's unadulterated, but if it's
          // requeued TCP data it'll be an ArrayBufferView
          var queuedLength = queued.data.byteLength || queued.data.length;
          var queuedOffset = queued.data.byteOffset || 0;
          var queuedBuffer = queued.data.buffer || queued.data;
          var bytesRead = Math.min(length, queuedLength);
          var res = {
            buffer: new Uint8Array(queuedBuffer, queuedOffset, bytesRead),
            addr: queued.addr,
            port: queued.port
          };
  
  
          // push back any unread data for TCP connections
          if (sock.type === 1 && bytesRead < queuedLength) {
            var bytesRemaining = queuedLength - bytesRead;
            queued.data = new Uint8Array(queuedBuffer, queuedOffset + bytesRead, bytesRemaining);
            sock.recv_queue.unshift(queued);
          }
  
          return res;
        }}};function _send(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _write(fd, buf, len);
    }
  
  function _pwrite(fildes, buf, nbyte, offset) {
      // ssize_t pwrite(int fildes, const void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _write(fildes, buf, nbyte) {
      // ssize_t write(int fildes, const void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fwrite(ptr, size, nitems, stream) {
      // size_t fwrite(const void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fwrite.html
      var bytesToWrite = nitems * size;
      if (bytesToWrite == 0) return 0;
      var fd = _fileno(stream);
      var bytesWritten = _write(fd, ptr, bytesToWrite);
      if (bytesWritten == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return 0;
      } else {
        return Math.floor(bytesWritten / size);
      }
    }

  function _fputc(c, stream) {
      // int fputc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputc.html
      var chr = unSign(c & 0xFF);
      HEAP8[((_fputc.ret)|0)]=chr;
      var fd = _fileno(stream);
      var ret = _write(fd, _fputc.ret, 1);
      if (ret == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return -1;
      } else {
        return chr;
      }
    }

  
  
  function _emscripten_memcpy_big(dest, src, num) {
      HEAPU8.set(HEAPU8.subarray(src, src+num), dest);
      return dest;
    } 
  Module["_memcpy"] = _memcpy;var _llvm_memcpy_p0i8_p0i8_i32=_memcpy;

  
   
  Module["_memset"] = _memset;var _llvm_memset_p0i8_i32=_memset;

  
  var PTHREAD_SPECIFIC={};function _pthread_getspecific(key) {
      return PTHREAD_SPECIFIC[key] || 0;
    }

  function _pthread_setspecific(key, value) {
      if (!(key in PTHREAD_SPECIFIC)) {
        return ERRNO_CODES.EINVAL;
      }
      PTHREAD_SPECIFIC[key] = value;
      return 0;
    }

  
  
  function _putchar(c) {
      // int putchar(int c);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/putchar.html
      return _fputc(c, HEAP32[((_stdout)>>2)]);
    } 
  Module["_saveSetjmp"] = _saveSetjmp;
  
   
  Module["_testSetjmp"] = _testSetjmp;var _setjmp=undefined;


  function __exit(status) {
      // void _exit(int status);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/exit.html
      Module['exit'](status);
    }

  var _llvm_memset_p0i8_i64=_memset;

  var _floor=Math_floor;

  var _sqrt=Math_sqrt;

  var _cos=Math_cos;

  
   
  Module["_memmove"] = _memmove;var _llvm_memmove_p0i8_p0i8_i32=_memmove;

  function _time(ptr) {
      var ret = Math.floor(Date.now()/1000);
      if (ptr) {
        HEAP32[((ptr)>>2)]=ret;
      }
      return ret;
    }

  
  var ___rand_seed=allocate([0x0273459b, 0, 0, 0], "i32", ALLOC_STATIC);function _srand(seed) {
      HEAP32[((___rand_seed)>>2)]=seed
    }

  
   
  Module["_rand_r"] = _rand_r; 
  Module["_rand"] = _rand;

  var _llvm_pow_f64=Math_pow;

  var _fabs=Math_abs;

  
  
  
  function __reallyNegative(x) {
      return x < 0 || (x === 0 && (1/x) === -Infinity);
    }function __formatString(format, varargs) {
      var textIndex = format;
      var argIndex = 0;
      function getNextArg(type) {
        // NOTE: Explicitly ignoring type safety. Otherwise this fails:
        //       int x = 4; printf("%c\n", (char)x);
        var ret;
        if (type === 'double') {
          ret = HEAPF64[(((varargs)+(argIndex))>>3)];
        } else if (type == 'i64') {
          ret = [HEAP32[(((varargs)+(argIndex))>>2)],
                 HEAP32[(((varargs)+(argIndex+8))>>2)]];
          argIndex += 8; // each 32-bit chunk is in a 64-bit block
  
        } else {
          type = 'i32'; // varargs are always i32, i64, or double
          ret = HEAP32[(((varargs)+(argIndex))>>2)];
        }
        argIndex += Math.max(Runtime.getNativeFieldSize(type), Runtime.getAlignSize(type, null, true));
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        var startTextIndex = textIndex;
        curr = HEAP8[(textIndex)];
        if (curr === 0) break;
        next = HEAP8[((textIndex+1)|0)];
        if (curr == 37) {
          // Handle flags.
          var flagAlwaysSigned = false;
          var flagLeftAlign = false;
          var flagAlternative = false;
          var flagZeroPad = false;
          var flagPadSign = false;
          flagsLoop: while (1) {
            switch (next) {
              case 43:
                flagAlwaysSigned = true;
                break;
              case 45:
                flagLeftAlign = true;
                break;
              case 35:
                flagAlternative = true;
                break;
              case 48:
                if (flagZeroPad) {
                  break flagsLoop;
                } else {
                  flagZeroPad = true;
                  break;
                }
              case 32:
                flagPadSign = true;
                break;
              default:
                break flagsLoop;
            }
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          }
  
          // Handle width.
          var width = 0;
          if (next == 42) {
            width = getNextArg('i32');
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          } else {
            while (next >= 48 && next <= 57) {
              width = width * 10 + (next - 48);
              textIndex++;
              next = HEAP8[((textIndex+1)|0)];
            }
          }
  
          // Handle precision.
          var precisionSet = false, precision = -1;
          if (next == 46) {
            precision = 0;
            precisionSet = true;
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
            if (next == 42) {
              precision = getNextArg('i32');
              textIndex++;
            } else {
              while(1) {
                var precisionChr = HEAP8[((textIndex+1)|0)];
                if (precisionChr < 48 ||
                    precisionChr > 57) break;
                precision = precision * 10 + (precisionChr - 48);
                textIndex++;
              }
            }
            next = HEAP8[((textIndex+1)|0)];
          }
          if (precision === -1) {
            precision = 6; // Standard default.
            precisionSet = false;
          }
  
          // Handle integer sizes. WARNING: These assume a 32-bit architecture!
          var argSize;
          switch (String.fromCharCode(next)) {
            case 'h':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 104) {
                textIndex++;
                argSize = 1; // char (actually i32 in varargs)
              } else {
                argSize = 2; // short (actually i32 in varargs)
              }
              break;
            case 'l':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 108) {
                textIndex++;
                argSize = 8; // long long
              } else {
                argSize = 4; // long
              }
              break;
            case 'L': // long long
            case 'q': // int64_t
            case 'j': // intmax_t
              argSize = 8;
              break;
            case 'z': // size_t
            case 't': // ptrdiff_t
            case 'I': // signed ptrdiff_t or unsigned size_t
              argSize = 4;
              break;
            default:
              argSize = null;
          }
          if (argSize) textIndex++;
          next = HEAP8[((textIndex+1)|0)];
  
          // Handle type specifier.
          switch (String.fromCharCode(next)) {
            case 'd': case 'i': case 'u': case 'o': case 'x': case 'X': case 'p': {
              // Integer.
              var signed = next == 100 || next == 105;
              argSize = argSize || 4;
              var currArg = getNextArg('i' + (argSize * 8));
              var origArg = currArg;
              var argText;
              // Flatten i64-1 [low, high] into a (slightly rounded) double
              if (argSize == 8) {
                currArg = Runtime.makeBigInt(currArg[0], currArg[1], next == 117);
              }
              // Truncate to requested size.
              if (argSize <= 4) {
                var limit = Math.pow(256, argSize) - 1;
                currArg = (signed ? reSign : unSign)(currArg & limit, argSize * 8);
              }
              // Format the number.
              var currAbsArg = Math.abs(currArg);
              var prefix = '';
              if (next == 100 || next == 105) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], null); else
                argText = reSign(currArg, 8 * argSize, 1).toString(10);
              } else if (next == 117) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], true); else
                argText = unSign(currArg, 8 * argSize, 1).toString(10);
                currArg = Math.abs(currArg);
              } else if (next == 111) {
                argText = (flagAlternative ? '0' : '') + currAbsArg.toString(8);
              } else if (next == 120 || next == 88) {
                prefix = (flagAlternative && currArg != 0) ? '0x' : '';
                if (argSize == 8 && i64Math) {
                  if (origArg[1]) {
                    argText = (origArg[1]>>>0).toString(16);
                    var lower = (origArg[0]>>>0).toString(16);
                    while (lower.length < 8) lower = '0' + lower;
                    argText += lower;
                  } else {
                    argText = (origArg[0]>>>0).toString(16);
                  }
                } else
                if (currArg < 0) {
                  // Represent negative numbers in hex as 2's complement.
                  currArg = -currArg;
                  argText = (currAbsArg - 1).toString(16);
                  var buffer = [];
                  for (var i = 0; i < argText.length; i++) {
                    buffer.push((0xF - parseInt(argText[i], 16)).toString(16));
                  }
                  argText = buffer.join('');
                  while (argText.length < argSize * 2) argText = 'f' + argText;
                } else {
                  argText = currAbsArg.toString(16);
                }
                if (next == 88) {
                  prefix = prefix.toUpperCase();
                  argText = argText.toUpperCase();
                }
              } else if (next == 112) {
                if (currAbsArg === 0) {
                  argText = '(nil)';
                } else {
                  prefix = '0x';
                  argText = currAbsArg.toString(16);
                }
              }
              if (precisionSet) {
                while (argText.length < precision) {
                  argText = '0' + argText;
                }
              }
  
              // Add sign if needed
              if (currArg >= 0) {
                if (flagAlwaysSigned) {
                  prefix = '+' + prefix;
                } else if (flagPadSign) {
                  prefix = ' ' + prefix;
                }
              }
  
              // Move sign to prefix so we zero-pad after the sign
              if (argText.charAt(0) == '-') {
                prefix = '-' + prefix;
                argText = argText.substr(1);
              }
  
              // Add padding.
              while (prefix.length + argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad) {
                    argText = '0' + argText;
                  } else {
                    prefix = ' ' + prefix;
                  }
                }
              }
  
              // Insert the result into the buffer.
              argText = prefix + argText;
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 'f': case 'F': case 'e': case 'E': case 'g': case 'G': {
              // Float.
              var currArg = getNextArg('double');
              var argText;
              if (isNaN(currArg)) {
                argText = 'nan';
                flagZeroPad = false;
              } else if (!isFinite(currArg)) {
                argText = (currArg < 0 ? '-' : '') + 'inf';
                flagZeroPad = false;
              } else {
                var isGeneral = false;
                var effectivePrecision = Math.min(precision, 20);
  
                // Convert g/G to f/F or e/E, as per:
                // http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html
                if (next == 103 || next == 71) {
                  isGeneral = true;
                  precision = precision || 1;
                  var exponent = parseInt(currArg.toExponential(effectivePrecision).split('e')[1], 10);
                  if (precision > exponent && exponent >= -4) {
                    next = ((next == 103) ? 'f' : 'F').charCodeAt(0);
                    precision -= exponent + 1;
                  } else {
                    next = ((next == 103) ? 'e' : 'E').charCodeAt(0);
                    precision--;
                  }
                  effectivePrecision = Math.min(precision, 20);
                }
  
                if (next == 101 || next == 69) {
                  argText = currArg.toExponential(effectivePrecision);
                  // Make sure the exponent has at least 2 digits.
                  if (/[eE][-+]\d$/.test(argText)) {
                    argText = argText.slice(0, -1) + '0' + argText.slice(-1);
                  }
                } else if (next == 102 || next == 70) {
                  argText = currArg.toFixed(effectivePrecision);
                  if (currArg === 0 && __reallyNegative(currArg)) {
                    argText = '-' + argText;
                  }
                }
  
                var parts = argText.split('e');
                if (isGeneral && !flagAlternative) {
                  // Discard trailing zeros and periods.
                  while (parts[0].length > 1 && parts[0].indexOf('.') != -1 &&
                         (parts[0].slice(-1) == '0' || parts[0].slice(-1) == '.')) {
                    parts[0] = parts[0].slice(0, -1);
                  }
                } else {
                  // Make sure we have a period in alternative mode.
                  if (flagAlternative && argText.indexOf('.') == -1) parts[0] += '.';
                  // Zero pad until required precision.
                  while (precision > effectivePrecision++) parts[0] += '0';
                }
                argText = parts[0] + (parts.length > 1 ? 'e' + parts[1] : '');
  
                // Capitalize 'E' if needed.
                if (next == 69) argText = argText.toUpperCase();
  
                // Add sign.
                if (currArg >= 0) {
                  if (flagAlwaysSigned) {
                    argText = '+' + argText;
                  } else if (flagPadSign) {
                    argText = ' ' + argText;
                  }
                }
              }
  
              // Add padding.
              while (argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad && (argText[0] == '-' || argText[0] == '+')) {
                    argText = argText[0] + '0' + argText.slice(1);
                  } else {
                    argText = (flagZeroPad ? '0' : ' ') + argText;
                  }
                }
              }
  
              // Adjust case.
              if (next < 97) argText = argText.toUpperCase();
  
              // Insert the result into the buffer.
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 's': {
              // String.
              var arg = getNextArg('i8*');
              var argLength = arg ? _strlen(arg) : '(null)'.length;
              if (precisionSet) argLength = Math.min(argLength, precision);
              if (!flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              if (arg) {
                for (var i = 0; i < argLength; i++) {
                  ret.push(HEAPU8[((arg++)|0)]);
                }
              } else {
                ret = ret.concat(intArrayFromString('(null)'.substr(0, argLength), true));
              }
              if (flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              break;
            }
            case 'c': {
              // Character.
              if (flagLeftAlign) ret.push(getNextArg('i8'));
              while (--width > 0) {
                ret.push(32);
              }
              if (!flagLeftAlign) ret.push(getNextArg('i8'));
              break;
            }
            case 'n': {
              // Write the length written so far to the next parameter.
              var ptr = getNextArg('i32*');
              HEAP32[((ptr)>>2)]=ret.length;
              break;
            }
            case '%': {
              // Literal percent sign.
              ret.push(curr);
              break;
            }
            default: {
              // Unknown specifiers remain untouched.
              for (var i = startTextIndex; i < textIndex + 2; i++) {
                ret.push(HEAP8[(i)]);
              }
            }
          }
          textIndex += 2;
          // TODO: Support a/A (hex float) and m (last error) specifiers.
          // TODO: Support %1${specifier} for arg selection.
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return ret;
    }function _snprintf(s, n, format, varargs) {
      // int snprintf(char *restrict s, size_t n, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var limit = (n === undefined) ? result.length
                                    : Math.min(result.length, Math.max(n - 1, 0));
      if (s < 0) {
        s = -s;
        var buf = _malloc(limit+1);
        HEAP32[((s)>>2)]=buf;
        s = buf;
      }
      for (var i = 0; i < limit; i++) {
        HEAP8[(((s)+(i))|0)]=result[i];
      }
      if (limit < n || (n === undefined)) HEAP8[(((s)+(i))|0)]=0;
      return result.length;
    }function _sprintf(s, format, varargs) {
      // int sprintf(char *restrict s, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      return _snprintf(s, undefined, format, varargs);
    }

  function _longjmp(env, value) {
      asm['setThrew'](env, value || 1);
      throw 'longjmp';
    }

  
  
  function _isspace(chr) {
      return (chr == 32) || (chr >= 9 && chr <= 13);
    }function __parseInt(str, endptr, base, min, max, bits, unsign) {
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      var multiplier = 1;
      if (HEAP8[(str)] == 45) {
        multiplier = -1;
        str++;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            str++;
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
  
      // Get digits.
      var chr;
      var ret = 0;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          ret = ret * finalBase + digit;
          str++;
        }
      }
  
      // Apply sign.
      ret *= multiplier;
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      // Unsign if needed.
      if (unsign) {
        if (Math.abs(ret) > max) {
          ret = max;
          ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          ret = unSign(ret, bits);
        }
      }
  
      // Validate range.
      if (ret > max || ret < min) {
        ret = ret > max ? max : min;
        ___setErrNo(ERRNO_CODES.ERANGE);
      }
  
      if (bits == 64) {
        return ((asm["setTempRet0"]((tempDouble=ret,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)),ret>>>0)|0);
      }
  
      return ret;
    }function _strtol(str, endptr, base) {
      return __parseInt(str, endptr, base, -2147483648, 2147483647, 32);  // LONG_MIN, LONG_MAX.
    }

  function _fprintf(stream, format, varargs) {
      // int fprintf(FILE *restrict stream, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var stack = Runtime.stackSave();
      var ret = _fwrite(allocate(result, 'i8', ALLOC_STACK), 1, result.length, stream);
      Runtime.stackRestore(stack);
      return ret;
    }

  function _fputs(s, stream) {
      // int fputs(const char *restrict s, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputs.html
      var fd = _fileno(stream);
      return _write(fd, s, _strlen(s));
    }


  
  var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key, destructor) {
      if (key == 0) {
        return ERRNO_CODES.EINVAL;
      }
      HEAP32[((key)>>2)]=PTHREAD_SPECIFIC_NEXT_KEY;
      // values start at 0
      PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY] = 0;
      PTHREAD_SPECIFIC_NEXT_KEY++;
      return 0;
    }

  function _GC_init() {
  Module['printErr']('missing function: GC_init'); abort(-1);
  }

  function ___assert_fail(condition, filename, line, func) {
      ABORT = true;
      throw 'Assertion failed: ' + Pointer_stringify(condition) + ', at: ' + [filename ? Pointer_stringify(filename) : 'unknown filename', line, func ? Pointer_stringify(func) : 'unknown function'] + ' at ' + stackTrace();
    }

  function _fmax(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.max(x, y);
    }

  function _GC_malloc() {
  Module['printErr']('missing function: GC_malloc'); abort(-1);
  }

  var _llvm_va_start=undefined;

  function _llvm_va_end() {}

  function _printf(format, varargs) {
      // int printf(const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var stdout = HEAP32[((_stdout)>>2)];
      return _fprintf(stdout, format, varargs);
    }


  function _puts(s) {
      // int puts(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/puts.html
      // NOTE: puts() always writes an extra newline.
      var stdout = HEAP32[((_stdout)>>2)];
      var ret = _fputs(s, stdout);
      if (ret < 0) {
        return ret;
      } else {
        var newlineRet = _fputc(10, stdout);
        return (newlineRet < 0) ? -1 : ret + 1;
      }
    }

  function _vfprintf(s, f, va_arg) {
      return _fprintf(s, f, HEAP32[((va_arg)>>2)]);
    }

  function _vsnprintf(s, n, format, va_arg) {
      return _snprintf(s, n, format, HEAP32[((va_arg)>>2)]);
    }

  function _GC_malloc_atomic() {
  Module['printErr']('missing function: GC_malloc_atomic'); abort(-1);
  }

  function _GC_strdup() {
  Module['printErr']('missing function: GC_strdup'); abort(-1);
  }

  function _GC_collect_a_little() {
  Module['printErr']('missing function: GC_collect_a_little'); abort(-1);
  }

  function _strdup(ptr) {
      var len = _strlen(ptr);
      var newStr = _malloc(len + 1);
      (_memcpy(newStr, ptr, len)|0);
      HEAP8[(((newStr)+(len))|0)]=0;
      return newStr;
    }

  function _pthread_mutex_lock() {}

  function _pthread_mutex_unlock() {}

   
  Module["_strcpy"] = _strcpy;

  
  
  function _recv(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _read(fd, buf, len);
    }
  
  function _pread(fildes, buf, nbyte, offset) {
      // ssize_t pread(int fildes, void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _read(fildes, buf, nbyte) {
      // ssize_t read(int fildes, void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fread(ptr, size, nitems, stream) {
      // size_t fread(void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fread.html
      var bytesToRead = nitems * size;
      if (bytesToRead == 0) {
        return 0;
      }
      var bytesRead = 0;
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      while (streamObj.ungotten.length && bytesToRead > 0) {
        HEAP8[((ptr++)|0)]=streamObj.ungotten.pop();
        bytesToRead--;
        bytesRead++;
      }
      var err = _read(streamObj.fd, ptr, bytesToRead);
      if (err == -1) {
        if (streamObj) streamObj.error = true;
        return 0;
      }
      bytesRead += err;
      if (bytesRead < bytesToRead) streamObj.eof = true;
      return Math.floor(bytesRead / size);
    }

  function _qsort(base, num, size, cmp) {
      if (num == 0 || size == 0) return;
      // forward calls to the JavaScript sort method
      // first, sort the items logically
      var keys = [];
      for (var i = 0; i < num; i++) keys.push(i);
      keys.sort(function(a, b) {
        return Module['dynCall_iii'](cmp, base+a*size, base+b*size);
      });
      // apply the sort
      var temp = _malloc(num*size);
      _memcpy(temp, base, num*size);
      for (var i = 0; i < num; i++) {
        if (keys[i] == i) continue; // already in place
        _memcpy(base+i*size, temp+keys[i]*size, size);
      }
      _free(temp);
    }

  function _ftell(stream) {
      // long ftell(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftell.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      if (FS.isChrdev(stream.node.mode)) {
        ___setErrNo(ERRNO_CODES.ESPIPE);
        return -1;
      } else {
        return stream.position;
      }
    }

  
  function _lseek(fildes, offset, whence) {
      // off_t lseek(int fildes, off_t offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/lseek.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        return FS.llseek(stream, offset, whence);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fseek(stream, offset, whence) {
      // int fseek(FILE *stream, long offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fseek.html
      var fd = _fileno(stream);
      var ret = _lseek(fd, offset, whence);
      if (ret == -1) {
        return -1;
      }
      stream = FS.getStreamFromPtr(stream);
      stream.eof = false;
      return 0;
    }

  function _bsearch(key, base, num, size, compar) {
      function cmp(x, y) {
        return Module['dynCall_iii'](compar, x, y);
      };
      var left = 0;
      var right = num;
      var mid, test, addr;
  
      while (left < right) {
        mid = (left + right) >>> 1;
        addr = base + (mid * size);
        test = cmp(key, addr);
        if (test < 0) {
          right = mid;
        } else if (test > 0) {
          left = mid + 1;
        } else {
          return addr;
        }
      }
  
      return 0;
    }

  
  function _emscripten_get_now() {
      if (!_emscripten_get_now.actual) {
        if (ENVIRONMENT_IS_NODE) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() {
            var t = process['hrtime']();
            return t[0] * 1e3 + t[1] / 1e6;
          }
        } else if (typeof dateNow !== 'undefined') {
          _emscripten_get_now.actual = dateNow;
        } else if (ENVIRONMENT_IS_WEB && window['performance'] && window['performance']['now']) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() { return window['performance']['now'](); };
        } else {
          _emscripten_get_now.actual = Date.now;
        }
      }
      return _emscripten_get_now.actual();
    }function _clock_gettime(clk_id, tp) {
      // int clock_gettime(clockid_t clk_id, struct timespec *tp);
      var now;
      if (clk_id === 0) {
        now = Date.now();
      } else {
        now = _emscripten_get_now();
      }
      HEAP32[((tp)>>2)]=Math.floor(now/1000); // seconds
      HEAP32[(((tp)+(4))>>2)]=Math.floor((now % 1000)*1000*1000); // nanoseconds
      return 0;
    }

  function _fgetc(stream) {
      // int fgetc(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgetc.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) return -1;
      if (streamObj.eof || streamObj.error) return -1;
      var ret = _fread(_fgetc.ret, 1, 1, stream);
      if (ret == 0) {
        return -1;
      } else if (ret == -1) {
        streamObj.error = true;
        return -1;
      } else {
        return HEAPU8[((_fgetc.ret)|0)];
      }
    }


  function _perror(s) {
      // void perror(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/perror.html
      var stdout = HEAP32[((_stdout)>>2)];
      if (s) {
        _fputs(s, stdout);
        _fputc(58, stdout);
        _fputc(32, stdout);
      }
      var errnum = HEAP32[((___errno_location())>>2)];
      _puts(_strerror(errnum));
    }

  var _sin=Math_sin;

  var _ceil=Math_ceil;

  function _lis_matrix_set_value() {
  Module['printErr']('missing function: lis_matrix_set_value'); abort(-1);
  }

  function _lis_vector_create() {
  Module['printErr']('missing function: lis_vector_create'); abort(-1);
  }

  function _lis_vector_set_size() {
  Module['printErr']('missing function: lis_vector_set_size'); abort(-1);
  }

  function _lis_solver_create() {
  Module['printErr']('missing function: lis_solver_create'); abort(-1);
  }

  function _lis_solver_set_option() {
  Module['printErr']('missing function: lis_solver_set_option'); abort(-1);
  }

  function _lis_solver_destroy() {
  Module['printErr']('missing function: lis_solver_destroy'); abort(-1);
  }

  function _lis_vector_destroy() {
  Module['printErr']('missing function: lis_vector_destroy'); abort(-1);
  }

  
  var ___strtok_state=0;
  
  function _strtok_r(s, delim, lasts) {
      var skip_leading_delim = 1;
      var spanp;
      var c, sc;
      var tok;
  
  
      if (s == 0 && (s = getValue(lasts, 'i8*')) == 0) {
        return 0;
      }
  
      cont: while (1) {
        c = getValue(s++, 'i8');
        for (spanp = delim; (sc = getValue(spanp++, 'i8')) != 0;) {
          if (c == sc) {
            if (skip_leading_delim) {
              continue cont;
            } else {
              setValue(lasts, s, 'i8*');
              setValue(s - 1, 0, 'i8');
              return s - 1;
            }
          }
        }
        break;
      }
  
      if (c == 0) {
        setValue(lasts, 0, 'i8*');
        return 0;
      }
      tok = s - 1;
  
      for (;;) {
        c = getValue(s++, 'i8');
        spanp = delim;
        do {
          if ((sc = getValue(spanp++, 'i8')) == c) {
            if (c == 0) {
              s = 0;
            } else {
              setValue(s - 1, 0, 'i8');
            }
            setValue(lasts, s, 'i8*');
            return tok;
          }
        } while (sc != 0);
      }
      abort('strtok_r error!');
    }function _strtok(s, delim) {
      return _strtok_r(s, delim, ___strtok_state);
    }

  function _rewind(stream) {
      // void rewind(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/rewind.html
      _fseek(stream, 0, 0);  // SEEK_SET.
      var streamObj = FS.getStreamFromPtr(stream);
      if (streamObj) streamObj.error = false;
    }

  
  
  function __getFloat(text) {
      return /^[+-]?[0-9]*\.?[0-9]+([eE][+-]?[0-9]+)?/.exec(text);
    }function __scanString(format, get, unget, varargs) {
      if (!__scanString.whiteSpace) {
        __scanString.whiteSpace = {};
        __scanString.whiteSpace[32] = 1;
        __scanString.whiteSpace[9] = 1;
        __scanString.whiteSpace[10] = 1;
        __scanString.whiteSpace[11] = 1;
        __scanString.whiteSpace[12] = 1;
        __scanString.whiteSpace[13] = 1;
      }
      // Supports %x, %4x, %d.%d, %lld, %s, %f, %lf.
      // TODO: Support all format specifiers.
      format = Pointer_stringify(format);
      var soFar = 0;
      if (format.indexOf('%n') >= 0) {
        // need to track soFar
        var _get = get;
        get = function get() {
          soFar++;
          return _get();
        }
        var _unget = unget;
        unget = function unget() {
          soFar--;
          return _unget();
        }
      }
      var formatIndex = 0;
      var argsi = 0;
      var fields = 0;
      var argIndex = 0;
      var next;
  
      mainLoop:
      for (var formatIndex = 0; formatIndex < format.length;) {
        if (format[formatIndex] === '%' && format[formatIndex+1] == 'n') {
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          HEAP32[((argPtr)>>2)]=soFar;
          formatIndex += 2;
          continue;
        }
  
        if (format[formatIndex] === '%') {
          var nextC = format.indexOf('c', formatIndex+1);
          if (nextC > 0) {
            var maxx = 1;
            if (nextC > formatIndex+1) {
              var sub = format.substring(formatIndex+1, nextC);
              maxx = parseInt(sub);
              if (maxx != sub) maxx = 0;
            }
            if (maxx) {
              var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
              argIndex += Runtime.getAlignSize('void*', null, true);
              fields++;
              for (var i = 0; i < maxx; i++) {
                next = get();
                HEAP8[((argPtr++)|0)]=next;
                if (next === 0) return i > 0 ? fields : fields-1; // we failed to read the full length of this field
              }
              formatIndex += nextC - formatIndex + 1;
              continue;
            }
          }
        }
  
        // handle %[...]
        if (format[formatIndex] === '%' && format.indexOf('[', formatIndex+1) > 0) {
          var match = /\%([0-9]*)\[(\^)?(\]?[^\]]*)\]/.exec(format.substring(formatIndex));
          if (match) {
            var maxNumCharacters = parseInt(match[1]) || Infinity;
            var negateScanList = (match[2] === '^');
            var scanList = match[3];
  
            // expand "middle" dashs into character sets
            var middleDashMatch;
            while ((middleDashMatch = /([^\-])\-([^\-])/.exec(scanList))) {
              var rangeStartCharCode = middleDashMatch[1].charCodeAt(0);
              var rangeEndCharCode = middleDashMatch[2].charCodeAt(0);
              for (var expanded = ''; rangeStartCharCode <= rangeEndCharCode; expanded += String.fromCharCode(rangeStartCharCode++));
              scanList = scanList.replace(middleDashMatch[1] + '-' + middleDashMatch[2], expanded);
            }
  
            var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
            argIndex += Runtime.getAlignSize('void*', null, true);
            fields++;
  
            for (var i = 0; i < maxNumCharacters; i++) {
              next = get();
              if (negateScanList) {
                if (scanList.indexOf(String.fromCharCode(next)) < 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              } else {
                if (scanList.indexOf(String.fromCharCode(next)) >= 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              }
            }
  
            // write out null-terminating character
            HEAP8[((argPtr++)|0)]=0;
            formatIndex += match[0].length;
            
            continue;
          }
        }      
        // remove whitespace
        while (1) {
          next = get();
          if (next == 0) return fields;
          if (!(next in __scanString.whiteSpace)) break;
        }
        unget();
  
        if (format[formatIndex] === '%') {
          formatIndex++;
          var suppressAssignment = false;
          if (format[formatIndex] == '*') {
            suppressAssignment = true;
            formatIndex++;
          }
          var maxSpecifierStart = formatIndex;
          while (format[formatIndex].charCodeAt(0) >= 48 &&
                 format[formatIndex].charCodeAt(0) <= 57) {
            formatIndex++;
          }
          var max_;
          if (formatIndex != maxSpecifierStart) {
            max_ = parseInt(format.slice(maxSpecifierStart, formatIndex), 10);
          }
          var long_ = false;
          var half = false;
          var longLong = false;
          if (format[formatIndex] == 'l') {
            long_ = true;
            formatIndex++;
            if (format[formatIndex] == 'l') {
              longLong = true;
              formatIndex++;
            }
          } else if (format[formatIndex] == 'h') {
            half = true;
            formatIndex++;
          }
          var type = format[formatIndex];
          formatIndex++;
          var curr = 0;
          var buffer = [];
          // Read characters according to the format. floats are trickier, they may be in an unfloat state in the middle, then be a valid float later
          if (type == 'f' || type == 'e' || type == 'g' ||
              type == 'F' || type == 'E' || type == 'G') {
            next = get();
            while (next > 0 && (!(next in __scanString.whiteSpace)))  {
              buffer.push(String.fromCharCode(next));
              next = get();
            }
            var m = __getFloat(buffer.join(''));
            var last = m ? m[0].length : 0;
            for (var i = 0; i < buffer.length - last + 1; i++) {
              unget();
            }
            buffer.length = last;
          } else {
            next = get();
            var first = true;
            
            // Strip the optional 0x prefix for %x.
            if ((type == 'x' || type == 'X') && (next == 48)) {
              var peek = get();
              if (peek == 120 || peek == 88) {
                next = get();
              } else {
                unget();
              }
            }
            
            while ((curr < max_ || isNaN(max_)) && next > 0) {
              if (!(next in __scanString.whiteSpace) && // stop on whitespace
                  (type == 's' ||
                   ((type === 'd' || type == 'u' || type == 'i') && ((next >= 48 && next <= 57) ||
                                                                     (first && next == 45))) ||
                   ((type === 'x' || type === 'X') && (next >= 48 && next <= 57 ||
                                     next >= 97 && next <= 102 ||
                                     next >= 65 && next <= 70))) &&
                  (formatIndex >= format.length || next !== format[formatIndex].charCodeAt(0))) { // Stop when we read something that is coming up
                buffer.push(String.fromCharCode(next));
                next = get();
                curr++;
                first = false;
              } else {
                break;
              }
            }
            unget();
          }
          if (buffer.length === 0) return 0;  // Failure.
          if (suppressAssignment) continue;
  
          var text = buffer.join('');
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          switch (type) {
            case 'd': case 'u': case 'i':
              if (half) {
                HEAP16[((argPtr)>>1)]=parseInt(text, 10);
              } else if (longLong) {
                (tempI64 = [parseInt(text, 10)>>>0,(tempDouble=parseInt(text, 10),(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((argPtr)>>2)]=tempI64[0],HEAP32[(((argPtr)+(4))>>2)]=tempI64[1]);
              } else {
                HEAP32[((argPtr)>>2)]=parseInt(text, 10);
              }
              break;
            case 'X':
            case 'x':
              HEAP32[((argPtr)>>2)]=parseInt(text, 16);
              break;
            case 'F':
            case 'f':
            case 'E':
            case 'e':
            case 'G':
            case 'g':
            case 'E':
              // fallthrough intended
              if (long_) {
                HEAPF64[((argPtr)>>3)]=parseFloat(text);
              } else {
                HEAPF32[((argPtr)>>2)]=parseFloat(text);
              }
              break;
            case 's':
              var array = intArrayFromString(text);
              for (var j = 0; j < array.length; j++) {
                HEAP8[(((argPtr)+(j))|0)]=array[j];
              }
              break;
          }
          fields++;
        } else if (format[formatIndex].charCodeAt(0) in __scanString.whiteSpace) {
          next = get();
          while (next in __scanString.whiteSpace) {
            if (next <= 0) break mainLoop;  // End of input.
            next = get();
          }
          unget(next);
          formatIndex++;
        } else {
          // Not a specifier.
          next = get();
          if (format[formatIndex].charCodeAt(0) !== next) {
            unget(next);
            break mainLoop;
          }
          formatIndex++;
        }
      }
      return fields;
    }
  
  function _ungetc(c, stream) {
      // int ungetc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ungetc.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        return -1;
      }
      if (c === -1) {
        // do nothing for EOF character
        return c;
      }
      c = unSign(c & 0xFF);
      stream.ungotten.push(c);
      stream.eof = false;
      return c;
    }function _fscanf(stream, format, varargs) {
      // int fscanf(FILE *restrict stream, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        return -1;
      }
      var buffer = [];
      function get() {
        var c = _fgetc(stream);
        buffer.push(c);
        return c;
      };
      function unget() {
        _ungetc(buffer.pop(), stream);
      };
      return __scanString(format, get, unget, varargs);
    }

  
  function __ZSt18uncaught_exceptionv() { // std::uncaught_exception()
      return !!__ZSt18uncaught_exceptionv.uncaught_exception;
    }
  
  
  
  function ___cxa_is_number_type(type) {
      var isNumber = false;
      try { if (type == __ZTIi) isNumber = true } catch(e){}
      try { if (type == __ZTIj) isNumber = true } catch(e){}
      try { if (type == __ZTIl) isNumber = true } catch(e){}
      try { if (type == __ZTIm) isNumber = true } catch(e){}
      try { if (type == __ZTIx) isNumber = true } catch(e){}
      try { if (type == __ZTIy) isNumber = true } catch(e){}
      try { if (type == __ZTIf) isNumber = true } catch(e){}
      try { if (type == __ZTId) isNumber = true } catch(e){}
      try { if (type == __ZTIe) isNumber = true } catch(e){}
      try { if (type == __ZTIc) isNumber = true } catch(e){}
      try { if (type == __ZTIa) isNumber = true } catch(e){}
      try { if (type == __ZTIh) isNumber = true } catch(e){}
      try { if (type == __ZTIs) isNumber = true } catch(e){}
      try { if (type == __ZTIt) isNumber = true } catch(e){}
      return isNumber;
    }function ___cxa_does_inherit(definiteType, possibilityType, possibility) {
      if (possibility == 0) return false;
      if (possibilityType == 0 || possibilityType == definiteType)
        return true;
      var possibility_type_info;
      if (___cxa_is_number_type(possibilityType)) {
        possibility_type_info = possibilityType;
      } else {
        var possibility_type_infoAddr = HEAP32[((possibilityType)>>2)] - 8;
        possibility_type_info = HEAP32[((possibility_type_infoAddr)>>2)];
      }
      switch (possibility_type_info) {
      case 0: // possibility is a pointer
        // See if definite type is a pointer
        var definite_type_infoAddr = HEAP32[((definiteType)>>2)] - 8;
        var definite_type_info = HEAP32[((definite_type_infoAddr)>>2)];
        if (definite_type_info == 0) {
          // Also a pointer; compare base types of pointers
          var defPointerBaseAddr = definiteType+8;
          var defPointerBaseType = HEAP32[((defPointerBaseAddr)>>2)];
          var possPointerBaseAddr = possibilityType+8;
          var possPointerBaseType = HEAP32[((possPointerBaseAddr)>>2)];
          return ___cxa_does_inherit(defPointerBaseType, possPointerBaseType, possibility);
        } else
          return false; // one pointer and one non-pointer
      case 1: // class with no base class
        return false;
      case 2: // class with base class
        var parentTypeAddr = possibilityType + 8;
        var parentType = HEAP32[((parentTypeAddr)>>2)];
        return ___cxa_does_inherit(definiteType, parentType, possibility);
      default:
        return false; // some unencountered type
      }
    }
  
  function ___resumeException(ptr) {
      if (!___cxa_last_thrown_exception) { ___cxa_last_thrown_exception = ptr; }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }
  
  var ___cxa_last_thrown_exception=0;
  
  var ___cxa_exception_header_size=8;function ___cxa_find_matching_catch(thrown, throwntype) {
      if (thrown == -1) thrown = ___cxa_last_thrown_exception;
      header = thrown - ___cxa_exception_header_size;
      if (throwntype == -1) throwntype = HEAP32[((header)>>2)];
      var typeArray = Array.prototype.slice.call(arguments, 2);
  
      // If throwntype is a pointer, this means a pointer has been
      // thrown. When a pointer is thrown, actually what's thrown
      // is a pointer to the pointer. We'll dereference it.
      if (throwntype != 0 && !___cxa_is_number_type(throwntype)) {
        var throwntypeInfoAddr= HEAP32[((throwntype)>>2)] - 8;
        var throwntypeInfo= HEAP32[((throwntypeInfoAddr)>>2)];
        if (throwntypeInfo == 0)
          thrown = HEAP32[((thrown)>>2)];
      }
      // The different catch blocks are denoted by different types.
      // Due to inheritance, those types may not precisely match the
      // type of the thrown object. Find one which matches, and
      // return the type of the catch block which should be called.
      for (var i = 0; i < typeArray.length; i++) {
        if (___cxa_does_inherit(typeArray[i], throwntype, thrown))
          return ((asm["setTempRet0"](typeArray[i]),thrown)|0);
      }
      // Shouldn't happen unless we have bogus data in typeArray
      // or encounter a type for which emscripten doesn't have suitable
      // typeinfo defined. Best-efforts match just in case.
      return ((asm["setTempRet0"](throwntype),thrown)|0);
    }function ___gxx_personality_v0() {
    }

  
  var ___cxa_caught_exceptions=[];function ___cxa_begin_catch(ptr) {
      __ZSt18uncaught_exceptionv.uncaught_exception--;
      ___cxa_caught_exceptions.push(___cxa_last_thrown_exception);
      return ptr;
    }

  
  
  function ___cxa_free_exception(ptr) {
      try {
        return _free(ptr - ___cxa_exception_header_size);
      } catch(e) { // XXX FIXME
      }
    }function ___cxa_end_catch() {
      if (___cxa_end_catch.rethrown) {
        ___cxa_end_catch.rethrown = false;
        return;
      }
      // Clear state flag.
      asm['setThrew'](0);
      // Call destructor if one is registered then clear it.
      var ptr = ___cxa_caught_exceptions.pop();
      if (ptr) {
        header = ptr - ___cxa_exception_header_size;
        var destructor = HEAP32[(((header)+(4))>>2)];
        if (destructor) {
          Runtime.dynCall('vi', destructor, [ptr]);
          HEAP32[(((header)+(4))>>2)]=0;
        }
        ___cxa_free_exception(ptr);
        ___cxa_last_thrown_exception = 0;
      }
    }function ___cxa_rethrow() {
      ___cxa_end_catch.rethrown = true;
      var ptr = ___cxa_caught_exceptions.pop();
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }


  
  function _exit(status) {
      __exit(status);
    }function __ZSt9terminatev() {
      _exit(-1234);
    }


  function ___cxa_call_unexpected(exception) {
      Module.printErr('Unexpected exception thrown, this is not properly supported - aborting');
      ABORT = true;
      throw exception;
    }

  function _strrchr(ptr, chr) {
      var ptr2 = ptr + _strlen(ptr);
      do {
        if (HEAP8[(ptr2)] == chr) return ptr2;
        ptr2--;
      } while (ptr2 >= ptr);
      return 0;
    }

  function ___cxa_allocate_exception(size) {
      var ptr = _malloc(size + ___cxa_exception_header_size);
      return ptr + ___cxa_exception_header_size;
    }

  function ___cxa_throw(ptr, type, destructor) {
      if (!___cxa_throw.initialized) {
        try {
          HEAP32[((__ZTVN10__cxxabiv119__pointer_type_infoE)>>2)]=0; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv117__class_type_infoE)>>2)]=1; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv120__si_class_type_infoE)>>2)]=2; // Workaround for libcxxabi integration bug
        } catch(e){}
        ___cxa_throw.initialized = true;
      }
      var header = ptr - ___cxa_exception_header_size;
      HEAP32[((header)>>2)]=type;
      HEAP32[(((header)+(4))>>2)]=destructor;
      ___cxa_last_thrown_exception = ptr;
      if (!("uncaught_exception" in __ZSt18uncaught_exceptionv)) {
        __ZSt18uncaught_exceptionv.uncaught_exception = 1;
      } else {
        __ZSt18uncaught_exceptionv.uncaught_exception++;
      }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }

  var _fseeko=_fseek;

  var _ftello=_ftell;

  function _htonl(value) {
      return ((value & 0xff) << 24) + ((value & 0xff00) << 8) +
             ((value & 0xff0000) >>> 8) + ((value & 0xff000000) >>> 24);
    }


  function _atoi(ptr) {
      return _strtol(ptr, null, 10);
    }

  var _atol=_atoi;

  function _round(x) {
      return (x < 0) ? -Math.round(-x) : Math.round(x);
    }

  function _signal(sig, func) {
      // TODO
      return 0;
    }

  function _popen(command, mode) {
      // FILE *popen(const char *command, const char *mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/popen.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.EMFILE);
      return 0;
    }

  function _pclose(stream) {
      // int pclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/pclose.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.ECHILD);
      return -1;
    }

  
  function __isLeapYear(year) {
        return year%4 === 0 && (year%100 !== 0 || year%400 === 0);
    }
  
  function __arraySum(array, index) {
      var sum = 0;
      for (var i = 0; i <= index; sum += array[i++]);
      return sum;
    }
  
  
  var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];
  
  var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date, days) {
      var newDate = new Date(date.getTime());
      while(days > 0) {
        var leap = __isLeapYear(newDate.getFullYear());
        var currentMonth = newDate.getMonth();
        var daysInCurrentMonth = (leap ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR)[currentMonth];
  
        if (days > daysInCurrentMonth-newDate.getDate()) {
          // we spill over to next month
          days -= (daysInCurrentMonth-newDate.getDate()+1);
          newDate.setDate(1);
          if (currentMonth < 11) {
            newDate.setMonth(currentMonth+1)
          } else {
            newDate.setMonth(0);
            newDate.setFullYear(newDate.getFullYear()+1);
          }
        } else {
          // we stay in current month 
          newDate.setDate(newDate.getDate()+days);
          return newDate;
        }
      }
  
      return newDate;
    }function _strftime(s, maxsize, format, tm) {
      // size_t strftime(char *restrict s, size_t maxsize, const char *restrict format, const struct tm *restrict timeptr);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/strftime.html
      
      var date = {
        tm_sec: HEAP32[((tm)>>2)],
        tm_min: HEAP32[(((tm)+(4))>>2)],
        tm_hour: HEAP32[(((tm)+(8))>>2)],
        tm_mday: HEAP32[(((tm)+(12))>>2)],
        tm_mon: HEAP32[(((tm)+(16))>>2)],
        tm_year: HEAP32[(((tm)+(20))>>2)],
        tm_wday: HEAP32[(((tm)+(24))>>2)],
        tm_yday: HEAP32[(((tm)+(28))>>2)],
        tm_isdst: HEAP32[(((tm)+(32))>>2)]
      };
  
      var pattern = Pointer_stringify(format);
  
      // expand format
      var EXPANSION_RULES_1 = {
        '%c': '%a %b %d %H:%M:%S %Y',     // Replaced by the locale's appropriate date and time representation - e.g., Mon Aug  3 14:02:01 2013
        '%D': '%m/%d/%y',                 // Equivalent to %m / %d / %y
        '%F': '%Y-%m-%d',                 // Equivalent to %Y - %m - %d
        '%h': '%b',                       // Equivalent to %b
        '%r': '%I:%M:%S %p',              // Replaced by the time in a.m. and p.m. notation
        '%R': '%H:%M',                    // Replaced by the time in 24-hour notation
        '%T': '%H:%M:%S',                 // Replaced by the time
        '%x': '%m/%d/%y',                 // Replaced by the locale's appropriate date representation
        '%X': '%H:%M:%S',                 // Replaced by the locale's appropriate date representation
      };
      for (var rule in EXPANSION_RULES_1) {
        pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_1[rule]);
      }
  
      var WEEKDAYS = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
      var MONTHS = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
  
      function leadingSomething(value, digits, character) {
        var str = typeof value === 'number' ? value.toString() : (value || '');
        while (str.length < digits) {
          str = character[0]+str;
        }
        return str;
      };
  
      function leadingNulls(value, digits) {
        return leadingSomething(value, digits, '0');
      };
  
      function compareByDay(date1, date2) {
        function sgn(value) {
          return value < 0 ? -1 : (value > 0 ? 1 : 0);
        };
  
        var compare;
        if ((compare = sgn(date1.getFullYear()-date2.getFullYear())) === 0) {
          if ((compare = sgn(date1.getMonth()-date2.getMonth())) === 0) {
            compare = sgn(date1.getDate()-date2.getDate());
          }
        }
        return compare;
      };
  
      function getFirstWeekStartDate(janFourth) {
          switch (janFourth.getDay()) {
            case 0: // Sunday
              return new Date(janFourth.getFullYear()-1, 11, 29);
            case 1: // Monday
              return janFourth;
            case 2: // Tuesday
              return new Date(janFourth.getFullYear(), 0, 3);
            case 3: // Wednesday
              return new Date(janFourth.getFullYear(), 0, 2);
            case 4: // Thursday
              return new Date(janFourth.getFullYear(), 0, 1);
            case 5: // Friday
              return new Date(janFourth.getFullYear()-1, 11, 31);
            case 6: // Saturday
              return new Date(janFourth.getFullYear()-1, 11, 30);
          }
      };
  
      function getWeekBasedYear(date) {
          var thisDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          var janFourthThisYear = new Date(thisDate.getFullYear(), 0, 4);
          var janFourthNextYear = new Date(thisDate.getFullYear()+1, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          if (compareByDay(firstWeekStartThisYear, thisDate) <= 0) {
            // this date is after the start of the first week of this year
            if (compareByDay(firstWeekStartNextYear, thisDate) <= 0) {
              return thisDate.getFullYear()+1;
            } else {
              return thisDate.getFullYear();
            }
          } else { 
            return thisDate.getFullYear()-1;
          }
      };
  
      var EXPANSION_RULES_2 = {
        '%a': function(date) {
          return WEEKDAYS[date.tm_wday].substring(0,3);
        },
        '%A': function(date) {
          return WEEKDAYS[date.tm_wday];
        },
        '%b': function(date) {
          return MONTHS[date.tm_mon].substring(0,3);
        },
        '%B': function(date) {
          return MONTHS[date.tm_mon];
        },
        '%C': function(date) {
          var year = date.tm_year+1900;
          return leadingNulls(Math.floor(year/100),2);
        },
        '%d': function(date) {
          return leadingNulls(date.tm_mday, 2);
        },
        '%e': function(date) {
          return leadingSomething(date.tm_mday, 2, ' ');
        },
        '%g': function(date) {
          // %g, %G, and %V give values according to the ISO 8601:2000 standard week-based year. 
          // In this system, weeks begin on a Monday and week 1 of the year is the week that includes 
          // January 4th, which is also the week that includes the first Thursday of the year, and 
          // is also the first week that contains at least four days in the year. 
          // If the first Monday of January is the 2nd, 3rd, or 4th, the preceding days are part of 
          // the last week of the preceding year; thus, for Saturday 2nd January 1999, 
          // %G is replaced by 1998 and %V is replaced by 53. If December 29th, 30th, 
          // or 31st is a Monday, it and any following days are part of week 1 of the following year. 
          // Thus, for Tuesday 30th December 1997, %G is replaced by 1998 and %V is replaced by 01.
          
          return getWeekBasedYear(date).toString().substring(2);
        },
        '%G': function(date) {
          return getWeekBasedYear(date);
        },
        '%H': function(date) {
          return leadingNulls(date.tm_hour, 2);
        },
        '%I': function(date) {
          return leadingNulls(date.tm_hour < 13 ? date.tm_hour : date.tm_hour-12, 2);
        },
        '%j': function(date) {
          // Day of the year (001-366)
          return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, date.tm_mon-1), 3);
        },
        '%m': function(date) {
          return leadingNulls(date.tm_mon+1, 2);
        },
        '%M': function(date) {
          return leadingNulls(date.tm_min, 2);
        },
        '%n': function() {
          return '\n';
        },
        '%p': function(date) {
          if (date.tm_hour > 0 && date.tm_hour < 13) {
            return 'AM';
          } else {
            return 'PM';
          }
        },
        '%S': function(date) {
          return leadingNulls(date.tm_sec, 2);
        },
        '%t': function() {
          return '\t';
        },
        '%u': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay() || 7;
        },
        '%U': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Sunday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year+1900, 0, 1);
          var firstSunday = janFirst.getDay() === 0 ? janFirst : __addDays(janFirst, 7-janFirst.getDay());
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
          
          // is target date after the first Sunday?
          if (compareByDay(firstSunday, endDate) < 0) {
            // calculate difference in days between first Sunday and endDate
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstSundayUntilEndJanuary = 31-firstSunday.getDate();
            var days = firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
  
          return compareByDay(firstSunday, janFirst) === 0 ? '01': '00';
        },
        '%V': function(date) {
          // Replaced by the week number of the year (Monday as the first day of the week) 
          // as a decimal number [01,53]. If the week containing 1 January has four 
          // or more days in the new year, then it is considered week 1. 
          // Otherwise, it is the last week of the previous year, and the next week is week 1. 
          // Both January 4th and the first Thursday of January are always in week 1. [ tm_year, tm_wday, tm_yday]
          var janFourthThisYear = new Date(date.tm_year+1900, 0, 4);
          var janFourthNextYear = new Date(date.tm_year+1901, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          var endDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          if (compareByDay(endDate, firstWeekStartThisYear) < 0) {
            // if given date is before this years first week, then it belongs to the 53rd week of last year
            return '53';
          } 
  
          if (compareByDay(firstWeekStartNextYear, endDate) <= 0) {
            // if given date is after next years first week, then it belongs to the 01th week of next year
            return '01';
          }
  
          // given date is in between CW 01..53 of this calendar year
          var daysDifference;
          if (firstWeekStartThisYear.getFullYear() < date.tm_year+1900) {
            // first CW of this year starts last year
            daysDifference = date.tm_yday+32-firstWeekStartThisYear.getDate()
          } else {
            // first CW of this year starts this year
            daysDifference = date.tm_yday+1-firstWeekStartThisYear.getDate();
          }
          return leadingNulls(Math.ceil(daysDifference/7), 2);
        },
        '%w': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay();
        },
        '%W': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Monday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year, 0, 1);
          var firstMonday = janFirst.getDay() === 1 ? janFirst : __addDays(janFirst, janFirst.getDay() === 0 ? 1 : 7-janFirst.getDay()+1);
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
  
          // is target date after the first Monday?
          if (compareByDay(firstMonday, endDate) < 0) {
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstMondayUntilEndJanuary = 31-firstMonday.getDate();
            var days = firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
          return compareByDay(firstMonday, janFirst) === 0 ? '01': '00';
        },
        '%y': function(date) {
          // Replaced by the last two digits of the year as a decimal number [00,99]. [ tm_year]
          return (date.tm_year+1900).toString().substring(2);
        },
        '%Y': function(date) {
          // Replaced by the year as a decimal number (for example, 1997). [ tm_year]
          return date.tm_year+1900;
        },
        '%z': function(date) {
          // Replaced by the offset from UTC in the ISO 8601:2000 standard format ( +hhmm or -hhmm ),
          // or by no characters if no timezone is determinable. 
          // For example, "-0430" means 4 hours 30 minutes behind UTC (west of Greenwich). 
          // If tm_isdst is zero, the standard time offset is used. 
          // If tm_isdst is greater than zero, the daylight savings time offset is used. 
          // If tm_isdst is negative, no characters are returned. 
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%Z': function(date) {
          // Replaced by the timezone name or abbreviation, or by no bytes if no timezone information exists. [ tm_isdst]
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%%': function() {
          return '%';
        }
      };
      for (var rule in EXPANSION_RULES_2) {
        if (pattern.indexOf(rule) >= 0) {
          pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_2[rule](date));
        }
      }
  
      var bytes = intArrayFromString(pattern, false);
      if (bytes.length > maxsize) {
        return 0;
      } 
  
      writeArrayToMemory(bytes, s);
      return bytes.length-1;
    }

  
  var ___tm_current=allocate(44, "i8", ALLOC_STATIC);
  
  
  var ___tm_timezone=allocate(intArrayFromString("GMT"), "i8", ALLOC_STATIC);
  
  
  var _tzname=allocate(8, "i32*", ALLOC_STATIC);
  
  var _daylight=allocate(1, "i32*", ALLOC_STATIC);
  
  var _timezone=allocate(1, "i32*", ALLOC_STATIC);function _tzset() {
      // TODO: Use (malleable) environment variables instead of system settings.
      if (_tzset.called) return;
      _tzset.called = true;
  
      HEAP32[((_timezone)>>2)]=-(new Date()).getTimezoneOffset() * 60;
  
      var winter = new Date(2000, 0, 1);
      var summer = new Date(2000, 6, 1);
      HEAP32[((_daylight)>>2)]=Number(winter.getTimezoneOffset() != summer.getTimezoneOffset());
  
      var winterName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | winter.toString().match(/\(([A-Z]+)\)/)[1];
      var summerName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | summer.toString().match(/\(([A-Z]+)\)/)[1];
      var winterNamePtr = allocate(intArrayFromString(winterName), 'i8', ALLOC_NORMAL);
      var summerNamePtr = allocate(intArrayFromString(summerName), 'i8', ALLOC_NORMAL);
      HEAP32[((_tzname)>>2)]=winterNamePtr;
      HEAP32[(((_tzname)+(4))>>2)]=summerNamePtr;
    }function _localtime_r(time, tmPtr) {
      _tzset();
      var date = new Date(HEAP32[((time)>>2)]*1000);
      HEAP32[((tmPtr)>>2)]=date.getSeconds();
      HEAP32[(((tmPtr)+(4))>>2)]=date.getMinutes();
      HEAP32[(((tmPtr)+(8))>>2)]=date.getHours();
      HEAP32[(((tmPtr)+(12))>>2)]=date.getDate();
      HEAP32[(((tmPtr)+(16))>>2)]=date.getMonth();
      HEAP32[(((tmPtr)+(20))>>2)]=date.getFullYear()-1900;
      HEAP32[(((tmPtr)+(24))>>2)]=date.getDay();
  
      var start = new Date(date.getFullYear(), 0, 1);
      var yday = Math.floor((date.getTime() - start.getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[(((tmPtr)+(28))>>2)]=yday;
      HEAP32[(((tmPtr)+(36))>>2)]=start.getTimezoneOffset() * 60;
  
      var dst = Number(start.getTimezoneOffset() != date.getTimezoneOffset());
      HEAP32[(((tmPtr)+(32))>>2)]=dst;
  
      HEAP32[(((tmPtr)+(40))>>2)]=___tm_timezone;
  
      return tmPtr;
    }function _localtime(time) {
      return _localtime_r(time, ___tm_current);
    }

  function _system(command) {
      // int system(const char *command);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/system.html
      // Can't call external programs.
      ___setErrNo(ERRNO_CODES.EAGAIN);
      return -1;
    }

  function _asprintf(s, format, varargs) {
      return _sprintf(-s, format, varargs);
    }


  function _strstr(ptr1, ptr2) {
      var check = 0, start;
      do {
        if (!check) {
          start = ptr1;
          check = ptr2;
        }
        var curr1 = HEAP8[((ptr1++)|0)];
        var curr2 = HEAP8[((check++)|0)];
        if (curr2 == 0) return start;
        if (curr2 != curr1) {
          // rewind to one character after start, to find ez in eeez
          ptr1 = start + 1;
          check = 0;
        }
      } while (curr1);
      return 0;
    }

  var _putc=_fputc;

  function _isatty(fildes) {
      // int isatty(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/isatty.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      // HACK - implement tcgetattr
      if (!stream.tty) {
        ___setErrNo(ERRNO_CODES.ENOTTY);
        return 0;
      }
      return 1;
    }


  var _getc=_fgetc;

  function _abort() {
      Module['abort']();
    }

  function _unlink(path) {
      // int unlink(const char *path);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/unlink.html
      path = Pointer_stringify(path);
      try {
        FS.unlink(path);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _truncate(path, length) {
      // int truncate(const char *path, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/truncate.html
      // NOTE: The path argument may be a string, to simplify ftruncate().
      if (typeof path !== 'string') path = Pointer_stringify(path);
      try {
        FS.truncate(path, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _ftruncate(fildes, length) {
      // int ftruncate(int fildes, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftruncate.html
      try {
        FS.ftruncate(fildes, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _stat(path, buf, dontResolveLastLink) {
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/stat.html
      // int stat(const char *path, struct stat *buf);
      // NOTE: dontResolveLastLink is a shortcut for lstat(). It should never be
      //       used in client code.
      path = typeof path !== 'string' ? Pointer_stringify(path) : path;
      try {
        var stat = dontResolveLastLink ? FS.lstat(path) : FS.stat(path);
        HEAP32[((buf)>>2)]=stat.dev;
        HEAP32[(((buf)+(4))>>2)]=0;
        HEAP32[(((buf)+(8))>>2)]=stat.ino;
        HEAP32[(((buf)+(12))>>2)]=stat.mode;
        HEAP32[(((buf)+(16))>>2)]=stat.nlink;
        HEAP32[(((buf)+(20))>>2)]=stat.uid;
        HEAP32[(((buf)+(24))>>2)]=stat.gid;
        HEAP32[(((buf)+(28))>>2)]=stat.rdev;
        HEAP32[(((buf)+(32))>>2)]=0;
        HEAP32[(((buf)+(36))>>2)]=stat.size;
        HEAP32[(((buf)+(40))>>2)]=4096;
        HEAP32[(((buf)+(44))>>2)]=stat.blocks;
        HEAP32[(((buf)+(48))>>2)]=Math.floor(stat.atime.getTime() / 1000);
        HEAP32[(((buf)+(52))>>2)]=0;
        HEAP32[(((buf)+(56))>>2)]=Math.floor(stat.mtime.getTime() / 1000);
        HEAP32[(((buf)+(60))>>2)]=0;
        HEAP32[(((buf)+(64))>>2)]=Math.floor(stat.ctime.getTime() / 1000);
        HEAP32[(((buf)+(68))>>2)]=0;
        HEAP32[(((buf)+(72))>>2)]=stat.ino;
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fstat(fildes, buf) {
      // int fstat(int fildes, struct stat *buf);
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/fstat.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      return _stat(stream.path, buf);
    }

  function _freopen(filename, mode, stream) {
      // FILE *freopen(const char *restrict filename, const char *restrict mode, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/freopen.html
      if (!filename) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (!streamObj) {
          ___setErrNo(ERRNO_CODES.EBADF);
          return 0;
        }
        if (_freopen.buffer) _free(_freopen.buffer);
        filename = intArrayFromString(streamObj.path);
        filename = allocate(filename, 'i8', ALLOC_NORMAL);
      }
      _fclose(stream);
      return _fopen(filename, mode);
    }


  function _access(path, amode) {
      // int access(const char *path, int amode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/access.html
      path = Pointer_stringify(path);
      if (amode & ~7) {
        // need a valid mode
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      }
      var node;
      try {
        var lookup = FS.lookupPath(path, { follow: true });
        node = lookup.node;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
      var perms = '';
      if (amode & 4) perms += 'r';
      if (amode & 2) perms += 'w';
      if (amode & 1) perms += 'x';
      if (perms /* otherwise, they've just passed F_OK */ && FS.nodePermissions(node, perms)) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      }
      return 0;
    }

  
  function _tmpnam(s, dir, prefix) {
      // char *tmpnam(char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpnam.html
      // NOTE: The dir and prefix arguments are for internal use only.
      var folder = FS.findObject(dir || '/tmp');
      if (!folder || !folder.isFolder) {
        dir = '/tmp';
        folder = FS.findObject(dir);
        if (!folder || !folder.isFolder) return 0;
      }
      var name = prefix || 'file';
      do {
        name += String.fromCharCode(65 + Math.floor(Math.random() * 25));
      } while (name in folder.contents);
      var result = dir + '/' + name;
      if (!_tmpnam.buffer) _tmpnam.buffer = _malloc(256);
      if (!s) s = _tmpnam.buffer;
      writeAsciiToMemory(result, s);
      return s;
    }function _tmpfile() {
      // FILE *tmpfile(void);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpfile.html
      // TODO: Delete the created file on closing.
      if (_tmpfile.mode) {
        _tmpfile.mode = allocate(intArrayFromString('w+'), 'i8', ALLOC_NORMAL);
      }
      return _fopen(_tmpnam(0), _tmpfile.mode);
    }


  function ___cxa_guard_acquire(variable) {
      if (!HEAP8[(variable)]) { // ignore SAFE_HEAP stuff because llvm mixes i64 and i8 here
        HEAP8[(variable)]=1;
        return 1;
      }
      return 0;
    }

  function ___cxa_guard_release() {}

  function _pthread_cond_broadcast() {
      return 0;
    }

  function _pthread_cond_wait() {
      return 0;
    }

  
  function _atexit(func, arg) {
      __ATEXIT__.unshift({ func: func, arg: arg });
    }var ___cxa_atexit=_atexit;

  function _llvm_lifetime_start() {}

  function _llvm_lifetime_end() {}

  function __ZNSt9exceptionD2Ev() {}

  function _sysconf(name) {
      // long sysconf(int name);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/sysconf.html
      switch(name) {
        case 30: return PAGE_SIZE;
        case 132:
        case 133:
        case 12:
        case 137:
        case 138:
        case 15:
        case 235:
        case 16:
        case 17:
        case 18:
        case 19:
        case 20:
        case 149:
        case 13:
        case 10:
        case 236:
        case 153:
        case 9:
        case 21:
        case 22:
        case 159:
        case 154:
        case 14:
        case 77:
        case 78:
        case 139:
        case 80:
        case 81:
        case 79:
        case 82:
        case 68:
        case 67:
        case 164:
        case 11:
        case 29:
        case 47:
        case 48:
        case 95:
        case 52:
        case 51:
        case 46:
          return 200809;
        case 27:
        case 246:
        case 127:
        case 128:
        case 23:
        case 24:
        case 160:
        case 161:
        case 181:
        case 182:
        case 242:
        case 183:
        case 184:
        case 243:
        case 244:
        case 245:
        case 165:
        case 178:
        case 179:
        case 49:
        case 50:
        case 168:
        case 169:
        case 175:
        case 170:
        case 171:
        case 172:
        case 97:
        case 76:
        case 32:
        case 173:
        case 35:
          return -1;
        case 176:
        case 177:
        case 7:
        case 155:
        case 8:
        case 157:
        case 125:
        case 126:
        case 92:
        case 93:
        case 129:
        case 130:
        case 131:
        case 94:
        case 91:
          return 1;
        case 74:
        case 60:
        case 69:
        case 70:
        case 4:
          return 1024;
        case 31:
        case 42:
        case 72:
          return 32;
        case 87:
        case 26:
        case 33:
          return 2147483647;
        case 34:
        case 1:
          return 47839;
        case 38:
        case 36:
          return 99;
        case 43:
        case 37:
          return 2048;
        case 0: return 2097152;
        case 3: return 65536;
        case 28: return 32768;
        case 44: return 32767;
        case 75: return 16384;
        case 39: return 1000;
        case 89: return 700;
        case 71: return 256;
        case 40: return 255;
        case 2: return 100;
        case 180: return 64;
        case 25: return 20;
        case 5: return 16;
        case 6: return 6;
        case 73: return 4;
        case 84: return 1;
      }
      ___setErrNo(ERRNO_CODES.EINVAL);
      return -1;
    }

  function ___cxa_guard_abort() {}

  
  function _isxdigit(chr) {
      return (chr >= 48 && chr <= 57) ||
             (chr >= 97 && chr <= 102) ||
             (chr >= 65 && chr <= 70);
    }function _isxdigit_l(chr) {
      return _isxdigit(chr); // no locale support yet
    }

  
  function _isdigit(chr) {
      return chr >= 48 && chr <= 57;
    }function _isdigit_l(chr) {
      return _isdigit(chr); // no locale support yet
    }

  function _sscanf(s, format, varargs) {
      // int sscanf(const char *restrict s, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var index = 0;
      function get() { return HEAP8[(((s)+(index++))|0)]; };
      function unget() { index--; };
      return __scanString(format, get, unget, varargs);
    }

  function _catopen(name, oflag) {
      // nl_catd catopen (const char *name, int oflag)
      return -1;
    }

  function _catgets(catd, set_id, msg_id, s) {
      // char *catgets (nl_catd catd, int set_id, int msg_id, const char *s)
      return s;
    }

  function _catclose(catd) {
      // int catclose (nl_catd catd)
      return 0;
    }

  function _newlocale(mask, locale, base) {
      return _malloc(4);
    }

  function _freelocale(locale) {
      _free(locale);
    }

  function ___ctype_b_loc() {
      // http://refspecs.freestandards.org/LSB_3.0.0/LSB-Core-generic/LSB-Core-generic/baselib---ctype-b-loc.html
      var me = ___ctype_b_loc;
      if (!me.ret) {
        var values = [
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,8195,8194,8194,8194,8194,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24577,49156,49156,49156,
          49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,55304,55304,55304,55304,55304,55304,55304,55304,
          55304,55304,49156,49156,49156,49156,49156,49156,49156,54536,54536,54536,54536,54536,54536,50440,50440,50440,50440,50440,
          50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,49156,49156,49156,49156,49156,
          49156,54792,54792,54792,54792,54792,54792,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,
          50696,50696,50696,50696,50696,50696,50696,49156,49156,49156,49156,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
        ];
        var i16size = 2;
        var arr = _malloc(values.length * i16size);
        for (var i = 0; i < values.length; i++) {
          HEAP16[(((arr)+(i * i16size))>>1)]=values[i];
        }
        me.ret = allocate([arr + 128 * i16size], 'i16*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_tolower_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-tolower-loc.html
      var me = ___ctype_tolower_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,91,92,93,94,95,96,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,
          134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,
          164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,
          194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,
          224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,
          254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_toupper_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-toupper-loc.html
      var me = ___ctype_toupper_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,
          73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
          81,82,83,84,85,86,87,88,89,90,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,
          145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,
          175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,
          205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,
          235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function _strftime_l(s, maxsize, format, tm) {
      return _strftime(s, maxsize, format, tm); // no locale support yet
    }

  
  
  function __parseInt64(str, endptr, base, min, max, unsign) {
      var isNegative = false;
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      if (HEAP8[(str)] == 45) {
        str++;
        isNegative = true;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var ok = false;
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            ok = true; // we saw an initial zero, perhaps the entire thing is just "0"
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
      var start = str;
  
      // Get digits.
      var chr;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          str++;
          ok = true;
        }
      }
  
      if (!ok) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return ((asm["setTempRet0"](0),0)|0);
      }
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      try {
        var numberString = isNegative ? '-'+Pointer_stringify(start, str - start) : Pointer_stringify(start, str - start);
        i64Math.fromString(numberString, finalBase, min, max, unsign);
      } catch(e) {
        ___setErrNo(ERRNO_CODES.ERANGE); // not quite correct
      }
  
      return ((asm["setTempRet0"](((HEAP32[(((tempDoublePtr)+(4))>>2)])|0)),((HEAP32[((tempDoublePtr)>>2)])|0))|0);
    }function _strtoull(str, endptr, base) {
      return __parseInt64(str, endptr, base, 0, '18446744073709551615', true);  // ULONG_MAX.
    }function _strtoull_l(str, endptr, base) {
      return _strtoull(str, endptr, base); // no locale support yet
    }

  
  function _strtoll(str, endptr, base) {
      return __parseInt64(str, endptr, base, '-9223372036854775808', '9223372036854775807');  // LLONG_MIN, LLONG_MAX.
    }function _strtoll_l(str, endptr, base) {
      return _strtoll(str, endptr, base); // no locale support yet
    }

  function _uselocale(locale) {
      return 0;
    }

  function _vasprintf(s, format, va_arg) {
      return _asprintf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _vsscanf(s, format, va_arg) {
      return _sscanf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _isblank(chr) {
      return chr == 32 || chr == 9;
    }

  function _sbrk(bytes) {
      // Implement a Linux-like 'memory area' for our 'process'.
      // Changes the size of the memory area by |bytes|; returns the
      // address of the previous top ('break') of the memory area
      // We control the "dynamic" memory - DYNAMIC_BASE to DYNAMICTOP
      var self = _sbrk;
      if (!self.called) {
        DYNAMICTOP = alignMemoryPage(DYNAMICTOP); // make sure we start out aligned
        self.called = true;
        assert(Runtime.dynamicAlloc);
        self.alloc = Runtime.dynamicAlloc;
        Runtime.dynamicAlloc = function() { abort('cannot dynamically allocate, sbrk now has control') };
      }
      var ret = DYNAMICTOP;
      if (bytes != 0) self.alloc(bytes);
      return ret;  // Previous break location.
    }

  
  function _copysign(a, b) {
      return __reallyNegative(a) === __reallyNegative(b) ? a : -a;
    }var _copysignl=_copysign;

  
  function _fmod(x, y) {
      return x % y;
    }var _fmodl=_fmod;






  var Browser={mainLoop:{scheduler:null,method:"",shouldPause:false,paused:false,queue:[],pause:function () {
          Browser.mainLoop.shouldPause = true;
        },resume:function () {
          if (Browser.mainLoop.paused) {
            Browser.mainLoop.paused = false;
            Browser.mainLoop.scheduler();
          }
          Browser.mainLoop.shouldPause = false;
        },updateStatus:function () {
          if (Module['setStatus']) {
            var message = Module['statusMessage'] || 'Please wait...';
            var remaining = Browser.mainLoop.remainingBlockers;
            var expected = Browser.mainLoop.expectedBlockers;
            if (remaining) {
              if (remaining < expected) {
                Module['setStatus'](message + ' (' + (expected - remaining) + '/' + expected + ')');
              } else {
                Module['setStatus'](message);
              }
            } else {
              Module['setStatus']('');
            }
          }
        }},isFullScreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:function () {
        if (!Module["preloadPlugins"]) Module["preloadPlugins"] = []; // needs to exist even in workers
  
        if (Browser.initted || ENVIRONMENT_IS_WORKER) return;
        Browser.initted = true;
  
        try {
          new Blob();
          Browser.hasBlobConstructor = true;
        } catch(e) {
          Browser.hasBlobConstructor = false;
          console.log("warning: no blob constructor, cannot create blobs with mimetypes");
        }
        Browser.BlobBuilder = typeof MozBlobBuilder != "undefined" ? MozBlobBuilder : (typeof WebKitBlobBuilder != "undefined" ? WebKitBlobBuilder : (!Browser.hasBlobConstructor ? console.log("warning: no BlobBuilder") : null));
        Browser.URLObject = typeof window != "undefined" ? (window.URL ? window.URL : window.webkitURL) : undefined;
        if (!Module.noImageDecoding && typeof Browser.URLObject === 'undefined') {
          console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");
          Module.noImageDecoding = true;
        }
  
        // Support for plugins that can process preloaded files. You can add more of these to
        // your app by creating and appending to Module.preloadPlugins.
        //
        // Each plugin is asked if it can handle a file based on the file's name. If it can,
        // it is given the file's raw data. When it is done, it calls a callback with the file's
        // (possibly modified) data. For example, a plugin might decompress a file, or it
        // might create some side data structure for use later (like an Image element, etc.).
  
        var imagePlugin = {};
        imagePlugin['canHandle'] = function imagePlugin_canHandle(name) {
          return !Module.noImageDecoding && /\.(jpg|jpeg|png|bmp)$/i.test(name);
        };
        imagePlugin['handle'] = function imagePlugin_handle(byteArray, name, onload, onerror) {
          var b = null;
          if (Browser.hasBlobConstructor) {
            try {
              b = new Blob([byteArray], { type: Browser.getMimetype(name) });
              if (b.size !== byteArray.length) { // Safari bug #118630
                // Safari's Blob can only take an ArrayBuffer
                b = new Blob([(new Uint8Array(byteArray)).buffer], { type: Browser.getMimetype(name) });
              }
            } catch(e) {
              Runtime.warnOnce('Blob constructor present but fails: ' + e + '; falling back to blob builder');
            }
          }
          if (!b) {
            var bb = new Browser.BlobBuilder();
            bb.append((new Uint8Array(byteArray)).buffer); // we need to pass a buffer, and must copy the array to get the right data range
            b = bb.getBlob();
          }
          var url = Browser.URLObject.createObjectURL(b);
          var img = new Image();
          img.onload = function img_onload() {
            assert(img.complete, 'Image ' + name + ' could not be decoded');
            var canvas = document.createElement('canvas');
            canvas.width = img.width;
            canvas.height = img.height;
            var ctx = canvas.getContext('2d');
            ctx.drawImage(img, 0, 0);
            Module["preloadedImages"][name] = canvas;
            Browser.URLObject.revokeObjectURL(url);
            if (onload) onload(byteArray);
          };
          img.onerror = function img_onerror(event) {
            console.log('Image ' + url + ' could not be decoded');
            if (onerror) onerror();
          };
          img.src = url;
        };
        Module['preloadPlugins'].push(imagePlugin);
  
        var audioPlugin = {};
        audioPlugin['canHandle'] = function audioPlugin_canHandle(name) {
          return !Module.noAudioDecoding && name.substr(-4) in { '.ogg': 1, '.wav': 1, '.mp3': 1 };
        };
        audioPlugin['handle'] = function audioPlugin_handle(byteArray, name, onload, onerror) {
          var done = false;
          function finish(audio) {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = audio;
            if (onload) onload(byteArray);
          }
          function fail() {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = new Audio(); // empty shim
            if (onerror) onerror();
          }
          if (Browser.hasBlobConstructor) {
            try {
              var b = new Blob([byteArray], { type: Browser.getMimetype(name) });
            } catch(e) {
              return fail();
            }
            var url = Browser.URLObject.createObjectURL(b); // XXX we never revoke this!
            var audio = new Audio();
            audio.addEventListener('canplaythrough', function() { finish(audio) }, false); // use addEventListener due to chromium bug 124926
            audio.onerror = function audio_onerror(event) {
              if (done) return;
              console.log('warning: browser could not fully decode audio ' + name + ', trying slower base64 approach');
              function encode64(data) {
                var BASE = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
                var PAD = '=';
                var ret = '';
                var leftchar = 0;
                var leftbits = 0;
                for (var i = 0; i < data.length; i++) {
                  leftchar = (leftchar << 8) | data[i];
                  leftbits += 8;
                  while (leftbits >= 6) {
                    var curr = (leftchar >> (leftbits-6)) & 0x3f;
                    leftbits -= 6;
                    ret += BASE[curr];
                  }
                }
                if (leftbits == 2) {
                  ret += BASE[(leftchar&3) << 4];
                  ret += PAD + PAD;
                } else if (leftbits == 4) {
                  ret += BASE[(leftchar&0xf) << 2];
                  ret += PAD;
                }
                return ret;
              }
              audio.src = 'data:audio/x-' + name.substr(-3) + ';base64,' + encode64(byteArray);
              finish(audio); // we don't wait for confirmation this worked - but it's worth trying
            };
            audio.src = url;
            // workaround for chrome bug 124926 - we do not always get oncanplaythrough or onerror
            Browser.safeSetTimeout(function() {
              finish(audio); // try to use it even though it is not necessarily ready to play
            }, 10000);
          } else {
            return fail();
          }
        };
        Module['preloadPlugins'].push(audioPlugin);
  
        // Canvas event setup
  
        var canvas = Module['canvas'];
        canvas.requestPointerLock = canvas['requestPointerLock'] ||
                                    canvas['mozRequestPointerLock'] ||
                                    canvas['webkitRequestPointerLock'];
        canvas.exitPointerLock = document['exitPointerLock'] ||
                                 document['mozExitPointerLock'] ||
                                 document['webkitExitPointerLock'] ||
                                 function(){}; // no-op if function does not exist
        canvas.exitPointerLock = canvas.exitPointerLock.bind(document);
  
        function pointerLockChange() {
          Browser.pointerLock = document['pointerLockElement'] === canvas ||
                                document['mozPointerLockElement'] === canvas ||
                                document['webkitPointerLockElement'] === canvas;
        }
  
        document.addEventListener('pointerlockchange', pointerLockChange, false);
        document.addEventListener('mozpointerlockchange', pointerLockChange, false);
        document.addEventListener('webkitpointerlockchange', pointerLockChange, false);
  
        if (Module['elementPointerLock']) {
          canvas.addEventListener("click", function(ev) {
            if (!Browser.pointerLock && canvas.requestPointerLock) {
              canvas.requestPointerLock();
              ev.preventDefault();
            }
          }, false);
        }
      },createContext:function (canvas, useWebGL, setInModule, webGLContextAttributes) {
        var ctx;
        try {
          if (useWebGL) {
            var contextAttributes = {
              antialias: false,
              alpha: false
            };
  
            if (webGLContextAttributes) {
              for (var attribute in webGLContextAttributes) {
                contextAttributes[attribute] = webGLContextAttributes[attribute];
              }
            }
  
  
            var errorInfo = '?';
            function onContextCreationError(event) {
              errorInfo = event.statusMessage || errorInfo;
            }
            canvas.addEventListener('webglcontextcreationerror', onContextCreationError, false);
            try {
              ['experimental-webgl', 'webgl'].some(function(webglId) {
                return ctx = canvas.getContext(webglId, contextAttributes);
              });
            } finally {
              canvas.removeEventListener('webglcontextcreationerror', onContextCreationError, false);
            }
          } else {
            ctx = canvas.getContext('2d');
          }
          if (!ctx) throw ':(';
        } catch (e) {
          Module.print('Could not create canvas: ' + [errorInfo, e]);
          return null;
        }
        if (useWebGL) {
          // Set the background of the WebGL canvas to black
          canvas.style.backgroundColor = "black";
  
          // Warn on context loss
          canvas.addEventListener('webglcontextlost', function(event) {
            alert('WebGL context lost. You will need to reload the page.');
          }, false);
        }
        if (setInModule) {
          GLctx = Module.ctx = ctx;
          Module.useWebGL = useWebGL;
          Browser.moduleContextCreatedCallbacks.forEach(function(callback) { callback() });
          Browser.init();
        }
        return ctx;
      },destroyContext:function (canvas, useWebGL, setInModule) {},fullScreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullScreen:function (lockPointer, resizeCanvas) {
        Browser.lockPointer = lockPointer;
        Browser.resizeCanvas = resizeCanvas;
        if (typeof Browser.lockPointer === 'undefined') Browser.lockPointer = true;
        if (typeof Browser.resizeCanvas === 'undefined') Browser.resizeCanvas = false;
  
        var canvas = Module['canvas'];
        function fullScreenChange() {
          Browser.isFullScreen = false;
          if ((document['webkitFullScreenElement'] || document['webkitFullscreenElement'] ||
               document['mozFullScreenElement'] || document['mozFullscreenElement'] ||
               document['fullScreenElement'] || document['fullscreenElement']) === canvas) {
            canvas.cancelFullScreen = document['cancelFullScreen'] ||
                                      document['mozCancelFullScreen'] ||
                                      document['webkitCancelFullScreen'];
            canvas.cancelFullScreen = canvas.cancelFullScreen.bind(document);
            if (Browser.lockPointer) canvas.requestPointerLock();
            Browser.isFullScreen = true;
            if (Browser.resizeCanvas) Browser.setFullScreenCanvasSize();
          } else if (Browser.resizeCanvas){
            Browser.setWindowedCanvasSize();
          }
          if (Module['onFullScreen']) Module['onFullScreen'](Browser.isFullScreen);
        }
  
        if (!Browser.fullScreenHandlersInstalled) {
          Browser.fullScreenHandlersInstalled = true;
          document.addEventListener('fullscreenchange', fullScreenChange, false);
          document.addEventListener('mozfullscreenchange', fullScreenChange, false);
          document.addEventListener('webkitfullscreenchange', fullScreenChange, false);
        }
  
        canvas.requestFullScreen = canvas['requestFullScreen'] ||
                                   canvas['mozRequestFullScreen'] ||
                                   (canvas['webkitRequestFullScreen'] ? function() { canvas['webkitRequestFullScreen'](Element['ALLOW_KEYBOARD_INPUT']) } : null);
        canvas.requestFullScreen();
      },requestAnimationFrame:function requestAnimationFrame(func) {
        if (typeof window === 'undefined') { // Provide fallback to setTimeout if window is undefined (e.g. in Node.js)
          setTimeout(func, 1000/60);
        } else {
          if (!window.requestAnimationFrame) {
            window.requestAnimationFrame = window['requestAnimationFrame'] ||
                                           window['mozRequestAnimationFrame'] ||
                                           window['webkitRequestAnimationFrame'] ||
                                           window['msRequestAnimationFrame'] ||
                                           window['oRequestAnimationFrame'] ||
                                           window['setTimeout'];
          }
          window.requestAnimationFrame(func);
        }
      },safeCallback:function (func) {
        return function() {
          if (!ABORT) return func.apply(null, arguments);
        };
      },safeRequestAnimationFrame:function (func) {
        return Browser.requestAnimationFrame(function() {
          if (!ABORT) func();
        });
      },safeSetTimeout:function (func, timeout) {
        return setTimeout(function() {
          if (!ABORT) func();
        }, timeout);
      },safeSetInterval:function (func, timeout) {
        return setInterval(function() {
          if (!ABORT) func();
        }, timeout);
      },getMimetype:function (name) {
        return {
          'jpg': 'image/jpeg',
          'jpeg': 'image/jpeg',
          'png': 'image/png',
          'bmp': 'image/bmp',
          'ogg': 'audio/ogg',
          'wav': 'audio/wav',
          'mp3': 'audio/mpeg'
        }[name.substr(name.lastIndexOf('.')+1)];
      },getUserMedia:function (func) {
        if(!window.getUserMedia) {
          window.getUserMedia = navigator['getUserMedia'] ||
                                navigator['mozGetUserMedia'];
        }
        window.getUserMedia(func);
      },getMovementX:function (event) {
        return event['movementX'] ||
               event['mozMovementX'] ||
               event['webkitMovementX'] ||
               0;
      },getMovementY:function (event) {
        return event['movementY'] ||
               event['mozMovementY'] ||
               event['webkitMovementY'] ||
               0;
      },getMouseWheelDelta:function (event) {
        return Math.max(-1, Math.min(1, event.type === 'DOMMouseScroll' ? event.detail : -event.wheelDelta));
      },mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,calculateMouseEvent:function (event) { // event should be mousemove, mousedown or mouseup
        if (Browser.pointerLock) {
          // When the pointer is locked, calculate the coordinates
          // based on the movement of the mouse.
          // Workaround for Firefox bug 764498
          if (event.type != 'mousemove' &&
              ('mozMovementX' in event)) {
            Browser.mouseMovementX = Browser.mouseMovementY = 0;
          } else {
            Browser.mouseMovementX = Browser.getMovementX(event);
            Browser.mouseMovementY = Browser.getMovementY(event);
          }
          
          // check if SDL is available
          if (typeof SDL != "undefined") {
          	Browser.mouseX = SDL.mouseX + Browser.mouseMovementX;
          	Browser.mouseY = SDL.mouseY + Browser.mouseMovementY;
          } else {
          	// just add the mouse delta to the current absolut mouse position
          	// FIXME: ideally this should be clamped against the canvas size and zero
          	Browser.mouseX += Browser.mouseMovementX;
          	Browser.mouseY += Browser.mouseMovementY;
          }        
        } else {
          // Otherwise, calculate the movement based on the changes
          // in the coordinates.
          var rect = Module["canvas"].getBoundingClientRect();
          var x, y;
          
          // Neither .scrollX or .pageXOffset are defined in a spec, but
          // we prefer .scrollX because it is currently in a spec draft.
          // (see: http://www.w3.org/TR/2013/WD-cssom-view-20131217/)
          var scrollX = ((typeof window.scrollX !== 'undefined') ? window.scrollX : window.pageXOffset);
          var scrollY = ((typeof window.scrollY !== 'undefined') ? window.scrollY : window.pageYOffset);
          if (event.type == 'touchstart' ||
              event.type == 'touchend' ||
              event.type == 'touchmove') {
            var t = event.touches.item(0);
            if (t) {
              x = t.pageX - (scrollX + rect.left);
              y = t.pageY - (scrollY + rect.top);
            } else {
              return;
            }
          } else {
            x = event.pageX - (scrollX + rect.left);
            y = event.pageY - (scrollY + rect.top);
          }
  
          // the canvas might be CSS-scaled compared to its backbuffer;
          // SDL-using content will want mouse coordinates in terms
          // of backbuffer units.
          var cw = Module["canvas"].width;
          var ch = Module["canvas"].height;
          x = x * (cw / rect.width);
          y = y * (ch / rect.height);
  
          Browser.mouseMovementX = x - Browser.mouseX;
          Browser.mouseMovementY = y - Browser.mouseY;
          Browser.mouseX = x;
          Browser.mouseY = y;
        }
      },xhrLoad:function (url, onload, onerror) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'arraybuffer';
        xhr.onload = function xhr_onload() {
          if (xhr.status == 200 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            onload(xhr.response);
          } else {
            onerror();
          }
        };
        xhr.onerror = onerror;
        xhr.send(null);
      },asyncLoad:function (url, onload, onerror, noRunDep) {
        Browser.xhrLoad(url, function(arrayBuffer) {
          assert(arrayBuffer, 'Loading data file "' + url + '" failed (no arrayBuffer).');
          onload(new Uint8Array(arrayBuffer));
          if (!noRunDep) removeRunDependency('al ' + url);
        }, function(event) {
          if (onerror) {
            onerror();
          } else {
            throw 'Loading data file "' + url + '" failed.';
          }
        });
        if (!noRunDep) addRunDependency('al ' + url);
      },resizeListeners:[],updateResizeListeners:function () {
        var canvas = Module['canvas'];
        Browser.resizeListeners.forEach(function(listener) {
          listener(canvas.width, canvas.height);
        });
      },setCanvasSize:function (width, height, noUpdates) {
        var canvas = Module['canvas'];
        canvas.width = width;
        canvas.height = height;
        if (!noUpdates) Browser.updateResizeListeners();
      },windowedWidth:0,windowedHeight:0,setFullScreenCanvasSize:function () {
        var canvas = Module['canvas'];
        this.windowedWidth = canvas.width;
        this.windowedHeight = canvas.height;
        canvas.width = screen.width;
        canvas.height = screen.height;
        // check if SDL is available   
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags | 0x00800000; // set SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      },setWindowedCanvasSize:function () {
        var canvas = Module['canvas'];
        canvas.width = this.windowedWidth;
        canvas.height = this.windowedHeight;
        // check if SDL is available       
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags & ~0x00800000; // clear SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      }};
FS.staticInit();__ATINIT__.unshift({ func: function() { if (!Module["noFSInit"] && !FS.init.initialized) FS.init() } });__ATMAIN__.push({ func: function() { FS.ignorePermissions = false } });__ATEXIT__.push({ func: function() { FS.quit() } });Module["FS_createFolder"] = FS.createFolder;Module["FS_createPath"] = FS.createPath;Module["FS_createDataFile"] = FS.createDataFile;Module["FS_createPreloadedFile"] = FS.createPreloadedFile;Module["FS_createLazyFile"] = FS.createLazyFile;Module["FS_createLink"] = FS.createLink;Module["FS_createDevice"] = FS.createDevice;
___errno_state = Runtime.staticAlloc(4); HEAP32[((___errno_state)>>2)]=0;
__ATINIT__.unshift({ func: function() { TTY.init() } });__ATEXIT__.push({ func: function() { TTY.shutdown() } });TTY.utf8 = new Runtime.UTF8Processor();
if (ENVIRONMENT_IS_NODE) { var fs = require("fs"); NODEFS.staticInit(); }
__ATINIT__.push({ func: function() { SOCKFS.root = FS.mount(SOCKFS, {}, null); } });
_fputc.ret = allocate([0], "i8", ALLOC_STATIC);
_fgetc.ret = allocate([0], "i8", ALLOC_STATIC);
___strtok_state = Runtime.staticAlloc(4);
Module["requestFullScreen"] = function Module_requestFullScreen(lockPointer, resizeCanvas) { Browser.requestFullScreen(lockPointer, resizeCanvas) };
  Module["requestAnimationFrame"] = function Module_requestAnimationFrame(func) { Browser.requestAnimationFrame(func) };
  Module["setCanvasSize"] = function Module_setCanvasSize(width, height, noUpdates) { Browser.setCanvasSize(width, height, noUpdates) };
  Module["pauseMainLoop"] = function Module_pauseMainLoop() { Browser.mainLoop.pause() };
  Module["resumeMainLoop"] = function Module_resumeMainLoop() { Browser.mainLoop.resume() };
  Module["getUserMedia"] = function Module_getUserMedia() { Browser.getUserMedia() }
STACK_BASE = STACKTOP = Runtime.alignMemory(STATICTOP);

staticSealed = true; // seal the static portion of memory

STACK_MAX = STACK_BASE + 5242880;

DYNAMIC_BASE = DYNAMICTOP = Runtime.alignMemory(STACK_MAX);

assert(DYNAMIC_BASE < TOTAL_MEMORY, "TOTAL_MEMORY not big enough for stack");

 var ctlz_i8 = allocate([8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_DYNAMIC);
 var cttz_i8 = allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0], "i8", ALLOC_DYNAMIC);

var Math_min = Math.min;
function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vd(index,a1) {
  try {
    Module["dynCall_vd"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vi(index,a1) {
  try {
    Module["dynCall_vi"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vii(index,a1,a2) {
  try {
    Module["dynCall_vii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10) {
  try {
    return Module["dynCall_iiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_ii(index,a1) {
  try {
    return Module["dynCall_ii"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiii(index,a1,a2,a3,a4,a5) {
  try {
    return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiii(index,a1,a2,a3) {
  try {
    return Module["dynCall_iiii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiid(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiid"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viidii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viidii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iid(index,a1,a2) {
  try {
    return Module["dynCall_iid"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiid(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiid"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9) {
  try {
    Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iii(index,a1,a2) {
  try {
    return Module["dynCall_iii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiidi(index,a1,a2,a3,a4,a5,a6) {
  try {
    return Module["dynCall_iiiiidi"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_i(index) {
  try {
    return Module["dynCall_i"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiii(index,a1,a2,a3,a4) {
  try {
    return Module["dynCall_iiiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viii(index,a1,a2,a3) {
  try {
    Module["dynCall_viii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_v(index) {
  try {
    Module["dynCall_v"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiii(index,a1,a2,a3,a4) {
  try {
    Module["dynCall_viiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function asmPrintInt(x, y) {
  Module.print('int ' + x + ',' + y);// + ' ' + new Error().stack);
}
function asmPrintFloat(x, y) {
  Module.print('float ' + x + ',' + y);// + ' ' + new Error().stack);
}
// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer){"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.STACKTOP|0;var j=env.STACK_MAX|0;var k=env.tempDoublePtr|0;var l=env.ABORT|0;var m=env.cttz_i8|0;var n=env.ctlz_i8|0;var o=env.___rand_seed|0;var p=env._stdin|0;var q=env.__ZTVN10__cxxabiv117__class_type_infoE|0;var r=env._stdout|0;var s=env.___dso_handle|0;var t=env.__ZTVN10__cxxabiv120__si_class_type_infoE|0;var u=env._stderr|0;var v=+env.NaN;var w=+env.Infinity;var x=0;var y=0;var z=0;var A=0;var B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0.0;var K=0;var L=0;var M=0;var N=0;var O=0;var P=0;var Q=0;var R=0;var S=0;var T=0;var U=global.Math.floor;var V=global.Math.abs;var W=global.Math.sqrt;var X=global.Math.pow;var Y=global.Math.cos;var Z=global.Math.sin;var _=global.Math.tan;var $=global.Math.acos;var aa=global.Math.asin;var ba=global.Math.atan;var ca=global.Math.atan2;var da=global.Math.exp;var ea=global.Math.log;var fa=global.Math.ceil;var ga=global.Math.imul;var ha=env.abort;var ia=env.assert;var ja=env.asmPrintInt;var ka=env.asmPrintFloat;var la=env.min;var ma=env.invoke_iiiiiiii;var na=env.invoke_vd;var oa=env.invoke_viiiii;var pa=env.invoke_vi;var qa=env.invoke_vii;var ra=env.invoke_iiiiiiiiiii;var sa=env.invoke_ii;var ta=env.invoke_iiiiii;var ua=env.invoke_iiii;var va=env.invoke_viiiiid;var wa=env.invoke_viiiiiiii;var xa=env.invoke_viiiiii;var ya=env.invoke_viidii;var za=env.invoke_iid;var Aa=env.invoke_viiiiiii;var Ba=env.invoke_viiiiiid;var Ca=env.invoke_viiiiiiiii;var Da=env.invoke_iii;var Ea=env.invoke_iiiiidi;var Fa=env.invoke_i;var Ga=env.invoke_iiiii;var Ha=env.invoke_viii;var Ia=env.invoke_v;var Ja=env.invoke_iiiiiiiii;var Ka=env.invoke_viiii;var La=env._llvm_lifetime_end;var Ma=env._lseek;var Na=env.__scanString;var Oa=env._fclose;var Pa=env._pthread_mutex_lock;var Qa=env.___cxa_end_catch;var Ra=env._strtoull;var Sa=env._fflush;var Ta=env._lis_solver_create;var Ua=env._strtol;var Va=env._fputc;var Wa=env._strtok;var Xa=env._fwrite;var Ya=env._send;var Za=env._fputs;var _a=env._emscripten_get_now;var $a=env._tmpnam;var ab=env._isspace;var bb=env._localtime;var cb=env._read;var db=env._GC_init;var eb=env._ceil;var fb=env.___ctype_b_loc;var gb=env._GC_malloc_atomic;var hb=env._isxdigit_l;var ib=env._strstr;var jb=env._fileno;var kb=env._perror;var lb=env._fsync;var mb=env.___cxa_guard_abort;var nb=env._newlocale;var ob=env._signal;var pb=env.___gxx_personality_v0;var qb=env._pthread_cond_wait;var rb=env.___cxa_rethrow;var sb=env._freopen;var tb=env.___resumeException;var ub=env._sscanf;var vb=env._round;var wb=env._llvm_va_end;var xb=env._clock_gettime;var yb=env._tmpfile;var zb=env._vsscanf;var Ab=env._snprintf;var Bb=env._fgetc;var Cb=env._pclose;var Db=env.__getFloat;var Eb=env._atexit;var Fb=env.___cxa_free_exception;var Gb=env._close;var Hb=env._isdigit_l;var Ib=env._vasprintf;var Jb=env.___setErrNo;var Kb=env._isxdigit;var Lb=env._access;var Mb=env._ftell;var Nb=env._exit;var Ob=env._sprintf;var Pb=env._pthread_setspecific;var Qb=env._asprintf;var Rb=env._GC_strdup;var Sb=env._strrchr;var Tb=env._freelocale;var Ub=env._catgets;var Vb=env._fmod;var Wb=env.__isLeapYear;var Xb=env._fmax;var Yb=env.___cxa_is_number_type;var Zb=env._GC_malloc;var _b=env.___cxa_does_inherit;var $b=env.___cxa_guard_acquire;var ac=env._lis_vector_destroy;var bc=env._localtime_r;var cc=env.___cxa_begin_catch;var dc=env._lis_vector_create;var ec=env.__ZNSt9exceptionD2Ev;var fc=env._recv;var gc=env.__parseInt64;var hc=env.__ZSt18uncaught_exceptionv;var ic=env._cos;var jc=env._lis_matrix_set_value;var kc=env._putchar;var lc=env.___cxa_call_unexpected;var mc=env._popen;var nc=env._isblank;var oc=env._copysign;var pc=env._bsearch;var qc=env.__exit;var rc=env._strftime;var sc=env._tzset;var tc=env.___cxa_throw;var uc=env._emscripten_memcpy_big;var vc=env._printf;var wc=env._pread;var xc=env._fopen;var yc=env._open;var zc=env._strtoull_l;var Ac=env.__arraySum;var Bc=env._sysconf;var Cc=env._puts;var Dc=env._pthread_key_create;var Ec=env._strtoll_l;var Fc=env._qsort;var Gc=env._system;var Hc=env.___cxa_find_matching_catch;var Ic=env._strdup;var Jc=env._srand;var Kc=env._isatty;var Lc=env.__formatString;var Mc=env._pthread_cond_broadcast;var Nc=env.__ZSt9terminatev;var Oc=env._atoi;var Pc=env._vfprintf;var Qc=env._pthread_mutex_unlock;var Rc=env._llvm_pow_f64;var Sc=env._sbrk;var Tc=env._fscanf;var Uc=env._lis_solver_destroy;var Vc=env.___errno_location;var Wc=env._strerror;var Xc=env._fstat;var Yc=env._catclose;var Zc=env._llvm_lifetime_start;var _c=env.__parseInt;var $c=env.___cxa_guard_release;var ad=env._ungetc;var bd=env._ftruncate;var cd=env._uselocale;var dd=env._vsnprintf;var ed=env._htonl;var fd=env.___assert_fail;var gd=env._fread;var hd=env._strtok_r;var id=env._strftime_l;var jd=env._abort;var kd=env._fprintf;var ld=env._isdigit;var md=env._strtoll;var nd=env.__addDays;var od=env._pthread_getspecific;var pd=env._fabs;var qd=env._GC_collect_a_little;var rd=env.__reallyNegative;var sd=env._fseek;var td=env._sqrt;var ud=env._write;var vd=env._mkport;var wd=env._rewind;var xd=env.___cxa_allocate_exception;var yd=env._sin;var zd=env._stat;var Ad=env._longjmp;var Bd=env._truncate;var Cd=env._catopen;var Dd=env.___ctype_toupper_loc;var Ed=env.___ctype_tolower_loc;var Fd=env._lis_vector_set_size;var Gd=env._unlink;var Hd=env._pwrite;var Id=env._strerror_r;var Jd=env._floor;var Kd=env._lis_solver_set_option;var Ld=env._time;var Md=0.0;
// EMSCRIPTEN_START_FUNCS
function ps(b,d,e,f,g,i,j,k,l,m,n,o,p){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,L=0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0,fa=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;if((c[i>>2]|0)>0){c[2599]=6;NI(10392)|0;cI(19096,i,4)|0;vI()|0}c[p>>2]=0;if((c[e>>2]|0)<1){c[p>>2]=3;q=3}else{q=0}if((c[k>>2]|0)<1){c[p>>2]=4;return 0}if((q|0)!=0){return 0}c[230018]=0;c[230016]=0;c[230020]=0;a[10848]=0;q=c[e>>2]|0;c[230046]=1;do{if((q|0)>=1){r=1;s=0;while(1){if(+h[d+(r-1<<3)>>3]!=0.0){t=s+1|0;c[230018]=t;u=t}else{u=s}v=r+1|0;if((v|0)>(q|0)){break}else{r=v;s=u}}c[230046]=v;if((u|0)<=0){break}s=o;r=f;a:while(1){t=c[e>>2]|0;c[230046]=1;if((t|0)>=1){w=1;do{h[920376+((w*21|0)-21<<3)>>3]=+h[b+(w-1<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[230046]=w}c[230032]=2;t=c[e>>2]|0;c[230046]=1;if((t|0)>=1){x=1;y=2;while(1){z=x-1|0;A=d+(z<<3)|0;B=+h[A>>3];if(B==0.0){C=y}else{D=c[e>>2]|0;c[230030]=1;if((D|0)<1){E=B}else{F=1;do{h[920376+((F*21|0)-22+y<<3)>>3]=+h[b+(F-1<<3)>>3];F=F+1|0;}while((F|0)<=(D|0));c[230030]=F;E=+h[A>>3]}h[920376+((x*21|0)-22+y<<3)>>3]=+h[b+(z<<3)>>3]+E;D=y+1|0;c[230032]=D;C=D}D=x+1|0;c[230046]=D;if((D|0)>(t|0)){break}else{x=D;y=C}}}y=c[230018]|0;x=y+1|0;c[230012]=x;c[230046]=1;if((y|0)>=0){y=1;do{t=c[e>>2]|0;c[230030]=1;if((t|0)>=1){w=1;do{h[b+(w-1<<3)>>3]=+h[920376+((w*21|0)-22+y<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[230030]=w}Vd[s&127](e,b,920208+(y-1<<3)|0)|0;c[230016]=(c[230016]|0)+1;if((c[i>>2]|0)>=1){c[2707]=6;NI(10824)|0;cI(19096,920064,4)|0;cI(19096,920208+((c[230046]|0)-1<<3)|0,8)|0;t=c[e>>2]|0;c[230030]=1;if((t|0)>=1){z=1;do{cI(19096,b+(z-1<<3)|0,8)|0;z=(c[230030]|0)+1|0;c[230030]=z;}while((z|0)<=(t|0))}vI()|0}y=(c[230046]|0)+1|0;c[230046]=y;}while((y|0)<=(x|0))}x=c[230020]|0;b:while(1){c[230020]=x+1;c[230038]=1;c[230036]=1;B=+h[115026];h[1362]=B;h[1360]=B;y=c[230012]|0;c[230046]=2;if((y|0)<2){G=1}else{t=2;z=1;H=B;I=B;while(1){B=+h[920208+(t-1<<3)>>3];do{if(B>H){c[230038]=t;J=+h[920208+(t-1<<3)>>3];h[1362]=J;L=t;M=J;N=I}else{if(!(B<I)){L=z;M=H;N=I;break}c[230036]=t;J=+h[920208+(t-1<<3)>>3];h[1360]=J;L=z;M=H;N=J}}while(0);O=t+1|0;if((O|0)>(y|0)){break}else{t=O;z=L;H=M;I=N}}c[230046]=O;G=L}z=c[e>>2]|0;c[230046]=1;if((z|0)>=1){t=1;do{h[919880+(t-1<<3)>>3]=0.0;t=t+1|0;}while((t|0)<=(z|0));c[230046]=t}c[230046]=1;if((y|0)>=1){z=1;do{do{if((z|0)==(G|0)){P=G}else{w=c[e>>2]|0;c[230030]=1;if((w|0)<1){P=z;break}else{Q=1}do{A=919880+(Q-1<<3)|0;h[A>>3]=+h[920376+((Q*21|0)-22+z<<3)>>3]+ +h[A>>3];Q=Q+1|0;}while((Q|0)<=(w|0));c[230030]=Q;P=z}}while(0);z=P+1|0;c[230046]=z;}while((z|0)<=(y|0))}y=c[e>>2]|0;c[230030]=1;if((y|0)>=1){I=+(c[230018]|0);z=1;do{t=919880+(z-1<<3)|0;h[t>>3]=+h[t>>3]/I;z=z+1|0;}while((z|0)<=(y|0));c[230030]=z}y=c[e>>2]|0;c[230046]=1;if((y|0)>=1){t=1;do{w=t-1|0;I=+h[919880+(w<<3)>>3];h[919560+(w<<3)>>3]=I+(I- +h[920376+((t*21|0)-22+G<<3)>>3]);t=t+1|0;}while((t|0)<=(y|0));c[230046]=t}Vd[s&127](e,919560,10872)|0;y=(c[230016]|0)+1|0;c[230016]=y;z=c[i>>2]|0;do{if((z|0)>=1){if(((y|0)%(z|0)|0|0)!=0){break}c[2701]=6;NI(10800)|0;cI(19096,920064,4)|0;cI(19096,10872,8)|0;w=c[e>>2]|0;c[230030]=1;if((w|0)>=1){A=1;do{cI(19096,919560+(A-1<<3)|0,8)|0;A=(c[230030]|0)+1|0;c[230030]=A;}while((A|0)<=(w|0))}vI()|0}}while(0);I=+h[1359];c:do{if(I<+h[1360]){z=c[e>>2]|0;c[230046]=1;if((z|0)>=1){y=1;do{t=y-1|0;H=+h[919880+(t<<3)>>3];h[919400+(t<<3)>>3]=H+(+h[919560+(t<<3)>>3]-H)*2.0;y=y+1|0;}while((y|0)<=(z|0));c[230046]=y}Vd[s&127](e,919400,10856)|0;z=(c[230016]|0)+1|0;c[230016]=z;t=c[i>>2]|0;do{if((t|0)>=1){if(((z|0)%(t|0)|0|0)!=0){break}c[2695]=6;NI(10776)|0;cI(19096,920064,4)|0;cI(19096,10856,8)|0;w=c[e>>2]|0;c[230030]=1;if((w|0)>=1){A=1;do{cI(19096,919400+(A-1<<3)|0,8)|0;A=(c[230030]|0)+1|0;c[230030]=A;}while((A|0)<=(w|0))}vI()|0}}while(0);H=+h[1357];if(!(H<+h[1360])){R=122;break}t=c[e>>2]|0;c[230046]=1;z=c[230038]|0;if((t|0)>=1){y=1;do{w=y-1|0;if(+h[d+(w<<3)>>3]!=0.0){h[920376+((y*21|0)-22+z<<3)>>3]=+h[919400+(w<<3)>>3]}y=y+1|0;}while((y|0)<=(t|0));c[230046]=y}h[920208+(z-1<<3)>>3]=H}else{t=c[230012]|0;c[230046]=1;if((t|0)>=1){w=c[230038]|0;A=1;do{if((A|0)!=(w|0)){if(I<+h[920208+(A-1<<3)>>3]){R=122;break c}}A=A+1|0;c[230046]=A;}while((A|0)<=(t|0))}if(!(I>+h[1362])){t=c[e>>2]|0;c[230046]=1;A=c[230038]|0;if((t|0)>=1){w=1;do{z=w-1|0;if(+h[d+(z<<3)>>3]!=0.0){h[920376+((w*21|0)-22+A<<3)>>3]=+h[919560+(z<<3)>>3]}w=w+1|0;}while((w|0)<=(t|0));c[230046]=w}h[1362]=I;h[920208+(A-1<<3)>>3]=I}t=c[e>>2]|0;c[230046]=1;if((t|0)>=1){z=c[230038]|0;y=1;do{F=y-1|0;h[919400+(F<<3)>>3]=+h[920376+((y*21|0)-22+z<<3)>>3]*.5+ +h[919880+(F<<3)>>3]*.5;y=y+1|0;}while((y|0)<=(t|0));c[230046]=y}Vd[s&127](e,919400,10856)|0;t=(c[230016]|0)+1|0;c[230016]=t;z=c[i>>2]|0;do{if((z|0)>=1){if(((t|0)%(z|0)|0|0)!=0){break}c[2689]=6;NI(10752)|0;cI(19096,920064,4)|0;cI(19096,10856,8)|0;A=c[e>>2]|0;c[230030]=1;if((A|0)>=1){w=1;do{cI(19096,919400+(w-1<<3)|0,8)|0;w=(c[230030]|0)+1|0;c[230030]=w;}while((w|0)<=(A|0))}vI()|0}}while(0);H=+h[1357];if(!(H>+h[1362])){z=c[e>>2]|0;c[230046]=1;t=c[230038]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[920376+((y*21|0)-22+t<<3)>>3]=+h[919400+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[230046]=y}h[920208+(t-1<<3)>>3]=H;break}z=c[230012]|0;c[230046]=1;if((z|0)<1){break}else{S=1}do{A=c[230036]|0;do{if((S|0)!=(A|0)){w=c[e>>2]|0;c[230030]=1;if((w|0)>=1){F=S-22|0;D=1;do{if(+h[d+(D-1<<3)>>3]!=0.0){T=(D*21|0)-22|0;U=920376+(T+S<<3)|0;h[U>>3]=(+h[U>>3]+ +h[920376+(T+A<<3)>>3])*.5}h[b+(D-1<<3)>>3]=+h[920376+(F+(D*21|0)<<3)>>3];D=D+1|0;}while((D|0)<=(w|0));c[230030]=D}Vd[s&127](e,b,920208+(S-1<<3)|0)|0;w=(c[230016]|0)+1|0;c[230016]=w;F=c[i>>2]|0;if((F|0)<1){break}if(((w|0)%(F|0)|0|0)!=0){break}c[2683]=6;NI(10728)|0;cI(19096,920064,4)|0;cI(19096,920208+((c[230046]|0)-1<<3)|0,8)|0;F=c[e>>2]|0;c[230030]=1;if((F|0)>=1){w=1;do{cI(19096,b+(w-1<<3)|0,8)|0;w=(c[230030]|0)+1|0;c[230030]=w;}while((w|0)<=(F|0))}vI()|0}}while(0);S=(c[230046]|0)+1|0;c[230046]=S;}while((S|0)<=(z|0))}}while(0);if((R|0)==122){R=0;z=c[e>>2]|0;c[230046]=1;t=c[230038]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[920376+((y*21|0)-22+t<<3)>>3]=+h[919560+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[230046]=y}h[920208+(t-1<<3)>>3]=+h[1359]}z=c[230020]|0;if((z|0)<(c[k>>2]|0)){x=z;continue}h[1358]=0.0;h[1361]=0.0;z=c[230012]|0;c[230046]=1;A=(z|0)<1;do{if(A){I=+(z|0);h[1361]=0.0/I;c[230046]=1;V=0.0;X=I}else{I=0.0;F=1;do{I=+h[920208+(F-1<<3)>>3]+I;F=F+1|0;}while((F|0)<=(z|0));H=+(z|0);B=I/H;h[1361]=B;c[230046]=1;if(A){V=0.0;X=H;break}else{Y=0.0;Z=1}do{J=+h[920208+(Z-1<<3)>>3]-B;Y=Y+J*J;Z=Z+1|0;}while((Z|0)<=(z|0));h[1358]=Y;c[230046]=Z;V=Y;X=H}}while(0);B=+W(V/X);h[1358]=B;do{if(B>+h[j>>3]){if((c[230016]|0)>(c[g>>2]|0)){break}a[10848]=0;c[230020]=0;x=0;continue b}}while(0);t=c[e>>2]|0;c[230046]=1;if((t|0)>=1){y=1;do{F=y-1|0;if(!(+h[d+(F<<3)>>3]==0.0)){h[b+(F<<3)>>3]=0.0;c[230030]=1;if(A){_=b+(y-1<<3)|0}else{F=y*21|0;w=b+(y-1<<3)|0;D=1;B=+h[w>>3];do{B=+h[920376+(D-22+F<<3)>>3]+B;h[w>>3]=B;D=D+1|0;}while((D|0)<=(z|0));c[230030]=D;_=w}h[_>>3]=+h[_>>3]/X}y=y+1|0;}while((y|0)<=(t|0));c[230046]=y}Vd[s&127](e,b,f)|0;t=(c[230016]|0)+1|0;c[230016]=t;z=c[i>>2]|0;do{if((z|0)<1){$=t}else{if(((t|0)%(z|0)|0|0)!=0){$=t;break}c[2677]=6;NI(10704)|0;cI(19096,920064,4)|0;cI(19096,r,8)|0;A=c[e>>2]|0;c[230030]=1;if((A|0)>=1){F=1;do{cI(19096,b+(F-1<<3)|0,8)|0;F=(c[230030]|0)+1|0;c[230030]=F;}while((F|0)<=(A|0))}vI()|0;$=c[230016]|0}}while(0);if(($|0)>(c[g>>2]|0)){R=154;break a}if((c[i>>2]|0)>=0){c[2647]=6;NI(10584)|0;vI()|0;c[2641]=6;NI(10560)|0;t=c[e>>2]|0;c[230046]=1;if((t|0)>=1){z=1;do{cI(19096,b+(z-1<<3)|0,8)|0;z=(c[230046]|0)+1|0;c[230046]=z;}while((z|0)<=(t|0))}vI()|0;c[2635]=6;NI(10536)|0;cI(19096,r,8)|0;vI()|0}if(a[10848]|0){B=+h[1361];H=+h[1261]-B;if(H<0.0){aa=-0.0-H}else{aa=H}if(aa<+h[j>>3]){break}else{ba=B}}else{a[10848]=1;ba=+h[1361]}h[1261]=ba;c[230020]=0;x=0}if((c[i>>2]|0)>=0){c[2629]=6;NI(10512)|0;cI(19096,920064,4)|0;vI()|0;c[2623]=6;NI(10488)|0;x=c[e>>2]|0;c[230046]=1;if((x|0)>=1){t=1;do{cI(19096,b+(t-1<<3)|0,8)|0;t=(c[230046]|0)+1|0;c[230046]=t;}while((t|0)<=(x|0))}vI()|0;c[2617]=6;NI(10464)|0;cI(19096,r,8)|0;vI()|0}if((c[l>>2]|0)<1){R=315;break}if((c[i>>2]|0)>-1){c[2611]=6;NI(10440)|0;vI()|0}h[1360]=+h[f>>3];c[230014]=0;x=c[230012]|0;c[230046]=1;if((x|0)>=1){t=1;while(1){z=920208+(t-1<<3)|0;B=+h[z>>3]- +h[f>>3];if(B<0.0){ca=-0.0-B}else{ca=B}if(!(ca<+h[m>>3])){y=t+1|0;c[230046]=y;if((y|0)>(x|0)){break}else{t=y;continue}}y=c[e>>2]|0;c[230030]=1;if((y|0)>=1){A=t-22|0;F=1;do{w=F-1|0;if(+h[d+(w<<3)>>3]!=0.0){D=920376+((F*21|0)-22+t<<3)|0;B=+h[D>>3];h[D>>3]=B+(B- +h[b+(w<<3)>>3])}h[919400+(F-1<<3)>>3]=+h[920376+(A+(F*21|0)<<3)>>3];F=F+1|0;}while((F|0)<=(y|0));c[230030]=F}Vd[s&127](e,919400,z)|0;c[230014]=(c[230014]|0)+1;c[230016]=(c[230016]|0)+1;y=c[230046]|0;B=+h[920208+(y-1<<3)>>3];if(!(B<+h[1360])){t=y;continue}h[1360]=B;if(!((c[i>>2]|0)>-1)){t=y;continue}c[2605]=6;NI(10416)|0;cI(19096,920064,4)|0;cI(19096,10880,8)|0;y=c[e>>2]|0;c[230030]=1;if((y|0)>=1){A=1;do{cI(19096,919400+(A-1<<3)|0,8)|0;A=(c[230030]|0)+1|0;c[230030]=A;}while((A|0)<=(y|0))}vI()|0;t=c[230046]|0}}t=c[230018]|0;c[230046]=1;do{if((t|0)<1){h[1540]=+h[115026];c[230046]=1;da=t;R=206}else{x=1;do{y=x+1|0;c[230050]=y;A=c[e>>2]|0;c[230030]=1;if((A|0)>=1){z=1;do{F=z*21|0;h[919560+(z-1<<3)>>3]=(+h[920376+(F-21<<3)>>3]+ +h[920376+(F-22+y<<3)>>3])*.5;z=z+1|0;}while((z|0)<=(A|0));c[230030]=z}Vd[s&127](e,919560,925416+(x-1<<3)|0)|0;c[230014]=(c[230014]|0)+1;c[230016]=(c[230016]|0)+1;x=(c[230046]|0)+1|0;c[230046]=x;}while((x|0)<=(t|0));x=c[230018]|0;B=+h[115026];h[1540]=B;c[230046]=1;if((x|0)<1){da=x;R=206;break}else{ea=1;fa=B}while(1){A=ea-1|0;c[230050]=A;c[230048]=ea+1;if((A|0)<1){ha=fa;ia=ea}else{c[230030]=1;y=1;while(1){F=y+1|0;c[230028]=F;w=c[e>>2]|0;c[230024]=1;if((w|0)>=1){D=c[230048]|0;T=1;do{U=(T*21|0)-22|0;h[919400+(T-1<<3)>>3]=(+h[920376+(U+D<<3)>>3]+ +h[920376+(U+F<<3)>>3])*.5;T=T+1|0;}while((T|0)<=(w|0));c[230024]=T}Vd[s&127](e,919400,10856)|0;c[230014]=(c[230014]|0)+1;c[230016]=(c[230016]|0)+1;w=c[230046]|0;F=w-1|0;D=(ga(F,w)|0)/2|0;U=c[230030]|0;ja=U+D|0;c[230022]=ja;B=+h[1540];h[923736+(ja-1<<3)>>3]=(+h[1357]+B- +h[925416+(F<<3)>>3]- +h[925416+(U-1<<3)>>3])*2.0;F=U+1|0;c[230030]=F;if((F|0)>(A|0)){ha=B;ia=w;break}else{y=F}}}y=ia+1|0;c[230046]=y;if((y|0)>(x|0)){break}else{ea=y;fa=ha}}x=c[230018]|0;c[230022]=0;c[230046]=1;y=(x|0)<1;if(y){c[230046]=1;ka=x;la=1;break}else{ma=1;na=0}while(1){oa=na+ma|0;h[923736+(oa-1<<3)>>3]=(+h[920208+(ma<<3)>>3]+ha- +h[925416+(ma-1<<3)>>3]*2.0)*2.0;A=ma+1|0;if((A|0)>(x|0)){break}else{ma=A;na=oa}}c[230050]=ma+1;c[230022]=oa;c[230046]=1;if(y){ka=x;la=1;break}B=ha*3.0;A=1;while(1){z=925416+(A-1<<3)|0;h[z>>3]=+h[z>>3]*2.0-(+h[920208+(A<<3)>>3]+B)*.5;pa=A+1|0;if((pa|0)>(x|0)){break}else{A=pa}}c[230050]=A+1;c[230046]=pa;ka=x;la=y}}while(0);if((R|0)==206){R=0;c[230022]=0;c[230046]=1;ka=da;la=(da|0)<1}t=c[e>>2]|0;c[230046]=1;if((t|0)>=1){z=1;do{h[919720+(z-1<<3)>>3]=+h[920376+((z*21|0)-21<<3)>>3];z=z+1|0;}while((z|0)<=(t|0));c[230046]=z}c[230046]=1;do{if(la){c[230046]=1}else{t=1;do{t=t+1|0;c[230050]=t;F=c[e>>2]|0;c[230030]=1;if((F|0)>=1){w=1;do{U=w*21|0;ja=920376+(U-22+t<<3)|0;h[ja>>3]=+h[ja>>3]- +h[920376+(U-21<<3)>>3];w=w+1|0;}while((w|0)<=(F|0));c[230030]=w}c[230046]=t;}while((t|0)<=(ka|0));c[230046]=1;if(la){break}else{qa=1}while(1){t=qa+1|0;c[230050]=t;y=c[e>>2]|0;c[230030]=1;if((y|0)>=1){x=1;do{A=(x*21|0)-22|0;h[920376+(A+qa<<3)>>3]=+h[920376+(A+t<<3)>>3];x=x+1|0;}while((x|0)<=(y|0));c[230030]=x}c[230046]=t;if((t|0)>(ka|0)){break}else{qa=t}}}}while(0);qs(923736,920072,923736,919240,920040,p,10096)|0;if((c[p>>2]|0)==0){R=229;break}if((c[i>>2]|0)>-1){c[2593]=6;NI(10368)|0;vI()|0}c[p>>2]=2;if((c[230016]|0)>(c[g>>2]|0)){R=315;break}c[2587]=6;NI(10344)|0;vI()|0;z=c[e>>2]|0;c[230046]=1;if((z|0)<1){continue}else{ra=1}do{y=d+(ra-1<<3)|0;h[y>>3]=+h[y>>3]*.5;ra=ra+1|0;}while((ra|0)<=(z|0));c[230046]=ra}if((R|0)==154){c[p>>2]=1;if((c[i>>2]|0)<0){return 0}c[2671]=6;NI(10680)|0;cI(19096,g,4)|0;vI()|0;c[2665]=6;NI(10656)|0;cI(19096,10864,8)|0;vI()|0;c[2659]=6;NI(10632)|0;s=c[e>>2]|0;c[230046]=1;if((s|0)>=1){z=1;do{cI(19096,b+(z-1<<3)|0,8)|0;z=(c[230046]|0)+1|0;c[230046]=z;}while((z|0)<=(s|0))}vI()|0;c[2653]=6;NI(10608)|0;cI(19096,r,8)|0;vI()|0;return 0}else if((R|0)==229){s=c[230018]|0;c[230034]=s-(c[230010]|0);c[230046]=1;z=(s|0)<1;do{if(z){h[1260]=0.0;c[230046]=1;sa=0.0}else{y=s+1|0;w=1;do{h[920208+(w-1<<3)>>3]=0.0;A=w-1|0;F=920208+(A<<3)|0;U=1;B=+h[F>>3];do{if((U|0)>(w|0)){ja=U-1|0;ta=((ga(ja,U)|0)/2|0)+w|0;ua=ja}else{ta=((ga(A,w)|0)/2|0)+U|0;ua=U-1|0}B=+h[923736+(ta-1<<3)>>3]*+h[925416+(ua<<3)>>3]+B;U=U+1|0;}while((U|0)<=(s|0));c[230022]=ta;h[F>>3]=B;w=w+1|0;}while((w|0)<=(s|0));c[230030]=y;h[1260]=0.0;c[230046]=1;if(z){sa=0.0;break}else{va=0.0;wa=1}do{w=wa-1|0;va=va+ +h[920208+(w<<3)>>3]*+h[925416+(w<<3)>>3];wa=wa+1|0;}while((wa|0)<=(s|0));h[1260]=va;c[230046]=wa;sa=va}}while(0);h[1260]=+h[1540]-sa;r=c[e>>2]|0;c[230046]=1;if((r|0)>=1){y=s+1|0;w=1;do{h[919400+(w-1<<3)>>3]=0.0;if(z){xa=1}else{U=w*21|0;A=919400+(w-1<<3)|0;H=+h[A>>3];ja=1;do{H=H+ +h[920208+(ja-1<<3)>>3]*+h[920376+(ja-22+U<<3)>>3];ja=ja+1|0;}while((ja|0)<=(s|0));h[A>>3]=H;xa=y}w=w+1|0;}while((w|0)<=(r|0));c[230046]=w;c[230030]=xa}r=c[e>>2]|0;c[230046]=1;if((r|0)>=1){y=1;do{s=y-1|0;z=919720+(s<<3)|0;h[z>>3]=+h[z>>3]- +h[919400+(s<<3)>>3];y=y+1|0;}while((y|0)<=(r|0));c[230046]=y}if((c[i>>2]|0)>=0){c[2581]=6;NI(10320)|0;cI(19096,10080,8)|0;r=c[e>>2]|0;c[230046]=1;if((r|0)>=1){w=1;do{cI(19096,919720+(w-1<<3)|0,8)|0;w=(c[230046]|0)+1|0;c[230046]=w;}while((w|0)<=(r|0))}vI()|0;c[2575]=6;NI(10296)|0;vI()|0}r=c[e>>2]|0;c[230046]=1;if((r|0)>=1){w=c[230018]|0;y=1;do{c[230030]=1;if((w|0)>=1){s=y*21|0;z=w+1|0;ja=1;do{h[920208+(ja-1<<3)>>3]=0.0;U=ja-1|0;D=920208+(U<<3)|0;ya=1;I=+h[D>>3];do{if((ya|0)>(ja|0)){za=((ga(ya-1|0,ya)|0)/2|0)+ja|0}else{za=((ga(U,ja)|0)/2|0)+ya|0}I=I+ +h[923736+(za-1<<3)>>3]*+h[920376+(ya-22+s<<3)>>3]*.5;ya=ya+1|0;}while((ya|0)<=(w|0));c[230022]=za;h[D>>3]=I;ja=ja+1|0;}while((ja|0)<=(w|0));c[230024]=z;c[230030]=ja}s=c[e>>2]|0;c[230030]=y;if((y|0)<=(s|0)){A=(w|0)<1;ya=w+1|0;U=y;do{Aa=y+((ga(U-1|0,U)|0)/2|0)|0;F=917560+(Aa-1<<3)|0;h[F>>3]=0.0;if(A){Ba=1}else{Ca=U*21|0;H=0.0;Da=1;do{H=+h[920208+(Da-1<<3)>>3]*+h[920376+(Da-22+Ca<<3)>>3]+H;Da=Da+1|0;}while((Da|0)<=(w|0));h[F>>3]=H;Ba=ya}U=U+1|0;}while((U|0)<=(s|0));c[230030]=U;c[230022]=Aa;c[230024]=Ba}y=y+1|0;c[230046]=y;}while((y|0)<=(r|0))}c[230030]=0;r=c[e>>2]|0;c[230046]=1;if((r|0)>=1){y=0;w=1;do{y=y+w|0;h[n+(w-1<<3)>>3]=+h[917560+(y-1<<3)>>3];w=w+1|0;}while((w|0)<=(r|0));c[230030]=y;c[230046]=w}if((c[i>>2]|0)<0){return 0}c[2569]=6;NI(10272)|0;cI(19096,920136,4)|0;vI()|0;c[230040]=1;r=1;d:while(1){c[230022]=r;do{if((r|0)>(c[e>>2]|0)){s=c[230040]|0;if((s|0)==1){c[2563]=6;NI(10248)|0;vI()|0;qs(917560,920072,923736,919240,920040,p,10096)|0;c[2557]=6;NI(10224)|0;vI()|0;c[230040]=3;r=1;continue d}else if((s|0)==2){break d}else if((s|0)!=3){break}c[230040]=2;c[230044]=0;c[230042]=0;s=c[e>>2]|0;c[230046]=1;if((s|0)>=1){ya=0;A=0;ja=1;z=0;Da=-1;Ca=-1;D=-2;while(1){Ea=cV(Ca,0,D,0)|0;Fa=Da+(Ea>>>1|K<<31)|0;Ga=A+ja|0;Ea=917560+(Ga-1<<3)|0;I=+h[Ea>>3];if(I>0.0){Ha=1.0/+W(I)}else{Ha=0.0}h[Ea>>3]=Ha;Ia=ja-1|0;if((Ia|0)<1){Ja=0;Ka=ya;La=1}else{Ma=0;Na=ya;Oa=1;I=Ha;while(1){Pa=Ma+Oa|0;Qa=917560+(Na<<3)|0;h[Qa>>3]=+h[Qa>>3]*I*+h[917560+(Pa-1<<3)>>3];Qa=Oa+1|0;if((Qa|0)>(Ia|0)){break}Ma=Pa;Na=Na+1|0;Oa=Qa;I=+h[Ea>>3]}Ja=Fa;Ka=ya+z|0;La=ja}Ra=Ka+1|0;Sa=ja+1|0;if((Sa|0)>(s|0)){break}else{ya=Ra;A=Ga;ja=Sa;z=z+1|0;Da=Da+2|0;Ca=Ca+1|0;D=D+1|0}}c[230026]=Ja;c[230042]=Ra;c[230044]=Ga;c[230030]=La;c[230046]=Sa}c[2551]=6;NI(10200)|0;vI()|0;c[230044]=0;D=c[e>>2]|0;c[230046]=1;if((D|0)<1){r=1;continue d}else{Ta=0;Ua=1}do{Ta=Ta+Ua|0;Ca=917560+(Ta-1<<3)|0;if(+h[Ca>>3]!=0.0){h[Ca>>3]=1.0}Ua=Ua+1|0;}while((Ua|0)<=(D|0));c[230044]=Ta;c[230046]=Ua;r=1;continue d}}while(0);U=(ga(r-1|0,r)|0)/2|0;c[230044]=U;D=c[e>>2]|0;c[230046]=r;e:do{if((r|0)<=(D|0)){Ca=r;Da=U;z=r;while(1){ja=z+Da|0;c[230050]=ja;A=Ca+Da|0;c[230044]=A;ya=ja+5|0;c[230048]=(A|0)<=(ya|0)?A:ya;if((c[230040]|0)==3){c[2533]=6;NI(10128)|0;ya=c[230048]|0;A=c[230050]|0;c[230030]=A;if((A|0)<=(ya|0)){ja=A;do{cI(19096,923736+(ja-1<<3)|0,8)|0;ja=(c[230030]|0)+1|0;c[230030]=ja;}while((ja|0)<=(ya|0))}vI()|0}else{c[2539]=6;NI(10152)|0;ya=c[230048]|0;ja=c[230050]|0;c[230030]=ja;if((ja|0)<=(ya|0)){Fa=ja;do{cI(19096,917560+(Fa-1<<3)|0,8)|0;Fa=(c[230030]|0)+1|0;c[230030]=Fa;}while((Fa|0)<=(ya|0))}vI()|0}ya=(c[230046]|0)+1|0;c[230046]=ya;if((ya|0)>(D|0)){break e}Ca=ya;Da=c[230044]|0;z=c[230022]|0}}}while(0);c[2527]=6;NI(10104)|0;vI()|0;r=(c[230022]|0)+6|0}c[2545]=6;NI(10176)|0;cI(19096,920056,4)|0;vI()|0;return 0}else if((R|0)==315){return 0}}}while(0);Vd[o&127](e,b,f)|0;return 0}function qs(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0.0,E=0;c[229166]=c[b>>2];c[g>>2]=1;if((c[229166]|0)<1){return 0}c[g>>2]=0;rs(a,916664,d,f,g,i,e)|0;if((c[g>>2]|0)!=0){return 0}g=c[229166]|0;i=(ga(g+1|0,g)|0)/2|0;c[229168]=i;c[229182]=g;c[229170]=i;f=g-1|0;a=i+(ga(f,1-g|0)|0)|0;b=cV(f,0,g-2|0,0)|0;f=a+(b>>>1|K<<31)|0;b=i;a=g;while(1){if(+h[d+(b-1<<3)>>3]==0.0){c[229180]=a;if((a|0)>(g|0)){j=b}else{k=b;l=a;do{h[d+(k-1<<3)>>3]=0.0;k=k+l|0;l=l+1|0;}while((l|0)<=(g|0));c[229180]=l;j=k}m=j;n=a-1|0}else{c[229186]=a;if((a|0)<=(g|0)){o=b;p=a;while(1){h[e+(p-1<<3)>>3]=+h[d+(o-1<<3)>>3];q=p+1|0;if((q|0)>(g|0)){break}o=o+p|0;p=q}c[229186]=q}c[229184]=g;c[229178]=i;c[229172]=i;p=a-1|0;o=e+(p<<3)|0;k=(g|0)==(a|0);l=i;r=g;s=i;while(1){h[980]=0.0;t=(r|0)==(a|0);if(t){u=1.0/+h[o>>3];h[980]=u;v=u}else{v=0.0}if(k){w=l;x=g;y=v}else{z=l;A=g;u=v;while(1){B=A-1|0;C=z-1|0;D=u- +h[e+(B<<3)>>3]*+h[d+(C<<3)>>3];h[980]=D;if((C|0)>(s|0)){E=z+(1-A)|0}else{E=C}if((B|0)==(a|0)){w=E;x=a;y=D;break}else{z=E;A=B;u=D}}}h[d+(w-1<<3)>>3]=y/+h[o>>3];if(t){break}A=s-r|0;c[229172]=A;z=r-1|0;c[229184]=z;B=l-1|0;c[229178]=B;l=B;r=z;s=A}c[229176]=x;m=w;n=p}if((n|0)==0){break}else{b=b-a|0;a=n}}c[229174]=m;c[229182]=0;c[229170]=f-g;return 0}function rs(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0;h[2286]=.5;j=.5;do{j=j*.5;}while(j+1.0>1.0);k=j*2.0;h[2286]=k;c[f>>2]=1;if((c[b>>2]|0)<1){return 0}c[f>>2]=2;c[e>>2]=0;h[g>>3]=k;h[i>>3]=+h[2286];c[234764]=1;c[234762]=0;l=c[b>>2]|0;c[234768]=1;a:do{if((l|0)>=1){b=1;m=1;b:while(1){c[234760]=0;c[234766]=1;do{if((b|0)>=1){n=c[234762]|0;o=1;p=0;while(1){q=n+1|0;r=a+(n<<3)|0;k=+h[r>>3];h[2284]=k;s=(o|0)==(b|0);if(s){j=k*+h[2286];h[2285]=j*j}do{if((o|0)<1){t=1;u=m;v=p;w=k}else{x=p;y=1;z=m;j=k;while(1){A=x+1|0;if((y|0)==(o|0)){B=14;break}C=d+(x<<3)|0;D=j- +h[C>>3]*+h[d+(z-1<<3)>>3];h[2284]=D;if(s){E=+h[C>>3];F=E*E*+h[i+(y-1<<3)>>3];h[2285]=+h[2285]+F*F}G=z+1|0;H=y+1|0;if((H|0)>(o|0)){B=15;break}else{x=A;y=H;z=G;j=D}}if((B|0)==14){B=0;c[234760]=A;t=o;u=z;v=A;w=j;break}else if((B|0)==15){B=0;c[234760]=A;t=H;u=G;v=A;w=D;break}}}while(0);if(s){B=25;break}k=+h[d+(v-1<<3)>>3];if(k==0.0){h[d+(n<<3)>>3]=0.0;F=+h[2284];if(F<0.0){I=-0.0-F}else{I=F}F=+h[g>>3]*+h[r>>3];if(F<0.0){J=-0.0-F}else{J=F}if(I>J){break b}}else{h[d+(n<<3)>>3]=w/k}y=o+1|0;c[234766]=y;if((y|0)>(b|0)){B=26;break}else{n=q;o=y;p=v}}if((B|0)==25){B=0;c[234770]=t;c[234758]=u;c[234762]=q;break}else if((B|0)==26){B=0;c[234770]=t;c[234758]=u;c[234762]=q;break}}}while(0);k=+W(+h[2285]);h[2285]=k;F=+h[2284];if(F<0.0){K=-0.0-F}else{K=F}do{if(K>k*5.0){if(F<0.0){B=37;break b}E=+W(F);h[d+((c[234762]|0)-1<<3)>>3]=E;E=+h[2285]/+h[2284];h[i+((c[234770]|0)-1<<3)>>3]=E;if(!(E>+h[g>>3])){L=b;M=m;break}h[g>>3]=E;L=b;M=m}else{h[d+((c[234762]|0)-1<<3)>>3]=0.0;c[e>>2]=(c[e>>2]|0)+1;L=c[234768]|0;M=c[234764]|0}}while(0);m=M+L|0;c[234764]=m;b=L+1|0;c[234768]=b;if((b|0)>(l|0)){break a}}if((B|0)==37){return 0}c[234770]=t;c[234758]=u;c[234762]=q;return 0}}while(0);c[f>>2]=0;return 0}function ss(b,d,e,f,g,h,i,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;l=(c[b>>2]|0)+1|0;c[229364]=l;m=(c[d>>2]|0)-l|0;c[229362]=m;n=c[d>>2]|0;o=c[b>>2]|0;p=o+2|0;do{if((n|0)>=(p|0)){if((n|0)>((ga(l,p)|0)/2|0|0)){break}q=o+n|0;c[229366]=q;a[9968]=1;r=c[b>>2]|0;s=r+1|0;c[229372]=s;t=c[b>>2]|0;u=s+t|0;c[229374]=u;s=u+(c[b>>2]|0)|0;c[229370]=s;u=(ga(c[d>>2]|0,c[b>>2]|0)|0)+s|0;c[229384]=u;v=u+(c[d>>2]|0)|0;c[229382]=v;w=v+(c[b>>2]|0)|0;c[229380]=w;x=((ga(l,c[b>>2]|0)|0)/2|0)+w|0;c[229378]=x;y=x+(c[d>>2]|0)|0;c[229388]=y;z=(ga(c[b>>2]|0,q)|0)+y|0;c[229368]=z;A=(ga(m,c[d>>2]|0)|0)+z|0;c[229386]=A;B=A+(c[b>>2]|0)|0;c[229376]=B;ts(b,d,e,f,g,h,i,j,j+(r<<3)|0,j+(r+t<<3)|0,j+(s-1<<3)|0,j+(u-1<<3)|0,j+(v-1<<3)|0,j+(w-1<<3)|0,j+(x-1<<3)|0,j+(y-1<<3)|0,j+(z-1<<3)|0,917464,j+(A-1<<3)|0,j+(B-1<<3)|0,j+(q-1+B<<3)|0,k)|0;return 0}}while(0);NI(9976)|0;vI()|0;return 0}function ts(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0,pb=0,qb=0,rb=0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0;z=i;i=i+8|0;A=z|0;B=c[b>>2]|0;C=~B;D=c[u>>2]|0;E=~D;h[1163]=.5;h[1137]=1.0;h[1125]=.1;F=(c[a>>2]|0)+1|0;c[229318]=F;G=ga(c[a>>2]|0,F)|0;H=(G|0)/2|0;c[229320]=H;I=(c[b>>2]|0)-F|0;c[229316]=I;F=c[j>>2]|0;c[229322]=(F|0)<1?1:F;F=c[a>>2]|0;c[229346]=1;if((F|0)>=1){j=1;do{J=j-1|0;h[k+(J<<3)>>3]=+h[d+(J<<3)>>3];J=c[b>>2]|0;c[229340]=1;if((J|0)>=1){K=ga(j,B)|0;L=1;do{h[n+(L+C+K<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(J|0));c[229340]=L}J=c[u>>2]|0;c[229360]=1;if((J|0)>=1){K=1;do{h[s+(K+E+(ga(j,D)|0)<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(J|0));c[229360]=K}j=j+1|0;c[229346]=j;}while((j|0)<=(F|0))}c[229356]=1;if((G|0)>=2){G=1;do{h[q+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(H|0));c[229356]=G}G=c[b>>2]|0;c[229340]=1;if((G|0)>=1){H=(I|0)<1;F=I+1|0;j=1;do{h[r+(j-1<<3)>>3]=0.0;if(H){M=1}else{J=1;while(1){h[t+((ga(J,B)|0)+C+j<<3)>>3]=0.0;L=J+1|0;if((L|0)>(I|0)){M=F;break}else{J=L}}}j=j+1|0;}while((j|0)<=(G|0));c[229346]=M;c[229340]=j}N=+h[e>>3];O=N*N;h[1132]=O;h[1135]=+h[1137]/O;h[1134]=+W(+h[1163])/O;c[229330]=0;j=y;y=A;M=0;a:while(1){c[229328]=M;G=M-(c[a>>2]|0)|0;c[229326]=G;F=M+1|0;c[229330]=F;I=c[a>>2]|0;do{if((M|0)>(I<<1|0)){H=(G-1|0)/(I|0)|0;c[229350]=H;J=c[a>>2]|0;K=M-(ga(J,H)|0)-J|0;c[229342]=K;J=K+H|0;c[229352]=J;if((J|0)>(c[a>>2]|0)){c[229350]=K;H=J-(c[a>>2]|0)|0;c[229342]=H;c[229352]=K;P=K;Q=H}else{P=J;Q=K}O=+h[e>>3];h[1123]=O;K=c[229318]|0;if(+h[o+(P-1+K<<3)>>3]<+h[o+(P<<3)>>3]){N=-0.0-O;h[1123]=N;R=N}else{R=O}O=+h[e>>3];h[1122]=O;if(+h[o+(Q-1+K<<3)>>3]<+h[o+(Q<<3)>>3]){h[1122]=-0.0-O}K=F+C|0;h[n+(K+(ga(P,B)|0)<<3)>>3]=R;h[n+(K+(ga(Q,B)|0)<<3)>>3]=+h[1122];S=c[a>>2]|0}else{K=(M|0)>(I|0);if(!((M|0)<1|K)){h[n+((ga(M,B)|0)+C+F<<3)>>3]=+h[e>>3];S=I;break}if(!K){S=I;break}h[n+(F+C+(ga(G,B)|0)<<3)>>3]=-0.0- +h[e>>3];S=I}}while(0);c[229346]=1;if((S|0)>=1){I=1;do{O=+h[n+((ga(I,B)|0)+C+F<<3)>>3];G=I-1|0;h[d+(G<<3)>>3]=O+ +h[k+(G<<3)>>3];I=I+1|0;}while((I|0)<=(S|0));c[229346]=I}if((F|0)>(c[229322]|0)){T=F;U=158;break}while(1){Vd[j&127](a,d,9840)|0;if((c[g>>2]|0)==3){NI(9248)|0;cI(19088,917320,4)|0;cI(19088,9840,8)|0;G=c[a>>2]|0;c[229360]=1;if((G|0)>=1){K=1;do{cI(19088,d+(K-1<<3)|0,8)|0;K=(c[229360]|0)+1|0;c[229360]=K;}while((K|0)<=(G|0))}vI()|0}G=c[229330]|0;do{if((G|0)>(c[b>>2]|0)){K=c[229338]|0;if((K|0)==-1){break a}h[1124]=0.0;c[229356]=0;J=c[a>>2]|0;c[229346]=1;if((J|0)<1){V=0.0}else{H=2;L=1;O=0.0;X=0;while(1){Y=L-1|0;N=O+ +h[v+(Y<<3)>>3]*+h[p+(Y<<3)>>3];h[1124]=N;if((L|0)<1){Z=1;_=N;$=X}else{Y=L-1|0;aa=m+(Y<<3)|0;ba=v+(Y<<3)|0;Y=X;ca=1;da=N;while(1){ea=ca-1|0;N=+h[v+(ea<<3)>>3]*+h[aa>>3]+ +h[ba>>3]*+h[l+(ea<<3)>>3];h[1127]=N;if((ca|0)==(L|0)){fa=N*+h[1163];h[1127]=fa;ha=fa}else{ha=N}ia=da+ha*+h[q+(Y<<3)>>3];h[1124]=ia;ea=ca+1|0;if((ea|0)>(L|0)){break}else{Y=Y+1|0;ca=ea;da=ia}}ca=X+L|0;c[229356]=ca;Z=H;_=ia;$=ca}ja=L+1|0;if((ja|0)>(J|0)){break}else{H=H+1|0;L=ja;O=_;X=$}}c[229360]=Z;c[229346]=ja;V=_}X=c[b>>2]|0;c[229340]=1;if((X|0)<1){ka=V}else{L=1;O=V;do{H=L-1|0;O=O+ +h[r+(H<<3)>>3]*+h[x+(H<<3)>>3];h[1124]=O;L=L+1|0;}while((L|0)<=(X|0));c[229340]=L;ka=O}da=+h[1230];N=+h[1167];fa=da-N-ka;h[1239]=fa;h[1236]=+h[1237];h[1237]=+h[1238];if(fa<0.0){la=-0.0-fa}else{la=fa}h[1238]=la;if(+h[1234]>+h[1133]){c[229324]=G}h[1166]=N;do{if(da<N){h[1167]=da;h[1121]=0.0;X=c[a>>2]|0;c[229360]=1;if((X|0)<1){break}else{ma=1}do{H=ma-1|0;h[l+(H<<3)>>3]=+h[m+(H<<3)>>3];na=+h[l+(ma-1<<3)>>3];h[1121]=+h[1121]+na*na;ma=ma+1|0;}while((ma|0)<=(X|0));c[229360]=ma;h[A>>3]=na}}while(0);c[229334]=K;if((K|0)<=0){da=+h[1124];if(!(da<0.0)){U=189;break a}N=+h[1230];O=+h[1166];fa=(N-O)/da;h[1136]=fa;da=+h[1125];do{if(fa>da){oa=+h[1163]*+h[1241];h[A>>3]=oa;pa=+h[1234];if(fa>.7){qa=pa+pa;ra=oa>=qa?oa:qa;h[1241]=ra;sa=ra;break}else{ra=oa>=pa?oa:pa;h[1241]=ra;sa=ra;break}}else{ra=+h[1163]*+h[1234];h[1241]=ra;sa=ra}}while(0);fa=+h[1133];if(sa>fa*1.5){ta=sa}else{h[1241]=fa;ta=fa}ra=da*ta;pa=ra>=fa?ra:fa;h[A>>3]=pa;fa=pa*pa;h[1132]=fa;c[229332]=0;h[1240]=0.0;if(N<O){ua=0.0;va=0}else{L=c[229336]|0;c[229332]=L;pa=+h[1137];h[1240]=pa;ua=pa;va=L}L=c[b>>2]|0;c[229340]=1;if((L|0)<1){wa=K}else{X=c[229316]|0;H=K;J=1;pa=ua;while(1){h[1162]=0.0;c[229346]=1;if((X|0)<1){xa=0.0}else{ca=c[229358]|0;Y=J+C|0;ra=+h[1137];ba=1;oa=0.0;do{if((ba|0)<(ca|0)){ya=-0.0-ra}else{ya=ra}h[1127]=ya;qa=+h[t+(Y+(ga(ba,B)|0)<<3)>>3];oa=oa+ya*qa*qa;h[1162]=oa;ba=ba+1|0;}while((ba|0)<=(X|0));c[229346]=ba;xa=oa}ra=+h[w+(J-1<<3)>>3];qa=ra*ra+ +h[1244]*xa;if(qa<0.0){za=-0.0-qa}else{za=qa}h[1127]=za;h[1235]=0.0;Y=c[a>>2]|0;c[229346]=1;if((Y|0)<1){Aa=qa;Ba=0.0}else{ca=1;qa=0.0;do{ra=+h[n+((ga(ca,B)|0)+C+J<<3)>>3];Ca=ra- +h[l+(ca-1<<3)>>3];qa=qa+Ca*Ca;h[1235]=qa;ca=ca+1|0;}while((ca|0)<=(Y|0));c[229346]=ca;Aa=Ca;Ba=qa}if(Ba>fa){oa=Ba/fa;ra=za*oa*oa*oa;h[1127]=ra;Da=oa;Ea=ra}else{Da=Aa;Ea=za}if(Ea<=pa|(J|0)==(va|0)){Fa=H;Ga=pa}else{h[1240]=Ea;c[229338]=J;Fa=J;Ga=Ea}Y=J+1|0;c[229340]=Y;if((Y|0)>(L|0)){break}else{H=Fa;J=Y;pa=Ga}}h[A>>3]=Da;wa=Fa}if((wa|0)==0){Ha=da;Ia=ta;Ja=0;U=285;break}}vs(a,b,s,t,917432,u,w,9952,917352,x)|0;J=c[229338]|0;H=J-1|0;h[o+(H<<3)>>3]=+h[1230];c[229356]=0;L=c[a>>2]|0;c[229360]=1;X=r+(H<<3)|0;if((L|0)>=1){H=J+C|0;K=2;Y=1;ba=0;while(1){pa=+h[X>>3]*+h[n+((ga(Y,B)|0)+C+J<<3)>>3];h[1127]=pa;if((Y|0)<1){Ka=1;La=ba}else{aa=ba;ea=1;fa=pa;while(1){pa=fa*+h[n+(H+(ga(ea,B)|0)<<3)>>3];Ma=q+(aa<<3)|0;h[Ma>>3]=+h[Ma>>3]+pa;Ma=ea+1|0;if((Ma|0)>(Y|0)){break}aa=aa+1|0;ea=Ma;fa=+h[1127]}ea=ba+Y|0;c[229356]=ea;Ka=K;La=ea}Na=Y+1|0;if((Na|0)>(L|0)){break}else{K=K+1|0;Y=Na;ba=La}}c[229346]=Ka;c[229360]=Na}h[X>>3]=0.0;ba=c[229316]|0;c[229346]=1;Y=(ba|0)<1;if(!Y){K=c[229358]|0;L=1;do{H=ga(L,B)|0;da=+h[1239]*+h[t+(H+C+J<<3)>>3];if((L|0)<(K|0)){Oa=-0.0-da}else{Oa=da}h[1127]=Oa;ea=c[b>>2]|0;c[229340]=1;if((ea|0)>=1){aa=1;ca=2;da=Oa;while(1){Ma=r+(aa-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[t+(aa+C+H<<3)>>3];if((ca|0)>(ea|0)){break}aa=ca;ca=ca+1|0;da=+h[1127]}c[229340]=ca}L=L+1|0;c[229346]=L;}while((L|0)<=(ba|0))}h[1164]=0.0;L=c[a>>2]|0;c[229360]=1;if((L|0)>=1){K=1;do{da=+h[1239]*+h[s+((ga(K,D)|0)+E+J<<3)>>3];X=p+(K-1<<3)|0;h[X>>3]=+h[X>>3]+da;X=K-1|0;Pa=+h[p+(X<<3)>>3];h[1164]=+h[1164]+Pa*Pa;h[n+((ga(K,B)|0)+C+J<<3)>>3]=+h[m+(X<<3)>>3];K=K+1|0;}while((K|0)<=(L|0));c[229360]=K;h[A>>3]=Pa}L=c[229334]|0;do{if((L|0)==0){if(!(+h[1241]==+h[1133])){break}da=+h[1136];if(da<0.0){Qa=-0.0-da}else{Qa=da}if(Qa>.01){c[229348]=0;break}X=c[b>>2]|0;c[229340]=1;if((X|0)>=1){aa=o+((c[229336]|0)-1<<3)|0;ea=1;do{H=ea-1|0;h[w+(H<<3)>>3]=+h[o+(H<<3)>>3]- +h[aa>>3];ea=ea+1|0;}while((ea|0)<=(X|0));c[229340]=ea}h[1165]=0.0;X=c[a>>2]|0;c[229360]=1;if((X|0)<1){Ra=0.0}else{aa=1;do{h[1131]=0.0;ca=c[b>>2]|0;c[229340]=1;if((ca|0)<1){Sa=0.0}else{H=ga(aa,D)|0;Ma=1;da=0.0;do{da=da+ +h[s+(Ma+E+H<<3)>>3]*+h[w+(Ma-1<<3)>>3];h[1131]=da;Ma=Ma+1|0;}while((Ma|0)<=(ca|0));c[229340]=Ma;Sa=da}h[1165]=+h[1165]+Sa*Sa;h[x+(aa-1<<3)>>3]=Sa;aa=aa+1|0;c[229360]=aa;}while((aa|0)<=(X|0));Ra=+h[1165]*100.0}X=(c[229348]|0)+1|0;c[229348]=X;if(+h[1164]<Ra){c[229348]=0;break}if((X|0)<=2){break}X=c[a>>2]|0;c[229360]=1;if((X|0)>=1){aa=1;do{ea=aa-1|0;h[p+(ea<<3)>>3]=+h[x+(ea<<3)>>3];aa=aa+1|0;}while((aa|0)<=(X|0));c[229360]=aa}X=c[229320]|0;c[229356]=1;if((X|0)>=1){ea=1;do{h[q+(ea-1<<3)>>3]=0.0;ea=ea+1|0;}while((ea|0)<=(X|0));c[229356]=ea}c[229346]=1;if(!Y){X=1;do{aa=x+(X-1<<3)|0;h[aa>>3]=0.0;ca=c[b>>2]|0;c[229340]=1;if((ca|0)<1){Ta=0.0}else{H=ga(X,B)|0;Ua=1;fa=0.0;do{fa=fa+ +h[w+(Ua-1<<3)>>3]*+h[t+(Ua+C+H<<3)>>3];h[aa>>3]=fa;Ua=Ua+1|0;}while((Ua|0)<=(ca|0));c[229340]=Ua;Ta=fa}if((X|0)<(c[229358]|0)){h[aa>>3]=-0.0-Ta}X=X+1|0;c[229346]=X;}while((X|0)<=(ba|0))}X=c[b>>2]|0;c[229340]=1;if((X|0)>=1){ea=ba+1|0;ca=1;do{h[r+(ca-1<<3)>>3]=0.0;if(Y){Va=1}else{H=1;while(1){da=+h[t+((ga(H,B)|0)+C+ca<<3)>>3];Ma=r+(ca-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[x+(H-1<<3)>>3];Ma=H+1|0;if((Ma|0)>(ba|0)){Va=ea;break}else{H=Ma}}}ca=ca+1|0;}while((ca|0)<=(X|0));c[229346]=Va;c[229340]=ca}c[229348]=0}}while(0);fa=+h[1230];da=+h[1166];if(fa<da){c[229336]=J}qa=+h[1125];if(fa<=da+qa*+h[1124]|(L|0)>0){U=54;break}c[229338]=0;Ha=qa;Ia=+h[1241];Ja=0;U=285}else{h[o+(G-1<<3)>>3]=+h[1230];qa=+h[1230];do{if((G|0)==1){h[1229]=qa;h[1167]=qa;c[229336]=1;Wa=1}else{if(!(qa<+h[1167])){Wa=G;break}h[1167]=qa;c[229336]=G;Wa=G}}while(0);L=c[229328]|0;J=c[a>>2]|0;do{if((L|0)>(J<<1|0)){ba=c[229352]|0;Y=(ga(ba-1|0,ba)|0)/2|0;K=c[229342]|0;X=K+Y|0;c[229356]=X;if(+h[1123]<0.0){Y=ba+(c[a>>2]|0)|0;c[229352]=Y;Xa=Y}else{Xa=ba}if(+h[1122]<0.0){ba=K+(c[a>>2]|0)|0;c[229342]=ba;Ya=ba}else{Ya=K}K=ga(c[229326]|0,B)|0;h[t+(K-B<<3)>>3]=+h[1135];h[t+(Wa+C+K<<3)>>3]=+h[1135];h[t+(Xa-B+K<<3)>>3]=-0.0- +h[1135];h[t+(Ya-B+K<<3)>>3]=-0.0- +h[1135];h[q+(X-1<<3)>>3]=(+h[1229]- +h[o+(Xa<<3)>>3]- +h[o+(Ya<<3)>>3]+ +h[1230])/(+h[1123]*+h[1122])}else{X=(L|0)>(J|0);if((L|0)<1|X){if(!X){break}X=c[229326]|0;K=ga(X,D)|0;h[s+(E-J+Wa+K<<3)>>3]=+h[1163]/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=(-0.0- +h[1163])/+h[e>>3];da=+h[1134];K=ga(X,B)|0;h[t+(K-B<<3)>>3]=-0.0-da-da;ba=Wa+C|0;h[t+(ba-J+K<<3)>>3]=+h[1134];h[t+(ba+K<<3)>>3]=+h[1134];K=(ga(X+1|0,X)|0)/2|0;c[229356]=K;da=(+h[1229]- +h[1230])/+h[e>>3];h[1127]=da;ba=p+(X-1<<3)|0;h[q+(K-1<<3)>>3]=(+h[ba>>3]-da)/+h[e>>3];h[ba>>3]=+h[1163]*(+h[ba>>3]+ +h[1127]);break}else{h[p+(L-1<<3)>>3]=(qa- +h[1229])/+h[e>>3];ba=c[b>>2]|0;if((ba|0)>=(J+Wa|0)){break}K=ga(L,D)|0;h[s+(K-D<<3)>>3]=(-0.0- +h[1137])/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=+h[1137]/+h[e>>3];h[s+(ba+E+L+K<<3)>>3]=+h[1132]*(-0.0- +h[1163]);break}}}while(0);if((Wa|0)<(c[b>>2]|0)){M=Wa;continue a}qa=+h[e>>3];h[1133]=qa;h[1241]=qa;c[229358]=1;h[1238]=0.0;h[1237]=0.0;c[229348]=0;h[1121]=0.0;L=c[a>>2]|0;c[229360]=1;if((L|0)<1){U=53;break}J=c[229336]|0;K=1;do{h[l+(K-1<<3)>>3]=+h[n+((ga(K,B)|0)+C+J<<3)>>3];Za=+h[l+(K-1<<3)>>3];h[1121]=+h[1121]+Za*Za;K=K+1|0;}while((K|0)<=(L|0));c[229360]=K;h[A>>3]=Za;U=53}}while(0);while(1){if((U|0)==53){U=0;c[229324]=c[229330];U=54;continue}else if((U|0)==54){U=0;c[229338]=0;G=(c[229318]|0)-1|0;L=c[a>>2]|0;us(a,b,l,n,p,q,r,9928,v,x,x+(G<<3)|0,x+(G+L<<3)|0,x+(G+(L<<1)<<3)|0,9936)|0;h[1233]=0.0;L=c[a>>2]|0;c[229360]=1;if((L|0)<1){_a=0.0}else{G=1;qa=0.0;do{$a=+h[v+(G-1<<3)>>3];qa=qa+$a*$a;h[1233]=qa;G=G+1|0;}while((G|0)<=(L|0));h[A>>3]=$a;c[229360]=G;_a=qa}da=+h[1241];h[A>>3]=da;fa=+W(_a);pa=da<=fa?da:fa;h[1234]=pa;fa=+h[1133];if(!(pa<+h[1163]*fa)){ab=_a;U=62;break}c[229338]=-1;pa=+h[1125];O=pa*da;h[1241]=O;h[1136]=-1.0;if(O>fa*1.5){bb=O}else{h[1241]=fa;bb=fa}if((c[229330]|0)<=((c[229324]|0)+2|0)){Ha=pa;Ia=bb;Ja=-1;U=285;continue}O=fa*+h[1242]*.125*fa;h[1127]=O;da=+h[1238];N=+h[1237];ra=da>=N?da:N;h[A>>3]=ra;N=+h[1236];if(O>(ra>=N?ra:N)){cb=fa;db=pa;eb=-1}else{Ha=pa;Ia=bb;Ja=-1;U=285;continue}}else if((U|0)==285){U=0;pa=Ia*Ia*4.0;h[1235]=pa;L=c[b>>2]|0;c[229340]=1;if((L|0)<1){fb=Ja}else{K=Ja;fa=pa;J=1;while(1){h[1131]=0.0;ba=c[a>>2]|0;c[229346]=1;if((ba|0)<1){gb=0.0}else{X=1;pa=0.0;do{N=+h[n+((ga(X,B)|0)+C+J<<3)>>3];hb=N- +h[l+(X-1<<3)>>3];pa=pa+hb*hb;h[1131]=pa;X=X+1|0;}while((X|0)<=(ba|0));h[A>>3]=hb;c[229346]=X;gb=pa}if(gb>fa){c[229338]=J;h[1235]=gb;ib=J;jb=gb}else{ib=K;jb=fa}ba=J+1|0;c[229340]=ba;if((ba|0)>(L|0)){break}else{K=ib;fa=jb;J=ba}}if((ib|0)>0){U=293;break}else{fb=ib}}if(+h[1136]>0.0){U=54;continue}fa=+h[1234];qa=+h[1133];if((Ia>=fa?Ia:fa)>qa){U=54;continue}else{cb=qa;db=Ha;eb=fb}}if(!(cb>+h[f>>3])){U=308;break}qa=cb*+h[1163];h[1241]=qa;fa=cb/+h[f>>3];h[1136]=fa;do{if(fa>16.0){if(fa>250.0){N=db*cb;h[1133]=N;kb=N;break}else{N=+W(fa);ra=N*+h[f>>3];h[1133]=ra;kb=ra;break}}else{ra=+h[f>>3];h[1133]=ra;kb=ra}}while(0);h[1241]=qa>=kb?qa:kb;J=c[g>>2]|0;if((J|0)<=1){U=53;continue}if((J|0)>2){NI(9200)|0;vI()|0}NI(9176)|0;cI(19088,9064,8)|0;cI(19088,917320,4)|0;vI()|0;NI(9152)|0;cI(19088,9336,8)|0;J=c[a>>2]|0;c[229360]=1;if((J|0)>=1){K=1;do{L=K-1|0;h[A>>3]=+h[k+(L<<3)>>3]+ +h[l+(L<<3)>>3];cI(19088,y,8)|0;K=(c[229360]|0)+1|0;c[229360]=K;}while((K|0)<=(J|0))}vI()|0;U=53}if((U|0)==293){U=0;qa=Ha*+W(jb);fa=+h[1163]*Ia;ra=qa<=fa?qa:fa;h[A>>3]=ra;fa=+h[1133];qa=ra>=fa?ra:fa;h[1232]=qa;fa=qa*qa;h[1233]=fa;ab=fa;U=62}else if((U|0)==308){U=0;if(!((eb|0)==-1)){break a}}do{if((U|0)==62){U=0;fa=+h[1121];if(!(ab>fa*.001)){h[1126]=fa*.25;J=c[b>>2]|0;c[229340]=1;if((J|0)>=1){K=1;do{h[1131]=0.0;L=c[a>>2]|0;c[229360]=1;if((L|0)<1){lb=0.0}else{G=1;fa=0.0;do{qa=+h[n+((ga(G,B)|0)+C+K<<3)>>3];fa=fa+qa*+h[l+(G-1<<3)>>3];h[1131]=fa;G=G+1|0;}while((G|0)<=(L|0));c[229360]=G;lb=fa}h[1127]=+h[r+(K-1<<3)>>3]*lb;pa=lb- +h[1163]*+h[1121];h[1131]=pa;h[x+((c[b>>2]|0)-1+K<<3)>>3]=pa;L=c[a>>2]|0;c[229360]=1;if((L|0)>=1){X=1;do{ba=ga(X,B)|0;ca=n+(ba+C+K<<3)|0;Y=X-1|0;ea=p+(Y<<3)|0;h[ea>>3]=+h[ea>>3]+ +h[1127]*+h[ca>>3];ea=l+(Y<<3)|0;h[ca>>3]=+h[ca>>3]- +h[1163]*+h[ea>>3];ca=w+(Y<<3)|0;h[ca>>3]=+h[s+(K+E+(ga(X,D)|0)<<3)>>3];pa=+h[1131]*+h[n+(K+C+ba<<3)>>3]+ +h[1126]*+h[ea>>3];ea=x+(Y<<3)|0;h[ea>>3]=pa;Y=X+(c[b>>2]|0)|0;c[229354]=Y;c[229346]=1;if((X|0)>=1){ba=1;H=2;qa=pa;while(1){aa=s+((ga(ba,D)|0)+E+Y<<3)|0;Ua=ba-1|0;h[aa>>3]=+h[aa>>3]+ +h[ca>>3]*+h[x+(Ua<<3)>>3]+qa*+h[w+(Ua<<3)>>3];if((H|0)>(X|0)){break}ba=H;H=H+1|0;qa=+h[ea>>3]}c[229346]=H}X=X+1|0;c[229360]=X;}while((X|0)<=(L|0))}K=K+1|0;c[229340]=K;}while((K|0)<=(J|0))}J=c[229316]|0;c[229340]=1;if((J|0)>=1){K=1;do{h[1128]=0.0;L=c[b>>2]|0;c[229360]=1;b:do{if((L|0)>=1){X=1;fa=0.0;while(1){G=t+(X+C+(ga(K,B)|0)<<3)|0;h[1128]=+h[G>>3]+fa;h[x+(X-1<<3)>>3]=+h[x+((c[b>>2]|0)-1+X<<3)>>3]*+h[G>>3];G=X+1|0;c[229360]=G;if((G|0)>(L|0)){break b}X=G;fa=+h[1128]}}}while(0);L=c[a>>2]|0;c[229346]=1;if((L|0)>=1){X=1;do{H=X-1|0;fa=+h[1126]*+h[1128]*+h[l+(H<<3)>>3];h[1131]=fa;G=c[b>>2]|0;c[229360]=1;if((G|0)<1){mb=fa}else{ea=ga(X,B)|0;ba=1;qa=fa;do{qa=qa+ +h[x+(ba-1<<3)>>3]*+h[n+(ba+C+ea<<3)>>3];h[1131]=qa;ba=ba+1|0;}while((ba|0)<=(G|0));c[229360]=ba;mb=qa}h[w+(H<<3)>>3]=mb;if((K|0)<(c[229358]|0)){h[1131]=-0.0- +h[1131]}G=c[b>>2]|0;c[229360]=1;if((G|0)>=1){ea=ga(K,B)|0;ca=ga(X,D)|0;Y=1;Ua=2;while(1){aa=s+(Y+E+ca<<3)|0;h[aa>>3]=+h[1131]*+h[t+(Y+C+ea<<3)>>3]+ +h[aa>>3];if((Ua|0)>(G|0)){break}Y=Ua;Ua=Ua+1|0}c[229360]=Ua}X=X+1|0;c[229346]=X;}while((X|0)<=(L|0))}L=c[a>>2]|0;c[229360]=1;if((L|0)>=1){X=c[229358]|0;Y=1;do{G=(c[b>>2]|0)+Y|0;c[229354]=G;qa=+h[w+(Y-1<<3)>>3];if((K|0)<(X|0)){nb=-0.0-qa}else{nb=qa}h[1127]=nb;c[229346]=1;if((Y|0)>=1){ea=1;ca=2;qa=nb;while(1){H=s+((ga(ea,D)|0)+E+G<<3)|0;h[H>>3]=qa*+h[w+(ea-1<<3)>>3]+ +h[H>>3];if((ca|0)>(Y|0)){break}ea=ca;ca=ca+1|0;qa=+h[1127]}c[229346]=ca}Y=Y+1|0;c[229360]=Y;}while((Y|0)<=(L|0))}K=K+1|0;c[229340]=K;}while((K|0)<=(J|0))}c[229356]=0;J=c[a>>2]|0;c[229346]=1;if((J|0)>=1){K=1;L=0;while(1){Y=K-1|0;X=x+(Y<<3)|0;h[X>>3]=0.0;ea=c[b>>2]|0;c[229340]=1;if((ea|0)>=1){G=ga(K,B)|0;Ua=l+(Y<<3)|0;H=G+C|0;ba=1;qa=0.0;while(1){h[X>>3]=qa+ +h[r+(ba-1<<3)>>3]*+h[n+(ba+C+G<<3)>>3];aa=n+(H+ba<<3)|0;h[aa>>3]=+h[aa>>3]- +h[1163]*+h[Ua>>3];ob=ba+1|0;if((ob|0)>(ea|0)){break}ba=ob;qa=+h[X>>3]}c[229340]=ob}c[229360]=1;if((K|0)<1){pb=L}else{ba=L;ea=1;while(1){Ua=ba+1|0;c[229356]=Ua;H=q+(ba<<3)|0;if((ea|0)<(K|0)){G=ea-1|0;aa=l+(G<<3)|0;Ma=p+(Y<<3)|0;h[Ma>>3]=+h[Ma>>3]+ +h[H>>3]*+h[aa>>3];qb=G;rb=aa}else{aa=ea-1|0;qb=aa;rb=l+(aa<<3)|0}aa=l+(Y<<3)|0;G=p+(qb<<3)|0;h[G>>3]=+h[H>>3]*+h[aa>>3]+ +h[G>>3];h[H>>3]=+h[H>>3]+ +h[x+(qb<<3)>>3]*+h[aa>>3]+ +h[rb>>3]*+h[X>>3];aa=(c[b>>2]|0)+E|0;h[s+(aa+ea+(ga(K,D)|0)<<3)>>3]=+h[s+(aa+K+(ga(ea,D)|0)<<3)>>3];aa=ea+1|0;c[229360]=aa;if((aa|0)>(K|0)){pb=Ua;break}else{ba=Ua;ea=aa}}}ea=K+1|0;c[229346]=ea;if((ea|0)>(J|0)){break}else{K=ea;L=pb}}}L=c[a>>2]|0;c[229346]=1;if((L|0)>=1){K=1;do{J=K-1|0;ea=k+(J<<3)|0;h[ea>>3]=+h[l+(J<<3)>>3]+ +h[ea>>3];h[l+(K-1<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(L|0));c[229346]=K}h[1121]=0.0}if((c[229338]|0)>0){L=(c[229318]|0)-1|0;Pr(a,b,l,n,s,t,917432,u,917352,9856,v,9960,w,w+(c[b>>2]<<3)|0,x,x+(L<<3)|0,x+(L+(c[a>>2]|0)<<3)|0)|0}L=c[b>>2]|0;c[229340]=1;if((L|0)>=1){ea=1;do{h[1130]=0.0;h[1129]=0.0;h[1131]=0.0;J=c[a>>2]|0;c[229346]=1;if((J|0)<1){sb=0.0;tb=0.0}else{ba=ea+C|0;X=ea+E|0;Y=1;qa=0.0;fa=0.0;pa=0.0;do{ra=+h[n+((ga(Y,B)|0)+C+ea<<3)>>3];qa=qa+ra*+h[v+(Y-1<<3)>>3];h[1130]=qa;ra=+h[n+(ba+(ga(Y,B)|0)<<3)>>3];aa=Y-1|0;fa=fa+ra*+h[l+(aa<<3)>>3];h[1129]=fa;ra=+h[s+(X+(ga(Y,D)|0)<<3)>>3];pa=pa+ra*+h[v+(aa<<3)>>3];h[1131]=pa;Y=Y+1|0;}while((Y|0)<=(J|0));c[229346]=Y;sb=qa;tb=fa}J=ea-1|0;h[x+(J<<3)>>3]=sb*(sb*+h[1163]+tb);h[w+(J<<3)>>3]=+h[1131];ea=ea+1|0;c[229340]=ea;}while((ea|0)<=(L|0))}h[1244]=0.0;L=c[229316]|0;c[229340]=1;if((L|0)>=1){ea=1;do{h[1131]=0.0;K=c[b>>2]|0;c[229360]=1;if((K|0)<1){ub=0.0}else{J=1;pa=0.0;do{ra=+h[t+(J+C+(ga(ea,B)|0)<<3)>>3];pa=pa+ra*+h[x+(J-1<<3)>>3];h[1131]=pa;J=J+1|0;}while((J|0)<=(K|0));c[229360]=J;ub=pa}fa=ub*ub;qa=+h[1244];if((ea|0)<(c[229358]|0)){h[1244]=qa+fa;ra=-0.0-ub;h[1131]=ra;vb=ra}else{h[1244]=qa-fa;vb=ub}K=c[b>>2]|0;c[229360]=1;if((K|0)>=1){Y=ga(ea,B)|0;X=1;ba=2;fa=vb;while(1){aa=w+(X-1<<3)|0;h[aa>>3]=+h[aa>>3]+fa*+h[t+(X+C+Y<<3)>>3];if((ba|0)>(K|0)){break}X=ba;ba=ba+1|0;fa=+h[1131]}c[229360]=ba}ea=ea+1|0;c[229340]=ea;}while((ea|0)<=(L|0))}h[1243]=0.0;h[1231]=0.0;L=c[a>>2]|0;c[229346]=1;if((L|0)<1){wb=0.0;xb=0.0}else{ea=1;fa=0.0;while(1){h[1131]=0.0;X=c[b>>2]|0;c[229360]=1;if((X|0)<1){yb=0.0}else{K=ga(ea,D)|0;Y=1;pa=0.0;do{pa=pa+ +h[x+(Y-1<<3)>>3]*+h[s+(Y+E+K<<3)>>3];h[1131]=pa;Y=Y+1|0;}while((Y|0)<=(X|0));c[229360]=Y;yb=pa}X=ea-1|0;K=v+(X<<3)|0;h[1243]=fa+yb*+h[K>>3];ba=ea+(c[b>>2]|0)|0;c[229344]=ba;J=c[a>>2]|0;c[229340]=1;if((J|0)<1){zb=yb}else{aa=1;qa=yb;do{ra=+h[s+((ga(aa,D)|0)+E+ba<<3)>>3];qa=qa+ra*+h[v+(aa-1<<3)>>3];h[1131]=qa;aa=aa+1|0;}while((aa|0)<=(J|0));c[229340]=aa;zb=qa}h[w+(ba-1<<3)>>3]=zb;pa=+h[1243]+ +h[1131]*+h[K>>3];h[1243]=pa;ra=+h[1231]+ +h[K>>3]*+h[l+(X<<3)>>3];h[1231]=ra;J=ea+1|0;c[229346]=J;if((J|0)>(L|0)){wb=ra;xb=pa;break}else{ea=J;fa=pa}}}fa=+h[1233];h[1244]=+h[1244]+(wb*wb+fa*(wb+(wb+ +h[1121])+fa*+h[1163]))-xb;ea=w+((c[229336]|0)-1<<3)|0;h[ea>>3]=+h[1137]+ +h[ea>>3];ea=c[229338]|0;if((ea|0)<=0){break}fa=+h[w+(ea-1<<3)>>3];h[A>>3]=fa;pa=+h[1137]+ +h[1245]*+h[1244]/(fa*fa);h[1127]=pa;if(pa<0.0){Ab=-0.0-pa}else{Ab=pa}if(Ab>.8){break}ea=c[u>>2]|0;Or(a,b,l,n,s,t,917432,u,917344,917352,v,x,w,9952,m,x+(ea<<3)|0,x+((ea*6|0|1)-1<<3)|0)|0}}while(0);ea=c[a>>2]|0;c[229360]=1;if((ea|0)>=1){L=1;do{J=L-1|0;h[m+(J<<3)>>3]=+h[l+(J<<3)>>3]+ +h[v+(J<<3)>>3];J=L-1|0;h[d+(J<<3)>>3]=+h[k+(J<<3)>>3]+ +h[m+(J<<3)>>3];L=L+1|0;}while((L|0)<=(ea|0));c[229360]=L}ea=(c[229330]|0)+1|0;c[229330]=ea;if((ea|0)>(c[229322]|0)){T=ea;U=158;break a}}}do{if((U|0)==158){c[229330]=T-1;if((c[g>>2]|0)<=0){break}NI(9272)|0;vI()|0}else if((U|0)==189){if((c[g>>2]|0)<=0){break}NI(9224)|0;vI()|0}}while(0);Ab=+h[1167];if(!(Ab>+h[1230])){U=c[a>>2]|0;c[229360]=1;if((U|0)<1){Bb=Ab}else{T=1;do{m=T-1|0;h[d+(m<<3)>>3]=+h[k+(m<<3)>>3]+ +h[l+(m<<3)>>3];T=T+1|0;}while((T|0)<=(U|0));c[229360]=T;Bb=+h[1167]}h[1230]=Bb}if((c[g>>2]|0)<=0){i=z;return 0}NI(9128)|0;cI(19088,917320,4)|0;vI()|0;NI(9104)|0;cI(19088,9840,8)|0;g=c[a>>2]|0;c[229360]=1;if((g|0)>=1){a=1;do{cI(19088,d+(a-1<<3)|0,8)|0;a=(c[229360]|0)+1|0;c[229360]=a;}while((a|0)<=(g|0))}vI()|0;i=z;return 0}function us(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0;r=c[d>>2]|0;s=~r;h[176]=.5;h[159]=6.283185307179586;t=+h[k>>3];h[184]=t*t;c[229156]=0;k=c[b>>2]|0;c[229154]=k;c[229152]=k;u=c[b>>2]|0;c[229162]=1;if((u|0)<1){v=0;w=k}else{x=1;do{y=x-1|0;h[m+(y<<3)>>3]=+h[e+(y<<3)>>3];x=x+1|0;}while((x|0)<=(u|0));c[229162]=x;v=0;w=k}a:while(1){x=c[b>>2]|0;c[229162]=1;if((x|0)>=1){u=1;do{h[o+(u-1<<3)>>3]=0.0;u=u+1|0;}while((u|0)<=(x|0));c[229162]=u}x=c[d>>2]|0;c[229148]=1;if((x|0)>=1){e=1;do{h[162]=0.0;y=c[b>>2]|0;c[229150]=1;if((y|0)<1){z=0.0}else{A=1;t=0.0;do{B=+h[f+((ga(A,r)|0)+s+e<<3)>>3];t=t+B*+h[m+(A-1<<3)>>3];h[162]=t;A=A+1|0;}while((A|0)<=(y|0));c[229150]=A;z=t}B=+h[j+(e-1<<3)>>3]*z;h[162]=B;y=c[b>>2]|0;c[229162]=1;if((y|0)>=1){C=1;D=2;E=B;while(1){B=E*+h[f+((ga(C,r)|0)+s+e<<3)>>3];F=o+(C-1<<3)|0;h[F>>3]=+h[F>>3]+B;if((D|0)>(y|0)){break}C=D;D=D+1|0;E=+h[162]}c[229162]=D}e=e+1|0;c[229148]=e;}while((e|0)<=(x|0))}c[229160]=0;x=c[b>>2]|0;c[229150]=1;if((x|0)>=1){e=1;u=0;while(1){if((e|0)<1){G=1;H=u}else{C=e-1|0;y=o+(C<<3)|0;A=m+(C<<3)|0;C=e+1|0;F=u;I=1;while(1){J=i+(F<<3)|0;if((I|0)<(e|0)){K=I-1|0;h[y>>3]=+h[y>>3]+ +h[J>>3]*+h[m+(K<<3)>>3];L=K}else{L=I-1|0}K=o+(L<<3)|0;h[K>>3]=+h[J>>3]*+h[A>>3]+ +h[K>>3];K=I+1|0;if((K|0)>(e|0)){break}else{F=F+1|0;I=K}}I=e+u|0;c[229160]=I;G=C;H=I}M=e+1|0;if((M|0)>(x|0)){break}else{e=M;u=H}}c[229162]=G;c[229150]=M}do{if((v|0)==0){h[170]=0.0;h[185]=0.0;u=c[b>>2]|0;c[229162]=1;if((u|0)>=1){e=1;do{h[l+(e-1<<3)>>3]=0.0;x=e-1|0;h[p+(x<<3)>>3]=0.0;E=+h[g+(x<<3)>>3]+ +h[o+(x<<3)>>3];h[n+(x<<3)>>3]=E;h[m+(x<<3)>>3]=-0.0-E;h[185]=+h[185]+E*E;e=e+1|0;}while((e|0)<=(u|0));c[229162]=e}h[q>>3]=0.0;E=+h[185];if(E==0.0){N=55;break a}h[180]=0.0;h[164]=0.0;h[179]=E;h[178]=E;O=0;P=+h[184];Q=0.0;R=0.0;S=E}else{if((v|0)>(w|0)){h[183]=0.0;h[182]=0.0;h[181]=0.0;u=c[b>>2]|0;c[229162]=1;if((u|0)<1){T=0.0;U=0.0;V=0.0}else{C=1;E=0.0;t=0.0;B=0.0;do{x=C-1|0;E=E+ +h[m+(x<<3)>>3]*+h[n+(x<<3)>>3];h[183]=E;x=C-1|0;I=o+(x<<3)|0;t=t+ +h[I>>3]*+h[m+(x<<3)>>3];h[182]=t;B=B+ +h[I>>3]*+h[l+(x<<3)>>3];h[181]=B;C=C+1|0;}while((C|0)<=(u|0));c[229162]=C;T=t;U=E;V=B}X=+h[176];_=X*(+h[165]-T);h[187]=_;$=+h[167];aa=$+_;h[173]=aa;h[169]=aa;h[172]=aa;c[229158]=0;a[1400]=1;ba=+h[159]/50.0;h[162]=ba;c[229162]=1;u=1;ca=aa;da=aa;e=0;while(1){ea=+(u|0)*ba;fa=+Y(ea);ha=+Z(ea);ia=fa*($+fa*_)+ha*(U+fa*V);do{if(ia<da){h[172]=ia;c[229158]=u;h[161]=ca;ja=ia;ka=u}else{if((u|0)!=(e+1|0)){ja=da;ka=e;break}h[160]=ia;ja=da;ka=e}}while(0);x=u+1|0;if((x|0)<50){u=x;ca=ia;da=ja;e=ka}else{break}}h[189]=ea;h[186]=fa;h[163]=ha;h[171]=ia;c[229162]=50;h[169]=ia;if((ka|0)==0){h[161]=ia;N=46}else if((ka|0)==49){h[160]=aa;la=aa}else{N=46}if((N|0)==46){N=0;la=+h[160]}h[189]=0.0;da=+h[161];if(da!=la){ca=da-ja;h[161]=ca;da=la-ja;h[160]=da;B=X*(ca-da)/(ca+da);h[189]=B;ma=B}else{ma=0.0}B=ba*(+(ka|0)+ma);h[189]=B;da=+Y(B);h[186]=da;ca=+Z(B);h[163]=ca;B=aa-da*($+da*_)-ca*(U+da*V);h[168]=B;h[179]=0.0;e=c[b>>2]|0;c[229162]=1;if((e|0)<1){na=B;oa=0.0}else{u=0;C=1;B=da;da=ca;while(1){x=l+(u<<3)|0;h[x>>3]=B*+h[x>>3]+da*+h[m+(u<<3)>>3];x=C-1|0;I=p+(x<<3)|0;ca=+h[186]*+h[I>>3]+ +h[163]*+h[o+(x<<3)>>3];h[I>>3]=ca;E=+h[n+(x<<3)>>3]+ca;pa=+h[179]+E*E;h[179]=pa;qa=C+1|0;if((qa|0)>(e|0)){break}u=C;C=qa;B=+h[186];da=+h[163]}c[229162]=qa;na=+h[168];oa=pa}da=na+ +h[170];h[170]=da;if((v|0)<(k|0)&na/da>.01){ra=w;sa=oa}else{N=55;break a}}else{h[182]=0.0;C=c[b>>2]|0;c[229150]=1;do{if((C|0)<1){da=+h[188];h[190]=da;ta=0.0;ua=da;N=11}else{u=1;da=0.0;do{e=u-1|0;da=da+ +h[m+(e<<3)>>3]*+h[o+(e<<3)>>3];h[182]=da;u=u+1|0;}while((u|0)<=(C|0));c[229150]=u;B=+h[188];h[190]=B;if(!(da>0.0)){ta=da;ua=B;N=11;break}B=da/+h[185];h[162]=B;if((v|0)==1){h[q>>3]=B;va=+h[162];wa=B}else{va=B;wa=+h[q>>3]}h[q>>3]=wa>va?va:wa;B=+h[190];_=+h[179];$=+h[182];aa=_/$;ba=B<=aa?B:aa;h[190]=ba;xa=ba;ya=$;za=_}}while(0);if((N|0)==11){N=0;xa=ua;ya=ta;za=+h[179]}_=xa*(za-xa*+h[176]*ya);h[174]=_;h[170]=+h[170]+_;h[177]=za;h[179]=0.0;C=c[b>>2]|0;c[229162]=1;if((C|0)<1){Aa=xa;Ba=0.0}else{_=xa;e=1;do{x=e-1|0;I=l+(x<<3)|0;h[I>>3]=+h[I>>3]+_*+h[m+(x<<3)>>3];x=e-1|0;I=p+(x<<3)|0;$=+h[I>>3]+ +h[190]*+h[o+(x<<3)>>3];h[I>>3]=$;ba=+h[n+(x<<3)>>3]+$;Ca=+h[179]+ba*ba;h[179]=Ca;e=e+1|0;_=+h[190]}while((e|0)<=(C|0));c[229162]=e;Aa=_;Ba=Ca}if(Aa<+h[188]){if(!(+h[174]>+h[170]*.01)){N=55;break a}if(Ba<=+h[178]*1.0e-4|(v|0)==(k|0)){N=55;break a}ba=Ba/+h[177];h[162]=ba;h[185]=0.0;h[180]=0.0;h[164]=0.0;C=c[b>>2]|0;c[229162]=1;if((C|0)<1){N=55;break a}else{Da=0;Ea=1;Fa=ba}while(1){x=m+(Da<<3)|0;h[x>>3]=Fa*+h[x>>3]- +h[n+(Da<<3)>>3]- +h[p+(Da<<3)>>3];x=Ea-1|0;I=m+(x<<3)|0;ba=+h[I>>3];Ga=+h[185]+ba*ba;h[185]=Ga;F=l+(x<<3)|0;Ha=+h[180]+ +h[I>>3]*+h[F>>3];h[180]=Ha;ba=+h[F>>3];Ia=+h[164]+ba*ba;h[164]=Ia;Ja=Ea+1|0;if((Ja|0)>(C|0)){break}Da=Ea;Ea=Ja;Fa=+h[162]}c[229162]=Ja;if(!(Ha>0.0)){N=55;break a}_=+h[184];if(Ia<_){O=v;P=_;Q=Ia;R=Ha;S=Ga;break}}h[q>>3]=0.0;c[229152]=v;ra=v;sa=+h[179]}if(!(sa>+h[178]*1.0e-4)){N=55;break a}h[167]=0.0;h[165]=0.0;C=c[b>>2]|0;c[229162]=1;if((C|0)<1){Ka=0.0;La=0.0}else{e=1;_=0.0;ba=0.0;do{F=e-1|0;_=_+ +h[l+(F<<3)>>3]*+h[n+(F<<3)>>3];h[167]=_;F=e-1|0;ba=ba+ +h[l+(F<<3)>>3]*+h[p+(F<<3)>>3];h[165]=ba;e=e+1|0;}while((e|0)<=(C|0));c[229162]=e;Ka=_;La=ba}$=Ka+La;h[166]=$;aa=+h[184];B=sa*aa;if(!($/+W(B)>-.99)){N=55;break a}C=v+1|0;c[229156]=C;X=+W(B-$*$);h[162]=X;B=aa/X;h[161]=B;aa=$/X;h[160]=aa;F=c[b>>2]|0;c[229162]=1;if((F|0)<1){v=C;w=ra;continue a}else{Ma=0;Na=1;Oa=B;Pa=aa}while(1){h[m+(Ma<<3)>>3]=Oa*(+h[n+(Ma<<3)>>3]+ +h[p+(Ma<<3)>>3])-Pa*+h[l+(Ma<<3)>>3];Qa=Na+1|0;if((Qa|0)>(F|0)){break}Ma=Na;Na=Qa;Oa=+h[161];Pa=+h[160]}c[229162]=Qa;v=C;w=ra;continue a}}while(0);F=O+1|0;c[229156]=F;ba=P-Q;h[162]=ba;h[188]=ba/(R+ +W(R*R+ba*S));v=F;w=w}if((N|0)==55){return 0}return 0}function vs(b,d,e,f,g,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;n=c[d>>2]|0;o=~n;p=c[i>>2]|0;i=~p;h[155]=1.0;q=n-(c[b>>2]|0)-1|0;c[229134]=q;c[229138]=1;c[229144]=2;if((q|0)<2){r=1}else{s=2;t=1;while(1){do{if((s|0)==(c[g>>2]|0)){c[229138]=s;u=s}else{v=c[l>>2]|0;w=ga(s,n)|0;x=+h[f+(w+o+v<<3)>>3];if(!(x!=0.0)){u=t;break}y=ga(t,n)|0;z=v+o|0;v=f+(z+y<<3)|0;A=+h[v>>3];B=+W(x*x+A*A);h[150]=B;A=+h[v>>3]/B;h[149]=A;x=+h[f+(z+w<<3)>>3]/B;h[148]=x;z=c[d>>2]|0;c[229146]=1;if((z|0)>=1){v=1;B=A;A=x;while(1){C=v+o|0;h[150]=B*+h[f+(C+y<<3)>>3]+A*+h[f+(C+w<<3)>>3];C=v+o|0;D=f+(C+w<<3)|0;E=f+(C+y<<3)|0;h[D>>3]=B*+h[D>>3]-A*+h[E>>3];h[E>>3]=+h[150];F=v+1|0;if((F|0)>(z|0)){break}v=F;B=+h[149];A=+h[148]}c[229146]=F}h[f+((c[l>>2]|0)+o+w<<3)>>3]=0.0;u=t}}while(0);v=s+1|0;c[229144]=v;if((v|0)>(q|0)){r=u;break}else{s=v;t=u}}}u=c[l>>2]|0;A=+h[f+(u-1<<3)>>3];h[149]=A;if((c[g>>2]|0)>1){B=-0.0-A;h[149]=B;G=B}else{G=A}t=(r|0)>1;if(t){h[148]=+h[f+((ga(r,n)|0)+o+u<<3)>>3]}u=c[d>>2]|0;c[229146]=1;if((u|0)>=1){s=(ga(r,n)|0)+o|0;q=0;F=1;A=G;while(1){h[m+(q<<3)>>3]=A*+h[f+(q<<3)>>3];if(t){v=m+(F-1<<3)|0;h[v>>3]=+h[v>>3]+ +h[148]*+h[f+(s+F<<3)>>3]}H=F+1|0;if((H|0)>(u|0)){break}q=F;F=H;A=+h[149]}c[229146]=H}H=(c[l>>2]|0)-1|0;A=+h[m+(H<<3)>>3];h[158]=A;F=j+(H<<3)|0;G=+h[F>>3];h[152]=G;B=G*G;h[151]=B;h[157]=B+A*+h[k>>3];h[F>>3]=+h[F>>3]- +h[155];a[1248]=0;do{if((r|0)==1){A=+h[157];if(A<0.0){I=-0.0-A}else{I=A}A=+W(I);h[150]=A;B=+h[149]/A;h[148]=B;G=+h[152]/A;h[149]=G;F=c[d>>2]|0;c[229146]=1;if((F|0)<1){J=A}else{H=0;q=1;A=G;G=B;while(1){u=f+(H<<3)|0;h[u>>3]=A*+h[u>>3]-G*+h[j+(H<<3)>>3];K=q+1|0;if((K|0)>(F|0)){break}H=q;q=K;A=+h[149];G=+h[148]}c[229146]=K;J=+h[150]}q=c[g>>2]|0;if((q|0)==1&J<0.0){c[g>>2]=2;L=2}else{L=q}if((L|0)<2|J<0.0){break}M=48}else{c[229142]=1;if(+h[k>>3]<0.0){N=1}else{c[229142]=r;N=r}q=r+1-N|0;c[229140]=q;H=ga(q,n)|0;q=(c[l>>2]|0)+o|0;G=+h[157];A=+h[f+(q+H<<3)>>3]/G;h[150]=A;h[149]=A*+h[k>>3];B=+h[152];h[148]=A*B;F=ga(N,n)|0;A=+h[f+(q+F<<3)>>3];h[150]=A;x=+h[k>>3];if(x<0.0){O=-0.0-x}else{O=x}x=+h[155]/+W(+h[151]+A*O*A);h[154]=x;if(G<0.0){P=-0.0-G}else{P=G}h[153]=x*+W(P);q=c[d>>2]|0;c[229146]=1;if((q|0)<1){Q=G}else{u=1;G=x;x=B;B=A;while(1){s=f+(u+o+F<<3)|0;h[s>>3]=G*(x*+h[s>>3]-B*+h[j+(u-1<<3)>>3]);s=f+(u+o+H<<3)|0;t=u-1|0;h[s>>3]=+h[153]*(+h[s>>3]- +h[149]*+h[m+(t<<3)>>3]- +h[148]*+h[j+(t<<3)>>3]);R=u+1|0;if((R|0)>(q|0)){break}u=R;G=+h[154];x=+h[152];B=+h[150]}c[229146]=R;Q=+h[157]}if(Q>0.0){break}B=+h[k>>3];if(B<0.0){c[g>>2]=(c[g>>2]|0)+1}if(B<0.0){break}M=48}}while(0);do{if((M|0)==48){a[1248]=1;c[g>>2]=(c[g>>2]|0)-1;R=c[d>>2]|0;c[229146]=1;if((R|0)<1){break}else{S=1}do{N=f+(S-1<<3)|0;h[150]=+h[N>>3];r=f+(S+o+(ga(c[g>>2]|0,n)|0)<<3)|0;h[N>>3]=+h[r>>3];h[r>>3]=+h[150];S=S+1|0;c[229146]=S;}while((S|0)<=(R|0))}}while(0);S=c[b>>2]|0;c[229144]=1;if((S|0)<1){return 0}else{T=1}do{b=(c[d>>2]|0)+T|0;c[229136]=b;n=ga(T,p)|0;Q=+h[e+((c[l>>2]|0)+i+n<<3)>>3];g=b-1|0;o=m+(g<<3)|0;h[o>>3]=Q;f=j+(g<<3)|0;P=+h[152];O=+h[157];J=(+h[158]*+h[f>>3]-P*Q)/O;h[149]=J;Q=(+h[o>>3]*(-0.0- +h[k>>3])-P*+h[f>>3])/O;h[148]=Q;c[229146]=1;a:do{if((b|0)>=1){f=1;O=J;P=Q;while(1){o=e+(f+i+n<<3)|0;g=f-1|0;I=+h[o>>3]+O*+h[j+(g<<3)>>3]+P*+h[m+(g<<3)>>3];h[o>>3]=I;o=c[d>>2]|0;if((f|0)>(o|0)){h[e+((ga(f-o|0,p)|0)+i+b<<3)>>3]=I}o=f+1|0;c[229146]=o;if((o|0)>(b|0)){break a}f=o;O=+h[149];P=+h[148]}}}while(0);T=T+1|0;c[229144]=T;}while((T|0)<=(S|0));return 0}function ws(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0;if((b|0)<(d|0)){l=(b|0)<(e|0);m=b;n=-1;o=-1;p=0.0;while(1){if(l){q=c[f+(m<<2)>>2]|0;r=b;s=n;t=o;u=p;while(1){v=+V(+(+h[a+((ga(c[g+(r<<2)>>2]|0,d)|0)+q<<3)>>3]));w=v>u;x=w?m:s;y=w?r:t;z=w?v:u;w=r+1|0;if((w|0)<(e|0)){r=w;s=x;t=y;u=z}else{A=x;B=y;C=z;break}}}else{A=n;B=o;C=p}t=m+1|0;if((t|0)<(d|0)){m=t;n=A;o=B;p=C}else{D=A;E=B;F=C;break}}}else{D=-1;E=-1;F=0.0}if((E|D|0)<0){G=-1;return G|0}c[i>>2]=D;c[j>>2]=E;h[k>>3]=F;G=0;return G|0}function xs(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0;g=i;i=i+24|0;j=g|0;k=g+8|0;l=g+16|0;m=(b|0)<=(d|0)?b:d;if((m|0)>0){n=0}else{o=0;i=g;return o|0}while(1){p=e+(n<<2)|0;q=f+(n<<2)|0;r=+h[a+((ga(c[q>>2]|0,b)|0)+(c[p>>2]|0)<<3)>>3];if((ws(a,n,b,d,e,f,j,k,l)|0)!=0){o=-1;s=14;break}t=+V(+r);if(+h[l>>3]>t*1.125){u=c[p>>2]|0;v=e+(c[j>>2]<<2)|0;c[p>>2]=c[v>>2];c[v>>2]=u;u=c[q>>2]|0;v=f+(c[k>>2]<<2)|0;c[q>>2]=c[v>>2];c[v>>2]=u}u=c[p>>2]|0;p=ga(c[q>>2]|0,b)|0;t=+h[a+(p+u<<3)>>3];if(!(t!=0.0)){s=7;break}q=n+1|0;if((q|0)<(b|0)){v=(q|0)<(d|0);w=q;do{x=c[e+(w<<2)>>2]|0;y=a+(p+x<<3)|0;r=+h[y>>3];do{if(r!=0.0){z=(-0.0-r)/t;h[y>>3]=0.0;if(v){A=q}else{break}do{B=ga(c[f+(A<<2)>>2]|0,b)|0;C=a+(B+x<<3)|0;h[C>>3]=+h[C>>3]+z*+h[a+(u+B<<3)>>3];A=A+1|0;}while((A|0)<(d|0))}}while(0);w=w+1|0;}while((w|0)<(b|0))}if((q|0)<(m|0)){n=q}else{o=0;s=14;break}}if((s|0)==7){fd(24016,891432,116,904552);return 0}else if((s|0)==14){i=g;return o|0}return 0}function ys(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f=i;g=e|0;c[g>>2]=0;j=b+280|0;k=1;while(1){if((k|0)>=8){break}if((IU(c[j>>2]|0,c[18200+(k<<2)>>2]|0)|0)==0){l=4;break}else{k=k+1|0}}do{if((l|0)==4){c[g>>2]=k;if((k|0)==0){break}m=c[18168+(k<<2)>>2]|0;Dq(23,0,44640,(n=i,i=i+16|0,c[n>>2]=c[18200+(k<<2)>>2],c[n+8>>2]=m,n)|0);i=n;m=b+112|0;o=e+28|0;c[o>>2]=(c[m>>2]|0)+20;p=c[m>>2]|0;q=b+160|0;r=((c[q>>2]|0)*3|0)+50+(ga(p+9|0,p)|0)|0;c[e+32>>2]=r;p=kU(r,8)|0;c[e+40>>2]=p;r=b+536|0;Gq(c[r>>2]|0,(p|0)!=0|0,39096,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;p=kU(c[o>>2]|0,4)|0;c[e+36>>2]=p;Gq(c[r>>2]|0,(p|0)!=0|0,39096,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+56>>2]=c[q>>2];c[e+52>>2]=0;c[e+60>>2]=kU(c[q>>2]|0,4)|0;c[e+24>>2]=iU(8)|0;q=iU(4)|0;p=q;c[e+20>>2]=p;c[p>>2]=c[229120];Gq(c[r>>2]|0,(q|0)!=0|0,39096,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=c[m>>2]<<3;p=e+48|0;c[p>>2]=iU(q)|0;o=e+44|0;c[o>>2]=iU(q)|0;q=kU(15,4)|0;s=e+12|0;c[s>>2]=q;Gq(c[r>>2]|0,(q|0)!=0|0,39096,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=kU(5,4)|0;c[e+4>>2]=q;Gq(c[r>>2]|0,(q|0)!=0|0,39096,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=kU(5,4)|0;c[e+8>>2]=q;Gq(c[r>>2]|0,(q|0)!=0|0,39096,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+16>>2]=0;h[e+64>>3]=1.4901161193847656e-8;q=c[m>>2]<<3;c[e+72>>2]=iU(q)|0;c[e+76>>2]=iU(q)|0;c[e+80>>2]=iU(q)|0;q=c[s>>2]|0;c[q+8>>2]=1;r=c[g>>2]|0;a:do{switch(r|0){case 3:case 5:case 4:case 2:case 1:case 7:{if((Td[c[(c[b+540>>2]|0)+140>>2]&255](b)|0)==0){t=c[s>>2]|0;c[t+16>>2]=1;u=c[g>>2]|0;v=t;l=17;break a}if((c[m>>2]|0)==1){Dq(23,0,34648,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}else{Dq(1,0,30440,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}c[g>>2]=6;l=18;break};default:{u=r;v=q;l=17}}}while(0);if((l|0)==17){if((u|0)==2){w=v}else{l=18}}if((l|0)==18){a[d+28|0]=1;w=c[s>>2]|0}c[w+4>>2]=1;q=c[m>>2]|0;if((q|0)<=0){i=f;return 0}r=b+272|0;t=c[o>>2]|0;x=c[b+8>>2]|0;y=c[p>>2]|0;z=0;do{h[t+(z<<3)>>3]=+h[r>>3];h[y+(z<<3)>>3]=+h[r>>3]*+h[x+(z*112|0)+80>>3];z=z+1|0;}while((z|0)<(q|0));i=f;return 0}}while(0);if((c[229129]|c[229190]|0)==0){A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Hq(B,52336,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}Fq(23,1,23960,(n=i,i=i+8|0,c[n>>2]=c[j>>2],n)|0);i=n;f=1;do{w=c[18168+(f<<2)>>2]|0;Fq(23,0,891416,(n=i,i=i+16|0,c[n>>2]=c[18200+(f<<2)>>2],c[n+8>>2]=w,n)|0);i=n;f=f+1|0;}while((f|0)<8);Qd[c[3540]&511](23);A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Hq(B,52336,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}function zs(a){a=a|0;jU(c[a+40>>2]|0);jU(c[a+36>>2]|0);jU(c[a+20>>2]|0);jU(c[a+12>>2]|0);jU(c[a+4>>2]|0);jU(c[a+8>>2]|0);jU(a);return 0}function As(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0;e=i;i=i+8|0;f=e|0;h[f>>3]=0.0;g=b+4|0;j=c[g>>2]|0;k=c[j>>2]|0;l=c[d+48>>2]|0;m=(c[j+4>>2]|0)+8|0;j=c[m>>2]|0;n=b+112|0;o=c[n>>2]|0;p=j+(o<<3)|0;q=l+24|0;c[c[q>>2]>>2]=b;c[(c[q>>2]|0)+4>>2]=l;s=b+536|0;Gq(c[s>>2]|0,(c[q>>2]|0)!=0|0,26800,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;if((c[d+36>>2]|0)!=0){c[c[l+12>>2]>>2]=0;c[l+16>>2]=0}v=d|0;w=+h[v>>3];x=d+8|0;y=w+ +h[x>>3];h[f>>3]=y;if(!(w-y<-1.0e-13)){Dq(3,0,21336,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;Dq(3,0,902144,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;z=c[n>>2]|0;if((z|0)>0){A=c[m>>2]|0;m=c[k+8>>2]|0;B=0;do{h[m+(B<<3)>>3]=+h[A+(B<<3)>>3]+ +h[j+(B+o<<3)>>3]*+h[x>>3];B=B+1|0;}while((B|0)<(z|0))}h[k>>3]=+h[f>>3];Td[c[(c[b+540>>2]|0)+28>>2]&255](b)|0;h[v>>3]=+h[f>>3];C=0;i=e;return C|0}Dq(3,0,899448,(t=i,i=i+16|0,h[t>>3]=w,h[t+8>>3]=y,t)|0);i=t;z=l+16|0;B=b|0;x=d+24|0;d=l;o=l+12|0;j=l+44|0;A=l+48|0;m=l+40|0;D=l+32|0;E=l+36|0;F=l+28|0;G=l+20|0;H=l+52|0;I=l+56|0;J=l+60|0;K=c[u>>2]|0;L=c[r>>2]|0;M=b+248|0;N=b+440|0;O=b+540|0;P=p;p=k;w=y;a:while(1){Dq(23,0,897696,(t=i,i=i+16|0,h[t>>3]=+h[v>>3],h[t+8>>3]=w,t)|0);i=t;if((c[z>>2]|0)==1){wr(c[B>>2]|0,1,c[g>>2]|0);k=c[g>>2]|0;Q=c[k>>2]|0;R=(c[(c[k+4>>2]|0)+8>>2]|0)+(c[n>>2]<<3)|0;h[Q>>3]=+h[v>>3];S=R;T=Q}else{S=P;T=p}if((c[x>>2]|0)!=5){if((a[N]|0)!=0){hu(b)|0}Td[c[(c[O>>2]|0)+40>>2]&255](b)|0}Q=c[d>>2]|0;b:do{switch(Q|0){case 6:{Rr(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,12,6,I,c[J>>2]|0);break};case 4:{Rr(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,8,6,I,c[J>>2]|0);break};case 3:{Rr(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,6,6,I,c[J>>2]|0);break};case 7:{Rr(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,2,8,H,0);break};case 5:{Rr(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,10,6,I,c[J>>2]|0);break};default:{R=c[T+8>>2]|0;k=c[o>>2]|0;U=c[j>>2]|0;V=c[A>>2]|0;W=c[m>>2]|0;X=c[E>>2]|0;Y=c[q>>2]|0;Z=c[G>>2]|0;if((Q|0)==2){Rr(4,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,8,H,0);break b}else{Rr(4,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,6,I,c[J>>2]|0);break b}}}}while(0);Q=c[z>>2]|0;do{if((Q|0)==-1){Sa(K|0)|0;Sa(L|0)|0;Fq(3,0,895984,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;Dq(3,0,895056,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;c[c[o>>2]>>2]=1}else{if((Q|0)<0){_=27;break a}if((Q|0)!=4){break}c[(c[s>>2]|0)+84>>2]=4}}while(0);Q=c[z>>2]|0;if((Q|0)==(-1|0)){y=+h[v>>3];if(y>+h[M>>3]){$=y;break}}else if((Q|0)!=1){_=31;break}P=S;p=T;w=+h[f>>3]}if((_|0)==27){Sa(K|0)|0;Sa(L|0)|0;L=Js(c[z>>2]|0)|0;Td[c[(c[O>>2]|0)+28>>2]&255](b)|0;Fq(1,0,893968,(t=i,i=i+8|0,h[t>>3]=+h[T>>3],t)|0);i=t;C=L;i=e;return C|0}else if((_|0)==31){$=+h[v>>3]}h[T>>3]=$;if((c[229109]|0)!=0){Dq(3,1,893144,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;Dq(3,0,892152,(t=i,i=i+8|0,c[t>>2]=c[z>>2],t)|0);i=t;Dq(3,0,891496,(t=i,i=i+8|0,h[t>>3]=+h[v>>3],t)|0);i=t;Dq(3,0,890784,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+24>>3],t)|0);i=t;Dq(3,0,889968,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+16>>3],t)|0);i=t;Dq(3,0,888792,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+48>>3],t)|0);i=t;Dq(3,0,887376,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+40>>2],t)|0);i=t;Dq(3,0,707576,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+44>>2],t)|0);i=t;Dq(3,0,55904,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+48>>2],t)|0);i=t;Dq(3,0,54928,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+52>>2],t)|0);i=t;Dq(3,0,53896,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+56>>2],t)|0);i=t;Qd[c[3540]&511](3)}m=c[F>>2]|0;F=l+8|0;l=0;do{v=l+10|0;if(!(v>>>0<m>>>0)){_=38;break}c[(c[F>>2]|0)+(l<<2)>>2]=c[(c[E>>2]|0)+(v<<2)>>2];l=l+1|0;}while(l>>>0<5>>>0);if((_|0)==38){fd(53e3,52432,406,904656);return 0}Dq(3,0,51760,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;C=0;i=e;return C|0}function Bs(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0.0,l=0,m=0,n=0,o=0,p=0;i=c[g>>2]|0;g=i;f=i+536|0;b=g+4|0;j=c[c[b>>2]>>2]|0;k=+h[j>>3];h[j>>3]=+h[a>>3];a=(c[f>>2]|0)+84|0;j=c[a>>2]|0;c[a>>2]=2;Td[c[(c[g+540>>2]|0)+28>>2]&255](g)|0;g=c[i+112>>2]|0;if((g|0)<=0){l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}i=c[(c[c[b>>2]>>2]|0)+8>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[i+(g+a<<3)>>3]- +h[d+(a<<3)>>3];a=a+1|0;}while((a|0)<(g|0));l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}function Cs(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Td[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;Ls(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function Ds(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0;i=c[g>>2]|0;g=i;e=i+536|0;i=(c[e>>2]|0)+84|0;d=c[i>>2]|0;c[i>>2]=4;i=g+4|0;a=c[c[i>>2]>>2]|0;j=+h[a>>3];h[a>>3]=+h[b>>3];a=g+540|0;Td[c[(c[a>>2]|0)+28>>2]&255](g)|0;Td[c[(c[a>>2]|0)+32>>2]&255](g)|0;Vd[c[(c[a>>2]|0)+92>>2]&127](g,f,b)|0;c[(c[e>>2]|0)+84>>2]=d;h[c[c[i>>2]>>2]>>3]=j;return 0}function Es(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;Ms(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(m<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=n+1|0;if((l|0)<(k|0)){m=m+1+k|0;n=l}else{break}}return 0}function Fs(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Td[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;Ks(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function Gs(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;return 0}function Hs(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;Ns(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(n<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=m+1|0;if((l|0)<(k|0)){m=l;n=n+1+k|0}else{break}}return 0}function Is(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return 0}function Js(a){a=a|0;var b=0,d=0,e=0;b=i;switch(a|0){case-3:{d=-3;break};case-8:{Fq(1,0,47232,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-8;break};case-12:{Fq(1,0,44752,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-12;break};case-2:{Fq(1,0,49784,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-2;break};case-7:{Fq(1,0,47976,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-7;break};case-11:{Fq(1,0,45256,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-11;break};case-9:{Fq(1,0,46496,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-9;break};case-6:{Fq(1,0,48856,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-6;break};case-10:{Fq(1,0,45912,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-10;break};case-33:{Fq(1,0,44136,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-33;break};case-1:{Fq(3,0,895984,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=1;break};default:{d=-1}}i=b;return d|0}function Ks(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=a+540|0;e=c[(c[d>>2]|0)+120>>2]|0;f=a+464|0;g=c[f>>2]|0;if((c[g+(e*44|0)+24>>2]|0)==0){return 0}i=a;a=0;j=g;k=c[g+(e*44|0)>>2]|0;do{if((k|0)!=0){g=0;do{if(((c[(c[j+(e*44|0)+20>>2]|0)+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=1.0}g=g+1|0;}while(g>>>0<k>>>0)}Td[c[(c[d>>2]|0)+160>>2]&255](i)|0;j=c[f>>2]|0;k=c[j+(e*44|0)>>2]|0;do{if((k|0)!=0){g=c[j+(e*44|0)+28>>2]|0;l=0;do{do{if(+h[g+(l<<3)>>3]==1.0){if((l|0)==0){m=0;n=j+(e*44|0)+8|0}else{o=j+(e*44|0)+8|0;m=c[(c[o>>2]|0)+(l-1<<2)>>2]|0;n=o}o=c[(c[n>>2]|0)+(l<<2)>>2]|0;if(!(m>>>0<o>>>0)){break}p=c[j+(e*44|0)+12>>2]|0;q=c[j+(e*44|0)+4>>2]|0;r=c[j+(e*44|0)+36>>2]|0;s=m;do{t=c[p+(s<<2)>>2]|0;u=(ga(q,l)|0)+t|0;h[b+(u<<3)>>3]=+h[r+(t<<3)>>3];s=s+1|0;}while(s>>>0<o>>>0)}}while(0);l=l+1|0;}while(l>>>0<k>>>0);if((k|0)==0){break}l=c[j+(e*44|0)+20>>2]|0;g=0;do{if(((c[l+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=0.0}g=g+1|0;}while(g>>>0<k>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[j+(e*44|0)+24>>2]|0)>>>0);return 0}function Ls(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+540|0;e=c[d>>2]|0;f=c[e+120>>2]|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)>>2]|0)==0){return 0}j=a;a=0;k=0;l=c[i+(f*44|0)+28>>2]|0;i=e;while(1){h[l+(a<<3)>>3]=1.0;Td[c[i+160>>2]&255](j)|0;e=c[g>>2]|0;m=c[e+(f*44|0)+4>>2]|0;if((m|0)==0){n=k}else{o=m>>>0>1>>>0?m:1;p=c[e+(f*44|0)+36>>2]|0;q=0;r=k;while(1){h[b+(r<<3)>>3]=+h[p+(q<<3)>>3];s=q+1|0;if(s>>>0<m>>>0){q=s;r=r+1|0}else{break}}n=k+o|0}r=c[e+(f*44|0)+28>>2]|0;h[r+(a<<3)>>3]=0.0;q=a+1|0;if(!(q>>>0<(c[e+(f*44|0)>>2]|0)>>>0)){break}a=q;k=n;l=r;i=c[d>>2]|0}return 0}function Ms(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0;m=c[l+4>>2]|0;n=+h[m+64>>3];i=a+112|0;a=c[i>>2]|0;if((a|0)<=0){return 0}o=m+80|0;m=a;do{m=m-1|0;p=+h[j>>3]*+h[e+(m<<3)>>3];a=d+(m<<3)|0;q=+h[a>>3];if(q<0.0){r=-0.0-q}else{r=q}s=p>=0.0;if(s){t=p}else{t=-0.0-p}p=+Xb(+r,+t);u=+h[k+(m<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}u=n*+Xb(+p,+v);if(s){w=u}else{w=-0.0-u}u=w+q-q;p=1.0/u;h[a>>3]=q+u;Bs(b,0,e,c[o>>2]|0,0,l,0)|0;s=c[i>>2]|0;if((s|0)>0){x=c[o>>2]|0;y=ga(s,m)|0;z=s;do{z=z-1|0;h[g+(y+z<<3)>>3]=p*(+h[x+(z<<3)>>3]- +h[f+(z<<3)>>3]);}while((z|0)>0)}h[a>>3]=q;}while((m|0)>0);return 0}function Ns(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=c[(c[a+540>>2]|0)+120>>2]|0;i=c[l+4>>2]|0;n=+h[i+64>>3];o=c[i+76>>2]|0;p=c[i+72>>2]|0;q=a+464|0;a=c[q>>2]|0;if((c[a+(m*44|0)+24>>2]|0)==0){return 0}r=i+80|0;i=0;s=a;t=c[a+(m*44|0)>>2]|0;do{if((t|0)!=0){a=0;do{if(((c[(c[s+(m*44|0)+20>>2]|0)+(a<<2)>>2]|0)-1|0)==(i|0)){u=+h[j>>3]*+h[e+(a<<3)>>3];v=d+(a<<3)|0;w=+h[v>>3];if(w<0.0){x=-0.0-w}else{x=w}y=u>=0.0;if(y){z=u}else{z=-0.0-u}u=+Xb(+x,+z);w=+h[k+(a<<3)>>3];if(w<0.0){A=-0.0-w}else{A=w}w=n*+Xb(+u,+A);B=o+(a<<3)|0;h[B>>3]=w;if(y){C=w}else{C=-0.0-w}h[B>>3]=C;w=+h[v>>3];h[B>>3]=C+w-w;h[p+(a<<3)>>3]=+h[v>>3];h[v>>3]=+h[B>>3]+ +h[v>>3];h[B>>3]=1.0/+h[B>>3]}a=a+1|0;}while(a>>>0<t>>>0)}Bs(b,0,e,c[r>>2]|0,0,l,0)|0;s=c[q>>2]|0;t=c[s+(m*44|0)>>2]|0;if((t|0)!=0){a=c[s+(m*44|0)+20>>2]|0;B=0;do{if(((c[a+(B<<2)>>2]|0)-1|0)==(i|0)){if((B|0)==0){D=0;E=s+(m*44|0)+8|0}else{v=s+(m*44|0)+8|0;D=c[(c[v>>2]|0)+(B-1<<2)>>2]|0;E=v}v=c[(c[E>>2]|0)+(B<<2)>>2]|0;if(D>>>0<v>>>0){y=c[r>>2]|0;F=o+(B<<3)|0;G=c[s+(m*44|0)+12>>2]|0;H=c[s+(m*44|0)+4>>2]|0;I=D;do{J=c[G+(I<<2)>>2]|0;K=(ga(H,B)|0)+J|0;h[g+(K<<3)>>3]=(+h[y+(J<<3)>>3]- +h[f+(J<<3)>>3])*+h[F>>3];I=I+1|0;}while(I>>>0<v>>>0)}h[d+(B<<3)>>3]=+h[p+(B<<3)>>3]}B=B+1|0;}while(B>>>0<t>>>0)}i=i+1|0;}while(i>>>0<(c[s+(m*44|0)+24>>2]|0)>>>0);return 0}function Os(a,b){a=a|0;b=+b;h[a+496>>3]=b;return}function Ps(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0;Qd[c[(c[a+540>>2]|0)+112>>2]&511](a);e=a+328|0;h[e>>3]=d+1.0;f=c[a+104>>2]|0;if((f|0)<=0){return}g=c[a+108>>2]|0;i=a+336|0;a=0;do{d=+h[g+(a*24|0)+8>>3];if(d>b){h[(c[i>>2]|0)+(a<<3)>>3]=d;j=d}else{k=+h[g+(a*24|0)+16>>3];l=d+k*+fa((b-d)/k);h[(c[i>>2]|0)+(a<<3)>>3]=l;j=l}if((a|0)==0){m=8}else{if(j<+h[e>>3]){m=8}}if((m|0)==8){m=0;h[e>>3]=j}a=a+1|0;}while((a|0)<(f|0));return}function Qs(b,c){b=b|0;c=c|0;var d=0.0,e=0,f=0.0;d=+h[c>>3];e=c+8|0;f=+h[b+328>>3];if(f>d+ +h[e>>3]+1.0e-14){return}h[e>>3]=f-d;a[b+317|0]=1;return}function Rs(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;d=i;i=i+8|0;e=d|0;f=a+160|0;if((c[f>>2]|0)<=0){g=Mq(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}l=a+540|0;m=a+344|0;n=a+348|0;o=a+368|0;a=0;do{ce[c[(c[l>>2]|0)+104>>2]&127](a,e)|0;p=+h[(c[m>>2]|0)+(a<<3)>>3];if(p==1.0){if(+h[(c[n>>2]|0)+(a<<3)>>3]==-1.0){q=7}else{q=5}}else{q=5}do{if((q|0)==5){q=0;if(!(p==-1.0)){break}if(+h[(c[n>>2]|0)+(a<<3)>>3]==1.0){q=7}}}while(0);if((q|0)==7){q=0;Kq(b,(c[o>>2]|0)+(a<<2)|0)}a=a+1|0;}while((a|0)<(c[f>>2]|0));g=Mq(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}function Ss(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;e=f+32|0;do{if((Rs(b,c[e>>2]|0)|0)!=0){if((a[f+28|0]|0)!=0){break}Ts(b,c[e>>2]|0,f|0)}}while(0);if((a[b+317|0]|0)==1){g=1;return g|0}b=(Mq(d)|0)>0;g=b?2:0;return g|0}function Ts(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;e=i;i=i+24|0;f=e|0;g=e+8|0;j=e+16|0;k=a+112|0;l=c[k>>2]<<3;m=iU(l)|0;n=m;o=iU(l)|0;l=o;h[g>>3]=+h[a+376>>3];p=a+4|0;h[j>>3]=+h[c[c[p>>2]>>2]>>3];c[231500]=Iq(4)|0;if((m|0)==0){fd(897664,895952,308,904640)}if((o|0)==0){fd(895040,895952,309,904640)}q=Pq(b)|0;if((q|0)!=0){r=q;do{q=c[(Rq(r)|0)>>2]|0;Dq(27,0,893912,(s=i,i=i+8|0,c[s>>2]=q,s)|0);i=s;r=Qq(r)|0;}while((r|0)!=0)}r=c[k>>2]|0;if((r|0)>0){q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;t=(r|0)>1?r<<3:8;MU(o|0,c[a+384>>2]|0,t)|0;MU(m|0,q|0,t)|0}h[d>>3]=+Ws(a,g,j,l,n,c[231500]|0,b);do{if((Mq(c[231500]|0)|0)==0){n=c[(Nq(b)|0)>>2]|0;l=a+344|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));n=Pq(b)|0;if((n|0)==0){v=u}else{w=u;t=n;while(1){n=c[(Rq(t)|0)>>2]|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));x=w>u?u:w;n=Qq(t)|0;if((n|0)==0){v=x;break}else{w=x;t=n}}}Dq(27,0,893064,(s=i,i=i+8|0,h[s>>3]=v,s)|0);i=s;t=Pq(b)|0;if((t|0)==0){break}else{y=t}do{t=c[(Rq(y)|0)>>2]|0;if(v==+V(+(+h[(c[l>>2]|0)+(t<<3)>>3]))){t=c[231500]|0;Lq(t,Rq(y)|0);t=c[(Rq(y)|0)>>2]|0;Dq(27,0,892128,(s=i,i=i+8|0,c[s>>2]=t,s)|0);i=s}y=Qq(y)|0;}while((y|0)!=0)}}while(0);Jq(b);if((c[229113]|0)!=0){Mq(c[231500]|0)|0}if((Mq(c[231500]|0)|0)>0){y=f;do{l=c[(Nq(c[231500]|0)|0)>>2]|0;c[f>>2]=l;Oq(c[231500]|0);Dq(7,0,889960,(s=i,i=i+8|0,c[s>>2]=l,s)|0);i=s;Kq(b,y);}while((Mq(c[231500]|0)|0)>0)}h[d>>3]=+h[j>>3];j=c[c[p>>2]>>2]|0;h[j>>3]=+h[g>>3];g=c[k>>2]|0;if((g|0)>0){MU(c[j+8>>2]|0,o|0,(g|0)>1?g<<3:8)|0}Be(a);Zs(a);a=c[c[p>>2]>>2]|0;h[a>>3]=+h[d>>3];d=c[k>>2]|0;if((d|0)<=0){jU(o);jU(m);i=e;return}MU(c[a+8>>2]|0,m|0,(d|0)>1?d<<3:8)|0;jU(o);jU(m);i=e;return}function Us(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0.0,C=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=b+4|0;m=+h[c[c[l>>2]>>2]>>3];n=b+317|0;do{if((a[n]|0)!=0){bt(b);o=b+104|0;p=c[o>>2]|0;if((p|0)<=0){break}q=b+336|0;r=m+1.0e-14;s=b+340|0;t=b+108|0;u=0;v=p;while(1){if(+h[(c[q>>2]|0)+(u<<3)>>3]>r){w=v}else{a[(c[s>>2]|0)+u|0]=1;p=c[t>>2]|0;x=+h[p+(u*24|0)+8>>3];y=+h[p+(u*24|0)+16>>3];Dq(7,0,24272,(z=i,i=i+24|0,c[z>>2]=c[p+(u*24|0)>>2],h[z+8>>3]=x,h[z+16>>3]=y,z)|0);i=z;w=c[o>>2]|0}p=u+1|0;if((p|0)<(w|0)){u=p;v=w}else{break}}}}while(0);w=b+512|0;v=b+524|0;u=b+516|0;o=b+528|0;c[o>>2]=(c[o>>2]|0)-(c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]|0);if((Mq(d)|0)>0){h[c[c[l>>2]>>2]>>3]=+h[e>>3];do{if((c[229113]|0)!=0){e=Pq(d)|0;if((e|0)==0){break}l=b+540|0;t=e;do{e=c[(Rq(t)|0)>>2]|0;s=ce[c[(c[l>>2]|0)+104>>2]&127](e,j)|0;Cq(7,0,c[j>>2]|0,21280,(z=i,i=i+16|0,c[z>>2]=e,c[z+8>>2]=s,z)|0);i=z;t=Qq(t)|0;}while((t|0)!=0)}}while(0);j=f+40|0;c[j>>2]=(c[j>>2]|0)+1;c[o>>2]=(c[o>>2]|0)+1;c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=1;j=c[v>>2]|0;t=c[b+520>>2]|0;h[t+(j<<3)>>3]=m;l=b+532|0;do{if((c[l>>2]|0)==0){s=c[o>>2]|0;if((s|0)!=(c[w>>2]|0)){break}r=+h[t+(((j+1|0)%(s|0)|0)<<3)>>3];e=b+264|0;if(!(m-r<+h[e>>3])){break}q=c[(Rq(Pq(d)|0)|0)>>2]|0;p=ce[c[(c[b+540>>2]|0)+104>>2]&127](q,k)|0;y=+h[e>>3];Cq(1,0,c[k>>2]|0,901840,(z=i,i=i+40|0,h[z>>3]=r,h[z+8>>3]=m,c[z+16>>2]=s,h[z+24>>3]=y,c[z+32>>2]=p,z)|0);i=z;c[l>>2]=1}}while(0);Jq(d)}else{c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=0}c[v>>2]=((c[v>>2]|0)+1|0)%(c[w>>2]|0)|0;Ys(b);Vs(b);if((a[n]|0)==0){i=g;return}w=b+104|0;v=c[w>>2]|0;do{if((v|0)>0){u=b+340|0;d=b+108|0;l=b+336|0;z=0;k=v;while(1){j=(c[u>>2]|0)+z|0;if((a[j]|0)==0){A=k}else{a[j]=0;j=(c[l>>2]|0)+(z<<3)|0;h[j>>3]=+h[(c[d>>2]|0)+(z*24|0)+16>>3]+ +h[j>>3];A=c[w>>2]|0}j=z+1|0;if((j|0)<(A|0)){z=j;k=A}else{break}}if((A|0)<=0){break}k=b+336|0;z=b+328|0;d=0;do{l=c[k>>2]|0;if((d|0)==0){B=+h[l>>3];C=29}else{m=+h[l+(d<<3)>>3];if(m<+h[z>>3]){B=m;C=29}}if((C|0)==29){C=0;h[z>>3]=B}d=d+1|0;}while((d|0)<(A|0))}}while(0);a[n]=0;n=f+44|0;c[n>>2]=(c[n>>2]|0)+1;i=g;return}function Vs(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;Dq(27,0,52960,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;d=a+344|0;Vd[c[(c[a+540>>2]|0)+92>>2]&127](a,c[d>>2]|0,c[c[a+4>>2]>>2]|0)|0;e=c[a+160>>2]|0;if((e|0)<=0){i=b;return}f=c[d>>2]|0;d=c[a+348>>2]|0;a=0;do{h[d+(a<<3)>>3]=+h[f+(a<<3)>>3];a=a+1|0;}while((a|0)<(e|0));i=b;return}function Ws(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;k=i;l=a+160|0;m=c[l>>2]|0;n=iU(m<<3)|0;o=n;if((n|0)==0){fd(887360,895952,409,904672);return 0.0}if((m|0)>0){MU(n|0,c[a+344>>2]|0,(m|0)>1?m<<3:8)|0}p=+h[d>>3];Dq(27,0,707512,(m=i,i=i+16|0,h[m>>3]=+h[b>>3],h[m+8>>3]=p,m)|0);i=m;Dq(27,0,55880,(m=i,i=i+8|0,h[m>>3]=1.0e-9,m)|0);i=m;p=+h[d>>3];q=+h[b>>3];if(!(+V(+(p-q))>1.0e-9)){jU(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}m=a+4|0;v=a+112|0;w=a+540|0;x=a+344|0;y=a+348|0;z=p;p=q;A=c[v>>2]|0;while(1){q=(z+p)*.5;B=c[c[m>>2]>>2]|0;h[B>>3]=q;if((A|0)>0){C=c[B+8>>2]|0;B=0;do{h[C+(B<<3)>>3]=(+h[e+(B<<3)>>3]+ +h[f+(B<<3)>>3])*.5;B=B+1|0;}while((B|0)<(A|0))}Td[c[(c[w>>2]|0)+28>>2]&255](a)|0;Td[c[(c[w>>2]|0)+32>>2]&255](a)|0;Vd[c[(c[w>>2]|0)+92>>2]&127](a,c[x>>2]|0,c[c[m>>2]>>2]|0)|0;B=(Xs(a,g,j)|0)==0;C=c[v>>2]|0;D=(C|0)>0;do{if(B){if(D){E=c[(c[c[m>>2]>>2]|0)+8>>2]|0;F=0;do{h[e+(F<<3)>>3]=+h[E+(F<<3)>>3];F=F+1|0;}while((F|0)<(C|0))}h[b>>3]=q;F=c[l>>2]|0;if((F|0)>0){E=c[x>>2]|0;G=c[y>>2]|0;H=0;do{I=E+(H<<3)|0;h[G+(H<<3)>>3]=+h[I>>3];h[I>>3]=+h[o+(H<<3)>>3];H=H+1|0;}while((H|0)<(F|0))}J=+h[d>>3]}else{if(D){F=c[(c[c[m>>2]>>2]|0)+8>>2]|0;H=0;do{h[f+(H<<3)>>3]=+h[F+(H<<3)>>3];H=H+1|0;}while((H|0)<(C|0))}h[d>>3]=q;H=c[l>>2]|0;if((H|0)<=0){J=q;break}MU(n|0,c[x>>2]|0,(H|0)>1?H<<3:8)|0;J=q}}while(0);q=+h[b>>3];if(+V(+(J-q))>1.0e-9){z=J;p=q;A=C}else{break}}jU(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}function Xs(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;Jq(b);Dq(27,0,54888,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=Pq(d)|0;if((g|0)==0){j=Mq(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}d=a+344|0;m=a+348|0;a=g;do{g=c[(Rq(a)|0)>>2]|0;if(+h[(c[d>>2]|0)+(g<<3)>>3]==-1.0){g=c[(Rq(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==1.0){n=7}else{n=5}}else{n=5}do{if((n|0)==5){n=0;g=c[(Rq(a)|0)>>2]|0;if(!(+h[(c[d>>2]|0)+(g<<3)>>3]==1.0)){break}g=c[(Rq(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==-1.0){n=7}}}while(0);if((n|0)==7){n=0;g=c[(Rq(a)|0)>>2]|0;o=c[(Rq(a)|0)>>2]|0;p=+h[(c[m>>2]|0)+(o<<3)>>3]>0.0?34496:30224;o=c[(Rq(a)|0)>>2]|0;q=+h[(c[d>>2]|0)+(o<<3)>>3]>0.0?34496:30224;Dq(27,0,53808,(f=i,i=i+24|0,c[f>>2]=g,c[f+8>>2]=p,c[f+16>>2]=q,f)|0);i=f;Kq(b,Rq(a)|0)}a=Qq(a)|0;}while((a|0)!=0);j=Mq(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}function Ys(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=b+315|0;a[e]=0;f=b+540|0;ce[c[(c[f>>2]|0)+96>>2]&127](b,1)|0;Zs(b);_s(b);Td[c[(c[f>>2]|0)+36>>2]&255](b)|0;$s(b,8);g=at(b)|0;h=Td[c[(c[f>>2]|0)+100>>2]&255](b)|0;j=b+312|0;if((a[j]|0)==0){k=1;l=h;m=g}else{_s(b);i=d;return}while(1){if((l|0)==0){if((a[e]|m)<<24>>24==0){n=7;break}}bt(b);Zs(b);$s(b,8);Td[c[(c[f>>2]|0)+36>>2]&255](b)|0;if((k|0)>200){n=5;break}g=at(b)|0;h=Td[c[(c[f>>2]|0)+100>>2]&255](b)|0;if((a[j]|0)==0){k=k+1|0;l=h;m=g}else{n=7;break}}if((n|0)==5){Hq(c[b+536>>2]|0,43464,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}else if((n|0)==7){_s(b);i=d;return}}function Zs(a){a=a|0;MU(c[a+356>>2]|0,c[a+352>>2]|0,c[a+164>>2]|0)|0;return}function _s(b){b=b|0;var d=0,e=0,f=0;d=b+164|0;if((c[d>>2]|0)<=0){return}e=b+352|0;f=b+360|0;b=0;do{a[(c[f>>2]|0)+b|0]=(a[(c[e>>2]|0)+b|0]|0)!=0|0;b=b+1|0;}while((b|0)<(c[d>>2]|0));return}function $s(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;if((c[916424+(d<<2)>>2]|0)==0){i=e;return}Dq(d,1,53760,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+164|0;if((c[g>>2]|0)>0){h=b+540|0;j=b+352|0;k=b+356|0;b=0;do{l=Td[c[(c[h>>2]|0)+108>>2]&255](b)|0;m=(a[(c[j>>2]|0)+b|0]|0)!=0?84:70;n=Td[c[(c[h>>2]|0)+108>>2]&255](b)|0;o=(a[(c[k>>2]|0)+b|0]|0)!=0?84:70;Dq(d,0,52928,(f=i,i=i+40|0,c[f>>2]=b,c[f+8>>2]=l,c[f+16>>2]=m,c[f+24>>2]=n,c[f+32>>2]=o,f)|0);i=f;b=b+1|0;}while((b|0)<(c[g>>2]|0))}Qd[c[3540]&511](d);i=e;return}function at(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+356|0;e=c[b+164>>2]|0;f=b+352|0;b=0;while(1){if((b|0)>=(e|0)){g=0;h=4;break}if((a[(c[d>>2]|0)+b|0]|0)==(a[(c[f>>2]|0)+b|0]|0)){b=b+1|0}else{g=1;h=4;break}}if((h|0)==4){return g|0}return 0}function bt(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;MU(c[a+400>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;MU(c[a+404>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;MU(c[a+408>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;MU(c[a+412>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function ct(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[a+160>>2]|0;d=c[a+344>>2]|0;if((b|0)>0){e=c[a+348>>2]|0;f=0;do{h[e+(f<<3)>>3]=+h[d+(f<<3)>>3];f=f+1|0;}while((f|0)<(b|0))}Vd[c[(c[a+540>>2]|0)+92>>2]&127](a,d,c[c[a+4>>2]>>2]|0)|0;return}function dt(a){a=a|0;et(a);ft(a);bt(a);gt(a);return}function et(b){b=b|0;var d=0,e=0,f=0,g=0;d=c[b+136>>2]|0;if((d|0)>0){e=c[b+24>>2]|0;f=c[b+416>>2]|0;g=0;do{h[f+(g<<3)>>3]=+h[e+(g*112|0)+96>>3];g=g+1|0;}while((g|0)<(d|0))}d=b+140|0;if((c[d>>2]|0)>0){g=c[b+28>>2]|0;e=c[b+420>>2]|0;f=0;do{c[e+(f<<2)>>2]=c[g+(f*60|0)+52>>2];f=f+1|0;}while((f|0)<(c[d>>2]|0))}d=b+144|0;if((c[d>>2]|0)>0){f=b+32|0;g=b+424|0;e=0;do{a[(c[g>>2]|0)+e|0]=a[(c[f>>2]|0)+(e*48|0)+42|0]|0;e=e+1|0;}while((e|0)<(c[d>>2]|0))}d=c[b+148>>2]|0;if((d|0)<=0){return}e=b+36|0;f=b+428|0;b=0;do{c[(c[f>>2]|0)+(b<<2)>>2]=c[(c[e>>2]|0)+(b*52|0)+44>>2];b=b+1|0;}while((b|0)<(d|0));return}function ft(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[b+8>>2]|0;g=c[d+8>>2]|0;i=0;do{h[g+(i<<3)>>3]=+h[f+(i*112|0)+96>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[b+12>>2]|0;f=c[d+12>>2]|0;g=0;do{c[f+(g<<2)>>2]=c[i+(g*60|0)+52>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=b+16|0;i=d+16|0;f=0;do{a[(c[i>>2]|0)+f|0]=a[(c[g>>2]|0)+(f*48|0)+42|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=b+20|0;b=d+20|0;d=0;do{c[(c[b>>2]|0)+(d<<2)>>2]=c[(c[f>>2]|0)+(d*52|0)+44>>2];d=d+1|0;}while((d|0)<(e|0));return}function gt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((vr(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=a-1|0;k=c[d>>2]|0;l=c[k+(j<<2)>>2]|0;m=c[k+(a<<2)>>2]|0;h[m>>3]=+h[l>>3];MU(c[m+8>>2]|0,c[l+8>>2]|0,c[e>>2]<<3)|0;l=c[d>>2]|0;MU(c[(c[l+(a<<2)>>2]|0)+12>>2]|0,c[(c[l+(j<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;l=c[d>>2]|0;MU(c[(c[l+(a<<2)>>2]|0)+16>>2]|0,c[(c[l+(j<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;l=c[d>>2]|0;MU(c[(c[l+(a<<2)>>2]|0)+20>>2]|0,c[(c[l+(j<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(vr(c[b>>2]|0)|0));return}function ht(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0.0,s=0;e=i;if((c[916424+(d<<2)>>2]|0)==0){i=e;return}Dq(d,1,892104,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+136|0;if((c[g>>2]|0)>0){Dq(d,1,891400,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+24|0;k=b+416|0;l=0;while(1){m=l+1|0;n=c[j>>2]|0;o=c[n+(l*112|0)+4>>2]|0;p=+h[n+(l*112|0)+96>>3];q=(a[n+(l*112|0)+72|0]|0)!=0?894824:893848;r=+h[(c[k>>2]|0)+(l<<3)>>3];Dq(d,0,890616,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,h[f+16>>3]=p,c[f+24>>2]=q,h[f+32>>3]=r,f)|0);i=f;if((m|0)<(c[g>>2]|0)){l=m}else{break}}}Qd[c[3540]&511](d)}l=b+140|0;if((c[l>>2]|0)>0){Dq(d,1,889808,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[l>>2]|0)>0){g=b+28|0;k=b+420|0;j=0;while(1){m=j+1|0;q=c[g>>2]|0;o=c[q+(j*60|0)+4>>2]|0;n=c[q+(j*60|0)+52>>2]|0;s=(a[q+(j*60|0)+48|0]|0)!=0?894824:893848;q=c[(c[k>>2]|0)+(j<<2)>>2]|0;Dq(d,0,888680,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,c[f+16>>2]=n,c[f+24>>2]=s,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[l>>2]|0)){j=m}else{break}}}Qd[c[3540]&511](d)}j=b+144|0;if((c[j>>2]|0)>0){Dq(d,1,708288,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){l=b+32|0;k=b+424|0;g=0;while(1){m=g+1|0;q=c[l>>2]|0;s=c[q+(g*48|0)+4>>2]|0;n=(a[q+(g*48|0)+42|0]|0)!=0?894824:893848;o=(a[q+(g*48|0)+40|0]|0)!=0?894824:893848;q=(a[(c[k>>2]|0)+g|0]|0)!=0?894824:893848;Dq(d,0,56600,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=s,c[f+16>>2]=n,c[f+24>>2]=o,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[j>>2]|0)){g=m}else{break}}}Qd[c[3540]&511](d)}g=b+148|0;if((c[g>>2]|0)>0){Dq(d,1,55800,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+36|0;k=b+428|0;b=0;while(1){l=b+1|0;m=c[j>>2]|0;q=c[m+(b*52|0)+4>>2]|0;o=c[m+(b*52|0)+44>>2]|0;m=c[(c[k>>2]|0)+(b<<2)>>2]|0;Dq(d,0,54672,(f=i,i=i+32|0,c[f>>2]=l,c[f+8>>2]=q,c[f+16>>2]=o,c[f+24>>2]=m,f)|0);i=f;if((l|0)<(c[g>>2]|0)){b=l}else{break}}}Qd[c[3540]&511](d)}Qd[c[3540]&511](d);i=e;return}function it(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((vr(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=c[d>>2]|0;k=c[j+(a<<2)>>2]|0;l=a-1|0;m=c[j+(l<<2)>>2]|0;h[m>>3]=+h[k>>3];MU(c[m+8>>2]|0,c[k+8>>2]|0,c[e>>2]<<3)|0;k=c[d>>2]|0;MU(c[(c[k+(l<<2)>>2]|0)+12>>2]|0,c[(c[k+(a<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;k=c[d>>2]|0;MU(c[(c[k+(l<<2)>>2]|0)+16>>2]|0,c[(c[k+(a<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;k=c[d>>2]|0;MU(c[(c[k+(l<<2)>>2]|0)+20>>2]|0,c[(c[k+(a<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(vr(c[b>>2]|0)|0));return}function jt(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[d+8>>2]|0;g=c[b+8>>2]|0;i=0;do{h[g+(i*112|0)+96>>3]=+h[f+(i<<3)>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[d+12>>2]|0;f=c[b+12>>2]|0;g=0;do{c[f+(g*60|0)+52>>2]=c[i+(g<<2)>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=d+16|0;i=b+16|0;f=0;do{a[(c[i>>2]|0)+(f*48|0)+42|0]=a[(c[g>>2]|0)+f|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=d+20|0;d=b+20|0;b=0;do{c[(c[d>>2]|0)+(b*52|0)+44>>2]=c[(c[f>>2]|0)+(b<<2)>>2];b=b+1|0;}while((b|0)<(e|0));return}function kt(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;h[a+376>>3]=+h[b>>3];MU(c[a+384>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;MU(c[a+388>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;MU(c[a+392>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;MU(c[a+396>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function lt(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+32|0;e=d|0;f=b|0;c[f>>2]=0;g=qr(3,32)|0;c[f>>2]=g;if((g|0)==0){Hq(c[b+536>>2]|0,43360,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}g=e|0;k=b+116|0;l=e+8|0;m=b+536|0;n=b+124|0;o=e+12|0;p=b+128|0;q=e+16|0;r=b+132|0;s=e+20|0;t=e;e=0;do{h[g>>3]=0.0;u=kU(c[k>>2]|0,8)|0;c[l>>2]=u;Gq(c[m>>2]|0,(u|0)!=0|0,42072,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=kU(c[n>>2]|0,4)|0;c[o>>2]=u;Gq(c[m>>2]|0,(u|0)!=0|0,42072,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=kU(c[p>>2]|0,1)|0;c[q>>2]=u;Gq(c[m>>2]|0,(u|0)!=0|0,42072,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=kU(c[r>>2]|0,4)|0;c[s>>2]=u;Gq(c[m>>2]|0,(u|0)!=0|0,42072,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;ur(c[f>>2]|0,t);e=e+1|0;}while(e>>>0<3>>>0);e=kU(3,4)|0;c[b+4>>2]=e;wr(c[f>>2]|0,0,e);e=c[k>>2]|0;c[b+8>>2]=kU(e,112)|0;k=c[n>>2]|0;c[b+12>>2]=kU(k,60)|0;n=c[p>>2]|0;c[b+16>>2]=kU(n,48)|0;p=c[r>>2]|0;c[b+20>>2]=kU(p,52)|0;r=c[b+136>>2]|0;c[b+24>>2]=kU(r,112)|0;f=c[b+140>>2]|0;c[b+28>>2]=kU(f,60)|0;t=c[b+144>>2]|0;c[b+32>>2]=kU(t,48)|0;s=c[b+148>>2]|0;c[b+36>>2]=kU(s,52)|0;c[b+40>>2]=kU(c[b+216>>2]|0,52)|0;c[b+44>>2]=kU(c[b+220>>2]|0,52)|0;c[b+48>>2]=kU(c[b+224>>2]|0,52)|0;c[b+52>>2]=kU(c[b+228>>2]|0,52)|0;q=c[b+104>>2]|0;c[b+108>>2]=kU(q,24)|0;h[b+328>>3]=+h[b+240>>3];c[b+336>>2]=kU(q,8)|0;c[b+340>>2]=kU(q,1)|0;c[b+300>>2]=1;c[b+292>>2]=1;c[b+296>>2]=1;q=c[b+160>>2]|0;c[b+344>>2]=kU(q,8)|0;c[b+348>>2]=kU(q,8)|0;o=c[b+164>>2]|0;c[b+352>>2]=kU(o,1)|0;c[b+356>>2]=kU(o,1)|0;c[b+360>>2]=kU(o,1)|0;o=iU(q<<2)|0;c[b+368>>2]=o;c[b+364>>2]=iU(c[b+168>>2]<<3)|0;if((q|0)!=0){l=0;do{c[o+(l<<2)>>2]=l;l=l+1|0;}while(l>>>0<q>>>0)}c[b+384>>2]=kU(e,8)|0;c[b+388>>2]=kU(k,4)|0;c[b+392>>2]=kU(n,1)|0;c[b+396>>2]=kU(p,4)|0;c[b+400>>2]=kU(e,8)|0;c[b+404>>2]=kU(k,4)|0;c[b+408>>2]=kU(n,1)|0;c[b+412>>2]=kU(p,4)|0;c[b+416>>2]=kU(r,8)|0;c[b+420>>2]=kU(f,4)|0;c[b+424>>2]=kU(t,1)|0;c[b+428>>2]=kU(s,4)|0;c[b+432>>2]=kU(c[b+152>>2]|0,8)|0;c[b+436>>2]=kU(c[b+156>>2]|0,8)|0;s=iU((c[b+192>>2]|0)*40|0)|0;c[b+484>>2]=s;t=b+540|0;Qd[c[(c[t>>2]|0)+20>>2]&511](s);s=iU((c[b+196>>2]|0)*80|0)|0;c[b+476>>2]=s;Qd[c[(c[t>>2]|0)+16>>2]&511](s);s=iU((c[b+200>>2]|0)*80|0)|0;c[b+468>>2]=s;Qd[c[(c[t>>2]|0)+12>>2]&511](s);s=iU((c[b+204>>2]|0)*48|0)|0;c[b+488>>2]=s;Rd[c[(c[t>>2]|0)+24>>2]&127](s,b);c[b+464>>2]=iU((c[b+232>>2]|0)*44|0)|0;c[b+76>>2]=0;c[b+80>>2]=0;s=kU(c[b+188>>2]|0,4)|0;c[b+320>>2]=s;Gq(c[m>>2]|0,(s|0)!=0|0,41632,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;c[b+512>>2]=100;c[b+516>>2]=kU(100,4)|0;c[b+520>>2]=kU(100,8)|0;c[b+524>>2]=0;c[b+528>>2]=0;c[b+532>>2]=0;h[b+304>>3]=1.0;a[b+313|0]=0;a[b+312|0]=0;a[b+314|0]=0;s=b+172|0;t=b+316|0;C=0;a[t]=C;C=C>>8;a[t+1|0]=C;C=C>>8;a[t+2|0]=C;C=C>>8;a[t+3|0]=C;t=iU(c[s>>2]<<2)|0;f=b+504|0;c[f>>2]=t;Gq(c[m>>2]|0,(t|0)!=0|0,42072,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[s>>2]|0)==0){i=d;return}else{v=0}do{j=qr(1024,16)|0;c[(c[f>>2]|0)+(v<<2)>>2]=j;v=v+1|0;}while(v>>>0<(c[s>>2]|0)>>>0);i=d;return}function mt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=a+4|0;d=0;e=c[b>>2]|0;do{f=c[e+(d<<2)>>2]|0;jU(c[f+8>>2]|0);jU(c[f+12>>2]|0);jU(c[f+16>>2]|0);jU(c[f+20>>2]|0);d=d+1|0;e=c[b>>2]|0}while(d>>>0<3>>>0);jU(e);rr(c[a>>2]|0);e=a+116|0;d=a+8|0;b=c[d>>2]|0;if((c[e>>2]|0)==0){g=b}else{f=0;h=b;while(1){Nr(h+(f*112|0)|0);b=f+1|0;i=c[d>>2]|0;if(b>>>0<(c[e>>2]|0)>>>0){f=b;h=i}else{g=i;break}}}jU(g);g=a+124|0;h=a+12|0;f=c[h>>2]|0;if((c[g>>2]|0)==0){j=f}else{e=0;d=f;while(1){Nr(d+(e*60|0)|0);f=e+1|0;i=c[h>>2]|0;if(f>>>0<(c[g>>2]|0)>>>0){e=f;d=i}else{j=i;break}}}jU(j);j=a+128|0;d=a+16|0;e=c[d>>2]|0;if((c[j>>2]|0)==0){k=e}else{g=0;h=e;while(1){Nr(h+(g*48|0)|0);e=g+1|0;i=c[d>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){g=e;h=i}else{k=i;break}}}jU(k);k=a+132|0;h=a+20|0;g=c[h>>2]|0;if((c[k>>2]|0)==0){l=g}else{j=0;d=g;while(1){Nr(d+(j*52|0)|0);g=j+1|0;i=c[h>>2]|0;if(g>>>0<(c[k>>2]|0)>>>0){j=g;d=i}else{l=i;break}}}jU(l);l=a+136|0;d=a+24|0;j=c[d>>2]|0;if((c[l>>2]|0)==0){m=j}else{k=0;h=j;while(1){Nr(h+(k*112|0)|0);j=k+1|0;i=c[d>>2]|0;if(j>>>0<(c[l>>2]|0)>>>0){k=j;h=i}else{m=i;break}}}jU(m);m=a+140|0;h=a+28|0;k=c[h>>2]|0;if((c[m>>2]|0)==0){n=k}else{l=0;d=k;while(1){Nr(d+(l*60|0)|0);k=l+1|0;i=c[h>>2]|0;if(k>>>0<(c[m>>2]|0)>>>0){l=k;d=i}else{n=i;break}}}jU(n);n=a+144|0;d=a+32|0;l=c[d>>2]|0;if((c[n>>2]|0)==0){o=l}else{m=0;h=l;while(1){Nr(h+(m*48|0)|0);l=m+1|0;i=c[d>>2]|0;if(l>>>0<(c[n>>2]|0)>>>0){m=l;h=i}else{o=i;break}}}jU(o);o=a+148|0;h=a+36|0;m=c[h>>2]|0;if((c[o>>2]|0)==0){p=m}else{n=0;d=m;while(1){Nr(d+(n*52|0)|0);m=n+1|0;i=c[h>>2]|0;if(m>>>0<(c[o>>2]|0)>>>0){n=m;d=i}else{p=i;break}}}jU(p);p=a+216|0;d=a+40|0;n=c[d>>2]|0;if((c[p>>2]|0)==0){q=n}else{o=0;h=n;while(1){Nr(h+(o*52|0)+12|0);n=o+1|0;i=c[d>>2]|0;if(n>>>0<(c[p>>2]|0)>>>0){o=n;h=i}else{q=i;break}}}jU(q);q=a+220|0;h=a+44|0;o=c[h>>2]|0;if((c[q>>2]|0)==0){r=o}else{p=0;d=o;while(1){Nr(d+(p*52|0)+12|0);o=p+1|0;i=c[h>>2]|0;if(o>>>0<(c[q>>2]|0)>>>0){p=o;d=i}else{r=i;break}}}jU(r);r=a+224|0;d=a+48|0;p=c[d>>2]|0;if((c[r>>2]|0)==0){s=p}else{q=0;h=p;while(1){Nr(h+(q*52|0)+12|0);p=q+1|0;i=c[d>>2]|0;if(p>>>0<(c[r>>2]|0)>>>0){q=p;h=i}else{s=i;break}}}jU(s);s=a+228|0;h=a+52|0;q=c[h>>2]|0;if((c[s>>2]|0)==0){t=q}else{r=0;d=q;while(1){Nr(d+(r*52|0)+12|0);q=r+1|0;i=c[h>>2]|0;if(q>>>0<(c[s>>2]|0)>>>0){r=q;d=i}else{t=i;break}}}jU(t);jU(c[a+108>>2]|0);jU(c[a+336>>2]|0);jU(c[a+340>>2]|0);jU(c[a+344>>2]|0);jU(c[a+348>>2]|0);jU(c[a+352>>2]|0);jU(c[a+356>>2]|0);jU(c[a+360>>2]|0);jU(c[a+368>>2]|0);jU(c[a+384>>2]|0);jU(c[a+388>>2]|0);jU(c[a+392>>2]|0);jU(c[a+396>>2]|0);jU(c[a+400>>2]|0);jU(c[a+404>>2]|0);jU(c[a+408>>2]|0);jU(c[a+412>>2]|0);jU(c[a+416>>2]|0);jU(c[a+420>>2]|0);jU(c[a+424>>2]|0);jU(c[a+428>>2]|0);jU(c[a+488>>2]|0);jU(c[a+484>>2]|0);jU(c[a+476>>2]|0);jU(c[a+468>>2]|0);jU(c[a+464>>2]|0);jU(c[a+432>>2]|0);jU(c[a+436>>2]|0);jU(c[a+320>>2]|0);jU(c[a+516>>2]|0);jU(c[a+520>>2]|0);EH(a+56|0);t=a+172|0;d=a+504|0;a=c[d>>2]|0;if((c[t>>2]|0)==0){u=a;v=u;jU(v);return}else{w=0;x=a}while(1){rr(c[x+(w<<2)>>2]|0);a=w+1|0;r=c[d>>2]|0;if(a>>>0<(c[t>>2]|0)>>>0){w=a;x=r}else{u=r;break}}v=u;jU(v);return}function nt(a){a=+a;var b=0,c=0.0,d=0;b=i;c=a*1.0e-4;h[205]=c;Dq(8,0,41072,(d=i,i=i+8|0,h[d>>3]=c,d)|0);i=d;i=b;return}function ot(a,b,c){a=+a;b=+b;c=c|0;var d=0,e=0.0,f=0.0,g=0.0;d=c<<24>>24!=0;e=+h[205];f=e+e*+V(+(d?b:a));if(d){g=f}else{g=-0.0-f}return a-b<=g|0}function pt(a,b,c){a=+a;b=+b;c=c|0;var d=0,e=0.0,f=0.0,g=0.0;d=c<<24>>24!=0;e=+h[205];f=e+e*+V(+(d?a:b));if(d){g=-0.0-f}else{g=f}return a-b>=g|0}function qt(a,b,c){a=+a;b=+b;c=c|0;return(ot(a,b,c<<24>>24==0|0)|0)<<24>>24==0|0}function rt(a,b){a=+a;b=+b;return a>b|0}function st(a,b){a=+a;b=+b;return a>=b|0}function tt(b,d,e){b=+b;d=d|0;e=e|0;var f=0,g=0.0,i=0,j=0;do{if((a[e+314|0]|0)==0){f=3}else{if((a[e+318|0]|0)!=0){f=3;break}g=+(~~+U(b)|0);i=e+364|0;h[(c[i>>2]|0)+(d<<3)>>3]=g;j=i}}while(0);if((f|0)==3){j=e+364|0}return~~+h[(c[j>>2]|0)+(d<<3)>>3]|0}function ut(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){h=c[d+(g*40|0)>>2]|0;j=h<<2;c[d+(g*40|0)+20>>2]=iU(j)|0;c[d+(g*40|0)+24>>2]=iU(j)|0;if((c[f>>2]|0)!=1){k=5;break}xt(h,d+(g*40|0)+28|0)|0;h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{k=6;break}}if((k|0)==5){Hq(c[a+536>>2]|0,903272,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((k|0)==6){i=b;return 0}return 0}function vt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){jU(c[d+(g*40|0)+20>>2]|0);jU(c[d+(g*40|0)+24>>2]|0);if((c[f>>2]|0)!=1){h=5;break}j=d+(g*40|0)+28|0;yt(j)|0;jU(c[j>>2]|0);j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{h=6;break}}if((h|0)==5){Hq(c[a+536>>2]|0,903272,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((h|0)==6){i=b;return 0}return 0}function wt(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+484>>2]|0;l=b+192|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+4|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t*40|0)+36|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[229123]|c[229190]|0)==0){w=1;x=v;break}CH(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];Fq(17,1,901656,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;CH(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;CH(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;Fq(17,0,889848,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;CH(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Qd[c[3540]&511](17);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function xt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=iU(20)|0;c[b>>2]=e;Gq(0,(e|0)!=0|0,903200,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=iU(a)|0;c[e+4>>2]=iU(a)|0;c[e+8>>2]=iU(a)|0;c[e+16>>2]=iU(a)|0;Gq(0,(c[b>>2]|0)!=0|0,901608,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function yt(a){a=a|0;var b=0;b=c[a>>2]|0;jU(c[b>>2]|0);jU(c[b+4>>2]|0);jU(c[b+8>>2]|0);jU(c[b+16>>2]|0);return 0}function zt(a,b){a=a|0;b=b|0;Hq(c[a+536>>2]|0,902856,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function At(a){a=a|0;Hq(0,902856,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Bt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){h=c[d+(g<<6)+16>>2]|0;j=c[d+(g<<6)+12>>2]|0;k=h<<3;c[d+(g<<6)+28>>2]=iU(k)|0;c[d+(g<<6)+36>>2]=iU(k)|0;l=c[f>>2]|0;if((l|0)==2){c[d+(g<<6)+8>>2]=4;It(h,h,j,d+(g<<6)+24|0)|0}else if((l|0)==1){c[d+(g<<6)+32>>2]=iU(ga(k,h)|0)|0;c[d+(g<<6)+8>>2]=2;Gt(h,d+(g<<6)+24|0)|0}else{m=6;break}h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{m=8;break}}if((m|0)==6){Hq(c[a+536>>2]|0,902824,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==8){i=b;return 0}return 0}function Ct(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;e=(ga(c[f+16>>2]|0,b)|0)+a|0;h[(c[f+32>>2]|0)+(e<<3)>>3]=d;return}function Dt(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;jc(0,a|0,b|0,+d,c[c[f+24>>2]>>2]|0)|0;return}function Et(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){jU(c[d+(g<<6)+28>>2]|0);jU(c[d+(g<<6)+36>>2]|0);h=c[f>>2]|0;if((h|0)==2){Jt(d+(g<<6)+24|0)|0}else if((h|0)==1){Ht(d+(g<<6)+24|0)|0;jU(c[d+(g<<6)+32>>2]|0)}else{j=6;break}jU(c[d+(g<<6)+24>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{j=8;break}}if((j|0)==6){Hq(c[a+536>>2]|0,902824,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((j|0)==8){i=b;return 0}return 0}function Ft(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+476>>2]|0;l=b+196|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+20|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t<<6)+56|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[229121]|c[229190]|0)==0){w=1;x=v;break}CH(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];Fq(15,1,901576,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;CH(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;CH(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;Fq(15,0,889840,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;CH(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Qd[c[3540]&511](15);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function Gt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=iU(12)|0;f=iU(a<<2)|0;c[e>>2]=f;Gq(0,(f|0)!=0|0,902720,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+4>>2]=1;c[e+8>>2]=0;c[b>>2]=e;i=d;return 0}function Ht(a){a=a|0;jU(c[c[a>>2]>>2]|0);return 0}function It(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=iU(32)|0;Gq(0,(g|0)!=0|0,902544,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;c[g+20>>2]=b;b=g+24|0;c[b>>2]=a;c[g+28>>2]=d;d=g+8|0;dc(0,d|0)|0;Fd(c[d>>2]|0,c[b>>2]|0,0)|0;dc(0,g+4|0)|0;Fd(c[d>>2]|0,c[b>>2]|0,0)|0;b=g+12|0;Ta(b|0)|0;Kd(901560,c[b>>2]|0)|0;c[e>>2]=g;i=f;return 0}function Jt(a){a=a|0;var b=0;b=c[a>>2]|0;Uc(c[b+12>>2]|0)|0;ac(c[b+8>>2]|0)|0;ac(c[b+4>>2]|0)|0;return 0}function Kt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+536|0;g=a;h=a+300|0;j=0;a:while(1){k=d+(j*80|0)|0;l=c[k>>2]|0;Gq(c[f>>2]|0,(c[d+(j*80|0)+32>>2]|0)!=0|0,23744,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;n=d+(j*80|0)+28|0;do{if(!((c[n>>2]|0)==-1)){Gq(c[f>>2]|0,(c[d+(j*80|0)+20>>2]|0)!=0|0,904152,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;if((Td[c[d+(j*80|0)+24>>2]&255](g)|0)==0){break}c[n>>2]=-1}}while(0);n=l<<3;c[d+(j*80|0)+44>>2]=iU(n)|0;c[d+(j*80|0)+52>>2]=iU(n)|0;c[d+(j*80|0)+48>>2]=iU(n)|0;c[d+(j*80|0)+16>>2]=iU(n)|0;c[d+(j*80|0)+8>>2]=iU(n)|0;c[d+(j*80|0)+12>>2]=iU(n)|0;Rd[c[d+(j*80|0)+36>>2]&127](g,k);do{if((c[d+(j*80|0)+56>>2]|0)==1){Pt(l,d+(j*80|0)+40|0)|0}else{n=c[h>>2]|0;if((n|0)==2){zt(a,k)|0;break}else if((n|0)==1){Nt(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==3){Pt(l,d+(j*80|0)+40|0)|0;break}else{o=12;break a}}}while(0);l=j+1|0;if((l|0)<(c[e>>2]|0)){j=l}else{o=14;break}}if((o|0)==12){Hq(c[f>>2]|0,901472,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;return 0}else if((o|0)==14){i=b;return 0}return 0}function Lt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+300|0;g=0;a:while(1){h=d+(g*80|0)|0;jU(c[d+(g*80|0)+44>>2]|0);jU(c[d+(g*80|0)+52>>2]|0);jU(c[d+(g*80|0)+48>>2]|0);jU(c[d+(g*80|0)+16>>2]|0);jU(c[d+(g*80|0)+8>>2]|0);jU(c[d+(g*80|0)+12>>2]|0);do{if((c[d+(g*80|0)+56>>2]|0)==1){j=d+(g*80|0)+40|0;Qt(j)|0;k=j}else{j=c[f>>2]|0;if((j|0)==2){At(h)|0;k=d+(g*80|0)+40|0;break}else if((j|0)==1){l=d+(g*80|0)+40|0;Ot(l)|0;k=l;break}else if((j|0)==3){j=d+(g*80|0)+40|0;Qt(j)|0;k=j;break}else{m=9;break a}}}while(0);jU(c[k>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{m=11;break}}if((m|0)==9){Hq(c[a+536>>2]|0,901472,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==11){i=b;return 0}return 0}function Mt(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0;e=i;i=i+152|0;f=e|0;g=e+8|0;j=e+32|0;k=e+56|0;l=e+80|0;m=e+104|0;n=e+128|0;o=c[b+468>>2]|0;p=c[b+200>>2]|0;q=0;while(1){if((q|0)>=(p|0)){r=0;s=22;break}if((a[o+(q*80|0)+72|0]|0)==0){break}else{q=q+1|0}}if((s|0)==22){i=e;return r|0}p=o+(q*80|0)+4|0;q=c[p>>2]|0;o=f|0;c[o>>2]=1;c[f+4>>2]=q;if((d|0)==0){r=1;i=e;return r|0}d=b+56|0;CH(g,d,q);t=+h[c[c[b+4>>2]>>2]>>3];Eq(17,1,o,899248,(o=i,i=i+16|0,c[o>>2]=c[g+8>>2],h[o+8>>3]=t,o)|0);i=o;do{if((a[b+312|0]|0)==0){CH(m,d,c[p>>2]|0);g=m+12|0;if((c[g>>2]|0)<=0){break}q=n+16|0;f=0;while(1){u=f+1|0;CH(n,d,c[p>>2]|0);v=c[(c[(c[q>>2]|0)+(f<<2)>>2]|0)+4>>2]|0;Fq(17,0,893832,(o=i,i=i+16|0,c[o>>2]=u,c[o+8>>2]=v,o)|0);i=o;CH(m,d,c[p>>2]|0);if((u|0)<(c[g>>2]|0)){f=u}else{break}}}else{Fq(17,1,897304,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;CH(j,d,c[p>>2]|0);f=j+12|0;if((c[f>>2]|0)>0){g=b+116|0;q=l+16|0;u=b+8|0;v=k+16|0;w=0;while(1){a:do{if((c[g>>2]|0)>0){x=w+1|0;y=0;while(1){z=c[(c[u>>2]|0)+(y*112|0)+4>>2]|0;CH(k,d,c[p>>2]|0);if((IU(z,c[(c[(c[v>>2]|0)+(w<<2)>>2]|0)+4>>2]|0)|0)==0){break}z=y+1|0;if((z|0)<(c[g>>2]|0)){y=z}else{s=15;break a}}z=c[u>>2]|0;A=c[z+(y*112|0)+4>>2]|0;t=+h[z+(y*112|0)+96>>3];B=+h[z+(y*112|0)+80>>3];Fq(17,0,895816,(o=i,i=i+32|0,c[o>>2]=x,c[o+8>>2]=A,h[o+16>>3]=t,h[o+24>>3]=B,o)|0);i=o;C=w+1|0}else{s=15}}while(0);if((s|0)==15){s=0;A=w+1|0;CH(l,d,c[p>>2]|0);z=c[(c[(c[q>>2]|0)+(w<<2)>>2]|0)+4>>2]|0;Fq(17,0,894784,(o=i,i=i+16|0,c[o>>2]=A,c[o+8>>2]=z,o)|0);i=o;C=A}CH(j,d,c[p>>2]|0);if((C|0)<(c[f>>2]|0)){w=C}else{break}}}if((c[229123]|c[229190]|0)==0){break}Qd[c[3540]&511](17)}}while(0);if((c[229123]|c[229190]|0)==0){r=1;i=e;return r|0}Qd[c[3540]&511](17);r=1;i=e;return r|0}function Nt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0;d=i;e=iU(144)|0;c[b>>2]=e;Gq(0,(e|0)!=0|0,902072,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=iU(g)|0;c[e+16>>2]=iU(g)|0;c[e+8>>2]=1;c[e+12>>2]=iU(g)|0;c[e+20>>2]=a;c[e+24>>2]=iU(g)|0;c[e+28>>2]=kU(a,8)|0;h[e+32>>3]=1.0e-12;c[e+40>>2]=a*1e4|0;j=a-1|0;c[e+44>>2]=j;c[e+48>>2]=j;h[e+56>>3]=1.0e-12;c[e+64>>2]=iU(g)|0;c[e+68>>2]=iU(g)|0;c[e+72>>2]=1;h[e+80>>3]=100.0;c[e+88>>2]=-1;c[e+92>>2]=0;c[e+96>>2]=0;c[e+100>>2]=0;j=ga(a,a)|0;c[e+104>>2]=kU(j,8)|0;c[e+108>>2]=kU(j,8)|0;c[e+112>>2]=a;j=(ga(a+1|0,a)|0)/2|0;c[e+116>>2]=iU(j<<3)|0;c[e+120>>2]=j;c[e+124>>2]=iU(g)|0;c[e+128>>2]=iU(g)|0;c[e+132>>2]=iU(g)|0;c[e+136>>2]=iU(g)|0;c[e+140>>2]=iU(g)|0;Gq(0,(c[b>>2]|0)!=0|0,901512,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function Ot(a){a=a|0;var b=0;b=c[a>>2]|0;jU(c[b+4>>2]|0);jU(c[b+16>>2]|0);jU(c[b+12>>2]|0);jU(c[b+24>>2]|0);jU(c[b+28>>2]|0);jU(c[b+64>>2]|0);jU(c[b+68>>2]|0);jU(c[b+104>>2]|0);jU(c[b+108>>2]|0);jU(c[b+116>>2]|0);jU(c[b+124>>2]|0);jU(c[b+128>>2]|0);jU(c[b+132>>2]|0);jU(c[b+136>>2]|0);jU(c[b+140>>2]|0);return 0}function Pt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=iU(80)|0;c[b>>2]=e;Gq(0,(e|0)!=0|0,900192,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=iU(g)|0;c[e+8>>2]=iU(g)|0;c[e+12>>2]=a;c[e+16>>2]=iU(g)|0;c[e+20>>2]=kU(a,8)|0;h[e+24>>3]=1.0e-8;h[e+32>>3]=1.0e-8;c[e+44>>2]=a*100|0;h[e+56>>3]=2.220446049250313e-16;c[e+64>>2]=iU(ga(g,a)|0)|0;c[e+68>>2]=iU(g)|0;c[e+72>>2]=iU(a<<2)|0;Gq(0,(c[b>>2]|0)!=0|0,901192,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function Qt(a){a=a|0;var b=0;b=c[a>>2]|0;jU(c[b+4>>2]|0);jU(c[b+8>>2]|0);jU(c[b+16>>2]|0);jU(c[b+20>>2]|0);jU(c[b+64>>2]|0);jU(c[b+68>>2]|0);jU(c[b+72>>2]|0);return 0}function Rt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=c[b+24>>2]|0;if((d|0)==3){e=As(a,b)|0;return e|0}else if((d|0)==4){_d[c[(c[a+540>>2]|0)+56>>2]&3](a,+h[b+8>>3])|0;h[b>>3]=+h[c[c[a+4>>2]>>2]>>3];e=0;return e|0}else if((d|0)==1){f=c[a+4>>2]|0;g=c[f+4>>2]|0;Tt(c[f>>2]|0,+h[g>>3],c[g+8>>2]|0,c[a+112>>2]|0,b);e=0;return e|0}else if((d|0)==2){St(a,b);e=0;return e|0}else{e=1;return e|0}return 0}function St(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0;d=c[c[b+48>>2]>>2]|0;e=c[a+4>>2]|0;f=c[e>>2]|0;g=c[e+4>>2]|0;e=f+8|0;i=c[e>>2]|0;j=a+112|0;k=c[j>>2]|0;l=g+8|0;m=c[l>>2]|0;n=g|0;g=b+8|0;o=b|0;h[o>>3]=+h[n>>3]+ +h[g>>3];if((k|0)>0){b=c[d>>2]|0;p=0;do{h[b+(p<<3)>>3]=+h[m+(p+k<<3)>>3];p=p+1|0;}while((p|0)<(k|0))}p=f|0;f=a+540|0;m=1;b=k;do{if((b|0)>0){q=c[l>>2]|0;r=+h[8032+(m<<3)>>3];s=c[d+(m-1<<2)>>2]|0;t=c[e>>2]|0;u=0;while(1){h[t+(u<<3)>>3]=+h[q+(u<<3)>>3]+ +h[g>>3]*r*+h[s+(u<<3)>>3];v=u+1|0;if((v|0)<(b|0)){u=v}else{w=r;break}}}else{w=+h[8032+(m<<3)>>3]}h[p>>3]=+h[n>>3]+w*+h[g>>3];Td[c[(c[f>>2]|0)+28>>2]&255](a)|0;b=c[j>>2]|0;x=(b|0)>0;if(x){u=c[d+(m<<2)>>2]|0;s=0;do{h[u+(s<<3)>>3]=+h[i+(s+k<<3)>>3];s=s+1|0;}while((s|0)<(b|0))}m=m+1|0;}while((m|0)<4);if(!x){y=+h[o>>3];h[p>>3]=y;return}x=c[l>>2]|0;l=c[e>>2]|0;e=c[d>>2]|0;m=c[d+4>>2]|0;k=c[d+8>>2]|0;i=c[d+12>>2]|0;d=0;do{h[l+(d<<3)>>3]=+h[x+(d<<3)>>3]+(+h[e+(d<<3)>>3]*.16666666666666666+0.0+ +h[m+(d<<3)>>3]*.3333333333333333+ +h[k+(d<<3)>>3]*.3333333333333333+ +h[i+(d<<3)>>3]*.16666666666666666)*+h[g>>3];d=d+1|0;}while((d|0)<(b|0));y=+h[o>>3];h[p>>3]=y;return}function Tt(a,b,d,e,f){a=a|0;b=+b;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0;g=f+8|0;i=+h[g>>3];j=i+b;k=f|0;h[k>>3]=j;if((e|0)<=0){l=j;m=a|0;h[m>>3]=l;return}f=c[a+8>>2]|0;n=0;j=i;while(1){h[f+(n<<3)>>3]=+h[d+(n<<3)>>3]+ +h[d+(n+e<<3)>>3]*j;o=n+1|0;if((o|0)>=(e|0)){break}n=o;j=+h[g>>3]}l=+h[k>>3];m=a|0;h[m>>3]=l;return}function Ut(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;h[d>>3]=+h[b+240>>3];h[d+8>>3]=+h[b+264>>3];h[d+16>>3]=0.0;a[d+28|0]=0;c[d+32>>2]=Iq(4)|0;c[d+36>>2]=0;c[d+40>>2]=0;c[d+44>>2]=0;f=c[d+24>>2]|0;a:do{if((f|0)==4){g=c[231480]|0;j=iU(g<<2)|0;c[229090]=j;if((g|0)<=0){k=0;break}l=c[b+116>>2]|0;m=0;n=j;while(1){c[n+(m<<2)>>2]=kU(l,8)|0;j=m+1|0;if((j|0)>=(g|0)){k=0;break a}m=j;n=c[229090]|0}}else if((f|0)==2){n=iU(8)|0;c[n+4>>2]=4;m=iU(20)|0;g=n;c[g>>2]=m;l=c[b+112>>2]|0;j=0;o=m;while(1){c[o+(j<<2)>>2]=kU(l,8)|0;m=j+1|0;if((m|0)>=5){break}j=m;o=c[g>>2]|0}c[d+48>>2]=n;k=0}else if((f|0)==3){g=iU(88)|0;Dq(23,0,899936,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;o=ys(b,d,g)|0;c[d+48>>2]=g;k=o}else{k=0}}while(0);fu(b)|0;if((c[231410]|0)==0){i=e;return k|0}Kr(6);Hr(1);i=e;return k|0}function Vt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=c[b+24>>2]|0;if((d|0)==2){e=b+48|0;f=c[e>>2]|0;g=c[f>>2]|0;if(((c[f+4>>2]|0)+1|0)>0){f=0;h=g;while(1){jU(c[h+(f<<2)>>2]|0);i=f+1|0;j=c[e>>2]|0;k=c[j>>2]|0;if((i|0)<((c[j+4>>2]|0)+1|0)){f=i;h=k}else{l=k;break}}}else{l=g}jU(l);jU(c[e>>2]|0)}else if((d|0)==4){e=c[231480]|0;l=c[229090]|0;if((e|0)>0){g=0;h=l;while(1){jU(c[h+(g<<2)>>2]|0);f=g+1|0;k=c[229090]|0;if((f|0)<(e|0)){g=f;h=k}else{m=k;break}}}else{m=l}jU(m)}else if((d|0)==3){zs(c[b+48>>2]|0)|0}gu(a)|0;au(a);return 0}function Wt(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,z=0;j=i;i=i+160|0;k=1;l=0;m=i;i=i+168|0;c[m>>2]=0;while(1)switch(k|0){case 1:n=j|0;o=a+536|0;p=c[o>>2]|0;pa(62,a|0);if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;q=a+540|0;sa(c[(c[q>>2]|0)+40>>2]|0,a|0)|0;if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;r=a+240|0;h[c[c[a+4>>2]>>2]>>3]=+h[r>>3];pa(c[(c[q>>2]|0)+4>>2]|0,a|0);if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;pa(78,a|0);if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;na(2,+(+h[a+272>>3]));if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;c[(c[o>>2]|0)+84>>2]=1;s=p+80|0;t=c[s>>2]|0;c[s>>2]=n;u=OU(n|0,k,m)|0;k=9;break;case 9:if((u|0)==0){k=2;break}else{k=5;break};case 2:n=Ea(2,a|0,b|0,d|0,e|0,+f,g|0)|0;if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;if((n|0)==0){v=0;k=4;break}else{k=3;break};case 3:Ka(14,1,0,900960,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;h[a+248>>3]=+h[r>>3];v=-1;k=4;break;case 4:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;z=v;k=6;break;case 5:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(28,2,0,889616,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;z=-1;k=6;break;case 6:qa(c[2006]|0,8e3,a|0);if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(28,23,0,50600,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;if((c[231410]|0)==0){k=8;break}else{k=7;break};case 7:pa(310,1);if((x|0)!=0&(y|0)!=0){l=PU(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;k=8;break;case 8:i=j;return z|0;case-1:if((l|0)==1){u=y;k=9}x=y=0;break}return 0}function Xt(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0,k=0,l=0.0,m=0.0,n=0;f=i;g=+h[d>>3];do{if(!(g<+h[b+248>>3])){if((c[d+24>>2]|0)==5){break}Dq(8,0,43128,(j=i,i=i+8|0,h[j>>3]=g,j)|0);i=j;k=b+313|0;a[k]=1;Ys(b);if((c[229308]|0)==0){Rd[c[2005]&127](8e3,b)}a[k]=0}}while(0);xG(38128,1.0);if((e|0)!=0){Yt(Ic(e|0)|0,b)}if((c[229131]|0)==0){i=f;return 0}Kr(0);Dq(25,0,33920,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Dq(25,1,29768,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;g=+Cr(6);l=+Cr(6);m=l/+Cr(0)*100.0;Dq(25,0,26328,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+Cr(1);g=+Cr(1);l=g/+Cr(0)*100.0;Dq(25,0,23624,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+Cr(2);m=+Cr(2);g=m/+Cr(0)*100.0;Dq(25,0,904088,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;g=+Cr(3);l=+Cr(3);m=l/+Cr(0)*100.0;Dq(25,0,901336,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+Cr(4);g=+Cr(4);l=g/+Cr(0)*100.0;Dq(25,0,899104,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+Cr(7);m=+Cr(7);g=m/+Cr(0)*100.0;Dq(25,0,897208,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;b=d+24|0;e=(c[b>>2]|0)==5;g=+Cr(0);l=g- +Cr(7);g=l- +Cr(4);l=g- +Cr(3);g=l- +Cr(2);l=g- +Cr(1);g=l- +Cr(6);l=+Cr(0);m=l- +Cr(7);l=m- +Cr(4);m=l- +Cr(3);l=m- +Cr(2);m=l- +Cr(1);l=m- +Cr(6);m=l/+Cr(0)*100.0;if(e){Dq(25,0,894696,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}else{Dq(25,0,895736,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}m=+Cr(0);g=+Cr(0);l=g/+Cr(0)*100.0;Dq(25,0,893760,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;Qd[c[3540]&511](25);Dq(25,1,892752,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Dq(25,0,891992,(j=i,i=i+8|0,c[j>>2]=c[d+40>>2],j)|0);i=j;Dq(25,0,891328,(j=i,i=i+8|0,c[j>>2]=c[d+44>>2],j)|0);i=j;Qd[c[3540]&511](25);e=c[b>>2]|0;if((e|0)==3){b=d+48|0;d=c[b>>2]|0;k=c[d+8>>2]|0;n=c[d+4>>2]|0;c[n>>2]=(c[n>>2]|0)+(c[k>>2]|0);d=n+4|0;c[d>>2]=(c[d>>2]|0)+(c[k+4>>2]|0);d=n+8|0;c[d>>2]=(c[d>>2]|0)+(c[k+8>>2]|0);d=n+12|0;c[d>>2]=(c[d>>2]|0)+(c[k+12>>2]|0);d=n+16|0;c[d>>2]=(c[d>>2]|0)+(c[k+16>>2]|0);Dq(25,1,890544,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Dq(25,0,889744,(j=i,i=i+8|0,c[j>>2]=c[c[(c[b>>2]|0)+4>>2]>>2],j)|0);i=j;Dq(25,0,888648,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+4>>2],j)|0);i=j;Dq(25,0,708256,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+8>>2],j)|0);i=j;Dq(25,0,56576,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+12>>2],j)|0);i=j;Dq(25,0,55768,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+16>>2],j)|0);i=j;Qd[c[3540]&511](25)}else if((e|0)!=5){Dq(25,1,54664,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Dq(25,0,53696,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Qd[c[3540]&511](25)}Dq(25,0,52880,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Hr(0);i=f;return 0}function Yt(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;f=Wa(b|0,46392)|0;b=c[r>>2]|0;g=d+4|0;kd(b|0,45816,(j=i,i=i+8|0,h[j>>3]=+h[c[c[g>>2]>>2]>>3],j)|0)|0;i=j;if((f|0)==0){k=Va(10,b|0)|0;l=Sa(b|0)|0;i=e;return}m=d+116|0;n=d+124|0;o=d+128|0;p=d+132|0;q=d+216|0;s=d+220|0;t=d+224|0;u=d+228|0;v=d+136|0;w=d+140|0;x=d+144|0;y=d+148|0;z=d+36|0;A=d+428|0;B=d+32|0;C=d+424|0;D=d+28|0;E=d+420|0;F=d+24|0;G=d+416|0;H=d+52|0;I=d+48|0;J=d+44|0;K=d+40|0;L=d+20|0;M=d+16|0;N=d+12|0;O=d+8|0;d=f;do{f=c[m>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((IU(d,c[(c[O>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(P<<3)>>3];kd(b|0,45168,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;S=c[m>>2]|0}else{S=Q}f=P+1|0;if((f|0)<(S|0)){P=f;Q=S}else{break}}}Q=c[n>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((IU(d,c[(c[N>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(P<<2)>>2]|0;kd(b|0,44608,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;T=c[n>>2]|0}else{T=f}Q=P+1|0;if((Q|0)<(T|0)){P=Q;f=T}else{break}}}f=c[o>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((IU(d,c[(c[M>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){f=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+P|0]|0;kd(b|0,44008,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=f,j)|0)|0;i=j;U=c[o>>2]|0}else{U=Q}f=P+1|0;if((f|0)<(U|0)){P=f;Q=U}else{break}}}Q=c[p>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((IU(d,c[(c[L>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(P<<2)>>2]|0;kd(b|0,43344,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;V=c[p>>2]|0}else{V=f}Q=P+1|0;if((Q|0)<(V|0)){P=Q;f=V}else{break}}}if((c[q>>2]|0)>0){f=0;do{P=c[K>>2]|0;do{if((IU(d,c[P+(f*52|0)+16>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(c[P+(f*52|0)+4>>2]<<3)>>3];if((c[P+(f*52|0)>>2]|0)==0){kd(b|0,45168,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;break}else{kd(b|0,45168,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=-0.0-R,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[q>>2]|0))}if((c[s>>2]|0)>0){f=0;do{P=c[J>>2]|0;do{if((IU(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(c[P+(f*52|0)+4>>2]<<2)>>2]|0;if((c[P+(f*52|0)>>2]|0)==0){kd(b|0,44608,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{kd(b|0,44608,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}if((c[t>>2]|0)>0){f=0;do{P=c[I>>2]|0;do{if((IU(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+(c[P+(f*52|0)+4>>2]|0)|0]|0;if((c[P+(f*52|0)>>2]|0)==0){kd(b|0,44008,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{kd(b|0,44008,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[t>>2]|0))}f=c[u>>2]|0;if((f|0)>0){P=0;Q=f;while(1){f=c[H>>2]|0;if((IU(d,c[f+(P*52|0)+16>>2]|0)|0)==0){W=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(c[f+(P*52|0)+4>>2]<<2)>>2]|0;kd(b|0,43344,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;X=c[u>>2]|0}else{X=Q}W=P+1|0;if((W|0)<(X|0)){P=W;Q=X}else{break}}}Q=c[v>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((IU(d,c[(c[F>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[G>>2]|0)+(P<<3)>>3];kd(b|0,45168,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;Y=c[v>>2]|0}else{Y=W}Q=P+1|0;if((Q|0)<(Y|0)){P=Q;W=Y}else{break}}}W=c[w>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((IU(d,c[(c[D>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){W=c[(c[E>>2]|0)+(P<<2)>>2]|0;kd(b|0,44608,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;Z=c[w>>2]|0}else{Z=Q}W=P+1|0;if((W|0)<(Z|0)){P=W;Q=Z}else{break}}}Q=c[x>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((IU(d,c[(c[B>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){Q=a[(c[C>>2]|0)+P|0]|0;kd(b|0,44008,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;_=c[x>>2]|0}else{_=W}Q=P+1|0;if((Q|0)<(_|0)){P=Q;W=_}else{break}}}W=c[y>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((IU(d,c[(c[z>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){W=c[(c[A>>2]|0)+(P<<2)>>2]|0;kd(b|0,43344,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;$=c[y>>2]|0}else{$=Q}W=P+1|0;if((W|0)<($|0)){P=W;Q=$}else{break}}}d=Wa(0,46392)|0;}while((d|0)!=0);k=Va(10,b|0)|0;l=Sa(b|0)|0;i=e;return}function Zt(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;m=i;i=i+56|0;n=m|0;o=n+24|0;c[o>>2]=k;a:do{switch(k|0){case 5:{Fq(1,0,51600,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 4:{r=c[234916]|0;if((r|0)!=0){if((IU(r,50832)|0)==0){break a}}Dq(23,0,49512,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 12:case 13:case 14:case 15:case 16:case 17:{c[o>>2]=3;break};case 18:{r=c[234916]|0;do{if((r|0)!=0){if((IU(r,48712)|0)!=0){break}c[o>>2]=4;break a}}while(0);Dq(23,0,47728,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 8:case 7:case 6:case 9:case 10:case 11:{Fq(1,0,52264,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};default:{}}}while(0);k=Ut(b,n)|0;ee[c[2175]&15]()|0;if((a[b+440|0]|0)!=0){hu(b)|0;Td[c[(c[b+540>>2]|0)+44>>2]&255](b)|0}do{if((k|0)==0){r=Wt(b,d,e,f,g,j)|0;ee[c[2175]&15]()|0;if((r|0)!=0){s=r;break}if((c[o>>2]|0)!=5){Rd[c[2005]&127](8e3,b);gt(b)}t=+h[b+248>>3];Dq(23,0,47088,(p=i,i=i+16|0,h[p>>3]=+h[b+240>>3],h[p+8>>3]=t,p)|0);i=p;r=ce[c[c[b+540>>2]>>2]&127](b,n)|0;ee[c[2175]&15]()|0;Xt(b,n,l)|0;ee[c[2175]&15]()|0;s=r}else{ee[c[2175]&15]()|0;s=k}}while(0);Vt(b,n)|0;q=s;i=m;return q|0}function _t(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a+204|0;e=a+488|0;f=a;g=0;while(1){if((g|0)>=(c[d>>2]|0)){h=5;break}if((Td[c[(c[e>>2]|0)+(g*48|0)+40>>2]&255](f)|0)==0){g=g+1|0}else{h=4;break}}if((h|0)==4){Hq(c[a+536>>2]|0,899192,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}else if((h|0)==5){$t(a);i=b;return}}function $t(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;e=a+12|0;f=a+4|0;a=0;do{g=c[d>>2]|0;h=(c[c[g+(a*48|0)+12>>2]>>2]|0)-(c[c[e>>2]>>2]|0)|0;i=c[(c[c[f>>2]>>2]|0)+12>>2]|0;j=g+(a*48|0)|0;k=g+(a*48|0)+4|0;NU(i+(h<<2)|0,0,ga(c[j>>2]<<2,c[k>>2]|0)|0)|0;l=g+(a*48|0)+8|0;if((c[l>>2]|0)>0){m=c[g+(a*48|0)+16>>2]|0;n=0;do{c[m+(n<<2)>>2]=n;n=n+1|0;}while((n|0)<(c[l>>2]|0))}l=c[j>>2]|0;if((l|0)>0){n=c[g+(a*48|0)+20>>2]|0;m=0;o=l;do{c[n+(m<<2)>>2]=o+~m;m=m+1|0;o=c[j>>2]|0;}while((m|0)<(o|0))}o=c[k>>2]|0;if((o|0)>0){m=0;j=o;do{c[i+(m+h+(ga(j,m)|0)<<2)>>2]=1;m=m+1|0;j=c[k>>2]|0;}while((m|0)<(j|0))}a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function au(a){a=a|0;var b=0,d=0,e=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;a=0;do{e=c[d>>2]|0;jU(c[e+(a*48|0)+28>>2]|0);jU(c[e+(a*48|0)+32>>2]|0);jU(c[e+(a*48|0)+16>>2]|0);jU(c[e+(a*48|0)+20>>2]|0);jU(c[e+(a*48|0)+24>>2]|0);a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function bu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0;f=i;i=i+4096|0;g=f|0;j=b+204|0;if((c[j>>2]|0)<=0){k=0;i=f;return k|0}l=b+488|0;m=d<<24>>24==0;d=(e|0)==0;n=0;o=0;while(1){p=c[l>>2]|0;q=p+(o*48|0)|0;r=iU(c[q>>2]<<2)|0;s=p+(o*48|0)+8|0;t=iU(c[s>>2]<<2)|0;cu(b,o);u=p+(o*48|0)+20|0;v=c[u>>2]|0;w=c[q>>2]|0;MU(r|0,v|0,w<<2)|0;x=p+(o*48|0)+16|0;y=c[x>>2]|0;z=c[s>>2]|0;MU(t|0,y|0,z<<2)|0;A=p+(o*48|0)+24|0;if(!((xs(c[A>>2]|0,z,w,y,v)|0)==0|m)){break}v=du(r,c[u>>2]|0,c[q>>2]|0,c[s>>2]|0,c[p+(o*48|0)+4>>2]|0,c[p+(o*48|0)+12>>2]|0,c[p+(o*48|0)+28>>2]|0,c[p+(o*48|0)+32>>2]|0,b,e)|0;if(d){MU(c[u>>2]|0,r|0,c[q>>2]<<2)|0;MU(c[x>>2]|0,t|0,c[s>>2]<<2)|0}s=(v|0)==0?n:1;jU(r);jU(t);t=o+1|0;if((t|0)<(c[j>>2]|0)){n=s;o=t}else{k=s;B=16;break}}if((B|0)==16){i=f;return k|0}k=p+(o*48|0)+44|0;f=c[k>>2]|0;B=b+464|0;n=c[B>>2]|0;j=c[n+(f*44|0)>>2]|0;Fq(5,1,900848,(d=i,i=i+24|0,c[d>>2]=c[n+(f*44|0)+4>>2],c[d+8>>2]=j,c[d+16>>2]=f,d)|0);i=d;f=c[B>>2]|0;if((c[f+((c[k>>2]|0)*44|0)+4>>2]|0)!=0){j=g|0;g=0;n=f;do{a[j]=0;f=c[n+((c[k>>2]|0)*44|0)>>2]|0;if((f|0)!=0){e=0;m=f;do{f=(ga(m,g)|0)+e|0;C=+h[(c[A>>2]|0)+(f<<3)>>3];Ob(j|0,889472,(d=i,i=i+16|0,c[d>>2]=j,h[d+8>>3]=C,d)|0)|0;i=d;e=e+1|0;m=c[(c[B>>2]|0)+((c[k>>2]|0)*44|0)>>2]|0;}while(e>>>0<m>>>0)}Fq(5,0,50448,(d=i,i=i+8|0,c[d>>2]=j,d)|0);i=d;g=g+1|0;n=c[B>>2]|0;}while(g>>>0<(c[n+((c[k>>2]|0)*44|0)+4>>2]|0)>>>0)}if((c[q>>2]|0)<=0){D=c[3540]|0;Qd[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Hq(F,42928,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}k=p+(o*48|0)+32|0;o=0;do{Fq(5,0,50448,(d=i,i=i+8|0,c[d>>2]=c[(c[(c[k>>2]|0)+(o<<2)>>2]|0)+4>>2],d)|0);i=d;o=o+1|0;}while((o|0)<(c[q>>2]|0));D=c[3540]|0;Qd[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Hq(F,42928,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}function cu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+488|0;e=c[d>>2]|0;f=c[e+(b*48|0)+44>>2]|0;g=a+464|0;i=c[g>>2]|0;j=c[e+(b*48|0)+24>>2]|0;NU(j|0,0,ga(c[i+(f*44|0)+4>>2]<<3,c[i+(f*44|0)>>2]|0)|0)|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return}e=a;a=0;k=i;l=c[i+(f*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[k+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}Td[c[(c[d>>2]|0)+(b*48|0)+36>>2]&255](e)|0;k=c[g>>2]|0;l=c[k+(f*44|0)>>2]|0;do{if((l|0)!=0){i=c[k+(f*44|0)+28>>2]|0;m=0;do{do{if(+h[i+(m<<3)>>3]==1.0){if((m|0)==0){n=0;o=k+(f*44|0)+8|0}else{p=k+(f*44|0)+8|0;n=c[(c[p>>2]|0)+(m-1<<2)>>2]|0;o=p}p=c[(c[o>>2]|0)+(m<<2)>>2]|0;if(!(n>>>0<p>>>0)){break}q=c[k+(f*44|0)+12>>2]|0;r=c[k+(f*44|0)+4>>2]|0;s=c[k+(f*44|0)+36>>2]|0;t=n;do{u=c[q+(t<<2)>>2]|0;v=(ga(r,m)|0)+u|0;h[j+(v<<3)>>3]=+h[s+(u<<3)>>3];t=t+1|0;}while(t>>>0<p>>>0)}}while(0);m=m+1|0;}while(m>>>0<l>>>0);if((l|0)==0){break}m=c[k+(f*44|0)+20>>2]|0;i=0;do{if(((c[m+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=0.0}i=i+1|0;}while(i>>>0<l>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[k+(f*44|0)+24>>2]|0)>>>0);return}function du(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;n=i;o=kU(d,4)|0;p=o;q=kU(d,4)|0;r=q;if((d|0)>0){s=0;while(1){t=(s|0)<(e|0)?1:2;c[r+(c[b+(s<<2)>>2]<<2)>>2]=t;c[p+(c[a+(s<<2)>>2]<<2)>>2]=t;t=s+1|0;if((t|0)<(d|0)){s=t}else{u=0;break}}}else{u=0}while(1){if((u|0)>=(d|0)){v=0;w=8;break}if((c[r+(u<<2)>>2]|0)==(c[p+(u<<2)>>2]|0)){u=u+1|0}else{break}}if((w|0)==8){jU(o);jU(q);i=n;return v|0}if((m|0)==0){v=-1;jU(o);jU(q);i=n;return v|0}Dq(5,1,38072,(m=i,i=i+8|0,h[m>>3]=+h[c[c[l+4>>2]>>2]>>3],m)|0);i=m;eu(r,d,f,c[g>>2]|0,j,k,l);if((c[229111]|0)==0){v=-1;jU(o);jU(q);i=n;return v|0}Qd[c[3540]&511](5);v=-1;jU(o);jU(q);i=n;return v|0}function eu(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=i;l=e-(c[c[j+12>>2]>>2]|0)|0;e=j+4|0;m=c[(c[c[e>>2]>>2]|0)+12>>2]|0;NU(m+(l<<2)|0,0,ga(b<<2,d)|0)|0;if((b|0)<=0){i=k;return}n=j+8|0;j=0;o=0;while(1){if((c[a+(o<<2)>>2]|0)==2){p=c[c[n>>2]>>2]|0;q=c[g+(o<<2)>>2]|0;r=(c[q>>2]|0)-p|0;s=(c[c[f+(j<<2)>>2]>>2]|0)-p|0;Dq(5,0,33784,(p=i,i=i+8|0,c[p>>2]=c[q+4>>2],p)|0);i=p;c[m+(j+l+(ga(o,d)|0)<<2)>>2]=1;p=c[(c[c[e>>2]>>2]|0)+8>>2]|0;h[p+(s<<3)>>3]=+h[p+(r<<3)>>3];t=j+1|0}else{t=j}r=o+1|0;if((r|0)<(b|0)){j=t;o=r}else{break}}i=k;return}function fu(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;d=i;e=xc(898680,900776)|0;f=(e|0)!=0;a[b+440|0]=f&1;if(f){g=0}else{i=d;return 0}a:while(1){while(1){f=Bb(e|0)|0;if((f|0)==(-1|0)){break a}else if((f|0)==10){break}}g=g+1|0}f=g-1|0;g=b+456|0;c[g>>2]=f;c[b+452>>2]=f;wd(e|0);do{}while((Bb(e|0)|0)!=10);j=c[b+152>>2]|0;k=kU(f,4)|0;f=b+444|0;c[f>>2]=k;l=c[g>>2]|0;m=(l|0)>0;b:do{if(m){n=0;o=k;while(1){c[o+(n<<2)>>2]=kU(j,8)|0;p=n+1|0;if((p|0)>=(l|0)){break}n=p;o=c[f>>2]|0}o=kU(l,8)|0;n=b+448|0;c[n>>2]=o;if(!m){q=n;break}p=(j|0)>0;r=0;s=o;while(1){o=Tc(e|0,889464,(t=i,i=i+8|0,c[t>>2]=s+(r<<3),t)|0)|0;i=t;if(p){u=0;while(1){v=Tc(e|0,889464,(t=i,i=i+8|0,c[t>>2]=(c[(c[f>>2]|0)+(r<<2)>>2]|0)+(u<<3),t)|0)|0;i=t;w=u+1|0;if((w|0)<(j|0)){u=w}else{x=v;break}}}else{x=o}if((x|0)<0){c[g>>2]=r;y=r}else{y=c[g>>2]|0}u=r+1|0;if((u|0)>=(y|0)){q=n;break b}r=u;s=c[n>>2]|0}}else{n=b+448|0;c[n>>2]=kU(l,8)|0;q=n}}while(0);vc(50432,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;vc(7912,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;if((c[g>>2]|0)>0){l=(j|0)>0;y=0;do{vc(38048,(t=i,i=i+8|0,h[t>>3]=+h[(c[q>>2]|0)+(y<<3)>>3],t)|0)|0;i=t;if(l){x=0;while(1){m=x+1|0;z=+h[(c[(c[f>>2]|0)+(y<<2)>>2]|0)+(x<<3)>>3];vc(33768,(t=i,i=i+16|0,c[t>>2]=m,h[t+8>>3]=z,t)|0)|0;i=t;if((m|0)<(j|0)){x=m}else{break}}}y=y+1|0;}while((y|0)<(c[g>>2]|0))}Cc(7912)|0;Oa(e|0)|0;c[b+460>>2]=0;i=d;return 0}function gu(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;if((a[b+440|0]|0)==0){return 0}jU(c[b+448>>2]|0);d=b+452|0;e=b+444|0;b=c[e>>2]|0;if((c[d>>2]|0)>0){f=0;g=b;while(1){jU(c[g+(f<<2)>>2]|0);h=f+1|0;i=c[e>>2]|0;if((h|0)<(c[d>>2]|0)){f=h;g=i}else{j=i;break}}}else{j=b}jU(j);return 0}function hu(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;if((a[b+440|0]|0)==0){d=-1;return d|0}e=+h[c[c[b+4>>2]>>2]>>3];f=b+460|0;g=c[f>>2]|0;i=g+1|0;j=c[b+448>>2]|0;a:do{if(e>+h[j+(i<<3)>>3]){k=(c[b+456>>2]|0)-1|0;l=i;m=g;while(1){n=m+1|0;if((l|0)>=(k|0)){o=n;p=m;break a}c[f>>2]=n;q=m+2|0;if(e>+h[j+(q<<3)>>3]){l=q;m=n}else{r=n;s=4;break}}}else{r=g;s=4}}while(0);if((s|0)==4){o=r+1|0;p=r}t=+h[j+(p<<3)>>3];u=+h[j+(o<<3)>>3]-t;o=c[b+152>>2]|0;if((o|0)<=0){d=0;return d|0}j=c[b+444>>2]|0;r=c[j+(p<<2)>>2]|0;s=c[j+(p+1<<2)>>2]|0;v=t+u-e;w=e-t;p=c[b+432>>2]|0;b=0;while(1){h[p+(b<<3)>>3]=(v*+h[r+(b<<3)>>3]+w*+h[s+(b<<3)>>3])/u;j=b+1|0;if((j|0)<(o|0)){b=j}else{d=0;break}}return d|0}function iu(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0,j=0,k=0,l=0,m=0;b=i;d=+ju(a,1.0);if(!(d>1.0e-5)){e=0;i=b;return e|0}if((c[229115]|0)==0){e=1;i=b;return e|0}Dq(9,1,898432,(f=i,i=i+8|0,h[f>>3]=d,f)|0);i=f;g=a+16|0;j=c[g>>2]|0;if((j|0)>0){k=a+48|0;a=0;l=j;while(1){d=+h[(c[k>>2]|0)+(a<<3)>>3];j=a+1|0;if(+V(+d)>1.0e-5){Dq(9,0,900752,(f=i,i=i+16|0,c[f>>2]=j,h[f+8>>3]=d,f)|0);i=f;m=c[g>>2]|0}else{m=l}if((j|0)<(m|0)){a=j;l=m}else{break}}}Qd[c[3540]&511](9);e=1;i=b;return e|0}function ju(b,d){b=b|0;d=+d;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0;e=c[b+60>>2]|0;yu(b);f=e+540|0;Td[c[(c[f>>2]|0)+84>>2]&255](e)|0;Td[c[(c[f>>2]|0)+36>>2]&255](e)|0;Td[c[(c[f>>2]|0)+32>>2]&255](e)|0;g=b+48|0;ce[c[(c[f>>2]|0)+68>>2]&127](e,c[g>>2]|0)|0;f=e+8|0;i=c[e+184>>2]|0;if((i|0)>0){j=c[b+52>>2]|0;k=(j|0)==0;l=c[g>>2]|0;g=0;m=0.0;while(1){if(k){n=1.0}else{n=+h[j+(g<<3)>>3]}o=+h[l+(g<<3)>>3]/n;p=m+o*o;q=g+1|0;if((q|0)<(i|0)){g=q;m=p}else{r=p;break}}}else{r=0.0}if(!(d<1.0)){s=r;return+s}m=r*d;g=c[e+116>>2]|0;if((g|0)>0){i=c[f>>2]|0;l=b+56|0;r=1.0-d;j=e+4|0;k=0;q=0;n=m;while(1){if((a[i+(k*112|0)+88|0]|0)==0){t=n;u=q}else{v=c[l>>2]|0;if((v|0)==0){w=1.0;x=q}else{w=+h[v+(q<<3)>>3];x=q+1|0}p=(+h[i+(k*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3])/w;t=n+p*r*p;u=x}v=k+1|0;if((v|0)<(g|0)){k=v;q=u;n=t}else{y=u;z=t;break}}}else{y=0;z=m}u=c[e+136>>2]|0;if((u|0)>0){q=c[e+24>>2]|0;k=b+56|0;m=1.0-d;x=e+416|0;j=0;i=y;t=z;while(1){do{if((a[q+(j*112|0)+88|0]|0)==0){A=t;B=i}else{if((a[q+(j*112|0)+72|0]|0)!=0){A=t;B=i;break}l=c[k>>2]|0;if((l|0)==0){C=1.0;D=i}else{C=+h[l+(i<<3)>>3];D=i+1|0}n=(+h[q+(j*112|0)+96>>3]- +h[(c[x>>2]|0)+(j<<3)>>3])/C;A=t+n*m*n;B=D}}while(0);l=j+1|0;if((l|0)<(u|0)){j=l;i=B;t=A}else{E=B;F=A;break}}}else{E=y;F=z}y=c[e+120>>2]|0;B=g-y|0;if((B|0)>=(y|0)){s=F;return+s}g=c[f>>2]|0;f=b+56|0;z=1.0-d;b=e+416|0;e=B;B=E;d=F;while(1){do{if((a[g+(e*112|0)+88|0]|0)==0){G=d;H=B}else{if((a[g+(e*112|0)+72|0]|0)!=0){G=d;H=B;break}E=c[f>>2]|0;if((E|0)==0){I=1.0;J=B}else{I=+h[E+(B<<3)>>3];J=B+1|0}F=(+h[g+(e*112|0)+96>>3]- +h[(c[b>>2]|0)+(e<<3)>>3])/I;G=d+F*z*F;H=J}}while(0);E=e+1|0;if((E|0)<(y|0)){e=E;B=H;d=G}else{s=G;break}}return+s}function ku(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;e=+ju(b,1.0);if((c[229115]|0)==0){i=d;return}f=b+16|0;g=c[f>>2]|0;if((g|0)>0){j=c[b+48>>2]|0;k=0;l=0.0;while(1){m=+h[j+(k<<3)>>3];n=l+m*m;o=k+1|0;if((o|0)<(g|0)){k=o;l=n}else{p=n;break}}}else{p=0.0}Dq(9,1,889440,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;g=b+52|0;if((c[g>>2]|0)==0){Dq(9,0,42904,(k=i,i=i+8|0,h[k>>3]=p,k)|0);i=k}else{Dq(9,0,50392,(k=i,i=i+16|0,h[k>>3]=p,h[k+8>>3]=e,k)|0);i=k}Dq(9,1,38024,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=b+4|0;o=c[j>>2]|0;if((o|0)>0){q=b+40|0;r=b+24|0;s=b+44|0;t=0;while(1){u=c[q>>2]|0;v=t+1|0;e=+h[(c[r>>2]|0)+(t<<3)>>3];w=c[(c[s>>2]|0)+(t<<2)>>2]|0;if((u|0)==0){Dq(9,0,29720,(k=i,i=i+24|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,k)|0);i=k}else{p=+h[u+(t<<3)>>3];Dq(9,0,33720,(k=i,i=i+32|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,h[k+24>>3]=p,k)|0);i=k}w=c[j>>2]|0;if((v|0)<(w|0)){t=v}else{x=v;y=w;break}}}else{x=0;y=o}o=b+8|0;if((x|0)<((c[o>>2]|0)+y|0)){y=b+40|0;t=b+24|0;s=b+44|0;r=x;while(1){q=c[y>>2]|0;w=r+1|0;p=+h[(c[t>>2]|0)+(r<<3)>>3];v=c[(c[s>>2]|0)+(r<<2)>>2]|0;if((q|0)==0){Dq(9,0,23568,(k=i,i=i+24|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,k)|0);i=k}else{e=+h[q+(r<<3)>>3];Dq(9,0,26248,(k=i,i=i+32|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,h[k+24>>3]=e,k)|0);i=k}if((w|0)<((c[o>>2]|0)+(c[j>>2]|0)|0)){r=w}else{z=w;break}}}else{z=x}x=b|0;if((z|0)<(c[x>>2]|0)){r=b+40|0;j=b+24|0;o=b+44|0;s=z;while(1){z=c[r>>2]|0;t=s+1|0;e=+h[(c[j>>2]|0)+(s<<3)>>3];y=c[(c[o>>2]|0)+(s<<2)>>2]|0;if((z|0)==0){Dq(9,0,901288,(k=i,i=i+24|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,k)|0);i=k}else{p=+h[z+(s<<3)>>3];Dq(9,0,904024,(k=i,i=i+32|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,h[k+24>>3]=p,k)|0);i=k}if((t|0)<(c[x>>2]|0)){s=t}else{break}}}Qd[c[3540]&511](9);Dq(9,1,899056,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[f>>2]|0)>0){s=b+48|0;b=a+540|0;a=0;while(1){x=(c[g>>2]|0)==0;o=a+1|0;p=+h[(c[s>>2]|0)+(a<<3)>>3];j=Td[c[(c[b>>2]|0)+64>>2]&255](a)|0;if(x){Dq(9,0,29720,(k=i,i=i+24|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,k)|0);i=k}else{e=+h[(c[g>>2]|0)+(a<<3)>>3];Dq(9,0,33720,(k=i,i=i+32|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,h[k+24>>3]=e,k)|0);i=k}if((o|0)<(c[f>>2]|0)){a=o}else{break}}}Qd[c[3540]&511](9);Qd[c[3540]&511](9);i=d;return}function lu(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;d=i;e=b+8|0;if((c[229115]|0)!=0){ht(b,9)}if((c[229130]|0)==0){i=d;return}Dq(24,1,897168,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+112|0;j=c[g>>2]|0;do{if((j|0)>0){Dq(24,1,895712,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=e|0;l=b+4|0;m=b+400|0;n=0;while(1){o=n+1|0;p=c[k>>2]|0;q=c[p+(n*112|0)+4>>2]|0;r=+h[p+(n*112|0)+96>>3];s=+h[p+(n*112|0)+80>>3];t=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3];u=+h[(c[m>>2]|0)+(n<<3)>>3];Dq(24,0,894616,(f=i,i=i+48|0,c[f>>2]=o,c[f+8>>2]=q,h[f+16>>3]=r,h[f+24>>3]=s,h[f+32>>3]=t,h[f+40>>3]=u,f)|0);i=f;if((o|0)<(c[g>>2]|0)){n=o}else{break}}}Qd[c[3540]&511](24);n=c[g>>2]|0;if((n|0)<=0){v=n;break}Dq(24,1,893736,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;n=c[g>>2]|0;if((n|0)<(n<<1|0)){m=e|0;l=b+4|0;k=b+400|0;o=n;while(1){n=o+1|0;q=c[(c[m>>2]|0)+(o*112|0)+4>>2]|0;u=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)>>3];t=+h[(c[k>>2]|0)+(o<<3)>>3];Dq(24,0,892720,(f=i,i=i+32|0,c[f>>2]=n,c[f+8>>2]=q,h[f+16>>3]=u,h[f+24>>3]=t,f)|0);i=f;if((n|0)<(c[g>>2]<<1|0)){o=n}else{break}}}Qd[c[3540]&511](24);v=c[g>>2]|0}else{v=j}}while(0);j=b+116|0;if((v<<1|0)<(c[j>>2]|0)){Dq(24,1,891968,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;v=c[g>>2]<<1;if((v|0)<(c[j>>2]|0)){g=e|0;e=b+4|0;o=b+400|0;k=v;while(1){v=k+1|0;l=c[g>>2]|0;m=c[l+(k*112|0)+4>>2]|0;t=+h[l+(k*112|0)+96>>3];u=+h[l+(k*112|0)+80>>3];s=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3];r=+h[(c[o>>2]|0)+(k<<3)>>3];Dq(24,0,894616,(f=i,i=i+48|0,c[f>>2]=v,c[f+8>>2]=m,h[f+16>>3]=t,h[f+24>>3]=u,h[f+32>>3]=s,h[f+40>>3]=r,f)|0);i=f;if((v|0)<(c[j>>2]|0)){k=v}else{break}}}Qd[c[3540]&511](24)}k=b+124|0;if((c[k>>2]|0)>0){Dq(24,1,891304,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[k>>2]|0)>0){j=b+12|0;o=b+4|0;e=b+404|0;g=0;while(1){v=g+1|0;m=c[j>>2]|0;l=c[m+(g*60|0)+4>>2]|0;n=c[m+(g*60|0)+52>>2]|0;m=c[(c[(c[c[o>>2]>>2]|0)+12>>2]|0)+(g<<2)>>2]|0;q=c[(c[e>>2]|0)+(g<<2)>>2]|0;Dq(24,0,890496,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=l,c[f+16>>2]=n,c[f+24>>2]=m,c[f+32>>2]=q,f)|0);i=f;if((v|0)<(c[k>>2]|0)){g=v}else{break}}}Qd[c[3540]&511](24)}g=b+128|0;if((c[g>>2]|0)>0){Dq(24,1,889720,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=b+16|0;e=b+4|0;o=b+408|0;j=0;while(1){v=j+1|0;q=c[k>>2]|0;m=c[q+(j*48|0)+4>>2]|0;n=(a[q+(j*48|0)+42|0]|0)!=0?708160:56520;q=(a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+j|0]|0)!=0?708160:56520;l=(a[(c[o>>2]|0)+j|0]|0)!=0?708160:56520;Dq(24,0,888512,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=m,c[f+16>>2]=n,c[f+24>>2]=q,c[f+32>>2]=l,f)|0);i=f;if((v|0)<(c[g>>2]|0)){j=v}else{break}}}Qd[c[3540]&511](24)}j=b+132|0;if((c[j>>2]|0)>0){Dq(24,1,55656,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){g=b+20|0;o=b+4|0;e=b+412|0;b=0;while(1){k=b+1|0;v=c[g>>2]|0;l=c[v+(b*52|0)+4>>2]|0;q=c[v+(b*52|0)+44>>2]|0;v=c[(c[(c[c[o>>2]>>2]|0)+20>>2]|0)+(b<<2)>>2]|0;n=c[(c[e>>2]|0)+(b<<2)>>2]|0;Dq(24,0,54528,(f=i,i=i+40|0,c[f>>2]=k,c[f+8>>2]=l,c[f+16>>2]=q,c[f+24>>2]=v,c[f+32>>2]=n,f)|0);i=f;if((k|0)<(c[j>>2]|0)){b=k}else{break}}}Qd[c[3540]&511](24)}Qd[c[3540]&511](24);i=d;return}function mu(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;k=i;l=b+540|0;m=(c[(c[l>>2]|0)+72>>2]|0)!=0?3:2;Dq(9,0,53616,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;if((f|0)==0){et(b);ft(b);o=6}else{if((a[f]|0)!=0){nu(b,f,g)}et(b);ft(b);if((a[f]|0)==0){o=6}}if((o|0)==6){Td[c[(c[l>>2]|0)+84>>2]&255](b)|0;Td[c[(c[l>>2]|0)+60>>2]&255](b)|0}do{if((d|0)==0){p=m}else{if((a[d]|0)==0){p=m;break}o=(IU(d,26832)|0)==0|0;f=(IU(d,26592)|0)==0;q=(IU(d,26384)|0)==0;r=q?3:f?2:o;if((r|0)!=0){p=r;break}Fq(1,0,52232,(n=i,i=i+8|0,c[n>>2]=d,n)|0);i=n;Fq(1,0,51576,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;Fq(1,0,50816,(n=i,i=i+16|0,c[n>>2]=26832,c[n+8>>2]=27536,n)|0);i=n;Fq(1,0,50816,(n=i,i=i+16|0,c[n>>2]=26592,c[n+8>>2]=27192,n)|0);i=n;Fq(1,0,50816,(n=i,i=i+16|0,c[n>>2]=26384,c[n+8>>2]=27016,n)|0);i=n;Hq(c[b+536>>2]|0,49488,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);do{if((e|0)==0){s=3}else{if((a[e]|0)==0){s=3;break}else{t=0;u=1}do{d=(IU(e,c[913976+(u<<2)>>2]|0)|0)==0;t=d?u:t;u=u+1|0;}while((u|0)<7);if((t|0)!=0){s=t;break}Fq(1,0,48680,(n=i,i=i+8|0,c[n>>2]=e,n)|0);i=n;Fq(1,0,51576,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;d=1;do{m=c[914040+(d<<2)>>2]|0;Fq(1,0,50816,(n=i,i=i+16|0,c[n>>2]=c[913976+(d<<2)>>2],c[n+8>>2]=m,n)|0);i=n;d=d+1|0;}while((d|0)<7);Hq(c[b+536>>2]|0,49488,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);e=c[915656+(p<<2)>>2]|0;Dq(9,0,47688,(n=i,i=i+16|0,c[n>>2]=c[915640+(p<<2)>>2],c[n+8>>2]=e,n)|0);i=n;e=(p|0)==2;if(e){t=c[914040+(s<<2)>>2]|0;Dq(9,0,47048,(n=i,i=i+16|0,c[n>>2]=c[913976+(s<<2)>>2],c[n+8>>2]=t,n)|0);i=n}t=b+312|0;a[t]=1;u=b+200|0;if((c[u>>2]|0)>0){d=b+468|0;m=0;do{a[(c[d>>2]|0)+(m*80|0)+72|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}u=b+196|0;if((c[u>>2]|0)>0){m=b+476|0;d=0;do{a[(c[m>>2]|0)+(d<<6)+56|0]=1;d=d+1|0;}while((d|0)<(c[u>>2]|0))}u=b+192|0;if((c[u>>2]|0)>0){d=b+484|0;m=0;do{a[(c[d>>2]|0)+(m*40|0)+36|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}do{if((p|0)==1){v=0}else{if(e){v=ou(b,s,j)|0;break}if((p|0)==3){pu(b,j);v=0;break}else{Hq(c[b+536>>2]|0,46368,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}}while(0);do{if((Mt(b,1)|0)==0){if((Ft(b,1)|0)!=0){w=-3;break}j=(wt(b,1)|0)==0;w=j?v:-4}else{w=-2}}while(0);lu(b);Dq(9,0,45784,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;a[t]=0;Ps(b,+h[b+240>>3],+h[b+248>>3]);bt(b);gt(b);Ys(b);Td[c[(c[l>>2]|0)+52>>2]&255](b)|0;ce[c[(c[l>>2]|0)+96>>2]&127](b,1)|0;ct(b);i=k;return w|0}



function kp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 15:{c[h>>2]=78;j=0;break};case 29:{c[h>>2]=110;j=2;break};case 12:{c[h>>2]=78;j=1;break};case 13:{c[h>>2]=78;j=56;break};case 14:{j=0;break};case 11:{c[h>>2]=78;j=55;break};case 16:{if((fe[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,915608)|0)!=0){c[h>>2]=98;j=3;break a}else{k=11;break a}break};default:{k=11}}}while(0);if((k|0)==11){j=op(h,a)|0}i=g;return j|0}function lp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;a:do{switch(a|0){case 26:{j=12;break};case 33:{c[h>>2]=20;k=0;break};case 15:{k=0;break};case-4:{if((c[h+12>>2]|0)!=0){j=12;break a}else{k=0;break a}break};case 34:{if((c[h+12>>2]|0)==0){j=12;break a}else{b=h+12|0;c[b>>2]=(c[b>>2]|0)-1;k=0;break a}break};default:{k=np(h,a,d,e,f)|0}}}while(0);if((j|0)==12){k=op(h,a)|0}i=g;return k|0}function mp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==18){j=3}else if((f|0)==15){k=0;l=k;i=g;return l|0}do{if((j|0)==3){if((fe[c[e+28>>2]&127](e,b,d,915512)|0)!=0){c[h>>2]=22;k=0;l=k;i=g;return l|0}if((fe[c[e+28>>2]&127](e,b,d,915528)|0)==0){break}c[h>>2]=24;k=0;l=k;i=g;return l|0}}while(0);k=op(h,a)|0;l=k;i=g;return l|0}function np(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;a:do{switch(a|0){case 13:{j=56;break};case 15:{j=0;break};case-4:{j=0;break};case 11:{j=55;break};case 28:{j=60;break};case 26:{c[h>>2]=120;j=3;break};case 16:{if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,915568)|0)!=0){c[h>>2]=38;j=11;break a}if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,915624)|0)!=0){c[h>>2]=92;j=33;break a}if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,915600)|0)!=0){c[h>>2]=68;j=39;break a}if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,915448)|0)!=0){c[h>>2]=6;j=17;break a}else{k=17;break a}break};default:{k=17}}}while(0);if((k|0)==17){j=op(h,a)|0}i=g;return j|0}function op(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;do{if((c[e+16>>2]|0)==0){if((b|0)!=28){break}f=59;g=f;i=d;return g|0}}while(0);c[e>>2]=110;f=-1;g=f;i=d;return g|0}function pp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;i=i;return 0}function qp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==22){c[e>>2]=40;g=11}else if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=34;g=9}else{g=op(e,a)|0}i=f;return g|0}function rp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=90;g=34}else if((b|0)==15){g=33}else{g=op(e,a)|0}i=f;return g|0}function sp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=39}else if((b|0)==18|(b|0)==41){c[e>>2]=70;g=40}else{g=op(e,a)|0}i=f;return g|0}function tp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=4;g=18}else if((b|0)==15){g=17}else{g=op(e,a)|0}i=f;return g|0}function up(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==17){c[e>>2]=76;g=8}else{g=op(e,a)|0}i=f;return g|0}function vp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==11){g=55}else if((b|0)==13){g=56}else if((b|0)==29){c[e>>2]=110;g=2}else if((b|0)==15){g=0}else{g=op(e,a)|0}i=f;return g|0}function wp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==15){j=17;k=j;i=g;return k|0}else if((f|0)==18){l=3}do{if((l|0)==3){if((fe[c[e+28>>2]&127](e,b,d,915408)|0)!=0){c[h>>2]=8;j=17;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b,d,915432)|0)==0){break}c[h>>2]=10;j=17;k=j;i=g;return k|0}}while(0);j=op(h,a)|0;k=j;i=g;return k|0}function xp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==27){c[e>>2]=54;c[e+8>>2]=17;g=19}else{g=op(e,a)|0}i=f;return g|0}function yp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=12;g=21}else if((b|0)==15){g=17}else{g=op(e,a)|0}i=f;return g|0}function zp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=20}else if((b|0)==27){c[e>>2]=54;c[e+8>>2]=17;g=19}else{g=op(e,a)|0}i=f;return g|0}function Ap(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=c[e+8>>2]|0;h=g;i=f;return h|0}else if((b|0)==15){g=c[e+8>>2]|0;h=g;i=f;return h|0}else{g=op(e,a)|0;h=g;i=f;return h|0}return 0}function Bp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==23){c[h>>2]=64;c[h+4>>2]=1;j=44;k=j;i=g;return k|0}else if((f|0)==15){j=39;k=j;i=g;return k|0}else if((f|0)==18){if((fe[c[e+28>>2]&127](e,b,d,915592)|0)!=0){c[h>>2]=54;c[h+8>>2]=39;j=42;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b,d,915632)|0)==0){break}c[h>>2]=54;c[h+8>>2]=39;j=41;k=j;i=g;return k|0}}while(0);j=op(h,a)|0;k=j;i=g;return k|0}function Cp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 31:{c[h>>2]=58;j=52;break};case 15:{j=39;break};case 30:{c[h>>2]=58;j=53;break};case 18:case 41:{c[h>>2]=58;j=51;break};case 20:{if((fe[c[b+28>>2]&127](b,d+(c[b+68>>2]|0)|0,e,915440)|0)!=0){c[h>>2]=66;j=43;break a}else{k=11;break a}break};case 32:{c[h>>2]=58;j=54;break};case 23:{c[h+4>>2]=2;c[h>>2]=72;j=44;break};default:{k=11}}}while(0);if((k|0)==11){j=op(h,a)|0}i=g;return j|0}function Dp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==36){c[e>>2]=54;c[e+8>>2]=39;g=46}else if((b|0)==15){g=39}else if((b|0)==21){c[e>>2]=60;g=39}else if((b|0)==24){c[e>>2]=54;c[e+8>>2]=39;g=45}else{g=op(e,a)|0}i=f;return g|0}function Ep(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;switch(a|0){case 32:{c[e>>2]=58;g=54;break};case 23:{b=e+4|0;c[b>>2]=(c[b>>2]|0)+1;g=44;break};case 31:{c[e>>2]=58;g=52;break};case 30:{c[e>>2]=58;g=53;break};case 15:{g=39;break};case 18:case 41:{c[e>>2]=58;g=51;break};default:{g=op(e,a)|0}}i=f;return g|0}function Fp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;switch(a|0){case 24:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=45;h=g;i=f;return h|0};case 15:{g=39;h=g;i=f;return h|0};case 37:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=48;h=g;i=f;return h|0};case 35:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=47;h=g;i=f;return h|0};case 38:{c[e>>2]=72;g=50;h=g;i=f;return h|0};case 36:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=46;h=g;i=f;return h|0};case 21:{c[e>>2]=72;g=49;h=g;i=f;return h|0};default:{g=op(e,a)|0;h=g;i=f;return h|0}}return 0}function Gp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=39}else if((b|0)==18|(b|0)==41){c[e>>2]=62;g=51}else{g=op(e,a)|0}i=f;return g|0}function Hp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==36){c[e>>2]=54;c[e+8>>2]=39;g=46}else if((b|0)==21){c[e>>2]=60;g=39}else if((b|0)==15){g=39}else{g=op(e,a)|0}i=f;return g|0}function Ip(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=33}else if((b|0)==15){g=33}else if((b|0)==18|(b|0)==41){c[e>>2]=96;g=22}else{g=op(e,a)|0}i=f;return g|0}function Jp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==23){c[h>>2]=94;j=33;k=j;i=g;return k|0}else if((f|0)==15){j=33;k=j;i=g;return k|0}else if((f|0)==18){l=0;while(1){if((l|0)>=8){break}if((fe[c[e+28>>2]&127](e,b,d,c[20432+(l<<2)>>2]|0)|0)!=0){m=6;break}l=l+1|0}if((m|0)==6){c[h>>2]=82;j=l+23|0;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b,d,915448)|0)==0){break}c[h>>2]=84;j=33;k=j;i=g;return k|0}}while(0);j=op(h,a)|0;k=j;i=g;return k|0}function Kp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==20){if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,915520)|0)!=0){c[h>>2]=90;j=35;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,915416)|0)!=0){c[h>>2]=90;j=36;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,915560)|0)==0){break}c[h>>2]=80;j=33;k=j;i=g;return k|0}else if((f|0)==15){j=33;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=90;j=37;k=j;i=g;return k|0}}while(0);j=op(h,a)|0;k=j;i=g;return k|0}function Lp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==23){c[e>>2]=14;g=33}else if((b|0)==15){g=33}else{g=op(e,a)|0}i=f;return g|0}function Mp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==19|(b|0)==18|(b|0)==41){c[e>>2]=86;g=31}else{g=op(e,a)|0}i=f;return g|0}function Np(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==24){c[e>>2]=82;g=33}else if((b|0)==21){c[e>>2]=94;g=33}else if((b|0)==15){g=33}else{g=op(e,a)|0}i=f;return g|0}function Op(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18){c[e>>2]=88;g=32}else{g=op(e,a)|0}i=f;return g|0}function Pp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==21){c[e>>2]=14;g=33}else if((b|0)==24){c[e>>2]=82;g=33}else if((b|0)==15){g=33}else{g=op(e,a)|0}i=f;return g|0}function Qp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=90;g=38}else if((b|0)==15){g=33}else{g=op(e,a)|0}i=f;return g|0}function Rp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=16;g=10}else{g=op(e,a)|0}i=f;return g|0}function Sp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){if((fe[c[e+28>>2]&127](e,b,d,915408)|0)!=0){c[h>>2]=112;j=11;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b,d,915432)|0)==0){break}c[h>>2]=36;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=54;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}}while(0);j=op(h,a)|0;k=j;i=g;return k|0}function Tp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=74;g=13}else if((b|0)==15){g=11}else{g=op(e,a)|0}i=f;return g|0}function Up(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=112;g=14}else{g=op(e,a)|0}i=f;return g|0}function Vp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==17){c[h>>2]=(c[h+16>>2]|0)!=0?106:28;j=15;k=j;i=g;return k|0}else if((f|0)==18){if((fe[c[e+28>>2]&127](e,b,d,915488)|0)==0){break}c[h>>2]=42;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=op(h,a)|0;k=j;i=g;return k|0}function Wp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=54;c[e+8>>2]=11;g=16}else{g=op(e,a)|0}i=f;return g|0}function Xp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==27){c[h>>2]=54;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==18){if((fe[c[e+28>>2]&127](e,b,d,915408)|0)!=0){c[h>>2]=32;j=11;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b,d,915432)|0)==0){break}c[h>>2]=30;j=11;k=j;i=g;return k|0}}while(0);j=op(h,a)|0;k=j;i=g;return k|0}function Yp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=46;g=13}else{g=op(e,a)|0}i=f;return g|0}function Zp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=32;g=14}else{g=op(e,a)|0}i=f;return g|0}function _p(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=15}else if((b|0)==15){g=11}else{g=op(e,a)|0}i=f;return g|0}function $p(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==25){c[e>>2]=28;d=e+12|0;c[d>>2]=(c[d>>2]|0)+1;g=0}else if((b|0)==15){g=0}else{g=op(e,a)|0}i=f;return g|0}function aq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=0}else if((b|0)==25){c[e>>2]=28;g=58}else{g=op(e,a)|0}i=f;return g|0}function bq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 16:{if((fe[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,915608)|0)!=0){c[h>>2]=98;j=3;break a}else{k=10;break a}break};case 29:{c[h>>2]=110;j=2;break};case 11:{j=55;break};case 13:{j=56;break};case 14:{j=0;break};case 15:{j=0;break};default:{k=10}}}while(0);if((k|0)==10){j=op(h,a)|0}i=g;return j|0}function cq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=122;g=4}else if((b|0)==15){g=3}else{g=op(e,a)|0}i=f;return g|0}function dq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==25){c[h>>2]=106;j=7}else if((f|0)==15){j=3}else if((f|0)==18){if((fe[c[e+28>>2]&127](e,b,d,915408)|0)!=0){c[h>>2]=124;j=3;break}if((fe[c[e+28>>2]&127](e,b,d,915432)|0)!=0){c[h>>2]=102;j=3;break}else{k=10;break}}else if((f|0)==17){c[h>>2]=76;j=8}else{k=10}}while(0);if((k|0)==10){j=op(h,a)|0}i=g;return j|0}function eq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==27){c[e>>2]=118;g=5}else{g=op(e,a)|0}i=f;return g|0}function fq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==27){c[e>>2]=124;g=6}else{g=op(e,a)|0}i=f;return g|0}function gq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==17){c[e>>2]=76;g=8}else if((b|0)==25){c[e>>2]=106;g=7}else{g=op(e,a)|0}i=f;return g|0}function hq(){return}function iq(){return}function jq(){Dc(925600,0)|0;iq();return}function kq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;if((a|0)==0){d=c[u>>2]|0;Xa(30288,29,1,d|0)|0;Sa(d|0)|0;e=0;i=b;return e|0}d=c[a>>2]|0;if((d|0)<0){f=c[u>>2]|0;Xa(892944,54,1,f|0)|0;Sa(f|0)|0;e=0;i=b;return e|0}f=c[a+4>>2]|0;if((f|0)==0){a=c[u>>2]|0;Xa(53528,47,1,a|0)|0;Sa(a|0)|0;e=0;i=b;return e|0}else{g=0}while(1){if((g|0)>=(d|0)){e=1;h=10;break}j=c[f+(g<<2)>>2]|0;if((j|0)<0){break}else{g=g+1|0}}if((h|0)==10){i=b;return e|0}h=c[u>>2]|0;kd(h|0,45552,(f=i,i=i+16|0,c[f>>2]=g,c[f+8>>2]=j,f)|0)|0;i=f;Sa(h|0)|0;e=0;i=b;return e|0}function lq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;c[a>>2]=1;e=Wq(1)|0;c[a+4>>2]=e;c[e>>2]=b;c[a+8>>2]=d;return}function mq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;if((b|0)<=0){f=0;i=e;return f|0}g=a+4|0;a=0;h=0;while(1){j=(B=c[d+4>>2]|0,c[d+4>>2]=B+8,c[(c[d>>2]|0)+B>>2]|0);k=j-1|0;l=c[(c[g>>2]|0)+(h<<2)>>2]|0;if((j|0)>0&(k|0)<(l|0)){m=l;n=h+1|0}else{o=h+1|0;je[c[2162]&63](0,18544,55944,(p=i,i=i+24|0,c[p>>2]=o,c[p+8>>2]=l,c[p+16>>2]=j,p)|0);i=p;m=c[(c[g>>2]|0)+(h<<2)>>2]|0;n=o}o=(ga(m,a)|0)+k|0;if((n|0)<(b|0)){a=o;h=n}else{f=o;break}}i=e;return f|0}function nq(a,b){a=a|0;b=b|0;if((kq(a)|0)==0){fd(54992,31024,347,904496);return 0}if((b|0)<=0){fd(53936,31024,348,904496);return 0}if((c[a>>2]|0)<(b|0)){fd(53936,31024,348,904496);return 0}else{return c[(c[a+4>>2]|0)+(b-1<<2)>>2]|0}return 0}function oq(a,b){a=a|0;b=b|0;lq(a,b,Vq(b)|0);return}function pq(b,c,d){b=b|0;c=c|0;d=d|0;a[b+c|0]=d;return}function qq(a,b){a=a|0;b=b|0;return a+b|0}function rq(a,b,d){a=a|0;b=b|0;d=d|0;pq(c[d+8>>2]|0,b,a);return}function sq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;i=i+16|0;f=e|0;oq(a,b);g=f|0;h=f;c[h>>2]=d;c[h+4>>2]=0;if((b|0)>0){j=0}else{i=e;return}do{rq((B=c[g+4>>2]|0,c[g+4>>2]=B+8,c[(c[g>>2]|0)+B>>2]|0)&255,j,a);j=j+1|0;}while((j|0)<(b|0));i=e;return}function tq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=mq(a,b,f|0)|0;f=qq(c[a+8>>2]|0,g)|0;i=e;return f|0}function uq(){NU(916424|0,0|0,112|0)|0;NU(925688|0,0|0,112|0)|0;NU(925800|0,0|0,112|0)|0;c[229107]=1;c[229108]=1;return}function vq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;e=b;b=i;i=i+24|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];c[b+8>>2]=c[e+8>>2];c[b+12>>2]=c[e+12>>2];c[b+16>>2]=c[e+16>>2];c[b+20>>2]=c[e+20>>2];e=c[b+4>>2]|0;f=c[b+8>>2]|0;g=c[b+12>>2]|0;h=c[b+16>>2]|0;j=(c[b+20>>2]|0)!=0?35624:35232;kd(a|0,35904,(a=i,i=i+48|0,c[a>>2]=c[b>>2],c[a+8>>2]=e,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,c[a+40>>2]=j,a)|0)|0;i=a;i=d;return}function wq(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=i;j=925800+(d<<2)|0;k=925688+(d<<2)|0;l=915040+(b<<2)|0;m=915064+(d<<2)|0;n=(g|0)!=0;g=f;f=e;a:while(1){b:do{if(n){vc(32792,(o=i,i=i+8|0,c[o>>2]=32504,o)|0)|0;i=o;p=32504}else{if((c[231478]|0)==(d|0)){if((c[k>>2]|0)>0){q=32504}else{r=5}}else{r=5}if((r|0)==5){r=0;q=c[m>>2]|0}vc(32792,(o=i,i=i+8|0,c[o>>2]=q,o)|0)|0;i=o;do{if((c[231478]|0)==(d|0)){if((c[j>>2]|0)!=(b|0)){break}if((c[k>>2]|0)>0){p=32504;break b}}}while(0);p=c[l>>2]|0}}while(0);vc(31992,(o=i,i=i+8|0,c[o>>2]=p,o)|0)|0;i=o;c[j>>2]=b;c[231478]=d;if((c[k>>2]|0)>0){e=0;while(1){vc(31728,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0)|0;i=o;s=e+1|0;if((s|0)<(c[k>>2]|0)){e=s}else{t=0;break}}}else{t=0}while(1){u=g+t|0;e=a[u]|0;if((e<<24>>24|0)==0){break a}else if((e<<24>>24|0)==10){break}t=t+1|0}a[u]=0;Cc(g|0)|0;n=1;g=g+(t+1)|0;f=0}Cc(g|0)|0;Sa(0)|0;if((f|0)==0){i=h;return}c[k>>2]=(c[k>>2]|0)+1;i=h;return}function xq(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;f=i;h=c[915040+(a<<2)>>2]|0;vc(30984,(a=i,i=i+16|0,c[a>>2]=c[915064+(b<<2)>>2],c[a+8>>2]=h,a)|0)|0;i=a;yq(e);if((g|0)==0){e=c[r>>2]|0;Za(((d|0)!=0?30736:29488)|0,e|0)|0;j=e;k=Sa(j|0)|0;i=f;return}Cc(7888)|0;if((c[g>>2]|0)>=1){e=1;do{vc(30384,(a=i,i=i+8|0,c[a>>2]=c[g+(e<<2)>>2],a)|0)|0;i=a;e=e+1|0;}while((e|0)<=(c[g>>2]|0))}g=c[r>>2]|0;if((d|0)!=0){j=g;k=Sa(j|0)|0;i=f;return}Xa(30088,11,1,g|0)|0;j=g;k=Sa(j|0)|0;i=f;return}function yq(b){b=b|0;var d=0,e=0;d=c[r>>2]|0;e=b;while(1){b=a[e]|0;if((b<<24>>24|0)==0){break}else if((b<<24>>24|0)==38){Xa(29112,5,1,d|0)|0}else if((b<<24>>24|0)==60){Xa(28832,4,1,d|0)|0}else if((b<<24>>24|0)==62){Xa(28408,4,1,d|0)|0}else{Va(b<<24>>24|0,d|0)|0}e=e+1|0}return}function zq(a){a=a|0;var b=0;b=925688+(a<<2)|0;c[b>>2]=(c[b>>2]|0)-1;return}function Aq(a){a=a|0;var b=0;b=(a|0)==0;c[3538]=b?36:12;c[3540]=b?192:138;return}function Bq(a){a=a|0;a=c[r>>2]|0;Xa(30088,11,1,a|0)|0;Sa(a|0)|0;return}function Cq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+2064|0;h=g+2048|0;if((c[916424+(a<<2)>>2]|0)==0){i=g;return}j=h;c[j>>2]=f;c[j+4>>2]=0;j=g|0;dd(j|0,2048,e|0,h|0)|0;Yd[c[3538]&63](1,a,b,j,0,d);i=g;return}function Dq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+2064|0;g=f+2048|0;if((c[916424+(a<<2)>>2]|0)==0){i=f;return}h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;dd(h|0,2048,d|0,g|0)|0;Yd[c[3538]&63](1,a,b,h,0,0);i=f;return}function Eq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+2064|0;h=g|0;j=g+2048|0;do{if((c[229190]|0)==0){if((c[916424+(a<<2)>>2]|0)!=0){break}i=g;return}}while(0);k=j;c[k>>2]=f;c[k+4>>2]=0;k=h|0;dd(k|0,2048,e|0,j|0)|0;Yd[c[3538]&63](2,a,b,k,0,d);i=g;return}function Fq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+2064|0;g=f|0;h=f+2048|0;do{if((c[229190]|0)==0){if((c[916424+(a<<2)>>2]|0)!=0){break}i=f;return}}while(0);j=h;c[j>>2]=e;c[j+4>>2]=0;j=g|0;dd(j|0,2048,d|0,h|0)|0;Yd[c[3538]&63](2,a,b,j,0,0);i=f;return}function Gq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+2064|0;g=f+2048|0;if((b|0)!=0){i=f;return}b=g;c[b>>2]=e;c[b+4>>2]=0;b=f|0;dd(b|0,2048,d|0,g|0)|0;Yd[c[3538]&63](4,2,0,b,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}h=od(c[231400]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}function Hq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;i=i+2064|0;f=e+2048|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=e|0;dd(g|0,2048,b|0,f|0)|0;Yd[c[3538]&63](5,2,0,g,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}h=od(c[231400]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}function Iq(a){a=a|0;var b=0,d=0,e=0;b=i;d=iU(16)|0;Gq(0,(d|0)!=0|0,48144,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=a;c[d+12>>2]=0;i=b;return d|0}function Jq(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)!=0){e=d;while(1){d=c[e+4>>2]|0;jU(c[e>>2]|0);jU(e);if((d|0)==0){break}else{e=d}}}c[a+12>>2]=0;c[b>>2]=0;c[a+4>>2]=0;return}function Kq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;Gq(0,(a|0)!=0|0,896688,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=iU(8)|0;g=f;Gq(0,(f|0)!=0|0,48144,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=iU(c[h>>2]|0)|0;c[f>>2]=j;Gq(0,(j|0)!=0|0,48144,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;MU(j|0,b|0,c[h>>2]|0)|0;h=a|0;c[f+4>>2]=c[h>>2];f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;c[h>>2]=g;h=a+4|0;if((c[h>>2]|0)!=0){i=d;return}c[h>>2]=g;i=d;return}function Lq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;Gq(0,(a|0)!=0|0,896688,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=iU(8)|0;g=f;Gq(0,(f|0)!=0|0,48144,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=iU(c[h>>2]|0)|0;c[f>>2]=j;Gq(0,(j|0)!=0|0,48144,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;MU(j|0,b|0,c[h>>2]|0)|0;c[f+4>>2]=0;f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;f=a+4|0;h=c[f>>2]|0;if((h|0)!=0){c[h+4>>2]=g}c[f>>2]=g;f=a|0;if((c[f>>2]|0)!=0){i=d;return}c[f>>2]=g;i=d;return}function Mq(a){a=a|0;var b=0,d=0;b=i;Gq(0,(a|0)!=0|0,896688,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[a+12>>2]|0}function Nq(a){a=a|0;var b=0,d=0,e=0;b=i;Gq(0,(a|0)!=0|0,896688,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Gq(0,(c[e>>2]|0)!=0|0,707960,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[c[e>>2]>>2]|0}function Oq(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)==0){return}e=c[d+4>>2]|0;jU(c[d>>2]|0);jU(c[b>>2]|0);c[b>>2]=e;b=a+12|0;c[b>>2]=(c[b>>2]|0)-1;if((e|0)!=0){return}c[a+4>>2]=0;return}function Pq(a){a=a|0;var b=0,d=0,e=0;b=i;Gq(0,(a|0)!=0|0,896688,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Gq(0,(c[e>>2]|0)!=0|0,48288,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function Qq(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=(a|0)!=0;Gq(0,d&1,41464,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;if(!d){f=0;i=b;return f|0}f=c[a+4>>2]|0;i=b;return f|0}function Rq(a){a=a|0;var b=0,d=0,e=0;b=i;Gq(0,(a|0)!=0|0,41464,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Gq(0,(c[e>>2]|0)!=0|0,36720,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function Sq(){var a=0;a=iU(16)|0;c[231402]=a;c[a+4>>2]=0;c[a+8>>2]=2097152;c[a>>2]=iU(2097152)|0;c[a+12>>2]=0;return}function Tq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=Xq(a)|0;d;Yq(b);d=c[231402]|0;a=d+4|0;e=c[a>>2]|0;f=(c[d>>2]|0)+e|0;c[a>>2]=e+b;g;NU(f|0,0,b|0)|0;return f|0}function Uq(){var a=0,b=0,d=0;a=c[231402]|0;b=c[a+12>>2]|0;if((b|0)==0){d=a}else{a=b;while(1){b=c[a+12>>2]|0;jU(c[a>>2]|0);jU(a);if((b|0)==0){break}else{a=b}}d=c[231402]|0}c[d+4>>2]=0;c[d+12>>2]=0;return 0}function Vq(a){a=a|0;return Td[c[2172]&255](a)|0}function Wq(a){a=a|0;return Td[c[2172]&255](a<<2)|0}function Xq(a){a=a|0;return a+7&-8|0}function Yq(a){a=a|0;var b=0,d=0,e=0;b=c[231402]|0;d=b+8|0;if(!(((c[d>>2]|0)-(c[b+4>>2]|0)|0)>>>0<a>>>0)){return}e=iU(16)|0;c[e+12>>2]=b;c[231402]=e;c[e+4>>2]=0;b=Zq((((c[d>>2]|0)*3|0)>>>1)+a|0)|0;c[e+8>>2]=b;c[e>>2]=iU(b)|0;return}function Zq(a){a=a|0;var b=0;b=a-1|0;a=b>>>1|b;b=a>>>2|a;a=b>>>4|b;b=a>>>8|a;return(b>>>16|b)+1|0}function _q(a){a=a|0;return KU(a|0)|0}function $q(b,c){b=+b;c=c|0;var d=0,e=0,f=0;d=i;i=i+440|0;e=d|0;f=e|0;a[f]=37;TU(e+1|0,c|0)|0;c=d+40|0;Ob(c|0,f|0,(f=i,i=i+8|0,h[f>>3]=b,f)|0)|0;i=f;f=ar(c)|0;i=d;return f|0}function ar(a){a=a|0;var b=0,c=0;b=KU(a|0)|0;c=cr(b)|0;MU(c|0,a|0,b)|0;return c|0}function br(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+440|0;f=e|0;g=f|0;a[g]=37;TU(f+1|0,d|0)|0;d=e+40|0;Ob(d|0,g|0,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;g=ar(d)|0;i=e;return g|0}function cr(b){b=b|0;var d=0;d=Td[c[2173]&255](b+1|0)|0;if((d|0)==0){return d|0}a[d+b|0]=0;return d|0}function dr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=_q(a)|0;d=_q(b)|0;e=cr(d+c|0)|0;MU(e|0,a|0,c)|0;MU(e+c|0,b|0,d)|0;return e|0}function er(a,b){a=a|0;b=b|0;return IU(c[a>>2]|0,c[b>>2]|0)|0}function fr(a){a=a|0;var b=0,c=0,d=0,e=0;b=(a|0)%100|0;c=(b|0)/10|0;d=(a|0)%10|0;a:do{if((a+999|0)>>>0>1998>>>0){e=-1}else{if((((a|0)%1e3|0)+99|0)>>>0>198>>>0){e=-1;break}if((d|0)==2){e=-1;break}else if((d|0)==1){if((b-50|0)>>>0>9>>>0){e=-1;break}}switch(c|0){case 2:{e=4;break a;break};case 3:{e=2;break a;break};case 4:{e=2;break a;break};case 0:{e=8;break a;break};case 5:{e=1;break a;break};case 1:{e=4;break a;break};default:{e=-1;break a}}}}while(0);return e|0}function gr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=a|0;d=c[b>>2]|0;if((d|0)!=0){Oa(d|0)|0;c[b>>2]=0}d=a+4|0;e=c[d>>2]|0;if((e|0)!=0){jU(e);c[d>>2]=0}d=a+8|0;if((c[d>>2]|0)!=0){e=a+12|0;f=0;do{jU(c[(c[e>>2]|0)+(f<<4)>>2]|0);jU(c[(c[e>>2]|0)+(f<<4)+4>>2]|0);f=f+1|0;}while(f>>>0<(c[d>>2]|0)>>>0)}c[d>>2]=0;if((c[b>>2]|0)!=0){b=a+12|0;jU(c[b>>2]|0);c[b>>2]=0}b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){jU(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;f=a+40|0;if((d&2147483647|0)!=0){a=0;e=d;while(1){d=c[(c[f>>2]|0)+(a<<2)>>2]|0;if((d|0)==0){g=e}else{jU(d);g=c[b>>2]|0}d=a+1|0;if(d>>>0<g<<1>>>0){a=d;e=g}else{break}}}c[b>>2]=0;b=c[f>>2]|0;if((b|0)==0){return}jU(b);c[f>>2]=0;return}function hr(b){b=b|0;var c=0,d=0,e=0,f=0;c=0;d=0;while(1){e=a[b+c|0]|0;if(e<<24>>24==32){f=d}else{a[b+d|0]=e;f=d+1|0}e=c+1|0;if(e>>>0>(KU(b|0)|0)>>>0){break}else{c=e;d=f}}return}function ir(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=i;i=i+88|0;f=e|0;j=e+24|0;k=e+72|0;NU(d|0,0,48)|0;l=xc(b|0,25304)|0;m=d|0;c[m>>2]=l;if((l|0)==0){n=Wc(c[(Vc()|0)>>2]|0)|0;i=e;return n|0}c[d+4>>2]=Ic(b|0)|0;c[d+36>>2]=0;b=f;l=d+44|0;o=f|0;p=f+12|0;q=f+16|0;r=f+4|0;s=f+8|0;f=j|0;t=k|0;u=d+8|0;v=d+12|0;w=d+16|0;x=d+20|0;y=d+28|0;z=d+24|0;A=d+32|0;B=d+40|0;d=1;C=0;a:while(1){D=gd(b|0,20,1,c[m>>2]|0)|0;a[l]=1;if((D|0)!=1){n=22232;E=131;break}D=c[o>>2]|0;if((D|0)!=(c[8592+(C<<2)>>2]|0)){if(!((C|0)>3&(D|0)==10)){n=903008;E=131;break}a[l]=0}F=c[p>>2]|0;if(F>>>0>1>>>0){n=900256;E=131;break}G=fr(D)|0;if((G|0)==-1){n=898288;E=131;break}D=c[q>>2]|0;H=iU(D)|0;if((gd(H|0,D|0,1,c[m>>2]|0)|0)!=1){n=896624;E=131;break}if((a[H+(D-1)|0]|0)!=0){n=895280;E=131;break}D=c[r>>2]|0;I=c[s>>2]|0;J=ga(ga(ga(D,G)|0,I)|0,F+1|0)|0;if((IU(H,c[8616+(C<<2)>>2]|0)|0)!=0){n=894272;E=131;break}jU(H);b:do{switch(C|0){case 4:{if((d<<24>>24|0)==1){if((D|0)==0){n=888200;E=131;break a}if(!((I-1|0)>>>0<2>>>0)){n=707888;E=131;break a}c[w>>2]=D;H=ga(I,D)|0;if((a[l]|0)==1){F=iU(H<<3)|0;c[x>>2]=F;if((gd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=56160;E=131;break a}}else{F=iU(H<<2)|0;G=F;c[x>>2]=iU(ga(D<<3,I)|0)|0;if((gd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=56160;E=131;break a}if((H|0)!=0){K=c[x>>2]|0;L=0;do{h[K+(L<<3)>>3]=+g[G+(L<<2)>>2];L=L+1|0;}while(L>>>0<H>>>0)}jU(F)}H=c[w>>2]|0;if(!(H>>>0>1>>>0)){M=1;E=130;break b}L=(I|0)==2;G=1;while(1){if(L){K=c[x>>2]|0;if(+h[K+(G<<3)>>3]!=+h[K+(H+G<<3)>>3]){n=55176;E=131;break a}}K=G+1|0;if(K>>>0<H>>>0){G=K}else{M=1;E=130;break b}}}else if((d<<24>>24|0)!=0){N=d;E=129;break b}if((I|0)==0){n=888200;E=131;break a}if(!((D-1|0)>>>0<2>>>0)){n=54128;E=131;break a}c[w>>2]=I;G=ga(I,D)|0;if((a[l]|0)==1){H=iU(G<<3)|0;L=H;c[x>>2]=iU(ga(D<<3,I)|0)|0;if((gd(H|0,J|0,1,c[m>>2]|0)|0)!=1){n=56160;E=131;break a}if((D|0)!=0){F=0;do{K=c[x>>2]|0;O=0;do{h[K+((ga(I,F)|0)+O<<3)>>3]=+h[L+((ga(D,O)|0)+F<<3)>>3];O=O+1|0;}while(O>>>0<I>>>0);F=F+1|0;}while(F>>>0<D>>>0)}jU(H)}else{F=iU(G<<2)|0;L=F;c[x>>2]=iU(ga(D<<3,I)|0)|0;if((gd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=56160;E=131;break a}if((D|0)!=0){O=0;do{K=c[x>>2]|0;P=0;do{h[K+((ga(I,O)|0)+P<<3)>>3]=+g[L+((ga(D,P)|0)+O<<2)>>2];P=P+1|0;}while(P>>>0<I>>>0);O=O+1|0;}while(O>>>0<D>>>0)}jU(F)}O=c[w>>2]|0;if(!(O>>>0>1>>>0)){M=d;E=130;break b}L=(D|0)==2;G=1;while(1){if(L){H=c[x>>2]|0;if(+h[H+(G<<3)>>3]!=+h[H+(O+G<<3)>>3]){n=55176;E=131;break a}}H=G+1|0;if(H>>>0<O>>>0){G=H}else{M=d;E=130;break}}break};case 3:{G=ga(I<<2,D)|0;Q=iU(G)|0;O=Q;if((gd(Q|0,G|0,1,c[m>>2]|0)|0)!=1){E=52;break a}do{if((d<<24>>24|0)==0){if((D|0)==0){break}G=c[v>>2]|0;L=0;do{c[G+(L<<4)+8>>2]=(c[O+(L<<2)>>2]|0)==1;c[G+(L<<4)+12>>2]=c[O+(D+L<<2)>>2];L=L+1|0;}while(L>>>0<D>>>0)}else if((d<<24>>24|0)==1){if((I|0)==0){break}L=c[v>>2]|0;G=0;do{F=ga(D,G)|0;c[L+(G<<4)+8>>2]=(c[O+(F<<2)>>2]|0)==1;c[L+(G<<4)+12>>2]=c[O+(F+1<<2)>>2];G=G+1|0;}while(G>>>0<I>>>0)}}while(0);jU(Q);Fc(c[v>>2]|0,c[u>>2]|0,16,66);M=d;E=130;break};case 1:{O=d<<24>>24==0;G=O?D:I;c[u>>2]=G;L=iU(G<<4)|0;c[v>>2]=L;c:do{if(d<<24>>24==1){if((I|0)==0){R=0;break}G=D+1|0;F=0;H=L;while(1){c[H+(F<<4)>>2]=iU(G)|0;if((gd(c[(c[v>>2]|0)+(F<<4)>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=890160;E=131;break a}a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+D|0]=0;P=c[v>>2]|0;c[P+(F<<4)+8>>2]=-1;c[P+(F<<4)+12>>2]=-1;hr(c[P+(F<<4)>>2]|0);P=F+1|0;if(!(P>>>0<I>>>0)){R=I;break c}F=P;H=c[v>>2]|0}}else{R=I}}while(0);if(!O){M=d;E=130;break b}L=ga(D,R)|0;S=iU(L+1|0)|0;if((gd(S|0,L|0,1,c[m>>2]|0)|0)!=1){E=33;break a}if((D|0)!=0){L=R+1|0;H=(R|0)==0;F=0;do{G=iU(L)|0;c[(c[v>>2]|0)+(F<<4)>>2]=G;if(!H){G=0;do{P=a[S+((ga(D,G)|0)+F)|0]|0;a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+G|0]=P;G=G+1|0;}while(G>>>0<R>>>0)}a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+R|0]=0;G=c[v>>2]|0;c[G+(F<<4)+8>>2]=-1;c[G+(F<<4)+12>>2]=-1;hr(c[G+(F<<4)>>2]|0);F=F+1|0;}while(F>>>0<D>>>0)}jU(S);M=0;E=130;break};case 0:{if((D|0)!=4){n=893384;E=131;break a}if((I|0)!=11){n=892328;E=131;break a}if((gd(f|0,44,1,c[m>>2]|0)|0)==1){T=0}else{n=891696;E=131;break a}while(1){F=0;do{a[k+F|0]=a[j+((F<<2)+T)|0]|0;F=F+1|0;}while(F>>>0<11>>>0);a[k+11|0]=0;if((T|0)==3){break}F=T+1|0;if(F>>>0<4>>>0){T=F}else{M=d;E=130;break b}}if((JU(t,c[4800]|0,8)|0)==0){M=1;E=130;break b}if((JU(t,c[4802]|0,9)|0)==0){M=0;E=130}else{n=891e3;E=131;break a}break};case 2:{if((d<<24>>24|0)==1){if((I|0)==0){N=1;E=129;break b}F=D+1|0;H=0;while(1){L=iU(F)|0;c[(c[v>>2]|0)+(H<<4)+4>>2]=L;if((gd(c[(c[v>>2]|0)+(H<<4)+4>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=890160;E=131;break a}a[(c[(c[v>>2]|0)+(H<<4)+4>>2]|0)+D|0]=0;L=H+1|0;if(L>>>0<I>>>0){H=L}else{M=1;E=130;break b}}}else if((d<<24>>24|0)!=0){N=d;E=129;break b}H=ga(D,I)|0;U=iU(H+1|0)|0;if((gd(U|0,H|0,1,c[m>>2]|0)|0)!=1){E=46;break a}if((D|0)!=0){H=I+1|0;F=(I|0)==0;L=0;do{O=iU(H)|0;c[(c[v>>2]|0)+(L<<4)+4>>2]=O;if(!F){O=0;do{G=a[U+((ga(D,O)|0)+L)|0]|0;a[(c[(c[v>>2]|0)+(L<<4)+4>>2]|0)+O|0]=G;O=O+1|0;}while(O>>>0<I>>>0)}a[(c[(c[v>>2]|0)+(L<<4)+4>>2]|0)+I|0]=0;L=L+1|0;}while(L>>>0<D>>>0)}jU(U);M=0;E=130;break};case 5:{if((d<<24>>24|0)==1){c[y>>2]=I;if(I>>>0<2>>>0){n=53184;E=131;break a}c[z>>2]=D;c[A>>2]=Mb(c[m>>2]|0)|0;c[B>>2]=kU(c[z>>2]<<1,4)|0;if((sd(c[m>>2]|0,J|0,1)|0)==-1){n=52600;E=131;break a}else{M=1;E=130;break b}}else if((d<<24>>24|0)!=0){n=0;E=131;break a}c[y>>2]=D;if(D>>>0<2>>>0){n=53184;E=131;break a}c[z>>2]=I;c[A>>2]=Mb(c[m>>2]|0)|0;c[B>>2]=kU(c[z>>2]<<1,4)|0;L=ga(I,D)|0;if((a[l]|0)==1){F=iU(L<<3)|0;if((gd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=52600;E=131;break a}if((I|0)!=0){H=D<<3;O=(D|0)==0;G=D<<3;P=0;do{K=iU(H)|0;c[(c[B>>2]|0)+(P<<2)>>2]=K;if(!O){K=F+(ga(G,P)|0)|0;MU(c[(c[B>>2]|0)+(P<<2)>>2]|0,K|0,G)|0}P=P+1|0;}while(P>>>0<I>>>0)}P=c[z>>2]|0;G=P<<1;if(P>>>0<G>>>0){O=D<<3;H=(D|0)==0;K=P;do{V=iU(O)|0;c[(c[B>>2]|0)+(K<<2)>>2]=V;if(!H){V=c[B>>2]|0;W=c[V+(K-P<<2)>>2]|0;X=c[V+(K<<2)>>2]|0;V=0;do{h[X+(V<<3)>>3]=-0.0- +h[W+(V<<3)>>3];V=V+1|0;}while(V>>>0<D>>>0)}K=K+1|0;}while(K>>>0<G>>>0)}jU(F)}else{G=iU(L<<2)|0;K=G;if((gd(G|0,J|0,1,c[m>>2]|0)|0)!=1){n=52600;E=131;break a}if((I|0)!=0){P=D<<3;H=(D|0)==0;O=0;do{V=iU(P)|0;c[(c[B>>2]|0)+(O<<2)>>2]=V;if(!H){V=c[(c[B>>2]|0)+(O<<2)>>2]|0;W=0;do{h[V+(W<<3)>>3]=+g[K+((ga(D,O)|0)+W<<2)>>2];W=W+1|0;}while(W>>>0<D>>>0)}O=O+1|0;}while(O>>>0<I>>>0)}O=c[z>>2]|0;K=O<<1;if(O>>>0<K>>>0){H=D<<3;P=(D|0)==0;L=O;do{F=iU(H)|0;c[(c[B>>2]|0)+(L<<2)>>2]=F;if(!P){F=c[B>>2]|0;W=c[F+(L-O<<2)>>2]|0;V=c[F+(L<<2)>>2]|0;F=0;do{h[V+(F<<3)>>3]=-0.0- +h[W+(F<<3)>>3];F=F+1|0;}while(F>>>0<D>>>0)}L=L+1|0;}while(L>>>0<K>>>0)}jU(G)}if((sd(c[m>>2]|0,J|0,1)|0)==-1){n=52600;E=131;break a}else{M=d;E=130}break};default:{n=51864;E=131;break a}}}while(0);if((E|0)==129){E=0;d=N;C=C+1|0;continue}else if((E|0)==130){E=0;J=C+1|0;if((J|0)<6){d=M;C=J;continue}else{n=0;E=131;break}}}if((E|0)==33){jU(S);n=890160;i=e;return n|0}else if((E|0)==46){jU(U);n=890160;i=e;return n|0}else if((E|0)==52){jU(Q);n=889136;i=e;return n|0}else if((E|0)==131){i=e;return n|0}return 0}function jr(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;c[e>>2]=b;b=pc(e|0,c[a+12>>2]|0,c[a+8>>2]|0,16,66)|0;i=d;return b|0}function kr(b,d){b=b|0;d=d|0;var e=0,f=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=(d|0)>-1?d:-d|0;f=(d|0)<0;if(f){i=(c[b+24>>2]|0)+e|0}else{i=e}d=i-1|0;if((e|0)==0){fd(51096,50128,399,904560);return 0}i=b+24|0;j=c[i>>2]|0;if(e>>>0>j>>>0){fd(51096,50128,399,904560);return 0}k=b+40|0;l=c[(c[k>>2]|0)+(d<<2)>>2]|0;if((l|0)!=0){m=l;return m|0}l=b+28|0;n=c[l>>2]|0;o=iU(n<<3)|0;p=o;a:do{if((a[b+44|0]|0)==1){if((n|0)==0){break}q=b|0;r=b+32|0;s=0;t=j;while(1){sd(c[q>>2]|0,(c[r>>2]|0)-8+((ga(t,s)|0)+e<<3)|0,0)|0;u=p+(s<<3)|0;if((gd(u|0,8,1,c[q>>2]|0)|0)!=1){break}if(f){h[u>>3]=-0.0- +h[u>>3]}u=s+1|0;if(!(u>>>0<(c[l>>2]|0)>>>0)){break a}s=u;t=c[i>>2]|0}jU(o);m=0;return m|0}else{t=iU(n<<2)|0;s=t;q=b|0;r=b+32|0;u=0;v=n;while(1){if(!(u>>>0<v>>>0)){break}sd(c[q>>2]|0,(c[r>>2]|0)-4+((ga(c[i>>2]|0,u)|0)+e<<2)|0,0)|0;if((gd(s+(u<<2)|0,4,1,c[q>>2]|0)|0)!=1){w=20;break}u=u+1|0;v=c[l>>2]|0}if((w|0)==20){jU(t);jU(o);m=0;return m|0}u=(v|0)==0;do{if(f){if(u){break}else{x=0}do{h[p+(x<<3)>>3]=-0.0- +g[s+(x<<2)>>2];x=x+1|0;}while(x>>>0<v>>>0)}else{if(u){break}else{y=0}do{h[p+(y<<3)>>3]=+g[s+(y<<2)>>2];y=y+1|0;}while(y>>>0<v>>>0)}}while(0);jU(t)}}while(0);c[(c[k>>2]|0)+(d<<2)>>2]=p;m=c[(c[k>>2]|0)+(d<<2)>>2]|0;return m|0}function lr(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0.0,t=0.0;j=i;i=i+8|0;k=j|0;l=(e|0)>-1?e:-e|0;m=(e|0)<0;if(m){n=(c[d+24>>2]|0)+l|0}else{n=l}if((l|0)==0){fd(51096,50128,519,904584);return 0.0}e=c[d+24>>2]|0;if(l>>>0>e>>>0){fd(51096,50128,519,904584);return 0.0}o=c[(c[d+40>>2]|0)+(n-1<<2)>>2]|0;if((o|0)!=0){h[b>>3]=+h[o+(f<<3)>>3];p=0.0;i=j;return+p}o=d|0;n=c[o>>2]|0;q=c[d+32>>2]|0;r=l-1+(ga(e,f)|0)|0;do{if((a[d+44|0]|0)==1){sd(n|0,q+(r<<3)|0,0)|0;f=(gd(b|0,8,1,c[o>>2]|0)|0)!=1;if(f|m^1){p=f?1.0:0.0;i=j;return+p}else{s=+h[b>>3];break}}else{sd(n|0,q+(r<<2)|0,0)|0;if((gd(k|0,4,1,c[o>>2]|0)|0)!=1){p=1.0;i=j;return+p}t=+g[k>>2];h[b>>3]=t;if(m){s=t;break}else{p=0.0}i=j;return+p}}while(0);h[b>>3]=-0.0-s;p=0.0;i=j;return+p}function mr(a,b,d,e,f,g,i){a=+a;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;j=d-1|0;d=0;while(1){k=((j-d|0)/2|0)+d|0;l=+h[b+(k<<3)>>3];if(l==a){m=k;n=l;o=3;break}p=l<a;q=p?k+1|0:d;r=p?j:k-1|0;if((r|0)>(q|0)){j=r;d=q}else{break}}if((o|0)==3){while(1){o=0;if((m|0)>=(j|0)){break}d=m+1|0;l=+h[b+(d<<3)>>3];if(n==l){m=d;n=l;o=3}else{break}}c[e>>2]=m;h[f>>3]=1.0;c[g>>2]=-1;s=0.0;h[i>>3]=s;return}do{if((r|0)==(q|0)){if(+h[b+(q<<3)>>3]<a){t=q+1|0;u=q;break}else{t=q;u=q-1|0;break}}else{t=r;u=q}}while(0);c[e>>2]=t;c[g>>2]=u;n=+h[b+(u<<3)>>3];l=(a-n)/(+h[b+(t<<3)>>3]-n);h[f>>3]=l;s=1.0-l;h[i>>3]=s;return}function nr(a){a=a|0;return+(+h[c[a+20>>2]>>3])}function or(a){a=a|0;return+(+h[(c[a+20>>2]|0)+(c[a+16>>2]<<3)>>3])}function pr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;f=i;i=i+48|0;g=f|0;j=f+8|0;k=f+16|0;l=f+24|0;m=f+32|0;n=f+40|0;if((c[d+8>>2]|0)!=0){o=c[d+12>>2]|0;if((o|0)<0){p=-0.0- +h[(c[b+20>>2]|0)+(~o<<3)>>3]}else{p=+h[(c[b+20>>2]|0)+(o-1<<3)>>3]}h[a>>3]=p;q=0;i=f;return q|0}if(+or(b)<e){q=1;i=f;return q|0}if(+nr(b)>e){q=1;i=f;return q|0}if((kr(b,1)|0)==0){q=1;i=f;return q|0}mr(e,c[c[b+40>>2]>>2]|0,c[b+28>>2]|0,m,g,n,j);o=c[n>>2]|0;if((o|0)==-1){q=~~+lr(a,b,c[d+12>>2]|0,c[m>>2]|0);i=f;return q|0}n=c[m>>2]|0;m=d+12|0;d=c[m>>2]|0;if((n|0)==-1){q=~~+lr(a,b,d,o);i=f;return q|0}if(+lr(k,b,d,n)!=0.0){q=1;i=f;return q|0}if(+lr(l,b,c[m>>2]|0,o)!=0.0){q=1;i=f;return q|0}h[a>>3]=+h[g>>3]*+h[k>>3]+ +h[j>>3]*+h[l>>3];q=0;i=f;return q|0}function qr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=iU(20)|0;Gq(0,(e|0)!=0|0,38256,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+8>>2]=0;c[e+12>>2]=0;g=(a|0)<1?1:a;c[e+16>>2]=g;c[e+4>>2]=b;a=kU(g,b)|0;c[e>>2]=a;Gq(0,(a|0)!=0|0,38256,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return e|0}function rr(a){a=a|0;jU(c[a>>2]|0);jU(a);return}function sr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a+12|0;Gq(0,(c[e>>2]|0)>0|0,894672,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=c[e>>2]|0;Gq(0,(g|0)>(b|0)|0,55624,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;g=c[e>>2]|0;Gq(0,(-g|0)<(b|0)|0,55624,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;f=(c[a>>2]|0)+(ga(c[a+4>>2]|0,((c[a+8>>2]|0)+b|0)%(c[a+16>>2]|0)|0)|0)|0;i=d;return f|0}function tr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a+16|0;e=a+4|0;f=kU(c[d>>2]<<1,c[e>>2]|0)|0;Gq(0,(f|0)!=0|0,38256,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+12|0;if((c[g>>2]|0)>0){h=0;j=c[e>>2]|0;do{k=f+(ga(j,h)|0)|0;l=sr(a,h)|0;j=c[e>>2]|0;MU(k|0,l|0,j)|0;h=h+1|0;}while((h|0)<(c[g>>2]|0))}g=a|0;jU(c[g>>2]|0);c[g>>2]=f;c[d>>2]=c[d>>2]<<1;c[a+8>>2]=0;i=b;return}function ur(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=a+16|0;e=c[d>>2]|0;f=a+12|0;g=c[f>>2]|0;if((e|0)<(g+1|0)){tr(a);h=c[f>>2]|0;i=c[d>>2]|0}else{h=g;i=e}e=c[a+4>>2]|0;MU((c[a>>2]|0)+(ga(e,(h+(c[a+8>>2]|0)|0)%(i|0)|0)|0)|0,b|0,e)|0;c[f>>2]=(c[f>>2]|0)+1;return}function vr(a){a=a|0;return c[a+12>>2]|0}function wr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=a+12|0;Gq(0,(c[f>>2]|0)>0|0,894672,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;h=c[f>>2]|0;Gq(0,(h|0)>(b|0)|0,55624,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h-1,g)|0);i=g;h=(c[f>>2]|0)-1|0;Gq(0,b>>>31^1,55624,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h,g)|0);i=g;g=a+8|0;h=c[a+16>>2]|0;c[g>>2]=((ga(h-1|0,b)|0)+(c[g>>2]|0)|0)%(h|0)|0;if((d|0)==0){i=e;return}if((c[f>>2]|0)>0){j=0}else{i=e;return}do{c[d+(j<<2)>>2]=sr(a,j)|0;j=j+1|0;}while((j|0)<(c[f>>2]|0));i=e;return}function xr(a){a=a|0;return c[(c[2022]|0)+(a<<2)>>2]|0}function yr(a){a=a|0;return c[(c[2018]|0)+(a<<2)>>2]|0}function zr(a){a=a|0;return c[(c[2020]|0)+(a<<2)>>2]|0}function Ar(a){a=a|0;return c[(c[2016]|0)+(a<<2)>>2]|0}function Br(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=(c[2018]|0)+(a<<2)|0;d=c[b>>2]|0;e=(c[2020]|0)+(a<<2)|0;f=c[e>>2]|0;g=c[(c[2022]|0)+(a<<2)>>2]|0;if((g|0)==0){return}c[b>>2]=(d|0)!=0&d>>>0<g>>>0?d:g;c[e>>2]=f>>>0>g>>>0?f:g;return}function Cr(a){a=a|0;var b=0;b=c[5318]|0;return+(+Dr(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Dr(a,b){a=a|0;b=b|0;return+(+(a|0)+ +(b|0)*1.0e-9)}function Er(a){a=a|0;var b=0;b=c[3542]|0;return+(+Dr(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Fr(a){a=a|0;var b=0;b=c[408]|0;return+(+Dr(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Gr(a){a=a|0;return 0}function Hr(a){a=a|0;var b=0;xb(4,(c[422]|0)+(a<<3)|0)|0;b=(c[2022]|0)+(a<<2)|0;c[b>>2]=(c[b>>2]|0)+1;return}function Ir(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=c[5318]|0;f=e+(a<<3)|0;g=c[408]|0;h=g+(a<<3)|0;c[h>>2]=(c[h>>2]|0)+(c[f>>2]|0);h=e+(a<<3)+4|0;e=g+(a<<3)+4|0;c[e>>2]=(c[e>>2]|0)+(c[h>>2]|0);e=(c[2016]|0)+(a<<2)|0;c[e>>2]=(c[e>>2]|0)+(c[(c[2022]|0)+(a<<2)>>2]|0);e=c[3542]|0;g=e+(a<<3)|0;Jr(d,c[g>>2]|0,c[e+(a<<3)+4>>2]|0,c[f>>2]|0,c[h>>2]|0);h=g;g=c[d+4>>2]|0;c[h>>2]=c[d>>2];c[h+4>>2]=g;Br(a);g=c[5318]|0;c[g+(a<<3)>>2]=0;c[g+(a<<3)+4>>2]=0;c[(c[2022]|0)+(a<<2)>>2]=0;i=b;return}function Jr(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;g=a;if((Mr(b,d,e,f)|0)<0){h=f|0;i=e|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}else{h=d|0;i=b|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}}function Kr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+8|0;d=b|0;e=d;c[d>>2]=0;c[d+4>>2]=0;xb(4,e|0)|0;f=c[422]|0;g=c[5318]|0;h=g+(a<<3)|0;j=(c[d>>2]|0)-(c[f+(a<<3)>>2]|0)+(c[h>>2]|0)|0;c[h>>2]=j;d=g+(a<<3)+4|0;g=(c[e+4>>2]|0)-(c[f+(a<<3)+4>>2]|0)+(c[d>>2]|0)|0;c[d>>2]=g;if((g|0)<=999999999){i=b;return}c[h>>2]=j+1;c[d>>2]=~~(+(g|0)+-1.0e9);i=b;return}function Lr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((a|0)<33){return}b=kU(a,8)|0;c[5318]=b;d=kU(a,8)|0;c[3542]=d;e=kU(a,8)|0;c[408]=e;f=kU(a,8)|0;c[422]=f;g=kU(a,4)|0;c[2022]=g;h=kU(a,4)|0;c[2016]=h;i=a<<2;j=iU(i)|0;c[2018]=j;k=kU(a,4)|0;c[2020]=k;NU(j|0,-1|0,i|0)|0;if((b|0)==0){fd(37360,894416,393,904528)}if((d|0)==0){fd(55304,894416,394,904528)}if((e|0)==0){fd(46840,894416,395,904528)}if((f|0)==0){fd(40512,894416,396,904528)}if((g|0)==0){fd(35928,894416,397,904528)}if((j|0)==0){fd(31736,894416,398,904528)}if((k|0)==0){fd(28016,894416,399,904528)}if((h|0)==0){fd(25168,894416,400,904528)}else{return}}function Mr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return((a|0)==(c|0)?b-d|0:a-c|0)|0}function Nr(a){a=a|0;jU(c[a+12>>2]|0);jU(c[a+4>>2]|0);jU(c[a+8>>2]|0);return}function Or(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;x=~w;h[2450]=.5;h[2448]=1.0;h[2447]=.25;h[2435]=2.0;h[2434]=6.283185307179586;y=u-1-(c[b>>2]|0)|0;c[234822]=y;z=c[d>>2]|0;c[234826]=1;if((z|0)>=1){A=1;do{h[o+(A-1+(c[b>>2]|0)<<3)>>3]=0.0;A=A+1|0;c[234826]=A;}while((A|0)<=(z|0))}c[234830]=1;z=(y|0)<1;if(!z){A=1;do{B=ga(A,u)|0;C=+h[i+(B+v+(c[m>>2]|0)<<3)>>3];h[2439]=C;if((A|0)<(c[j>>2]|0)){D=-0.0-C;h[2439]=D;E=D}else{E=C}F=c[d>>2]|0;c[234826]=1;a:do{if((F|0)>=1){G=1;C=E;while(1){H=o+(G-1+(c[b>>2]|0)<<3)|0;h[H>>3]=C*+h[i+(G+v+B<<3)>>3]+ +h[H>>3];H=G+1|0;c[234826]=H;if((H|0)>(F|0)){break a}G=H;C=+h[2439]}}}while(0);A=A+1|0;c[234830]=A;}while((A|0)<=(y|0))}A=c[b>>2]|0;h[2460]=+h[o+(A-1+(c[m>>2]|0)<<3)>>3];h[2458]=0.0;h[2453]=0.0;h[2446]=0.0;h[2431]=0.0;c[234838]=1;if((A|0)<1){I=0.0;J=0.0;K=0.0}else{F=1;E=0.0;while(1){B=F-1|0;G=n+(B<<3)|0;C=+h[G>>3];h[2458]=E+C*C;C=+h[f+((c[m>>2]|0)+v+(ga(F,u)|0)<<3)>>3];H=e+(B<<3)|0;D=C- +h[H>>3];L=r+(B<<3)|0;h[L>>3]=D;C=+h[2453]+ +h[G>>3]*D;h[2453]=C;D=+h[L>>3];M=+h[2446]+D*D;h[2446]=M;D=+h[H>>3];h[2431]=+h[2431]+D*D;H=F+1|0;c[234838]=H;D=+h[2458];if((H|0)>(A|0)){I=C;J=D;K=M;break}else{F=H;E=D}}}E=I*I;do{if(E>J*.99*K){F=c[m>>2]|0;c[234824]=F;D=E/K;h[2451]=D;A=c[d>>2]|0;c[234826]=1;if((A|0)<1){N=F;O=K;P=I}else{H=1;L=F;M=D;D=K;C=I;while(1){do{if((H|0)==(c[l>>2]|0)){Q=L;R=M;S=D;T=C}else{h[2452]=0.0;h[2444]=0.0;F=c[b>>2]|0;c[234838]=1;if((F|0)<1){U=0.0;V=0.0}else{G=1;X=0.0;_=0.0;do{$=+h[f+((ga(G,u)|0)+v+H<<3)>>3];aa=$- +h[e+(G-1<<3)>>3];h[2454]=aa;X=X+aa*+h[n+(G-1<<3)>>3];h[2452]=X;_=_+aa*aa;h[2444]=_;G=G+1|0;}while((G|0)<=(F|0));c[234838]=G;U=X;V=_}aa=U*U/V;if(!(aa<M)){Q=L;R=M;S=D;T=C;break}c[234824]=H;h[2451]=aa;h[2453]=U;h[2446]=V;Q=H;R=aa;S=V;T=U}}while(0);F=H+1|0;c[234826]=F;if((F|0)>(A|0)){N=Q;O=S;P=T;break}else{H=F;L=Q;M=R;D=S;C=T}}}L=c[b>>2]|0;c[234838]=1;if((L|0)<1){ba=J;ca=O;da=P;break}else{ea=1}do{C=+h[f+((ga(ea,u)|0)+v+N<<3)>>3];H=ea-1|0;h[r+(H<<3)>>3]=C- +h[e+(H<<3)>>3];ea=ea+1|0;}while((ea|0)<=(L|0));c[234838]=ea;ba=+h[2458];ca=+h[2446];da=+h[2453]}else{ba=J;ca=K;da=I}}while(0);I=ba*ca-da*da;h[2445]=I;c[234832]=0;h[2455]=0.0;ea=(w<<1)+x|0;N=(w<<2)+x|0;Q=(w*3|0)+x|0;L=(w*5|0)+x|0;H=1;ca=I;I=ba;ba=da;while(1){c[234832]=H;da=+h[2448]/+W(ca);h[2439]=da;h[2433]=0.0;h[2432]=0.0;A=c[b>>2]|0;c[234838]=1;if((A|0)<1){fa=0.0;ha=0.0;ia=I}else{F=0;B=1;K=da;da=I;J=ba;while(1){ja=r+(F<<3)|0;h[ja>>3]=K*(da*+h[ja>>3]-J*+h[n+(F<<3)>>3]);ja=B-1|0;ka=e+(ja<<3)|0;la=+h[2433]+ +h[ka>>3]*+h[n+(ja<<3)>>3];h[2433]=la;ma=+h[2432]+ +h[ka>>3]*+h[r+(ja<<3)>>3];h[2432]=ma;na=B+1|0;if((na|0)>(A|0)){break}F=B;B=na;K=+h[2439];da=+h[2458];J=+h[2453]}c[234838]=na;fa=la;ha=ma;ia=+h[2458]}J=+h[2450];da=fa*J*fa;h[2438]=da;K=ha*J*ha;h[2437]=K;h[117429]=K+(da+ia*(+h[2431]+ia*J));J=+h[2435];h[117430]=J*fa*ia;h[117431]=J*ha*ia;h[117432]=da-K;h[117433]=fa*ha;NU(939472,0,32)|0;c[234838]=10;B=c[d>>2]|0;c[234826]=1;if((B|0)>=1){F=1;do{h[2438]=0.0;h[2437]=0.0;h[2436]=0.0;A=c[b>>2]|0;c[234838]=1;if((A|0)<1){oa=0.0;pa=0.0}else{ja=F+v|0;ka=1;K=0.0;da=0.0;J=0.0;do{P=+h[f+((ga(ka,u)|0)+v+F<<3)>>3];K=K+P*+h[n+(ka-1<<3)>>3];h[2438]=K;qa=f+(ja+(ga(ka,u)|0)<<3)|0;ra=ka-1|0;da=da+ +h[qa>>3]*+h[r+(ra<<3)>>3];h[2437]=da;J=J+ +h[qa>>3]*+h[e+(ra<<3)>>3];h[2436]=J;ka=ka+1|0;}while((ka|0)<=(A|0));c[234838]=ka;oa=K;pa=da}h[s+(F-1<<3)>>3]=+h[2447]*(oa*oa+pa*pa);h[s+(ea+F<<3)>>3]=+h[2438]*+h[2436];h[s+(Q+F<<3)>>3]=+h[2437]*+h[2436];J=+h[2438];P=+h[2437];h[s+(N+F<<3)>>3]=+h[2447]*(J*J-P*P);h[s+(L+F<<3)>>3]=+h[2450]*+h[2438]*+h[2437];F=F+1|0;c[234826]=F;}while((F|0)<=(B|0))}B=c[b>>2]|0;c[234838]=1;if((B|0)>=1){F=1;do{A=(c[d>>2]|0)+F|0;c[234836]=A;h[s+(A-1<<3)>>3]=0.0;ja=F-1|0;h[s+(ea+A<<3)>>3]=+h[n+(ja<<3)>>3];h[s+(Q+A<<3)>>3]=+h[r+(ja<<3)>>3];h[s+(N+A<<3)>>3]=0.0;h[s+(L+A<<3)>>3]=0.0;F=F+1|0;c[234838]=F;}while((F|0)<=(B|0))}c[234828]=1;B=1;do{F=c[d>>2]|0;c[234820]=F;if((B-2|0)>>>0<2>>>0){A=c[k>>2]|0;c[234820]=A;sa=A}else{sa=F}F=c[d>>2]|0;c[234826]=1;if((F|0)>=1){A=ga(B,w)|0;ja=1;do{h[t+(ja+x+A<<3)>>3]=0.0;ja=ja+1|0;}while((ja|0)<=(F|0));c[234826]=ja}c[234830]=1;if(z){ta=B}else{F=B;A=1;while(1){h[2442]=0.0;ka=c[d>>2]|0;c[234826]=1;if((ka|0)<1){ua=F;va=0.0}else{ra=ga(B,w)|0;qa=1;da=0.0;do{K=+h[i+(qa+v+(ga(A,u)|0)<<3)>>3];da=da+K*+h[s+(qa+x+ra<<3)>>3];h[2442]=da;qa=qa+1|0;}while((qa|0)<=(ka|0));c[234826]=qa;ua=B;va=da}if((A|0)<(c[j>>2]|0)){_=-0.0-va;h[2442]=_;wa=_}else{wa=va}ka=c[d>>2]|0;c[234826]=1;if((ka|0)>=1){ra=ga(A,u)|0;G=ga(ua,w)|0;xa=1;ya=2;_=wa;while(1){za=t+(xa+x+G<<3)|0;h[za>>3]=_*+h[i+(xa+v+ra<<3)>>3]+ +h[za>>3];if((ya|0)>(ka|0)){break}xa=ya;ya=ya+1|0;_=+h[2442]}c[234826]=ya}xa=A+1|0;c[234830]=xa;if((xa|0)>(y|0)){ta=ua;break}else{F=ua;A=xa}}}do{if((sa|0)==(c[k>>2]|0)){A=c[d>>2]|0;c[234826]=1;if((A|0)<1){break}else{Aa=1}do{h[2442]=0.0;F=c[b>>2]|0;c[234830]=1;if((F|0)<1){Ba=0.0;Ca=ga(ta,w)|0}else{ja=1;_=0.0;while(1){da=+h[g+((ga(ja,w)|0)+x+Aa<<3)>>3];xa=ga(ta,w)|0;X=_+da*+h[s+(ja+x+(c[d>>2]|0)+xa<<3)>>3];h[2442]=X;ka=ja+1|0;c[234830]=ka;if((ka|0)>(F|0)){Ba=X;Ca=xa;break}else{ja=ka;_=X}}}ja=t+(Aa+x+Ca<<3)|0;h[ja>>3]=Ba+ +h[ja>>3];Aa=Aa+1|0;c[234826]=Aa;}while((Aa|0)<=(A|0))}}while(0);A=c[b>>2]|0;c[234830]=1;if((A|0)>=1){ya=1;do{h[2442]=0.0;c[234838]=1;if((sa|0)<1){Da=0.0;Ea=ga(ta,w)|0}else{ja=ga(ya,w)|0;F=ga(ta,w)|0;ka=1;_=0.0;do{xa=ka+x|0;_=_+ +h[g+(xa+ja<<3)>>3]*+h[s+(xa+F<<3)>>3];h[2442]=_;ka=ka+1|0;}while((ka|0)<=(sa|0));c[234838]=ka;Da=_;Ea=F}h[t+((c[d>>2]|0)+x+ya+Ea<<3)>>3]=Da;ya=ya+1|0;c[234830]=ya;}while((ya|0)<=(A|0))}B=ta+1|0;c[234828]=B;}while((B|0)<6);B=c[k>>2]|0;c[234826]=1;h[2442]=0.0;c[234838]=1;X=+h[2450];if((B|0)>=1){A=1;do{ya=1;da=0.0;do{ja=(ga(ya,w)|0)+x+A|0;h[939208+(ya-1<<3)>>3]=X*+h[t+(ja<<3)>>3]*+h[s+(ja<<3)>>3];da=+h[939208+(ya-1<<3)>>3]+da;h[2442]=da;ya=ya+1|0;}while((ya|0)<6);h[117429]=+h[117429]- +h[117401]-da;ya=A-1|0;ja=t+(ya<<3)|0;xa=ea+A|0;ra=s+(xa<<3)|0;G=t+(xa<<3)|0;xa=s+(ya<<3)|0;K=+h[ja>>3]*+h[ra>>3]+ +h[G>>3]*+h[xa>>3];h[2438]=K;ya=N+A|0;qa=s+(ya<<3)|0;za=t+(ya<<3)|0;P=+h[G>>3]*+h[qa>>3]+ +h[za>>3]*+h[ra>>3];h[2437]=P;ya=Q+A|0;Fa=t+(ya<<3)|0;Ga=L+A|0;Ha=s+(Ga<<3)|0;Ia=t+(Ga<<3)|0;Ga=s+(ya<<3)|0;J=+h[Fa>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[Ga>>3];h[2436]=J;h[117430]=+h[117430]-K-X*(J+P);h[117434]=+h[117434]-X*(P-J);J=+h[ja>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[xa>>3];h[2438]=J;P=+h[G>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[ra>>3];h[2437]=P;K=+h[Fa>>3]*+h[qa>>3]+ +h[za>>3]*+h[Ga>>3];h[2436]=K;h[117431]=+h[117431]-J-X*(P-K);h[117435]=+h[117435]-X*(P+K);K=+h[ja>>3]*+h[qa>>3]+ +h[za>>3]*+h[xa>>3];h[2438]=K;h[117432]=+h[117403]+(+h[117432]-K- +h[117402]);K=+h[ja>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[xa>>3];h[2438]=K;P=+h[G>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[ra>>3];h[2437]=P;h[117433]=+h[117433]-K-P*X;h[117436]=+h[117436]- +h[117404]+ +h[117405];P=+h[za>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[qa>>3];h[2438]=P;h[117437]=+h[117437]-X*P;A=A+1|0;h[2442]=0.0}while((A|0)<=(B|0));c[234826]=A;c[234838]=1}B=1;P=0.0;do{K=+h[t+((ga(B,w)|0)+x+(c[m>>2]|0)<<3)>>3];h[939208+(B-1<<3)>>3]=X*K*K;P=+h[939208+(B-1<<3)>>3]+P;h[2442]=P;B=B+1|0;c[234838]=B;}while((B|0)<6);K=+h[2460];J=K*+h[117429]+ +h[117401]+P;h[117420]=J;O=+h[2435];B=c[m>>2]|0;A=t+(B-1<<3)|0;qa=t+(ea+B<<3)|0;T=O*+h[A>>3]*+h[qa>>3];h[2438]=T;Ia=t+(N+B<<3)|0;S=+h[qa>>3]*+h[Ia>>3];h[2437]=S;Ha=t+(Q+B<<3)|0;za=t+(L+B<<3)|0;R=+h[Ha>>3]*+h[za>>3];h[2436]=R;U=R+(K*+h[117430]+T+S);h[117421]=U;T=K*+h[117434]+S-R;h[117425]=T;R=O*+h[A>>3]*+h[Ha>>3];h[2438]=R;S=+h[qa>>3]*+h[za>>3];h[2437]=S;V=+h[Ha>>3]*+h[Ia>>3];h[2436]=V;h[117422]=K*+h[117431]+R+S-V;h[117426]=K*+h[117435]+S+V;V=O*+h[A>>3]*+h[Ia>>3];h[2438]=V;R=+h[117402]+(V+K*+h[117432])- +h[117403];h[117423]=R;V=O*+h[A>>3]*+h[za>>3];h[2438]=V;h[117424]=V+K*+h[117433]+ +h[qa>>3]*+h[Ha>>3];O=K*+h[117436]+ +h[117404]- +h[117405];h[117427]=O;h[117428]=K*+h[117437]+ +h[Ia>>3]*+h[za>>3];K=J+U+R+T+O;h[2442]=K;h[2456]=K;h[2457]=K;c[234834]=0;O=+h[2434]/50.0;h[2439]=O;h[117401]=+h[2448];c[234838]=1;T=K;za=1;R=V;V=S;S=K;Ia=0;while(1){Ja=+(za|0)*O;U=+Y(Ja);h[117402]=U;J=+Z(Ja);h[117403]=J;Ha=4;E=U;C=J;D=U;U=J;while(1){J=D*E-U*C;h[939208+(Ha-1<<3)>>3]=J;M=+h[117402]*C+ +h[117403]*E;h[939208+(Ha<<3)>>3]=M;qa=Ha+2|0;if((qa|0)>=9){Ka=0.0;La=1;break}Ha=qa;E=J;C=M;D=+h[117402];U=+h[117403]}do{Ha=La-1|0;Ka=Ka+ +h[939360+(Ha<<3)>>3]*+h[939208+(Ha<<3)>>3];La=La+1|0;}while((La|0)<10);if(Ka<0.0){Ma=-0.0-Ka}else{Ma=Ka}if(S<0.0){Na=-0.0-S}else{Na=S}do{if(Ma>Na){h[2457]=Ka;c[234834]=za;h[2438]=T;Oa=za;Pa=T;Qa=V;Ra=Ka}else{if((za|0)!=(Ia+1|0)){Oa=Ia;Pa=R;Qa=V;Ra=S;break}h[2437]=Ka;Oa=Ia;Pa=R;Qa=Ka;Ra=S}}while(0);Ha=za+1|0;if((Ha|0)>49){break}else{T=Ka;za=Ha;R=Pa;V=Qa;S=Ra;Ia=Oa}}c[234830]=10;h[2442]=Ka;h[2459]=Ja;h[2441]=T;c[234838]=50;if((Oa|0)==49){h[2437]=K;Sa=K;Ta=Pa}else if((Oa|0)==0){h[2438]=Ka;Sa=Qa;Ta=Ka}else{Sa=Qa;Ta=Pa}h[2443]=0.0;if(Ta!=Sa){S=Ta-Ra;h[2438]=S;V=Sa-Ra;h[2437]=V;R=X*(S-V)/(S+V);h[2443]=R;Ua=R}else{Ua=0.0}R=O*(+(Oa|0)+Ua);h[2459]=R;V=+Y(R);h[117402]=V;S=+Z(R);h[117403]=S;c[234830]=4;Ia=4;R=V;P=S;U=V;V=S;while(1){S=U*R-V*P;h[939208+(Ia-1<<3)>>3]=S;D=+h[117402]*P+ +h[117403]*R;h[939208+(Ia<<3)>>3]=D;za=Ia+2|0;if((za|0)>=9){break}Ia=za;R=S;P=D;U=+h[117402];V=+h[117403]}h[q>>3]=0.0;h[2457]=0.0;c[234830]=1;Ia=1;do{za=Ia-1|0;Ha=939208+(za<<3)|0;h[q>>3]=+h[q>>3]+ +h[939432+(za<<3)>>3]*+h[Ha>>3];h[2457]=+h[2457]+ +h[939360+(za<<3)>>3]*+h[Ha>>3];Ia=Ia+1|0;}while((Ia|0)<10);c[234830]=10;Ia=c[k>>2]|0;c[234826]=1;if((Ia|0)>=1){Ha=1;do{h[p+(Ha-1<<3)>>3]=0.0;za=1;do{V=+h[t+((ga(za,w)|0)+x+Ha<<3)>>3];qa=p+(Ha-1<<3)|0;h[qa>>3]=+h[qa>>3]+V*+h[939208+(za-1<<3)>>3];za=za+1|0;}while((za|0)<6);Ha=Ha+1|0;}while((Ha|0)<=(Ia|0));c[234830]=6;c[234826]=Ha}h[2440]=+h[p+((c[m>>2]|0)-1<<3)>>3];h[2458]=0.0;h[2438]=0.0;h[2437]=0.0;Ia=c[b>>2]|0;c[234838]=1;if((Ia|0)<1){Va=0.0;Wa=0.0}else{za=1;do{qa=za-1|0;A=n+(qa<<3)|0;h[A>>3]=+h[117402]*+h[A>>3]+ +h[117403]*+h[r+(qa<<3)>>3];qa=za-1|0;A=n+(qa<<3)|0;B=o+(qa<<3)|0;h[B>>3]=+h[e+(qa<<3)>>3]+ +h[A>>3];V=+h[A>>3];h[2458]=+h[2458]+V*V;Xa=+h[2438]+ +h[A>>3]*+h[B>>3];h[2438]=Xa;V=+h[B>>3];Ya=+h[2437]+V*V;h[2437]=Ya;za=za+1|0;}while((za|0)<=(Ia|0));c[234838]=za;Va=Xa;Wa=Ya}Ia=c[b>>2]|0;if((H|0)>=(Ia|0)){break}if((H|0)>1){V=+h[2455];U=+h[2456];h[2455]=V>=U?V:U}U=+h[2457];if(U<0.0){Za=-0.0-U}else{Za=U}V=+h[2455];if(V<0.0){_a=-0.0-V}else{_a=V}if(!(Za>_a*1.1)){break}h[2455]=U;c[234838]=1;b:do{if((Ia|0)>=1){Ha=1;U=Va;V=Wa;while(1){B=Ha-1|0;P=U*+h[e+(B<<3)>>3]+V*+h[n+(B<<3)>>3]- +h[p+(B+(c[d>>2]|0)<<3)>>3];h[2439]=P;R=+h[2440]*+h[g+((c[m>>2]|0)+x+(ga(Ha,w)|0)<<3)>>3];h[r+(B<<3)>>3]=R+P*+h[2460];B=Ha+1|0;c[234838]=B;if((B|0)>(Ia|0)){break b}Ha=B;U=+h[2438];V=+h[2437]}}}while(0);Ia=c[d>>2]|0;c[234826]=1;if((Ia|0)>=1){za=1;do{h[2442]=0.0;Ha=c[b>>2]|0;c[234830]=1;if((Ha|0)<1){$a=0.0}else{B=1;V=0.0;do{U=+h[f+((ga(B,u)|0)+v+za<<3)>>3];V=V+U*+h[o+(B-1<<3)>>3];h[2442]=V;B=B+1|0;}while((B|0)<=(Ha|0));c[234830]=B;$a=V}Ha=c[b>>2]|0;U=$a*(+h[2440]*+h[o+(Ha-1+za<<3)>>3]- +h[2460]*+h[p+(za-1<<3)>>3]);h[2439]=U;c[234838]=1;if((Ha|0)>=1){A=1;qa=2;P=U;while(1){U=P*+h[f+((ga(A,u)|0)+v+za<<3)>>3];ra=r+(A-1<<3)|0;h[ra>>3]=+h[ra>>3]+U;if((qa|0)>(Ha|0)){break}A=qa;qa=qa+1|0;P=+h[2439]}c[234838]=qa}za=za+1|0;c[234826]=za;}while((za|0)<=(Ia|0))}h[2446]=0.0;h[2453]=0.0;Ia=c[b>>2]|0;c[234838]=1;if((Ia|0)<1){ab=0.0;bb=0.0}else{za=1;P=0.0;V=0.0;do{U=+h[r+(za-1<<3)>>3];P=P+U*U;h[2446]=P;A=za-1|0;V=V+ +h[n+(A<<3)>>3]*+h[r+(A<<3)>>3];h[2453]=V;za=za+1|0;}while((za|0)<=(Ia|0));c[234838]=za;ab=P;bb=V}U=+h[2458];R=U*ab-bb*bb;h[2445]=R;if(R<U*1.0e-8*ab){break}H=H+1|0;ca=R;I=U;ba=bb}a[19592]=1;H=c[k>>2]|0;c[234826]=1;if((H|0)<1){cb=+h[2448];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}else{ib=1}do{h[o+(ib-1<<3)>>3]=0.0;k=1;do{bb=+h[s+((ga(k,w)|0)+x+ib<<3)>>3];r=o+(ib-1<<3)|0;h[r>>3]=+h[r>>3]+bb*+h[939208+(k-1<<3)>>3];k=k+1|0;}while((k|0)<6);ib=ib+1|0;}while((ib|0)<=(H|0));c[234830]=6;c[234826]=ib;cb=+h[2448];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}function Pr(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,X=0.0,_=0.0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0.0,va=0.0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;k=~w;h[2418]=.5;h[2416]=1.0;h[2402]=6.283185307179586;x=+h[m>>3];h[2422]=x*x;y=u-1-(c[b>>2]|0)|0;c[234790]=y;c[234796]=0;z=c[d>>2]|0;c[234792]=1;if((z|0)>=1){A=1;do{h[p+(A-1<<3)>>3]=0.0;A=A+1|0;}while((A|0)<=(z|0));c[234792]=A}c[234794]=1;A=c[l>>2]|0;if((y|0)<1){B=A}else{z=1;C=A;while(1){A=ga(z,u)|0;x=+h[i+(A+v+C<<3)>>3];h[2405]=x;if((z|0)<(c[j>>2]|0)){D=-0.0-x;h[2405]=D;E=D}else{E=x}F=c[d>>2]|0;c[234792]=1;if((F|0)>=1){G=1;H=2;x=E;while(1){I=p+(G-1<<3)|0;h[I>>3]=+h[I>>3]+x*+h[i+(G+v+A<<3)>>3];if((H|0)>(F|0)){break}G=H;H=H+1|0;x=+h[2405]}c[234792]=H}G=z+1|0;c[234794]=G;F=c[l>>2]|0;if((G|0)>(y|0)){B=F;break}else{z=G;C=F}}}h[o>>3]=+h[p+(B-1<<3)>>3];h[2423]=0.0;B=c[b>>2]|0;c[234800]=1;if((B|0)>=1){o=1;do{C=c[l>>2]|0;E=+h[f+((ga(o,u)|0)+v+C<<3)>>3];z=o-1|0;y=n+(z<<3)|0;h[y>>3]=E- +h[e+(z<<3)>>3];h[q+(z<<3)>>3]=+h[g+(C+k+(ga(o,w)|0)<<3)>>3];h[r+(z<<3)>>3]=0.0;E=+h[y>>3];h[2423]=+h[2423]+E*E;o=o+1|0;c[234800]=o;}while((o|0)<=(B|0))}B=c[d>>2]|0;c[234792]=1;if((B|0)>=1){o=1;do{h[2405]=0.0;h[2410]=0.0;w=c[b>>2]|0;c[234794]=1;if((w|0)<1){J=0.0;K=0.0}else{k=o+v|0;g=1;E=0.0;x=0.0;do{D=+h[f+((ga(g,u)|0)+v+o<<3)>>3];E=E+D*+h[e+(g-1<<3)>>3];h[2405]=E;D=+h[f+(k+(ga(g,u)|0)<<3)>>3];x=x+D*+h[n+(g-1<<3)>>3];h[2410]=x;g=g+1|0;}while((g|0)<=(w|0));c[234794]=g;J=E;K=x}w=p+(o-1<<3)|0;D=+h[w>>3]*J;h[2405]=D;h[2410]=+h[w>>3]*K;w=c[b>>2]|0;c[234800]=1;if((w|0)>=1){k=o+v|0;H=1;L=D;while(1){D=L*+h[f+((ga(H,u)|0)+v+o<<3)>>3];l=q+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;D=+h[2410]*+h[f+(k+(ga(H,u)|0)<<3)>>3];l=r+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;M=H+1|0;if((M|0)>(w|0)){break}H=M;L=+h[2405]}c[234800]=M}o=o+1|0;c[234792]=o;}while((o|0)<=(B|0))}h[2419]=0.0;h[2414]=0.0;h[2420]=0.0;B=c[b>>2]|0;c[234800]=1;if((B|0)<1){N=0.0;O=0.0;P=0.0}else{o=1;K=0.0;J=0.0;L=0.0;do{x=+h[q+(o-1<<3)>>3];K=K+x*x;h[2419]=K;M=o-1|0;e=n+(M<<3)|0;J=J+ +h[e>>3]*+h[q+(M<<3)>>3];h[2414]=J;L=L+ +h[e>>3]*+h[r+(M<<3)>>3];h[2420]=L;o=o+1|0;}while((o|0)<=(B|0));c[234800]=o;N=J;O=L;P=K}K=+h[2423];L=+h[m>>3]/+W(K);if(N*O<0.0){Q=-0.0-L}else{Q=L}h[2415]=Q;h[2405]=0.0;if(N*N>K*.99*P){h[2405]=+h[2416]}if(N<0.0){R=-0.0-N}else{R=N}if(O<0.0){S=-0.0-O}else{S=O}O=Q*(R+ +h[2418]*Q*S);h[2409]=O;if(P*+h[2422]<O*O*.01){h[2405]=+h[2416]}m=c[b>>2]|0;c[234800]=1;if((m|0)<1){T=0}else{o=0;B=1;O=Q;while(1){M=n+(o<<3)|0;h[M>>3]=O*+h[M>>3];M=B-1|0;e=r+(M<<3)|0;Q=+h[2415]*+h[e>>3];h[e>>3]=Q;h[s+(M<<3)>>3]=+h[q+(M<<3)>>3]+ +h[2405]*Q;U=B+1|0;if((U|0)>(m|0)){break}o=B;B=U;O=+h[2415]}c[234800]=U;T=0}while(1){U=T+1|0;c[234796]=U;h[2423]=0.0;h[2414]=0.0;h[2413]=0.0;B=c[b>>2]|0;c[234800]=1;if((B|0)<1){V=0.0;X=0.0;_=0.0}else{o=1;O=0.0;Q=0.0;P=0.0;do{S=+h[n+(o-1<<3)>>3];O=O+S*S;h[2423]=O;m=o-1|0;M=s+(m<<3)|0;Q=Q+ +h[n+(m<<3)>>3]*+h[M>>3];h[2414]=Q;S=+h[M>>3];P=P+S*S;h[2413]=P;o=o+1|0;}while((o|0)<=(B|0));c[234800]=o;V=O;X=P;_=Q}S=V*X-_*_;h[2405]=S;if(!(S>V*1.0e-8*X)){$=88;break}R=+W(S);h[2421]=R;B=c[b>>2]|0;c[234800]=1;if((B|0)>=1){M=0;m=1;S=V;N=_;K=R;while(1){e=s+(M<<3)|0;h[e>>3]=(S*+h[e>>3]-N*+h[n+(M<<3)>>3])/K;h[t+(m-1<<3)>>3]=0.0;aa=m+1|0;if((aa|0)>(B|0)){break}M=m;m=aa;S=+h[2423];N=+h[2414];K=+h[2421]}c[234800]=aa}m=c[d>>2]|0;c[234792]=1;if((m|0)>=1){M=1;do{h[2410]=0.0;B=c[b>>2]|0;c[234794]=1;if((B|0)<1){ba=0.0}else{o=1;K=0.0;do{N=+h[f+((ga(o,u)|0)+v+M<<3)>>3];K=K+N*+h[s+(o-1<<3)>>3];h[2410]=K;o=o+1|0;}while((o|0)<=(B|0));c[234794]=o;ba=K}N=+h[p+(M-1<<3)>>3]*ba;h[2410]=N;B=c[b>>2]|0;c[234800]=1;if((B|0)>=1){e=1;H=2;S=N;while(1){N=S*+h[f+((ga(e,u)|0)+v+M<<3)>>3];w=t+(e-1<<3)|0;h[w>>3]=+h[w>>3]+N;if((H|0)>(B|0)){break}e=H;H=H+1|0;S=+h[2410]}c[234800]=H}M=M+1|0;c[234792]=M;}while((M|0)<=(m|0))}h[2429]=0.0;h[2428]=0.0;h[2427]=0.0;h[2426]=0.0;h[2425]=0.0;m=c[b>>2]|0;c[234800]=1;if((m|0)<1){ca=0.0;da=0.0;ea=0.0;fa=0.0;ha=0.0}else{M=1;S=0.0;K=0.0;N=0.0;Q=0.0;P=0.0;do{e=M-1|0;S=S+ +h[s+(e<<3)>>3]*+h[t+(e<<3)>>3];h[2429]=S;e=M-1|0;B=n+(e<<3)|0;o=q+(e<<3)|0;K=K+ +h[B>>3]*+h[o>>3];h[2428]=K;w=s+(e<<3)|0;N=N+ +h[w>>3]*+h[o>>3];h[2427]=N;o=r+(e<<3)|0;Q=Q+ +h[B>>3]*+h[o>>3];h[2426]=Q;P=P+ +h[w>>3]*+h[o>>3];h[2425]=P;M=M+1|0;}while((M|0)<=(m|0));c[234800]=M;ca=S;da=Q;ea=K;fa=N;ha=P}O=+h[2418];R=O*ca;h[2429]=R;L=O*da-R;h[2426]=L;J=R+ea+L;h[2408]=J;h[2407]=J;h[2406]=J;c[234798]=0;a[19336]=1;x=+h[2402]/50.0;h[2405]=x;c[234800]=1;m=1;E=J;D=J;o=0;while(1){ia=+(m|0)*x;ja=+Y(ia);ka=+Z(ia);la=R+ja*(ea+ja*L)+ka*(fa+ja*ha);if(la<0.0){ma=-0.0-la}else{ma=la}if(D<0.0){na=-0.0-D}else{na=D}do{if(ma>na){h[2407]=la;c[234798]=m;h[2404]=E;oa=la;pa=m}else{if((m|0)!=(o+1|0)){oa=D;pa=o;break}h[2403]=la;oa=D;pa=o}}while(0);H=m+1|0;if((H|0)<50){m=H;E=la;D=oa;o=pa}else{break}}h[2430]=ia;h[2424]=ja;h[2411]=ka;h[2409]=la;c[234800]=50;h[2406]=la;if((pa|0)==0){h[2404]=la;$=74}else if((pa|0)==49){h[2403]=J;qa=J}else{$=74}if(($|0)==74){$=0;qa=+h[2403]}h[2412]=0.0;D=+h[2404];if(D!=qa){E=D-oa;h[2404]=E;D=qa-oa;h[2403]=D;P=O*(E-D)/(E+D);h[2412]=P;ra=P}else{ra=0.0}P=x*(+(pa|0)+ra);h[2430]=P;D=+Y(P);h[2424]=D;E=+Z(P);h[2411]=E;P=R+D*(ea+D*L)+E*(fa+D*ha);h[2409]=P;o=c[b>>2]|0;c[234800]=1;if((o|0)<1){sa=P}else{m=0;M=1;P=D;D=E;while(1){H=n+(m<<3)|0;h[H>>3]=P*+h[H>>3]+D*+h[s+(m<<3)>>3];H=M-1|0;w=r+(H<<3)|0;E=+h[2424]*+h[w>>3]+ +h[2411]*+h[t+(H<<3)>>3];h[w>>3]=E;h[s+(H<<3)>>3]=+h[q+(H<<3)>>3]+E;ta=M+1|0;if((ta|0)>(o|0)){break}m=M;M=ta;P=+h[2424];D=+h[2411]}c[234800]=ta;sa=+h[2409]}if(sa<0.0){ua=-0.0-sa}else{ua=sa}D=+h[2408];if(D<0.0){va=-0.0-D}else{va=D}if(!(ua>va*1.1)){$=88;break}if((U|0)<(c[b>>2]|0)){T=U}else{$=88;break}}if(($|0)==88){return 0}return 0}function Qr(b,d,e,f,g,h,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0;a[8]=1;a[16]=1;c[25]=6;NI(96)|0;m=c[d>>2]|0;c[229088]=1;if((m|0)>=1){d=1;do{cI(19144,b+(d-1)|0,1)|0;d=(c[229088]|0)+1|0;c[229088]=d;}while((d|0)<=(m|0))}vI()|0;m=c[g>>2]|0;if((m|0)==1){c[19]=a[16]|0?6:0;NI(72)|0;cI(19144,h,4)|0;vI()|0;n=c[g>>2]|0}else{n=m}if((n|0)==2){c[13]=a[16]|0?6:0;NI(48)|0;cI(19144,h,4)|0;cI(19144,i,4)|0;vI()|0}i=c[j>>2]|0;if((i|0)==1){c[7]=a[16]|0?6:0;NI(24)|0;cI(19144,k,8)|0;vI()|0;o=c[j>>2]|0}else{o=i}if((o|0)==2){c[31]=a[16]|0?6:0;NI(120)|0;cI(19144,k,8)|0;cI(19144,l,8)|0;vI()|0}if((c[f>>2]|0)!=2){return 0}OH(939520,0)|0;return 0}function Rr(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0;y=i;i=i+8|0;z=y|0;A=c[k>>2]|0;a:do{if((A|0)==0){B=2;while(1){c[234704]=B;if((B|0)>=12){break}if((c[k+(B-1<<2)>>2]|0)>>>0<2>>>0){B=B+1|0}else{C=208;break a}}if((c[d>>2]|0)<1){TH(938640,56032,80,25);Qr(938640,19040,19032,939096,19136,d,939096,939096,18584,18584,80)|0;break}c[234658]=5;B=q+8|0;do{if((c[k+32>>2]|0)==0){D=5}else{E=c[B>>2]|0;c[234658]=E;if(!((E-1|0)>>>0>4>>>0)){D=E;break}TH(938640,55024,80,34);Qr(938640,18992,18976,939096,19136,938632,939096,939096,18584,18584,80)|0;break a}}while(0);c[B>>2]=D;b:do{if((c[k+20>>2]|0)==0){E=c[d>>2]|0;F=ga(E,E)|0;c[234694]=F;c[234692]=F+50+(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0);F=q+12|0;if((c[k+16>>2]|0)==0){c[F>>2]=2;break}else{c[F>>2]=1;break}}else{F=c[q>>2]|0;do{if((F|0)>=0){E=c[d>>2]|0;if((F|0)>=(E|0)){break}G=q+4|0;H=c[G>>2]|0;if(!((H|0)>-1&(H|0)<(E|0))){TH(938640,44224,80,52);Qr(938640,18872,19120,939096,19136,G,939096,939096,18584,18584,80)|0;break a}c[234694]=ga((F<<1|1)+H|0,E)|0;E=q+12|0;if((c[k+16>>2]|0)==0){c[E>>2]=5;H=c[d>>2]|0;I=ga((c[B>>2]|0)+4|0,H)|0;c[234692]=(((H|0)/((c[q>>2]|0)+1+(c[G>>2]|0)|0)|0)<<1)+52+(c[234694]|0)+I;break b}else{c[E>>2]=4;E=(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0)+50|0;c[234692]=E+(c[234694]|0);break b}}}while(0);TH(938640,44824,80,52);Qr(938640,18872,19128,939096,19136,q,939096,939096,18584,18584,80)|0;break a}}while(0);c[234696]=(c[d>>2]|0)+20;c[q+64>>2]=c[234694];if((c[p>>2]|0)<(c[234692]|0)){TH(938640,53992,80,60);Qr(938640,18832,18904,939096,19032,938768,p,939096,18584,18584,80)|0;break}if((c[r>>2]|0)<(c[234696]|0)){TH(938640,53032,80,60);Qr(938640,18832,18848,939096,19032,938784,r,939096,18584,18584,80)|0;break}if(+h[j>>3]==+h[e>>3]){C=225;break}if((c[w>>2]|0)<0){TH(938640,42392,80,24);Qr(938640,19048,19008,19136,19136,w,939096,939096,18584,18584,80)|0;break}do{if((c[k+24>>2]|0)!=0){J=+h[o+8>>3];h[2250]=J;if(J>0.0){break}TH(938640,48952,80,28);Qr(938640,19024,19192,939096,939096,939096,939096,19136,18e3,18584,80)|0;break a}}while(0);c[q+60>>2]=0;NU(q+36|0,0,16)|0;c[n>>2]=1;C=26}else if((A|0)==(-1|0)){TH(938640,30320,80,49);Qr(938640,18880,19072,939096,939096,939096,939096,939096,18584,18584,80)|0;TH(938640,893096,80,47);Qr(938640,18896,19064,939096,19136,n,939096,939096,18584,18584,80)|0;TH(938640,53848,80,41);Qr(938640,18936,19056,19136,939096,939096,939096,939096,18584,18584,80)|0;i=y;return 0}else if((A|0)==1){c[q+36>>2]=c[q+40>>2];C=26}else{C=208}}while(0);c:do{if((C|0)==26){a[17976]=0;J=+h[l>>3];h[2245]=J;K=+h[m>>3];h[2253]=K;A=c[d>>2]|0;c[234704]=1;do{if((A|0)>=1){r=k+4|0;p=1;D=0;L=J;M=K;while(1){if((c[r>>2]|0)==1){B=p-1|0;N=+h[l+(B<<3)>>3];h[2245]=N;O=+h[m+(B<<3)>>3];h[2253]=O;P=N;Q=O}else{P=L;Q=M}if(P>0.0|Q>0.0){a[17976]=1;R=1}else{R=D}if(P<0.0){C=213;break}if(Q<0.0){C=214;break}B=p+1|0;c[234704]=B;if((B|0)>(A|0)){C=35;break}else{p=B;D=R;L=P;M=Q}}if((C|0)==35){if(!R){break}D=c[d>>2]|0;p=D+51|0;c[234690]=p;r=p+(c[w>>2]|0)|0;c[234688]=r;p=r+(c[w>>2]|0)|0;c[234686]=p;B=p+(c[w>>2]|0)|0;c[234698]=B;F=B+(c[d>>2]|0)|0;c[234680]=F;E=F+(c[d>>2]|0)|0;c[234684]=E;c[234682]=(ga((c[q+8>>2]|0)+1|0,c[d>>2]|0)|0)+E;c[234656]=(c[q+64>>2]|0)+1;d:do{if((c[k>>2]|0)==1){F=o+64|0;h[2242]=+h[F>>3];a[18016]=0;h[2244]=+h[o+24>>3];I=o+16|0;h[2251]=+h[I>>3];do{if((c[w>>2]|0)!=0){Sr(19032,v,w,d,17952,j,f,o+(B-1<<3)|0,o+(E-1<<3)|0,o+224|0,q+28|0,o+(D+50<<3)|0,o+(r-1<<3)|0,o+(p-1<<3)|0,x,938808,F,0,o,q,s,t)|0;if((c[231482]|0)>0){i=y;return 0}if((c[234702]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];ns(d,o+((c[234698]|0)-1<<3)|0,19136,g,19136)|0;a[18016]=1;C=195;break d}}while(0);do{if((c[k+24>>2]|0)!=0){M=+h[2251];if(M<0.0){S=-0.0-M}else{S=M}L=S/+h[o+8>>3];if(!(L>1.0)){break}h[2251]=M/L}}while(0);L=+h[e>>3];M=+h[j>>3];if(L==M){C=225;break c}O=+h[2251];if((L-M)*O>0.0){C=218;break}F=(c[k+8>>2]|0)==1;do{if((c[k+12>>2]|0)==1){N=+h[o>>3];h[2243]=N;T=+h[2244];U=T-N;G=U*O>0.0;do{if(F){if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(!(O*(T- +h[e>>3])>0.0)){break}H=q+28|0;W=o+((c[234684]|0)-1<<3)|0;X=o+224|0;if(O*(T-V)>0.0){Xr(17952,j,f,g,d,H,W,X)|0;if((c[231482]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18016]=1;C=195;break d}}else{Xr(17952,17952,f,g,d,H,W,X)|0;if((c[231482]|0)>0){i=y;return 0}else{h[e>>3]=+h[2244];c[n>>2]=1;a[18016]=1;C=195;break d}}}else{if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(O*(T-V)<0.0){break}Xr(17952,j,f,g,d,q+28|0,o+((c[234684]|0)-1<<3)|0,o+224|0)|0;if((c[231482]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18016]=1;C=195;break d}}}while(0);h[z>>3]=U;if(U<0.0){Y=-0.0-U}else{Y=U}if(T<0.0){Z=-0.0-T}else{Z=T}if(O<0.0){_=-0.0-O}else{_=O}if(Y>+h[2242]*100.0*(Z+_)){if(!(O*(T+O-N)>0.0)){break}V=N-T;h[2251]=V;h[I>>3]=V;break}Xr(17952,17944,f,g,d,q+28|0,o+((c[234684]|0)-1<<3)|0,o+224|0)|0;if((c[231482]|0)>0){i=y;return 0}else{c[n>>2]=2;h[e>>3]=+h[2243];a[18016]=1;C=195;break d}}else{V=+h[2244];if(!F){if(O*(V-M)<0.0){break}Xr(17952,j,f,g,d,q+28|0,o+((c[234684]|0)-1<<3)|0,o+224|0)|0;if((c[231482]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18016]=1;C=195;break d}}if(!(O*(V-L)>0.0)){break}G=q+28|0;X=o+((c[234684]|0)-1<<3)|0;W=o+224|0;if(O*(V-M)>0.0){Xr(17952,j,f,g,d,G,X,W)|0;if((c[231482]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18016]=1;C=195;break d}}else{Xr(17952,17952,f,g,d,G,X,W)|0;if((c[231482]|0)>0){i=y;return 0}else{h[e>>3]=+h[2244];c[n>>2]=1;a[18016]=1;C=195;break d}}}}while(0);if(a[18016]|0){C=195}else{C=126}}else{h[2244]=+h[e>>3];c[n>>2]=1;Ur(d,k+4|0,l,m,f,o+((c[234680]|0)-1<<3)|0,s,t)|0;F=c[d>>2]|0;I=c[234680]|0;W=1;while(1){if((W|0)>(F|0)){break}if(+h[o+(W-2+I<<3)>>3]>0.0){W=W+1|0}else{C=220;break}}if((C|0)==220){c[234704]=W;TH(938640,46608,80,39);Qr(938640,18952,19168,939096,939096,939096,939096,939096,18584,18584,80)|0;break c}c[234704]=W;M=+$r(45904,1);h[2242]=M;I=o+64|0;h[I>>3]=M;M=+h[e>>3];if(M<0.0){$=-0.0-M}else{$=M}h[z>>3]=$;M=+h[j>>3];if(M<0.0){aa=-0.0-M}else{aa=M}M=+h[2242]*4.0*($>=aa?$:aa);h[2249]=M;O=+h[j>>3]- +h[e>>3];h[z>>3]=O;if(O<0.0){ba=-0.0-O}else{ba=O}if(ba<M){TH(938640,46024,80,60);Qr(938640,18832,19160,939096,939096,939096,939096,19032,j,e,80)|0;break c}do{if((c[k+28>>2]|0)==0){h[2248]=ba*.001;M=+Vr(d,g,o+((c[234680]|0)-1<<3)|0,s,t);if(M>.5/+h[2248]){h[2248]=.5/M}h[z>>3]=+h[j>>3]- +h[e>>3];M=+SH(17984,z);h[2248]=M;ca=M}else{M=+h[o+16>>3];h[2248]=M;if(M*(+h[j>>3]- +h[e>>3])<0.0){C=218;break d}if(!(M==0.0)){ca=M;break}TH(938640,47312,80,29);Qr(938640,19016,19176,939096,939096,939096,939096,939096,18584,18584,80)|0;break c}}while(0);do{if((c[k+24>>2]|0)==0){da=ca}else{if(ca<0.0){ea=-0.0-ca}else{ea=ca}M=ea/+h[o+8>>3];if(!(M>1.0)){da=ca;break}O=ca/M;h[2248]=O;da=O}}while(0);if((c[k+12>>2]|0)==0){fa=da}else{O=+h[o>>3];h[2243]=O;M=+h[e>>3];L=O-M;if(L*da<0.0){C=222;break}if(da*(M+da-O)>0.0){h[2248]=L;ha=L}else{ha=da}if((O- +h[j>>3])*ha<0.0){C=216;break}else{fa=ha}}W=k+40|0;if((c[W>>2]|0)==0){ia=fa}else{Wr(17952,f,g,d,b,u,17984,o+((c[234680]|0)-1<<3)|0,n,s,t,o+((c[234684]|0)-1<<3)|0,o+400|0,o+((c[234698]|0)-1<<3)|0,o+((c[234682]|0)-1<<3)|0,q,17992,I,k+36|0,938624)|0;if((c[231482]|0)>0){i=y;return 0}F=c[n>>2]|0;if((F|0)<0){ja=F;C=127;break}ia=+h[2248]}h[2251]=ia;h[o+16>>3]=ia;F=c[234684]|0;X=(c[d>>2]|0)+F|0;c[234700]=X;G=c[d>>2]|0;c[234704]=1;if((G|0)>=1){H=1;do{h[o+(H-2+F<<3)>>3]=+h[f+(H-1<<3)>>3];h[o+(H-2+X<<3)>>3]=+h[2251]*+h[g+(H-1<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[234704]=H}G=o+320|0;h[G>>3]=+h[e>>3];X=q+68|0;c[X>>2]=0;F=o+224|0;h[F>>3]=+h[2251];h[o+232>>3]=+h[2251]*2.0;ka=q+28|0;c[ka>>2]=1;if((c[w>>2]|0)==0){C=126;break}Sr(19136,v,w,d,e,j,f,o+((c[234698]|0)-1<<3)|0,o+((c[234684]|0)-1<<3)|0,F,ka,o+((c[234690]|0)-1<<3)|0,o+((c[234688]|0)-1<<3)|0,o+((c[234686]|0)-1<<3)|0,x,938808,I,0,o,q,s,t)|0;if((c[231482]|0)>0){i=y;return 0}if((c[234702]|0)!=0){TH(938640,41800,80,47);Qr(938640,18896,19e3,19136,939096,939096,939096,939096,18584,18584,80)|0;TH(938640,41384,80,38);Qr(938640,18960,19e3,19136,939096,939096,939096,939096,18584,18584,80)|0;break c}if((c[w>>2]|0)==0){C=126;break}if((c[W>>2]|0)==0){C=126;break}Sr(18976,v,w,d,17952,j,f,o+((c[234698]|0)-1<<3)|0,o+((c[234684]|0)-1<<3)|0,F,ka,o+((c[234690]|0)-1<<3)|0,o+((c[234688]|0)-1<<3)|0,o+((c[234686]|0)-1<<3)|0,x,938808,I,0,o,q,s,t)|0;if((c[231482]|0)>0){i=y;return 0}if((c[234702]|0)!=1){C=126;break}c[X>>2]=1;c[n>>2]=4;h[e>>3]=+h[G>>3];ns(d,o+((c[234698]|0)-1<<3)|0,19136,g,19136)|0;C=195}}while(0);if((C|0)==216){TH(938640,50016,80,54);Qr(938640,18864,18592,939096,939096,939096,939096,19032,17944,j,80)|0;break c}else if((C|0)==218){TH(938640,48160,80,34);Qr(938640,18992,19184,939096,939096,939096,939096,19032,j,e,80)|0;break c}else if((C|0)==222){TH(938640,45376,80,49);Qr(938640,18880,19152,939096,939096,939096,939096,19032,17944,e,80)|0;break c}e:while(1){if((C|0)==126){C=0;ja=c[n>>2]|0;C=127;continue}else if((C|0)==127){C=0;if((ja|0)==-12){la=-12;break}if(((c[q+40>>2]|0)-(c[q+36>>2]|0)|0)>=500){C=129;break}ma=k+4|0;Ur(d,ma,l,m,o+((c[234684]|0)-1<<3)|0,o+((c[234680]|0)-1<<3)|0,s,t)|0;if((c[231482]|0)>0){C=231;break}p=c[d>>2]|0;r=c[234680]|0;na=1;while(1){if((na|0)>(p|0)){break}if(+h[o+(na-2+r<<3)>>3]>0.0){na=na+1|0}else{C=134;break e}}c[234704]=na;O=+Vr(d,o+((c[234684]|0)-1<<3)|0,o+(r-1<<3)|0,s,t)*100.0;L=+h[2242];oa=O*L;h[2246]=oa;if(oa>1.0){C=136;break}O=+h[2244];if(O<0.0){pa=-0.0-O}else{pa=O}h[z>>3]=pa;O=+h[j>>3];if(O<0.0){qa=-0.0-O}else{qa=O}h[2249]=L*4.0*(pa>=qa?pa:qa);do{if((c[k+24>>2]|0)!=0){L=+h[2251];if(L<0.0){ra=-0.0-L}else{ra=L}O=ra/+h[o+8>>3];if(!(O>1.0)){break}h[2251]=L/O}}while(0);Yr(17952,f,g,d,b,u,18008,o+((c[234680]|0)-1<<3)|0,k,n,s,t,o+((c[234684]|0)-1<<3)|0,o+400|0,o+((c[234698]|0)-1<<3)|0,o+((c[234682]|0)-1<<3)|0,q,o+80|0,o+128|0,o+176|0,o+224|0,o+272|0,o+32|0,o+40|0,o+48|0,o+56|0,17992,o+64|0,q+20|0,q+16|0,q+24|0,q+28|0,q+32|0,k+36|0,938624)|0;if((c[231482]|0)>0){C=231;break}r=c[n>>2]|0;if((r|0)<0){la=r;break}do{if((c[w>>2]|0)!=0){Sr(18976,v,w,d,17952,j,f,o+((c[234698]|0)-1<<3)|0,o+((c[234684]|0)-1<<3)|0,o+224|0,q+28|0,o+((c[234690]|0)-1<<3)|0,o+((c[234688]|0)-1<<3)|0,o+((c[234686]|0)-1<<3)|0,x,938808,o+64|0,0,o,q,s,t)|0;if((c[231482]|0)>0){C=231;break e}if((c[234702]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];ns(d,o+((c[234698]|0)-1<<3)|0,19136,g,19136)|0;C=195;continue e}}while(0);r=(c[k+8>>2]|0)!=0;O=+h[2244];L=+h[2251];M=(O- +h[j>>3])*L;if((c[k+12>>2]|0)==0){if(!r){if(M<0.0){C=126;continue}Xr(17952,j,f,g,d,q+28|0,o+((c[234684]|0)-1<<3)|0,o+224|0)|0;if((c[231482]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(M<0.0){h[e>>3]=O;c[n>>2]=1;C=195;continue}Xr(17952,j,f,g,d,q+28|0,o+((c[234684]|0)-1<<3)|0,o+224|0)|0;if((c[231482]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(r){if(!(M<0.0)){Xr(17952,j,f,g,d,q+28|0,o+((c[234684]|0)-1<<3)|0,o+224|0)|0;if((c[231482]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}V=O- +h[2243];h[z>>3]=V;if(V<0.0){sa=-0.0-V}else{sa=V}if(O<0.0){ta=-0.0-O}else{ta=O}if(L<0.0){ua=-0.0-L}else{ua=L}if(sa>+h[2242]*100.0*(ta+ua)){h[e>>3]=O;c[n>>2]=1;C=195;continue}Xr(17952,17944,f,g,d,q+28|0,o+((c[234684]|0)-1<<3)|0,o+224|0)|0;if((c[231482]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2243];C=195;continue}if(!(M<0.0)){Xr(17952,j,f,g,d,q+28|0,o+((c[234684]|0)-1<<3)|0,o+224|0)|0;if((c[231482]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}M=+h[2243];V=O-M;h[z>>3]=V;if(V<0.0){va=-0.0-V}else{va=V}if(O<0.0){wa=-0.0-O}else{wa=O}if(L<0.0){xa=-0.0-L}else{xa=L}if(va>+h[2242]*100.0*(wa+xa)){if(!(L*(O+L-M)>0.0)){C=126;continue}h[2251]=M-O;C=126;continue}else{Xr(17952,17944,f,g,d,q+28|0,o+((c[234684]|0)-1<<3)|0,o+224|0)|0;if((c[231482]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2243];C=195;continue}}else if((C|0)==195){C=0;h[o+24>>3]=+h[2244];h[o+16>>3]=+h[2251];h[o+328>>3]=+h[e>>3];C=231;break}}do{if((C|0)==129){c[n>>2]=-1;la=-1}else if((C|0)==134){c[234704]=na;c[n>>2]=-3;la=-3}else if((C|0)==136){if((c[ma>>2]|0)!=1){h[l>>3]=oa*+h[l>>3];h[m>>3]=+h[2246]*+h[m>>3];c[n>>2]=-2;la=-2;break}r=c[d>>2]|0;c[234704]=1;if((r|0)>=1){p=0;I=1;O=oa;while(1){W=l+(p<<3)|0;h[W>>3]=O*+h[W>>3];W=m+(I-1<<3)|0;h[W>>3]=+h[2246]*+h[W>>3];ya=I+1|0;if((ya|0)>(r|0)){break}p=I;I=ya;O=+h[2246]}c[234704]=ya}c[n>>2]=-2;la=-2}else if((C|0)==231){i=y;return 0}}while(0);I=-la|0;c[234700]=I;switch(I|0){case 2:{TH(938640,31144,80,47);Qr(938640,18896,18808,939096,939096,939096,939096,19136,17952,18584,80)|0;TH(938640,27256,80,48);Qr(938640,18888,18800,939096,939096,939096,939096,939096,18584,18584,80)|0;TH(938640,24816,80,45);Qr(938640,18920,18792,939096,939096,939096,939096,939096,18584,18584,80)|0;break};case 3:{TH(938640,21752,80,38);Qr(938640,18960,18784,939096,939096,939096,939096,19136,17952,18584,80)|0;TH(938640,902512,80,28);Qr(938640,19024,18776,939096,939096,939096,939096,939096,18584,18584,80)|0;break};case 6:{TH(938640,899840,80,44);Qr(938640,18928,18768,939096,939096,939096,939096,19032,17952,18008,80)|0;TH(938640,897864,80,57);Qr(938640,18840,18760,939096,939096,939096,939096,939096,18584,18584,80)|0;break};case 7:{TH(938640,899840,80,44);Qr(938640,18928,18752,939096,939096,939096,939096,19032,17952,18008,80)|0;TH(938640,896168,80,48);Qr(938640,18888,18744,939096,939096,939096,939096,939096,18584,18584,80)|0;TH(938640,895128,80,28);Qr(938640,19024,18736,939096,939096,939096,939096,939096,18584,18584,80)|0;break};case 8:{TH(938640,899840,80,44);Qr(938640,18928,18728,939096,939096,939096,939096,19032,17952,18008,80)|0;TH(938640,894040,80,37);Qr(938640,18968,18720,939096,939096,939096,939096,939096,18584,18584,80)|0;break};case 9:{TH(938640,899840,80,44);Qr(938640,18928,18704,939096,939096,939096,939096,19032,17952,18008,80)|0;TH(938640,893184,80,49);Qr(938640,18880,18696,939096,939096,939096,939096,939096,18584,18584,80)|0;TH(938640,892200,80,38);Qr(938640,18960,18688,939096,939096,939096,939096,939096,18584,18584,80)|0;break};case 10:{TH(938640,899840,80,44);Qr(938640,18928,18680,939096,939096,939096,939096,19032,17952,18008,80)|0;TH(938640,891560,80,45);Qr(938640,18920,18672,939096,939096,939096,939096,939096,18584,18584,80)|0;TH(938640,890880,80,36);Qr(938640,18984,18664,939096,939096,939096,939096,939096,18584,18584,80)|0;break};case 11:{TH(938640,890016,80,40);Qr(938640,18944,18656,939096,939096,939096,939096,19032,17952,18008,80)|0;TH(938640,888976,80,36);Qr(938640,18984,18648,939096,939096,939096,939096,939096,18584,18584,80)|0;break};case 12:{TH(938640,899840,80,44);Qr(938640,18928,18640,939096,939096,939096,939096,19032,17952,17984,80)|0;TH(938640,887440,80,45);Qr(938640,18920,18632,939096,939096,939096,939096,939096,18584,18584,80)|0;break};case 4:case 5:{break};default:{TH(938640,39880,80,38);Qr(938640,18960,18824,939096,939096,939096,939096,19136,17952,18584,80)|0;TH(938640,35448,80,48);Qr(938640,18888,18816,939096,939096,939096,939096,939096,18584,18584,80)|0}}c[k>>2]=-1;h[e>>3]=+h[2244];h[o+24>>3]=+h[2244];h[o+16>>3]=+h[2251];i=y;return 0}else if((C|0)==213){TH(938640,52488,80,39);Qr(938640,18952,18712,939096,939096,939096,939096,939096,18584,18584,80)|0;break c}else if((C|0)==214){TH(938640,51816,80,39);Qr(938640,18952,18624,939096,939096,939096,939096,939096,18584,18584,80)|0;break c}}}while(0);TH(938640,51016,80,47);Qr(938640,18896,18600,939096,939096,939096,939096,939096,18584,18584,80)|0}else if((C|0)==208){TH(938640,707616,80,55);Qr(938640,18856,19136,939096,939096,939096,939096,939096,18584,18584,80)|0}}while(0);if((C|0)==225){TH(938640,43632,80,39);Qr(938640,18952,19080,939096,939096,939096,939096,19032,j,e,80)|0}if((c[k>>2]|0)==-1){TH(938640,40808,80,46);Qr(938640,18912,18616,939096,939096,939096,939096,939096,18584,18584,80)|0;TH(938640,40384,80,47);Qr(938640,18896,18608,19136,939096,939096,939096,939096,18584,18584,80)|0;i=y;return 0}else{c[k>>2]=-1;c[n>>2]=-33;i=y;return 0}return 0}function Sr(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0.0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0;u=c[f>>2]|0;z=~u;A=+h[m>>3];h[2105]=A;c[s>>2]=0;B=c[e>>2]|0;c[234106]=1;if((B|0)>=1){C=1;do{c[r+(C-1<<2)>>2]=0;C=(c[234106]|0)+1|0;c[234106]=C;}while((C|0)<=(B|0))}D=+h[g>>3];if(D<0.0){E=-0.0-D}else{E=D}if(A<0.0){F=-0.0-A}else{F=A}h[2104]=(E+F)*+h[t>>3]*100.0;t=c[b>>2]|0;do{if((t|0)==3){G=+h[g>>3];H=A}else if((t|0)==2){do{if((c[w+68>>2]|0)!=0){b=v+320|0;Xr(g,b,j,k,f,n,l,m)|0;if((c[231482]|0)>0){return 0}B=d;Nd[B&15](f,b,j,e,o,x,y)|0;if((c[231482]|0)>0){return 0}C=w+60|0;c[C>>2]=(c[C>>2]|0)+1;a[16792]=0;I=c[e>>2]|0;c[234106]=1;if((I|0)<1){break}else{J=1;K=0}while(1){F=+h[o+(J-1<<3)>>3];if(F<0.0){L=-0.0-F}else{L=F}if(L>0.0){M=K}else{a[16792]=1;M=1}N=J+1|0;if((N|0)>(I|0)){break}else{J=N;K=M}}c[234106]=N;if(!M){break}F=+SH(16832,16840);h[2102]=F;E=F+ +h[b>>3];h[b>>3]=E;F=+h[2105];do{if((E- +h[g>>3])*F<0.0){Xr(g,b,j,k,f,n,l,m)|0;if((c[231482]|0)<=0){break}return 0}else{D=+h[2102]/F;h[2101]=D;I=c[f>>2]|0;c[234106]=1;if((I|0)<1){break}O=(u<<1)+z|0;P=1;Q=2;R=D;while(1){S=j+(P-1<<3)|0;h[S>>3]=+h[S>>3]+R*+h[l+(O+P<<3)>>3];if((Q|0)>(I|0)){break}P=Q;Q=Q+1|0;R=+h[2101]}c[234106]=Q}}while(0);Nd[B&15](f,b,j,e,o,x,y)|0;if((c[231482]|0)>0){return 0}c[C>>2]=(c[C>>2]|0)+1;a[16792]=0;P=c[e>>2]|0;c[234106]=1;if((P|0)<1){break}else{T=1;U=0}while(1){I=T-1|0;F=+h[o+(I<<3)>>3];if(F<0.0){V=-0.0-F}else{V=F}if(V>0.0){W=U;X=T}else{c[r+(I<<2)>>2]=1;a[16792]=1;W=1;X=c[234106]|0}I=X+1|0;c[234106]=I;if((I|0)>(P|0)){break}else{T=I;U=W}}if(!W){break}c[s>>2]=1;return 0}}while(0);F=+h[g>>3];if(F==+h[v+328>>3]){return 0}else{G=F;H=+h[2105];break}}else{P=v+320|0;Xr(g,P,j,k,f,n,l,m)|0;if((c[231482]|0)>0){return 0}C=d;Nd[C&15](f,P,j,e,o,x,y)|0;if((c[231482]|0)>0){return 0}b=w+60|0;c[b>>2]=1;a[16792]=0;B=c[e>>2]|0;c[234106]=1;if((B|0)<1){return 0}else{Y=1;Z=0}while(1){F=+h[o+(Y-1<<3)>>3];if(F<0.0){_=-0.0-F}else{_=F}if(_>0.0){$=Z}else{a[16792]=1;$=1}aa=Y+1|0;if((aa|0)>(B|0)){break}else{Y=aa;Z=$}}c[234106]=aa;if(!$){return 0}F=+SH(16832,16840);h[2102]=F;h[P>>3]=F+ +h[P>>3];F=+h[2102]/+h[2105];h[2101]=F;B=c[f>>2]|0;c[234106]=1;if((B|0)>=1){I=(u<<1)+z|0;O=1;S=2;E=F;while(1){ba=j+(O-1<<3)|0;h[ba>>3]=+h[ba>>3]+E*+h[l+(I+O<<3)>>3];if((S|0)>(B|0)){break}O=S;S=S+1|0;E=+h[2101]}c[234106]=S}Nd[C&15](f,P,j,e,o,x,y)|0;if((c[231482]|0)>0){return 0}c[b>>2]=(c[b>>2]|0)+1;a[16792]=0;O=c[e>>2]|0;c[234106]=1;if((O|0)<1){return 0}else{ca=1;da=0}while(1){E=+h[o+(ca-1<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}if(ea>0.0){fa=da}else{a[16792]=1;fa=1}ga=ca+1|0;if((ga|0)>(O|0)){break}else{ca=ga;da=fa}}c[234106]=ga;if(!fa){return 0}c[s>>2]=-1;return 0}}while(0);ea=+h[i>>3];do{if((ea-G)*H<0.0){h[2103]=ea;if(!((ea- +h[v+320>>3])*H>0.0)){return 0}Xr(g,16824,j,k,f,n,l,m)|0;if((c[231482]|0)<=0){break}return 0}else{h[2103]=G;i=c[f>>2]|0;c[234106]=1;if((i|0)<1){break}else{ha=1}do{fa=ha-1|0;h[j+(fa<<3)>>3]=+h[l+(fa<<3)>>3];ha=ha+1|0;}while((ha|0)<=(i|0));c[234106]=ha}}while(0);ha=d;Nd[ha&15](f,16824,j,e,p,x,y)|0;if((c[231482]|0)>0){return 0}d=w+60|0;c[d>>2]=(c[d>>2]|0)+1;c[234104]=0;i=v+320|0;fa=w+76|0;ga=w+72|0;w=v+336|0;da=v+344|0;while(1){Tr(e,16832,936416,i,16824,o,p,q,16800,r,fa,ga,w,da)|0;if((c[231482]|0)>0){ia=76;break}if((c[234104]|0)>1){ia=73;break}Xr(g,16800,j,k,f,n,l,m)|0;if((c[231482]|0)>0){ia=76;break}Nd[ha&15](f,16800,j,e,q,x,y)|0;if((c[231482]|0)>0){ia=76;break}c[d>>2]=(c[d>>2]|0)+1}if((ia|0)==73){h[i>>3]=+h[2100];ns(e,q,19136,o,19136)|0;if((c[234104]|0)==4){return 0}Xr(g,16800,j,k,f,n,l,m)|0;if((c[231482]|0)>0){return 0}c[s>>2]=1;return 0}else if((ia|0)==76){return 0}return 0}function Tr(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0;do{if((c[e>>2]|0)==1){c[234100]=c[n>>2];c[n>>2]=0;h[2097]=0.0;a[16760]=0;r=c[b>>2]|0;c[234102]=1;if((r|0)>=1){s=1;do{t=s-1|0;u=+h[k+(t<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}do{if(v>0.0){u=+SH(18568,i+(t<<3)|0);if(u==+SH(18568,k+((c[234102]|0)-1<<3)|0)){break}w=c[234102]|0;x=w-1|0;u=+h[k+(x<<3)>>3];y=u/(u- +h[i+(x<<3)>>3]);if(y<0.0){z=-0.0-y}else{z=y}if(!(z>+h[2097])){break}h[2097]=z;c[n>>2]=w}else{a[16760]=1}}while(0);s=(c[234102]|0)+1|0;c[234102]=s;}while((s|0)<=(r|0))}do{if((c[n>>2]|0)>0){a[16784]=1;c[234098]=c[o>>2];h[g>>3]=+h[q>>3];ns(b,k,19136,j,19136)|0;c[o>>2]=1;a[16768]=0;A=0}else{a[16784]=0;c[n>>2]=c[234100];c[234098]=c[o>>2];if(a[16760]|0){h[g>>3]=+h[q>>3];ns(b,k,19136,j,19136)|0;a[16768]=1;A=1;break}else{ns(b,k,19136,i,19136)|0;h[f>>3]=+h[q>>3];c[o>>2]=0;a[16768]=0;A=0;break}}}while(0);y=+h[g>>3];u=y- +h[f>>3];if(u<0.0){B=-0.0-u}else{B=u}if(B>+h[d>>3]){if(!A){break}C=+h[g>>3]}else{a[16768]=1;C=y}c[e>>2]=2;h[l>>3]=C;ns(b,j,19136,k,19136)|0;r=c[b>>2]|0;c[234102]=1;if((r|0)<1){return 0}else{D=1}do{c[m+(D-1<<2)>>2]=0;s=(c[234102]|0)-1|0;y=+h[j+(s<<3)>>3];if(y<0.0){E=-0.0-y}else{E=y}do{if(E>0.0){y=+SH(18568,i+(s<<3)|0);if(!(y!=+SH(18568,j+((c[234102]|0)-1<<3)|0))){break}c[m+((c[234102]|0)-1<<2)>>2]=1}else{c[m+(s<<2)>>2]=1}}while(0);D=(c[234102]|0)+1|0;c[234102]=D;}while((D|0)<=(r|0));return 0}else{c[n>>2]=0;h[2097]=0.0;a[16760]=0;r=c[b>>2]|0;c[234102]=1;if((r|0)>=1){s=1;do{t=s-1|0;y=+h[j+(t<<3)>>3];if(y<0.0){F=-0.0-y}else{F=y}do{if(F>0.0){y=+SH(18568,i+(t<<3)|0);if(y==+SH(18568,j+((c[234102]|0)-1<<3)|0)){break}w=c[234102]|0;x=w-1|0;y=+h[j+(x<<3)>>3];u=y/(y- +h[i+(x<<3)>>3]);if(u<0.0){G=-0.0-u}else{G=u}if(!(G>+h[2097])){break}h[2097]=G;c[n>>2]=w}else{a[16760]=1}}while(0);s=(c[234102]|0)+1|0;c[234102]=s;}while((s|0)<=(r|0))}r=(c[n>>2]|0)>0;a[16784]=r;if(r){a[16768]=0;c[234098]=0;c[o>>2]=1;break}if(!(a[16760]|0)){ns(b,j,19136,k,19136)|0;h[l>>3]=+h[g>>3];c[e>>2]=4;return 0}h[l>>3]=+h[g>>3];ns(b,j,19136,k,19136)|0;r=c[b>>2]|0;c[234102]=1;if((r|0)>=1){s=1;do{c[m+(s-1<<2)>>2]=0;t=c[234102]|0;w=t-1|0;u=+h[j+(w<<3)>>3];if(u<0.0){H=-0.0-u}else{H=u}if(H>0.0){I=t}else{c[m+(w<<2)>>2]=1;I=c[234102]|0}s=I+1|0;c[234102]=s;}while((s|0)<=(r|0))}c[e>>2]=3;return 0}}while(0);I=c[234098]|0;do{if((I|0)==(c[o>>2]|0)){H=+h[p>>3];if((I|0)==0){G=H*2.0;h[p>>3]=G;J=G;break}else{G=H*.5;h[p>>3]=G;J=G;break}}else{h[p>>3]=1.0;J=1.0}}while(0);G=+h[g>>3];p=(c[n>>2]|0)-1|0;H=+h[j+(p<<3)>>3];F=G-(G- +h[f>>3])*H/(H-J*+h[i+(p<<3)>>3]);h[q>>3]=F;J=+h[f>>3];H=F-J;if(H<0.0){K=-0.0-H}else{K=H}H=+h[d>>3];do{if(K<H){G=+h[g>>3]-J;if(G<0.0){L=-0.0-G}else{L=G}if(!(L>H*10.0)){M=F;break}E=J+G*.1;h[q>>3]=E;M=E}else{M=F}}while(0);c[e>>2]=1;h[l>>3]=M;return 0}function Ur(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0.0,o=0.0;h[2216]=+h[d>>3];h[2217]=+h[e>>3];j=c[a>>2]|0;c[234618]=1;if((j|0)<1){return 0}else{k=1}do{if((c[b>>2]|0)==0){l=+h[2216];m=k-1|0}else{a=k-1|0;n=+h[d+(a<<3)>>3];h[2216]=n;h[2217]=+h[e+(a<<3)>>3];l=n;m=a}n=+h[f+(m<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}h[g+(m<<3)>>3]=l*o+ +h[2217];k=k+1|0;c[234618]=k;}while((k|0)<=(j|0));return 0}function Vr(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0;h[2254]=0.0;f=c[a>>2]|0;c[234708]=1;if((f|0)<1){g=0.0;return+g}else{i=1;j=0.0}while(1){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){l=-0.0-k}else{l=k}if(l>j){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){m=-0.0-k}else{m=k}h[2254]=m;n=m}else{n=j}o=i+1|0;if((o|0)>(f|0)){break}else{i=o;j=n}}c[234708]=o;if(!(n>0.0)){g=0.0;return+g}h[2255]=0.0;o=c[a>>2]|0;c[234708]=1;if((o|0)<1){p=0.0}else{i=1;j=0.0;do{f=i-1|0;m=+h[b+(f<<3)>>3]/+h[d+(f<<3)>>3]/n;j=j+m*m;h[2255]=j;i=i+1|0;}while((i|0)<=(o|0));c[234708]=i;p=j}g=n*+W(p/+(c[a>>2]|0));return+g}function Wr(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0.0;y=i;i=i+16|0;z=y|0;A=y+8|0;B=c[f>>2]|0;c[m>>2]=1;c[234744]=0;c[234746]=0;c[234742]=0;h[2262]=+h[b>>3];h[2261]=+Vr(f,d,l,0,0);C=c[f>>2]|0;c[234754]=1;D=(B<<1)+~B|0;if((C|0)>=1){B=1;do{E=B-1|0;h[p+(E<<3)>>3]=+h[d+(E<<3)>>3];h[p+(D+B<<3)>>3]=+h[e+(B-1<<3)>>3];B=B+1|0;}while((B|0)<=(C|0));c[234754]=B}B=t+44|0;C=g;E=t+48|0;F=+h[k>>3];a:while(1){h[2270]=1.0/F;h[b>>3]=+h[k>>3]+ +h[b>>3];G=c[f>>2]|0;c[234754]=1;if((G|0)>=1){H=1;do{I=H-1|0;J=d+(I<<3)|0;h[J>>3]=+h[J>>3]+ +h[k>>3]*+h[e+(I<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[234754]=H}a[18128]=1;c[234748]=0;a[18152]=1;c[B>>2]=(c[B>>2]|0)+1;c[234750]=0;Nd[C&15](b,d,e,q,939e3,n,o)|0;b:do{if((c[234750]|0)<0){K=35}else{while(1){if(a[18128]|0){c[E>>2]=(c[E>>2]|0)+1;a[18128]=0;Zr(f,b,d,e,q,18160,k,939008,l,r,s,t,g,939e3,v,j,n,o,x)|0;h[2263]=1.0e6;if((c[234750]|0)<0|(c[234752]|0)!=0){K=35;break b}c[234742]=0}G=c[f>>2]|0;c[234754]=1;if((G|0)>=1){I=1;do{J=q+(I-1<<3)|0;h[J>>3]=+h[J>>3]*.75;I=I+1|0;}while((I|0)<=(G|0));c[234754]=I}_r(f,q,s,t)|0;G=c[f>>2]|0;c[234754]=1;if((G|0)>=1){J=1;do{L=J-1|0;M=d+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[q+(L<<3)>>3];L=J-1|0;M=e+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[2270]*+h[q+(L<<3)>>3];J=J+1|0;}while((J|0)<=(G|0));c[234754]=J}N=+Vr(f,q,l,0,0);h[2268]=N;if(!(N>+h[v>>3]*100.0*+h[2261])){break}G=c[234748]|0;if((G|0)>0){h[z>>3]=N/+h[2265];h[A>>3]=1.0/+(G|0);O=+QH(z,A);if(O>.9){K=35;break b}P=O/(1.0-O);h[2263]=P;Q=P;R=+h[2268]}else{h[2265]=N;Q=+h[2263];R=N}if(!(Q*R>.33)){break}G=(c[234748]|0)+1|0;c[234748]=G;if((G|0)>9){K=35;break b}if(((G|0)%5|0|0)==0){a[18128]=1}c[B>>2]=(c[B>>2]|0)+1;c[234750]=0;Nd[C&15](b,d,e,q,939e3,n,o)|0;if((c[234750]|0)<0){K=35;break b}}do{if((c[w>>2]|0)!=0){G=c[f>>2]|0;c[234754]=1;if((G|0)>=1){I=1;do{S=+h[d+(I-1<<3)>>3];h[q+(I-1<<3)>>3]=S<=0.0?S:0.0;I=I+1|0;}while((I|0)<=(G|0));h[z>>3]=S;c[234754]=I}N=+Vr(f,q,l,0,0);h[2268]=N;if(N>.33){K=35;break b}G=c[f>>2]|0;c[234754]=1;if((G|0)<1){break}else{T=1}do{J=T-1|0;L=d+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[q+(J<<3)>>3];J=T-1|0;L=e+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[2270]*+h[q+(J<<3)>>3];T=T+1|0;}while((T|0)<=(G|0));c[234754]=T}}while(0);if(!(a[18152]|0)){break}G=c[f>>2]|0;c[234754]=1;if((G|0)>=1){I=1;do{J=I-1|0;h[r+(J<<3)>>3]=+h[d+(J<<3)>>3]- +h[p+(J<<3)>>3];I=I+1|0;}while((I|0)<=(G|0));c[234754]=I}N=+Vr(f,r,l,0,0);h[2267]=N;if(!(N>1.0)){K=63;break a}}}while(0);if((K|0)==35){K=0;a[18152]=0}h[b>>3]=+h[2262];H=c[f>>2]|0;c[234754]=1;if((H|0)>=1){G=1;do{J=G-1|0;h[d+(J<<3)>>3]=+h[p+(J<<3)>>3];h[e+(G-1<<3)>>3]=+h[p+(D+G<<3)>>3];G=G+1|0;}while((G|0)<=(H|0));c[234754]=G}if(a[18152]|0){H=(c[234744]|0)+1|0;c[234744]=H;N=.9/(+h[2267]*2.0+1.0e-4);h[z>>3]=.1;P=N>=.5?.5:N;h[A>>3]=P;N=P<=.1?.1:P;h[2264]=N;P=+h[k>>3]*N;h[k>>3]=P;if(P<0.0){U=-0.0-P}else{U=P}if(U>=+h[u>>3]&(H|0)<10){F=P;continue}else{K=62;break}}if((c[234752]|0)!=0){H=(c[234742]|0)+1|0;c[234742]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=3){K=51;break}if(P<0.0){V=-0.0-P}else{V=P}if(V<+h[u>>3]){K=51;break}else{F=P;continue}}if(!((c[234750]|0)>-2)){K=53;break}H=(c[234746]|0)+1|0;c[234746]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=10){K=58;break}if(P<0.0){W=-0.0-P}else{W=P}if(W<+h[u>>3]){K=58;break}else{F=P}}if((K|0)==51){c[m>>2]=-12;i=y;return 0}else if((K|0)==53){c[m>>2]=-12;i=y;return 0}else if((K|0)==58){c[m>>2]=-12;i=y;return 0}else if((K|0)==62){c[m>>2]=-12;i=y;return 0}else if((K|0)==63){i=y;return 0}return 0}function Xr(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0;k=c[f>>2]|0;l=~k;m=(c[g>>2]|0)+1|0;c[234620]=m;n=+h[b>>3]- +h[a>>3];h[2218]=n;a=c[f>>2]|0;c[234624]=1;if((a|0)<1){o=n}else{b=1;do{g=b-1|0;h[d+(g<<3)>>3]=+h[i+(g<<3)>>3];h[e+(b-1<<3)>>3]=0.0;b=b+1|0;}while((b|0)<=(a|0));c[234624]=b;o=+h[2218]}h[2221]=1.0;h[2220]=0.0;n=o/+h[j>>3];h[2219]=n;c[234622]=2;if((m|0)<2){return 0}else{p=2;q=0.0;r=n;s=1.0;t=o}while(1){b=j+(p-2<<3)|0;h[2220]=q*r+s/+h[b>>3];o=r*s;h[2221]=o;h[2219]=(t+ +h[b>>3])/+h[j+(p-1<<3)>>3];b=c[f>>2]|0;c[234624]=1;if((b|0)>=1){a=ga(p,k)|0;g=1;n=o;while(1){u=d+(g-1<<3)|0;h[u>>3]=+h[u>>3]+n*+h[i+(g+l+a<<3)>>3];u=e+(g-1<<3)|0;h[u>>3]=+h[u>>3]+ +h[2220]*+h[i+(g+l+a<<3)>>3];v=g+1|0;if((v|0)>(b|0)){break}g=v;n=+h[2221]}c[234624]=v}g=p+1|0;c[234622]=g;if((g|0)>(m|0)){break}p=g;q=+h[2220];r=+h[2219];s=+h[2221];t=+h[2218]}return 0}function Yr(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;C=C|0;D=D|0;E=E|0;F=F|0;G=G|0;H=H|0;I=I|0;J=J|0;K=K|0;L=L|0;M=M|0;var N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0;N=i;i=i+16|0;O=N|0;P=N+8|0;Q=c[f>>2]|0;R=~Q;c[n>>2]=1;h[2222]=+h[b>>3];c[234632]=0;c[234628]=0;c[234630]=0;S=u+52|0;if((c[m>>2]|0)==0){c[S>>2]=0;T=u+56|0;c[T>>2]=0;c[I>>2]=1;c[J>>2]=0;h[C>>3]=0.0;c[m>>2]=1;h[y>>3]=+h[k>>3];U=1.0/+h[k>>3];h[B>>3]=U;h[A>>3]=U;h[D>>3]=100.0;c[H>>2]=-1;h[2236]=1.0;c[G>>2]=0;c[K>>2]=0;V=T}else{V=u+56|0}T=u+44|0;m=g;W=u+48|0;while(1){c[234638]=(c[I>>2]|0)+1;c[234636]=(c[I>>2]|0)+2;c[234642]=(c[I>>2]|0)-1;h[2222]=+h[b>>3];do{if(+h[k>>3]!=+h[C>>3]){X=8}else{Y=c[I>>2]|0;if((Y|0)!=(c[J>>2]|0)){X=8;break}Z=Y;_=(c[K>>2]|0)+1|0}}while(0);if((X|0)==8){X=0;c[K>>2]=0;Z=c[J>>2]|0;_=1}Y=Z+2|0;$=(_|0)<=(Y|0)?_:Y;c[K>>2]=$;c[234626]=$+1;$=c[234638]|0;if(($|0)>=(c[K>>2]|0)){h[w>>3]=1.0;h[v>>3]=1.0;h[2226]=+h[k>>3];h[x>>3]=0.0;h[z>>3]=1.0;c[234654]=2;if(($|0)>=2){Y=2;do{h[2225]=+h[y+(Y-2<<3)>>3];U=+h[2226];aa=Y-2|0;h[y+(aa<<3)>>3]=U;ba=Y-1|0;h[w+(ba<<3)>>3]=+h[w+(aa<<3)>>3]*U/+h[2225];U=+h[2225]+ +h[k>>3];h[2226]=U;ca=+h[k>>3]/U;h[v+(ba<<3)>>3]=ca;h[z+(ba<<3)>>3]=ca*+h[z+(aa<<3)>>3]*+(ba|0);h[x+(ba<<3)>>3]=+h[x+(aa<<3)>>3]+ +h[v+(aa<<3)>>3]/+h[k>>3];Y=Y+1|0;}while((Y|0)<=($|0));c[234654]=Y}h[y+($-1<<3)>>3]=+h[2226]}h[2240]=0.0;h[2241]=0.0;aa=c[I>>2]|0;c[234654]=1;if((aa|0)<1){da=0.0}else{ba=1;ca=0.0;U=0.0;do{ca=ca-1.0/+(ba|0);h[2240]=ca;U=U- +h[v+(ba-1<<3)>>3];h[2241]=U;ba=ba+1|0;}while((ba|0)<=(aa|0));c[234654]=ba;da=ca}h[2239]=+h[A>>3];h[A>>3]=(-0.0-da)/+h[k>>3];aa=v+($-1<<3)|0;U=+h[aa>>3]+ +h[2240]- +h[2241];h[O>>3]=U;if(U<0.0){ea=-0.0-U}else{ea=U}h[2238]=ea;h[O>>3]=ea;U=+h[aa>>3];h[P>>3]=U;h[2238]=ea>=U?ea:U;h[2226]=.6;h[2225]=1.6666666666666667;U=+h[A>>3];fa=U/+h[B>>3];if(fa<.6|fa>1.6666666666666667){c[H>>2]=-1}if(U!=+h[2239]){h[D>>3]=100.0}aa=c[234638]|0;Y=c[234626]|0;if((aa|0)>=(Y|0)){c[234648]=Y;ha=Y;do{Y=c[f>>2]|0;c[234654]=1;if((Y|0)>=1){ia=1;do{ja=q+(ia+R+(ga(ha,Q)|0)<<3)|0;h[ja>>3]=+h[w+(ha-1<<3)>>3]*+h[ja>>3];ia=ia+1|0;}while((ia|0)<=(Y|0));c[234654]=ia}ha=ha+1|0;c[234648]=ha;}while((ha|0)<=(aa|0))}h[b>>3]=+h[k>>3]+ +h[b>>3];a:while(1){aa=c[f>>2]|0;c[234654]=1;if((aa|0)>=1){ha=1;do{$=ha-1|0;h[d+($<<3)>>3]=+h[q+($<<3)>>3];h[e+(ha-1<<3)>>3]=0.0;ha=ha+1|0;}while((ha|0)<=(aa|0));c[234654]=ha}aa=c[234638]|0;c[234648]=2;if((aa|0)>=2){ia=2;do{$=c[f>>2]|0;c[234654]=1;if(($|0)>=1){ba=x+(ia-1<<3)|0;Y=ga(ia,Q)|0;ja=Y+R|0;ka=1;do{la=d+(ka-1<<3)|0;h[la>>3]=+h[q+(ka+R+Y<<3)>>3]+ +h[la>>3];la=e+(ka-1<<3)|0;h[la>>3]=+h[la>>3]+ +h[ba>>3]*+h[q+(ja+ka<<3)>>3];ka=ka+1|0;}while((ka|0)<=($|0));c[234654]=ka}ia=ia+1|0;c[234648]=ia;}while((ia|0)<=(aa|0))}h[2228]=+Vr(f,d,l,0,0);a[17896]=1;c[234634]=0;c[T>>2]=(c[T>>2]|0)+1;c[234650]=0;Nd[m&15](b,d,e,r,938600,o,p)|0;if((c[234650]|0)<0){X=70;break}if((c[H>>2]|0)==-1){c[W>>2]=(c[W>>2]|0)+1;c[H>>2]=0;Zr(f,b,d,e,r,A,k,938608,l,s,t,u,g,938600,F,j,o,p,M)|0;h[B>>3]=+h[A>>3];h[D>>3]=100.0;if((c[234650]|0)<0|(c[234652]|0)!=0){X=70;break}c[234628]=0}aa=c[f>>2]|0;c[234654]=1;if((aa|0)>=1){ia=1;do{h[s+(ia-1<<3)>>3]=0.0;ia=ia+1|0;}while((ia|0)<=(aa|0));c[234654]=ia}while(1){ca=2.0/(+h[A>>3]/+h[B>>3]+1.0);h[2226]=ca;aa=c[f>>2]|0;c[234654]=1;if((aa|0)>=1){ha=0;$=1;U=ca;while(1){ja=r+(ha<<3)|0;h[ja>>3]=U*+h[ja>>3];ma=$+1|0;if((ma|0)>(aa|0)){break}ha=$;$=ma;U=+h[2226]}c[234654]=ma}_r(f,r,t,u)|0;$=c[f>>2]|0;c[234654]=1;if(($|0)>=1){ha=1;do{aa=ha-1|0;ka=d+(aa<<3)|0;h[ka>>3]=+h[ka>>3]- +h[r+(aa<<3)>>3];aa=ha-1|0;ka=r+(aa<<3)|0;ja=s+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[ka>>3];ja=e+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[A>>3]*+h[ka>>3];ha=ha+1|0;}while((ha|0)<=($|0));c[234654]=ha}U=+Vr(f,r,l,0,0);h[2236]=U;if(!(U>+h[F>>3]*100.0*+h[2228])){X=63;break a}$=c[234634]|0;if(($|0)>0){h[O>>3]=U/+h[2229];h[P>>3]=1.0/+($|0);ca=+QH(O,P);if(ca>.9){break}fa=ca/(1.0-ca);h[D>>3]=fa;na=fa;oa=+h[2236]}else{h[2229]=U;na=+h[D>>3];oa=U}if(!(na*oa>.33)){X=63;break a}$=(c[234634]|0)+1|0;c[234634]=$;if(($|0)>3){break}c[T>>2]=(c[T>>2]|0)+1;c[234650]=0;Nd[m&15](b,d,e,r,938600,o,p)|0;if((c[234650]|0)<0){X=70;break a}}if((c[H>>2]|0)==0){X=70;break}c[H>>2]=-1}do{if((X|0)==63){X=0;if((c[L>>2]|0)==0){break}ia=c[f>>2]|0;c[234654]=1;if((ia|0)>=1){$=1;do{pa=+h[d+($-1<<3)>>3];h[r+($-1<<3)>>3]=pa<=0.0?pa:0.0;$=$+1|0;}while(($|0)<=(ia|0));h[O>>3]=pa;c[234654]=$}U=+Vr(f,r,l,0,0);h[2236]=U;if(U>.33){X=70;break}ia=c[f>>2]|0;c[234654]=1;if((ia|0)<1){break}else{qa=1}do{ka=qa-1|0;ja=s+(ka<<3)|0;h[ja>>3]=+h[ja>>3]- +h[r+(ka<<3)>>3];qa=qa+1|0;}while((qa|0)<=(ia|0));c[234654]=qa}}while(0);if((X|0)==70){X=0;a[17896]=0}c[H>>2]=1;if(a[17896]|0){U=+Vr(f,s,l,0,0);h[2235]=U;ia=c[I>>2]|0;fa=U*+h[z+(ia<<3)>>3];h[2234]=fa;h[2224]=fa*+(ia+1|0);h[2231]=fa;c[234640]=ia;do{if((c[I>>2]|0)!=1){ia=c[f>>2]|0;c[234654]=1;if((ia|0)>=1){$=ga(c[234638]|0,Q)|0;ka=1;do{ja=ka-1|0;h[r+(ja<<3)>>3]=+h[q+(ka+R+$<<3)>>3]+ +h[s+(ja<<3)>>3];ka=ka+1|0;}while((ka|0)<=(ia|0));c[234654]=ka}fa=+h[z+((c[I>>2]|0)-1<<3)>>3];U=fa*+Vr(f,r,l,0,0);h[2233]=U;ia=c[I>>2]|0;fa=U*+(ia|0);h[2223]=fa;if((ia|0)>2){$=c[f>>2]|0;c[234654]=1;ja=c[I>>2]|0;if(($|0)<1){ra=ja}else{aa=1;ba=ja;while(1){ca=+h[q+(aa+R+(ga(ba,Q)|0)<<3)>>3];ja=r+(aa-1<<3)|0;h[ja>>3]=ca+ +h[ja>>3];ja=aa+1|0;c[234654]=ja;Y=c[I>>2]|0;if((ja|0)>($|0)){ra=Y;break}else{aa=ja;ba=Y}}}ca=+h[z+(ra-2<<3)>>3];sa=ca*+Vr(f,r,l,0,0);ba=c[I>>2]|0;ca=sa*+(ba-1|0);sa=+h[2223];if((sa>=ca?sa:ca)>+h[2224]){break}ta=ba;ua=+h[2233]}else{if(fa>+h[2224]*.5){break}else{ta=ia;ua=U}}c[234640]=ta-1;h[2231]=ua}}while(0);if(!(+h[2238]*+h[2235]>1.0)){X=86;break}}c[G>>2]=1;h[b>>3]=+h[2222];ba=c[234638]|0;aa=c[234626]|0;if((ba|0)>=(aa|0)){c[234648]=aa;$=aa;do{ca=1.0/+h[w+($-1<<3)>>3];h[2226]=ca;aa=c[f>>2]|0;c[234654]=1;if((aa|0)>=1){ka=ga($,Q)|0;Y=1;ja=2;sa=ca;while(1){la=q+(Y+R+ka<<3)|0;h[la>>3]=sa*+h[la>>3];if((ja|0)>(aa|0)){break}Y=ja;ja=ja+1|0;sa=+h[2226]}c[234654]=ja}$=$+1|0;c[234648]=$;}while(($|0)<=(ba|0))}c[234654]=2;if((ba|0)>=2){$=2;do{h[y+($-2<<3)>>3]=+h[y+($-1<<3)>>3]- +h[k>>3];$=$+1|0;}while(($|0)<=(ba|0));c[234654]=$}if(!(a[17896]|0)){c[V>>2]=(c[V>>2]|0)+1;if((c[234652]|0)!=0){ba=(c[234628]|0)+1|0;c[234628]=ba;h[2227]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=3){X=144;break}if(sa<0.0){va=-0.0-sa}else{va=sa}if(va<+h[E>>3]){X=144;break}else{continue}}if(!((c[234650]|0)>-2)){X=146;break}ba=(c[234632]|0)+1|0;c[234632]=ba;h[2227]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=10){X=151;break}if(sa<0.0){wa=-0.0-sa}else{wa=sa}if(wa<+h[E>>3]){X=151;break}else{continue}}c[234630]=(c[234630]|0)+1;c[S>>2]=(c[S>>2]|0)+1;ba=c[234630]|0;if((ba|0)<=1){Y=c[234640]|0;c[I>>2]=Y;sa=+(Y+1|0);h[2225]=sa;h[O>>3]=+h[2231]*2.0+1.0e-4;h[P>>3]=-1.0/sa;sa=+QH(O,P)*.9;h[O>>3]=.25;U=sa>=.9?.9:sa;h[P>>3]=U;sa=U<=.25?.25:U;h[2227]=sa;U=+h[k>>3]*sa;h[k>>3]=U;if(U<0.0){xa=-0.0-U}else{xa=U}if(xa<+h[E>>3]){X=159;break}else{continue}}if((ba|0)>2){c[I>>2]=1;U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){ya=-0.0-U}else{ya=U}if(ya<+h[E>>3]){X=168;break}else{continue}}else{c[I>>2]=c[234640];U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){za=-0.0-U}else{za=U}if(za<+h[E>>3]){X=164;break}else{continue}}}do{if((X|0)==86){c[n>>2]=1;E=u+40|0;c[E>>2]=(c[E>>2]|0)+1;c[234644]=(c[I>>2]|0)-(c[J>>2]|0);c[J>>2]=c[I>>2];h[C>>3]=+h[k>>3];E=c[234640]|0;S=c[234642]|0;do{if((E|0)==(S|0)){X=88}else{V=u+8|0;if((c[I>>2]|0)==(c[V>>2]|0)){X=88;break}if((c[G>>2]|0)!=0){Aa=E;Ba=S;X=90;break}c[I>>2]=c[234638];za=+h[k>>3]*2.0;h[2230]=za;Ca=za;Da=V}}while(0);if((X|0)==88){c[G>>2]=1;Aa=c[234640]|0;Ba=c[234642]|0;X=90}if((X|0)==90){do{if((Aa|0)==(Ba|0)){Ea=Ba;X=104}else{S=c[I>>2]|0;E=u+8|0;if((S|0)==(c[E>>2]|0)){Fa=S;break}if((c[234638]|0)>=(c[K>>2]|0)|(c[234644]|0)==1){Fa=S;break}S=c[f>>2]|0;c[234654]=1;if((S|0)>=1){$=ga(c[234636]|0,Q)|0;V=1;do{w=V-1|0;h[r+(w<<3)>>3]=+h[s+(w<<3)>>3]- +h[q+(V+R+$<<3)>>3];V=V+1|0;}while((V|0)<=(S|0));c[234654]=V}za=1.0/+((c[I>>2]|0)+2|0);ya=za*+Vr(f,r,l,0,0);h[2232]=ya;S=c[I>>2]|0;za=ya*+(S+2|0);if((S|0)>1){xa=+h[2224];$=xa<=za;if(!(+h[2223]>($?xa:za))){Ea=c[234642]|0;X=104;break}if($){Fa=S;break}if((S|0)==(c[E>>2]|0)){Fa=S;break}}else{if(!(za<+h[2224]*.5)){Fa=S;break}}S=c[234638]|0;c[I>>2]=S;h[2231]=ya;Fa=S}}while(0);if((X|0)==104){c[I>>2]=Ea;h[2231]=+h[2233];Fa=Ea}h[2230]=+h[k>>3];ya=+(Fa+1|0);h[2225]=ya;h[O>>3]=+h[2231]*2.0+1.0e-4;h[P>>3]=-1.0/ya;ya=+QH(O,P);h[2227]=ya;do{if(ya<2.0){if(ya>1.0){Ga=+h[2230];break}else{h[O>>3]=.5;za=ya>=.9?.9:ya;h[P>>3]=za;xa=za<=.5?.5:za;h[2227]=xa;za=+h[k>>3]*xa;h[2230]=za;Ga=za;break}}else{za=+h[k>>3]*2.0;h[2230]=za;Ga=za}}while(0);Ca=Ga;Da=u+8|0}h[k>>3]=Ca;do{if((c[J>>2]|0)!=(c[Da>>2]|0)){S=c[f>>2]|0;c[234654]=1;if((S|0)<1){break}$=ga(c[234636]|0,Q)|0;ja=1;do{h[q+(ja+R+$<<3)>>3]=+h[s+(ja-1<<3)>>3];ja=ja+1|0;}while((ja|0)<=(S|0));c[234654]=ja}}while(0);S=c[f>>2]|0;c[234654]=1;$=c[234638]|0;if((S|0)>=1){E=ga($,Q)|0;V=1;do{w=q+(V+R+E<<3)|0;h[w>>3]=+h[s+(V-1<<3)>>3]+ +h[w>>3];V=V+1|0;}while((V|0)<=(S|0));c[234654]=V}c[234646]=2;if(($|0)<2){i=N;return 0}else{Ha=2}do{S=1-Ha+$|0;c[234648]=S;E=c[f>>2]|0;c[234654]=1;if((E|0)>=1){w=ga(S+1|0,Q)|0;ta=ga(S,Q)|0;S=1;do{ra=S+R|0;z=q+(ra+ta<<3)|0;h[z>>3]=+h[q+(ra+w<<3)>>3]+ +h[z>>3];S=S+1|0;}while((S|0)<=(E|0));c[234654]=S}Ha=Ha+1|0;c[234646]=Ha;}while((Ha|0)<=($|0));i=N;return 0}else if((X|0)==144){c[n>>2]=-8}else if((X|0)==146){c[n>>2]=-11}else if((X|0)==151){c[n>>2]=-7;if((c[234650]|0)<0){c[n>>2]=-10}if((c[234630]|0)<=2){break}c[n>>2]=-9}else if((X|0)==159){c[n>>2]=-6}else if((X|0)==164){c[n>>2]=-6}else if((X|0)==168){c[n>>2]=-6}}while(0);Xr(b,b,d,e,f,I,q,y)|0;i=N;return 0}function Zr(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;var x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0.0,ha=0,ia=0;x=i;i=i+8|0;y=x|0;c[l>>2]=0;z=c[p+12>>2]|0;a:do{if((z|0)==4){A=p+4|0;B=ga((c[A>>2]|0)+1+(c[p>>2]<<1)|0,c[b>>2]|0)|0;c[234736]=1;if((B|0)>=1){C=1;do{h[o+(C-1<<3)>>3]=0.0;C=C+1|0;}while((C|0)<=(B|0));c[234736]=C}Sd[t&15](d,e,f,g,o,j,k,m,u,v)|0;c[234716]=(c[A>>2]|0)+1+(c[p>>2]<<1);D=72}else if((z|0)==5){B=p+4|0;E=(c[B>>2]|0)+(c[p>>2]|0)|0;F=E+1|0;c[234720]=F;G=c[b>>2]|0;c[234722]=(F|0)>(G|0)?G:F;G=c[p>>2]|0;c[234716]=F+G;c[234718]=G+E;E=(c[b>>2]|0)/(F|0)|0;c[234714]=E+1;F=c[w>>2]|0;c[234730]=F-1;c[234732]=F+E;c[r>>2]=0;h[2258]=+W(+h[s>>3]);E=c[234722]|0;c[234728]=1;if((E|0)<1){D=72;break}F=q;G=1;while(1){H=c[b>>2]|0;I=c[234720]|0;c[234712]=G;J=(I|0)<0;b:do{if(J?(G|0)>=(H|0):(G|0)<=(H|0)){K=G;L=G;M=I;while(1){N=(K-L|0)/(M|0)|0;c[234726]=N+1;O=K-1|0;P=e+(O<<3)|0;h[o+((c[234730]|0)+N<<3)>>3]=+h[P>>3];Q=f+(O<<3)|0;h[o+((c[234732]|0)+N<<3)>>3]=+h[Q>>3];R=+h[P>>3];h[y>>3]=R;if(R<0.0){S=-0.0-R}else{S=R}R=+h[k>>3]*+h[Q>>3];if(R<0.0){T=-0.0-R}else{T=R}R=S>=T?S:T;U=+h[m+(O<<3)>>3];if(U<0.0){V=-0.0-U}else{V=U}h[2260]=+h[2258]*(R>=V?R:V);h[y>>3]=+h[k>>3]*+h[Q>>3];R=+SH(18080,y);h[2260]=R;Q=c[234712]|0;O=Q-1|0;P=e+(O<<3)|0;U=+h[P>>3];X=R+U-U;h[2260]=X;h[P>>3]=+h[P>>3]+X;P=f+(O<<3)|0;h[P>>3]=+h[j>>3]*+h[2260]+ +h[P>>3];P=Q+I|0;c[234712]=P;if(!(J?(P|0)>=(H|0):(P|0)<=(H|0))){break b}K=P;L=c[234728]|0;M=c[234720]|0}}}while(0);Nd[F&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}H=c[b>>2]|0;J=c[234720]|0;I=c[234728]|0;c[234712]=I;M=(J|0)<0;c:do{if(M?(I|0)>=(H|0):(I|0)<=(H|0)){L=I;K=I;P=J;while(1){Q=(L-K|0)/(P|0)|0;c[234726]=Q+1;O=L-1|0;N=e+(O<<3)|0;h[N>>3]=+h[o+((c[234730]|0)+Q<<3)>>3];X=+h[o+((c[234732]|0)+Q<<3)>>3];Q=f+(O<<3)|0;h[Q>>3]=X;U=+h[N>>3];h[y>>3]=U;if(U<0.0){Y=-0.0-U}else{Y=U}U=+h[k>>3]*X;if(U<0.0){Z=-0.0-U}else{Z=U}U=Y>=Z?Y:Z;X=+h[m+(O<<3)>>3];if(X<0.0){_=-0.0-X}else{_=X}h[2260]=+h[2258]*(U>=_?U:_);h[y>>3]=+h[k>>3]*+h[Q>>3];U=+SH(18080,y);h[2260]=U;Q=c[234712]|0;X=+h[e+(Q-1<<3)>>3];R=U+X-X;h[2260]=R;X=1.0/R;h[2259]=X;O=Q-(c[B>>2]|0)|0;N=(O|0)>1?O:1;c[234740]=N;O=c[b>>2]|0;$=(c[p>>2]|0)+Q|0;aa=(O|0)<=($|0)?O:$;c[234738]=aa;$=ga(c[234718]|0,Q)|0;O=$-(c[p>>2]|0)|0;c[234734]=O;c[234736]=N;if((N|0)<=(aa|0)){$=N;R=X;while(1){N=$-1|0;h[o+(N+O<<3)>>3]=(+h[n+(N<<3)>>3]- +h[g+(N<<3)>>3])*R;ba=$+1|0;if((ba|0)>(aa|0)){break}$=ba;R=+h[2259]}c[234736]=ba}$=Q+J|0;c[234712]=$;aa=c[234728]|0;if(!(M?($|0)>=(H|0):($|0)<=(H|0))){ca=aa;break c}L=$;K=aa;P=c[234720]|0}}else{ca=I}}while(0);I=ca+1|0;c[234728]=I;if((I|0)>(E|0)){D=72;break a}else{G=I}}i=x;return 0}else if((z|0)==2){c[r>>2]=0;c[234710]=0;h[2258]=+W(+h[s>>3]);G=c[b>>2]|0;c[234736]=1;d:do{if((G|0)>=1){E=q;B=1;while(1){F=B-1|0;R=+h[e+(F<<3)>>3];h[y>>3]=R;if(R<0.0){da=-0.0-R}else{da=R}A=f+(F<<3)|0;R=+h[k>>3]*+h[A>>3];if(R<0.0){ea=-0.0-R}else{ea=R}R=da>=ea?da:ea;X=+h[m+(F<<3)>>3];if(X<0.0){fa=-0.0-X}else{fa=X}h[2260]=+h[2258]*(R>=fa?R:fa);h[y>>3]=+h[k>>3]*+h[A>>3];R=+SH(18080,y);h[2260]=R;A=(c[234736]|0)-1|0;F=e+(A<<3)|0;X=+h[F>>3];U=R+X-X;h[2260]=U;h[2256]=+h[F>>3];C=f+(A<<3)|0;h[2257]=+h[C>>3];h[F>>3]=U+ +h[F>>3];h[C>>3]=+h[j>>3]*+h[2260]+ +h[C>>3];Nd[E&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}U=1.0/+h[2260];h[2259]=U;C=c[b>>2]|0;c[234724]=1;F=c[234710]|0;if((C|0)>=1){A=0;I=1;X=U;while(1){h[o+(A+F<<3)>>3]=(+h[n+(A<<3)>>3]- +h[g+(A<<3)>>3])*X;ha=I+1|0;if((ha|0)>(C|0)){break}A=I;I=ha;X=+h[2259]}c[234724]=ha}c[234710]=F+(c[b>>2]|0);I=c[234736]|0;A=I-1|0;h[e+(A<<3)>>3]=+h[2256];h[f+(A<<3)>>3]=+h[2257];B=I+1|0;c[234736]=B;if((B|0)>(G|0)){break d}}i=x;return 0}}while(0);if((c[v>>2]|0)==0){D=41;break}c[234710]=0;G=c[b>>2]|0;if((c[229120]|0)==0){D=41;break}B=iU(G*20|0)|0;Dq(14,1,35776,(ia=i,i=i+8|0,h[ia>>3]=+h[d>>3],ia)|0);i=ia;Dq(14,0,35504,(ia=i,i=i+8|0,h[ia>>3]=+h[j>>3],ia)|0);i=ia;Dq(14,1,35176,(ia=i,i=i+1|0,i=i+7&-8,c[ia>>2]=0,ia)|0);i=ia;c[234726]=0;if((c[b>>2]|0)>0){E=0;do{X=+h[e+(E<<3)>>3];Dq(14,0,34840,(ia=i,i=i+16|0,c[ia>>2]=E+1,h[ia+8>>3]=X,ia)|0);i=ia;E=(c[234726]|0)+1|0;c[234726]=E;}while((E|0)<(c[b>>2]|0))}Qd[c[3540]&511](14);Dq(14,1,32344,(ia=i,i=i+1|0,i=i+7&-8,c[ia>>2]=0,ia)|0);i=ia;c[234736]=1;if((G|0)>=1){E=B+1|0;I=1;A=c[234710]|0;do{C=o+(I-1+A<<3)|0;h[C>>3]=+h[j>>3]+ +h[C>>3];a[B]=0;a[E]=0;c[234724]=1;C=0;H=A;while(1){X=+h[o+(C+H<<3)>>3];Ob(B|0,33120,(ia=i,i=i+16|0,c[ia>>2]=B,h[ia+8>>3]=X,ia)|0)|0;i=ia;M=c[234724]|0;J=M+1|0;c[234724]=J;if((J|0)>(G|0)){break}C=M;H=c[234710]|0}Dq(14,0,32680,(ia=i,i=i+8|0,c[ia>>2]=B,ia)|0);i=ia;H=c[234710]|0;C=c[234736]|0;M=o+(H-1+C<<3)|0;h[M>>3]=+h[M>>3]- +h[j>>3];A=H+(c[b>>2]|0)|0;c[234710]=A;I=C+1|0;c[234736]=I;}while((I|0)<=(G|0))}Qd[c[3540]&511](14);Qd[c[3540]&511](14);jU(B);D=41}else if((z|0)==3){i=x;return 0}else{G=c[b>>2]|0;I=ga(G,G)|0;c[234736]=1;if((I|0)!=0){G=1;do{h[o+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(I|0));c[234736]=G}Sd[t&15](d,e,f,g,o,j,k,m,u,v)|0;if((c[v>>2]|0)==0){D=41;break}c[234710]=0;I=c[b>>2]|0;if((c[229120]|0)==0){D=41;break}B=iU(I*20|0)|0;Dq(14,1,35776,(ia=i,i=i+8|0,h[ia>>3]=+h[d>>3],ia)|0);i=ia;Dq(14,0,35504,(ia=i,i=i+8|0,h[ia>>3]=+h[j>>3],ia)|0);i=ia;Dq(14,1,35176,(ia=i,i=i+1|0,i=i+7&-8,c[ia>>2]=0,ia)|0);i=ia;c[234726]=0;if((c[b>>2]|0)>0){A=0;do{X=+h[e+(A<<3)>>3];Dq(14,0,34840,(ia=i,i=i+16|0,c[ia>>2]=A+1,h[ia+8>>3]=X,ia)|0);i=ia;A=(c[234726]|0)+1|0;c[234726]=A;}while((A|0)<(c[b>>2]|0))}Qd[c[3540]&511](14);Dq(14,1,34504,(ia=i,i=i+1|0,i=i+7&-8,c[ia>>2]=0,ia)|0);i=ia;c[234736]=1;if((I|0)>=1){A=B+1|0;G=1;E=c[234710]|0;do{C=o+(G-1+E<<3)|0;h[C>>3]=+h[j>>3]+ +h[C>>3];a[B]=0;a[A]=0;c[234724]=1;C=0;H=E;while(1){X=+h[o+(C+H<<3)>>3];Ob(B|0,33120,(ia=i,i=i+16|0,c[ia>>2]=B,h[ia+8>>3]=X,ia)|0)|0;i=ia;M=c[234724]|0;J=M+1|0;c[234724]=J;if((J|0)>(I|0)){break}C=M;H=c[234710]|0}Dq(14,0,32680,(ia=i,i=i+8|0,c[ia>>2]=B,ia)|0);i=ia;H=c[234710]|0;C=c[234736]|0;M=o+(H-1+C<<3)|0;h[M>>3]=+h[M>>3]- +h[j>>3];E=H+(c[b>>2]|0)|0;c[234710]=E;G=C+1|0;c[234736]=G;}while((G|0)<=(I|0))}Qd[c[3540]&511](14);Qd[c[3540]&511](14);jU(B);D=41}}while(0);if((D|0)==41){fs(o,b,b,p+80|0,l)|0;i=x;return 0}else if((D|0)==72){ls(o,938864,b,p,p+4|0,p+80|0,l)|0;i=x;return 0}return 0}function _r(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[e+12>>2]|0;if((f|0)==5|(f|0)==4){g=e+4|0;c[234706]=(c[g>>2]|0)+1+(c[e>>2]<<1);ms(d,938824,a,e,g,e+80|0,b,939088)|0;return 0}else if((f|0)==3){return 0}else{js(d,a,a,e+80|0,b,939088)|0;return 0}return 0}function $r(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;i=i+8|0;e=d|0;do{if(!(a[17024]|0)){a[17024]=1;as(936464,936440,936432,17032,936448,16992,936456,17e3)|0;h[2132]=+(c[234116]|0);f=c[234110]|0;h[2121]=+(f|0);if((c[234108]|0)==0){h[2123]=0.0;c[e>>2]=1-f;g=+RH(17056,e)}else{h[2123]=1.0;c[e>>2]=1-f;g=+RH(17056,e)*.5}h[2129]=g;h[2127]=g*+h[2132];h[2130]=+(c[234112]|0);h[2131]=+(c[234114]|0);j=+h[2124];h[2122]=j;k=1.0/+h[2125];if(k<j){break}h[2122]=k*(g+1.0)}}while(0);if((os(b,25160,1,1)|0)!=0){g=+h[2129];h[2126]=g;l=g;i=d;return+l}if((os(b,891632,1,1)|0)!=0){g=+h[2122];h[2126]=g;l=g;i=d;return+l}if((os(b,52592,1,1)|0)!=0){g=+h[2132];h[2126]=g;l=g;i=d;return+l}if((os(b,44952,1,1)|0)!=0){g=+h[2127];h[2126]=g;l=g;i=d;return+l}if((os(b,39256,1,1)|0)!=0){g=+h[2121];h[2126]=g;l=g;i=d;return+l}if((os(b,34944,1,1)|0)!=0){g=+h[2123];h[2126]=g;l=g;i=d;return+l}if((os(b,30728,1,1)|0)!=0){g=+h[2130];h[2126]=g;l=g;i=d;return+l}if((os(b,26936,1,1)|0)!=0){g=+h[2124];h[2126]=g;l=g;i=d;return+l}if((os(b,24464,1,1)|0)!=0){g=+h[2131];h[2126]=g;l=g;i=d;return+l}if((os(b,21416,1,1)|0)==0){l=+h[2126];i=d;return+l}else{g=+h[2125];h[2126]=g;l=g;i=d;return+l}return 0.0}function as(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;m=i;i=i+24|0;n=m|0;o=m+8|0;p=m+16|0;if(a[17544]|0){q=c[234144]|0;c[b>>2]=q;r=c[234134]|0;c[d>>2]=r;s=c[234136]|0;c[e>>2]=s;t=+h[2155];h[f>>3]=t;u=c[234140]|0;c[g>>2]=u;v=+h[2153];h[j>>3]=v;w=c[234142]|0;c[k>>2]=w;x=+h[2154];h[l>>3]=x;i=m;return 0}a[17544]=1;h[2146]=0.0;h[2152]=1.0;h[2147]=2.0;bs(936576,936536,936544,936552)|0;h[2195]=+(c[234144]|0);c[n>>2]=-(c[234134]|0);y=+RH(17560,n);h[2196]=y;h[2155]=y;z=+h[2147];h[2195]=z/3.0;A=+h[2152];B=A*.5;h[2160]=B;C=-0.0-B;h[o>>3]=C;h[2150]=+cs(17560,o);h[2148]=+cs(17200,17200);h[o>>3]=C;h[2195]=+cs(17184,o);C=+cs(17560,17200);h[2195]=C;if(C<0.0){D=-0.0-C}else{D=C}C=D<y?y:D;h[2195]=C;h[2155]=1.0;D=+h[2146];if(C<1.0&C>D){E=C;while(1){h[2155]=E;h[o>>3]=E*B;C=z*z;h[p>>3]=E*E*z*C*C;C=+cs(o,p);h[2194]=C;h[o>>3]=-0.0-C;h[2194]=+cs(17280,o);C=+cs(17280,17552);h[2195]=C;h[o>>3]=-0.0-C;h[2194]=+cs(17280,o);C=+cs(17280,17552);h[2195]=C;if(E>C&C>D){E=C}else{F=E;break}}}else{F=1.0}if(y<F){h[2155]=y}y=A/+(c[234144]|0);h[2151]=y;h[2149]=A;c[234148]=1;F=A;p=1;do{h[o>>3]=F*y;F=+cs(o,17168);h[2149]=F;p=p+1|0;c[234148]=p;}while((p|0)<4);h[2196]=+cs(17216,17192);ds(936520,17216,936576)|0;h[o>>3]=-0.0- +h[2152];ds(936528,o,936576)|0;ds(936600,17568,936576)|0;h[o>>3]=-0.0- +h[2196];ds(936608,o,936576)|0;c[234146]=0;p=c[234130]|0;G=c[234132]|0;H=c[234150]|0;I=(p|0)==(H|0);do{if((p|0)==(G|0)&(H|0)==(c[234152]|0)){if(I){c[234140]=p;J=0;K=25;break}if((H-p|0)==3){c[234140]=p-1+(c[234134]|0);c[234146]=1;J=1;K=25;break}else{c[234140]=(p|0)<=(H|0)?p:H;a[17248]=1;K=26;break}}else{L=I&(G|0)==(c[234152]|0);M=p-G|0;c[n>>2]=M;N=(((M|0)>-1?M:-M|0)|0)==1;if(L){if(N){c[234140]=(p|0)>=(G|0)?p:G;J=0;K=25;break}else{c[234140]=(p|0)<=(G|0)?p:G;a[17248]=1;K=26;break}}L=c[234152]|0;M=(p|0)<=(G|0)?p:G;if(!(N&(H|0)==(L|0))){N=(M|0)<=(H|0)?M:H;c[n>>2]=N;c[234140]=(N|0)<=(L|0)?N:L;a[17248]=1;K=26;break}if((H-M|0)==3){c[234140]=((p|0)>=(G|0)?p:G)-1+(c[234134]|0);J=0;K=25;break}else{c[234140]=M;a[17248]=1;K=26;break}}}while(0);if((K|0)==25){if(a[17248]|0){K=26}else{O=J}}if((K|0)==26){a[17544]=0;NI(17256)|0;cI(19112,936560,4)|0;vI()|0;O=c[234146]|0}if((O|0)==0){P=(c[234138]|0)!=0|0}else{P=1}c[234146]=P;h[2153]=1.0;P=c[234140]|0;O=1-P|0;c[n>>2]=O;c[234148]=1;if((P|0)<=0){F=+h[2151];y=1.0;P=1;do{h[o>>3]=y*F;y=+cs(o,17168);h[2153]=y;P=P+1|0;c[234148]=P;}while((P|0)<=(O|0))}es(936576,936536,936560,936584,936568,17232)|0;q=c[234144]|0;c[b>>2]=q;r=c[234134]|0;c[d>>2]=r;s=c[234136]|0;c[e>>2]=s;t=+h[2155];h[f>>3]=t;u=c[234140]|0;c[g>>2]=u;v=+h[2153];h[j>>3]=v;w=c[234142]|0;c[k>>2]=w;x=+h[2154];h[l>>3]=x;i=m;return 0}function bs(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0;g=i;i=i+16|0;j=g|0;k=g+8|0;if(a[17616]|0){l=c[234158]|0;m=a[17608]|0;c[b>>2]=l;n=c[234154]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[234156]|0;c[f>>2]=p;i=g;return 0}a[17616]=1;h[2200]=1.0;h[2206]=1.0;h[2204]=1.0;q=1.0;do{q=q*2.0;h[2206]=q;h[2204]=+cs(17648,17600);h[j>>3]=-0.0-q;r=+cs(17632,j);h[2204]=r;}while(r==1.0);h[2205]=1.0;r=+cs(17648,17640);h[2204]=r;if(r==q){s=1.0;while(1){t=s*2.0;h[2205]=t;u=+cs(17648,17640);h[2204]=u;if(u==q){s=t}else{v=u;break}}}else{v=r}h[2199]=.25;h[2198]=v;h[j>>3]=-0.0-q;r=+cs(17632,j);h[2204]=r;w=~~(r+.25);c[234158]=w;r=+(w|0);h[2205]=r;s=r*.5;h[j>>3]=s;h[k>>3]=(-0.0-r)/100.0;h[2203]=+cs(j,k);u=+cs(17624,17648);h[2204]=u;x=u==q;a[17608]=x;h[j>>3]=s;h[k>>3]=r/100.0;h[2203]=+cs(j,k);u=+cs(17624,17648);h[2204]=u;if(x&u==q){a[17608]=0;y=0}else{y=x}h[j>>3]=s;u=+cs(j,17648);h[2197]=u;h[j>>3]=s;x=u==q&+cs(j,17584)>v;c[234156]=x?y&1:0;c[234154]=0;h[2206]=1.0;h[2204]=1.0;x=0;v=1.0;while(1){k=x+1|0;c[234154]=k;q=v*r;h[2206]=q;h[2204]=+cs(17648,17600);h[j>>3]=-0.0-q;u=+cs(17632,j);h[2204]=u;if(u==1.0){x=k;v=q}else{l=w;m=y;break}}c[b>>2]=l;n=c[234154]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[234156]|0;c[f>>2]=p;i=g;return 0}function cs(a,b){a=a|0;b=b|0;return+(+h[a>>3]+ +h[b>>3])}function ds(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0;e=i;i=i+8|0;f=e|0;g=+h[b>>3];h[2145]=g;j=1.0/+(c[d>>2]|0);h[2138]=j;h[2137]=0.0;c[a>>2]=1;h[f>>3]=g*j;k=+cs(f,17096);h[2144]=k;h[2142]=g;h[2141]=g;h[2140]=g;h[2139]=g;if(!(g!=g)&!(J=0.0,J!=J)){l=k;m=0}else{i=e;return 0}while(1){c[a>>2]=m;h[2145]=l;b=c[d>>2]|0;k=+(b|0);h[f>>3]=l/k;g=+cs(f,17096);h[2144]=g;h[f>>3]=g*k;k=+cs(f,17096);h[2142]=k;h[2140]=0.0;c[234128]=1;if((b|0)<1){n=0.0}else{o=0.0;p=1;do{o=g+o;p=p+1|0;}while((p|0)<=(b|0));h[2140]=o;c[234128]=p;n=o}h[f>>3]=l*j;q=+cs(f,17096);h[2143]=q;h[f>>3]=q/j;r=+cs(f,17096);h[2141]=r;h[2139]=0.0;b=c[d>>2]|0;c[234128]=1;if((b|0)<1){s=0.0}else{t=0.0;u=1;do{t=q+t;u=u+1|0;}while((u|0)<=(b|0));h[2139]=t;c[234128]=u;s=t}if(!(k==l&r==l&n==l&s==l)){break}l=g;m=(c[a>>2]|0)-1|0}i=e;return 0}function es(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0;j=i;i=i+8|0;k=j|0;c[234120]=1;c[234126]=1;l=-(c[d>>2]|0)|0;if((l|0)<2){m=2;n=l;o=1;p=2}else{l=2;q=1;while(1){c[234120]=l;r=q+1|0;c[234126]=r;s=l<<1;t=-(c[d>>2]|0)|0;if((s|0)>(t|0)){break}else{l=s;q=r}}m=s;n=t;o=l;p=q+2|0}if((o|0)==(n|0)){c[234118]=n;u=n}else{c[234118]=m;c[234126]=p;u=m}m=c[d>>2]|0;p=((m+u|0)>(-(o+m|0)|0)?o:u)<<1;c[234124]=p;u=p+(c[d>>2]|0)|0;d=u-1|0;c[f>>2]=d;do{if((((c[234126]|0)+1+(c[b>>2]|0)|0)%2|0|0)==1){if((c[a>>2]|0)!=2){v=d;break}p=u-2|0;c[f>>2]=p;v=p}else{v=d}}while(0);if((c[e>>2]|0)!=0){c[f>>2]=v-1}w=+(c[a>>2]|0);x=1.0/w;h[2135]=x;y=w+-1.0;h[2133]=y;h[2134]=0.0;v=c[b>>2]|0;c[234122]=1;do{if((v|0)<1){z=0.0}else{w=y;A=0.0;b=1;do{w=x*w;h[2133]=w;if(A<1.0){h[2136]=A}A=+cs(17072,17064);h[2134]=A;b=b+1|0;c[234122]=b;}while((b|0)<=(v|0));if(A<1.0){z=A;break}w=+h[2136];h[2134]=w;z=w}}while(0);v=c[f>>2]|0;c[234122]=1;if((v|0)<1){B=z;h[g>>3]=B;i=j;return 0}else{C=z;D=1}while(1){h[k>>3]=C*+(c[a>>2]|0);z=+cs(k,18576);h[2134]=z;f=D+1|0;c[234122]=f;if((f|0)>(v|0)){B=z;break}else{C=z;D=f}}h[g>>3]=B;i=j;return 0}function fs(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=c[b>>2]|0;b=~l;c[f>>2]=0;m=c[d>>2]|0;n=m-1|0;if((n|0)<1){o=m}else{c[234172]=1;m=1;do{c[234170]=m+1;c[j>>2]=(c[d>>2]|0)+1-m;p=gs(j,a+(m+b+(ga(m,l)|0)<<3)|0,19104)|0;q=c[234172]|0;r=p-1+q|0;c[234168]=r;c[e+(q-1<<2)>>2]=r;r=c[234168]|0;q=c[234172]|0;p=ga(q,l)|0;s=+h[a+(r+b+p<<3)>>3];do{if(s==0.0){c[f>>2]=q}else{if((r|0)==(q|0)){t=r}else{h[2208]=s;u=a+(q+b+p<<3)|0;h[a+(p+b+r<<3)>>3]=+h[u>>3];h[u>>3]=+h[2208];t=q}u=ga(t,l)|0;h[2208]=-1.0/+h[a+(t+b+u<<3)>>3];c[j>>2]=(c[d>>2]|0)-t;hs(j,17664,a+(t-l+u<<3)|0,19104)|0;u=c[d>>2]|0;c[j>>2]=u;v=c[234170]|0;c[234174]=v;if((v|0)>(u|0)){break}else{w=v}do{v=c[234168]|0;x=ga(w,l)|0;h[2208]=+h[a+(x+b+v<<3)>>3];y=c[234172]|0;if((v|0)==(y|0)){z=v}else{A=a+(y+b+x<<3)|0;h[a+(v+b+x<<3)>>3]=+h[A>>3];h[A>>3]=+h[2208];z=y}c[k>>2]=(c[d>>2]|0)-z;y=z+1|0;is(k,17664,a+((ga(z,l)|0)+b+y<<3)|0,19104,a+(y+b+x<<3)|0,19104)|0;w=(c[234174]|0)+1|0;c[234174]=w;}while((w|0)<=(u|0))}}while(0);m=(c[234172]|0)+1|0;c[234172]=m;}while((m|0)<=(n|0));o=c[d>>2]|0}c[e+(o-1<<2)>>2]=o;o=c[d>>2]|0;if(!(+h[a+(o+b+(ga(o,l)|0)<<3)>>3]==0.0)){i=g;return 0}c[f>>2]=o;i=g;return 0}function gs(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}if((c[d>>2]|0)!=1){c[234892]=1;g=+h[b>>3];if(g<0.0){i=-0.0-g}else{i=g}h[113060]=i;j=(c[d>>2]|0)+1|0;c[234892]=j;k=c[a>>2]|0;c[234894]=2;if((k|0)<2){f=1;return f|0}else{l=1;m=j;n=i;o=2}while(1){i=+h[b+(m-1<<3)>>3];j=i<0.0;if(j){p=-0.0-i}else{p=i}if(p>n){if(j){q=-0.0-i}else{q=i}h[113060]=q;r=o;s=q}else{r=l;s=n}j=m+(c[d>>2]|0)|0;c[234892]=j;a=o+1|0;c[234894]=a;if((a|0)>(k|0)){f=r;break}else{l=r;m=j;n=s;o=a}}return f|0}s=+h[b>>3];if(s<0.0){t=-0.0-s}else{t=s}h[113060]=t;c[234894]=2;if((e|0)<2){f=1;return f|0}else{u=1;v=2;w=t}while(1){t=+h[b+(v-1<<3)>>3];if(t<0.0){x=-0.0-t}else{x=t}if(x>w){t=+h[b+(v-1<<3)>>3];if(t<0.0){y=-0.0-t}else{y=t}h[113060]=y;z=v;A=y}else{z=u;A=w}B=v+1|0;if((B|0)>(e|0)){break}else{u=z;v=B;w=A}}c[234894]=B;f=z;return f|0}function hs(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)!=1){e=ga(g,f)|0;c[234898]=1;i=(g|0)<0;if(i?(e|0)<2:(e|0)>0){j=1}else{return 0}do{k=d+(j-1<<3)|0;h[k>>3]=+h[b>>3]*+h[k>>3];j=j+g|0;}while(i?(j|0)>=(e|0):(j|0)<=(e|0));c[234898]=j;return 0}j=(f|0)%5|0;c[234896]=j;do{if((j|0)==0){l=c[a>>2]|0}else{c[234898]=1;if((j|0)>=1){f=1;do{e=d+(f-1<<3)|0;h[e>>3]=+h[b>>3]*+h[e>>3];f=f+1|0;}while((f|0)<=(j|0));c[234898]=f}e=c[a>>2]|0;if((e|0)>=5){l=e;break}return 0}}while(0);a=j+1|0;c[234898]=a;if((a|0)>(l|0)){return 0}else{m=a}do{a=d+(m-1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+2<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+3<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];m=m+5|0;}while((m|0)<=(l|0));c[234898]=m;return 0}function is(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;i=c[a>>2]|0;if((i|0)<1){return 0}j=+h[b>>3];if(j==0.0){return 0}do{if((c[e>>2]|0)==1){if((c[g>>2]|0)!=1){break}k=(i|0)%4|0;c[234908]=k;do{if((k|0)==0){l=c[a>>2]|0}else{c[234914]=1;if((k|0)>=1){m=0;n=1;o=j;while(1){p=f+(m<<3)|0;h[p>>3]=+h[p>>3]+o*+h[d+(m<<3)>>3];q=n+1|0;if((q|0)>(k|0)){break}m=n;n=q;o=+h[b>>3]}c[234914]=q}n=c[a>>2]|0;if((n|0)>=4){l=n;break}return 0}}while(0);n=k+1|0;c[234914]=n;if((n|0)>(l|0)){return 0}else{r=n}do{n=r-1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=f+(r<<3)|0;h[n>>3]=+h[n>>3]+ +h[b>>3]*+h[d+(r<<3)>>3];n=r+1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=r+2|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];r=r+4|0;}while((r|0)<=(l|0));c[234914]=r;return 0}}while(0);c[234912]=1;c[234910]=1;r=c[e>>2]|0;if((r|0)<0){l=(ga(1-(c[a>>2]|0)|0,r)|0)+1|0;c[234912]=l;s=l}else{s=1}l=c[g>>2]|0;if((l|0)<0){r=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[234910]=r;t=r}else{t=1}r=c[a>>2]|0;c[234914]=1;if((r|0)<1){return 0}else{u=s;v=t;w=2;x=j}while(1){t=f+(v-1<<3)|0;h[t>>3]=x*+h[d+(u-1<<3)>>3]+ +h[t>>3];t=u+(c[e>>2]|0)|0;c[234912]=t;s=v+(c[g>>2]|0)|0;c[234910]=s;c[234914]=w;if((w|0)>(r|0)){break}u=t;v=s;w=w+1|0;x=+h[b>>3]}return 0}function js(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0;j=i;i=i+8|0;k=j|0;l=c[b>>2]|0;b=~l;m=(c[d>>2]|0)-1|0;c[234160]=m;if((c[g>>2]|0)==0){if((m|0)>=1){c[234166]=1;g=1;do{n=g-1|0;o=c[e+(n<<2)>>2]|0;c[234162]=o;p=f+(o-1<<3)|0;h[2207]=+h[p>>3];if((o|0)!=(g|0)){o=f+(n<<3)|0;h[p>>3]=+h[o>>3];h[o>>3]=+h[2207]}c[k>>2]=(c[d>>2]|0)-g;is(k,17656,a+(g-l+(ga(g,l)|0)<<3)|0,19104,f+(g<<3)|0,19104)|0;g=(c[234166]|0)+1|0;c[234166]=g;}while((g|0)<=(m|0))}g=c[d>>2]|0;c[234164]=1;if((g|0)<1){i=j;return 0}else{q=1}do{o=1-q+(c[d>>2]|0)|0;c[234166]=o;p=ga(o,l)|0;n=o-1|0;r=f+(n<<3)|0;s=+h[r>>3]/+h[a+(o+b+p<<3)>>3];h[r>>3]=s;h[2207]=-0.0-s;c[k>>2]=n;is(k,17656,a+(p-l<<3)|0,19104,f,19104)|0;q=(c[234164]|0)+1|0;c[234164]=q;}while((q|0)<=(g|0));i=j;return 0}g=c[d>>2]|0;c[234166]=1;if((g|0)<1){t=m}else{m=1;do{c[k>>2]=m-1;s=+ks(k,a+((ga(m,l)|0)-l<<3)|0,19104,f,19104);h[2207]=s;q=c[234166]|0;p=f+(q-1<<3)|0;h[p>>3]=(+h[p>>3]-s)/+h[a+(q+b+(ga(q,l)|0)<<3)>>3];m=q+1|0;c[234166]=m;}while((m|0)<=(g|0));t=c[234160]|0}if((t|0)<1){i=j;return 0}c[234164]=1;g=1;do{m=(c[d>>2]|0)-g|0;c[234166]=m;c[k>>2]=(c[d>>2]|0)-m;s=+ks(k,a+(m-l+(ga(m,l)|0)<<3)|0,19104,f+(m<<3)|0,19104);m=c[234166]|0;b=m-1|0;q=f+(b<<3)|0;h[q>>3]=s+ +h[q>>3];p=c[e+(b<<2)>>2]|0;c[234162]=p;if((p|0)!=(m|0)){m=f+(p-1<<3)|0;h[2207]=+h[m>>3];h[m>>3]=+h[q>>3];h[q>>3]=+h[2207]}g=(c[234164]|0)+1|0;c[234164]=g;}while((g|0)<=(t|0));i=j;return 0}function ks(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0;h[113061]=0.0;g=c[a>>2]|0;if((g|0)<1){i=0.0;return+i}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}j=(g|0)%5|0;c[234900]=j;do{if((j|0)==0){k=0.0;l=c[a>>2]|0}else{c[234906]=1;if((j|0)<1){m=0.0}else{n=1;o=0.0;do{p=n-1|0;o=o+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3];h[113061]=o;n=n+1|0;}while((n|0)<=(j|0));c[234906]=n;m=o}p=c[a>>2]|0;if((p|0)<5){i=m}else{k=m;l=p;break}return+i}}while(0);p=j+1|0;c[234906]=p;if((p|0)>(l|0)){i=k;return+i}else{q=p;r=k}do{p=q-1|0;s=q+1|0;t=q+2|0;u=q+3|0;r=r+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3]+ +h[b+(q<<3)>>3]*+h[e+(q<<3)>>3]+ +h[b+(s<<3)>>3]*+h[e+(s<<3)>>3]+ +h[b+(t<<3)>>3]*+h[e+(t<<3)>>3]+ +h[b+(u<<3)>>3]*+h[e+(u<<3)>>3];h[113061]=r;q=q+5|0;}while((q|0)<=(l|0));c[234906]=q;i=r;return+i}}while(0);c[234904]=1;c[234902]=1;q=c[d>>2]|0;if((q|0)<0){l=(ga(1-(c[a>>2]|0)|0,q)|0)+1|0;c[234904]=l;v=l}else{v=1}l=c[f>>2]|0;if((l|0)<0){q=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[234902]=q;w=q}else{w=1}q=c[a>>2]|0;c[234906]=1;if((q|0)<1){i=0.0;return+i}else{x=v;y=w;z=0.0;A=1}while(1){r=z+ +h[b+(x-1<<3)>>3]*+h[e+(y-1<<3)>>3];h[113061]=r;w=x+(c[d>>2]|0)|0;c[234904]=w;v=y+(c[f>>2]|0)|0;c[234902]=v;a=A+1|0;c[234906]=a;if((a|0)>(q|0)){i=r;break}else{x=w;y=v;z=r;A=a}}return+i}function ls(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;k=i;i=i+8|0;l=k|0;m=c[b>>2]|0;b=~m;c[234194]=(c[e>>2]|0)+1+(c[f>>2]|0);c[j>>2]=0;n=(c[f>>2]|0)+2|0;c[234210]=n;o=c[d>>2]|0;p=c[234194]|0;q=((o|0)>(p|0)?p:o)-1|0;c[234208]=q;if((q|0)>=(n|0)){c[234204]=n;o=n;do{n=1-o+p|0;c[234216]=n;r=c[e>>2]|0;c[234214]=n;if((n|0)<=(r|0)){s=n;do{h[a+(s+b+(ga(o,m)|0)<<3)>>3]=0.0;s=s+1|0;}while((s|0)<=(r|0));c[234214]=s}o=o+1|0;c[234204]=o;}while((o|0)<=(q|0));c[l>>2]=r}c[234204]=q;c[234206]=0;r=c[d>>2]|0;o=r-1|0;if((o|0)<1){t=r}else{c[234202]=1;r=1;p=q;while(1){c[234200]=r+1;q=p+1|0;c[234204]=q;n=c[d>>2]|0;do{if((q|0)>(n|0)){u=n}else{v=c[e>>2]|0;if((v|0)<1){u=n;break}c[l>>2]=v;c[234214]=1;w=ga(q,m)|0;x=1;do{h[a+(x+b+w<<3)>>3]=0.0;x=x+1|0;}while((x|0)<=(v|0));c[234214]=x;u=c[d>>2]|0}}while(0);q=c[e>>2]|0;n=u-r|0;s=(q|0)<=(n|0)?q:n;c[234196]=s;c[l>>2]=s+1;s=gs(l,a+((c[234194]|0)+b+(ga(r,m)|0)<<3)|0,19104)|0;n=s-1|0;c[234198]=n+(c[234194]|0);s=c[234202]|0;c[g+(s-1<<2)>>2]=n+s;s=c[234198]|0;n=c[234202]|0;q=ga(n,m)|0;y=+h[a+(s+b+q<<3)>>3];a:do{if(y==0.0){c[j>>2]=n}else{v=c[234194]|0;if((s|0)==(v|0)){z=s}else{h[2210]=y;w=a+(v+b+q<<3)|0;h[a+(q+b+s<<3)>>3]=+h[w>>3];h[w>>3]=+h[2210];z=v}h[2210]=-1.0/+h[a+(z+b+q<<3)>>3];hs(936784,17680,a+(z-m+q<<3)|0,19104)|0;v=c[234206]|0;w=(c[g+((c[234202]|0)-1<<2)>>2]|0)+(c[f>>2]|0)|0;A=(v|0)>=(w|0)?v:w;c[l>>2]=A;w=c[d>>2]|0;v=(A|0)>(w|0)?w:A;c[234206]=v;A=c[234194]|0;c[234192]=A;w=c[234200]|0;if((v|0)<(w|0)){break}c[l>>2]=v;c[234212]=w;B=w;w=A;while(1){A=(c[234198]|0)-1|0;c[234198]=A;C=w-1|0;c[234192]=C;D=ga(B,m)|0;E=a+(A+b+D<<3)|0;h[2210]=+h[E>>3];if((A|0)==(C|0)){F=A}else{A=a+(C+b+D<<3)|0;h[E>>3]=+h[A>>3];h[A>>3]=+h[2210];F=C}is(936784,17680,a+((c[234194]|0)-m+(ga(c[234202]|0,m)|0)<<3)|0,19104,a+(F-m+D<<3)|0,19104)|0;D=(c[234212]|0)+1|0;c[234212]=D;if((D|0)>(v|0)){break a}B=D;w=c[234192]|0}}}while(0);q=(c[234202]|0)+1|0;c[234202]=q;if((q|0)>(o|0)){break}r=q;p=c[234204]|0}t=c[d>>2]|0}c[g+(t-1<<2)>>2]=t;t=c[d>>2]|0;if(!(+h[a+((c[234194]|0)+b+(ga(t,m)|0)<<3)>>3]==0.0)){i=k;return 0}c[j>>2]=t;i=k;return 0}function ms(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0;k=c[b>>2]|0;b=~k;l=(c[f>>2]|0)+1+(c[e>>2]|0)|0;c[234178]=l;f=(c[d>>2]|0)-1|0;c[234176]=f;if((c[j>>2]|0)==0){if(!((c[e>>2]|0)==0|(f|0)<1)){c[234190]=1;j=1;do{m=c[e>>2]|0;n=(c[d>>2]|0)-j|0;c[234180]=(m|0)<=(n|0)?m:n;n=j-1|0;m=c[g+(n<<2)>>2]|0;c[234186]=m;o=i+(m-1<<3)|0;h[2209]=+h[o>>3];if((m|0)!=(j|0)){m=i+(n<<3)|0;h[o>>3]=+h[m>>3];h[m>>3]=+h[2209]}is(936720,17672,a+((c[234178]|0)-k+(ga(j,k)|0)<<3)|0,19104,i+(j<<3)|0,19104)|0;j=(c[234190]|0)+1|0;c[234190]=j;}while((j|0)<=(f|0))}j=c[d>>2]|0;c[234188]=1;if((j|0)<1){return 0}else{p=1}do{m=1-p+(c[d>>2]|0)|0;c[234190]=m;o=c[234178]|0;n=ga(m,k)|0;q=i+(m-1<<3)|0;r=+h[q>>3]/+h[a+(o+b+n<<3)>>3];h[q>>3]=r;q=((m|0)<=(o|0)?m:o)-1|0;c[234180]=q;s=o-q|0;c[234184]=s;o=m-q|0;c[234182]=o;h[2209]=-0.0-r;is(936720,17672,a+(s+b+n<<3)|0,19104,i+(o-1<<3)|0,19104)|0;p=(c[234188]|0)+1|0;c[234188]=p;}while((p|0)<=(j|0));return 0}j=c[d>>2]|0;c[234190]=1;if((j|0)<1){t=f;u=l}else{f=1;p=l;do{l=((f|0)<=(p|0)?f:p)-1|0;c[234180]=l;o=p-l|0;c[234184]=o;n=f-l|0;c[234182]=n;r=+ks(936720,a+((ga(f,k)|0)+b+o<<3)|0,19104,i+(n-1<<3)|0,19104);h[2209]=r;n=c[234190]|0;o=i+(n-1<<3)|0;p=c[234178]|0;h[o>>3]=(+h[o>>3]-r)/+h[a+((ga(n,k)|0)+b+p<<3)>>3];f=n+1|0;c[234190]=f;}while((f|0)<=(j|0));t=c[234176]|0;u=p}if((c[e>>2]|0)==0|(t|0)<1){return 0}c[234188]=1;p=1;j=u;while(1){u=(c[d>>2]|0)-p|0;c[234190]=u;f=c[e>>2]|0;b=(c[d>>2]|0)-u|0;c[234180]=(f|0)<=(b|0)?f:b;r=+ks(936720,a+(j-k+(ga(u,k)|0)<<3)|0,19104,i+(u<<3)|0,19104);u=c[234190]|0;b=u-1|0;f=i+(b<<3)|0;h[f>>3]=r+ +h[f>>3];n=c[g+(b<<2)>>2]|0;c[234186]=n;if((n|0)!=(u|0)){u=i+(n-1<<3)|0;h[2209]=+h[u>>3];h[u>>3]=+h[f>>3];h[f>>3]=+h[2209]}f=(c[234188]|0)+1|0;c[234188]=f;if((f|0)>(t|0)){break}p=f;j=c[234178]|0}return 0}function ns(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=c[a>>2]|0;if((g|0)<1){return 0}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}i=(g|0)%7|0;c[234918]=i;do{if((i|0)==0){j=c[a>>2]|0}else{c[234924]=1;if((i|0)>=1){k=1;do{l=k-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];k=k+1|0;}while((k|0)<=(i|0));c[234924]=k}l=c[a>>2]|0;if((l|0)>=7){j=l;break}return 0}}while(0);l=i+1|0;c[234924]=l;if((l|0)>(j|0)){return 0}else{m=l}do{l=m-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];h[e+(m<<3)>>3]=+h[b+(m<<3)>>3];l=m+1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+2|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+3|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+4|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+5|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];m=m+7|0;}while((m|0)<=(j|0));c[234924]=m;return 0}}while(0);c[234922]=1;c[234920]=1;m=c[d>>2]|0;if((m|0)<0){j=(ga(1-(c[a>>2]|0)|0,m)|0)+1|0;c[234922]=j;n=j}else{n=1}j=c[f>>2]|0;if((j|0)<0){m=(ga(1-(c[a>>2]|0)|0,j)|0)+1|0;c[234920]=m;o=m}else{o=1}m=c[a>>2]|0;c[234924]=1;if((m|0)<1){return 0}else{p=n;q=o;r=1}do{h[e+(q-1<<3)>>3]=+h[b+(p-1<<3)>>3];p=p+(c[d>>2]|0)|0;c[234922]=p;q=q+(c[f>>2]|0)|0;c[234920]=q;r=r+1|0;c[234924]=r;}while((r|0)<=(m|0));return 0}function os(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((a[b]|0)==(a[e]|0)){h=1;return h|0}a[14176]=1;g=d[b]|0;c[231420]=g;b=d[e]|0;c[231418]=b;if((g-97|0)>>>0<26>>>0){e=g-32|0;c[231420]=e;i=e}else{i=g}if((b-97|0)>>>0<26>>>0){g=b-32|0;c[231418]=g;j=g}else{j=b}h=(i|0)==(j|0)|0;return h|0}



function aD(a,b){a=a|0;b=b|0;yD(a,b);return}function bD(a){a=a|0;mD(a);return}function cD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Fv(f|0);c[e>>2]=0;Fv(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=UC(a)|0;b=c[c[e>>2]>>2]|0;Fv(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(sB(a)|0)>>2]|0;px(e,c[d>>2]|0);d=jD(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function dD(a){a=a|0;return c[(hD(a|0)|0)>>2]|0}function eD(a){a=a|0;var b=0;b=fD(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function fD(a){a=a|0;return gD(a|0)|0}function gD(a){a=a|0;return a|0}function hD(a){a=a|0;return iD(a|0)|0}function iD(a){a=a|0;return a|0}function jD(a){a=a|0;return kD(a+8|0)|0}function kD(a){a=a|0;return lD(a|0)|0}function lD(a){a=a|0;return a|0}function mD(a){a=a|0;nD(a,0);return}function nD(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=fD(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}pD(oD(d)|0,e);return}function oD(a){a=a|0;return xD(a|0)|0}function pD(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;qD(e,rD(d+28|0)|0)}if((a[b+4|0]|0)!=0){e=c[b>>2]|0;sD(e,MA(d+16|0)|0)}if((d|0)==0){return}tD(c[b>>2]|0,d,1);return}function qD(a,b){a=a|0;b=b|0;a=i;i=i+8|0;wD(a|0,0,b);i=a;return}function rD(a){a=a|0;return a|0}function sD(a,b){a=a|0;b=b|0;a=i;i=i+8|0;vD(a|0,0,b);i=a;return}function tD(a,b,c){a=a|0;b=b|0;c=c|0;uD(0,b,0);return}function uD(a,b,c){a=a|0;b=b|0;c=c|0;qU(b);return}function vD(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;dK(d);i=c;return}function wD(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;dK(d);i=c;return}function xD(a){a=a|0;return a+4|0}function yD(a,b){a=a|0;b=b|0;zD(a,b);return}function zD(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function AD(a){a=a|0;return TD(a+4|0)|0}function BD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];LD(a,b,d);i=e;return}function CD(a,b){a=a|0;b=b|0;return KD(0,b,0)|0}function DD(a,b){a=a|0;b=b|0;JD(a,b);return}function ED(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}VJ(b,c);return}function FD(a){a=a|0;return c[(hD(a|0)|0)>>2]|0}function GD(a){a=a|0;return oD(a|0)|0}function HD(a,b){a=a|0;b=b|0;if((b|0)==0){return}TJ(b);return}function ID(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;yD(f,b);_C(e,f);aD(d,e);_C(a,d);bD(e);i=c;return}function JD(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function KD(a,b,c){a=a|0;b=b|0;c=c|0;return oU(b*40|0)|0}function LD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(ND(f)|0)>>2]|0;f=OD(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;MD(a|0,b,g);i=e;return}function MD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];PD(a,b,d);i=e;return}function ND(a){a=a|0;return a|0}function OD(a){a=a|0;return a|0}function PD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(RD(f)|0)>>2]|0;f=SD(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;QD(a|0,b,g);i=e;return}function QD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(RD(f)|0)>>2];f=SD(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function RD(a){a=a|0;return a|0}function SD(a){a=a|0;return a|0}function TD(a){a=a|0;return UD(a|0)|0}function UD(a){a=a|0;return a|0}function VD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=eD(WD(b)|0)|0;g=SD(GD(WD(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;MD(a|0,f,e);i=d;return}function WD(a){a=a|0;return c[a>>2]|0}function XD(a){a=a|0;YD(a|0);return}function YD(a){a=a|0;ZD(a);return}function ZD(a){a=a|0;_D(a,zB(a)|0);return}function _D(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;Fv(d|0);if((b|0)==0){i=d;return}_D(a,c[b>>2]|0);_D(a,c[b+4>>2]|0);e=AD(a)|0;$D(e,aE(b+16|0)|0);tD(e,b,1);i=d;return}function $D(a,b){a=a|0;b=b|0;a=i;i=i+8|0;bE(a|0,0,b);i=a;return}function aE(a){a=a|0;return a|0}function bE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;cE(d);i=c;return}function cE(a){a=a|0;dE(a);return}function dE(a){a=a|0;eE(a|0);return}function eE(a){a=a|0;fE(a);return}function fE(a){a=a|0;dK(a+12|0);dK(a|0);return}function gE(a){a=a|0;hE(a+180|0);hE(a+168|0);hE(a+156|0);hE(a+144|0);hE(a+132|0);hE(a+120|0);hE(a+108|0);hE(a+96|0);hE(a+84|0);hE(a+72|0);hE(a+60|0);hE(a+48|0);hE(a+36|0);hE(a+24|0);yz(a+12|0);yz(a|0);return}function hE(a){a=a|0;iE(a);return}function iE(a){a=a|0;jE(a|0);return}function jE(a){a=a|0;kE(a);return}function kE(a){a=a|0;lE(a,OC(a)|0);return}function lE(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;Fv(d|0);if((b|0)==0){i=d;return}lE(a,c[b>>2]|0);lE(a,c[b+4>>2]|0);e=rC(a)|0;mE(e,nE(b+16|0)|0);lC(e,b,1);i=d;return}function mE(a,b){a=a|0;b=b|0;a=i;i=i+8|0;oE(a|0,0,b);i=a;return}function nE(a){a=a|0;return a|0}function oE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;pE(d);i=c;return}function pE(a){a=a|0;qE(a);return}function qE(a){a=a|0;rE(a|0);return}function rE(a){a=a|0;sE(a);return}function sE(a){a=a|0;yz(a+4|0);return}function tE(a){a=a|0;uE(a|0);return}function uE(a){a=a|0;vE(a);return}function vE(a){a=a|0;wE(a,jA(a)|0);return}function wE(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;Fv(d|0);if((b|0)==0){i=d;return}wE(a,c[b>>2]|0);wE(a,c[b+4>>2]|0);e=TA(a)|0;xE(e,Yz(b+16|0)|0);NA(e,b,1);i=d;return}function xE(a,b){a=a|0;b=b|0;a=i;i=i+8|0;yE(a|0,0,b);i=a;return}function yE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;zE(d);i=c;return}function zE(a){a=a|0;AE(a);return}function AE(a){a=a|0;BE(a|0);return}function BE(a){a=a|0;CE(a);return}function CE(a){a=a|0;dK(a|0);return}function DE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=i;i=i+16|0;d=c|0;e=c+8|0;EE(a|0);GE(d,b);HE(e,b);FE(a,d,e);i=c;return a|0}function EE(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;_D(a,zB(a)|0);c[(jD(a)|0)>>2]=0;d=sB(a)|0;c[(UC(a)|0)>>2]=d;Fv(b|0);c[d>>2]=0;i=b;return}function FE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+32|0;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];f=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[f>>2];f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;PE(f,a);if(!(QE(b,d)|0)){i=e;return}k=c[f>>2]|0;f=h|0;do{c[f>>2]=k;IE(g,h);RE(j,a,g,SE(b)|0);TE(b)|0;}while(QE(b,d)|0);i=e;return}function GE(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;NE(d,b|0);IE(a,d);i=c;return}function HE(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;JE(d,b|0);IE(a,d);i=c;return}function IE(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];ME(a,b);i=d;return}function JE(a,b){a=a|0;b=b|0;KE(a,Az(b)|0);return}function KE(a,b){a=a|0;b=b|0;LE(a,b);return}function LE(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function ME(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function NE(a,b){a=a|0;b=b|0;KE(a,c[(OE(b)|0)>>2]|0);return}function OE(a){a=a|0;return a|0}function PE(a,b){a=a|0;b=b|0;HE(a,b);return}function QE(a,b){a=a|0;b=b|0;return ZF(a|0,b|0)|0}function RE(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+40|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;c[h>>2]=c[d>>2];$E(j,e);_E(g,b|0,h,j);pB(a,g);cE(j);i=f;return}function SE(a){a=a|0;return XE(a|0)|0}function TE(a){a=a|0;UE(a|0)|0;return a|0}function UE(a){a=a|0;var b=0;b=a|0;c[b>>2]=VE(c[b>>2]|0)|0;return a|0}function VE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;Fv(b|0);if((e|0)==0){e=a;while(1){a=tx(e)|0;f=c[e+8>>2]|0;if(a){g=f;break}else{e=f}}i=b;return g|0}else{g=WE(c[d>>2]|0)|0;i=b;return g|0}return 0}function WE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a|0;f=c[e>>2]|0;Fv(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e|0;f=c[a>>2]|0;Fv(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function XE(a){a=a|0;return YE((c[a>>2]|0)+16|0)|0}function YE(a){a=a|0;return ZE(a)|0}function ZE(a){a=a|0;return a|0}function _E(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+64|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+24|0;k=f+40|0;l=f+48|0;c[h>>2]=c[d>>2];d=dF(b,h,g,e)|0;h=c[d>>2]|0;Fv(f+16|0);if((h|0)!=0){m=h;rB(a,m);i=f;return}fF(l,b,e);gF(k,l);eF(j,k);hF(l);l=c[g>>2]|0;cD(b,l,d,iF(j)|0);d=jF(j)|0;hF(j);m=d;rB(a,m);i=f;return}function $E(a,b){a=a|0;b=b|0;aF(a,b);return}function aF(a,b){a=a|0;b=b|0;bF(a|0,b);return}function bF(a,b){a=a|0;b=b|0;cF(a,b);return}function cF(a,b){a=a|0;b=b|0;VJ(a|0,b|0);VJ(a+12|0,b+12|0);return}function dF(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+88|0;g=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=f+32|0;m=f+40|0;n=f+48|0;o=f+56|0;p=f+64|0;q=f+72|0;r=f+80|0;qB(h,a);NF(g,h);do{if(!(MF(b,g)|0)){h=BB(a)|0;s=PF(b)|0;if(OF(h,e,s)|0){break}t=OF(h,s,e)|0;s=c[b>>2]|0;if(!t){c[d>>2]=s;u=d;i=f;return u|0}c[o>>2]=s;TF(n,o,1,0);qB(q,a);NF(p,q);do{if(!(MF(n,p)|0)){if(OF(h,e,PF(n)|0)|0){break}u=SF(a,d,e)|0;i=f;return u|0}}while(0);h=s+4|0;t=c[h>>2]|0;Fv(r);if((t|0)==0){c[d>>2]=s;u=h;i=f;return u|0}else{h=c[n>>2]|0;c[d>>2]=h;u=h|0;i=f;return u|0}}}while(0);n=c[b>>2]|0;b=j|0;c[b>>2]=n;QF(l,a);NF(k,l);do{if(!(MF(j,k)|0)){l=BB(a)|0;if(OF(l,PF(RF(j)|0)|0,e)|0){break}u=SF(a,d,e)|0;i=f;return u|0}}while(0);e=n|0;a=c[e>>2]|0;Fv(m);if((a|0)==0){c[d>>2]=n;u=e;i=f;return u|0}else{e=c[b>>2]|0;c[d>>2]=e;u=e+4|0;i=f;return u|0}return 0}function eF(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];KF(a,b);i=d;return}function fF(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=AD(c)|0;c=CD(k,1)|0;wF(g,k);vF(f,c,g);xF(0,aE((yF(f)|0)+16|0)|0,d);a[(zF(f)|0)+4|0]=1;AF(j,f);gF(h,j);eF(b,h);hF(j);hF(f);i=e;return}function gF(a,b){a=a|0;b=b|0;tF(a,b);return}function hF(a){a=a|0;oF(a);return}function iF(a){a=a|0;return c[(mF(a|0)|0)>>2]|0}function jF(a){a=a|0;var b=0;b=kF(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function kF(a){a=a|0;return lF(a|0)|0}function lF(a){a=a|0;return a|0}function mF(a){a=a|0;return nF(a|0)|0}function nF(a){a=a|0;return a|0}function oF(a){a=a|0;pF(a,0);return}function pF(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=kF(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}rF(qF(d)|0,e);return}function qF(a){a=a|0;return sF(a|0)|0}function rF(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;$D(e,aE(d+16|0)|0)}if((d|0)==0){return}tD(c[b>>2]|0,d,1);return}function sF(a){a=a|0;return a+4|0}function tF(a,b){a=a|0;b=b|0;uF(a,b);return}function uF(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function vF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];EF(a,b,d);i=e;return}function wF(a,b){a=a|0;b=b|0;DF(a,b);return}function xF(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}BF(b,c);return}function yF(a){a=a|0;return c[(mF(a|0)|0)>>2]|0}function zF(a){a=a|0;return qF(a|0)|0}function AF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;tF(f,b);eF(e,f);gF(d,e);eF(a,d);hF(e);i=c;return}function BF(a,b){a=a|0;b=b|0;CF(a,b);return}function CF(a,b){a=a|0;b=b|0;bF(a|0,b|0);return}function DF(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;return}function EF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(ND(f)|0)>>2]|0;f=GF(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;FF(a|0,b,g);i=e;return}function FF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];HF(a,b,d);i=e;return}function GF(a){a=a|0;return a|0}function HF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(RD(f)|0)>>2]|0;f=JF(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;IF(a|0,b,g);i=e;return}function IF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(RD(f)|0)>>2];f=JF(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function JF(a){a=a|0;return a|0}function KF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=jF(LF(b)|0)|0;g=JF(zF(LF(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;FF(a|0,f,e);i=d;return}function LF(a){a=a|0;return c[a>>2]|0}function MF(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function NF(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];YF(a,b);i=d;return}function OF(a,b,c){a=a|0;b=b|0;c=c|0;return Fz(0,b|0,c|0)|0}function PF(a){a=a|0;return(c[a>>2]|0)+16|0}function QF(a,b){a=a|0;b=b|0;rB(a,c[(UC(b)|0)>>2]|0);return}function RF(a){a=a|0;var b=0;b=a|0;c[b>>2]=WF(c[b>>2]|0)|0;return a|0}function SF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=zB(a)|0;Fv(e|0);if((h|0)==0){j=sB(a)|0;c[b>>2]=j;k=j|0;i=e;return k|0}j=BB(a)|0;a=h;while(1){h=a+16|0;if(OF(j,d,h)|0){l=a|0;m=c[l>>2]|0;Fv(f);if((m|0)==0){n=5;break}else{o=l}}else{p=a|0;if(!(OF(j,h,d)|0)){n=10;break}q=a+4|0;h=c[q>>2]|0;Fv(g);if((h|0)==0){n=9;break}else{o=q}}a=c[o>>2]|0}if((n|0)==5){c[b>>2]=a;k=l;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==10){c[b>>2]=p;k=b;i=e;return k|0}return 0}function TF(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=i;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];UF(b,d);c[a>>2]=c[b>>2];i=e;return}function UF(a,b){a=a|0;b=b|0;var c=0;c=i;i=i+8|0;VF(a,b,c|0);i=c;return}function VF(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;if(!((c|0)>-1)){f=c;do{RF(b)|0;f=f+1|0;}while((f|0)<0);i=e;return}if((c|0)>0){g=c}else{i=e;return}do{UE(b)|0;g=g-1|0;}while((g|0)>0);i=e;return}function WF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;Fv(b|0);if((e|0)==0){e=a;while(1){a=tx(e)|0;f=c[e+8>>2]|0;if(a){e=f}else{g=f;break}}i=b;return g|0}else{g=XF(c[d>>2]|0)|0;i=b;return g|0}return 0}function XF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[e>>2]|0;Fv(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e+4|0;f=c[a>>2]|0;Fv(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function YF(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function ZF(a,b){a=a|0;b=b|0;return(MF(a,b)|0)^1|0}function _F(a){a=a|0;var b=0;b=i;i=i+128|0;qz(a|0,b|0);qz(a+12|0,b+8|0);$F(a+24|0,b+16|0);$F(a+36|0,b+24|0);$F(a+48|0,b+32|0);$F(a+60|0,b+40|0);$F(a+72|0,b+48|0);$F(a+84|0,b+56|0);$F(a+96|0,b+64|0);$F(a+108|0,b+72|0);$F(a+120|0,b+80|0);$F(a+132|0,b+88|0);$F(a+144|0,b+96|0);$F(a+156|0,b+104|0);$F(a+168|0,b+112|0);$F(a+180|0,b+120|0);i=b;return}function $F(a,b){a=a|0;b=b|0;aG(a,0);return}function aG(a,b){a=a|0;b=b|0;b=i;i=i+8|0;bG(a|0,b|0);i=b;return}function bG(a,b){a=a|0;b=b|0;cG(a,0);return}function cG(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;dG(a+4|0);eG(a+8|0,0,b|0);d=$B(a)|0;c[(_B(a)|0)>>2]=d;i=b;return}function dG(a){a=a|0;hG(a);return}function eG(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;fG(b,c,d);i=e;return}function fG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;gG(b|0,c[(hy(g)|0)>>2]|0,f+8|0);i=f;return}function gG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(hy(g)|0)>>2];i=f;return}function hG(a){a=a|0;iG(a|0);return}function iG(a){a=a|0;ky(a|0);return}function jG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+80|0;a=b|0;d=b+16|0;e=b+32|0;f=b+48|0;g=b+64|0;h=c[229274]|0;if((h|0)==0){j=0}else{k=oU(12)|0;ZJ(k,h);j=k}if((c[229315]|0)!=0){c[229190]=1}if((j|0)==0){c[229107]=1;c[229108]=1;i=b;return}do{if((BK(j,894024,0)|0)==-1){VJ(a,j);TJ(d);k=c[4152]|0;h=(k|0)<28;while(1){l=BK(a,900032,0)|0;m=(l|0)!=-1;if(m){zK(e,a,0,l);eK(d,e)|0;dK(e);zK(f,a,l+1|0,-1);eK(a,f)|0;dK(f)}else{eK(d,a)|0}if(h){n=k;o=1}else{break}while(1){ZJ(g,c[915064+(n<<2)>>2]|0);l=kG(d,g)|0;dK(g);if(l){c[916424+(n<<2)>>2]=1;p=0}else{p=o}l=n+1|0;if((l|0)<28){n=l;o=p}else{break}}if((p|0)!=0){break}if(!m){q=39;break}}if((q|0)==39){dK(d);dK(a);break}Fq(1,1,889024,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if(h){r=k;do{s=c[915176+(r<<2)>>2]|0;Fq(1,0,50088,(l=i,i=i+16|0,c[l>>2]=c[915064+(r<<2)>>2],c[l+8>>2]=s,l)|0);i=l;r=r+1|0;}while((r|0)<28)}Qd[c[3540]&511](1);r=AK(j)|0;Hq(0,42536,(l=i,i=i+8|0,c[l>>2]=r,l)|0);i=l}else{r=1;do{c[916424+(r<<2)>>2]=1;r=r+1|0;}while((r|0)<28)}}while(0);c[229107]=1;c[229108]=1;if((c[229115]|0)!=0){c[229130]=1}if((c[229129]|0)==1){c[229131]=1}if((c[229124]|0)!=0){c[229123]=1}if((c[229126]|0)!=0){c[229123]=1}if((c[229114]|0)!=0){c[229113]=1}if((c[229125]|0)!=0){c[229123]=1}if((c[229112]|0)!=0){c[229111]=1}dK(j);qU(j);i=b;return}function kG(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=bK(b)|0;if((d|0)!=(bK(c)|0)){e=0;return e|0}f=cK(b)|0;g=cK(c)|0;if(WJ(b)|0){e=(Hz(f,g,d)|0)==0;return e|0}if((d|0)==0){e=1;return e|0}else{h=f;i=g;j=d}while(1){if((a[h]|0)!=(a[i]|0)){e=0;k=7;break}d=j-1|0;if((d|0)==0){e=1;k=7;break}else{h=h+1|0;i=i+1|0;j=d}}if((k|0)==7){return e|0}return 0}function lG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;a=c[229276]|0;if((a|0)==0){d=1;i=b;return d|0}e=oU(12)|0;f=e;ZJ(f,a);if((e|0)==0){d=1;i=b;return d|0}else{g=1}while(1){if((g|0)>=4){h=7;break}if(mG(f,c[914072+(g<<2)>>2]|0)|0){d=g;h=8;break}else{g=g+1|0}}if((h|0)==7){g=AK(f)|0;Fq(1,1,37560,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f;g=c[228525]|0;Fq(1,0,50088,(f=i,i=i+16|0,c[f>>2]=c[228519],c[f+8>>2]=g,f)|0);i=f;g=c[228526]|0;Fq(1,0,50088,(f=i,i=i+16|0,c[f>>2]=c[228520],c[f+8>>2]=g,f)|0);i=f;g=c[228527]|0;Fq(1,0,50088,(f=i,i=i+16|0,c[f>>2]=c[228521],c[f+8>>2]=g,f)|0);i=f;Qd[c[3540]&511](1);Hq(0,33416,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;return 0}else if((h|0)==8){i=b;return d|0}return 0}function mG(a,b){a=a|0;b=b|0;return(DK(a,b)|0)==0|0}function nG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;i=i+32|0;a=b|0;d=b+16|0;e=c[229272]|0;if((e|0)==0){f=1;i=b;return f|0}g=oU(12)|0;h=g;ZJ(h,e);if((g|0)==0){f=1;i=b;return f|0}ZJ(a,29480);g=kG(h,a)|0;dK(a);if(g){f=1;i=b;return f|0}ZJ(d,26048);g=kG(h,d)|0;dK(d);if(g){f=2;i=b;return f|0}else{f=AK(h)|0;Fq(1,1,23432,(h=i,i=i+8|0,c[h>>2]=f,h)|0);i=h;Fq(1,0,50088,(h=i,i=i+16|0,c[h>>2]=29480,c[h+8>>2]=903848,h)|0);i=h;Fq(1,0,50088,(h=i,i=i+16|0,c[h>>2]=26048,c[h+8>>2]=901176,h)|0);i=h;Qd[c[3540]&511](1);Hq(0,33416,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;return 0}return 0}function oG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;mM(e,a);do{if(pM(e)|0){h=Pz(b)|0;BG(f,a);j=a;k=a;l=k+(c[(c[j>>2]|0)-12>>2]|0)|0;m=l;if(((Jv(m)|0)&176|0)==32){n=b+h|0}else{n=b}EG(g,f,b,n,b+h|0,m,ZK(l)|0);if(!(CG(g)|0)){break}TK(k+(c[(c[j>>2]|0)-12>>2]|0)|0,5)}}while(0);nM(e);i=d;return a|0}function pG(a){a=a|0;sM(a,_K(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0;$L(a)|0;return a|0}function qG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+2128|0;g=f|0;h=f+32|0;j=f+48|0;k=f+64|0;l=f+80|0;ZJ(h,d);OK(k,896976,h);Wy(j,k,895584);dK(k);k=AK(j)|0;d=b+104|0;do{if((c[d>>2]|0)>0){m=b|0;n=c[m>>2]|0;if((IU(c[n+4>>2]|0,894544)|0)!=0){break}a[n+104|0]=1;a[(c[m>>2]|0)+((c[d>>2]|0)*112|0)+104|0]=1}}while(0);if((IU(k,893640)|0)==0){dK(j);dK(h);i=f;return}d=qT(g,k,1)|0;if((d|0)!=0){m=l|0;NU(m|0,0,2048)|0;DT(d,g,m,2048)|0;qM(oG(oG(oG(oG(oG(943400,892648)|0,k)|0,891912)|0,m)|0,891216)|0,2)|0;dK(j);dK(h);i=f;return}m=b+108|0;k=c[m>>2]|0;if((k|0)>0){d=b|0;l=0;n=k;while(1){k=c[d>>2]|0;if((a[k+(l*112|0)+104|0]|0)==0){o=(ET(g,c[k+(l*112|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(l*112|0)+104|0]=o;p=c[m>>2]|0}else{p=n}o=l+1|0;if((o|0)<(p|0)){l=o;n=p}else{break}}}p=b+208|0;if((c[p>>2]|0)>0){n=b+32|0;l=b|0;m=(e|0)==0;d=b+16|0;o=0;do{k=c[n>>2]|0;q=a[k+(o*52|0)+8|0]|0;do{if((q<<24>>24|0)==1){r=(ET(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0|m){break}a[(c[d>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}else if((q<<24>>24|0)==0){r=(ET(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0){break}a[(c[l>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}}while(0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}p=b+116|0;o=c[p>>2]|0;if((o|0)>0){l=b+4|0;n=0;d=o;while(1){o=c[l>>2]|0;if((a[o+(n*60|0)+56|0]|0)==0){m=(ET(g,c[o+(n*60|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[l>>2]|0)+(n*60|0)+56|0]=m;s=c[p>>2]|0}else{s=d}m=n+1|0;if((m|0)<(s|0)){n=m;d=s}else{break}}}s=b+212|0;if((c[s>>2]|0)>0){d=b+36|0;n=b+4|0;p=(e|0)==0;l=b+20|0;m=0;do{o=c[d>>2]|0;k=a[o+(m*52|0)+8|0]|0;do{if((k<<24>>24|0)==0){q=(ET(g,c[o+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(m*52|0)+48|0]=q;q=c[d>>2]|0;if((a[q+(m*52|0)+48|0]|0)!=0){break}a[(c[n>>2]|0)+((c[q+(m*52|0)+4>>2]|0)*60|0)+56|0]=0}else if((k<<24>>24|0)==1){q=(ET(g,c[o+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(m*52|0)+48|0]=q;q=c[d>>2]|0;if((a[q+(m*52|0)+48|0]|0)!=0|p){break}a[(c[l>>2]|0)+((c[q+(m*52|0)+4>>2]|0)*60|0)+56|0]=0}}while(0);m=m+1|0;}while((m|0)<(c[s>>2]|0))}s=b+120|0;m=c[s>>2]|0;if((m|0)>0){l=b+8|0;p=0;d=m;while(1){m=c[l>>2]|0;if((a[m+(p*48|0)+44|0]|0)==0){n=(ET(g,c[m+(p*48|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[l>>2]|0)+(p*48|0)+44|0]=n;t=c[s>>2]|0}else{t=d}n=p+1|0;if((n|0)<(t|0)){p=n;d=t}else{break}}}t=b+216|0;if((c[t>>2]|0)>0){d=b+40|0;p=b+8|0;s=(e|0)==0;l=b+24|0;n=0;do{m=c[d>>2]|0;o=a[m+(n*52|0)+8|0]|0;do{if((o<<24>>24|0)==0){k=(ET(g,c[m+(n*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(n*52|0)+48|0]=k;k=c[d>>2]|0;if((a[k+(n*52|0)+48|0]|0)!=0){break}a[(c[p>>2]|0)+((c[k+(n*52|0)+4>>2]|0)*48|0)+44|0]=0}else if((o<<24>>24|0)==1){k=(ET(g,c[m+(n*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(n*52|0)+48|0]=k;k=c[d>>2]|0;if((a[k+(n*52|0)+48|0]|0)!=0|s){break}a[(c[l>>2]|0)+((c[k+(n*52|0)+4>>2]|0)*48|0)+44|0]=0}}while(0);n=n+1|0;}while((n|0)<(c[t>>2]|0))}t=b+124|0;n=c[t>>2]|0;if((n|0)>0){l=b+12|0;s=0;d=n;while(1){n=c[l>>2]|0;if((a[n+(s*52|0)+48|0]|0)==0){p=(ET(g,c[n+(s*52|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[l>>2]|0)+(s*52|0)+48|0]=p;u=c[t>>2]|0}else{u=d}p=s+1|0;if((p|0)<(u|0)){s=p;d=u}else{break}}}u=b+220|0;if((c[u>>2]|0)>0){d=b+44|0;s=b+12|0;t=(e|0)==0;e=b+28|0;b=0;do{l=c[d>>2]|0;p=a[l+(b*52|0)+8|0]|0;do{if((p<<24>>24|0)==0){n=(ET(g,c[l+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(b*52|0)+48|0]=n;n=c[d>>2]|0;if((a[n+(b*52|0)+48|0]|0)!=0){break}a[(c[s>>2]|0)+((c[n+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}else if((p<<24>>24|0)==1){n=(ET(g,c[l+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(b*52|0)+48|0]=n;n=c[d>>2]|0;if((a[n+(b*52|0)+48|0]|0)!=0|t){break}a[(c[e>>2]|0)+((c[n+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}}while(0);b=b+1|0;}while((b|0)<(c[u>>2]|0))}uT(g);dK(j);dK(h);i=f;return}function rG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0;b=i;i=i+320|0;a=b|0;e=b+16|0;f=b+32|0;g=b+48|0;j=b+64|0;k=b+80|0;l=b+96|0;m=b+112|0;n=b+128|0;o=b+144|0;p=b+160|0;q=b+176|0;r=b+192|0;s=b+208|0;t=b+224|0;u=b+240|0;v=b+256|0;w=b+272|0;x=b+288|0;y=b+304|0;z=c[229300]|0;A=c[229270]|0;B=c[231410]|0;if((c[229131]|0)==0){if(!((c[229288]|0)==0|(B|0)!=0)){C=3}}else{C=3}if((C|0)==3){c[231410]=1}C=d+248|0;D=d+240|0;E=~~+vb(+((+h[C>>3]- +h[D>>3])/+h[d+264>>3]));c[d+256>>2]=E;Dq(23,0,890432,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;E=c[229257]|0;do{if((E|0)==0){G=0}else{if((IU(E,889672)|0)==0){G=1;break}if((IU(E,888464)|0)==0){G=0;break}if((IU(E,708120)|0)==0){G=2;break}Fq(1,0,56400,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;G=0}}while(0);if((Gr(G)|0)!=0){Fq(1,0,55488,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F}if((c[231410]|0)!=0){zH(d+56|0);Lr((c[d+64>>2]|0)+13+(c[d+68>>2]|0)+(c[d+72>>2]|0)|0);Hr(0);Hr(6);Ir(3);Ir(4);Ir(1)}E=(z|0)!=0;if(E){if((A|0)==0){H=+h[D>>3]}else{H=+EU(A)}h[C>>3]=H;Dq(1,0,54408,(F=i,i=i+8|0,h[F>>3]=H,F)|0);i=F}do{if((c[229314]|0)!=0){C=oU(12)|0;A=C;ZJ(A,c[229284]|0);if((C|0)==0){break}C=AK(A)|0;c[d+280>>2]=C;Dq(23,0,53456,(F=i,i=i+8|0,c[F>>2]=C,F)|0);i=F}}while(0);C=c[229283]|0;TJ(a);if((C|0)==0){ZJ(g,c[d+88>>2]|0);ZJ(j,52800);sG(f,g,j);Wy(e,f,c[d+284>>2]|0);eK(a,e)|0;dK(e);dK(f);dK(j);dK(g)}else{fK(a,C)|0}ZJ(k,939536);ZJ(l,939536);ZJ(m,939536);ZJ(n,939536);ZJ(o,939536);ZJ(p,939536);C=c[229288]|0;if((c[229292]|0)!=0){fK(k,c[229262]|0)|0}if((c[229296]|0)!=0){fK(l,c[229266]|0)|0}if((c[229291]|0)!=0){fK(m,c[229261]|0)|0}if((c[229293]|0)==0){I=0.0}else{fK(n,c[229263]|0)|0;I=+EU(AK(n)|0)}if((c[229294]|0)==0){J=1}else{fK(o,c[229264]|0)|0;J=Oc(AK(o)|0)|0}if((c[229309]|0)!=0){fK(p,c[229279]|0)|0}VJ(q,a);VJ(r,k);VJ(s,l);VJ(t,m);VJ(u,p);g=tG(d,q,r,s,t,I,J,u,C)|0;dK(u);dK(t);dK(s);dK(r);dK(q);if((g|0)!=0|E^1){K=g}else{Hr(5);g=QG(d)|0;Kr(5);Dq(1,0,51384,(F=i,i=i+1|0,i=i+7&-8,c[F>>2]=0,F)|0);i=F;K=g}c[231410]=B;if(!((K|0)==0&(B|0)!=0)){L=K;dK(p);dK(o);dK(n);dK(m);dK(l);dK(k);dK(a);i=b;return L|0}K=d+88|0;ZJ(w,c[K>>2]|0);Wy(v,w,50696);dK(w);ZJ(y,c[K>>2]|0);Wy(x,y,49328);dK(y);Kr(0);y=c[229275]|0;K=AK(v)|0;w=AK(x)|0;B=c[d+280>>2]|0;g=c[d+284>>2]|0;nH(d,K,w,(y|0)!=0?y:48552,B,g,AK(a)|0)|0;dK(x);dK(v);L=0;dK(p);dK(o);dK(n);dK(m);dK(l);dK(k);dK(a);i=b;return L|0}function sG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;UJ(a,d|0);e=bK(b)|0;f=bK(c)|0;EK(a,cK(b)|0,e,f+e|0);wK(a,cK(c)|0,f)|0;i=d;return}function tG(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;l=i;i=i+48|0;m=l|0;n=l+16|0;o=l+32|0;if((bK(j)|0)==0){p=0}else{p=AK(j)|0}VJ(m,b);b=(uG(a,m,k)|0)==0;dK(m);if(!b){q=-1;i=l;return q|0}ZJ(n,939536);b=a+280|0;m=mG(n,c[b>>2]|0)|0;dK(n);do{if(m){r=3}else{n=0;k=1;do{ZJ(o,c[913784+(k<<2)>>2]|0);j=mG(o,c[b>>2]|0)|0;dK(o);n=j?k:n;k=k+1|0;}while((k|0)<20);if((n|0)!=0){r=n;break}Fq(1,0,43208,(s=i,i=i+8|0,c[s>>2]=c[b>>2],s)|0);i=s;Fq(1,0,889024,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;k=1;do{j=c[913864+(k<<2)>>2]|0;Fq(1,0,50088,(s=i,i=i+16|0,c[s>>2]=c[913784+(k<<2)>>2],c[s+8>>2]=j,s)|0);i=s;k=k+1|0;}while((k|0)<20);Hq(c[a+536>>2]|0,33416,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;return 0}}while(0);Dq(23,0,41960,(s=i,i=i+8|0,c[s>>2]=c[913784+(r<<2)>>2],s)|0);i=s;s=AK(d)|0;d=AK(e)|0;e=Zt(a,s,d,AK(f)|0,g,h,r,p)|0;Rd[c[2007]&127](8e3,a);q=e;i=l;return q|0}function uG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=c[a+256>>2]<<2;c[2e3]=Ic(AK(b)|0)|0;c[2001]=f;c[2002]=d;d=a+284|0;do{if((c[229188]|0)==0){f=c[d>>2]|0;if((IU(47584,f)|0)==0){g=0;break}if((IU(46936,f)|0)==0){c[2004]=54;c[2005]=16;c[2007]=20;g=0;break}if((IU(46288,f)|0)==0){c[2004]=24;c[2005]=110;c[2006]=58;c[2007]=4;g=1;break}if((IU(45680,f)|0)==0){c[2004]=64;c[2005]=22;c[2006]=42;c[2007]=34;g=1;break}if((IU(45080,f)|0)==0){c[2004]=86;c[2005]=108;c[2007]=78;g=0;break}f=oG(943400,44472)|0;qM(oG(f,c[d>>2]|0)|0,2)|0;h=1;i=e;return h|0}else{g=0}}while(0);qG(a+8|0,c[a+288>>2]|0,g);Rd[c[2004]&127](8e3,a);a=c[2e3]|0;Dq(23,0,43824,(g=i,i=i+16|0,c[g>>2]=c[d>>2],c[g+8>>2]=a,g)|0);i=g;h=0;i=e;return h|0}function vG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+32|0;f=e|0;g=e+16|0;uq();do{if((HH(a,b)|0)==0){if((JH(a,b)|0)!=0){break}do{if((c[229301]|0)!=0){h=c[229271]|0;if((IU(h,39640)|0)==0){Aq(1);break}if((IU(h,39320)|0)==0){Aq(0);break}else{Fq(1,0,38904,(j=i,i=i+8|0,c[j>>2]=h,j)|0);i=j;Sa(0)|0;qc(0);return 0}}}while(0);if((c[229290]|0)==0){jG(0,0);lt(d);if((d|0)==0){qM(oG(943400,36312)|0,2)|0}c[d+300>>2]=lG(0,0)|0;c[d+292>>2]=nG(0,0)|0;Ty(d+8|0,d+240|0);ut(d)|0;Bt(d)|0;Kt(d)|0;do{if((c[d+116>>2]|0)==0){if((c[d+124>>2]|0)==0){break}if((c[d+128>>2]|0)==0){break}qM(oG(943400,35976)|0,2)|0;k=1;i=e;return k|0}}while(0);c[229188]=c[229307];k=0;i=e;return k|0}ZJ(f,c[229260]|0);h=1;while(1){if((h|0)>=30){l=40;break}m=915920+(h<<2)|0;ZJ(g,c[m>>2]|0);n=kG(f,g)|0;dK(g);if(n){break}else{h=h+1|0}}if((l|0)==40){n=AK(f)|0;Fq(1,0,37088,(j=i,i=i+8|0,c[j>>2]=n,j)|0);i=j;Fq(1,0,36760,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;Sa(0)|0;qc(0);return 0}n=c[915800+(h<<2)>>2]|0;do{if((n|0)==1){o=c[916048+(h<<2)>>2]|0;Dq(1,1,38584,(j=i,i=i+16|0,c[j>>2]=c[m>>2],c[j+8>>2]=o,j)|0);i=j}else{o=c[m>>2]|0;if((n|0)==2){p=c[916048+(h<<2)>>2]|0;Dq(1,1,38144,(j=i,i=i+24|0,c[j>>2]=o,c[j+8>>2]=o,c[j+16>>2]=p,j)|0);i=j;break}else{Fq(1,1,40136,(j=i,i=i+8|0,c[j>>2]=o,j)|0);i=j;break}}}while(0);do{if((h|0)==10){n=1;do{o=c[914008+(n<<2)>>2]|0;Dq(1,0,50088,(j=i,i=i+16|0,c[j>>2]=c[913944+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<7)}else if((h|0)==6){Dq(1,0,50088,(j=i,i=i+16|0,c[j>>2]=24312,c[j+8>>2]=24936,j)|0);i=j;Dq(1,0,50088,(j=i,i=i+16|0,c[j>>2]=24056,c[j+8>>2]=24752,j)|0);i=j;Dq(1,0,50088,(j=i,i=i+16|0,c[j>>2]=23656,c[j+8>>2]=24504,j)|0);i=j}else if((h|0)==18){n=c[4152]|0;if((n|0)<28){q=n}else{break}do{n=c[915176+(q<<2)>>2]|0;Dq(1,0,50088,(j=i,i=i+16|0,c[j>>2]=c[915064+(q<<2)>>2],c[j+8>>2]=n,j)|0);i=j;q=q+1|0;}while((q|0)<28)}else if((h|0)==28){n=1;do{o=c[913864+(n<<2)>>2]|0;Dq(1,0,50088,(j=i,i=i+16|0,c[j>>2]=c[913784+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<20)}}while(0);Qd[c[3540]&511](1);Sa(0)|0;qc(0);return 0}}while(0);Dq(1,1,41552,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;b=1;do{q=c[915800+(b<<2)>>2]|0;do{if((q|0)==1){m=c[916176+(b<<2)>>2]|0;Dq(1,0,40984,(j=i,i=i+16|0,c[j>>2]=c[915920+(b<<2)>>2],c[j+8>>2]=m,j)|0);i=j}else{m=c[915920+(b<<2)>>2]|0;if((q|0)==2){f=c[916176+(b<<2)>>2]|0;Dq(1,0,40584,(j=i,i=i+24|0,c[j>>2]=m,c[j+8>>2]=m,c[j+16>>2]=f,j)|0);i=j;break}else{Fq(1,0,40136,(j=i,i=i+8|0,c[j>>2]=m,j)|0);i=j;break}}}while(0);b=b+1|0;}while((b|0)<30);Qd[c[3540]&511](1);Sa(0)|0;qc(0);return 0}function wG(a){a=a|0;var b=0,d=0,e=0;a=i;b=c[235966]|0;Cc(7896)|0;vc(35264,(d=i,i=i+8|0,c[d>>2]=c[b+88>>2],d)|0)|0;i=d;Cc(7976)|0;vc(34592,(d=i,i=i+8|0,h[d>>3]=+h[b+264>>3],d)|0)|0;i=d;e=b+4|0;vc(34320,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+4>>2]>>3],d)|0)|0;i=d;vc(33944,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+8>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;vc(32816,(d=i,i=i+8|0,h[d>>3]=+h[c[b+4>>2]>>3]- +h[c[b+8>>2]>>3],d)|0)|0;i=d;vc(32552,(d=i,i=i+8|0,h[d>>3]=+h[c[c[e>>2]>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;vc(32032,(d=i,i=i+8|0,h[d>>3]=+h[c[b>>2]>>3]- +h[c[b+4>>2]>>3],d)|0)|0;i=d;Cc(7872)|0;i=a;return}function xG(a,b){a=a|0;b=+b;return}function yG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+160|0;f=1;g=0;h=i;i=i+168|0;c[h>>2]=0;while(1)switch(f|0){case 1:j=e|0;k=(c[d+536>>2]|0)+76|0;l=c[k>>2]|0;c[k>>2]=j;m=OU(j|0,f,h)|0;f=6;break;case 6:if((m|0)==0){f=2;break}else{n=-1;f=4;break};case 2:j=ua(10,a|0,b|0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=PU(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;if((j|0)==0){f=3;break}else{o=1;f=5;break};case 3:c[235966]=d;Da(76,10,234)|0;if((x|0)!=0&(y|0)!=0){g=PU(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;j=ua(12,0,0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=PU(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(34,d|0)|0;if((x|0)!=0&(y|0)!=0){g=PU(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(44,d|0)|0;if((x|0)!=0&(y|0)!=0){g=PU(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(108,d|0)|0;if((x|0)!=0&(y|0)!=0){g=PU(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(c[(c[d+540>>2]|0)+8>>2]|0,d|0);if((x|0)!=0&(y|0)!=0){g=PU(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(30,d|0);if((x|0)!=0&(y|0)!=0){g=PU(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(90,0)|0;if((x|0)!=0&(y|0)!=0){g=PU(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;n=j;f=4;break;case 4:c[k>>2]=l;Ia(4);if((x|0)!=0&(y|0)!=0){g=PU(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;o=n;f=5;break;case 5:i=e;return o|0;case-1:if((g|0)==1){m=y;f=6}x=y=0;break}return 0}function zG(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+16|0;g=b;b=i;i=i+24|0;c[b>>2]=c[g>>2];c[b+4>>2]=c[g+4>>2];c[b+8>>2]=c[g+8>>2];c[b+12>>2]=c[g+12>>2];c[b+16>>2]=c[g+16>>2];c[b+20>>2]=c[g+20>>2];g=f|0;if((a|0)==0){h=od(c[231400]|0)|0}else{h=a}switch(c[h+84>>2]|0){case 1:{a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Xa(29776,7,1,a|0)|0;Pc(a|0,d|0,g|0)|0;Va(10,a|0)|0;Sa(0)|0;Ad(c[h+80>>2]|0,1);break};case 3:{if((c[229123]|0)==0){i=f;return}a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Xa(29776,7,1,a|0)|0;Pc(a|0,d|0,g|0)|0;Va(10,a|0)|0;Sa(0)|0;i=f;return};case 2:{if((c[229109]|0)==0){j=h+80|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Xa(29776,7,1,a|0)|0;Pc(a|0,d|0,g|0)|0;Va(10,a|0)|0;Sa(0)|0;j=h+80|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1);break};case 4:case 5:{i=f;return};default:{Hq(h,29136,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h}}}function AG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=a;a=i;i=i+24|0;c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];c[a+16>>2]=c[f+16>>2];c[a+20>>2]=c[f+20>>2];f=e|0;a=f;c[a>>2]=d;c[a+4>>2]=0;a=c[u>>2]|0;Xa(30408,9,1,a|0)|0;Pc(a|0,b|0,f|0)|0;Va(10,a|0)|0;Sa(0)|0;i=e;return}function BG(a,b){a=a|0;b=b|0;DG(a,b);return}function CG(a){a=a|0;return(c[a>>2]|0)==0|0}function DG(a,b){a=a|0;b=b|0;c[a>>2]=YK(b+(c[(c[b>>2]|0)-12>>2]|0)|0)|0;return}function EG(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i;i=i+48|0;k=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[k>>2];k=j+8|0;l=j+16|0;m=j+32|0;n=j+40|0;o=b|0;b=c[o>>2]|0;Fv(j|0);if((b|0)==0){c[a>>2]=0;i=j;return}p=f;f=d;q=p-f|0;r=FG(g)|0;s=(r|0)>(q|0)?r-q|0:0;q=e;r=q-f|0;do{if((r|0)>0){if((iL(b,d,r)|0)==(r|0)){break}Fv(k);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);do{if((s|0)>0){_J(l,s,h);if((iL(b,cK(l)|0,s)|0)==(s|0)){dK(l);break}Fv(m);c[o>>2]=0;c[a>>2]=0;dK(l);i=j;return}}while(0);l=p-q|0;do{if((l|0)>0){if((iL(b,e,l)|0)==(l|0)){break}Fv(n);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);GG(g,0)|0;c[a>>2]=b;i=j;return}function FG(a){a=a|0;return c[a+12>>2]|0}function GG(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function HG(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=i;i=i+136|0;g=f|0;IG(g,16);JG(g+(c[(c[g>>2]|0)-12>>2]|0)|0,16)|0;if((d|0)>0){j=e-1|0;k=(j|0)>0;l=(e|0)>0;m=g;n=(e|0)==0;e=0;do{if(k){o=0;p=e;while(1){oG(rM(m,+h[b+(p<<3)>>3])|0,892448)|0;q=p+d|0;r=o+1|0;if((r|0)<(j|0)){o=r;p=q}else{s=q;break}}}else{s=e}if(l){rM(m,+h[b+(s<<3)>>3])|0}e=e+1|0;if(!((e|0)==(d|0)|n)){oG(m,899768)|0}}while((e|0)<(d|0))}KG(a,g);LG(g);i=f;return}function IG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=a+56|0;aL(d);e=a|0;c[e>>2]=906972;f=d|0;c[f>>2]=906992;d=a+4|0;hM(a,908372,d|0);c[e>>2]=906972;c[f>>2]=906992;XG(d,b|16);return}function JG(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function KG(a,b){a=a|0;b=b|0;RG(a,b+4|0);return}function LG(a){a=a|0;$G(a,908368);XK(a+56|0);return}function MG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+120>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[229120]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Dq(14,0,49944,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Td[c[(c[e>>2]|0)+160>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Dq(14,0,42424,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[229120]|0)==0){i=d;return 0}Dq(14,0,37400,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(33152,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function NG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+124>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[229120]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Dq(14,0,49944,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Td[c[(c[e>>2]|0)+164>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Dq(14,0,42424,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[229120]|0)==0){i=d;return 0}Dq(14,0,37400,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(33152,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function OG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+128>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[229120]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Dq(14,0,49944,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Td[c[(c[e>>2]|0)+168>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Dq(14,0,42424,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[229120]|0)==0){i=d;return 0}Dq(14,0,37400,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(33152,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function PG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+132>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[229120]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Dq(14,0,49944,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Td[c[(c[e>>2]|0)+172>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Dq(14,0,42424,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[229120]|0)==0){i=d;return 0}Dq(14,0,37400,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(33152,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function QG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=i;i=i+256|0;d=b|0;e=b+16|0;f=b+32|0;g=b+48|0;h=b+64|0;j=b+80|0;k=b+96|0;l=b+112|0;m=b+128|0;n=b+144|0;o=b+160|0;p=b+176|0;q=b+192|0;r=b+208|0;s=b+224|0;t=b+240|0;u=c[a+112>>2]|0;v=c[a+152>>2]|0;w=c[a+156>>2]|0;x=kU(ga(u,u)|0,8)|0;y=x;z=kU(ga(v,u)|0,8)|0;A=z;B=kU(ga(w,u)|0,8)|0;C=B;D=kU(ga(w,v)|0,8)|0;E=D;TJ(d);TJ(e);TJ(f);TJ(g);TJ(h);TJ(j);TJ(k);F=a+536|0;Gq(c[F>>2]|0,(x|0)!=0|0,25912,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Gq(c[F>>2]|0,(z|0)!=0|0,25912,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Gq(c[F>>2]|0,(B|0)!=0|0,25912,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Gq(c[F>>2]|0,(D|0)!=0|0,25912,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;H=a+540|0;I=a;if((Td[c[(c[H>>2]|0)+140>>2]&255](I)|0)==0){J=c[F>>2]|0;MG(a,y)|0;Gq(J,1,23304,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}HG(l,y,u,u);eK(d,l)|0;dK(l);if((Td[c[(c[H>>2]|0)+144>>2]&255](I)|0)==0){l=c[F>>2]|0;NG(a,A)|0;Gq(l,1,903720,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}HG(m,A,u,v);eK(e,m)|0;dK(m);if((Td[c[(c[H>>2]|0)+148>>2]&255](I)|0)==0){m=c[F>>2]|0;OG(a,C)|0;Gq(m,1,900928,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}HG(n,C,w,u);eK(f,n)|0;dK(n);if((Td[c[(c[H>>2]|0)+152>>2]&255](I)|0)==0){I=c[F>>2]|0;PG(a,E)|0;Gq(I,1,898800,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}HG(o,E,w,v);eK(g,o)|0;dK(o);if((u|0)==0){fK(h,896880)|0}else{HG(p,c[(c[c[a+4>>2]>>2]|0)+8>>2]|0,1,u);eK(h,p)|0;dK(p)}if((v|0)==0){fK(j,896880)|0}else{HG(q,c[a+432>>2]|0,1,v);eK(j,q)|0;dK(q)}jU(x);jU(z);jU(B);jU(D);ZJ(t,c[a+84>>2]|0);OK(s,895472,t);Wy(r,s,894456);eK(k,r)|0;dK(r);dK(s);dK(t);t=xc(AK(k)|0,893552)|0;s=c[F>>2]|0;F=AK(k)|0;Gq(s,(t|0)!=0|0,892496,(G=i,i=i+8|0,c[G>>2]=F,G)|0);i=G;F=ee[c[(c[H>>2]|0)+176>>2]&15]()|0;s=AK(h)|0;r=AK(j)|0;a=AK(d)|0;D=AK(e)|0;B=AK(f)|0;z=AK(g)|0;kd(t|0,F|0,(G=i,i=i+48|0,c[G>>2]=s,c[G+8>>2]=r,c[G+16>>2]=a,c[G+24>>2]=D,c[G+32>>2]=B,c[G+40>>2]=z,G)|0)|0;i=G;if((c[229131]|0)==0){K=Sa(t|0)|0;L=Oa(t|0)|0;dK(k);dK(j);dK(h);dK(g);dK(f);dK(e);dK(d);i=b;return 0}z=ee[c[(c[H>>2]|0)+176>>2]&15]()|0;H=AK(h)|0;B=AK(j)|0;D=AK(d)|0;a=AK(e)|0;r=AK(f)|0;s=AK(g)|0;Dq(25,0,z,(G=i,i=i+48|0,c[G>>2]=H,c[G+8>>2]=B,c[G+16>>2]=D,c[G+24>>2]=a,c[G+32>>2]=r,c[G+40>>2]=s,G)|0);i=G;K=Sa(t|0)|0;L=Oa(t|0)|0;dK(k);dK(j);dK(h);dK(g);dK(f);dK(e);dK(d);i=b;return 0}function RG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;h=c[b+48>>2]|0;if((h&16|0)!=0){j=b+44|0;k=c[j>>2]|0;l=b|0;m=qL(l)|0;if(k>>>0<m>>>0){c[j>>2]=m;n=m}else{n=k}SG(a,pL(l)|0,n,e);i=d;return}if((h&8|0)==0){UJ(a,g);i=d;return}else{g=b|0;b=kL(g)|0;SG(a,b,mL(g)|0,f);i=d;return}}function SG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;TG(a,b,c,0);return}function TG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;UG(a,b,c);return}function UG(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=i;i=i+1|0;i=i+7&-8;g=VG(c,d)|0;if(g>>>0>4294967279>>>0){RJ(0)}if(g>>>0<11>>>0){jK(b,g);h=iK(b)|0}else{j=qK(g)|0;k=j+1|0;j=Mz(YJ(b)|0,k)|0;sK(b,j);rK(b,k);hK(b,g);h=j}if((c|0)==(d|0)){l=h;a[f]=0;Nz(l,f);i=e;return}j=d+(-c|0)|0;g=h;b=c;while(1){Nz(g,b);c=b+1|0;if((c|0)==(d|0)){break}else{g=g+1|0;b=c}}l=h+j|0;a[f]=0;Nz(l,f);i=e;return}function VG(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=WG(a,b,c|0)|0;i=c;return d|0}function WG(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;i=e;return c-b|0}function XG(a,b){a=a|0;b=b|0;lH(a,b);return}function YG(a){a=a|0;LG(a);qU(a);return}function ZG(a){a=a|0;LG(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function _G(a){a=a|0;YG(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function $G(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];aH(a+4|0);return}function aH(a){a=a|0;bH(a);return}function bH(a){a=a|0;c[a>>2]=907176;dK(a+32|0);eL(a|0);return}function cH(a){a=a|0;aH(a);qU(a);return}function dH(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b+44|0;i=c[h>>2]|0;j=b|0;k=qL(j)|0;if(i>>>0<k>>>0){c[h>>2]=k;l=k}else{l=i}i=g&24;do{if((i|0)==24){if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}Tu(a,-1,-1);return}else if((i|0)==0){Tu(a,-1,-1);return}else{if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}if((g&8|0)==0){k=qL(j)|0;h=k-(pL(j)|0)|0;n=(h|0)<0|0?-1:0;o=h;break}else{h=lL(j)|0;k=h-(kL(j)|0)|0;n=(k|0)<0|0?-1:0;o=k;break}}}while(0);if((m|0)==11){f=l-(cK(b+32|0)|0)|0;n=(f|0)<0|0?-1:0;o=f}else if((m|0)==12){Tu(a,-1,-1);return}m=UU(o,n,d,e)|0;e=K;d=0;do{if(!((e|0)<(d|0)|(e|0)==(d|0)&m>>>0<0>>>0)){n=l-(cK(b+32|0)|0)|0;o=(n|0)<0|0?-1:0;if((o|0)<(e|0)|(o|0)==(e|0)&n>>>0<m>>>0){break}n=g&8;do{if(!((m|0)==0&(e|0)==0)){do{if((n|0)!=0){if((lL(j)|0)!=0){break}Tu(a,-1,-1);return}}while(0);if((g&16|0)==0){break}if((qL(j)|0)!=0){break}Tu(a,-1,-1);return}}while(0);if((n|0)!=0){o=kL(j)|0;oL(j,o,o+m|0,l)}if((g&16|0)!=0){o=pL(j)|0;tL(j,o,rL(j)|0);sL(j,m)}Tu(a,m,e);return}}while(0);Tu(a,-1,-1);return}function eH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=d;d=i;i=i+16|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];c[d+12>>2]=c[g+12>>2];g=c[(c[b>>2]|0)+16>>2]|0;h=fw(d)|0;Yd[g&63](a,b,h,K,0,e);i=f;return}function fH(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=b+44|0;e=c[d>>2]|0;f=b|0;g=qL(f)|0;if(e>>>0<g>>>0){c[d>>2]=g;h=g}else{h=e}if((c[b+48>>2]&8|0)==0){i=-1;return i|0}if((mL(f)|0)>>>0<h>>>0){b=kL(f)|0;oL(f,b,lL(f)|0,h)}h=lL(f)|0;if(!(h>>>0<(mL(f)|0)>>>0)){i=-1;return i|0}i=Dw(a[h]|0)|0;return i|0}function gH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=b+44|0;f=c[e>>2]|0;g=b|0;h=qL(g)|0;if(f>>>0<h>>>0){c[e>>2]=h;i=h}else{i=f}f=kL(g)|0;h=lL(g)|0;if(!(f>>>0<h>>>0)){j=-1;return j|0}if(zw(d,-1)|0){oL(g,f,h-1|0,i);j=Cw(d)|0;return j|0}f=(c[b+48>>2]&16|0)==0;b=Aw(d)|0;do{if(f){if(Ew(b,a[h-1|0]|0)|0){break}else{j=-1}return j|0}}while(0);h=kL(g)|0;oL(g,h,(lL(g)|0)-1|0,i);a[lL(g)|0]=b;j=d;return j|0}function hH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+8|0;e=d|0;if(zw(b,-1)|0){f=Cw(b)|0;i=d;return f|0}g=a|0;h=lL(g)|0;j=h-(kL(g)|0)|0;h=qL(g)|0;if((h|0)==(rL(g)|0)){k=a+48|0;if((c[k>>2]&16|0)==0){f=-1;i=d;return f|0}l=pL(g)|0;m=a+44|0;n=(c[m>>2]|0)-l|0;o=a+32|0;vK(o,0);oK(o,lK(o)|0);p=cK(o)|0;tL(g,p,p+(bK(o)|0)|0);sL(g,h-l|0);c[m>>2]=(pL(g)|0)+n;q=m;r=k}else{q=a+44|0;r=a+48|0}c[e>>2]=(qL(g)|0)+1;k=c[(iH(e,q)|0)>>2]|0;c[q>>2]=k;if((c[r>>2]&8|0)!=0){r=cK(a+32|0)|0;oL(g,r,r+j|0,k)}f=hL(g,b&255)|0;i=d;return f|0}function iH(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=jH(a,b,c|0)|0;i=c;return d|0}function jH(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=kH(0,b,c)|0;i=e;return(f?c:b)|0}function kH(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function lH(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;jL(a|0);c[a>>2]=907176;TJ(a+32|0);c[a+44>>2]=0;c[a+48>>2]=b;TJ(e);mH(a,e);dK(e);i=d;return}function mH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+32|0;eK(d,b)|0;b=a+44|0;c[b>>2]=0;e=a+48|0;f=c[e>>2]|0;if((f&8|0)==0){g=f}else{f=cK(d)|0;h=f+(bK(d)|0)|0;c[b>>2]=h;f=cK(d)|0;oL(a|0,f,f,h);g=c[e>>2]|0}if((g&16|0)==0){return}g=bK(d)|0;c[b>>2]=(cK(d)|0)+g;oK(d,lK(d)|0);b=a|0;a=cK(d)|0;tL(b,a,a+(bK(d)|0)|0);if((c[e>>2]&3|0)==0){return}sL(b,g);return}function nH(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;g=i;i=i+8|0;f=g|0;k=xc(b|0,892240)|0;l=mc(899760,892240)|0;m=(l|0)!=0;n=Vc()|0;if(m){o=c[a+536>>2]|0;p=Wc(c[n>>2]|0)|0;Gq(o,(k|0)!=0|0,49920,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=p,q)|0);i=q;Xa(42368,17,1,l|0)|0;Xa(37384,10,1,l|0)|0;Xa(33128,18,1,l|0)|0;oH(l,e,29384,c[a+88>>2]|0,(c[a+72>>2]|0)+(c[a+64>>2]|0)|0,-1,999,939504)}else{p=Wc(c[n>>2]|0)|0;Fq(26,0,888928,(q=i,i=i+8|0,c[q>>2]=p,q)|0);i=q;p=c[a+536>>2]|0;o=Wc(c[n>>2]|0)|0;Gq(p,(k|0)!=0|0,49920,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=o,q)|0);i=q}Xa(22952,348,1,k|0)|0;if((Ld(f|0)|0)<0){o=Wc(c[n>>2]|0)|0;Fq(26,0,903696,(q=i,i=i+8|0,c[q>>2]=o,q)|0);i=q;Oa(k|0)|0;Cb(l|0)|0;r=1;i=g;return r|0}if((rc(916768,250,900904,bb(f|0)|0)|0)==0){Fq(26,0,898776,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;Oa(k|0)|0;r=1;i=g;return r|0}Xa(896864,13,1,k|0)|0;Xa(895456,12,1,k|0)|0;pH(k,2);Xa(894448,6,1,k|0)|0;qH(k,c[a+84>>2]|0);Xa(893536,8,1,k|0)|0;pH(k,2);Xa(892480,8,1,k|0)|0;f=a+88|0;qH(k,c[f>>2]|0);Xa(891784,10,1,k|0)|0;pH(k,2);Xa(891096,6,1,k|0)|0;qH(k,916768);Xa(890304,8,1,k|0)|0;pH(k,2);Xa(889488,8,1,k|0)|0;qH(k,c[a+280>>2]|0);Xa(888320,10,1,k|0)|0;pH(k,2);Xa(707992,14,1,k|0)|0;qH(k,c[a+284>>2]|0);Xa(56272,16,1,k|0)|0;pH(k,2);Xa(55464,16,1,k|0)|0;qH(k,j);Xa(54384,18,1,k|0)|0;pH(k,2);o=rH(j)|0;kd(k|0,53416,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;pH(k,2);s=+Cr(7);kd(k|0,52760,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pH(k,2);s=+Cr(6);kd(k|0,52072,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pH(k,2);s=+Cr(1);kd(k|0,51352,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pH(k,2);s=+Cr(4);kd(k|0,50568,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pH(k,2);s=+Cr(3);kd(k|0,49296,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pH(k,2);s=+Cr(5);kd(k|0,48512,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pH(k,2);s=+Cr(0);kd(k|0,47504,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pH(k,2);s=+Fr(2);kd(k|0,46864,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pH(k,2);o=Ar(2)|0;kd(k|0,46216,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;pH(k,2);s=+Er(2);kd(k|0,45624,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Xa(45032,13,1,k|0)|0;Xa(44408,16,1,k|0)|0;pH(k,2);s=+Cr(8);kd(k|0,43768,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pH(k,2);o=xr(8)|0;kd(k|0,43088,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;Xa(41904,17,1,k|0)|0;Xa(41488,22,1,k|0)|0;sH(k,a);Xa(40928,23,1,k|0)|0;Xa(40528,12,1,k|0)|0;o=a+116|0;if((c[o>>2]|0)>0){j=a+8|0;n=0;do{tH(k,(c[j>>2]|0)+(n*112|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+136|0;if((c[o>>2]|0)>0){n=a+24|0;j=0;do{tH(k,(c[n>>2]|0)+(j*112|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+124|0;if((c[o>>2]|0)>0){j=a+12|0;n=0;do{tH(k,(c[j>>2]|0)+(n*60|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+140|0;if((c[o>>2]|0)>0){n=a+28|0;j=0;do{tH(k,(c[n>>2]|0)+(j*60|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+128|0;if((c[o>>2]|0)>0){j=a+16|0;n=0;do{tH(k,(c[j>>2]|0)+(n*48|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+144|0;if((c[o>>2]|0)>0){n=a+32|0;j=0;do{tH(k,(c[n>>2]|0)+(j*48|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+132|0;if((c[o>>2]|0)>0){j=a+20|0;n=0;do{tH(k,(c[j>>2]|0)+(n*52|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+148|0;if((c[o>>2]|0)>0){n=a+36|0;j=0;do{tH(k,(c[n>>2]|0)+(j*52|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}Xa(40072,13,1,k|0)|0;Xa(39568,12,1,k|0)|0;uH(k,l,e,c[f>>2]|0,a);Xa(39304,13,1,k|0)|0;Xa(38888,12,1,k|0)|0;vH(k,c[a+68>>2]|0,a+56|0);Xa(38520,13,1,k|0)|0;Xa(38104,16,1,k|0)|0;wH(k,l,e,a);Xa(37064,17,1,k|0)|0;Xa(36744,14,1,k|0)|0;Oa(k|0)|0;if(!m){r=0;i=g;return r|0}m=c[a+508>>2]|0;a=((KU(d|0)|0)<<1)+230|0;d=(m|0)!=0;if(d){t=(KU(m|0)|0)<<1}else{t=0}k=iU(a+t|0)|0;if((k|0)==0){fd(36304,35952,404,904536);return 0}if((Cb(l|0)|0)!=0){Fq(26,0,35640,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}if(d){d=c[f>>2]|0;Ob(k|0,34952,(q=i,i=i+32|0,c[q>>2]=35248,c[q+8>>2]=d,c[q+16>>2]=m,c[q+24>>2]=d,q)|0)|0;i=q;if((Gc(k|0)|0)!=0){u=42}}else{MU(k|0,34560,25)|0;u=42}if((u|0)==42){Fq(1,0,34256,(q=i,i=i+8|0,c[q>>2]=k,q)|0);i=q}u=c[f>>2]|0;Dq(1,0,33800,(q=i,i=i+16|0,c[q>>2]=u,c[q+8>>2]=u,q)|0);i=q;jU(k);r=0;i=g;return r|0}function oH(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0;l=i;if((a|0)==0){i=l;return}m=(g|0)>-1;if(m){n=g+9|0;o=yr(n)|0;p=zr(n)|0;if((o|0)==0){q=-.01}else{q=+(o>>>0>>>0)*.95}if((p|0)==0){r=.01}else{r=+(p>>>0>>>0)*1.05}s=+Er(n)*1.01+1.0e-30;t=o;u=r;v=q;w=p}else{s=0.0;t=0;u=0.0;v=0.0;w=0}Xa(42368,17,1,a|0)|0;Xa(902776,12,1,a|0)|0;Xa(902592,12,1,a|0)|0;Xa(902424,13,1,a|0)|0;kd(a|0,902304,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;Xa(902104,10,1,a|0)|0;Xa(901688,11,1,a|0)|0;Xa(901320,11,1,a|0)|0;Xa(900784,10,1,a|0)|0;if(m){kd(a|0,900664,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Xa(900368,17,1,a|0)|0}o=g+3|0;kd(a|0,903352,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=4,p)|0)|0;i=p;Xa(900080,13,1,a|0)|0;if(m){Xa(902592,12,1,a|0)|0;if((t|0)==(w|0)){kd(a|0,899976,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Xa(900368,17,1,a|0)|0}kd(a|0,899776,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;kd(a|0,903032,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=4,p)|0)|0;i=p;Xa(899688,10,1,a|0)|0;Xa(899432,10,1,a|0)|0;Xa(899688,10,1,a|0)|0;Xa(899304,11,1,a|0)|0;kd(a|0,899080,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;kd(a|0,898704,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Xa(898552,33,1,a|0)|0;Xa(898152,32,1,a|0)|0;kd(a|0,898072,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Xa(900784,10,1,a|0)|0;kd(a|0,900664,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Xa(899432,10,1,a|0)|0;Xa(899688,10,1,a|0)|0;Xa(899304,11,1,a|0)|0;kd(a|0,899080,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;kd(a|0,898704,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Xa(898552,33,1,a|0)|0;Xa(898152,32,1,a|0)|0;kd(a|0,898072,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Xa(900784,10,1,a|0)|0;Xa(900368,17,1,a|0)|0}kd(a|0,903352,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=2,p)|0)|0;i=p;Xa(900080,13,1,a|0)|0;if(!m){i=l;return}if((t|0)==(w|0)){kd(a|0,899976,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Xa(900368,17,1,a|0)|0}Xa(898e3,32,1,a|0)|0;Xa(897816,29,1,a|0)|0;kd(a|0,897768,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;kd(a|0,903032,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=2,p)|0)|0;i=p;i=l;return}function pH(a,b){a=a|0;b=b|0;var c=0;if((b|0)==0){return}else{c=b}do{c=c-1|0;Va(32,a|0)|0;}while((c|0)!=0);return}function qH(b,c){b=b|0;c=c|0;var d=0,e=0,f=0;d=a[c]|0;if(d<<24>>24==0){return}else{e=c;f=d}do{d=f<<24>>24;if((d|0)==62){Xa(904304,4,1,b|0)|0}else if((d|0)==60){Xa(21328,4,1,b|0)|0}else if((d|0)==39){Xa(904080,6,1,b|0)|0}else if((d|0)==34){Xa(903520,6,1,b|0)|0}else{Va(d|0,b|0)|0}e=e+1|0;f=a[e]|0;}while(!(f<<24>>24==0));return}function rH(a){a=a|0;var b=0,c=0;b=xc(a|0,21424)|0;if((b|0)==0){c=-1;return c|0}sd(b|0,0,2)|0;a=Mb(b|0)|0;Oa(b|0)|0;c=a;return c|0}function sH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+112|0;e=d|0;f=d+32|0;g=d+56|0;h=d+88|0;j=c[b+88>>2]|0;k=iU((KU(j|0)|0)+15|0)|0;Ob(k|0,25200,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;pH(a,2);Xa(24920,10,1,a|0)|0;qH(a,k);Xa(24736,12,1,a|0)|0;pH(a,2);j=rH(k)|0;kd(a|0,24472,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;jU(k);pH(a,2);Xa(24296,9,1,a|0)|0;pH(a,4);Xa(24032,22,1,a|0)|0;pH(a,4);Xa(23600,22,1,a|0)|0;pH(a,4);Xa(22680,26,1,a|0)|0;k=b+56|0;l=b+64|0;j=c[l>>2]|0;if((j|0)>0){m=e+4|0;n=0;while(1){yH(e,k,n);o=c[m>>2]|0;pH(a,4);Xa(22568,8,1,a|0)|0;qH(a,o);Xa(22256,18,1,a|0)|0;o=n+1|0;p=c[l>>2]|0;if((o|0)<(p|0)){n=o}else{q=p;break}}}else{q=j}j=b+72|0;b=c[j>>2]|0;if((b|0)>0){n=f+8|0;m=0;do{DH(f,k,m);e=c[n>>2]|0;pH(a,4);Xa(22568,8,1,a|0)|0;qH(a,e);Xa(22256,18,1,a|0)|0;m=m+1|0;r=c[j>>2]|0;}while((m|0)<(r|0));s=c[l>>2]|0;t=r}else{s=q;t=b}if((s|0)>0){s=g+4|0;b=0;do{yH(g,k,b);q=c[s>>2]|0;pH(a,4);Xa(22032,8,1,a|0)|0;qH(a,q);Xa(21880,21,1,a|0)|0;b=b+1|0;}while((b|0)<(c[l>>2]|0));u=c[j>>2]|0}else{u=t}if((u|0)<=0){pH(a,2);v=Xa(21656,10,1,a|0)|0;i=d;return}u=h+8|0;t=0;do{DH(h,k,t);l=c[u>>2]|0;pH(a,4);Xa(22032,8,1,a|0)|0;qH(a,l);Xa(21880,21,1,a|0)|0;t=t+1|0;}while((t|0)<(c[j>>2]|0));pH(a,2);v=Xa(21656,10,1,a|0)|0;i=d;return}function tH(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;pH(a,2);kd(a|0,25704,(e=i,i=i+8|0,c[e>>2]=c[b>>2],e)|0)|0;i=e;qH(a,c[b+4>>2]|0);Xa(25528,11,1,a|0)|0;qH(a,c[b+8>>2]|0);Xa(30376,3,1,a|0)|0;xH(a,4,b+12|0);pH(a,2);Xa(25392,12,1,a|0)|0;i=d;return}function uH(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;g=i;i=i+32|0;j=g|0;k=f+64|0;if((c[k>>2]|0)<=0){i=g;return}l=f+56|0;m=j+4|0;n=f+72|0;f=j|0;o=j+8|0;p=0;do{yH(j,l,p);oH(b,d,c[m>>2]|0,e,(c[n>>2]|0)+(c[k>>2]|0)|0,p,c[f>>2]|0,28040);q=p+9|0;Ir(q);pH(a,2);kd(a|0,27376,(r=i,i=i+8|0,c[r>>2]=c[f>>2],r)|0)|0;i=r;pH(a,4);Xa(894448,6,1,a|0)|0;qH(a,c[m>>2]|0);Xa(893536,8,1,a|0)|0;pH(a,4);s=Ar(q)|0;kd(a|0,31760,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;pH(a,4);t=+Fr(q);kd(a|0,31336,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;pH(a,4);t=+Er(q);kd(a|0,45624,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;xH(a,6,o);pH(a,2);Xa(27160,12,1,a|0)|0;p=p+1|0;}while((p|0)<(c[k>>2]|0));i=g;return}function vH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;e=i;i=i+120|0;f=e|0;g=e+24|0;j=e+48|0;k=e+72|0;l=e+96|0;if((b|0)<=0){i=e;return}m=f|0;n=g+8|0;o=j+12|0;p=d+8|0;q=d+16|0;r=k|0;s=l|0;t=0;do{pH(a,2);CH(f,d,t);kd(a|0,30744,(u=i,i=i+8|0,c[u>>2]=c[m>>2],u)|0)|0;i=u;CH(g,d,t);qH(a,c[n>>2]|0);Xa(30376,3,1,a|0)|0;pH(a,4);Xa(30104,7,1,a|0)|0;CH(j,d,t);if((c[o>>2]|0)>0){v=0;do{pH(a,6);kd(a|0,29744,(u=i,i=i+8|0,c[u>>2]=0,u)|0)|0;i=u;v=v+1|0;CH(j,d,t);}while((v|0)<(c[o>>2]|0))}pH(a,4);Xa(29120,8,1,a|0)|0;pH(a,4);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;CH(k,d,t);w=+Cr(v+(c[r>>2]|0)|0);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;CH(l,d,t);x=xr(v+(c[s>>2]|0)|0)|0;kd(a|0,28840,(u=i,i=i+16|0,h[u>>3]=w,c[u+8>>2]=x,u)|0)|0;i=u;pH(a,2);Xa(28504,12,1,a|0)|0;t=t+1|0;}while((t|0)<(b|0));i=e;return}function wH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;f=i;i=i+24|0;g=f|0;j=e+56|0;k=e+64|0;l=c[k>>2]|0;m=e+72|0;if((c[m>>2]|0)<=0){i=f;return}n=g+8|0;o=e+88|0;e=g|0;p=l;q=l;do{DH(g,j,p-q|0);oH(b,d,c[n>>2]|0,c[o>>2]|0,(c[m>>2]|0)+(c[k>>2]|0)|0,p,c[e>>2]|0,32808);l=p+9|0;Ir(l);pH(a,2);Xa(32536,15,1,a|0)|0;pH(a,4);kd(a|0,32008,(r=i,i=i+8|0,c[r>>2]=c[e>>2],r)|0)|0;i=r;pH(a,4);s=Ar(l)|0;kd(a|0,31760,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;pH(a,4);t=+Fr(l);kd(a|0,31336,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;pH(a,4);t=+Er(l);kd(a|0,45624,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;pH(a,2);Xa(31048,16,1,a|0)|0;p=p+1|0;q=c[k>>2]|0;}while((p|0)<((c[m>>2]|0)+q|0));i=f;return}function xH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=d;d=i;i=i+24|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];c[d+16>>2]=c[f+16>>2];c[d+20>>2]=c[f+20>>2];pH(a,b);Xa(26952,16,1,a|0)|0;qH(a,c[d>>2]|0);b=c[d+8>>2]|0;f=c[d+12>>2]|0;g=c[d+16>>2]|0;h=(c[d+20>>2]|0)!=0?26560:26312;kd(a|0,26680,(a=i,i=i+40|0,c[a>>2]=c[d+4>>2],c[a+8>>2]=b,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,a)|0)|0;i=a;i=e;return}function yH(a,b,d){a=a|0;b=b|0;d=d|0;if((c[b+24>>2]|0)==0){zH(b)}MU(a|0,(c[b+20>>2]|0)+(d<<5)|0,32)|0;return}function zH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+1040|0;d=b|0;e=b+16|0;c[d>>2]=a;f=d+4|0;c[f>>2]=1;g=d+8|0;c[g>>2]=0;h=d+12|0;c[h>>2]=0;j=a+4|0;do{if((c[j>>2]|0)==0){k=a|0;l=xc(c[k>>2]|0,891488)|0;if((l|0)!=0){m=l;break}l=Wc(c[(Vc()|0)>>2]|0)|0;Hq(0,899552,(n=i,i=i+16|0,c[n>>2]=c[k>>2],c[n+8>>2]=l,n)|0);i=n}else{m=0}}while(0);l=sl(0)|0;if((l|0)==0){Hq(0,888872,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}k=a+8|0;c[a+20>>2]=kU(c[k>>2]|0,32)|0;o=a+12|0;p=kU((c[o>>2]|0)+1|0,20)|0;c[a+24>>2]=p;c[p>>2]=0;c[p+4>>2]=-1;c[p+8>>2]=49872;c[p+12>>2]=0;c[p+16>>2]=0;Dl(l,d);El(l,14,12);d=c[j>>2]|0;do{if((d|0)==0){p=e|0;NU(p|0,0,1024)|0;while(1){q=gd(p|0,1,1024,m|0)|0;r=q>>>0<1024>>>0;if((Fl(l,p,q,r&1)|0)==0){s=9;break}if(r){s=11;break}}if((s|0)==9){p=Nl(Kl(l)|0)|0;r=Ll(l)|0;Oa(m|0)|0;zl(l);q=c[a>>2]|0;Hq(0,42296,(n=i,i=i+32|0,c[n>>2]=37320,c[n+8>>2]=q,c[n+16>>2]=p,c[n+24>>2]=r,n)|0);i=n}else if((s|0)==11){Oa(m|0)|0;break}}else{if((Fl(l,d,KU(d|0)|0,1)|0)!=0){break}r=Nl(Kl(l)|0)|0;p=Ll(l)|0;zl(l);q=c[j>>2]|0;Hq(0,33048,(n=i,i=i+32|0,c[n>>2]=37320,c[n+8>>2]=q,c[n+16>>2]=r,c[n+24>>2]=p,n)|0);i=n}}while(0);if((c[o>>2]|0)!=(c[f>>2]|0)){fd(29328,37320,295,904616)}c[a+16>>2]=c[g>>2];if((c[k>>2]|0)==(c[h>>2]|0)){i=b;return}else{fd(25856,37320,297,904616)}}function AH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;f=c[a>>2]|0;g=c[a+4>>2]|0;h=c[a+12>>2]|0;if((IU(891776,b)|0)==0){if((IU(c[d>>2]|0,891088)|0)==0){j=(c[d+8>>2]|0)==0|0}else{j=0}Gq(0,j,890248,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=c[229092]|0;a=c[231416]|0;do{if((j|0)==0|(a|0)==0){c[231416]=32;l=iU(1152)|0;c[229092]=l;m=l;n=f+24|0}else{l=f+24|0;if(((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)+2|0)<(a|0)){m=j;n=l;break}c[231416]=a<<1;o=lU(j,a*72|0)|0;c[229092]=o;m=o;n=l}}while(0);a=(c[n>>2]|0)+(g*20|0)+12|0;n=c[a>>2]|0;c[a>>2]=n+1;MU(m+(n*36|0)|0,GH(c[d+4>>2]|0)|0,36)|0;i=e;return}if((IU(889480,b)|0)==0){n=c[d>>2]|0;if((n|0)==0){i=e;return}else{p=d;q=n}a:while(1){do{if((IU(888312,q)|0)==0){c[231502]=Ic(c[p+4>>2]|0)|0}else{if((IU(707976,q)|0)==0){c[231503]=Ua(c[p+4>>2]|0,0,10)|0;break}if((IU(56264,q)|0)==0){c[231505]=Ua(c[p+4>>2]|0,0,10)|0;break}if((IU(55320,q)|0)==0){c[231504]=Ua(c[p+4>>2]|0,0,10)|0;break}if((IU(54248,q)|0)==0){c[231506]=Ua(c[p+4>>2]|0,0,10)|0;break}if((IU(53272,q)|0)!=0){r=23;break a}c[231507]=(IU(c[p+4>>2]|0,52648)|0)==0}}while(0);n=p+8|0;m=c[n>>2]|0;if((m|0)==0){r=45;break}else{p=n;q=m}}if((r|0)==23){Hq(0,51936,(k=i,i=i+8|0,c[k>>2]=c[f>>2],k)|0);i=k}else if((r|0)==45){i=e;return}}if((IU(898760,b)|0)==0){r=c[f+12>>2]|0;if((g|0)>(r|0)){q=c[f>>2]|0;Hq(0,51184,(k=i,i=i+24|0,c[k>>2]=37320,c[k+8>>2]=q,c[k+16>>2]=r,k)|0);i=k}if((IU(50456,c[d>>2]|0)|0)!=0){r=c[f>>2]|0;Hq(0,49112,(k=i,i=i+16|0,c[k>>2]=37320,c[k+8>>2]=r,k)|0);i=k}r=Ua(c[d+4>>2]|0,0,10)|0;if((g|0)!=(r|0)){q=c[f>>2]|0;Hq(0,48320,(k=i,i=i+32|0,c[k>>2]=37320,c[k+8>>2]=q,c[k+16>>2]=r,c[k+24>>2]=g,k)|0);i=k}r=f+24|0;q=c[r>>2]|0;c[q+(g*20|0)>>2]=g;c[q+(g*20|0)+4>>2]=-1;c[q+(g*20|0)+8>>2]=47448;q=c[r>>2]|0;c[q+(g*20|0)+12>>2]=0;c[q+(g*20|0)+16>>2]=0;i=e;return}if((IU(900888,b)|0)!=0){if((IU(892464,b)|0)!=0){i=e;return}b=f+20|0;f=c[b>>2]|0;c[f+(h<<5)>>2]=h;c[f+(h<<5)+4>>2]=45616;f=Ic(c[d+4>>2]|0)|0;c[(c[b>>2]|0)+(h<<5)+4>>2]=f;c[(c[b>>2]|0)+(h<<5)+8>>2]=45008;i=e;return}c[229097]=0;c[229098]=0;h=c[d>>2]|0;do{if((h|0)==0){s=0}else{b=d;f=h;do{do{if((IU(f,891088)|0)==0){c[229097]=Ic(c[b+4>>2]|0)|0}else{if((IU(f,46856)|0)!=0){break}c[229098]=Ic(c[b+4>>2]|0)|0}}while(0);b=b+8|0;f=c[b>>2]|0;}while((f|0)!=0);if((c[229097]|0)==0){s=0;break}s=(c[229098]|0)!=0|0}}while(0);Gq(0,s,46176,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[229096]=-1;c[229099]=c[231502];c[229100]=c[231503];c[229101]=c[231504];c[229102]=c[231505];c[229103]=c[231506];c[229104]=c[231507];i=e;return}function BH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;e=c[a>>2]|0;f=a+4|0;g=c[f>>2]|0;h=a+8|0;j=c[h>>2]|0;k=a+12|0;a=c[k>>2]|0;if((IU(900888,b)|0)==0){FH(916384);i=d;return}if((IU(898760,b)|0)==0){l=e+24|0;m=iU((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)*36|0)|0;c[(c[l>>2]|0)+(g*20|0)+16>>2]=m;if((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)>0){m=0;do{n=iU(36)|0;MU(n|0,(c[229092]|0)+(m*36|0)|0,36)|0;c[(c[(c[l>>2]|0)+(g*20|0)+16>>2]|0)+(m<<2)>>2]=n;m=m+1|0;}while((m|0)<(c[(c[l>>2]|0)+(g*20|0)+12>>2]|0))}c[f>>2]=g+1;i=d;return}if((IU(896856,b)|0)==0){f=e+24|0;l=c[f>>2]|0;m=c[l+(g*20|0)+12>>2]|0;Qb(l+(g*20|0)+8|0,895416,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((IU(894432,b)|0)==0){f=e+24|0;e=c[f>>2]|0;m=c[e+(g*20|0)+12>>2]|0;Qb(e+(g*20|0)+8|0,893488,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((IU(892464,b)|0)!=0){i=d;return}c[k>>2]=a+1;i=d;return}function CH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==0){zH(b);g=c[e>>2]|0}else{g=f}f=a;a=g+(d*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];return}function DH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;f=b+24|0;if((c[f>>2]|0)==0){zH(b)}g=c[b+16>>2]|0;if(g>>>0<d>>>0){Hq(0,22864,(h=i,i=i+16|0,c[h>>2]=d,c[h+8>>2]=g,h)|0);i=h}g=c[b+12>>2]|0;b=0;while(1){if((b|0)>=(g|0)){j=9;break}k=c[f>>2]|0;if((c[k+(b*20|0)+4>>2]|0)==(d|0)){j=8;break}else{b=b+1|0}}if((j|0)==8){f=a;a=k+(b*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];i=e;return}else if((j|0)==9){Hq(0,903624,(h=i,i=i+8|0,c[h>>2]=d,h)|0);i=h}}function EH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){jU(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;if((d|0)==0){return}e=a+12|0;if((c[e>>2]|0)>0){a=0;f=d;while(1){jU(c[f+(a*20|0)+16>>2]|0);c[(c[b>>2]|0)+(a*20|0)+16>>2]=0;g=a+1|0;h=c[b>>2]|0;if((g|0)<(c[e>>2]|0)){a=g;f=h}else{i=h;break}}}else{i=d}jU(i);c[b>>2]=0;return}function FH(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=i;e=a;a=i;i=i+36|0;i=i+7&-8;MU(a,e,36)|0;e=iU(72)|0;f=c[a+4>>2]|0;g=e;c[g>>2]=f;MU(e+4|0,a|0,36)|0;a=e+40|0;h=a;c[e+48>>2]=0;c[e+60>>2]=f;c[e+64>>2]=KU(f|0)|0;j=c[229094]|0;do{if((j|0)==0){k=e;c[229094]=k;c[e+44>>2]=0;l=iU(44)|0;m=l;c[e+40>>2]=m;if((l|0)==0){Nb(-1|0)}NU(l|0,0,44)|0;c[l+16>>2]=e+40;c[l+4>>2]=32;c[l+8>>2]=5;c[l+20>>2]=40;n=iU(384)|0;c[l>>2]=n;if((n|0)==0){Nb(-1|0)}else{NU(n|0,0,384)|0;c[l+40>>2]=-1609490463;o=k;p=m;q=f;break}}else{c[(c[(c[j+40>>2]|0)+16>>2]|0)+8>>2]=e;m=(c[229094]|0)+40|0;k=c[m>>2]|0;c[e+44>>2]=(c[k+16>>2]|0)+(-(c[k+20>>2]|0)|0);c[(c[m>>2]|0)+16>>2]=h;m=c[229094]|0;o=m;p=c[m+40>>2]|0;q=c[g>>2]|0}}while(0);g=o+40|0;o=p+12|0;c[o>>2]=(c[o>>2]|0)+1;o=a;c[o>>2]=p;p=e+68|0;c[p>>2]=-17973521;a=KU(q|0)|0;if(a>>>0>11>>>0){j=q;f=a;m=-1640531527;k=-1640531527;l=-17973521;while(1){n=((d[j+5|0]|0)<<8|(d[j+4|0]|0)|(d[j+6|0]|0)<<16|(d[j+7|0]|0)<<24)+m|0;r=((d[j+9|0]|0)<<8|(d[j+8|0]|0)|(d[j+10|0]|0)<<16|(d[j+11|0]|0)<<24)+l|0;s=((d[j+1|0]|0)<<8|(d[j]|0)|(d[j+2|0]|0)<<16|(d[j+3|0]|0)<<24)+k-n-r^r>>>13;t=n-r-s^s<<8;n=r-s-t^t>>>13;r=s-t-n^n>>>12;s=t-n-r^r<<16;t=n-r-s^s>>>5;n=r-s-t^t>>>3;r=s-t-n^n<<10;s=t-n-r^r>>>15;c[p>>2]=s;t=j+12|0;u=f-12|0;if(u>>>0>11>>>0){j=t;f=u;m=r;k=n;l=s}else{v=t;w=u;x=r;y=n;z=s;break}}}else{v=q;w=a;x=-1640531527;y=-1640531527;z=-17973521}a=z+(KU(q|0)|0)|0;c[p>>2]=a;switch(w|0){case 7:{A=x;B=a;C=15;break};case 10:{D=a;C=12;break};case 3:{E=y;F=x;G=a;C=19;break};case 6:{H=x;I=a;C=16;break};case 1:{J=y;K=x;L=a;C=21;break};case 9:{M=a;C=13;break};case 2:{N=y;O=x;P=a;C=20;break};case 11:{w=((d[v+10|0]|0)<<24)+a|0;c[p>>2]=w;D=w;C=12;break};case 5:{Q=x;R=a;C=17;break};case 4:{S=x;T=a;C=18;break};case 8:{U=a;C=14;break};default:{V=y;W=x;X=a}}if((C|0)==12){a=((d[v+9|0]|0)<<16)+D|0;c[p>>2]=a;M=a;C=13}if((C|0)==13){a=((d[v+8|0]|0)<<8)+M|0;c[p>>2]=a;U=a;C=14}if((C|0)==14){A=((d[v+7|0]|0)<<24)+x|0;B=U;C=15}if((C|0)==15){H=((d[v+6|0]|0)<<16)+A|0;I=B;C=16}if((C|0)==16){Q=((d[v+5|0]|0)<<8)+H|0;R=I;C=17}if((C|0)==17){S=(d[v+4|0]|0)+Q|0;T=R;C=18}if((C|0)==18){E=((d[v+3|0]|0)<<24)+y|0;F=S;G=T;C=19}if((C|0)==19){N=((d[v+2|0]|0)<<16)+E|0;O=F;P=G;C=20}if((C|0)==20){J=((d[v+1|0]|0)<<8)+N|0;K=O;L=P;C=21}if((C|0)==21){V=(d[v]|0)+J|0;W=K;X=L}L=V-W-X^X>>>13;V=W-X-L^L<<8;W=X-L-V^V>>>13;X=L-V-W^W>>>12;L=V-W-X^X<<16;V=W-X-L^L>>>5;W=X-L-V^V>>>3;X=L-V-W^W<<10;L=V-W-X^X>>>15;c[p>>2]=L;p=c[g>>2]|0;X=L&(c[p+4>>2]|0)-1;L=c[p>>2]|0;p=L+(X*12|0)+4|0;c[p>>2]=(c[p>>2]|0)+1;c[e+56>>2]=c[L+(X*12|0)>>2];c[e+52>>2]=0;e=c[c[g>>2]>>2]|0;g=c[e+(X*12|0)>>2]|0;if((g|0)==0){Y=e}else{c[g+12>>2]=h;Y=c[c[(c[229094]|0)+40>>2]>>2]|0}c[Y+(X*12|0)>>2]=h;h=c[c[(c[229094]|0)+40>>2]>>2]|0;if((c[h+(X*12|0)+4>>2]|0)>>>0<(((c[h+(X*12|0)+8>>2]|0)*10|0)+10|0)>>>0){i=b;return}X=c[o>>2]|0;if((c[X+36>>2]|0)==1){i=b;return}h=X+4|0;Y=iU((c[h>>2]|0)*24|0)|0;g=Y;if((Y|0)==0){Nb(-1|0)}NU(Y|0,0,(c[h>>2]|0)*24|0|0)|0;Y=c[X+12>>2]|0;e=c[h>>2]|0;c[X+24>>2]=(((e<<1)-1&Y|0)!=0)+(Y>>>(((c[X+8>>2]|0)+1|0)>>>0));c[X+28>>2]=0;Y=c[X>>2]|0;if((e|0)==0){Z=Y}else{e=0;h=Y;Y=X;while(1){X=c[h+(e*12|0)>>2]|0;if((X|0)==0){_=Y}else{L=X;X=Y;while(1){p=L+16|0;W=c[p>>2]|0;V=(c[X+4>>2]<<1)-1&c[L+28>>2];K=g+(V*12|0)+4|0;J=(c[K>>2]|0)+1|0;c[K>>2]=J;v=c[X+24>>2]|0;if(J>>>0>v>>>0){J=X+28|0;c[J>>2]=(c[J>>2]|0)+1;c[g+(V*12|0)+8>>2]=((c[K>>2]|0)>>>0)/(v>>>0)|0}c[L+12>>2]=0;v=g+(V*12|0)|0;c[p>>2]=c[v>>2];p=c[v>>2]|0;if((p|0)!=0){c[p+12>>2]=L}c[v>>2]=L;v=c[o>>2]|0;if((W|0)==0){_=v;break}else{L=W;X=v}}}X=e+1|0;L=c[_>>2]|0;if(X>>>0<(c[_+4>>2]|0)>>>0){e=X;h=L;Y=_}else{Z=L;break}}}jU(Z);Z=c[o>>2]|0;_=Z+4|0;c[_>>2]=c[_>>2]<<1;_=Z+8|0;c[_>>2]=(c[_>>2]|0)+1;c[Z>>2]=g;g=c[o>>2]|0;o=g+32|0;if(!((c[g+28>>2]|0)>>>0>(c[g+12>>2]|0)>>>1>>>0)){c[o>>2]=0;i=b;return}Z=(c[o>>2]|0)+1|0;c[o>>2]=Z;if(!(Z>>>0>1>>>0)){i=b;return}c[g+36>>2]=1;i=b;return}function GH(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;b=i;e=c[229094]|0;a:do{if((e|0)==0){f=24}else{g=KU(a|0)|0;if(g>>>0>11>>>0){h=-17973521;j=-1640531527;k=-1640531527;l=g;m=a;while(1){n=((d[m+5|0]|0)<<8|(d[m+4|0]|0)|(d[m+6|0]|0)<<16|(d[m+7|0]|0)<<24)+k|0;o=((d[m+9|0]|0)<<8|(d[m+8|0]|0)|(d[m+10|0]|0)<<16|(d[m+11|0]|0)<<24)+h|0;p=((d[m+1|0]|0)<<8|(d[m]|0)|(d[m+2|0]|0)<<16|(d[m+3|0]|0)<<24)+j-n-o^o>>>13;q=n-o-p^p<<8;n=o-p-q^q>>>13;o=p-q-n^n>>>12;p=q-n-o^o<<16;q=n-o-p^p>>>5;n=o-p-q^q>>>3;o=p-q-n^n<<10;p=q-n-o^o>>>15;q=m+12|0;r=l-12|0;if(r>>>0>11>>>0){h=p;j=n;k=o;l=r;m=q}else{s=p;t=n;u=o;v=r;w=q;break}}}else{s=-17973521;t=-1640531527;u=-1640531527;v=g;w=a}m=(KU(a|0)|0)+s|0;switch(v|0){case 10:{x=m;f=6;break};case 8:{y=m;f=8;break};case 9:{z=m;f=7;break};case 7:{A=u;B=m;f=9;break};case 6:{C=u;D=m;f=10;break};case 5:{E=u;F=m;f=11;break};case 4:{G=u;H=m;f=12;break};case 3:{I=u;J=t;K=m;f=13;break};case 2:{L=u;M=t;N=m;f=14;break};case 1:{O=u;P=t;Q=m;f=15;break};case 11:{x=((d[w+10|0]|0)<<24)+m|0;f=6;break};default:{R=u;S=t;T=m}}if((f|0)==6){z=((d[w+9|0]|0)<<16)+x|0;f=7}if((f|0)==7){y=((d[w+8|0]|0)<<8)+z|0;f=8}if((f|0)==8){A=((d[w+7|0]|0)<<24)+u|0;B=y;f=9}if((f|0)==9){C=((d[w+6|0]|0)<<16)+A|0;D=B;f=10}if((f|0)==10){E=((d[w+5|0]|0)<<8)+C|0;F=D;f=11}if((f|0)==11){G=(d[w+4|0]|0)+E|0;H=F;f=12}if((f|0)==12){I=G;J=((d[w+3|0]|0)<<24)+t|0;K=H;f=13}if((f|0)==13){L=I;M=((d[w+2|0]|0)<<16)+J|0;N=K;f=14}if((f|0)==14){O=L;P=((d[w+1|0]|0)<<8)+M|0;Q=N;f=15}if((f|0)==15){R=O;S=(d[w]|0)+P|0;T=Q}m=S-T-R^T>>>13;l=R-T-m^m<<8;k=T-m-l^l>>>13;j=m-l-k^k>>>12;m=l-k-j^j<<16;l=k-j-m^m>>>5;k=j-m-l^l>>>3;j=m-l-k^k<<10;m=c[e+40>>2]|0;h=c[(c[m>>2]|0)+(((l-k-j^j>>>15)&(c[m+4>>2]|0)-1)*12|0)>>2]|0;if((h|0)==0){f=24;break}j=h+(-(c[m+20>>2]|0)|0)|0;if((j|0)==0){f=24;break}h=KU(a|0)|0;k=j;while(1){U=k;if((c[k+64>>2]|0)==(h|0)){if((HU(c[k+60>>2]|0,a,h)|0)==0){break}}j=c[k+56>>2]|0;if((j|0)==0){f=24;break a}l=j+(-(c[m+20>>2]|0)|0)|0;if((l|0)==0){f=24;break a}else{k=l}}if((k|0)==0){f=24}else{V=U}}}while(0);do{if((f|0)==24){if((ib(a|0,44384)|0)==0){V=0;break}else{W=16616}i=b;return W|0}}while(0);Gq(0,(V|0)!=0|0,43032,(f=i,i=i+8|0,c[f>>2]=a,f)|0);i=f;W=V+4|0;i=b;return W|0}function HH(a,b){a=a|0;b=b|0;var c=0;if((IH(890992,a,b)|0)!=0){c=1;return c|0}c=(IH(899424,a,b)|0)!=0|0;return c|0}function IH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if((d|0)>0){f=0}else{g=0;return g|0}while(1){h=c[e+(f<<2)>>2]|0;if((a[h]|0)==45){if((IU(b,h+1|0)|0)==0){g=1;i=5;break}}h=f+1|0;if((h|0)<(d|0)){f=h}else{g=0;i=5;break}}if((i|0)==5){return g|0}return 0}function JH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;Gq(0,(IU(c[229010]|0,888776)|0)==0|0,49728,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Gq(0,(IU(c[229074]|0,888776)|0)==0|0,42160,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Gq(0,(IU(c[229042]|0,888776)|0)==0|0,37240,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;NU(917144,0,120)|0;NU(917024,0,120)|0;if((a|0)>1){f=1}else{g=0;i=d;return g|0}a:while(1){h=b+(f<<2)|0;j=f+1|0;k=1;while(1){l=c[915800+(k<<2)>>2]|0;if((l|0)==1){if((IH(c[915920+(k<<2)>>2]|0,1,h)|0)!=0){m=5;break}}else if((l|0)==2){n=c[915920+(k<<2)>>2]|0;if(!((IH(n,1,h)|0)==0|(j|0)>=(a|0))){m=9;break}o=c[915920+(k<<2)>>2]|0;if((LH(o,h)|0)!=0){m=13;break}}l=k+1|0;if((l|0)<30){k=l}else{m=17;break a}}if((m|0)==5){m=0;l=917144+(k<<2)|0;if((c[l>>2]|0)!=0){m=6;break}c[l>>2]=1;p=f}else if((m|0)==9){m=0;l=917144+(k<<2)|0;if((c[l>>2]|0)!=0){m=10;break}c[l>>2]=1;c[917024+(k<<2)>>2]=KH(n,h)|0;p=j}else if((m|0)==13){m=0;l=917144+(k<<2)|0;if((c[l>>2]|0)!=0){m=14;break}c[l>>2]=1;c[917024+(k<<2)>>2]=MH(o,h)|0;p=f}l=p+1|0;if((l|0)<(a|0)){f=l}else{g=0;m=19;break}}if((m|0)==6){Fq(1,0,32976,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==10){Fq(1,0,32976,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==14){Fq(1,0,32976,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==17){Fq(1,0,29296,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==19){i=d;return g|0}return 0}function KH(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[d>>2]|0;if((a[e]|0)!=45){f=0;return f|0}if((IU(b,e+1|0)|0)!=0){f=0;return f|0}f=c[d+4>>2]|0;return f|0}function LH(a,b){a=a|0;b=b|0;return(MH(a,b)|0)!=0|0}function MH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=KU(b|0)|0;f=c[d>>2]|0;if((a[f]|0)!=45){g=0;return g|0}if((JU(b,f+1|0,e)|0)!=0){g=0;return g|0}if((a[f+(e+1)|0]|0)!=61){g=0;return g|0}g=f+(e+2)|0;return g|0}function NH(){return}function OH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)<=0){Nb(0);return 0}e=c[u>>2]|0;Xa(30656,5,1,e|0)|0;f=b;b=0;while(1){Va(a[f]|0,e|0)|0;g=b+1|0;if((g|0)<(d|0)){f=f+1|0;b=g}else{break}}Xa(892176,20,1,e|0)|0;Nb(0);return 0}function PH(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[u>>2]|0;kd(d|0,893168,(e=i,i=i+8|0,c[e>>2]=a,e)|0)|0;i=e;if((b|0)==0){Nb(1)}else{Sa(d|0)|0;VH();Sa(d|0)|0;ob(6,0)|0;jd()}}function QH(a,b){a=a|0;b=b|0;return+(+X(+(+h[a>>3]),+(+h[b>>3])))}function RH(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0.0,i=0.0,j=0.0;d=+h[a>>3];a=c[b>>2]|0;if((a|0)==0){e=1.0;return+e}if((a|0)<0){f=-a|0;g=1.0/d;i=1.0}else{f=a;g=d;i=1.0}while(1){if((f&1|0)==0){j=i}else{j=i*g}a=f>>>1;if((a|0)==0){e=j;break}f=a;g=g*g;i=j}return+e}function SH(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0;c=+h[a>>3];if(c<0.0){d=-0.0-c}else{d=c}if(!(+h[b>>3]<0.0)){e=d;return+e}e=-0.0-d;return+e}function TH(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=c;g=b+d|0;if((d|0)<=(e|0)){do{if(b>>>0>c>>>0){h=c+d|0;if(!(h>>>0>b>>>0)){break}if((d|0)>0){i=h;j=g}else{return}do{i=i-1|0;j=j-1|0;a[j]=a[i]|0;}while(j>>>0>b>>>0);return}}while(0);if((d|0)>0){k=c;l=b}else{return}while(1){j=l+1|0;a[l]=a[k]|0;if(j>>>0<g>>>0){k=k+1|0;l=j}else{break}}return}l=c+e|0;do{if(b>>>0>c>>>0&l>>>0>b>>>0){k=b+e|0;if((e|0)>0){j=(-f|0)-e|0;i=~f;h=~(c+(j>>>0>i>>>0?j:i));i=k;j=l;do{j=j-1|0;i=i-1|0;a[i]=a[j]|0;}while(j>>>0>c>>>0);m=b+h|0}else{m=k}n=m+e|0}else{if((e|0)<=0){n=b;break}j=c+1|0;i=(l>>>0>j>>>0?l:j)+(-f|0)|0;j=c;o=b;while(1){p=j+1|0;a[o]=a[j]|0;if(p>>>0<l>>>0){j=p;o=o+1|0}else{break}}n=b+i|0}}while(0);if(!(n>>>0<g>>>0)){return}NU(n|0,32,b+(d-n)|0)|0;return}function UH(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[b+4>>2]|0;if((d|0)>99){return 0}e=926056+(d*48|0)|0;f=c[e>>2]|0;if((f|0)!=0){do{if((c[926100+(d*48|0)>>2]|0)==1){g=10}else{h=c[b+8>>2]|0;if((h|0)!=0){i=a[h]|0;if((i|0)==68|(i|0)==100){g=10;break}}if((c[926096+(d*48|0)>>2]|0)==1){WH(b)|0}i=926060+(d*48|0)|0;if((c[i>>2]|0)==0){break}Oa(c[e>>2]|0)|0;jU(c[i>>2]|0)}}while(0);do{if((g|0)==10){Oa(f|0)|0;b=926060+(d*48|0)|0;i=c[b>>2]|0;if((i|0)==0){break}Gd(i|0)|0;jU(c[b>>2]|0)}}while(0);c[e>>2]=0}c[926092+(d*48|0)>>2]=0;c[926060+(d*48|0)>>2]=0;return 0}function VH(){var a=0;if((c[231508]|0)!=0){return}c[231508]=1;c[231510]=0;a=0;do{c[231509]=a;UH(926032)|0;a=a+1|0;}while((a|0)<100);return}function WH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=c[a+4>>2]|0;if((c[926072+(b*48|0)>>2]|0)!=0){d=0;return d|0}e=926056+(b*48|0)|0;f=c[e>>2]|0;g=Mb(f|0)|0;sd(f|0,0,2)|0;if((g|0)>=(Mb(f|0)|0)){d=0;return d|0}if((c[926076+(b*48|0)>>2]|0)==0){d=0;return d|0}if((c[926084+(b*48|0)>>2]&2|0)!=0){Sa(c[e>>2]|0)|0}b=bd(jb(c[e>>2]|0)|0,g|0)|0;sd(c[e>>2]|0,0,2)|0;if((b|0)==0){d=0;return d|0}if((c[a>>2]|0)==0){YH(111,38784);d=111;return d|0}else{c[(Vc()|0)>>2]=111;d=111;return d|0}return 0}function XH(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+80|0;d=b|0;do{if((Xc(jb(a|0)|0,d|0)|0)<0){e=0}else{f=c[d+12>>2]&61440;if((f|0)==16384|(f|0)==32768){e=(c[d+16>>2]|0)!=0|0;break}else if((f|0)==8192){e=(Kc(jb(a|0)|0)|0)==0|0;break}else if((f|0)==24576){e=1;break}else{e=0;break}}}while(0);i=b;return e|0}function YH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;do{if(a>>>0<100>>>0){kb(b|0);e=c[u>>2]|0}else{if((a+1|0)>>>0>132>>>0){f=c[u>>2]|0;kd(f|0,49840,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=a,g)|0)|0;i=g;e=f;break}f=c[u>>2]|0;if((a|0)==-1){kd(f|0,48928,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;e=f;break}else{h=c[915672+(a-100<<2)>>2]|0;kd(f|0,48016,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=h,g)|0)|0;i=g;e=f;break}}}while(0);b=c[233976]|0;do{if((b|0)==0){Xa(45344,29,1,e|0)|0}else{kd(e|0,47280,(g=i,i=i+8|0,c[g>>2]=(b-926056|0)/48|0,g)|0)|0;i=g;a=c[(c[233976]|0)+4>>2]|0;if((a|0)==0){Xa(46008,10,1,e|0)|0;break}else{kd(e|0,46592,(g=i,i=i+8|0,c[g>>2]=a,g)|0)|0;i=g;break}}}while(0);b=c[233960]|0;if((b|0)!=0){kd(e|0,44800,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g}b=(c[233916]|0)!=0?41784:41376;a=(c[233958]|0)!=0?40792:40336;f=(c[233962]|0)!=0?39960:39504;kd(e|0,44200,(g=i,i=i+32|0,c[g>>2]=(c[233936]|0)!=0?43624:42288,c[g+8>>2]=b,c[g+16>>2]=a,c[g+24>>2]=f,g)|0)|0;i=g;PH(39192,1);i=d;return}function ZH(){var a=0;c[233946]=1;a=c[u>>2]|0;c[231514]=a;c[231519]=XH(a)|0;c[231520]=1;c[231524]=1;a=c[p>>2]|0;c[231574]=a;c[231579]=XH(a)|0;c[231580]=1;c[231584]=0;a=c[r>>2]|0;c[231586]=a;c[231591]=XH(a)|0;c[231592]=1;c[231596]=1;return}function _H(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=a+28|0;d=c[b>>2]|0;a:do{if((d&2|0)==0){e=a+4|0;f=c[e>>2]|0;do{if((f|0)!=0){if((c[a+16>>2]|0)==0){g=c[a+24>>2]|0}else{g=0}if((c[a+40>>2]|0)==3){h=a|0;i=sb(f|0,c[16656+(g<<2)>>2]|0,c[h>>2]|0)|0;c[h>>2]=i;c[233994]=i;if((i|0)==0){break}c[b>>2]=2;break a}i=a|0;h=Mb(c[i>>2]|0)|0;j=sb(c[e>>2]|0,c[16656+((g|2)<<2)>>2]|0,c[i>>2]|0)|0;c[i>>2]=j;c[233994]=j;if((j|0)==0){c[i>>2]=0;break}else{c[b>>2]=3;sd(c[i>>2]|0,h|0,0)|0;break a}}}while(0);c[(Vc()|0)>>2]=127;k=1;return k|0}else{if((d&1|0)==0){break}sd(c[a>>2]|0,0,1)|0}}while(0);c[a+40>>2]=1;k=0;return k|0}function $H(a,b,d){a=a|0;b=b|0;d=d|0;if((a|0)==0){YH(b,d)}d=c[233972]|0;if((d|0)!=0){ee[d&15]()|0}c[(Vc()|0)>>2]=b;return b|0}function aI(a){a=a|0;c[233940]=0;c[233922]=0;c[233942]=0;return((bI(a,0)|0)==0)<<31>>31|0}function bI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b;while(1){b=a[e]|0;f=e+1|0;if((b<<24>>24|0)==40){break}else if((b<<24>>24|0)==32){e=f}else{g=0;h=8;break}}if((h|0)==8){return g|0}h=c[233942]|0;c[233942]=h+1;if((h|0)==1){c[233922]=d}if((gI(1,d,0,0)|0)<0){g=0;return g|0}d=hI(f)|0;if((d|0)==0){g=0;return g|0}else{i=d}while(1){if((a[i]|0)==32){i=i+1|0}else{g=i;break}}return g|0}function cI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;if((c[a>>2]|0)>0){f=b;g=0}else{h=0;i=e;return h|0}a:while(1){b=(f|0)==0;b:while(1){j=c[233940]|0;k=930856+(j<<4)|0;l=c[k>>2]|0;switch(dI(l)|0){case 18:{c[233980]=1;c[233940]=j+1;continue b;break};case 20:{c[233918]=c[930860+(j<<4)>>2];c[233940]=j+1;continue b;break};case 16:{if(b){m=28;break a}c[233940]=j+1;continue b;break};case 8:{n=c[233982]|0;o=935936+(n<<2)|0;p=c[o>>2]|0;if((p|0)>=1){m=10;break b}c[233982]=n-1;c[233940]=j+1;continue b;break};case 2:{c[233982]=0;c[233920]=0;c[233940]=c[930860+(j<<4)>>2];if(b){m=24;break a}if((c[231512]|0)==0){h=0;m=37;break a}n=ee[c[233966]&15]()|0;if((n|0)==0){continue b}else{h=n;m=37;break a}break};case 33:{c[233944]=1;c[233940]=j+1;continue b;break};case 17:case 19:{c[233980]=0;c[233940]=j+1;continue b;break};case 6:{n=c[930860+(j<<4)>>2]|0;q=(c[233982]|0)+1|0;c[233982]=q;c[935936+(q<<2)>>2]=n;c[233940]=j+1;continue b;break};case 21:{c[233996]=0;c[233940]=j+1;continue b;break};case 22:{c[233996]=1;c[233940]=j+1;continue b;break};case 9:{n=(Td[c[233970]&255](k)|0)==0;c[233940]=(c[233940]|0)+1;if(n){break b}else{continue b}break};case 1:{n=c[930860+(j<<4)>>2]|0;q=(c[233920]|0)+1|0;c[233920]=q;c[935696+(q<<2)>>2]=n;c[233940]=j+1;continue b;break};case 3:{n=c[233982]|0;q=935936+(n<<2)|0;r=(c[q>>2]|0)-1|0;c[q>>2]=r;if((r|0)<1){c[233982]=n-1;c[233920]=(c[233920]|0)-1;c[233940]=j+1;continue b}else{j=c[233920]|0;c[233920]=j-1;c[233940]=(c[935696+(j<<2)>>2]|0)+1;continue b}break};default:{m=4;break a}}}if((m|0)==10){m=0;if(b){m=11;break}c[o>>2]=p-1;c[231512]=1;j=Vd[c[233974]&127](k,f,d)|0;if((j|0)>0){m=13;break}if((j|0)<0){m=15;break}}j=g+1|0;if((j|0)<(c[a>>2]|0)){f=f+d|0;g=j}else{h=0;m=37;break}}if((m|0)==4){g=c[233960]|0;kd(c[u>>2]|0,898376,(d=i,i=i+16|0,c[d>>2]=l,c[d+8>>2]=g,d)|0)|0;i=d;if((c[c[233964]>>2]|0)==0){YH(100,900744);h=100;i=e;return h|0}else{c[(Vc()|0)>>2]=100;h=100;i=e;return h|0}}else if((m|0)==11){h=ee[c[233972]&15]()|0;i=e;return h|0}else if((m|0)==13){d=c[c[233964]>>2]|0;h=$H(d,c[(Vc()|0)>>2]|0,889432)|0;i=e;return h|0}else if((m|0)==15){if((c[(c[233964]|0)+8>>2]|0)==0){YH(-1,889432);h=-1;i=e;return h|0}else{c[(Vc()|0)>>2]=-1;h=-1;i=e;return h|0}}else if((m|0)==24){h=ee[c[233972]&15]()|0;i=e;return h|0}else if((m|0)==28){h=ee[c[233972]&15]()|0;i=e;return h|0}else if((m|0)==37){i=e;return h|0}return 0}function dI(a){a=a|0;var b=0;switch(a|0){case 4:case 5:case 11:case 12:case 15:case 13:case 14:{b=9;break};case 36:case 35:case 28:case 27:case 23:case 7:case 10:case 30:case 31:case 32:case 34:case 29:case 24:case 25:case 26:{b=8;break};default:{b=a}}return b|0}function eI(){var a=0,b=0,d=0;a=i;i=i+8|0;b=a|0;c[b>>2]=1;d=cI(b,0,0)|0;i=a;return d|0}function fI(){c[233978]=0;c[233940]=0;c[233920]=0;c[233982]=0;c[231512]=0;c[233924]=0;c[233984]=0;return}function gI(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[233940]|0;if((f|0)>299){Xa(42872,24,1,c[u>>2]|0)|0;PH(c[233960]|0,1);g=c[233940]|0}else{g=f}c[930856+(f<<4)>>2]=a;c[930860+(f<<4)>>2]=b;c[930864+(f<<4)>>2]=d;c[930868+(f<<4)>>2]=e;c[233940]=g+1;return g|0}function hI(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a[b]|0;if(d<<24>>24==0){e=0;return e|0}else{f=b;g=d}a:while(1){d=f+1|0;if(g<<24>>24==32){f=d;g=a[d]|0;continue}d=iI(f)|0;if((d|0)==0){e=0;h=12;break}else{i=d}while(1){d=a[i]|0;if((d<<24>>24|0)==44){h=7;break}else if((d<<24>>24|0)==41){h=9;break a}else if((d<<24>>24|0)!=32){j=i;break}i=i+1|0}if((h|0)==7){h=0;j=i+1|0}d=a[j]|0;if(d<<24>>24==0){e=0;h=12;break}else{f=j;g=d}}if((h|0)==9){g=(c[233942]|0)-1|0;c[233942]=g;if((g|0)==0){gI(2,c[233922]|0,0,0)|0;e=i+1|0;return e|0}else{gI(3,0,0,0)|0;e=i+1|0;return e|0}}else if((h|0)==12){return e|0}return 0}function iI(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+16|0;e=d|0;f=d+8|0;do{if((a[b]|0)==41){g=b}else{if((jI(b,e)|0)!=0){g=c[e>>2]|0;break}if((kI(b,e)|0)!=0){g=c[e>>2]|0;break}h=lI(b,f,1)|0;j=gI(6,c[f>>2]|0,0,0)|0;if((j|0)<0){g=0;break}g=bI(h,j)|0}}while(0);i=d;return g|0}function jI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+8|0;f=e|0;a:do{switch(a[b]|0){case 58:{gI(16,0,0,0)|0;g=b;h=30;break};case 43:{j=0;h=13;break};case 47:{gI(5,0,0,0)|0;g=b;h=30;break};case 36:{gI(33,0,0,0)|0;g=b;h=30;break};case 88:case 120:{gI(4,1,0,0)|0;g=b;h=30;break};case 80:case 112:{gI(20,1,0,0)|0;g=b;h=30;break};case 2:case 34:case 39:{c[930864+((gI(11,0,0,0)|0)<<4)>>2]=b;k=mI(b)|0;c[d>>2]=k;l=(k|0)!=0|0;i=e;return l|0};case 84:case 116:{k=b+1|0;m=a[k]|0;if((m<<24>>24|0)==114|(m<<24>>24|0)==82){n=14;o=k}else if((m<<24>>24|0)==108|(m<<24>>24|0)==76){n=13;o=k}else{n=15;o=b}k=lI(o+1|0,f,0)|0;if((k|0)==0){h=15;break a}gI(n,c[f>>2]|0,0,0)|0;g=k-1|0;h=30;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{p=0;q=b;h=14;break};case 83:case 115:{k=b+1|0;m=a[k]|0;if((m<<24>>24|0)==115|(m<<24>>24|0)==83){r=19;s=k}else if((m<<24>>24|0)==112|(m<<24>>24|0)==80){r=18;s=k}else{r=17;s=b}gI(r,0,0,0)|0;g=s;h=30;break};case 66:case 98:{k=b+1|0;m=a[k]|0;if((m<<24>>24|0)==122|(m<<24>>24|0)==90){gI(22,0,0,0)|0;g=k;h=30;break a}else{gI(21,0,0,0)|0;g=k;h=30;break a}break};case 45:{j=1;h=13;break};default:{l=0;i=e;return l|0}}}while(0);if((h|0)==13){p=j;q=b+1|0;h=14}b:do{if((h|0)==14){b=lI(q,f,0)|0;if((b|0)==0){h=15;break}switch(a[b]|0){case 80:case 112:{j=c[f>>2]|0;if((p|0)==0){t=j}else{s=-j|0;c[f>>2]=s;t=s}gI(20,t,0,0)|0;g=b;h=30;break b;break};case 88:case 120:{gI(4,c[f>>2]|0,0,0)|0;g=b;h=30;break b;break};case 72:case 104:{s=c[f>>2]|0;c[930864+((gI(12,s,0,0)|0)<<4)>>2]=b+1;g=b+s|0;h=30;break b;break};default:{l=0;i=e;return l|0}}}}while(0);if((h|0)==15){c[d>>2]=0;l=1;i=e;return l|0}else if((h|0)==30){c[d>>2]=g+1;l=1;i=e;return l|0}return 0}function kI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=lI(b,f,1)|0;gI(6,c[f>>2]|0,0,0)|0;f=k+1|0;a:do{switch(a[k]|0){case 70:case 102:{l=lI(f,g,0)|0;if((l|0)==0){m=4;break a}n=c[g>>2]|0;if((n|0)==0){o=l;m=45;break a}if((a[l]|0)==46){p=lI(l+1|0,h,0)|0;if((p|0)==0){m=4;break a}q=p;r=c[h>>2]|0}else{c[h>>2]=0;q=l;r=0}gI(23,n,r,0)|0;o=q;m=45;break};case 68:case 100:{n=lI(f,g,0)|0;if((n|0)==0){m=4;break a}l=c[g>>2]|0;if((l|0)==0){o=n;m=45;break a}if((a[n]|0)==46){p=lI(n+1|0,h,0)|0;if((p|0)==0){m=4;break a}s=p;t=c[h>>2]|0}else{c[h>>2]=0;s=n;t=0}gI(26,l,t,0)|0;o=s;m=45;break};case 73:case 105:{u=10;v=7;m=38;break};case 79:case 111:{u=34;v=32;m=38;break};case 69:case 101:{w=1;m=3;break};case 76:case 108:{l=lI(f,g,0)|0;if((l|0)==0){m=4;break a}n=c[g>>2]|0;if((n|0)==0){o=l;m=45;break a}gI(29,n,0,0)|0;o=l;m=45;break};case 71:case 103:{w=0;m=3;break};case 65:case 97:{l=f;while(1){x=a[l]|0;if(x<<24>>24==32){l=l+1|0}else{break}}if(!((x-48&255)>>>0<10>>>0)){gI(30,0,0,0)|0;o=l;m=45;break a}n=lI(l,g,1)|0;p=c[g>>2]|0;if((p|0)==0){o=n;m=45;break a}gI(31,p,0,0)|0;o=n;m=45;break};case 90:case 122:{u=36;v=35;m=38;break};default:{c[233940]=(c[233940]|0)-1;c[d>>2]=b;y=0;i=e;return y|0}}}while(0);do{if((m|0)==3){b=lI(f,g,0)|0;if((b|0)==0){m=4;break}x=c[g>>2]|0;if((x|0)==0){o=b;m=45;break}s=a[b]|0;if(s<<24>>24==46){t=lI(b+1|0,h,0)|0;if((t|0)==0){m=4;break}z=t;A=a[t]|0}else{c[h>>2]=0;z=b;A=s}if(!((A<<24>>24|0)==69|(A<<24>>24|0)==101)){gI((w|0)==1?24:27,x,c[h>>2]|0,0)|0;o=z;m=45;break}s=lI(z+1|0,j,0)|0;if((s|0)==0){m=4;break}gI((w|0)==1?25:28,x,c[h>>2]|0,c[j>>2]|0)|0;o=s;m=45}else if((m|0)==38){s=lI(f,g,0)|0;if((s|0)==0){m=4;break}x=c[g>>2]|0;if((x|0)==0){o=s;m=45;break}if((a[s]|0)!=46){gI(v,x,0,0)|0;o=s;m=45;break}b=lI(s+1|0,h,0)|0;if((b|0)==0){m=4;break}gI(u,x,c[h>>2]|0,0)|0;o=b;m=45}}while(0);if((m|0)==4){c[d>>2]=0;y=1;i=e;return y|0}else if((m|0)==45){c[d>>2]=o;y=1;i=e;return y|0}return 0}function lI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=0;g=0;h=b;while(1){b=a[h]|0;i=b<<24>>24;if(b<<24>>24==32){j=f;k=g}else{if((b-48&255)>>>0>9>>>0){break}j=f+1|0;k=(g*10|0)-48+i|0}f=j;g=k;h=h+1|0}if((f|0)!=0){l=h;m=g;c[d>>2]=m;return l|0}l=(e|0)==0?0:h;m=e;c[d>>2]=m;return l|0}function mI(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a[b]|0;e=b+1|0;f=a[e]|0;a:do{if(!(f<<24>>24==0)){g=b;h=e;i=f;while(1){if(i<<24>>24==d<<24>>24){j=g+2|0;if((a[j]|0)==d<<24>>24){k=j}else{l=j;break}}else{k=h}j=k+1|0;m=a[j]|0;if(m<<24>>24==0){break a}else{g=k;h=j;i=m}}return l|0}}while(0);if((c[c[233964]>>2]|0)==0){YH(100,50376);l=0;return l|0}else{c[(Vc()|0)>>2]=100;l=0;return l|0}return 0}function nI(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;do{if((b|0)>0){g=b;h=0}else{if((b|0)<0){g=-b|0;h=1;break}c[e>>2]=0;c[d>>2]=1;a[935814]=48;i=935814;return i|0}}while(0);c[e>>2]=h;h=g;g=23;while(1){e=g-1|0;j=935792+e|0;a[j]=((h>>>0)%(f>>>0)|0)+48;b=(h>>>0)/(f>>>0)|0;if((b|0)==0){break}else{h=b;g=e}}c[d>>2]=24-g;i=j;return i|0}function oI(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[233956]|0;e=c[233934]|0;if((d|0)>(e|0)){c[233934]=d;f=d}else{f=e}e=f+1|0;if((e|0)<(c[4170]|0)){g=f}else{pI(e,f);g=c[233934]|0}f=c[4172]|0;e=f+g|0;if((b|0)==0){h=e}else{a[e]=b;h=f+(g+1)|0}a[h]=0;Za(f|0,c[233994]|0)|0;g=KU(f|0)|0;b=f+g|0;if(b>>>0<h>>>0){i=f;j=g;k=b}else{return 0}while(1){b=j+1|0;g=i+b|0;Va(a[k]|0,c[233994]|0)|0;Za(g|0,c[233994]|0)|0;f=KU(g|0)|0;e=i+(b+f)|0;if(e>>>0<h>>>0){i=g;j=f;k=e}else{break}}return 0}function pI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=c[4172]|0;if((e|0)==935992){c[4170]=1024;f=1024}else{f=c[4170]|0}if((f|0)>(b|0)){g=f}else{h=f;do{h=h<<1;}while((h|0)<=(b|0));c[4170]=h;g=h}h=iU(g)|0;if((h|0)==0){YH(113,896840);i=c[4172]|0}else{i=e}e=i+d|0;if((d|0)>0){d=h;g=i;while(1){b=g+1|0;a[d]=a[g]|0;if(b>>>0<e>>>0){d=d+1|0;g=b}else{break}}j=c[4172]|0}else{j=i}if((j|0)==935992){c[4172]=h;return}jU(j);c[4172]=h;return}function qI(b){b=b|0;var d=0,e=0,f=0;d=c[233934]|0;e=c[4170]|0;if((d|0)<(e|0)){f=d}else{pI(d,e);f=c[233934]|0}c[233934]=f+1;a[(c[4172]|0)+f|0]=b;return}function rI(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=i;i=i+280|0;e=d|0;f=d+256|0;g=d+272|0;c[233962]=1;h=b+4|0;j=c[h>>2]|0;if(j>>>0>99>>>0){if((c[b>>2]|0)==0){YH(101,33112);k=101;i=d;return k|0}else{c[(Vc()|0)>>2]=101;k=101;i=d;return k|0}}if((c[233946]|0)==0){ZH();l=c[h>>2]|0}else{l=j}j=926056+(l*48|0)|0;c[233976]=j;m=j|0;a:do{if((c[m>>2]|0)!=0){j=c[b+8>>2]|0;do{if((j|0)!=0){n=e|0;wI(j,c[b+12>>2]|0,n);o=xI(n,g)|0;if((o|0)==(c[926064+(l*48|0)>>2]|0)){if((c[g>>2]|0)==(c[926068+(l*48|0)>>2]|0)){break}}c[f+4>>2]=c[h>>2];c[f+8>>2]=0;c[f>>2]=c[b>>2];o=UH(f)|0;if((o|0)==0){break a}else{k=o}i=d;return k|0}}while(0);j=c[b+32>>2]|0;if((j|0)==0){k=0;i=d;return k|0}o=a[j]|0;if(o<<24>>24==122){p=1}else{p=o<<24>>24==90|0}c[926088+(l*48|0)>>2]=p;k=0;i=d;return k|0}}while(0);p=b+28|0;f=c[p>>2]|0;g=926072+(l*48|0)|0;c[g>>2]=f;o=c[b+32>>2]|0;do{if((o|0)==0){q=0}else{j=a[o]|0;if(j<<24>>24==122){q=1;break}q=j<<24>>24==90|0}}while(0);c[926088+(l*48|0)>>2]=q;q=c[b+24>>2]|0;do{if((q|0)==0){o=926080+(l*48|0)|0;if((f|0)>0){c[o>>2]=0;r=0;break}else{c[o>>2]=1;r=1;break}}else{o=a[q]|0;if((o<<24>>24|0)==102|(o<<24>>24|0)==70){c[926080+(l*48|0)>>2]=1;r=1;break}else{c[926080+(l*48|0)>>2]=0;r=0;break}}}while(0);q=c[b+8>>2]|0;do{if((q|0)==0){Ob(e|0,29368,(f=i,i=i+8|0,c[f>>2]=c[h>>2],f)|0)|0;i=f}else{f=e|0;wI(q,c[b+12>>2]|0,f);if((a[f]|0)!=0){break}if((c[b>>2]|0)==0){sI(107,33112,b);k=107;i=d;return k|0}else{c[(Vc()|0)>>2]=107;k=107;i=d;return k|0}}}while(0);q=926100+(l*48|0)|0;c[q>>2]=0;c[926092+(l*48|0)>>2]=0;h=926096+(l*48|0)|0;c[h>>2]=0;c[m>>2]=0;f=926084+(l*48|0)|0;c[f>>2]=3;o=c[b+16>>2]|0;b:do{if((o|0)!=0){c:do{switch(a[o]|0){case 114:case 82:{break};case 111:case 79:{if((Lb(e|0,0)|0)==0){break b}j=(c[b>>2]|0)==0;n=Vc()|0;s=c[n>>2]|0;if(j){sI(s,33112,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=s;k=s;i=d;return k|0}break};case 110:case 78:{if((Lb(e|0,0)|0)!=0){break c}if((c[b>>2]|0)==0){sI(128,33112,b);k=128;i=d;return k|0}else{c[(Vc()|0)>>2]=128;k=128;i=d;return k|0}break};case 115:case 83:{c[q>>2]=1;s=yb()|0;c[m>>2]=s;if((s|0)!=0){c[926060+(l*48|0)>>2]=0;c[926068+(l*48|0)>>2]=-1;c[926064+(l*48|0)>>2]=-1;c[926076+(l*48|0)>>2]=1;k=0;i=d;return k|0}s=(c[b>>2]|0)==0;n=Vc()|0;j=c[n>>2]|0;if(s){sI(j,33112,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=j;k=j;i=d;return k|0}break};default:{break b}}}while(0);j=xc(e|0,c[4164]|0)|0;if((j|0)==0){break}Oa(j|0)|0}}while(0);q=e|0;e=iU((KU(q|0)|0)+1|0)|0;c[926060+(l*48|0)>>2]=e;if((e|0)==0){if((c[b>>2]|0)==0){sI(113,25896,b);k=113;i=d;return k|0}else{c[(Vc()|0)>>2]=113;k=113;i=d;return k|0}}TU(e|0,q|0)|0;e=b+20|0;if((c[e>>2]|0)==0){t=r}else{t=(c[g>>2]|0)==0?r:0}r=xc(q|0,c[16656+((t|2)<<2)>>2]|0)|0;do{if((r|0)==0){g=xc(q|0,c[16672+(t<<2)>>2]|0)|0;if((g|0)!=0){c[f>>2]=1;u=g;break}g=xc(q|0,c[16656+(t<<2)>>2]|0)|0;if((g|0)!=0){c[h>>2]=1;c[f>>2]=2;u=g;break}g=(c[b>>2]|0)==0;o=Vc()|0;j=c[o>>2]|0;if(g){YH(j,33112);k=c[o>>2]|0;i=d;return k|0}else{c[o>>2]=j;k=j;i=d;return k|0}}else{u=r}}while(0);c[m>>2]=u;r=926076+(l*48|0)|0;c[r>>2]=XH(u)|0;u=xI(q,926068+(l*48|0)|0)|0;c[926064+(l*48|0)>>2]=u;if((u|0)==-1){if((c[b>>2]|0)==0){sI(108,33112,b);k=108;i=d;return k|0}else{c[(Vc()|0)>>2]=108;k=108;i=d;return k|0}}if((c[r>>2]|0)==0){k=0;i=d;return k|0}if((c[p>>2]|0)!=0){wd(c[m>>2]|0);k=0;i=d;return k|0}p=c[e>>2]|0;if((p|0)==0){k=0;i=d;return k|0}e=a[p]|0;if(!((e<<24>>24|0)==97|(e<<24>>24|0)==65)){k=0;i=d;return k|0}if((sd(c[m>>2]|0,0,2)|0)==0){k=0;i=d;return k|0}if((c[b>>2]|0)==0){sI(129,33112,b);k=129;i=d;return k|0}else{c[(Vc()|0)>>2]=129;k=129;i=d;return k|0}return 0}function sI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+8|0;f=c[e>>2]|0;if((f|0)==0){YH(a,b);return}g=d+12|0;d=c[g>>2]|0;if((d|0)<(c[4170]|0)){h=f;i=d}else{pI(d,0);h=c[e>>2]|0;i=c[g>>2]|0}g=c[4172]|0;c[(c[233976]|0)+4>>2]=g;wI(h,i,g);YH(a,b);return}function tI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e+16|0;g=e|0;Ob(g|0,29368,(h=i,i=i+8|0,c[h>>2]=d,h)|0)|0;i=h;c[f>>2]=1;c[f+4>>2]=d;c[f+8>>2]=g;c[f+12>>2]=KU(g|0)|0;c[f+16>>2]=0;c[f+20>>2]=(a|0)==3?22944:903616;c[f+24>>2]=(b|0)==5?900880:898752;c[f+28>>2]=(a|0)==4;c[f+32>>2]=0;a=rI(f)|0;i=e;return a|0}function uI(a){a=a|0;var b=0,d=0,e=0;b=c[a+4>>2]|0;d=926056+(b*48|0)|0;c[233976]=d;if(b>>>0>99>>>0){if((c[a>>2]|0)==0){YH(101,888304);e=101;return e|0}else{c[(Vc()|0)>>2]=101;e=101;return e|0}}do{if((c[d>>2]|0)==0){if((tI(3,5,b)|0)==0){break}if((c[a>>2]|0)==0){YH(114,898672);e=114;return e|0}else{c[(Vc()|0)>>2]=114;e=114;return e|0}}}while(0);if((c[926080+(b*48|0)>>2]|0)!=0){e=0;return e|0}if((c[a>>2]|0)==0){YH(102,898672);e=102;return e|0}else{c[(Vc()|0)>>2]=102;e=102;return e|0}return 0}function vI(){var a=0;a=eI()|0;c[233960]=0;return a|0}function wI(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+c|0;f=b+c|0;while(1){if(!(f>>>0>b>>>0)){g=3;break}h=f-1|0;i=e-1|0;if((a[h]|0)==32){e=i;f=h}else{break}}if((g|0)==3){a[d]=0;return}a[e]=0;e=i;i=h;while(1){a[e]=a[i]|0;if(i>>>0>b>>>0){e=e-1|0;i=i-1|0}else{break}}return}function xI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+80|0;e=d|0;if((zd(a|0,e|0)|0)<0){f=-1;i=d;return f|0}c[b>>2]=c[e>>2];f=c[e+72>>2]|0;i=d;return f|0}function yI(b,d,e,f,j){b=b|0;d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;k=i;i=i+56|0;l=k|0;m=(f|0)<1?2:f;n=c[233918]|0;if((n|0)==0){o=3}else{if((n|0)<(e+2|0)&(n|0)>(-e|0)){o=3}}a:do{if((o|0)==3){p=(((n|0)<1)<<31>>31)+e|0;if((j|0)==4){q=+g[b>>2]}else{q=+h[b>>3]}do{if(q<0.0){r=-0.0-q;s=1;t=1}else{u=c[233980]|0;if(q!=0.0){r=q;s=u;t=0;break}r=0.0;s=u;t=0}}while(0);u=d-4-m-p-s|0;if((u|0)<0){break}v=((n|0)<0?n:0)+p|0;w=(v|0)>40;x=w?40:v;y=w?v-40|0:0;v=l|0;Ob(v|0,56248,(w=i,i=i+16|0,c[w>>2]=x,h[w+8>>3]=r,w)|0)|0;i=w;z=a[v]|0;if(!((z-48|0)>>>0<10>>>0)){if((z|0)==110|(z|0)==78){A=0}else{A=s}z=d-(KU(v|0)|0)-A|0;if((z|0)<0){break}if((z|0)>0){B=z;do{B=B-1|0;Qd[c[233938]&511](32);}while((B|0)>0)}if((A|0)!=0){Qd[c[233938]&511]((t|0)!=0?45:43)}B=a[v]|0;if(B<<24>>24==0){i=k;return 0}else{D=v;E=B}do{Qd[c[233938]&511](E<<24>>24);D=D+1|0;E=a[D]|0;}while(!(E<<24>>24==0));i=k;return 0}B=l+(x+3)|0;if(r!=0.0){p=(Oc(B|0)|0)+1|0;Ob(B|0,898280,(w=i,i=i+8|0,c[w>>2]=p-(c[233918]|0),w)|0)|0;i=w}else{p=B;C=3158059;a[p]=C;C=C>>8;a[p+1|0]=C;C=C>>8;a[p+2|0]=C;C=C>>8;a[p+3|0]=C}p=l+(x+4)|0;B=(m|0)<2;if(B){if((a[p]|0)!=48){break}}z=l+(x+6)|0;F=(a[z]|0)==0;b:do{if(F){G=2}else{if((f|0)==0){H=l+(x+2)|0;while(1){I=H+1|0;J=a[I]|0;a[H]=J;if(J<<24>>24==0){G=2;break b}else{H=I}}}H=(f|0)<0;if(H|F){G=H?m:2;break}else{K=z;L=2}while(1){if((L|0)>=(m|0)){break a}H=L+1|0;I=K+1|0;if((a[I]|0)==0){G=H;break}else{K=I;L=H}}}}while(0);if((u|0)>0){z=u;do{z=z-1|0;Qd[c[233938]&511](32);}while((z|0)>0)}if((s|0)!=0){Qd[c[233938]&511]((t|0)!=0?45:43)}z=c[233918]|0;do{if((z|0)<1){Qd[c[233938]&511](46);u=c[233938]|0;if((z|0)<0){F=z;w=u;while(1){Qd[w&511](48);H=F+1|0;I=c[233938]|0;if((H|0)<0){F=H;w=I}else{M=I;break}}}else{M=u}Qd[M&511](a[v]|0);N=l+2|0}else{if((z|0)<=1){N=v;break}Qd[c[233938]&511](a[v]|0);w=l+2|0;F=z-1|0;I=c[233938]|0;if((F|0)>0){H=z+1|0;J=w;O=F;F=I;while(1){Qd[F&511](a[J]|0);P=O-1|0;Q=c[233938]|0;if((P|0)>0){J=J+1|0;O=P;F=Q}else{break}}R=l+H|0;S=Q}else{R=w;S=I}Qd[S&511](46);N=R}}while(0);if((y|0)==0){T=N}else{z=l+(x+2)|0;if(N>>>0<z>>>0){v=N;while(1){F=v+1|0;Qd[c[233938]&511](a[v]|0);if(F>>>0<z>>>0){v=F}else{U=F;break}}}else{U=N}v=y;while(1){Qd[c[233938]&511](48);z=v-1|0;if((z|0)>0){v=z}else{T=U;break}}}if(T>>>0<p>>>0){v=T;while(1){y=v+1|0;Qd[c[233938]&511](a[v]|0);if(y>>>0<p>>>0){v=y}else{V=y;break}}}else{V=T}if(B){Qd[c[233938]&511](a[V+1|0]|0);i=k;return 0}v=G+1|0;if((v|0)<=(m|0)){p=v;do{Qd[c[233938]&511](48);p=p+1|0;}while((p|0)<=(m|0))}p=a[V]|0;if(p<<24>>24==0){i=k;return 0}else{W=V;X=p}do{W=W+1|0;Qd[c[233938]&511](X<<24>>24);X=a[W]|0;}while(!(X<<24>>24==0));i=k;return 0}}while(0);if((d|0)>0){Y=d}else{i=k;return 0}do{Y=Y-1|0;Qd[c[233938]&511](42);}while((Y|0)>0);i=k;return 0}function zI(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0;j=i;i=i+656|0;k=j|0;if((f|0)==4){l=+g[b>>2]}else{l=+h[b>>3]}b=(e|0)<344;f=b?e:344;m=b?0:e-344|0;do{if(l<0.0){n=-0.0-l;o=1}else{if(l!=0.0){n=l;o=0;break}n=0.0;o=0}}while(0);e=c[233918]|0;if((e|0)==0){p=n}else{if((e|0)>0){l=n;b=e;while(1){q=l*10.0;r=b-1|0;if((r|0)>0){l=q;b=r}else{p=q;break}}}else{l=n;b=e;while(1){n=l*.1;e=b+1|0;if((e|0)<0){l=n;b=e}else{p=n;break}}}}b=k|0;e=Ob(b|0,49064,(r=i,i=i+16|0,c[r>>2]=f,h[r+8>>3]=p,r)|0)|0;i=r;r=e+m|0;if((a[b]|0)!=48|(f|0)==0){s=b;t=r}else{s=k+1|0;t=r-1|0}a:do{if((o|0)==1){r=s;while(1){k=a[r]|0;if(!(k<<24>>24==48)){b=k<<24>>24;if((b|0)==0){u=0;break a}else if((b|0)!=46){break}}r=r+1|0}u=1}else{u=o}}while(0);o=(u|0)==0;r=((c[233980]|u|0)!=0)+t|0;if((r|0)>(d|0)){if((d|0)>0){v=d}else{i=j;return 0}do{v=v-1|0;Qd[c[233938]&511](42);}while((v|0)>0);i=j;return 0}v=d-r|0;if((v|0)>0){r=v;do{r=r-1|0;Qd[c[233938]&511](32);}while((r|0)>0)}do{if(o){if((c[233980]|0)==0){break}Qd[c[233938]&511](43)}else{Qd[c[233938]&511](45)}}while(0);o=a[s]|0;if(!(o<<24>>24==0)){r=s;s=o;do{r=r+1|0;Qd[c[233938]&511](s<<24>>24);s=a[r]|0;}while(!(s<<24>>24==0))}if((m|0)>0){w=m}else{i=j;return 0}do{w=w-1|0;Qd[c[233938]&511](48);}while((w|0)>0);i=j;return 0}function AI(d,e,f){d=d|0;e=e|0;f=f|0;var g=0;if((f|0)==4){g=c[d>>2]|0}else if((f|0)==1){g=a[d]|0}else{g=b[d>>1]|0}d=e-1|0;if((d|0)>0){e=0;do{Qd[c[233938]&511](32);e=e+1|0;}while((e|0)<(d|0))}d=c[233938]|0;if((g|0)==0){Qd[d&511](70);return 0}else{Qd[d&511](84);return 0}return 0}function BI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;if((c[233978]|0)==0){f=3}else{g=CI()|0;if((g|0)==0){f=3}else{h=g}}a:do{if((f|0)==3){g=c[a>>2]|0;switch(g|0){case 31:{GI(b,c[a+4>>2]|0,d);h=0;break a;break};case 29:{AI(b,c[a+4>>2]|0,d)|0;h=0;break a;break};case 27:case 28:{h=HI(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 30:{FI(b,d);h=0;break a;break};case 26:case 24:case 25:{h=yI(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 10:{EI(b,c[a+4>>2]|0,c[a+8>>2]|0,d,10);h=0;break a;break};case 36:{II(b,c[a+4>>2]|0,c[a+8>>2]|0,d);h=0;break a;break};case 34:{EI(b,c[a+4>>2]|0,c[a+8>>2]|0,d,8);h=0;break a;break};case 23:{h=zI(b,c[a+4>>2]|0,c[a+8>>2]|0,d)|0;break a;break};case 35:{II(b,c[a+4>>2]|0,0,d);h=0;break a;break};case 32:{DI(b,c[a+4>>2]|0,d,8);h=0;break a;break};case 7:{break};default:{kd(c[u>>2]|0,56e3,(j=i,i=i+8|0,c[j>>2]=g,j)|0)|0;i=j;PH(c[233960]|0,1)}}DI(b,c[a+4>>2]|0,d,10);h=0}}while(0);i=e;return h|0}function CI(){var a=0,b=0,d=0,e=0,f=0,g=0,h=0,i=0;a=c[233978]|0;c[233978]=0;if((c[233962]|0)!=0){if((a|0)>0){b=c[233956]|0;d=c[233934]|0;if((b|0)<=(d|0)){e=a;while(1){Qd[c[233938]&511](32);f=e-1|0;if((f|0)>0){e=f}else{g=0;break}}return g|0}e=d+a|0;if((b|0)>(e|0)){c[233934]=e;g=0;return g|0}e=a-b+d|0;c[233934]=b;if((e|0)>0){h=e}else{g=0;return g|0}while(1){Qd[c[233938]&511](32);e=h-1|0;if((e|0)>0){h=e}else{g=0;break}}return g|0}if((a|0)>=0){g=0;return g|0}h=c[233934]|0;e=h+a|0;if((e|0)>=0){if((c[233956]|0)<(h|0)){c[233956]=h}c[233934]=e;g=0;return g|0}if((c[c[233964]>>2]|0)==0){YH(110,888184);g=110;return g|0}else{c[(Vc()|0)>>2]=110;g=110;return g|0}}if((a|0)<0){e=c[233934]|0;if((c[233956]|0)<(e|0)){c[233956]=e}h=e+a|0;c[233934]=h;c[233954]=(c[233954]|0)+a;if((h|0)>=0){g=0;return g|0}if((c[c[233964]>>2]|0)==0){YH(110,888184);g=110;return g|0}else{c[(Vc()|0)>>2]=110;g=110;return g|0}}if((a|0)<=0){g=0;return g|0}h=c[233934]|0;e=h+a|0;if((e|0)>=(c[(c[233914]|0)+16>>2]|0)){if((c[c[233964]>>2]|0)==0){YH(110,49056);g=110;return g|0}else{c[(Vc()|0)>>2]=110;g=110;return g|0}}b=c[233956]|0;if((b|0)<=(h|0)){d=a;while(1){Qd[c[233938]&511](32);f=d-1|0;if((f|0)>0){d=f}else{g=0;break}}return g|0}if((b|0)>(e|0)){c[233954]=(c[233954]|0)+a;c[233934]=e;g=0;return g|0}e=b-h|0;h=a-e|0;c[233954]=(c[233954]|0)+e;c[233934]=b;if((h|0)>0){i=h}else{g=0;return g|0}while(1){Qd[c[233938]&511](32);h=i-1|0;if((h|0)>0){i=h}else{g=0;break}}return g|0}function DI(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+16|0;j=h|0;k=h+8|0;if((f|0)==4){l=c[d>>2]|0}else if((f|0)==1){l=a[d]|0}else{l=b[d>>1]|0}d=nI(l,j,k,g)|0;g=c[k>>2]|0;l=(((c[233980]|g|0)!=0)<<31>>31)+(e-(c[j>>2]|0))|0;if((l|0)<0){if((e|0)>0){m=0}else{i=h;return}do{Qd[c[233938]&511](42);m=m+1|0;}while((m|0)<(e|0));i=h;return}if((l|0)>0){e=0;do{Qd[c[233938]&511](32);e=e+1|0;}while((e|0)<(l|0));n=c[k>>2]|0}else{n=g}do{if((n|0)==0){if((c[233980]|0)==0){break}Qd[c[233938]&511](43)}else{Qd[c[233938]&511](45)}}while(0);if((c[j>>2]|0)>0){o=0;p=d}else{i=h;return}while(1){Qd[c[233938]&511](a[p]|0);d=o+1|0;if((d|0)<(c[j>>2]|0)){o=d;p=p+1|0}else{break}}i=h;return}function EI(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;j=i;i=i+16|0;k=j|0;l=j+8|0;if((g|0)==4){m=c[d>>2]|0}else if((g|0)==1){m=a[d]|0}else{m=b[d>>1]|0}d=nI(m,k,l,h)|0;h=c[l>>2]|0;g=(c[233980]|h|0)!=0|0;n=c[k>>2]|0;do{if((g+n|0)<=(e|0)){if((g+f|0)>(e|0)){break}if((m|f|0)==0){if((e|0)>0){o=0}else{i=j;return}do{Qd[c[233938]&511](32);o=o+1|0;}while((o|0)<(e|0));i=j;return}p=e-((n|0)<(f|0)?f:n)-g|0;if((p|0)>0){q=0;do{Qd[c[233938]&511](32);q=q+1|0;}while((q|0)<(p|0));r=c[l>>2]|0}else{r=h}do{if((r|0)==0){if((c[233980]|0)==0){break}Qd[c[233938]&511](43)}else{Qd[c[233938]&511](45)}}while(0);p=c[k>>2]|0;if((f-p|0)>0){q=0;while(1){Qd[c[233938]&511](48);s=q+1|0;t=c[k>>2]|0;if((s|0)<(f-t|0)){q=s}else{u=t;break}}}else{u=p}if((u|0)>0){v=0;w=d}else{i=j;return}while(1){Qd[c[233938]&511](a[w]|0);q=v+1|0;if((q|0)<(c[k>>2]|0)){v=q;w=w+1|0}else{break}}i=j;return}}while(0);if((e|0)>0){x=0}else{i=j;return}do{Qd[c[233938]&511](42);x=x+1|0;}while((x|0)<(e|0));i=j;return}function FI(b,d){b=b|0;d=d|0;var e=0,f=0;if((d|0)>0){e=b;f=d}else{return}while(1){d=f-1|0;Qd[c[233938]&511](a[e]|0);if((d|0)>0){e=e+1|0;f=d}else{break}}return}function GI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((d|0)>(e|0)){f=d;while(1){g=f-1|0;Qd[c[233938]&511](32);if((g|0)>(e|0)){f=g}else{h=e;break}}}else{h=d}if((h|0)>0){i=h;j=b}else{return}while(1){b=i-1|0;Qd[c[233938]&511](a[j]|0);if((b|0)>0){i=b;j=j+1|0}else{break}}return}function HI(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var i=0.0,j=0.0,k=0,l=0,m=0,n=0;if((f|0)==4){i=+g[a>>2]}else{i=+h[a>>3]}if(i<0.0){j=-0.0-i}else{j=i}a:do{if(j<.1){if(!(j!=0.0)){k=1;break}l=yI(a,b,d,e,f)|0;return l|0}else{if((d|0)>=0){i=1.0;m=0;while(1){if(j<i){k=m;break a}n=m+1|0;if((n|0)>(d|0)){break}else{i=i*10.0;m=n}}}l=yI(a,b,d,e,f)|0;return l|0}}while(0);m=c[233918]|0;c[233918]=0;n=(e|0)==0?4:e+2|0;e=zI(a,b-n|0,d-k|0,f)|0;if((n|0)>0){f=0;do{Qd[c[233938]&511](32);f=f+1|0;}while((f|0)<(n|0))}c[233918]=m;l=e;return l|0}function II(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b;i=h+(g-1)|0;while(1){if((i|0)==(h|0)){j=3;break}g=a[i]|0;if(g<<24>>24==0){i=i-1|0}else{k=i;l=0;m=g;break}}if((j|0)==3){k=h;l=1;m=a[h]|0}j=((m&255)>>>0>15>>>0)+(k-b<<1|1)|0;if((j|0)>(e|0)){if((e|0)>0){n=0}else{return}do{Qd[c[233938]&511](42);n=n+1|0;}while((n|0)<(e|0));return}n=f-j|0;b=(n|0)>0;m=b?f:j;j=e-1|0;if((j|0)>=(m|0)){e=j;do{Qd[c[233938]&511](32);e=e-1|0;}while((e|0)>=(m|0))}if(b){b=n;do{b=b-1|0;Qd[c[233938]&511](48);}while((b|0)>0)}b=a[k]|0;do{if((b&240|0)==0){Qd[c[233938]&511](a[344+(b&15)|0]|0);if(l){return}else{o=k-1|0;break}}else{o=k}}while(0);while(1){Qd[c[233938]&511](a[344+((d[o]|0)>>>4)|0]|0);Qd[c[233938]&511](a[344+(a[o]&15)|0]|0);if((o|0)==(h|0)){break}o=o-1|0}return}function JI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;d=c[a>>2]|0;switch(d|0){case 12:{e=LI(c[a+4>>2]|0,c[a+8>>2]|0)|0;i=b;return e|0};case 13:{f=(c[233978]|0)-(c[a+4>>2]|0)|0;c[233978]=f;g=-(c[233934]|0)|0;if((f|0)>=(g|0)){e=1;i=b;return e|0}c[233978]=g;e=1;i=b;return e|0};case 14:case 4:{c[233978]=(c[233978]|0)+(c[a+4>>2]|0);e=1;i=b;return e|0};case 15:{c[233978]=(c[a+4>>2]|0)-1-(c[233934]|0);e=1;i=b;return e|0};case 5:{break};case 11:{e=KI(c[a+8>>2]|0)|0;i=b;return e|0};default:{kd(c[u>>2]|0,898120,(a=i,i=i+8|0,c[a>>2]=d,a)|0)|0;i=a;PH(c[233960]|0,1)}}e=ee[c[233968]&15]()|0;i=b;return e|0}function KI(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;do{if((c[233978]|0)!=0){d=CI()|0;if((d|0)==0){break}else{e=d}return e|0}}while(0);d=a[b]|0;f=b+1|0;g=a[f]|0;if(g<<24>>24==0){e=1;return e|0}else{h=b;i=f;j=g}while(1){if(j<<24>>24==d<<24>>24){g=h+2|0;if(!((a[g]|0)==d<<24>>24)){e=1;k=9;break}Qd[c[233938]&511](d<<24>>24);l=g}else{Qd[c[233938]&511](j<<24>>24);l=i}g=l+1|0;f=a[g]|0;if(f<<24>>24==0){e=1;k=9;break}else{h=l;i=g;j=f}}if((k|0)==9){return e|0}return 0}function LI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;do{if((c[233978]|0)!=0){e=CI()|0;if((e|0)==0){break}else{f=e}return f|0}}while(0);if((b|0)==0){f=1;return f|0}else{g=b;h=d}while(1){d=g-1|0;Qd[c[233938]&511](a[h]|0);if((d|0)==0){f=1;break}else{g=d;h=h+1|0}}return f|0}function MI(){var a=0;a=oI(10)|0;c[233978]=0;c[233934]=0;c[233956]=0;return(a|0)==0|0}function NI(a){a=a|0;var b=0,d=0,e=0;if((c[233946]|0)==0){ZH()}c[233936]=0;c[233916]=1;c[233958]=1;c[233962]=1;b=uI(a)|0;if((b|0)!=0){d=b;return d|0}c[233964]=a;c[233934]=0;c[233978]=0;c[233956]=0;c[233944]=0;c[233918]=0;b=c[a+12>>2]|0;c[233960]=b;c[233994]=c[c[233976]>>2];if((aI(b)|0)<0){if((c[a>>2]|0)==0){YH(100,55064);d=100;return d|0}else{c[(Vc()|0)>>2]=100;d=100;return d|0}}c[233938]=260;c[233974]=28;c[233970]=188;c[233972]=2;c[233966]=8;c[233968]=10;fI();c[233980]=0;b=c[233976]|0;c[233996]=c[b+32>>2];if((c[b+40>>2]|0)==1){d=0;return d|0}if((_H(b)|0)==0){d=0;return d|0}b=(c[a>>2]|0)==0;a=Vc()|0;e=c[a>>2]|0;if(b){YH(e,898056);d=c[a>>2]|0;return d|0}else{c[a>>2]=e;d=e;return d|0}return 0}function OI(){var a=0;if((c[233944]|0)==0){a=oI(10)|0}else{oI(0)|0;Sa(c[233994]|0)|0;a=0}c[233978]=0;c[233934]=0;c[233956]=0;return a|0}function PI(){var a=0,b=0;if((c[231512]|0)==0){a=0}else{b=oI(10)|0;c[231512]=0;a=b}c[233978]=0;c[233934]=0;c[233956]=0;return a|0}function QI(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;i=i+32|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;h=c[p>>2]|0;kJ(942496,h,942624);c[235872]=907636;c[235874]=907656;c[235873]=0;bL(943496,942496);c[235892]=0;c[235893]=-1;j=c[r>>2]|0;c[235600]=907320;LQ(942404);NU(942408,0,24)|0;c[235600]=907856;c[235608]=j;MQ(g,942404);k=PQ(g,942824)|0;l=k;NQ(g);c[235609]=l;c[235610]=942632;a[942444]=(Td[c[(c[k>>2]|0)+28>>2]&255](l)|0)&1;c[235806]=907540;c[235807]=907560;bL(943228,942400);c[235825]=0;c[235826]=-1;l=c[u>>2]|0;c[235612]=907320;LQ(942452);NU(942456,0,24)|0;c[235612]=907856;c[235620]=l;MQ(f,942452);k=PQ(f,942824)|0;g=k;NQ(f);c[235621]=g;c[235622]=942640;a[942492]=(Td[c[(c[k>>2]|0)+28>>2]&255](g)|0)&1;c[235850]=907540;c[235851]=907560;bL(943404,942448);c[235869]=0;c[235870]=-1;g=c[(c[(c[235850]|0)-12>>2]|0)+943424>>2]|0;c[235828]=907540;c[235829]=907560;bL(943316,g);c[235847]=0;c[235848]=-1;c[(c[(c[235872]|0)-12>>2]|0)+943560>>2]=943224;g=(c[(c[235850]|0)-12>>2]|0)+943404|0;c[g>>2]=c[g>>2]|8192;c[(c[(c[235850]|0)-12>>2]|0)+943472>>2]=943224;YI(942344,h,942648);c[235784]=907588;c[235786]=907608;c[235785]=0;bL(943144,942344);c[235804]=0;c[235805]=-1;c[235562]=907248;LQ(942252);NU(942256,0,24)|0;c[235562]=907784;c[235570]=j;MQ(e,942252);j=PQ(e,942816)|0;h=j;NQ(e);c[235571]=h;c[235572]=942656;a[942292]=(Td[c[(c[j>>2]|0)+28>>2]&255](h)|0)&1;c[235714]=907492;c[235715]=907512;bL(942860,942248);c[235733]=0;c[235734]=-1;c[235574]=907248;LQ(942300);NU(942304,0,24)|0;c[235574]=907784;c[235582]=l;MQ(d,942300);l=PQ(d,942816)|0;h=l;NQ(d);c[235583]=h;c[235584]=942664;a[942340]=(Td[c[(c[l>>2]|0)+28>>2]&255](h)|0)&1;c[235758]=907492;c[235759]=907512;bL(943036,942296);c[235777]=0;c[235778]=-1;h=c[(c[(c[235758]|0)-12>>2]|0)+943056>>2]|0;c[235736]=907492;c[235737]=907512;bL(942948,h);c[235755]=0;c[235756]=-1;c[(c[(c[235784]|0)-12>>2]|0)+943208>>2]=942856;h=(c[(c[235758]|0)-12>>2]|0)+943036|0;c[h>>2]=c[h>>2]|8192;c[(c[(c[235758]|0)-12>>2]|0)+943104>>2]=942856;i=b;return}function RI(a){a=a|0;$L(943224)|0;$L(943312)|0;gM(942856)|0;gM(942944)|0;return}function SI(a){a=a|0;c[a>>2]=907248;NQ(a+4|0);return}function TI(a){a=a|0;c[a>>2]=907248;NQ(a+4|0);qU(a);return}function UI(b,d){b=b|0;d=d|0;var e=0;Td[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=PQ(d,942816)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Td[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function VI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=Ud[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Xa(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Sa(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function WI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((a[b+44|0]|0)!=0){f=Xa(d|0,4,e|0,c[b+32>>2]|0)|0;return f|0}g=b;if((e|0)>0){h=d;i=0}else{f=0;return f|0}while(1){if((ce[c[(c[g>>2]|0)+52>>2]&127](b,c[h>>2]|0)|0)==-1){f=i;j=6;break}d=i+1|0;if((d|0)<(e|0)){h=h+4|0;i=d}else{f=d;j=6;break}}if((j|0)==6){return f|0}return 0}function XI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){c[g>>2]=d;if((a[b+44|0]|0)!=0){if((Xa(g|0,4,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+4|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=ie[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Xa(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Xa(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function YI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=907248;j=b+4|0;LQ(j);NU(b+8|0,0,24)|0;c[h>>2]=908184;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;MQ(g,j);j=PQ(g,942816)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Td[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Td[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){NQ(g);i=f;return}XP(23784);NQ(g);i=f;return}function ZI(a){a=a|0;c[a>>2]=907248;NQ(a+4|0);return}function _I(a){a=a|0;c[a>>2]=907248;NQ(a+4|0);qU(a);return}function $I(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=PQ(d,942816)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Td[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Td[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}XP(23784);return}function aJ(a){a=a|0;return dJ(a,0)|0}function bJ(a){a=a|0;return dJ(a,1)|0}function cJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){c[h>>2]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=ie[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+4|0,j,p,f+8|0,g)|0;if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}else if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((ad(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function dJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;if((a[k]|0)!=0){l=b+48|0;m=c[l>>2]|0;if(!d){n=m;i=e;return n|0}c[l>>2]=-1;a[k]=0;n=m;i=e;return n|0}m=c[b+44>>2]|0;k=(m|0)>1?m:1;a:do{if((k|0)>0){m=b+32|0;l=0;while(1){o=Bb(c[m>>2]|0)|0;if((o|0)==-1){n=-1;break}a[f+l|0]=o;l=l+1|0;if((l|0)>=(k|0)){break a}}i=e;return n|0}}while(0);b:do{if((a[b+53|0]|0)==0){l=b+40|0;m=b+36|0;o=f|0;p=g+4|0;q=b+32|0;r=k;while(1){s=c[l>>2]|0;t=s;u=c[t>>2]|0;v=c[t+4>>2]|0;t=c[m>>2]|0;w=f+r|0;x=ie[c[(c[t>>2]|0)+16>>2]&31](t,s,o,w,h,g,p,j)|0;if((x|0)==2){n=-1;y=22;break}else if((x|0)==3){y=14;break}else if((x|0)!=1){z=r;break b}x=c[l>>2]|0;c[x>>2]=u;c[x+4>>2]=v;if((r|0)==8){n=-1;y=22;break}v=Bb(c[q>>2]|0)|0;if((v|0)==-1){n=-1;y=22;break}a[w]=v;r=r+1|0}if((y|0)==14){c[g>>2]=a[o]|0;z=r;break}else if((y|0)==22){i=e;return n|0}}else{c[g>>2]=a[f|0]|0;z=k}}while(0);if(d){d=c[g>>2]|0;c[b+48>>2]=d;n=d;i=e;return n|0}d=b+32|0;b=z;while(1){if((b|0)<=0){break}z=b-1|0;if((ad(a[f+z|0]|0,c[d>>2]|0)|0)==-1){n=-1;y=22;break}else{b=z}}if((y|0)==22){i=e;return n|0}n=c[g>>2]|0;i=e;return n|0}function eJ(a){a=a|0;c[a>>2]=907320;NQ(a+4|0);return}function fJ(a){a=a|0;c[a>>2]=907320;NQ(a+4|0);qU(a);return}function gJ(b,d){b=b|0;d=d|0;var e=0;Td[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=PQ(d,942824)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Td[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function hJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=Ud[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Xa(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Sa(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function iJ(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;if((a[b+44|0]|0)!=0){g=Xa(e|0,1,f|0,c[b+32>>2]|0)|0;return g|0}h=b;if((f|0)>0){i=e;j=0}else{g=0;return g|0}while(1){if((ce[c[(c[h>>2]|0)+52>>2]&127](b,d[i]|0)|0)==-1){g=j;k=6;break}e=j+1|0;if((e|0)<(f|0)){i=i+1|0;j=e}else{g=e;k=6;break}}if((k|0)==6){return g|0}return 0}function jJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){a[g]=d;if((a[b+44|0]|0)!=0){if((Xa(g|0,1,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+1|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=ie[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Xa(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Xa(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function kJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=907320;j=b+4|0;LQ(j);NU(b+8|0,0,24)|0;c[h>>2]=908256;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;MQ(g,j);j=PQ(g,942824)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Td[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Td[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){NQ(g);i=f;return}XP(23784);NQ(g);i=f;return}function lJ(a){a=a|0;c[a>>2]=907320;NQ(a+4|0);return}function mJ(a){a=a|0;c[a>>2]=907320;NQ(a+4|0);qU(a);return}function nJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=PQ(d,942824)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Td[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Td[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}XP(23784);return}function oJ(a){a=a|0;return rJ(a,0)|0}function pJ(a){a=a|0;return rJ(a,1)|0}function qJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){a[h]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=ie[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+1|0,j,p,f+8|0,g)|0;if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}else if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((ad(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function rJ(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;f=i;i=i+32|0;g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=b+52|0;if((a[l]|0)!=0){m=b+48|0;n=c[m>>2]|0;if(!e){o=n;i=f;return o|0}c[m>>2]=-1;a[l]=0;o=n;i=f;return o|0}n=c[b+44>>2]|0;l=(n|0)>1?n:1;a:do{if((l|0)>0){n=b+32|0;m=0;while(1){p=Bb(c[n>>2]|0)|0;if((p|0)==-1){o=-1;break}a[g+m|0]=p;m=m+1|0;if((m|0)>=(l|0)){break a}}i=f;return o|0}}while(0);b:do{if((a[b+53|0]|0)==0){m=b+40|0;n=b+36|0;p=g|0;q=h+1|0;r=b+32|0;s=l;while(1){t=c[m>>2]|0;u=t;v=c[u>>2]|0;w=c[u+4>>2]|0;u=c[n>>2]|0;x=g+s|0;y=ie[c[(c[u>>2]|0)+16>>2]&31](u,t,p,x,j,h,q,k)|0;if((y|0)==3){z=14;break}else if((y|0)==2){o=-1;z=23;break}else if((y|0)!=1){A=s;break b}y=c[m>>2]|0;c[y>>2]=v;c[y+4>>2]=w;if((s|0)==8){o=-1;z=23;break}w=Bb(c[r>>2]|0)|0;if((w|0)==-1){o=-1;z=23;break}a[x]=w;s=s+1|0}if((z|0)==14){a[h]=a[p]|0;A=s;break}else if((z|0)==23){i=f;return o|0}}else{a[h]=a[g|0]|0;A=l}}while(0);do{if(e){l=a[h]|0;c[b+48>>2]=l&255;B=l}else{l=b+32|0;k=A;while(1){if((k|0)<=0){z=21;break}j=k-1|0;if((ad(d[g+j|0]|0,c[l>>2]|0)|0)==-1){o=-1;z=23;break}else{k=j}}if((z|0)==21){B=a[h]|0;break}else if((z|0)==23){i=f;return o|0}}}while(0);o=B&255;i=f;return o|0}function sJ(){QI(0);Eb(186,943576,s|0)|0;return}function tJ(a){a=a|0;return}function uJ(a){a=a|0;var b=0;b=a+4|0;I=c[b>>2]|0,c[b>>2]=I+1,I;return}function vJ(a){a=a|0;var b=0,d=0;b=a+4|0;if(((I=c[b>>2]|0,c[b>>2]=I+ -1,I)|0)!=0){d=0;return d|0}Qd[c[(c[a>>2]|0)+8>>2]&511](a);d=1;return d|0}function wJ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=905480;d=a+4|0;if((d|0)==0){return}a=KU(b|0)|0;e=pU(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;MU(f|0,b|0,a+1|0)|0;return}function xJ(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=905480;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}rU(e)}}while(0);qU(a);return}function yJ(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=905480;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}rU(d);e=a|0;return}function zJ(a){a=a|0;return c[a+4>>2]|0}function AJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;c[b>>2]=905384;e=b+4|0;if((e|0)==0){return}if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=KU(f|0)|0;b=pU(d+13|0)|0;c[b+4>>2]=d;c[b>>2]=d;g=b+12|0;c[e>>2]=g;c[b+8>>2]=0;MU(g|0,f|0,d+1|0)|0;return}function BJ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=905384;d=a+4|0;if((d|0)==0){return}a=KU(b|0)|0;e=pU(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;MU(f|0,b|0,a+1|0)|0;return}function CJ(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=905384;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}rU(e)}}while(0);qU(a);return}function DJ(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=905384;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}rU(d);e=a|0;return}function EJ(a){a=a|0;return c[a+4>>2]|0}function FJ(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=905480;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}rU(e)}}while(0);qU(a);return}function GJ(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=905480;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}rU(e)}}while(0);qU(a);return}function HJ(a){a=a|0;return}function IJ(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=d;c[a+4>>2]=b;return}function JJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;ge[c[(c[a>>2]|0)+12>>2]&15](f,a,b);if((c[f+4>>2]|0)!=(c[d+4>>2]|0)){g=0;i=e;return g|0}g=(c[f>>2]|0)==(c[d>>2]|0);i=e;return g|0}function KJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if((c[b+4>>2]|0)!=(a|0)){e=0;return e|0}e=(c[b>>2]|0)==(d|0);return e|0}function LJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;d=Wc(e|0)|0;e=KU(d|0)|0;if(e>>>0>4294967279>>>0){RJ(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;MU(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=oU(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;MU(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function MJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f=i;i=i+16|0;g=f|0;h=d|0;j=c[h>>2]|0;k=e;do{if((j|0)!=0){l=a[k]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[e+4>>2]|0}if((m|0)==0){n=j}else{wK(e,54120,2)|0;n=c[h>>2]|0}l=c[d+4>>2]|0;ge[c[(c[l>>2]|0)+24>>2]&15](g,l,n);l=g;o=a[l]|0;if((o&1)==0){p=(o&255)>>>1;q=g+1|0}else{p=c[g+4>>2]|0;q=c[g+8>>2]|0}wK(e,q,p)|0;if((a[l]&1)==0){break}qU(c[g+8>>2]|0)}}while(0);g=b;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];NU(k|0,0,12)|0;i=f;return}function NJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+32|0;g=d;d=i;i=i+8|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];g=f|0;h=f+16|0;j=KU(e|0)|0;if(j>>>0>4294967279>>>0){RJ(0)}if(j>>>0<11>>>0){a[h]=j<<1;k=h+1|0}else{l=j+16&-16;m=oU(l)|0;c[h+8>>2]=m;c[h>>2]=l|1;c[h+4>>2]=j;k=m}MU(k|0,e|0,j)|0;a[k+j|0]=0;MJ(g,d,h);AJ(b|0,g);if(!((a[g]&1)==0)){qU(c[g+8>>2]|0)}if(!((a[h]&1)==0)){qU(c[h+8>>2]|0)}c[b>>2]=907752;h=d;d=b+8|0;b=c[h+4>>2]|0;c[d>>2]=c[h>>2];c[d+4>>2]=b;i=f;return}function OJ(a){a=a|0;DJ(a|0);qU(a);return}function PJ(a){a=a|0;DJ(a|0);return}function QJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e;if((c[a>>2]|0)==1){do{qb(942576,942552)|0;}while((c[a>>2]|0)==1)}if((c[a>>2]|0)!=0){f;return}c[a>>2]=1;g;Qd[d&511](b);h;c[a>>2]=-1;i;Mc(942576)|0;return}function RJ(a){a=a|0;a=xd(8)|0;wJ(a,898616);c[a>>2]=905448;tc(a|0,911792,50)}function SJ(a){a=a|0;a=xd(8)|0;wJ(a,898616);c[a>>2]=905416;tc(a|0,911776,10)}function TJ(a){a=a|0;NU(a|0,0,12)|0;return}function UJ(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function VJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=d;if((a[e]&1)==0){f=b;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];return}e=c[d+8>>2]|0;f=c[d+4>>2]|0;if(f>>>0>4294967279>>>0){RJ(0)}if(f>>>0<11>>>0){a[b]=f<<1;g=b+1|0}else{d=f+16&-16;h=oU(d)|0;c[b+8>>2]=h;c[b>>2]=d|1;c[b+4>>2]=f;g=h}MU(g|0,e|0,f)|0;a[g+f|0]=0;return}function WJ(b){b=b|0;return(a[b]&1)!=0|0}function XJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(e>>>0>4294967279>>>0){RJ(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;MU(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=oU(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;MU(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function YJ(a){a=a|0;return a|0}function ZJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=KU(d|0)|0;if(e>>>0>4294967279>>>0){RJ(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;MU(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=oU(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;MU(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function _J(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){RJ(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=oU(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}NU(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function $J(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){RJ(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=oU(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}NU(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function aK(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=a[d]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[d+4>>2]|0}if(i>>>0<e>>>0){SJ(0)}if(h){j=d+1|0}else{j=c[d+8>>2]|0}d=j+e|0;j=i-e|0;e=j>>>0<f>>>0?j:f;if(e>>>0>4294967279>>>0){RJ(0)}if(e>>>0<11>>>0){a[b]=e<<1;k=b+1|0;MU(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}else{f=e+16&-16;j=oU(f)|0;c[b+8>>2]=j;c[b>>2]=f|1;c[b+4>>2]=e;k=j;MU(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}}function bK(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}



function cK(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function dK(b){b=b|0;if((a[b]&1)==0){return}qU(c[b+8>>2]|0);return}function eK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((b|0)==(d|0)){return b|0}e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}d=b;e=a[d]|0;if((e&1)==0){h=10;i=e}else{e=c[b>>2]|0;h=(e&-2)-1|0;i=e&255}e=(i&1)==0;if(h>>>0<f>>>0){if(e){j=(i&255)>>>1}else{j=c[b+4>>2]|0}xK(b,h,f-h|0,j,0,j,f,g);return b|0}if(e){k=b+1|0}else{k=c[b+8>>2]|0}QU(k|0,g|0,f|0)|0;a[k+f|0]=0;if((a[d]&1)==0){a[d]=f<<1;return b|0}else{c[b+4>>2]=f;return b|0}return 0}function fK(a,b){a=a|0;b=b|0;return gK(a,b)|0}function gK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=KU(d|0)|0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}xK(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+1|0}else{k=c[b+8>>2]|0}QU(k|0,d|0,e|0)|0;a[k+e|0]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function hK(a,b){a=a|0;b=b|0;c[a+4>>2]=b;return}function iK(a){a=a|0;return a+1|0}function jK(b,c){b=b|0;c=c|0;a[b]=c<<1;return}function kK(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function lK(b){b=b|0;var d=0;if((a[b]&1)==0){d=10;return d|0}d=(c[b>>2]&-2)-1|0;return d|0}function mK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b;g=a[f]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<d>>>0){nK(b,d-i|0,e)|0;return}if(h){a[b+1+d|0]=0;a[f]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function nK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;if((d|0)==0){return b|0}f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<d>>>0){yK(b,h,d-h+j|0,j,j,0,0);k=a[f]|0}else{k=i}if((k&1)==0){l=b+1|0}else{l=c[b+8>>2]|0}NU(l+j|0,e|0,d|0)|0;e=j+d|0;if((a[f]&1)==0){a[f]=e<<1}else{c[b+4>>2]=e}a[l+e|0]=0;return b|0}function oK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=b;f=a[e]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if(h>>>0<d>>>0){nK(b,d-h|0,0)|0;return}if(g){a[b+1+d|0]=0;a[e]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function pK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>4294967279>>>0){RJ(0)}e=b;f=a[e]|0;if((f&1)==0){g=10;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<11>>>0){j=10}else{j=(f+16&-16)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==10){k=b+1|0;l=c[b+8>>2]|0;m=1;n=0}else{f=j+1|0;if(j>>>0>g>>>0){o=oU(f)|0}else{o=oU(f)|0}if((h&1)==0){k=o;l=b+1|0;m=0;n=1;break}else{k=o;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}MU(k|0,l|0,p+1|0)|0;if(m){qU(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function qK(a){a=a|0;var b=0;if(a>>>0<11>>>0){b=10;return b|0}b=(a+16&-16)-1|0;return b|0}function rK(a,b){a=a|0;b=b|0;c[a>>2]=b|1;return}function sK(a,b){a=a|0;b=b|0;c[a+8>>2]=b;return}function tK(b){b=b|0;var d=0;d=b;if((a[d]&1)==0){a[b+1|0]=0;a[d]=0;return}else{a[c[b+8>>2]|0]=0;c[b+4>>2]=0;return}}function uK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}return wK(b,g,f)|0}function vK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=10}if((h|0)==(i|0)){yK(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+1|0;l=h+1|0;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}}function wK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<e>>>0){xK(b,h,e-h+j|0,j,j,0,e,d);return b|0}if((e|0)==0){return b|0}if((i&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}MU(k+j|0,d|0,e)|0;d=j+e|0;if((a[f]&1)==0){a[f]=d<<1}else{c[b+4>>2]=d}a[k+d|0]=0;return b|0}function xK(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((-18-d|0)>>>0<e>>>0){RJ(0)}if((a[b]&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<11>>>0){o=11;break}o=n+16&-16}else{o=-17}}while(0);e=oU(o)|0;if((g|0)!=0){MU(e|0,k|0,g)|0}if((i|0)!=0){MU(e+g|0,j|0,i)|0}j=f-h|0;if((j|0)!=(g|0)){MU(e+(i+g)|0,k+(h+g)|0,j-g|0)|0}if((d|0)==10){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}qU(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}function yK(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((-17-d|0)>>>0<e>>>0){RJ(0)}if((a[b]&1)==0){j=b+1|0}else{j=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<11>>>0){n=11;break}n=m+16&-16}else{n=-17}}while(0);e=oU(n)|0;if((g|0)!=0){MU(e|0,j|0,g)|0}m=f-h|0;if((m|0)!=(g|0)){MU(e+(i+g)|0,j+(h+g)|0,m-g|0)|0}if((d|0)==10){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}qU(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function zK(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;aK(a,b,c,d,0);return}function AK(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function BK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=KU(d|0)|0;g=a[b]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<e>>>0|(i-e|0)>>>0<f>>>0){j=-1;return j|0}if((f|0)==0){j=e;return j|0}if(h){k=b+1|0}else{k=c[b+8>>2]|0}b=k+e|0;h=k+i|0;g=d+f|0;if((h-b|0)<(f|0)){j=-1;return j|0}l=i+(1-f)|0;f=k+l|0;if((l|0)==(e|0)){j=-1;return j|0}e=a[d]|0;l=b;a:while(1){if((a[l]|0)==e<<24>>24){b=d;i=l;do{b=b+1|0;if((b|0)==(g|0)){break a}i=i+1|0;}while((a[i]|0)==(a[b]|0))}b=l+1|0;if((b|0)==(f|0)){j=-1;m=18;break}else{l=b}}if((m|0)==18){return j|0}if((l|0)==(h|0)){j=-1;return j|0}j=l-k|0;return j|0}function CK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=a[b]|0;f=(e&1)==0;if(f){g=(e&255)>>>1}else{g=c[b+4>>2]|0}e=a[d]|0;h=(e&1)==0;if(h){i=(e&255)>>>1}else{i=c[d+4>>2]|0}if(f){j=b+1|0}else{j=c[b+8>>2]|0}if(h){k=d+1|0}else{k=c[d+8>>2]|0}d=i>>>0<g>>>0;h=HU(j,k,d?i:g)|0;if((h|0)==0){return(g>>>0<i>>>0?-1:d&1)|0}else{return h|0}return 0}function DK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=KU(d|0)|0;f=a[b]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if((e|0)==-1){SJ(0);return 0}if(g){i=b+1|0}else{i=c[b+8>>2]|0}b=h>>>0>e>>>0;g=HU(i,d,b?e:h)|0;if((g|0)==0){return(h>>>0<e>>>0?-1:b&1)|0}else{return g|0}return 0}function EK(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if(f>>>0>4294967279>>>0){RJ(0)}if(f>>>0<11>>>0){a[b]=e<<1;g=b+1|0;MU(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}else{i=f+16&-16;f=oU(i)|0;c[b+8>>2]=f;c[b>>2]=i|1;c[b+4>>2]=e;g=f;MU(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}}function FK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(e>>>0>1073741807>>>0){RJ(0)}if(e>>>0<2>>>0){a[b]=e<<1;f=b+4|0;g=LT(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}else{i=e+4&-4;j=oU(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=e;f=j;g=LT(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}}function GK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(d>>>0>1073741807>>>0){RJ(0)}if(d>>>0<2>>>0){a[b]=d<<1;f=b+4|0;g=NT(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}else{i=d+4&-4;j=oU(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=d;f=j;g=NT(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}}function HK(b){b=b|0;if((a[b]&1)==0){return}qU(c[b+8>>2]|0);return}function IK(a,b){a=a|0;b=b|0;return JK(a,b,KT(b)|0)|0}function JK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=1;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}MK(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+4|0}else{k=c[b+8>>2]|0}MT(k,d,e)|0;c[k+(e<<2)>>2]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function KK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>1073741807>>>0){RJ(0)}e=b;f=a[e]|0;if((f&1)==0){g=1;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<2>>>0){j=1}else{j=(f+4&-4)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==1){k=b+4|0;l=c[b+8>>2]|0;m=1;n=0}else{f=(j<<2)+4|0;if(j>>>0>g>>>0){o=oU(f)|0}else{o=oU(f)|0}f=o;if((h&1)==0){k=f;l=b+4|0;m=0;n=1;break}else{k=f;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}LT(k,l,p+1|0)|0;if(m){qU(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function LK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=1}if((h|0)==(i|0)){NK(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+4|0;l=h+1|0;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}}function MK(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((1073741806-d|0)>>>0<e>>>0){RJ(0)}if((a[b]&1)==0){k=b+4|0}else{k=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<2>>>0){o=2;break}o=n+4&-4}else{o=1073741807}}while(0);e=oU(o<<2)|0;if((g|0)!=0){LT(e,k,g)|0}if((i|0)!=0){LT(e+(g<<2)|0,j,i)|0}j=f-h|0;if((j|0)!=(g|0)){LT(e+(i+g<<2)|0,k+(h+g<<2)|0,j-g|0)|0}if((d|0)==1){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}qU(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}function NK(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((1073741807-d|0)>>>0<e>>>0){RJ(0)}if((a[b]&1)==0){j=b+4|0}else{j=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<2>>>0){n=2;break}n=m+4&-4}else{n=1073741807}}while(0);e=oU(n<<2)|0;if((g|0)!=0){LT(e,j,g)|0}m=f-h|0;if((m|0)!=(g|0)){LT(e+(i+g<<2)|0,j+(h+g<<2)|0,m-g|0)|0}if((d|0)==1){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}qU(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function OK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=b;NU(f|0,0,12)|0;g=KU(d|0)|0;h=e;i=a[h]|0;if((i&1)==0){j=(i&255)>>>1}else{j=c[e+4>>2]|0}i=j+g|0;if(i>>>0>4294967279>>>0){RJ(0)}if(i>>>0<11>>>0){a[f]=g<<1;k=b+1|0}else{f=i+16&-16;i=oU(f)|0;c[b+8>>2]=i;c[b>>2]=f|1;c[b+4>>2]=g;k=i}MU(k|0,d|0,g)|0;a[k+g|0]=0;if((a[h]&1)==0){l=e+1|0}else{l=c[e+8>>2]|0}wK(b,l,j)|0;return}function PK(a){a=a|0;return(c[a+16>>2]&5|0)==0|0}function QK(a){a=a|0;return(c[a+16>>2]&5|0)!=0|0}function RK(a,b){a=a|0;b=b|0;SK(a|0,b);return}function SK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;g=(c[b+24>>2]|0)==0;if(g){c[b+16>>2]=d|1}else{c[b+16>>2]=d}if(((g&1|d)&c[b+20>>2]|0)==0){i=e;return}e=xd(16)|0;do{if((a[943696]|0)==0){if(($b(943696)|0)==0){break}c[235426]=907016;Eb(166,941704,s|0)|0}}while(0);b=WU(941704,0,32)|0;c[f>>2]=b&0|1;c[f+4>>2]=K|0;NJ(e,f,888904);c[e>>2]=906152;tc(e|0,912336,44)}function TK(a,b){a=a|0;b=b|0;SK(a|0,c[a+16>>2]|b);return}function UK(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=906128;b=c[a+40>>2]|0;d=a+32|0;e=a+36|0;if((b|0)!=0){f=b;do{f=f-1|0;ge[c[(c[d>>2]|0)+(f<<2)>>2]&15](0,a,c[(c[e>>2]|0)+(f<<2)>>2]|0);}while((f|0)!=0)}NQ(a+28|0);jU(c[d>>2]|0);jU(c[e>>2]|0);jU(c[a+48>>2]|0);jU(c[a+60>>2]|0);return}function VK(a){a=a|0;UK(a|0);qU(a);return}function WK(a){a=a|0;UK(a|0);return}function XK(a){a=a|0;UK(a|0);return}function YK(a){a=a|0;return c[a+24>>2]|0}function ZK(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=b|0;e=a+76|0;f=c[e>>2]|0;if(!((f|0)==-1)){g=f&255;i=b;return g|0}MQ(d,a+28|0);a=PQ(d,943128)|0;f=ce[c[(c[a>>2]|0)+28>>2]&127](a,32)|0;NQ(d);c[e>>2]=f<<24>>24;g=f;i=b;return g|0}function _K(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+8|0;e=d|0;MQ(e,a+28|0);a=PQ(e,943128)|0;f=ce[c[(c[a>>2]|0)+28>>2]&127](a,b)|0;NQ(e);i=d;return f|0}function $K(a,b){a=a|0;b=b|0;MQ(a,b+28|0);return}function aL(a){a=a|0;c[a>>2]=905672;return}function bL(a,b){a=a|0;b=b|0;c[a+24>>2]=b;c[a+16>>2]=(b|0)==0;c[a+20>>2]=0;c[a+4>>2]=4098;c[a+12>>2]=0;c[a+8>>2]=6;b=a+28|0;NU(a+32|0,0,40)|0;if((b|0)==0){return}LQ(b);return}function cL(a){a=a|0;c[a>>2]=907320;NQ(a+4|0);qU(a);return}function dL(a){a=a|0;c[a>>2]=907320;NQ(a+4|0);return}function eL(a){a=a|0;c[a>>2]=907320;NQ(a+4|0);return}function fL(a,b){a=a|0;b=b|0;MQ(a,b+4|0);return}function gL(a){a=a|0;var b=0,e=0,f=0;b=a+12|0;e=c[b>>2]|0;if((e|0)==(c[a+16>>2]|0)){f=Td[c[(c[a>>2]|0)+40>>2]&255](a)|0;return f|0}else{c[b>>2]=e+1;f=d[e]|0;return f|0}return 0}function hL(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==(c[b+28>>2]|0)){g=ce[c[(c[b>>2]|0)+52>>2]&127](b,d&255)|0;return g|0}else{c[e>>2]=f+1;a[f]=d;g=d&255;return g|0}return 0}function iL(a,b,d){a=a|0;b=b|0;d=d|0;return Vd[c[(c[a>>2]|0)+48>>2]&127](a,b,d)|0}function jL(a){a=a|0;c[a>>2]=907320;LQ(a+4|0);NU(a+8|0,0,24)|0;return}function kL(a){a=a|0;return c[a+8>>2]|0}function lL(a){a=a|0;return c[a+12>>2]|0}function mL(a){a=a|0;return c[a+16>>2]|0}function nL(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[d>>2]=(c[d>>2]|0)+b;return}function oL(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a+8>>2]=b;c[a+12>>2]=d;c[a+16>>2]=e;return}function pL(a){a=a|0;return c[a+20>>2]|0}function qL(a){a=a|0;return c[a+24>>2]|0}function rL(a){a=a|0;return c[a+28>>2]|0}function sL(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[d>>2]=(c[d>>2]|0)+b;return}function tL(a,b,d){a=a|0;b=b|0;d=d|0;c[a+24>>2]=b;c[a+20>>2]=b;c[a+28>>2]=d;return}function uL(a,b){a=a|0;b=b|0;return}function vL(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function wL(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function xL(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function yL(a){a=a|0;return 0}function zL(a){a=a|0;return 0}function AL(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;if((e|0)<=0){g=0;return g|0}h=b+12|0;i=b+16|0;j=d;d=0;while(1){k=c[h>>2]|0;if(k>>>0<(c[i>>2]|0)>>>0){c[h>>2]=k+1;l=a[k]|0}else{k=Td[c[(c[f>>2]|0)+40>>2]&255](b)|0;if((k|0)==-1){g=d;m=8;break}l=k&255}a[j]=l;k=d+1|0;if((k|0)<(e|0)){j=j+1|0;d=k}else{g=k;m=8;break}}if((m|0)==8){return g|0}return 0}function BL(a){a=a|0;return-1|0}function CL(a){a=a|0;var b=0,e=0;if((Td[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}e=a+12|0;a=c[e>>2]|0;c[e>>2]=a+1;b=d[a]|0;return b|0}function DL(a,b){a=a|0;b=b|0;return-1|0}function EL(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=b;if((f|0)<=0){h=0;return h|0}i=b+24|0;j=b+28|0;k=0;l=e;while(1){e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){m=a[l]|0;c[i>>2]=e+1;a[e]=m}else{if((ce[c[(c[g>>2]|0)+52>>2]&127](b,d[l]|0)|0)==-1){h=k;n=7;break}}m=k+1|0;if((m|0)<(f|0)){k=m;l=l+1|0}else{h=m;n=7;break}}if((n|0)==7){return h|0}return 0}function FL(a,b){a=a|0;b=b|0;return-1|0}function GL(a){a=a|0;c[a>>2]=907248;NQ(a+4|0);qU(a);return}function HL(a){a=a|0;c[a>>2]=907248;NQ(a+4|0);return}function IL(a,b){a=a|0;b=b|0;return}function JL(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function KL(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function LL(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function ML(a){a=a|0;return 0}function NL(a){a=a|0;return 0}function OL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+12|0;h=a+16|0;i=b;b=0;while(1){j=c[g>>2]|0;if(j>>>0<(c[h>>2]|0)>>>0){c[g>>2]=j+4;k=c[j>>2]|0}else{j=Td[c[(c[e>>2]|0)+40>>2]&255](a)|0;if((j|0)==-1){f=b;l=7;break}else{k=j}}c[i>>2]=k;j=b+1|0;if((j|0)<(d|0)){i=i+4|0;b=j}else{f=j;l=7;break}}if((l|0)==7){return f|0}return 0}function PL(a){a=a|0;return-1|0}function QL(a){a=a|0;var b=0,d=0;if((Td[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}d=a+12|0;a=c[d>>2]|0;c[d>>2]=a+4;b=c[a>>2]|0;return b|0}function RL(a,b){a=a|0;b=b|0;return-1|0}function SL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+24|0;h=a+28|0;i=0;j=b;while(1){b=c[g>>2]|0;if(b>>>0<(c[h>>2]|0)>>>0){k=c[j>>2]|0;c[g>>2]=b+4;c[b>>2]=k}else{if((ce[c[(c[e>>2]|0)+52>>2]&127](a,c[j>>2]|0)|0)==-1){f=i;l=8;break}}k=i+1|0;if((k|0)>=(d|0)){f=k;l=8;break}i=k;j=j+4|0}if((l|0)==8){return f|0}return 0}function TL(a,b){a=a|0;b=b|0;return-1|0}function UL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];c[a+4>>2]=0;b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;NU(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}LQ(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function VL(a){a=a|0;UK(a+8|0);qU(a);return}function WL(a){a=a|0;UK(a+8|0);return}function XL(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;UK(b+(d+8)|0);qU(b+d|0);return}function YL(a){a=a|0;UK(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function ZL(a,b,c){a=a|0;b=b|0;c=c|0;_L(a,b,c);return}function _L(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+8|0;h=g|0;j=d|0;a[j]=0;d=e;k=c[(c[d>>2]|0)-12>>2]|0;l=e;e=c[l+(k+16)>>2]|0;if((e|0)!=0){SK(l+k|0,e|4);i=g;return}e=c[l+(k+72)>>2]|0;if((e|0)!=0){$L(e)|0}do{if(!f){e=c[(c[d>>2]|0)-12>>2]|0;if((c[l+(e+4)>>2]&4096|0)==0){break}MQ(h,l+(e+28)|0);e=PQ(h,943128)|0;NQ(h);k=e+8|0;e=c[l+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;while(1){if((e|0)==0){break}if((c[e+12>>2]|0)==(c[e+16>>2]|0)){m=(Td[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1;n=m?0:e;if((n|0)==0){break}else{o=n}}else{o=e}p=o+12|0;n=c[p>>2]|0;q=o+16|0;if((n|0)==(c[q>>2]|0)){r=(Td[c[(c[o>>2]|0)+36>>2]&255](o)|0)&255}else{r=a[n]|0}if(r<<24>>24<0){s=20;break}if((b[(c[k>>2]|0)+(r<<24>>24<<1)>>1]&8192)==0){s=20;break}n=c[p>>2]|0;if((n|0)==(c[q>>2]|0)){Td[c[(c[o>>2]|0)+40>>2]&255](o)|0;e=o;continue}else{c[p>>2]=n+1;e=o;continue}}if((s|0)==20){if((c[p>>2]|0)==(c[q>>2]|0)){e=(Td[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1;t=e?0:o}else{t=o}if((t|0)!=0){break}}e=c[(c[d>>2]|0)-12>>2]|0;SK(l+e|0,c[l+(e+16)>>2]|6)}}while(0);a[j]=(c[l+((c[(c[d>>2]|0)-12>>2]|0)+16)>>2]|0)==0|0;i=g;return}function $L(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{$L(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Td[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;SK(h+k|0,c[h+(k+16)>>2]|1)}}while(0);oM(e);i=d;return b|0}function aM(b){b=b|0;return(a[b|0]|0)!=0|0}function bM(a){a=a|0;var b=0;b=a+16|0;c[b>>2]=c[b>>2]|1;if((c[a+20>>2]&1|0)==0){return}else{rb()}}function cM(a){a=a|0;UK(a+8|0);qU(a);return}function dM(a){a=a|0;UK(a+8|0);return}function eM(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;UK(b+(d+8)|0);qU(b+d|0);return}function fM(a){a=a|0;UK(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function gM(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{gM(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Td[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;SK(h+k|0,c[h+(k+16)>>2]|1)}}while(0);AM(e);i=d;return b|0}function hM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;NU(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}LQ(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function iM(a){a=a|0;UK(a+4|0);qU(a);return}function jM(a){a=a|0;UK(a+4|0);return}function kM(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;UK(b+(d+4)|0);qU(b+d|0);return}function lM(a){a=a|0;UK(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function mM(b,d){b=b|0;d=d|0;var e=0,f=0;e=b|0;a[e]=0;c[b+4>>2]=d;b=c[(c[d>>2]|0)-12>>2]|0;f=d;if((c[f+(b+16)>>2]|0)!=0){return}d=c[f+(b+72)>>2]|0;if((d|0)!=0){$L(d)|0}a[e]=1;return}function nM(a){a=a|0;oM(a);return}function oM(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(hc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Td[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;SK(d+b|0,c[d+(b+16)>>2]|1);return}function pM(b){b=b|0;return(a[b|0]|0)!=0|0}function qM(a,b){a=a|0;b=b|0;return Td[b&255](a)|0}function rM(b,d){b=b|0;d=+d;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;i=i+40|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=h|0;a[l]=0;c[h+4>>2]=b;m=b;n=c[(c[m>>2]|0)-12>>2]|0;o=b;do{if((c[o+(n+16)>>2]|0)==0){p=c[o+(n+72)>>2]|0;if((p|0)==0){q=n}else{$L(p)|0;q=c[(c[m>>2]|0)-12>>2]|0}a[l]=1;MQ(j,o+(q+28)|0);p=PQ(j,942776)|0;NQ(j);r=c[(c[m>>2]|0)-12>>2]|0;s=c[o+(r+24)>>2]|0;t=o+(r+76)|0;u=c[t>>2]|0;if((u|0)==-1){MQ(g,o+(r+28)|0);v=PQ(g,943128)|0;w=ce[c[(c[v>>2]|0)+28>>2]&127](v,32)|0;NQ(g);c[t>>2]=w<<24>>24;x=w}else{x=u&255}u=c[(c[p>>2]|0)+32>>2]|0;c[f>>2]=s;Wd[u&15](k,p,f,o+r|0,x,d);if((c[k>>2]|0)!=0){break}r=c[(c[m>>2]|0)-12>>2]|0;SK(o+r|0,c[o+(r+16)>>2]|5)}}while(0);oM(h);i=e;return b|0}function sM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;i=i+8|0;f=e|0;g=f|0;a[g]=0;c[f+4>>2]=b;h=b;j=c[h>>2]|0;k=c[j-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)==0){n=j;o=k}else{$L(m)|0;m=c[h>>2]|0;n=m;o=c[m-12>>2]|0}a[g]=1;m=c[l+(o+24)>>2]|0;p=m;if((m|0)==0){q=n}else{r=m+24|0;s=c[r>>2]|0;if((s|0)!=(c[m+28>>2]|0)){c[r>>2]=s+1;a[s]=d;break}if(!((ce[c[(c[m>>2]|0)+52>>2]&127](p,d&255)|0)==-1)){break}q=c[h>>2]|0}p=c[q-12>>2]|0;SK(l+p|0,c[l+(p+16)>>2]|1)}}while(0);oM(f);i=e;return b|0}function tM(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=g|0;a[h]=0;c[g+4>>2]=b;j=b;k=c[(c[j>>2]|0)-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)!=0){$L(m)|0}a[h]=1;if((e|0)==0){break}m=c[l+((c[(c[j>>2]|0)-12>>2]|0)+24)>>2]|0;if((Vd[c[(c[m>>2]|0)+48>>2]&127](m,d,e)|0)==(e|0)){break}m=c[(c[j>>2]|0)-12>>2]|0;SK(l+m|0,c[l+(m+16)>>2]|1)}}while(0);oM(g);i=f;return b|0}function uM(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[(c[b>>2]|0)-12>>2]|0;e=b;if((c[e+(d+16)>>2]&5|0)==0){b=c[e+(d+24)>>2]|0;Yd[c[(c[b>>2]|0)+16>>2]&63](a,b,0,0,1,16);return}else{b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;return}}function vM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+40|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=e+16|0;h=e+24|0;j=g|0;a[j]=0;c[g+4>>2]=b;k=b;l=c[(c[k>>2]|0)-12>>2]|0;m=b;if((c[m+(l+16)>>2]|0)!=0){oM(g);i=e;return b|0}n=c[m+(l+72)>>2]|0;if((n|0)==0){o=l}else{$L(n)|0;o=c[(c[k>>2]|0)-12>>2]|0}a[j]=1;j=c[m+(o+24)>>2]|0;o=d;d=f;n=c[(c[j>>2]|0)+20>>2]|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];je[n&63](h,j,f,16);f=h+8|0;if(!((c[f>>2]|0)==(-1|0)&(c[f+4>>2]|0)==(-1|0))){oM(g);i=e;return b|0}f=c[(c[k>>2]|0)-12>>2]|0;SK(m+f|0,c[m+(f+16)>>2]|4);oM(g);i=e;return b|0}function wM(a){a=a|0;UK(a+4|0);qU(a);return}function xM(a){a=a|0;UK(a+4|0);return}function yM(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;UK(b+(d+4)|0);qU(b+d|0);return}function zM(a){a=a|0;UK(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function AM(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(hc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Td[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;SK(d+b|0,c[d+(b+16)>>2]|1);return}function BM(a){a=a|0;return 891608}function CM(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)==1){XJ(a,899608,35);return}else{LJ(a,b|0,c);return}}function DM(a){a=a|0;HJ(a|0);return}function EM(a){a=a|0;PJ(a|0);qU(a);return}function FM(a){a=a|0;PJ(a|0);return}function GM(a){a=a|0;UK(a);qU(a);return}function HM(a){a=a|0;HJ(a|0);qU(a);return}function IM(a){a=a|0;tJ(a|0);qU(a);return}function JM(a){a=a|0;tJ(a|0);return}function KM(a){a=a|0;tJ(a|0);return}function LM(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=c}else{b=c;h=e;while(1){if((b|0)==(d|0)){i=-1;j=7;break}k=a[b]|0;l=a[h]|0;if(k<<24>>24<l<<24>>24){i=-1;j=7;break}if(l<<24>>24<k<<24>>24){i=1;j=7;break}k=b+1|0;l=h+1|0;if((l|0)==(f|0)){g=k;break a}else{b=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function MM(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=e;g=f-d|0;if(g>>>0>4294967279>>>0){RJ(b)}if(g>>>0<11>>>0){a[b]=g<<1;h=b+1|0}else{i=g+16&-16;j=oU(i)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=g;h=j}if((e|0)==(f|0)){k=h;a[k]=0;return}else{l=h;m=e}while(1){a[l]=a[m]|0;e=m+1|0;if((e|0)==(f|0)){break}else{l=l+1|0;m=e}}k=h+(f+(-d|0))|0;a[k]=0;return}function NM(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if((c|0)==(d|0)){e=0;return e|0}else{f=c;g=0}while(1){c=(a[f]|0)+(g<<4)|0;b=c&-268435456;h=(b>>>24|b)^c;c=f+1|0;if((c|0)==(d|0)){e=h;break}else{f=c;g=h}}return e|0}function OM(a){a=a|0;tJ(a|0);qU(a);return}function PM(a){a=a|0;tJ(a|0);return}function QM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=b}else{a=b;h=e;while(1){if((a|0)==(d|0)){i=-1;j=7;break}k=c[a>>2]|0;l=c[h>>2]|0;if((k|0)<(l|0)){i=-1;j=7;break}if((l|0)<(k|0)){i=1;j=7;break}k=a+4|0;l=h+4|0;if((l|0)==(f|0)){g=k;break a}else{a=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function RM(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;d=e;g=f-d|0;h=g>>2;if(h>>>0>1073741807>>>0){RJ(b)}if(h>>>0<2>>>0){a[b]=g>>>1;i=b+4|0}else{g=h+4&-4;j=oU(g<<2)|0;c[b+8>>2]=j;c[b>>2]=g|1;c[b+4>>2]=h;i=j}if((e|0)==(f|0)){k=i;c[k>>2]=0;return}j=f-4+(-d|0)|0;d=i;h=e;while(1){c[d>>2]=c[h>>2];e=h+4|0;if((e|0)==(f|0)){break}else{d=d+4|0;h=e}}k=i+((j>>>2)+1<<2)|0;c[k>>2]=0;return}function SM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((b|0)==(d|0)){e=0;return e|0}else{f=b;g=0}while(1){b=(c[f>>2]|0)+(g<<4)|0;a=b&-268435456;h=(a>>>24|a)^b;b=f+4|0;if((b|0)==(d|0)){e=h;break}else{f=b;g=h}}return e|0}function TM(a){a=a|0;tJ(a|0);qU(a);return}function UM(a){a=a|0;tJ(a|0);return}function VM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];$d[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==1){a[j]=1}else if((w|0)==0){a[j]=0}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}$K(r,g);q=r|0;r=c[q>>2]|0;if(!((c[235782]|0)==-1)){c[m>>2]=943128;c[m+4>>2]=20;c[m+8>>2]=0;QJ(943128,m,124)}m=(c[235783]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;vJ(c[q>>2]|0)|0;$K(s,g);n=s|0;p=c[n>>2]|0;if(!((c[235686]|0)==-1)){c[l>>2]=942744;c[l+4>>2]=20;c[l+8>>2]=0;QJ(942744,l,124)}d=(c[235687]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;vJ(c[n>>2]|0)|0;z=t|0;A=x;Rd[c[(c[A>>2]|0)+24>>2]&127](z,y);Rd[c[(c[A>>2]|0)+28>>2]&127](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(WM(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];dK(t+12|0);dK(t|0);i=k;return}}while(0);o=xd(4)|0;PT(o);tc(o|0,911744,178)}}while(0);k=xd(4)|0;PT(k);tc(k|0,911744,178)}function WM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=iU(l)|0;if((n|0)!=0){o=n;p=n;break}vU();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=0}else{if((c[q+12>>2]|0)!=(c[q+16>>2]|0)){y=q;break}if((Td[c[(c[q>>2]|0)+36>>2]&255](q)|0)==-1){c[t>>2]=0;y=0;break}else{y=c[t>>2]|0;break}}}while(0);q=(y|0)==0;l=c[b>>2]|0;do{if((l|0)==0){z=0}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){z=l;break}if(!((Td[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){z=l;break}c[b>>2]=0;z=0}}while(0);A=(z|0)==0;B=c[t>>2]|0;if(!((q^A)&(r|0)!=0)){break}l=c[B+12>>2]|0;if((l|0)==(c[B+16>>2]|0)){C=(Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{C=a[l]|0}if(j){D=C}else{D=ce[c[(c[d>>2]|0)+12>>2]&127](g,C)|0}l=s+1|0;if(m){s=l;w=w;r=r;continue}b:do{if(j){x=r;n=w;v=o;u=0;E=e;while(1){do{if((a[v]|0)==1){F=a[E]|0;G=(F&1)==0;if(G){H=E+1|0}else{H=c[E+8>>2]|0}if(!(D<<24>>24==(a[H+s|0]|0))){a[v]=0;I=u;J=n;K=x-1|0;break}if(G){L=(F&255)>>>1}else{L=c[E+4>>2]|0}if((L|0)!=(l|0)){I=1;J=n;K=x;break}a[v]=2;I=1;J=n+1|0;K=x-1|0}else{I=u;J=n;K=x}}while(0);F=E+12|0;if((F|0)==(f|0)){M=K;N=J;O=I;break b}x=K;n=J;v=v+1|0;u=I;E=F}}else{E=r;u=w;v=o;n=0;x=e;while(1){do{if((a[v]|0)==1){F=x;if((a[F]&1)==0){P=x+1|0}else{P=c[x+8>>2]|0}if(!(D<<24>>24==(ce[c[(c[d>>2]|0)+12>>2]&127](g,a[P+s|0]|0)|0)<<24>>24)){a[v]=0;Q=n;R=u;S=E-1|0;break}G=a[F]|0;if((G&1)==0){T=(G&255)>>>1}else{T=c[x+4>>2]|0}if((T|0)!=(l|0)){Q=1;R=u;S=E;break}a[v]=2;Q=1;R=u+1|0;S=E-1|0}else{Q=n;R=u;S=E}}while(0);G=x+12|0;if((G|0)==(f|0)){M=S;N=R;O=Q;break b}E=S;u=R;v=v+1|0;n=Q;x=G}}}while(0);if(!O){s=l;w=N;r=M;continue}q=c[t>>2]|0;x=q+12|0;n=c[x>>2]|0;if((n|0)==(c[q+16>>2]|0)){Td[c[(c[q>>2]|0)+40>>2]&255](q)|0}else{c[x>>2]=n+1}if((M+N|0)>>>0<2>>>0){s=l;w=N;r=M;continue}else{U=N;V=o;W=e}while(1){do{if((a[V]|0)==2){n=a[W]|0;if((n&1)==0){X=(n&255)>>>1}else{X=c[W+4>>2]|0}if((X|0)==(l|0)){Y=U;break}a[V]=0;Y=U-1|0}else{Y=U}}while(0);n=W+12|0;if((n|0)==(f|0)){s=l;w=Y;r=M;continue a}else{U=Y;V=V+1|0;W=n}}}do{if((B|0)==0){Z=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){Z=B;break}if((Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1){c[t>>2]=0;Z=0;break}else{Z=c[t>>2]|0;break}}}while(0);t=(Z|0)==0;do{if(A){_=91}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(t){break}else{_=93;break}}if((Td[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[b>>2]=0;_=91;break}else{if(t){break}else{_=93;break}}}}while(0);if((_|0)==91){if(t){_=93}}if((_|0)==93){c[h>>2]=c[h>>2]|2}c:do{if(m){_=98}else{t=o;b=e;while(1){if((a[t]|0)==2){$=b;break c}z=b+12|0;if((z|0)==(f|0)){_=98;break c}t=t+1|0;b=z}}}while(0);if((_|0)==98){c[h>>2]=c[h>>2]|4;$=f}if((p|0)==0){i=k;return $|0}jU(p);i=k;return $|0}function XM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];YM(a,0,j,k,f,g,h);i=b;return}function YM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;ON(m,g,s,l);g=n;NU(g|0,0,12)|0;mK(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Td[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}mK(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}mK(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((oN(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Td[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=KS(F,c[o>>2]|0,h,t)|0;$P(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}if((Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}function ZM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];_M(a,0,j,k,f,g,h);i=b;return}function _M(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;ON(m,g,s,l);g=n;NU(g|0,0,12)|0;mK(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Td[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}mK(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}mK(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((oN(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Td[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=JS(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;$P(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;dK(n);dK(m);i=d;return}if((Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;dK(n);dK(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;dK(n);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;dK(n);dK(m);i=d;return}function $M(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];aN(a,0,j,k,f,g,h);i=b;return}function aN(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=i;i=i+256|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+32|0;n=e+40|0;o=e+56|0;p=e+72|0;q=e+80|0;r=e+240|0;s=e+248|0;t=c[h+4>>2]&74;if((t|0)==8){u=16}else if((t|0)==0){u=0}else if((t|0)==64){u=8}else{u=10}t=l|0;ON(n,h,t,m);h=o;NU(h|0,0,12)|0;mK(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=a[m]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=0}else{if((c[v+12>>2]|0)!=(c[v+16>>2]|0)){B=v;break}if(!((Td[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){B=v;break}c[y>>2]=0;B=0}}while(0);C=(B|0)==0;D=c[f>>2]|0;do{if((D|0)==0){E=21}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){if(C){F=D;break}else{G=m;H=D;break a}}if((Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1){c[f>>2]=0;E=21;break}else{if(C){F=D;break}else{G=m;H=D;break a}}}}while(0);if((E|0)==21){E=0;if(C){G=m;H=0;break}else{F=0}}D=a[h]|0;I=(D&1)==0;if(I){J=(D&255)>>>1}else{J=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(J|0)){if(I){K=(D&255)>>>1;L=(D&255)>>>1}else{D=c[z>>2]|0;K=D;L=D}mK(o,K<<1,0);if((a[h]&1)==0){M=10}else{M=(c[g>>2]&-2)-1|0}mK(o,M,0);if((a[h]&1)==0){N=w}else{N=c[x>>2]|0}c[p>>2]=N+L;O=N}else{O=m}D=B+12|0;I=c[D>>2]|0;P=B+16|0;if((I|0)==(c[P>>2]|0)){Q=(Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{Q=a[I]|0}if((oN(Q,u,O,p,s,A,n,l,r,t)|0)!=0){G=O;H=F;break}I=c[D>>2]|0;if((I|0)==(c[P>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;m=O;v=B;continue}else{c[D>>2]=I+1;m=O;v=B;continue}}v=a[n]|0;if((v&1)==0){R=(v&255)>>>1}else{R=c[n+4>>2]|0}do{if((R|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}O=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=O}}while(0);b[k>>1]=IS(G,c[p>>2]|0,j,u)|0;$P(n,l,c[r>>2]|0,j);do{if((B|0)==0){S=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){S=B;break}if(!((Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){S=B;break}c[y>>2]=0;S=0}}while(0);y=(S|0)==0;do{if((H|0)==0){E=66}else{if((c[H+12>>2]|0)!=(c[H+16>>2]|0)){if(!y){break}T=d|0;c[T>>2]=S;dK(o);dK(n);i=e;return}if((Td[c[(c[H>>2]|0)+36>>2]&255](H)|0)==-1){c[f>>2]=0;E=66;break}if(!(y^(H|0)==0)){break}T=d|0;c[T>>2]=S;dK(o);dK(n);i=e;return}}while(0);do{if((E|0)==66){if(y){break}T=d|0;c[T>>2]=S;dK(o);dK(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;T=d|0;c[T>>2]=S;dK(o);dK(n);i=e;return}function bN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];cN(a,0,j,k,f,g,h);i=b;return}function cN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;ON(m,g,s,l);g=n;NU(g|0,0,12)|0;mK(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Td[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}mK(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}mK(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((oN(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Td[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=HS(F,c[o>>2]|0,h,t)|0;$P(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}if((Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}function dN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];eN(a,0,j,k,f,g,h);i=b;return}function eN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;ON(m,g,s,l);g=n;NU(g|0,0,12)|0;mK(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Td[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}mK(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}mK(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((oN(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Td[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=GS(F,c[o>>2]|0,h,t)|0;$P(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}if((Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;dK(n);dK(m);i=d;return}function fN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];gN(a,0,j,k,f,g,h);i=b;return}function gN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;ON(m,g,s,l);g=n;NU(g|0,0,12)|0;mK(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Td[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}mK(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}mK(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((oN(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Td[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=FS(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;$P(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;dK(n);dK(m);i=d;return}if((Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;dK(n);dK(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;dK(n);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;dK(n);dK(m);i=d;return}function hN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];iN(a,0,j,k,f,g,h);i=b;return}function iN(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;PN(n,h,v,l,m);h=o;NU(h|0,0,12)|0;mK(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Td[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[h]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}mK(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}mK(o,O,0);if((a[h]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((QN(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Td[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);g[k>>2]=+ES(I,c[p>>2]|0,j);$P(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}if((Td[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}function jN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];kN(a,0,j,k,f,g,h);i=b;return}function kN(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;PN(n,g,v,l,m);g=o;NU(g|0,0,12)|0;mK(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Td[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}mK(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}mK(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((QN(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Td[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+DS(I,c[p>>2]|0,j);$P(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}if((Td[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}function lN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];mN(a,0,j,k,f,g,h);i=b;return}function mN(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;PN(n,g,v,l,m);g=o;NU(g|0,0,12)|0;mK(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Td[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}mK(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}mK(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((QN(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Td[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+CS(I,c[p>>2]|0,j);$P(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}if((Td[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;dK(o);dK(n);i=d;return}function nN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+272|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+48|0;n=d+64|0;o=d+72|0;p=d+88|0;q=d+96|0;r=d+256|0;s=d+264|0;NU(m|0,0,12)|0;$K(n,g);g=n|0;n=c[g>>2]|0;if(!((c[235782]|0)==-1)){c[k>>2]=943128;c[k+4>>2]=20;c[k+8>>2]=0;QJ(943128,k,124)}k=(c[235783]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;fe[c[(c[u>>2]|0)+32>>2]&127](u,913504,913530,v)|0;vJ(c[g>>2]|0)|0;u=o;NU(u|0,0,12)|0;mK(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){G=F;break}if(!((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){G=F;break}c[A>>2]=0;G=0}}while(0);H=(G|0)==0;I=c[B>>2]|0;do{if((I|0)==0){J=25}else{if((c[I+12>>2]|0)!=(c[I+16>>2]|0)){if(H){break}else{K=E;break a}}if((Td[c[(c[I>>2]|0)+36>>2]&255](I)|0)==-1){c[B>>2]=0;J=25;break}else{if(H){break}else{K=E;break a}}}}while(0);if((J|0)==25){J=0;if(H){K=E;break}}I=a[u]|0;L=(I&1)==0;if(L){M=(I&255)>>>1}else{M=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(M|0)){if(L){N=(I&255)>>>1;O=(I&255)>>>1}else{I=c[D>>2]|0;N=I;O=I}mK(o,N<<1,0);if((a[u]&1)==0){P=10}else{P=(c[C>>2]&-2)-1|0}mK(o,P,0);if((a[u]&1)==0){Q=y}else{Q=c[z>>2]|0}c[p>>2]=Q+O;R=Q}else{R=E}I=G+12|0;L=c[I>>2]|0;S=G+16|0;if((L|0)==(c[S>>2]|0)){T=(Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)&255}else{T=a[L]|0}if((oN(T,16,R,p,s,0,m,w,r,v)|0)!=0){K=R;break}L=c[I>>2]|0;if((L|0)==(c[S>>2]|0)){Td[c[(c[G>>2]|0)+40>>2]&255](G)|0;E=R;F=G;continue}else{c[I>>2]=L+1;E=R;F=G;continue}}a[K+3|0]=0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);F=pN(K,c[235424]|0,47896,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){U=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){U=F;break}if(!((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){U=F;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;F=c[B>>2]|0;do{if((F|0)==0){J=73}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;dK(o);dK(m);i=d;return}if((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[B>>2]=0;J=73;break}if(!(A^(F|0)==0)){break}V=b|0;c[V>>2]=U;dK(o);dK(m);i=d;return}}while(0);do{if((J|0)==73){if(A){break}V=b|0;c[V>>2]=U;dK(o);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;V=b|0;c[V>>2]=U;dK(o);dK(m);i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function oN(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(a[l+24|0]|0)==b<<24>>24;if(!o){if(!((a[l+25|0]|0)==b<<24>>24)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&b<<24>>24==h<<24>>24){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+26|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((a[h]|0)==b<<24>>24){r=h;break}else{h=h+1|0}}h=r-l|0;if((h|0)>23){p=-1;return p|0}do{if((d|0)==8|(d|0)==10){if((h|0)<(d|0)){break}else{p=-1}return p|0}else if((d|0)==16){if((h|0)<22){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;l=a[913504+h|0]|0;c[f>>2]=m+1;a[m]=l;p=0;return p|0}}while(0);e=a[913504+h|0]|0;c[f>>2]=m+1;a[m]=e;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function pN(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=cd(b|0)|0;b=zb(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}cd(h|0)|0;i=f;return b|0}function qN(a){a=a|0;tJ(a|0);qU(a);return}function rN(a){a=a|0;tJ(a|0);return}function sN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];$d[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==0){a[j]=0}else if((w|0)==1){a[j]=1}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}$K(r,g);q=r|0;r=c[q>>2]|0;if(!((c[235780]|0)==-1)){c[m>>2]=943120;c[m+4>>2]=20;c[m+8>>2]=0;QJ(943120,m,124)}m=(c[235781]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;vJ(c[q>>2]|0)|0;$K(s,g);n=s|0;p=c[n>>2]|0;if(!((c[235684]|0)==-1)){c[l>>2]=942736;c[l+4>>2]=20;c[l+8>>2]=0;QJ(942736,l,124)}d=(c[235685]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;vJ(c[n>>2]|0)|0;z=t|0;A=x;Rd[c[(c[A>>2]|0)+24>>2]&127](z,y);Rd[c[(c[A>>2]|0)+28>>2]&127](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(tN(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];HK(t+12|0);HK(t|0);i=k;return}}while(0);o=xd(4)|0;PT(o);tc(o|0,911744,178)}}while(0);k=xd(4)|0;PT(k);tc(k|0,911744,178)}function tN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=iU(l)|0;if((n|0)!=0){o=n;p=n;break}vU();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=1}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){z=Td[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{z=c[l>>2]|0}if((z|0)==-1){c[t>>2]=0;y=1;break}else{y=(c[t>>2]|0)==0;break}}}while(0);q=c[b>>2]|0;do{if((q|0)==0){A=1;B=0}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){C=Td[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{C=c[l>>2]|0}if(!((C|0)==-1)){A=0;B=q;break}c[b>>2]=0;A=1;B=0}}while(0);D=c[t>>2]|0;if(!((y^A)&(r|0)!=0)){break}q=c[D+12>>2]|0;if((q|0)==(c[D+16>>2]|0)){E=Td[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{E=c[q>>2]|0}if(j){F=E}else{F=ce[c[(c[d>>2]|0)+28>>2]&127](g,E)|0}q=s+1|0;if(m){s=q;w=w;r=r;continue}b:do{if(j){l=r;x=w;n=o;v=0;u=e;while(1){do{if((a[n]|0)==1){G=a[u]|0;H=(G&1)==0;if(H){I=u+4|0}else{I=c[u+8>>2]|0}if((F|0)!=(c[I+(s<<2)>>2]|0)){a[n]=0;J=v;K=x;L=l-1|0;break}if(H){M=(G&255)>>>1}else{M=c[u+4>>2]|0}if((M|0)!=(q|0)){J=1;K=x;L=l;break}a[n]=2;J=1;K=x+1|0;L=l-1|0}else{J=v;K=x;L=l}}while(0);G=u+12|0;if((G|0)==(f|0)){N=L;O=K;P=J;break b}l=L;x=K;n=n+1|0;v=J;u=G}}else{u=r;v=w;n=o;x=0;l=e;while(1){do{if((a[n]|0)==1){G=l;if((a[G]&1)==0){Q=l+4|0}else{Q=c[l+8>>2]|0}if((F|0)!=(ce[c[(c[d>>2]|0)+28>>2]&127](g,c[Q+(s<<2)>>2]|0)|0)){a[n]=0;R=x;S=v;T=u-1|0;break}H=a[G]|0;if((H&1)==0){U=(H&255)>>>1}else{U=c[l+4>>2]|0}if((U|0)!=(q|0)){R=1;S=v;T=u;break}a[n]=2;R=1;S=v+1|0;T=u-1|0}else{R=x;S=v;T=u}}while(0);H=l+12|0;if((H|0)==(f|0)){N=T;O=S;P=R;break b}u=T;v=S;n=n+1|0;x=R;l=H}}}while(0);if(!P){s=q;w=O;r=N;continue}l=c[t>>2]|0;x=l+12|0;n=c[x>>2]|0;if((n|0)==(c[l+16>>2]|0)){Td[c[(c[l>>2]|0)+40>>2]&255](l)|0}else{c[x>>2]=n+4}if((N+O|0)>>>0<2>>>0){s=q;w=O;r=N;continue}else{V=O;W=o;X=e}while(1){do{if((a[W]|0)==2){n=a[X]|0;if((n&1)==0){Y=(n&255)>>>1}else{Y=c[X+4>>2]|0}if((Y|0)==(q|0)){Z=V;break}a[W]=0;Z=V-1|0}else{Z=V}}while(0);n=X+12|0;if((n|0)==(f|0)){s=q;w=Z;r=N;continue a}else{V=Z;W=W+1|0;X=n}}}do{if((D|0)==0){_=1}else{X=c[D+12>>2]|0;if((X|0)==(c[D+16>>2]|0)){$=Td[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{$=c[X>>2]|0}if(($|0)==-1){c[t>>2]=0;_=1;break}else{_=(c[t>>2]|0)==0;break}}}while(0);do{if((B|0)==0){aa=93}else{t=c[B+12>>2]|0;if((t|0)==(c[B+16>>2]|0)){ba=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{ba=c[t>>2]|0}if((ba|0)==-1){c[b>>2]=0;aa=93;break}else{if(_){break}else{aa=95;break}}}}while(0);if((aa|0)==93){if(_){aa=95}}if((aa|0)==95){c[h>>2]=c[h>>2]|2}c:do{if(m){aa=100}else{_=o;b=e;while(1){if((a[_]|0)==2){ca=b;break c}ba=b+12|0;if((ba|0)==(f|0)){aa=100;break c}_=_+1|0;b=ba}}}while(0);if((aa|0)==100){c[h>>2]=c[h>>2]|4;ca=f}if((p|0)==0){i=k;return ca|0}jU(p);i=k;return ca|0}function uN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];vN(a,0,j,k,f,g,h);i=b;return}function vN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;RN(m,g,s,l);g=n;NU(g|0,0,12)|0;mK(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Td[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}mK(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}mK(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((NN(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=KS(I,c[o>>2]|0,h,t)|0;$P(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Td[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;dK(n);dK(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;dK(n);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;dK(n);dK(m);i=d;return}function wN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];xN(a,0,j,k,f,g,h);i=b;return}function xN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==0){t=0}else if((s|0)==8){t=16}else{t=10}s=k|0;RN(m,g,s,l);g=n;NU(g|0,0,12)|0;mK(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Td[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}mK(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}mK(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((NN(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=JS(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;$P(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Td[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;dK(n);dK(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;dK(n);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;dK(n);dK(m);i=d;return}function yN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];zN(a,0,j,k,f,g,h);i=b;return}function zN(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=i;i=i+328|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+104|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+152|0;r=e+312|0;s=e+320|0;t=c[h+4>>2]&74;if((t|0)==8){u=16}else if((t|0)==0){u=0}else if((t|0)==64){u=8}else{u=10}t=l|0;RN(n,h,t,m);h=o;NU(h|0,0,12)|0;mK(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=c[m>>2]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=1;C=0}else{D=c[v+12>>2]|0;if((D|0)==(c[v+16>>2]|0)){E=Td[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{E=c[D>>2]|0}if(!((E|0)==-1)){B=0;C=v;break}c[y>>2]=0;B=1;C=0}}while(0);D=c[f>>2]|0;do{if((D|0)==0){F=22}else{G=c[D+12>>2]|0;if((G|0)==(c[D+16>>2]|0)){H=Td[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{H=c[G>>2]|0}if((H|0)==-1){c[f>>2]=0;F=22;break}else{if(B){I=D;break}else{J=m;K=D;break a}}}}while(0);if((F|0)==22){F=0;if(B){J=m;K=0;break}else{I=0}}D=a[h]|0;G=(D&1)==0;if(G){L=(D&255)>>>1}else{L=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(G){M=(D&255)>>>1;N=(D&255)>>>1}else{D=c[z>>2]|0;M=D;N=D}mK(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[g>>2]&-2)-1|0}mK(o,O,0);if((a[h]&1)==0){P=w}else{P=c[x>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}D=C+12|0;G=c[D>>2]|0;R=C+16|0;if((G|0)==(c[R>>2]|0)){S=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{S=c[G>>2]|0}if((NN(S,u,Q,p,s,A,n,l,r,t)|0)!=0){J=Q;K=I;break}G=c[D>>2]|0;if((G|0)==(c[R>>2]|0)){Td[c[(c[C>>2]|0)+40>>2]&255](C)|0;m=Q;v=C;continue}else{c[D>>2]=G+4;m=Q;v=C;continue}}v=a[n]|0;if((v&1)==0){T=(v&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=Q}}while(0);b[k>>1]=IS(J,c[p>>2]|0,j,u)|0;$P(n,l,c[r>>2]|0,j);do{if((C|0)==0){U=1;V=0}else{r=c[C+12>>2]|0;if((r|0)==(c[C+16>>2]|0)){W=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{W=c[r>>2]|0}if(!((W|0)==-1)){U=0;V=C;break}c[y>>2]=0;U=1;V=0}}while(0);do{if((K|0)==0){F=67}else{y=c[K+12>>2]|0;if((y|0)==(c[K+16>>2]|0)){X=Td[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{X=c[y>>2]|0}if((X|0)==-1){c[f>>2]=0;F=67;break}if(!U){break}Y=d|0;c[Y>>2]=V;dK(o);dK(n);i=e;return}}while(0);do{if((F|0)==67){if(U){break}Y=d|0;c[Y>>2]=V;dK(o);dK(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;Y=d|0;c[Y>>2]=V;dK(o);dK(n);i=e;return}function AN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];BN(a,0,j,k,f,g,h);i=b;return}function BN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;RN(m,g,s,l);g=n;NU(g|0,0,12)|0;mK(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Td[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}mK(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}mK(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((NN(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=HS(I,c[o>>2]|0,h,t)|0;$P(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Td[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;dK(n);dK(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;dK(n);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;dK(n);dK(m);i=d;return}function CN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];DN(a,0,j,k,f,g,h);i=b;return}function DN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;RN(m,g,s,l);g=n;NU(g|0,0,12)|0;mK(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Td[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}mK(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}mK(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((NN(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=GS(I,c[o>>2]|0,h,t)|0;$P(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Td[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;dK(n);dK(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;dK(n);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;dK(n);dK(m);i=d;return}function EN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];FN(a,0,j,k,f,g,h);i=b;return}function FN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==64){t=8}else if((s|0)==8){t=16}else{t=10}s=k|0;RN(m,g,s,l);g=n;NU(g|0,0,12)|0;mK(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Td[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}mK(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}mK(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((NN(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=FS(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;$P(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Td[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;dK(n);dK(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;dK(n);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;dK(n);dK(m);i=d;return}function GN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];HN(a,0,j,k,f,g,h);i=b;return}function HN(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;SN(n,h,v,l,m);h=o;NU(h|0,0,12)|0;mK(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Td[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Td[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[h]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}mK(o,O<<1,0);if((a[h]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}mK(o,Q,0);if((a[h]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((TN(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Td[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);g[k>>2]=+ES(L,c[p>>2]|0,j);$P(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Td[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;dK(o);dK(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;dK(o);dK(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;dK(o);dK(n);i=d;return}function IN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];JN(a,0,j,k,f,g,h);i=b;return}function JN(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;SN(n,g,v,l,m);g=o;NU(g|0,0,12)|0;mK(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Td[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Td[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}mK(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}mK(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((TN(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Td[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+DS(L,c[p>>2]|0,j);$P(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Td[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;dK(o);dK(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;dK(o);dK(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;dK(o);dK(n);i=d;return}function KN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];LN(a,0,j,k,f,g,h);i=b;return}function LN(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;SN(n,g,v,l,m);g=o;NU(g|0,0,12)|0;mK(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Td[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Td[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}mK(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}mK(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((TN(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Td[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+CS(L,c[p>>2]|0,j);$P(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Td[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;dK(o);dK(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;dK(o);dK(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;dK(o);dK(n);i=d;return}function MN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+344|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+120|0;n=d+136|0;o=d+144|0;p=d+160|0;q=d+168|0;r=d+328|0;s=d+336|0;NU(m|0,0,12)|0;$K(n,g);g=n|0;n=c[g>>2]|0;if(!((c[235780]|0)==-1)){c[k>>2]=943120;c[k+4>>2]=20;c[k+8>>2]=0;QJ(943120,k,124)}k=(c[235781]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;fe[c[(c[u>>2]|0)+48>>2]&127](u,913504,913530,v)|0;vJ(c[g>>2]|0)|0;u=o;NU(u|0,0,12)|0;mK(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=1;H=0}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Td[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if(!((J|0)==-1)){G=0;H=F;break}c[A>>2]=0;G=1;H=0}}while(0);I=c[B>>2]|0;do{if((I|0)==0){K=26}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Td[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if((M|0)==-1){c[B>>2]=0;K=26;break}else{if(G){break}else{N=E;break a}}}}while(0);if((K|0)==26){K=0;if(G){N=E;break}}I=a[u]|0;L=(I&1)==0;if(L){O=(I&255)>>>1}else{O=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(O|0)){if(L){P=(I&255)>>>1;Q=(I&255)>>>1}else{I=c[D>>2]|0;P=I;Q=I}mK(o,P<<1,0);if((a[u]&1)==0){R=10}else{R=(c[C>>2]&-2)-1|0}mK(o,R,0);if((a[u]&1)==0){S=y}else{S=c[z>>2]|0}c[p>>2]=S+Q;T=S}else{T=E}I=H+12|0;L=c[I>>2]|0;U=H+16|0;if((L|0)==(c[U>>2]|0)){V=Td[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{V=c[L>>2]|0}if((NN(V,16,T,p,s,0,m,w,r,v)|0)!=0){N=T;break}L=c[I>>2]|0;if((L|0)==(c[U>>2]|0)){Td[c[(c[H>>2]|0)+40>>2]&255](H)|0;E=T;F=H;continue}else{c[I>>2]=L+4;E=T;F=H;continue}}a[N+3|0]=0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);F=pN(N,c[235424]|0,47896,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){W=1;X=0}else{E=c[F+12>>2]|0;if((E|0)==(c[F+16>>2]|0)){Y=Td[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{Y=c[E>>2]|0}if(!((Y|0)==-1)){W=0;X=F;break}c[A>>2]=0;W=1;X=0}}while(0);A=c[B>>2]|0;do{if((A|0)==0){K=74}else{F=c[A+12>>2]|0;if((F|0)==(c[A+16>>2]|0)){Z=Td[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{Z=c[F>>2]|0}if((Z|0)==-1){c[B>>2]=0;K=74;break}if(!W){break}_=b|0;c[_>>2]=X;dK(o);dK(m);i=d;return}}while(0);do{if((K|0)==74){if(W){break}_=b|0;c[_>>2]=X;dK(o);dK(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;_=b|0;c[_>>2]=X;dK(o);dK(m);i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function NN(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(c[l+96>>2]|0)==(b|0);if(!o){if((c[l+100>>2]|0)!=(b|0)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&(b|0)==(h|0)){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+104|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((c[h>>2]|0)==(b|0)){r=h;break}else{h=h+4|0}}h=r-l|0;l=h>>2;if((h|0)>92){p=-1;return p|0}do{if((d|0)==8|(d|0)==10){if((l|0)<(d|0)){break}else{p=-1}return p|0}else if((d|0)==16){if((h|0)<88){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;r=a[913504+l|0]|0;c[f>>2]=m+1;a[m]=r;p=0;return p|0}}while(0);e=a[913504+l|0]|0;c[f>>2]=m+1;a[m]=e;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function ON(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;$K(k,d);d=k|0;k=c[d>>2]|0;if(!((c[235782]|0)==-1)){c[j>>2]=943128;c[j+4>>2]=20;c[j+8>>2]=0;QJ(943128,j,124)}j=(c[235783]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}fe[c[(c[m>>2]|0)+32>>2]&127](m,913504,913530,e)|0;m=c[d>>2]|0;if(!((c[235686]|0)==-1)){c[h>>2]=942744;c[h+4>>2]=20;c[h+8>>2]=0;QJ(942744,h,124)}n=(c[235687]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;a[f]=Td[c[(c[p>>2]|0)+16>>2]&255](q)|0;Rd[c[(c[p>>2]|0)+20>>2]&127](b,q);vJ(c[d>>2]|0)|0;i=g;return}}while(0);n=xd(4)|0;PT(n);tc(n|0,911744,178)}}while(0);g=xd(4)|0;PT(g);tc(g|0,911744,178)}function PN(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;i=i+40|0;j=h|0;k=h+16|0;l=h+32|0;$K(l,d);d=l|0;l=c[d>>2]|0;if(!((c[235782]|0)==-1)){c[k>>2]=943128;c[k+4>>2]=20;c[k+8>>2]=0;QJ(943128,k,124)}k=(c[235783]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}fe[c[(c[n>>2]|0)+32>>2]&127](n,913504,913536,e)|0;n=c[d>>2]|0;if(!((c[235686]|0)==-1)){c[j>>2]=942744;c[j+4>>2]=20;c[j+8>>2]=0;QJ(942744,j,124)}o=(c[235687]|0)-1|0;p=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-p>>2>>>0>o>>>0){q=c[p+(o<<2)>>2]|0;if((q|0)==0){break}r=q;s=q;a[f]=Td[c[(c[s>>2]|0)+12>>2]&255](r)|0;a[g]=Td[c[(c[s>>2]|0)+16>>2]&255](r)|0;Rd[c[(c[q>>2]|0)+20>>2]&127](b,r);vJ(c[d>>2]|0)|0;i=h;return}}while(0);o=xd(4)|0;PT(o);tc(o|0,911744,178)}}while(0);h=xd(4)|0;PT(h);tc(h|0,911744,178)}function QN(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if(b<<24>>24==h<<24>>24){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if(b<<24>>24==i<<24>>24){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+32|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((a[i]|0)==b<<24>>24){r=i;break}else{i=i+1|0}}i=r-n|0;if((i|0)>31){o=-1;return o|0}n=a[913504+i|0]|0;if((i|0)==25|(i|0)==24){r=c[g>>2]|0;do{if((r|0)!=(f|0)){if((a[r-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=r+1;a[r]=n;o=0;return o|0}else if((i|0)==22|(i|0)==23){a[e]=80;r=c[g>>2]|0;c[g>>2]=r+1;a[r]=n;o=0;return o|0}else{r=a[e]|0;do{if((n&95|0)==(r<<24>>24|0)){a[e]=r|-128;if((a[d]|0)==0){break}a[d]=0;f=a[j]|0;if((f&1)==0){s=(f&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}f=c[l>>2]|0;if((f-k|0)>=160){break}b=c[m>>2]|0;c[l>>2]=f+4;c[f>>2]=b}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=n;if((i|0)>21){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}return 0}function RN(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+40|0;g=f|0;h=f+16|0;j=f+32|0;$K(j,b);b=j|0;j=c[b>>2]|0;if(!((c[235780]|0)==-1)){c[h>>2]=943120;c[h+4>>2]=20;c[h+8>>2]=0;QJ(943120,h,124)}h=(c[235781]|0)-1|0;k=c[j+8>>2]|0;do{if((c[j+12>>2]|0)-k>>2>>>0>h>>>0){l=c[k+(h<<2)>>2]|0;if((l|0)==0){break}fe[c[(c[l>>2]|0)+48>>2]&127](l,913504,913530,d)|0;l=c[b>>2]|0;if(!((c[235684]|0)==-1)){c[g>>2]=942736;c[g+4>>2]=20;c[g+8>>2]=0;QJ(942736,g,124)}m=(c[235685]|0)-1|0;n=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-n>>2>>>0>m>>>0){o=c[n+(m<<2)>>2]|0;if((o|0)==0){break}p=o;c[e>>2]=Td[c[(c[o>>2]|0)+16>>2]&255](p)|0;Rd[c[(c[o>>2]|0)+20>>2]&127](a,p);vJ(c[b>>2]|0)|0;i=f;return}}while(0);m=xd(4)|0;PT(m);tc(m|0,911744,178)}}while(0);f=xd(4)|0;PT(f);tc(f|0,911744,178)}function SN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;$K(k,b);b=k|0;k=c[b>>2]|0;if(!((c[235780]|0)==-1)){c[j>>2]=943120;c[j+4>>2]=20;c[j+8>>2]=0;QJ(943120,j,124)}j=(c[235781]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}fe[c[(c[m>>2]|0)+48>>2]&127](m,913504,913536,d)|0;m=c[b>>2]|0;if(!((c[235684]|0)==-1)){c[h>>2]=942736;c[h+4>>2]=20;c[h+8>>2]=0;QJ(942736,h,124)}n=(c[235685]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;r=p;c[e>>2]=Td[c[(c[r>>2]|0)+12>>2]&255](q)|0;c[f>>2]=Td[c[(c[r>>2]|0)+16>>2]&255](q)|0;Rd[c[(c[p>>2]|0)+20>>2]&127](a,q);vJ(c[b>>2]|0)|0;i=g;return}}while(0);n=xd(4)|0;PT(n);tc(n|0,911744,178)}}while(0);g=xd(4)|0;PT(g);tc(g|0,911744,178)}function TN(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if((b|0)==(h|0)){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if((b|0)==(i|0)){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+128|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((c[i>>2]|0)==(b|0)){r=i;break}else{i=i+4|0}}i=r-n|0;n=i>>2;if((i|0)>124){o=-1;return o|0}r=a[913504+n|0]|0;do{if((n|0)==22|(n|0)==23){a[e]=80}else if((n|0)==25|(n|0)==24){b=c[g>>2]|0;do{if((b|0)!=(f|0)){if((a[b-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=b+1;a[b]=r;o=0;return o|0}else{q=a[e]|0;if((r&95|0)!=(q<<24>>24|0)){break}a[e]=q|-128;if((a[d]|0)==0){break}a[d]=0;q=a[j]|0;if((q&1)==0){s=(q&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}q=c[l>>2]|0;if((q-k|0)>=160){break}p=c[m>>2]|0;c[l>>2]=q+4;c[q>>2]=p}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=r;if((i|0)>84){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}function UN(a){a=a|0;tJ(a|0);qU(a);return}function VN(a){a=a|0;tJ(a|0);return}function WN(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];Yd[o&63](b,d,l,f,g,h&1);i=j;return}$K(m,f);f=m|0;m=c[f>>2]|0;if(!((c[235686]|0)==-1)){c[k>>2]=942744;c[k+4>>2]=20;c[k+8>>2]=0;QJ(942744,k,124)}k=(c[235687]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;vJ(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Rd[c[o+24>>2]&127](n,d)}else{Rd[c[o+28>>2]&127](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+1|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+1|0;r=l}l=e|0;s=n+4|0;t=p;u=o;while(1){if((u&1)==0){v=(u&255)>>>1;w=q}else{v=c[s>>2]|0;w=c[r>>2]|0}if((t|0)==(w+v|0)){break}o=a[t]|0;x=c[l>>2]|0;do{if((x|0)!=0){y=x+24|0;z=c[y>>2]|0;if((z|0)!=(c[x+28>>2]|0)){c[y>>2]=z+1;a[z]=o;break}if(!((ce[c[(c[x>>2]|0)+52>>2]&127](x,o&255)|0)==-1)){break}c[l>>2]=0}}while(0);t=t+1|0;u=a[d]|0}c[b>>2]=c[l>>2];dK(n);i=j;return}}while(0);j=xd(4)|0;PT(j);tc(j|0,911744,178)}function XN(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[905296]|0;a[q+1|0]=a[905297]|0;a[q+2|0]=a[905298]|0;a[q+3|0]=a[905299]|0;a[q+4|0]=a[905300]|0;a[q+5|0]=a[905301]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=k|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);t=YN(u,12,c[235424]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;$K(o,f);ZN(u,w,q,x,m,n,o);vJ(c[o>>2]|0)|0;c[p>>2]=c[e>>2];EG(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function YN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+16|0;h=g|0;j=h;c[j>>2]=f;c[j+4>>2]=0;j=cd(d|0)|0;d=dd(a|0,b|0,e|0,h|0)|0;if((j|0)==0){i=g;return d|0}cd(j|0)|0;i=g;return d|0}function ZN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[235782]|0)==-1)){c[m>>2]=943128;c[m+4>>2]=20;c[m+8>>2]=0;QJ(943128,m,124)}m=(c[235783]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;PT(r);tc(q|0,911744,178)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;PT(r);tc(q|0,911744,178)}q=j;r=c[o>>2]|0;if(!((c[235686]|0)==-1)){c[l>>2]=942744;c[l+4>>2]=20;c[l+8>>2]=0;QJ(942744,l,124)}l=(c[235687]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;PT(t);tc(s|0,911744,178)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;PT(t);tc(s|0,911744,178)}s=r;Rd[c[(c[r>>2]|0)+20>>2]&127](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){fe[c[(c[j>>2]|0)+32>>2]&127](q,b,e,f)|0;c[h>>2]=f+(e-b)}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=ce[c[(c[j>>2]|0)+28>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+1;a[l]=o;v=b+1|0}else{v=b}do{if((e-v|0)>1){if((a[v]|0)!=48){w=v;break}o=v+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){w=v;break}l=j;m=ce[c[(c[l>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=ce[c[(c[l>>2]|0)+28>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+1;a[o]=m;w=v+2|0}else{w=v}}while(0);do{if((w|0)!=(e|0)){m=e-1|0;if(m>>>0>w>>>0){x=w;y=m}else{break}do{m=a[x]|0;a[x]=a[y]|0;a[y]=m;x=x+1|0;y=y-1|0;}while(x>>>0<y>>>0)}}while(0);m=Td[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(w>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;z=n+8|0;A=0;B=0;C=w;while(1){D=(a[t]&1)==0;do{if((a[(D?o:c[z>>2]|0)+B|0]|0)==0){E=B;F=A}else{if((A|0)!=(a[(D?o:c[z>>2]|0)+B|0]|0)){E=B;F=A;break}G=c[h>>2]|0;c[h>>2]=G+1;a[G]=m;G=a[t]|0;if((G&1)==0){H=(G&255)>>>1}else{H=c[p>>2]|0}E=(B>>>0<(H-1|0)>>>0)+B|0;F=0}}while(0);D=ce[c[(c[l>>2]|0)+28>>2]&127](q,a[C]|0)|0;G=c[h>>2]|0;c[h>>2]=G+1;a[G]=D;D=C+1|0;if(D>>>0<e>>>0){A=F+1|0;B=E;C=D}else{break}}}C=f+(w-b)|0;B=c[h>>2]|0;if((C|0)==(B|0)){break}A=B-1|0;if(A>>>0>C>>>0){I=C;J=A}else{break}do{A=a[I]|0;a[I]=a[J]|0;a[J]=A;I=I+1|0;J=J-1|0;}while(I>>>0<J>>>0)}}while(0);if((d|0)==(e|0)){K=c[h>>2]|0;c[g>>2]=K;dK(n);i=k;return}else{K=f+(d-b)|0;c[g>>2]=K;dK(n);i=k;return}}function _N(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);t=YN(u,22,c[235424]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;$K(p,f);ZN(u,w,r,x,n,o,p);vJ(c[p>>2]|0)|0;c[q>>2]=c[e>>2];EG(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function $N(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[905296]|0;a[q+1|0]=a[905297]|0;a[q+2|0]=a[905298]|0;a[q+3|0]=a[905299]|0;a[q+4|0]=a[905300]|0;a[q+5|0]=a[905301]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);t=YN(u,12,c[235424]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;$K(o,f);ZN(u,w,q,x,m,n,o);vJ(c[o>>2]|0)|0;c[p>>2]=c[e>>2];EG(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function aO(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);t=YN(u,23,c[235424]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;$K(p,f);ZN(u,w,r,x,n,o,p);vJ(c[p>>2]|0)|0;c[q>>2]=c[e>>2];EG(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function bO(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);l=c[235424]|0;if(y){w=YN(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=YN(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[943688]|0)==0;if(y){do{if(w){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);l=cO(m,c[235424]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);w=cO(m,c[235424]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}vU();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=iU(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}vU();H=0;I=0;J=c[m>>2]|0}}while(0);$K(q,f);dO(J,F,A,H,o,p,q);vJ(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];EG(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){jU(I)}if((D|0)==0){i=d;return}jU(D);i=d;return}function cO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=cd(b|0)|0;b=Ib(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}cd(h|0)|0;i=f;return b|0}function dO(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[235782]|0)==-1)){c[m>>2]=943128;c[m+4>>2]=20;c[m+8>>2]=0;QJ(943128,m,124)}m=(c[235783]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;PT(r);tc(q|0,911744,178)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;PT(r);tc(q|0,911744,178)}q=j;r=c[o>>2]|0;if(!((c[235686]|0)==-1)){c[l>>2]=942744;c[l+4>>2]=20;c[l+8>>2]=0;QJ(942744,l,124)}l=(c[235687]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;PT(t);tc(s|0,911744,178)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;PT(t);tc(s|0,911744,178)}s=r;Rd[c[(c[r>>2]|0)+20>>2]&127](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=ce[c[(c[j>>2]|0)+28>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=ce[c[(c[o>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=u+2|0;p=ce[c[(c[o>>2]|0)+28>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);if((hb(t<<24>>24|0,c[235424]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);if((Hb(p<<24>>24|0,c[235424]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){fe[c[(c[j>>2]|0)+32>>2]&127](q,x,y,c[h>>2]|0)|0;c[h>>2]=(c[h>>2]|0)+(y-x)}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){A=x;B=v}else{break}do{v=a[A]|0;a[A]=a[B]|0;a[B]=v;A=A+1|0;B=B-1|0;}while(A>>>0<B>>>0)}}while(0);p=Td[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;C=0;D=x;while(1){E=(a[w]&1)==0;do{if((a[(E?v:c[t>>2]|0)+C|0]|0)>0){if((o|0)!=(a[(E?v:c[t>>2]|0)+C|0]|0)){F=C;G=o;break}H=c[h>>2]|0;c[h>>2]=H+1;a[H]=p;H=a[w]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[u>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}else{F=C;G=o}}while(0);E=ce[c[(c[m>>2]|0)+28>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;c[h>>2]=H+1;a[H]=E;E=D+1|0;if(E>>>0<y>>>0){o=G+1|0;C=F;D=E}else{break}}}D=f+(x-b)|0;C=c[h>>2]|0;if((D|0)==(C|0)){break}o=C-1|0;if(o>>>0>D>>>0){J=D;K=o}else{break}do{o=a[J]|0;a[J]=a[K]|0;a[K]=o;J=J+1|0;K=K-1|0;}while(J>>>0<K>>>0)}}while(0);c:do{if(y>>>0<e>>>0){K=j;J=y;while(1){x=a[J]|0;if(x<<24>>24==46){break}F=ce[c[(c[K>>2]|0)+28>>2]&127](q,x)|0;x=c[h>>2]|0;c[h>>2]=x+1;a[x]=F;F=J+1|0;if(F>>>0<e>>>0){J=F}else{L=F;break c}}K=Td[c[(c[r>>2]|0)+12>>2]&255](s)|0;F=c[h>>2]|0;c[h>>2]=F+1;a[F]=K;L=J+1|0}else{L=y}}while(0);fe[c[(c[j>>2]|0)+32>>2]&127](q,L,e,c[h>>2]|0)|0;q=(c[h>>2]|0)+(l-L)|0;c[h>>2]=q;if((d|0)==(e|0)){M=q;c[g>>2]=M;dK(n);i=k;return}M=f+(d-b)|0;c[g>>2]=M;dK(n);i=k;return}function eO(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);l=c[235424]|0;if(y){w=YN(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=YN(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[943688]|0)==0;if(y){do{if(w){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);l=cO(m,c[235424]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);w=cO(m,c[235424]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}vU();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=iU(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}vU();H=0;I=0;J=c[m>>2]|0}}while(0);$K(q,f);dO(J,F,A,H,o,p,q);vJ(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];EG(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){jU(I)}if((D|0)==0){i=d;return}jU(D);i=d;return}function fO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+104|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+88|0;n=d+96|0;o=d+16|0;a[o]=a[905304]|0;a[o+1|0]=a[905305]|0;a[o+2|0]=a[905306]|0;a[o+3|0]=a[905307]|0;a[o+4|0]=a[905308]|0;a[o+5|0]=a[905309]|0;p=k|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);q=YN(p,20,c[235424]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==16){r=a[p]|0;if((r<<24>>24|0)==45|(r<<24>>24|0)==43){s=k+1|0;break}if(!((q|0)>1&r<<24>>24==48)){t=12;break}r=a[k+1|0]|0;if(!((r<<24>>24|0)==120|(r<<24>>24|0)==88)){t=12;break}s=k+2|0}else if((h|0)==32){s=o}else{t=12}}while(0);if((t|0)==12){s=p}$K(m,f);t=m|0;m=c[t>>2]|0;if(!((c[235782]|0)==-1)){c[j>>2]=943128;c[j+4>>2]=20;c[j+8>>2]=0;QJ(943128,j,124)}j=(c[235783]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){r=c[h+(j<<2)>>2]|0;if((r|0)==0){break}vJ(c[t>>2]|0)|0;u=l|0;fe[c[(c[r>>2]|0)+32>>2]&127](r,p,o,u)|0;r=l+q|0;if((s|0)==(o|0)){v=r;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;EG(b,n,u,v,r,f,g);i=d;return}v=l+(s-k)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;EG(b,n,u,v,r,f,g);i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function gO(a){a=a|0;tJ(a|0);qU(a);return}function hO(a){a=a|0;tJ(a|0);return}function iO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];Yd[o&63](b,d,l,f,g,h&1);i=j;return}$K(m,f);f=m|0;m=c[f>>2]|0;if(!((c[235684]|0)==-1)){c[k>>2]=942736;c[k+4>>2]=20;c[k+8>>2]=0;QJ(942736,k,124)}k=(c[235685]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;vJ(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Rd[c[o+24>>2]&127](n,d)}else{Rd[c[o+28>>2]&127](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+4|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+4|0;r=l}l=e|0;s=p;t=o;while(1){if((t&1)==0){u=(t&255)>>>1;v=q}else{u=c[q>>2]|0;v=c[r>>2]|0}if((s|0)==(v+(u<<2)|0)){break}o=c[s>>2]|0;w=c[l>>2]|0;do{if((w|0)!=0){x=w+24|0;y=c[x>>2]|0;if((y|0)==(c[w+28>>2]|0)){z=ce[c[(c[w>>2]|0)+52>>2]&127](w,o)|0}else{c[x>>2]=y+4;c[y>>2]=o;z=o}if(!((z|0)==-1)){break}c[l>>2]=0}}while(0);s=s+4|0;t=a[d]|0}c[b>>2]=c[l>>2];HK(n);i=j;return}}while(0);j=xd(4)|0;PT(j);tc(j|0,911744,178)}function jO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[905296]|0;a[q+1|0]=a[905297]|0;a[q+2|0]=a[905298]|0;a[q+3|0]=a[905299]|0;a[q+4|0]=a[905300]|0;a[q+5|0]=a[905301]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=k|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);t=YN(u,12,c[235424]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;$K(o,f);kO(u,w,q,x,m,n,o);vJ(c[o>>2]|0)|0;c[p>>2]=c[e>>2];lO(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function kO(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[235780]|0)==-1)){c[m>>2]=943120;c[m+4>>2]=20;c[m+8>>2]=0;QJ(943120,m,124)}m=(c[235781]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;PT(r);tc(q|0,911744,178)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;PT(r);tc(q|0,911744,178)}q=j;r=c[o>>2]|0;if(!((c[235684]|0)==-1)){c[l>>2]=942736;c[l+4>>2]=20;c[l+8>>2]=0;QJ(942736,l,124)}l=(c[235685]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;PT(t);tc(s|0,911744,178)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;PT(t);tc(s|0,911744,178)}s=r;Rd[c[(c[r>>2]|0)+20>>2]&127](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){fe[c[(c[j>>2]|0)+48>>2]&127](q,b,e,f)|0;l=f+(e-b<<2)|0;c[h>>2]=l;v=l}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=ce[c[(c[j>>2]|0)+44>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+4;c[l>>2]=o;w=b+1|0}else{w=b}do{if((e-w|0)>1){if((a[w]|0)!=48){x=w;break}o=w+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){x=w;break}l=j;m=ce[c[(c[l>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=ce[c[(c[l>>2]|0)+44>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+4;c[o>>2]=m;x=w+2|0}else{x=w}}while(0);do{if((x|0)!=(e|0)){m=e-1|0;if(m>>>0>x>>>0){y=x;z=m}else{break}do{m=a[y]|0;a[y]=a[z]|0;a[z]=m;y=y+1|0;z=z-1|0;}while(y>>>0<z>>>0)}}while(0);m=Td[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;A=n+8|0;B=0;C=0;D=x;while(1){E=(a[t]&1)==0;do{if((a[(E?o:c[A>>2]|0)+C|0]|0)==0){F=C;G=B}else{if((B|0)!=(a[(E?o:c[A>>2]|0)+C|0]|0)){F=C;G=B;break}H=c[h>>2]|0;c[h>>2]=H+4;c[H>>2]=m;H=a[t]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[p>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}}while(0);E=ce[c[(c[l>>2]|0)+44>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;J=H+4|0;c[h>>2]=J;c[H>>2]=E;E=D+1|0;if(E>>>0<e>>>0){B=G+1|0;C=F;D=E}else{K=J;break}}}else{K=c[h>>2]|0}D=f+(x-b<<2)|0;if((D|0)==(K|0)){v=K;break}C=K-4|0;if(C>>>0>D>>>0){L=D;M=C}else{v=K;break}while(1){C=c[L>>2]|0;c[L>>2]=c[M>>2];c[M>>2]=C;C=L+4|0;D=M-4|0;if(C>>>0<D>>>0){L=C;M=D}else{v=K;break}}}}while(0);if((d|0)==(e|0)){N=v;c[g>>2]=N;dK(n);i=k;return}N=f+(d-b<<2)|0;c[g>>2]=N;dK(n);i=k;return}



function lO(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=k|0;m=d|0;d=c[m>>2]|0;if((d|0)==0){c[b>>2]=0;i=k;return}n=g;g=e;o=n-g>>2;p=h+12|0;h=c[p>>2]|0;q=(h|0)>(o|0)?h-o|0:0;o=f;h=o-g|0;g=h>>2;do{if((h|0)>0){if((Vd[c[(c[d>>2]|0)+48>>2]&127](d,e,g)|0)==(g|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);do{if((q|0)>0){GK(l,q,j);if((a[l]&1)==0){r=l+4|0}else{r=c[l+8>>2]|0}if((Vd[c[(c[d>>2]|0)+48>>2]&127](d,r,q)|0)==(q|0)){HK(l);break}c[m>>2]=0;c[b>>2]=0;HK(l);i=k;return}}while(0);l=n-o|0;o=l>>2;do{if((l|0)>0){if((Vd[c[(c[d>>2]|0)+48>>2]&127](d,f,o)|0)==(o|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);c[p>>2]=0;c[b>>2]=d;i=k;return}function mO(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+200|0;o=d+208|0;p=d+216|0;q=d+224|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=l|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);v=YN(u,22,c[235424]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;$K(p,f);kO(u,w,r,x,n,o,p);vJ(c[p>>2]|0)|0;c[q>>2]=c[e>>2];lO(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function nO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[905296]|0;a[q+1|0]=a[905297]|0;a[q+2|0]=a[905298]|0;a[q+3|0]=a[905299]|0;a[q+4|0]=a[905300]|0;a[q+5|0]=a[905301]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);t=YN(u,12,c[235424]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;$K(o,f);kO(u,w,q,x,m,n,o);vJ(c[o>>2]|0)|0;c[p>>2]=c[e>>2];lO(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function oO(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+240|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+208|0;o=d+216|0;p=d+224|0;q=d+232|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=117}}while(0);u=l|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);v=YN(u,23,c[235424]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==32){w=r}else if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;$K(p,f);kO(u,w,r,x,n,o,p);vJ(c[p>>2]|0)|0;c[q>>2]=c[e>>2];lO(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function pO(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);l=c[235424]|0;if(y){w=YN(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=YN(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[943688]|0)==0;if(y){do{if(w){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);l=cO(m,c[235424]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);w=cO(m,c[235424]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}vU();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=iU(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}vU();H=B;I=B;J=c[m>>2]|0}}while(0);$K(q,f);qO(J,F,A,H,o,p,q);vJ(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];lO(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){jU(I)}if((D|0)==0){i=d;return}jU(D);i=d;return}function qO(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[235780]|0)==-1)){c[m>>2]=943120;c[m+4>>2]=20;c[m+8>>2]=0;QJ(943120,m,124)}m=(c[235781]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;PT(r);tc(q|0,911744,178)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;PT(r);tc(q|0,911744,178)}q=j;r=c[o>>2]|0;if(!((c[235684]|0)==-1)){c[l>>2]=942736;c[l+4>>2]=20;c[l+8>>2]=0;QJ(942736,l,124)}l=(c[235685]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;PT(t);tc(s|0,911744,178)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;PT(t);tc(s|0,911744,178)}s=r;Rd[c[(c[r>>2]|0)+20>>2]&127](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=ce[c[(c[j>>2]|0)+44>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=ce[c[(c[o>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=u+2|0;p=ce[c[(c[o>>2]|0)+44>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);if((hb(t<<24>>24|0,c[235424]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);if((Hb(p<<24>>24|0,c[235424]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){fe[c[(c[j>>2]|0)+48>>2]&127](q,x,y,c[h>>2]|0)|0;v=(c[h>>2]|0)+(y-x<<2)|0;c[h>>2]=v;A=v}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){B=x;C=v}else{break}do{v=a[B]|0;a[B]=a[C]|0;a[C]=v;B=B+1|0;C=C-1|0;}while(B>>>0<C>>>0)}}while(0);p=Td[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;D=0;E=x;while(1){F=(a[w]&1)==0;do{if((a[(F?v:c[t>>2]|0)+D|0]|0)>0){if((o|0)!=(a[(F?v:c[t>>2]|0)+D|0]|0)){G=D;H=o;break}I=c[h>>2]|0;c[h>>2]=I+4;c[I>>2]=p;I=a[w]|0;if((I&1)==0){J=(I&255)>>>1}else{J=c[u>>2]|0}G=(D>>>0<(J-1|0)>>>0)+D|0;H=0}else{G=D;H=o}}while(0);F=ce[c[(c[m>>2]|0)+44>>2]&127](q,a[E]|0)|0;I=c[h>>2]|0;K=I+4|0;c[h>>2]=K;c[I>>2]=F;F=E+1|0;if(F>>>0<y>>>0){o=H+1|0;D=G;E=F}else{L=K;break}}}else{L=c[h>>2]|0}E=f+(x-b<<2)|0;if((E|0)==(L|0)){A=L;break}D=L-4|0;if(D>>>0>E>>>0){M=E;N=D}else{A=L;break}while(1){D=c[M>>2]|0;c[M>>2]=c[N>>2];c[N>>2]=D;D=M+4|0;E=N-4|0;if(D>>>0<E>>>0){M=D;N=E}else{A=L;break}}}}while(0);c:do{if(y>>>0<e>>>0){L=j;N=y;while(1){M=a[N]|0;if(M<<24>>24==46){break}x=ce[c[(c[L>>2]|0)+44>>2]&127](q,M)|0;M=c[h>>2]|0;G=M+4|0;c[h>>2]=G;c[M>>2]=x;x=N+1|0;if(x>>>0<e>>>0){N=x}else{O=x;P=G;break c}}L=Td[c[(c[r>>2]|0)+12>>2]&255](s)|0;G=c[h>>2]|0;x=G+4|0;c[h>>2]=x;c[G>>2]=L;O=N+1|0;P=x}else{O=y;P=A}}while(0);fe[c[(c[j>>2]|0)+48>>2]&127](q,O,e,P)|0;P=(c[h>>2]|0)+(l-O<<2)|0;c[h>>2]=P;if((d|0)==(e|0)){Q=P;c[g>>2]=Q;dK(n);i=k;return}Q=f+(d-b<<2)|0;c[g>>2]=Q;dK(n);i=k;return}function rO(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);l=c[235424]|0;if(y){w=YN(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=YN(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[943688]|0)==0;if(y){do{if(w){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);l=cO(m,c[235424]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);w=cO(m,c[235424]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}vU();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=iU(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}vU();H=B;I=B;J=c[m>>2]|0}}while(0);$K(q,f);qO(J,F,A,H,o,p,q);vJ(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];lO(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){jU(I)}if((D|0)==0){i=d;return}jU(D);i=d;return}function sO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+216|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+200|0;n=d+208|0;o=d+16|0;a[o]=a[905304]|0;a[o+1|0]=a[905305]|0;a[o+2|0]=a[905306]|0;a[o+3|0]=a[905307]|0;a[o+4|0]=a[905308]|0;a[o+5|0]=a[905309]|0;p=k|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);q=YN(p,20,c[235424]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==16){r=a[p]|0;if((r<<24>>24|0)==45|(r<<24>>24|0)==43){s=k+1|0;break}if(!((q|0)>1&r<<24>>24==48)){t=12;break}r=a[k+1|0]|0;if(!((r<<24>>24|0)==120|(r<<24>>24|0)==88)){t=12;break}s=k+2|0}else if((h|0)==32){s=o}else{t=12}}while(0);if((t|0)==12){s=p}$K(m,f);t=m|0;m=c[t>>2]|0;if(!((c[235780]|0)==-1)){c[j>>2]=943120;c[j+4>>2]=20;c[j+8>>2]=0;QJ(943120,j,124)}j=(c[235781]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){r=c[h+(j<<2)>>2]|0;if((r|0)==0){break}vJ(c[t>>2]|0)|0;u=l|0;fe[c[(c[r>>2]|0)+48>>2]&127](r,p,o,u)|0;r=l+(q<<2)|0;if((s|0)==(o|0)){v=r;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;lO(b,n,u,v,r,f,g);i=d;return}v=l+(s-k<<2)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;lO(b,n,u,v,r,f,g);i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function tO(d,e,f,g,h,j,k,l,m){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;n=i;i=i+48|0;o=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[o>>2];o=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[o>>2];o=n|0;p=n+16|0;q=n+24|0;r=n+32|0;s=n+40|0;$K(p,h);t=p|0;p=c[t>>2]|0;if(!((c[235782]|0)==-1)){c[o>>2]=943128;c[o+4>>2]=20;c[o+8>>2]=0;QJ(943128,o,124)}o=(c[235783]|0)-1|0;u=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-u>>2>>>0>o>>>0){v=c[u+(o<<2)>>2]|0;if((v|0)==0){break}w=v;vJ(c[t>>2]|0)|0;c[j>>2]=0;x=f|0;a:do{if((l|0)==(m|0)){y=67}else{z=g|0;A=v;B=v;C=v+8|0;D=e;E=r|0;F=s|0;G=q|0;H=l;I=0;b:while(1){J=I;while(1){if((J|0)!=0){y=67;break a}K=c[x>>2]|0;do{if((K|0)==0){L=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){L=K;break}if(!((Td[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){L=K;break}c[x>>2]=0;L=0}}while(0);K=(L|0)==0;M=c[z>>2]|0;c:do{if((M|0)==0){y=20}else{do{if((c[M+12>>2]|0)==(c[M+16>>2]|0)){if(!((Td[c[(c[M>>2]|0)+36>>2]&255](M)|0)==-1)){break}c[z>>2]=0;y=20;break c}}while(0);if(K){N=M}else{y=21;break b}}}while(0);if((y|0)==20){y=0;if(K){y=21;break b}else{N=0}}if((Vd[c[(c[A>>2]|0)+36>>2]&127](w,a[H]|0,0)|0)<<24>>24==37){y=24;break}M=a[H]|0;if(!(M<<24>>24<0)){O=c[C>>2]|0;if(!((b[O+(M<<24>>24<<1)>>1]&8192)==0)){P=H;y=35;break}}Q=L+12|0;M=c[Q>>2]|0;R=L+16|0;if((M|0)==(c[R>>2]|0)){S=(Td[c[(c[L>>2]|0)+36>>2]&255](L)|0)&255}else{S=a[M]|0}M=ce[c[(c[B>>2]|0)+12>>2]&127](w,S)|0;if(M<<24>>24==(ce[c[(c[B>>2]|0)+12>>2]&127](w,a[H]|0)|0)<<24>>24){y=62;break}c[j>>2]=4;J=4}d:do{if((y|0)==24){y=0;J=H+1|0;if((J|0)==(m|0)){y=25;break b}M=Vd[c[(c[A>>2]|0)+36>>2]&127](w,a[J]|0,0)|0;if((M<<24>>24|0)==69|(M<<24>>24|0)==48){T=H+2|0;if((T|0)==(m|0)){y=28;break b}U=M;V=Vd[c[(c[A>>2]|0)+36>>2]&127](w,a[T]|0,0)|0;W=T}else{U=0;V=M;W=J}J=c[(c[D>>2]|0)+36>>2]|0;c[E>>2]=L;c[F>>2]=N;be[J&7](q,e,r,s,h,j,k,V,U);c[x>>2]=c[G>>2];X=W+1|0}else if((y|0)==35){while(1){y=0;J=P+1|0;if((J|0)==(m|0)){Y=m;break}M=a[J]|0;if(M<<24>>24<0){Y=J;break}if((b[O+(M<<24>>24<<1)>>1]&8192)==0){Y=J;break}else{P=J;y=35}}K=L;J=N;M=N;while(1){do{if((K|0)==0){Z=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){Z=K;break}if(!((Td[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){Z=K;break}c[x>>2]=0;Z=0}}while(0);T=(Z|0)==0;do{if((J|0)==0){_=M;y=48}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(T){$=J;aa=M;break}else{X=Y;break d}}if((Td[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[z>>2]=0;_=0;y=48;break}else{if(T^(M|0)==0){$=M;aa=M;break}else{X=Y;break d}}}}while(0);if((y|0)==48){y=0;if(T){X=Y;break d}else{$=0;aa=_}}ba=Z+12|0;ca=c[ba>>2]|0;da=Z+16|0;if((ca|0)==(c[da>>2]|0)){ea=(Td[c[(c[Z>>2]|0)+36>>2]&255](Z)|0)&255}else{ea=a[ca]|0}if(ea<<24>>24<0){X=Y;break d}if((b[(c[C>>2]|0)+(ea<<24>>24<<1)>>1]&8192)==0){X=Y;break d}ca=c[ba>>2]|0;if((ca|0)==(c[da>>2]|0)){Td[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;K=Z;J=$;M=aa;continue}else{c[ba>>2]=ca+1;K=Z;J=$;M=aa;continue}}}else if((y|0)==62){y=0;M=c[Q>>2]|0;if((M|0)==(c[R>>2]|0)){Td[c[(c[L>>2]|0)+40>>2]&255](L)|0}else{c[Q>>2]=M+1}X=H+1|0}}while(0);if((X|0)==(m|0)){y=67;break a}H=X;I=c[j>>2]|0}if((y|0)==21){c[j>>2]=4;fa=L;break}else if((y|0)==25){c[j>>2]=4;fa=L;break}else if((y|0)==28){c[j>>2]=4;fa=L;break}}}while(0);if((y|0)==67){fa=c[x>>2]|0}w=f|0;do{if((fa|0)==0){ga=0}else{if((c[fa+12>>2]|0)!=(c[fa+16>>2]|0)){ga=fa;break}if(!((Td[c[(c[fa>>2]|0)+36>>2]&255](fa)|0)==-1)){ga=fa;break}c[w>>2]=0;ga=0}}while(0);w=(ga|0)==0;x=g|0;v=c[x>>2]|0;e:do{if((v|0)==0){y=77}else{do{if((c[v+12>>2]|0)==(c[v+16>>2]|0)){if(!((Td[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){break}c[x>>2]=0;y=77;break e}}while(0);if(!w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);do{if((y|0)==77){if(w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);c[j>>2]=c[j>>2]|2;ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);n=xd(4)|0;PT(n);tc(n|0,911744,178)}function uO(a){a=a|0;tJ(a|0);qU(a);return}function vO(a){a=a|0;tJ(a|0);return}function wO(a){a=a|0;return 2}function xO(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];tO(a,b,k,l,f,g,h,905288,905296);i=j;return}function yO(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Td[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+1|0;r=o+1|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}tO(b,d,l,m,g,h,j,q,r+p|0);i=k;return}function zO(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;$K(m,f);f=m|0;m=c[f>>2]|0;if(!((c[235782]|0)==-1)){c[l>>2]=943128;c[l+4>>2]=20;c[l+8>>2]=0;QJ(943128,l,124)}l=(c[235783]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}vJ(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Td[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(WM(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;PT(j);tc(j|0,911744,178)}function AO(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;$K(m,f);f=m|0;m=c[f>>2]|0;if(!((c[235782]|0)==-1)){c[l>>2]=943128;c[l+4>>2]=20;c[l+8>>2]=0;QJ(943128,l,124)}l=(c[235783]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}vJ(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Td[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(WM(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;PT(j);tc(j|0,911744,178)}function BO(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;$K(l,f);f=l|0;l=c[f>>2]|0;if(!((c[235782]|0)==-1)){c[k>>2]=943128;c[k+4>>2]=20;c[k+8>>2]=0;QJ(943128,k,124)}k=(c[235783]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}vJ(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=GO(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=xd(4)|0;PT(b);tc(b|0,911744,178)}function CO(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;$K(z,g);_=z|0;z=c[_>>2]|0;if(!((c[235782]|0)==-1)){c[y>>2]=943128;c[y+4>>2]=20;c[y+8>>2]=0;QJ(943128,y,124)}y=(c[235783]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;vJ(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 84:{aa=e|0;c[S>>2]=c[aa>>2];c[T>>2]=c[f>>2];tO(R,d,S,T,g,h,j,905240,905248);c[aa>>2]=c[R>>2];break};case 119:{c[o>>2]=c[f>>2];aa=GO(e,o,h,ba,1)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<7){c[j+24>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 110:case 116:{c[J>>2]=c[f>>2];DO(0,e,J,h,ba);break};case 112:{c[K>>2]=c[f>>2];EO(d,j+8|0,e,K,h,ba);break};case 77:{c[q>>2]=c[f>>2];ca=GO(e,q,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<60){c[j+4>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 89:{c[m>>2]=c[f>>2];aa=GO(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=aa-1900;break};case 37:{c[Z>>2]=c[f>>2];FO(0,e,Z,h,ba);break};case 68:{aa=e|0;c[E>>2]=c[aa>>2];c[F>>2]=c[f>>2];tO(D,d,E,F,g,h,j,905280,905288);c[aa>>2]=c[D>>2];break};case 70:{aa=e|0;c[H>>2]=c[aa>>2];c[I>>2]=c[f>>2];tO(G,d,H,I,g,h,j,905272,905280);c[aa>>2]=c[G>>2];break};case 100:case 101:{aa=j+12|0;c[v>>2]=c[f>>2];ca=GO(e,v,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((ca-1|0)>>>0<31>>>0)){break}c[aa>>2]=ca;break a}}while(0);c[h>>2]=da|4;break};case 99:{ca=d+8|0;aa=Td[c[(c[ca>>2]|0)+12>>2]&255](ca)|0;ca=e|0;c[B>>2]=c[ca>>2];c[C>>2]=c[f>>2];ea=a[aa]|0;if((ea&1)==0){fa=(ea&255)>>>1;ga=aa+1|0;ha=aa+1|0}else{ea=c[aa+8>>2]|0;fa=c[aa+4>>2]|0;ga=ea;ha=ea}tO(A,d,B,C,g,h,j,ga,ha+fa|0);c[ca>>2]=c[A>>2];break};case 106:{c[s>>2]=c[f>>2];ca=GO(e,s,h,ba,3)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(ca|0)<366){c[j+28>>2]=ca;break a}else{c[h>>2]=ea|4;break a}break};case 114:{ea=e|0;c[M>>2]=c[ea>>2];c[N>>2]=c[f>>2];tO(L,d,M,N,g,h,j,905256,905267);c[ea>>2]=c[L>>2];break};case 82:{ea=e|0;c[P>>2]=c[ea>>2];c[Q>>2]=c[f>>2];tO(O,d,P,Q,g,h,j,905248,905253);c[ea>>2]=c[O>>2];break};case 83:{c[p>>2]=c[f>>2];ea=GO(e,p,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(ea|0)<61){c[j>>2]=ea;break a}else{c[h>>2]=ca|4;break a}break};case 73:{ca=j+8|0;c[t>>2]=c[f>>2];ea=GO(e,t,h,ba,2)|0;aa=c[h>>2]|0;do{if((aa&4|0)==0){if(!((ea-1|0)>>>0<12>>>0)){break}c[ca>>2]=ea;break a}}while(0);c[h>>2]=aa|4;break};case 109:{c[r>>2]=c[f>>2];ea=(GO(e,r,h,ba,2)|0)-1|0;ca=c[h>>2]|0;if((ca&4|0)==0&(ea|0)<12){c[j+16>>2]=ea;break a}else{c[h>>2]=ca|4;break a}break};case 97:case 65:{ca=c[f>>2]|0;ea=d+8|0;da=Td[c[c[ea>>2]>>2]&255](ea)|0;c[x>>2]=ca;ca=(WM(e,x,da,da+168|0,ba,h,0)|0)-da|0;if((ca|0)>=168){break a}c[j+24>>2]=((ca|0)/12|0|0)%7|0;break};case 121:{c[n>>2]=c[f>>2];ca=GO(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((ca|0)<69){ia=ca+2e3|0}else{ia=(ca-69|0)>>>0<31>>>0?ca+1900|0:ca}c[j+20>>2]=ia-1900;break};case 98:case 66:case 104:{ca=c[f>>2]|0;da=d+8|0;ea=Td[c[(c[da>>2]|0)+4>>2]&255](da)|0;c[w>>2]=ca;ca=(WM(e,w,ea,ea+288|0,ba,h,0)|0)-ea|0;if((ca|0)>=288){break a}c[j+16>>2]=((ca|0)/12|0|0)%12|0;break};case 72:{c[u>>2]=c[f>>2];ca=GO(e,u,h,ba,2)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(ca|0)<24){c[j+8>>2]=ca;break a}else{c[h>>2]=ea|4;break a}break};case 120:{ea=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];$d[ea&127](b,d,U,V,g,h,j);i=l;return};case 88:{ea=d+8|0;ca=Td[c[(c[ea>>2]|0)+24>>2]&255](ea)|0;ea=e|0;c[X>>2]=c[ea>>2];c[Y>>2]=c[f>>2];da=a[ca]|0;if((da&1)==0){ja=(da&255)>>>1;ka=ca+1|0;la=ca+1|0}else{da=c[ca+8>>2]|0;ja=c[ca+4>>2]|0;ka=da;la=da}tO(W,d,X,Y,g,h,j,ka,la+ja|0);c[ea>>2]=c[W>>2];break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=xd(4)|0;PT(l);tc(l|0,911744,178)}function DO(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=i;j=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[j>>2];j=e|0;e=f|0;f=h+8|0;a:while(1){h=c[j>>2]|0;do{if((h|0)==0){k=0}else{if((c[h+12>>2]|0)!=(c[h+16>>2]|0)){k=h;break}if((Td[c[(c[h>>2]|0)+36>>2]&255](h)|0)==-1){c[j>>2]=0;k=0;break}else{k=c[j>>2]|0;break}}}while(0);h=(k|0)==0;l=c[e>>2]|0;do{if((l|0)==0){m=12}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){if(h){n=l;break}else{o=l;break a}}if((Td[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1){c[e>>2]=0;m=12;break}else{if(h){n=l;break}else{o=l;break a}}}}while(0);if((m|0)==12){m=0;if(h){o=0;break}else{n=0}}l=c[j>>2]|0;p=c[l+12>>2]|0;if((p|0)==(c[l+16>>2]|0)){q=(Td[c[(c[l>>2]|0)+36>>2]&255](l)|0)&255}else{q=a[p]|0}if(q<<24>>24<0){o=n;break}if((b[(c[f>>2]|0)+(q<<24>>24<<1)>>1]&8192)==0){o=n;break}p=c[j>>2]|0;l=p+12|0;r=c[l>>2]|0;if((r|0)==(c[p+16>>2]|0)){Td[c[(c[p>>2]|0)+40>>2]&255](p)|0;continue}else{c[l>>2]=r+1;continue}}n=c[j>>2]|0;do{if((n|0)==0){s=0}else{if((c[n+12>>2]|0)!=(c[n+16>>2]|0)){s=n;break}if((Td[c[(c[n>>2]|0)+36>>2]&255](n)|0)==-1){c[j>>2]=0;s=0;break}else{s=c[j>>2]|0;break}}}while(0);j=(s|0)==0;b:do{if((o|0)==0){m=32}else{do{if((c[o+12>>2]|0)==(c[o+16>>2]|0)){if(!((Td[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1)){break}c[e>>2]=0;m=32;break b}}while(0);if(!j){break}i=d;return}}while(0);do{if((m|0)==32){if(j){break}i=d;return}}while(0);c[g>>2]=c[g>>2]|2;i=d;return}function EO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Td[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=WM(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function FO(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;b=i;h=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[h>>2];h=d|0;d=c[h>>2]|0;do{if((d|0)==0){j=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){j=d;break}if((Td[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[h>>2]=0;j=0;break}else{j=c[h>>2]|0;break}}}while(0);d=(j|0)==0;j=e|0;e=c[j>>2]|0;a:do{if((e|0)==0){k=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Td[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[j>>2]=0;k=11;break a}}while(0);if(d){l=e}else{k=12}}}while(0);if((k|0)==11){if(d){k=12}else{l=0}}if((k|0)==12){c[f>>2]=c[f>>2]|6;i=b;return}d=c[h>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){m=(Td[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{m=a[e]|0}if(!((Vd[c[(c[g>>2]|0)+36>>2]&127](g,m,0)|0)<<24>>24==37)){c[f>>2]=c[f>>2]|4;i=b;return}m=c[h>>2]|0;g=m+12|0;e=c[g>>2]|0;if((e|0)==(c[m+16>>2]|0)){Td[c[(c[m>>2]|0)+40>>2]&255](m)|0}else{c[g>>2]=e+1}e=c[h>>2]|0;do{if((e|0)==0){n=0}else{if((c[e+12>>2]|0)!=(c[e+16>>2]|0)){n=e;break}if((Td[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1){c[h>>2]=0;n=0;break}else{n=c[h>>2]|0;break}}}while(0);h=(n|0)==0;b:do{if((l|0)==0){k=31}else{do{if((c[l+12>>2]|0)==(c[l+16>>2]|0)){if(!((Td[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){break}c[j>>2]=0;k=31;break b}}while(0);if(!h){break}i=b;return}}while(0);do{if((k|0)==31){if(h){break}i=b;return}}while(0);c[f>>2]=c[f>>2]|2;i=b;return}function GO(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){l=d;break}if((Td[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[k>>2]=0;l=0;break}else{l=c[k>>2]|0;break}}}while(0);d=(l|0)==0;l=e|0;e=c[l>>2]|0;a:do{if((e|0)==0){m=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Td[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[l>>2]=0;m=11;break a}}while(0);if(d){n=e}else{m=12}}}while(0);if((m|0)==11){if(d){m=12}else{n=0}}if((m|0)==12){c[f>>2]=c[f>>2]|6;o=0;i=j;return o|0}d=c[k>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){p=(Td[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{p=a[e]|0}do{if(!(p<<24>>24<0)){e=g+8|0;if((b[(c[e>>2]|0)+(p<<24>>24<<1)>>1]&2048)==0){break}d=g;q=(Vd[c[(c[d>>2]|0)+36>>2]&127](g,p,0)|0)<<24>>24;r=c[k>>2]|0;s=r+12|0;t=c[s>>2]|0;if((t|0)==(c[r+16>>2]|0)){Td[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=q;v=h;w=n;x=n}else{c[s>>2]=t+1;u=q;v=h;w=n;x=n}while(1){y=u-48|0;q=v-1|0;t=c[k>>2]|0;do{if((t|0)==0){z=0}else{if((c[t+12>>2]|0)!=(c[t+16>>2]|0)){z=t;break}if((Td[c[(c[t>>2]|0)+36>>2]&255](t)|0)==-1){c[k>>2]=0;z=0;break}else{z=c[k>>2]|0;break}}}while(0);t=(z|0)==0;do{if((w|0)==0){A=0;B=x}else{if((c[w+12>>2]|0)!=(c[w+16>>2]|0)){A=w;B=x;break}if(!((Td[c[(c[w>>2]|0)+36>>2]&255](w)|0)==-1)){A=x;B=x;break}c[l>>2]=0;A=0;B=0}}while(0);C=c[k>>2]|0;if(!((t^(A|0)==0)&(q|0)>0)){m=40;break}s=c[C+12>>2]|0;if((s|0)==(c[C+16>>2]|0)){D=(Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)&255}else{D=a[s]|0}if(D<<24>>24<0){o=y;m=52;break}if((b[(c[e>>2]|0)+(D<<24>>24<<1)>>1]&2048)==0){o=y;m=52;break}s=((Vd[c[(c[d>>2]|0)+36>>2]&127](g,D,0)|0)<<24>>24)+(y*10|0)|0;r=c[k>>2]|0;E=r+12|0;F=c[E>>2]|0;if((F|0)==(c[r+16>>2]|0)){Td[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=s;v=q;w=A;x=B;continue}else{c[E>>2]=F+1;u=s;v=q;w=A;x=B;continue}}if((m|0)==40){do{if((C|0)==0){G=0}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){G=C;break}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[k>>2]=0;G=0;break}else{G=c[k>>2]|0;break}}}while(0);d=(G|0)==0;b:do{if((B|0)==0){m=50}else{do{if((c[B+12>>2]|0)==(c[B+16>>2]|0)){if(!((Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){break}c[l>>2]=0;m=50;break b}}while(0);if(d){o=y}else{break}i=j;return o|0}}while(0);do{if((m|0)==50){if(d){break}else{o=y}i=j;return o|0}}while(0);c[f>>2]=c[f>>2]|2;o=y;i=j;return o|0}else if((m|0)==52){i=j;return o|0}}}while(0);c[f>>2]=c[f>>2]|4;o=0;i=j;return o|0}function HO(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;l=i;i=i+48|0;m=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[m>>2];m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=l|0;n=l+16|0;o=l+24|0;p=l+32|0;q=l+40|0;$K(n,f);r=n|0;n=c[r>>2]|0;if(!((c[235780]|0)==-1)){c[m>>2]=943120;c[m+4>>2]=20;c[m+8>>2]=0;QJ(943120,m,124)}m=(c[235781]|0)-1|0;s=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-s>>2>>>0>m>>>0){t=c[s+(m<<2)>>2]|0;if((t|0)==0){break}u=t;vJ(c[r>>2]|0)|0;c[g>>2]=0;v=d|0;a:do{if((j|0)==(k|0)){w=71}else{x=e|0;y=t;z=t;A=t;B=b;C=p|0;D=q|0;E=o|0;F=j;G=0;b:while(1){H=G;while(1){if((H|0)!=0){w=71;break a}I=c[v>>2]|0;do{if((I|0)==0){J=1;K=0}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Td[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if(!((M|0)==-1)){J=0;K=I;break}c[v>>2]=0;J=1;K=0}}while(0);I=c[x>>2]|0;do{if((I|0)==0){w=23}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){N=Td[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{N=c[L>>2]|0}if((N|0)==-1){c[x>>2]=0;w=23;break}else{if(J){O=I;break}else{w=25;break b}}}}while(0);if((w|0)==23){w=0;if(J){w=25;break b}else{O=0}}if((Vd[c[(c[y>>2]|0)+52>>2]&127](u,c[F>>2]|0,0)|0)<<24>>24==37){w=28;break}if(Vd[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[F>>2]|0)|0){P=F;w=38;break}Q=K+12|0;I=c[Q>>2]|0;R=K+16|0;if((I|0)==(c[R>>2]|0)){S=Td[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{S=c[I>>2]|0}I=ce[c[(c[A>>2]|0)+28>>2]&127](u,S)|0;if((I|0)==(ce[c[(c[A>>2]|0)+28>>2]&127](u,c[F>>2]|0)|0)){w=66;break}c[g>>2]=4;H=4}c:do{if((w|0)==28){w=0;H=F+4|0;if((H|0)==(k|0)){w=29;break b}I=Vd[c[(c[y>>2]|0)+52>>2]&127](u,c[H>>2]|0,0)|0;if((I<<24>>24|0)==69|(I<<24>>24|0)==48){L=F+8|0;if((L|0)==(k|0)){w=32;break b}T=I;U=Vd[c[(c[y>>2]|0)+52>>2]&127](u,c[L>>2]|0,0)|0;V=L}else{T=0;U=I;V=H}H=c[(c[B>>2]|0)+36>>2]|0;c[C>>2]=K;c[D>>2]=O;be[H&7](o,b,p,q,f,g,h,U,T);c[v>>2]=c[E>>2];W=V+4|0}else if((w|0)==38){while(1){w=0;H=P+4|0;if((H|0)==(k|0)){X=k;break}if(Vd[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[H>>2]|0)|0){P=H;w=38}else{X=H;break}}H=K;I=O;L=O;while(1){do{if((H|0)==0){Y=1;Z=0}else{_=c[H+12>>2]|0;if((_|0)==(c[H+16>>2]|0)){$=Td[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{$=c[_>>2]|0}if(!(($|0)==-1)){Y=0;Z=H;break}c[v>>2]=0;Y=1;Z=0}}while(0);do{if((I|0)==0){aa=L;w=53}else{_=c[I+12>>2]|0;if((_|0)==(c[I+16>>2]|0)){ba=Td[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{ba=c[_>>2]|0}if((ba|0)==-1){c[x>>2]=0;aa=0;w=53;break}else{if(Y^(L|0)==0){ca=L;da=L;break}else{W=X;break c}}}}while(0);if((w|0)==53){w=0;if(Y){W=X;break c}else{ca=0;da=aa}}_=Z+12|0;ea=c[_>>2]|0;fa=Z+16|0;if((ea|0)==(c[fa>>2]|0)){ga=Td[c[(c[Z>>2]|0)+36>>2]&255](Z)|0}else{ga=c[ea>>2]|0}if(!(Vd[c[(c[z>>2]|0)+12>>2]&127](u,8192,ga)|0)){W=X;break c}ea=c[_>>2]|0;if((ea|0)==(c[fa>>2]|0)){Td[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;H=Z;I=ca;L=da;continue}else{c[_>>2]=ea+4;H=Z;I=ca;L=da;continue}}}else if((w|0)==66){w=0;L=c[Q>>2]|0;if((L|0)==(c[R>>2]|0)){Td[c[(c[K>>2]|0)+40>>2]&255](K)|0}else{c[Q>>2]=L+4}W=F+4|0}}while(0);if((W|0)==(k|0)){w=71;break a}F=W;G=c[g>>2]|0}if((w|0)==25){c[g>>2]=4;ha=K;break}else if((w|0)==29){c[g>>2]=4;ha=K;break}else if((w|0)==32){c[g>>2]=4;ha=K;break}}}while(0);if((w|0)==71){ha=c[v>>2]|0}u=d|0;do{if((ha|0)==0){ia=1;ja=0}else{t=c[ha+12>>2]|0;if((t|0)==(c[ha+16>>2]|0)){ka=Td[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{ka=c[t>>2]|0}if(!((ka|0)==-1)){ia=0;ja=ha;break}c[u>>2]=0;ia=1;ja=0}}while(0);u=e|0;v=c[u>>2]|0;do{if((v|0)==0){w=84}else{t=c[v+12>>2]|0;if((t|0)==(c[v+16>>2]|0)){la=Td[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{la=c[t>>2]|0}if((la|0)==-1){c[u>>2]=0;w=84;break}if(!ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);do{if((w|0)==84){if(ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);c[g>>2]=c[g>>2]|2;ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);l=xd(4)|0;PT(l);tc(l|0,911744,178)}function IO(a){a=a|0;tJ(a|0);qU(a);return}function JO(a){a=a|0;tJ(a|0);return}function KO(a){a=a|0;return 2}function LO(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];HO(a,b,k,l,f,g,h,905208,905240);i=j;return}function MO(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Td[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+4|0;r=o+4|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}HO(b,d,l,m,g,h,j,q,r+(p<<2)|0);i=k;return}function NO(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;$K(m,f);f=m|0;m=c[f>>2]|0;if(!((c[235780]|0)==-1)){c[l>>2]=943120;c[l+4>>2]=20;c[l+8>>2]=0;QJ(943120,l,124)}l=(c[235781]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}vJ(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Td[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(tN(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;PT(j);tc(j|0,911744,178)}function OO(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;$K(m,f);f=m|0;m=c[f>>2]|0;if(!((c[235780]|0)==-1)){c[l>>2]=943120;c[l+4>>2]=20;c[l+8>>2]=0;QJ(943120,l,124)}l=(c[235781]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}vJ(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Td[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(tN(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;PT(j);tc(j|0,911744,178)}function PO(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;$K(l,f);f=l|0;l=c[f>>2]|0;if(!((c[235780]|0)==-1)){c[k>>2]=943120;c[k+4>>2]=20;c[k+8>>2]=0;QJ(943120,k,124)}k=(c[235781]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}vJ(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=UO(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=xd(4)|0;PT(b);tc(b|0,911744,178)}function QO(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;$K(z,g);_=z|0;z=c[_>>2]|0;if(!((c[235780]|0)==-1)){c[y>>2]=943120;c[y+4>>2]=20;c[y+8>>2]=0;QJ(943120,y,124)}y=(c[235781]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;vJ(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 77:{c[q>>2]=c[f>>2];aa=UO(e,q,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<60){c[j+4>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 120:{ca=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];$d[ca&127](b,d,U,V,g,h,j);i=l;return};case 88:{ca=d+8|0;aa=Td[c[(c[ca>>2]|0)+24>>2]&255](ca)|0;ca=e|0;c[X>>2]=c[ca>>2];c[Y>>2]=c[f>>2];da=a[aa]|0;if((da&1)==0){ea=(da&255)>>>1;fa=aa+4|0;ga=aa+4|0}else{da=c[aa+8>>2]|0;ea=c[aa+4>>2]|0;fa=da;ga=da}HO(W,d,X,Y,g,h,j,fa,ga+(ea<<2)|0);c[ca>>2]=c[W>>2];break};case 72:{c[u>>2]=c[f>>2];ca=UO(e,u,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(ca|0)<24){c[j+8>>2]=ca;break a}else{c[h>>2]=da|4;break a}break};case 37:{c[Z>>2]=c[f>>2];TO(0,e,Z,h,ba);break};case 121:{c[n>>2]=c[f>>2];da=UO(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((da|0)<69){ha=da+2e3|0}else{ha=(da-69|0)>>>0<31>>>0?da+1900|0:da}c[j+20>>2]=ha-1900;break};case 110:case 116:{c[J>>2]=c[f>>2];RO(0,e,J,h,ba);break};case 112:{c[K>>2]=c[f>>2];SO(d,j+8|0,e,K,h,ba);break};case 73:{da=j+8|0;c[t>>2]=c[f>>2];ca=UO(e,t,h,ba,2)|0;aa=c[h>>2]|0;do{if((aa&4|0)==0){if(!((ca-1|0)>>>0<12>>>0)){break}c[da>>2]=ca;break a}}while(0);c[h>>2]=aa|4;break};case 98:case 66:case 104:{ca=c[f>>2]|0;da=d+8|0;ia=Td[c[(c[da>>2]|0)+4>>2]&255](da)|0;c[w>>2]=ca;ca=(tN(e,w,ia,ia+288|0,ba,h,0)|0)-ia|0;if((ca|0)>=288){break a}c[j+16>>2]=((ca|0)/12|0|0)%12|0;break};case 109:{c[r>>2]=c[f>>2];ca=(UO(e,r,h,ba,2)|0)-1|0;ia=c[h>>2]|0;if((ia&4|0)==0&(ca|0)<12){c[j+16>>2]=ca;break a}else{c[h>>2]=ia|4;break a}break};case 68:{ia=e|0;c[E>>2]=c[ia>>2];c[F>>2]=c[f>>2];HO(D,d,E,F,g,h,j,905176,905208);c[ia>>2]=c[D>>2];break};case 84:{ia=e|0;c[S>>2]=c[ia>>2];c[T>>2]=c[f>>2];HO(R,d,S,T,g,h,j,905072,905104);c[ia>>2]=c[R>>2];break};case 119:{c[o>>2]=c[f>>2];ia=UO(e,o,h,ba,1)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(ia|0)<7){c[j+24>>2]=ia;break a}else{c[h>>2]=ca|4;break a}break};case 100:case 101:{ca=j+12|0;c[v>>2]=c[f>>2];ia=UO(e,v,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((ia-1|0)>>>0<31>>>0)){break}c[ca>>2]=ia;break a}}while(0);c[h>>2]=da|4;break};case 99:{ia=d+8|0;ca=Td[c[(c[ia>>2]|0)+12>>2]&255](ia)|0;ia=e|0;c[B>>2]=c[ia>>2];c[C>>2]=c[f>>2];aa=a[ca]|0;if((aa&1)==0){ja=(aa&255)>>>1;ka=ca+4|0;la=ca+4|0}else{aa=c[ca+8>>2]|0;ja=c[ca+4>>2]|0;ka=aa;la=aa}HO(A,d,B,C,g,h,j,ka,la+(ja<<2)|0);c[ia>>2]=c[A>>2];break};case 83:{c[p>>2]=c[f>>2];ia=UO(e,p,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ia|0)<61){c[j>>2]=ia;break a}else{c[h>>2]=aa|4;break a}break};case 106:{c[s>>2]=c[f>>2];aa=UO(e,s,h,ba,3)|0;ia=c[h>>2]|0;if((ia&4|0)==0&(aa|0)<366){c[j+28>>2]=aa;break a}else{c[h>>2]=ia|4;break a}break};case 97:case 65:{ia=c[f>>2]|0;aa=d+8|0;ca=Td[c[c[aa>>2]>>2]&255](aa)|0;c[x>>2]=ia;ia=(tN(e,x,ca,ca+168|0,ba,h,0)|0)-ca|0;if((ia|0)>=168){break a}c[j+24>>2]=((ia|0)/12|0|0)%7|0;break};case 70:{ia=e|0;c[H>>2]=c[ia>>2];c[I>>2]=c[f>>2];HO(G,d,H,I,g,h,j,905040,905072);c[ia>>2]=c[G>>2];break};case 114:{ia=e|0;c[M>>2]=c[ia>>2];c[N>>2]=c[f>>2];HO(L,d,M,N,g,h,j,905128,905172);c[ia>>2]=c[L>>2];break};case 82:{ia=e|0;c[P>>2]=c[ia>>2];c[Q>>2]=c[f>>2];HO(O,d,P,Q,g,h,j,905104,905124);c[ia>>2]=c[O>>2];break};case 89:{c[m>>2]=c[f>>2];ia=UO(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=ia-1900;break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=xd(4)|0;PT(l);tc(l|0,911744,178)}function RO(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=d|0;d=f;a:while(1){h=c[g>>2]|0;do{if((h|0)==0){j=1}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){l=Td[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[g>>2]=0;j=1;break}else{j=(c[g>>2]|0)==0;break}}}while(0);h=c[b>>2]|0;do{if((h|0)==0){m=15}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){n=Td[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{n=c[k>>2]|0}if((n|0)==-1){c[b>>2]=0;m=15;break}else{if(j){o=h;break}else{p=h;break a}}}}while(0);if((m|0)==15){m=0;if(j){p=0;break}else{o=0}}h=c[g>>2]|0;k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){q=Td[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{q=c[k>>2]|0}if(!(Vd[c[(c[d>>2]|0)+12>>2]&127](f,8192,q)|0)){p=o;break}k=c[g>>2]|0;h=k+12|0;r=c[h>>2]|0;if((r|0)==(c[k+16>>2]|0)){Td[c[(c[k>>2]|0)+40>>2]&255](k)|0;continue}else{c[h>>2]=r+4;continue}}o=c[g>>2]|0;do{if((o|0)==0){s=1}else{q=c[o+12>>2]|0;if((q|0)==(c[o+16>>2]|0)){t=Td[c[(c[o>>2]|0)+36>>2]&255](o)|0}else{t=c[q>>2]|0}if((t|0)==-1){c[g>>2]=0;s=1;break}else{s=(c[g>>2]|0)==0;break}}}while(0);do{if((p|0)==0){m=37}else{g=c[p+12>>2]|0;if((g|0)==(c[p+16>>2]|0)){u=Td[c[(c[p>>2]|0)+36>>2]&255](p)|0}else{u=c[g>>2]|0}if((u|0)==-1){c[b>>2]=0;m=37;break}if(!s){break}i=a;return}}while(0);do{if((m|0)==37){if(s){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function SO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Td[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=tN(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function TO(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=c[g>>2]|0;do{if((b|0)==0){h=1}else{j=c[b+12>>2]|0;if((j|0)==(c[b+16>>2]|0)){k=Td[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{k=c[j>>2]|0}if((k|0)==-1){c[g>>2]=0;h=1;break}else{h=(c[g>>2]|0)==0;break}}}while(0);k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=14}else{b=c[d+12>>2]|0;if((b|0)==(c[d+16>>2]|0)){m=Td[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{m=c[b>>2]|0}if((m|0)==-1){c[k>>2]=0;l=14;break}else{if(h){n=d;break}else{l=16;break}}}}while(0);if((l|0)==14){if(h){l=16}else{n=0}}if((l|0)==16){c[e>>2]=c[e>>2]|6;i=a;return}h=c[g>>2]|0;d=c[h+12>>2]|0;if((d|0)==(c[h+16>>2]|0)){o=Td[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{o=c[d>>2]|0}if(!((Vd[c[(c[f>>2]|0)+52>>2]&127](f,o,0)|0)<<24>>24==37)){c[e>>2]=c[e>>2]|4;i=a;return}o=c[g>>2]|0;f=o+12|0;d=c[f>>2]|0;if((d|0)==(c[o+16>>2]|0)){Td[c[(c[o>>2]|0)+40>>2]&255](o)|0}else{c[f>>2]=d+4}d=c[g>>2]|0;do{if((d|0)==0){p=1}else{f=c[d+12>>2]|0;if((f|0)==(c[d+16>>2]|0)){q=Td[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{q=c[f>>2]|0}if((q|0)==-1){c[g>>2]=0;p=1;break}else{p=(c[g>>2]|0)==0;break}}}while(0);do{if((n|0)==0){l=38}else{g=c[n+12>>2]|0;if((g|0)==(c[n+16>>2]|0)){r=Td[c[(c[n>>2]|0)+36>>2]&255](n)|0}else{r=c[g>>2]|0}if((r|0)==-1){c[k>>2]=0;l=38;break}if(!p){break}i=a;return}}while(0);do{if((l|0)==38){if(p){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function UO(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=i;h=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[h>>2];h=a|0;a=c[h>>2]|0;do{if((a|0)==0){j=1}else{k=c[a+12>>2]|0;if((k|0)==(c[a+16>>2]|0)){l=Td[c[(c[a>>2]|0)+36>>2]&255](a)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[h>>2]=0;j=1;break}else{j=(c[h>>2]|0)==0;break}}}while(0);l=b|0;b=c[l>>2]|0;do{if((b|0)==0){m=14}else{a=c[b+12>>2]|0;if((a|0)==(c[b+16>>2]|0)){n=Td[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{n=c[a>>2]|0}if((n|0)==-1){c[l>>2]=0;m=14;break}else{if(j){o=b;break}else{m=16;break}}}}while(0);if((m|0)==14){if(j){m=16}else{o=0}}if((m|0)==16){c[d>>2]=c[d>>2]|6;p=0;i=g;return p|0}j=c[h>>2]|0;b=c[j+12>>2]|0;if((b|0)==(c[j+16>>2]|0)){q=Td[c[(c[j>>2]|0)+36>>2]&255](j)|0}else{q=c[b>>2]|0}b=e;if(!(Vd[c[(c[b>>2]|0)+12>>2]&127](e,2048,q)|0)){c[d>>2]=c[d>>2]|4;p=0;i=g;return p|0}j=e;n=(Vd[c[(c[j>>2]|0)+52>>2]&127](e,q,0)|0)<<24>>24;q=c[h>>2]|0;a=q+12|0;k=c[a>>2]|0;if((k|0)==(c[q+16>>2]|0)){Td[c[(c[q>>2]|0)+40>>2]&255](q)|0;r=n;s=f;t=o;u=o}else{c[a>>2]=k+4;r=n;s=f;t=o;u=o}while(1){v=r-48|0;o=s-1|0;f=c[h>>2]|0;do{if((f|0)==0){w=1}else{n=c[f+12>>2]|0;if((n|0)==(c[f+16>>2]|0)){x=Td[c[(c[f>>2]|0)+36>>2]&255](f)|0}else{x=c[n>>2]|0}if((x|0)==-1){c[h>>2]=0;w=1;break}else{w=(c[h>>2]|0)==0;break}}}while(0);do{if((t|0)==0){y=1;z=0;A=u}else{f=c[t+12>>2]|0;if((f|0)==(c[t+16>>2]|0)){B=Td[c[(c[t>>2]|0)+36>>2]&255](t)|0}else{B=c[f>>2]|0}if((B|0)==-1){c[l>>2]=0;y=1;z=0;A=0;break}else{y=(u|0)==0;z=u;A=u;break}}}while(0);C=c[h>>2]|0;if(!((w^y)&(o|0)>0)){break}f=c[C+12>>2]|0;if((f|0)==(c[C+16>>2]|0)){D=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{D=c[f>>2]|0}if(!(Vd[c[(c[b>>2]|0)+12>>2]&127](e,2048,D)|0)){p=v;m=63;break}f=((Vd[c[(c[j>>2]|0)+52>>2]&127](e,D,0)|0)<<24>>24)+(v*10|0)|0;n=c[h>>2]|0;k=n+12|0;a=c[k>>2]|0;if((a|0)==(c[n+16>>2]|0)){Td[c[(c[n>>2]|0)+40>>2]&255](n)|0;r=f;s=o;t=z;u=A;continue}else{c[k>>2]=a+4;r=f;s=o;t=z;u=A;continue}}if((m|0)==63){i=g;return p|0}do{if((C|0)==0){E=1}else{u=c[C+12>>2]|0;if((u|0)==(c[C+16>>2]|0)){F=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{F=c[u>>2]|0}if((F|0)==-1){c[h>>2]=0;E=1;break}else{E=(c[h>>2]|0)==0;break}}}while(0);do{if((A|0)==0){m=60}else{h=c[A+12>>2]|0;if((h|0)==(c[A+16>>2]|0)){G=Td[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{G=c[h>>2]|0}if((G|0)==-1){c[l>>2]=0;m=60;break}if(E){p=v}else{break}i=g;return p|0}}while(0);do{if((m|0)==60){if(E){break}else{p=v}i=g;return p|0}}while(0);c[d>>2]=c[d>>2]|2;p=v;i=g;return p|0}function VO(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);if((e|0)==(c[235424]|0)){f=b|0;tJ(f);g=b;qU(g);return}Tb(c[d>>2]|0);f=b|0;tJ(f);g=b;qU(g);return}function WO(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);if((e|0)==(c[235424]|0)){f=b|0;tJ(f);return}Tb(c[d>>2]|0);f=b|0;tJ(f);return}function XO(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=i;i=i+112|0;f=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[f>>2];f=g|0;l=g+8|0;m=l|0;n=f|0;a[n]=37;o=f+1|0;a[o]=j;p=f+2|0;a[p]=k;a[f+3|0]=0;if(!(k<<24>>24==0)){a[o]=k;a[p]=j}j=id(m|0,100,n|0,h|0,c[d+8>>2]|0)|0;d=l+j|0;l=c[e>>2]|0;if((j|0)==0){q=l;r=b|0;c[r>>2]=q;i=g;return}else{s=m;t=l;u=l}while(1){l=a[s]|0;do{if((t|0)==0){v=0;w=u}else{m=t+24|0;j=c[m>>2]|0;if((j|0)==(c[t+28>>2]|0)){e=(ce[c[(c[t>>2]|0)+52>>2]&127](t,l&255)|0)==-1;v=e?0:t;w=e?0:u;break}else{c[m>>2]=j+1;a[j]=l;v=t;w=u;break}}}while(0);l=s+1|0;if((l|0)==(d|0)){q=w;break}else{s=l;t=v;u=w}}r=b|0;c[r>>2]=q;i=g;return}function YO(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);if((e|0)==(c[235424]|0)){f=b|0;tJ(f);g=b;qU(g);return}Tb(c[d>>2]|0);f=b|0;tJ(f);g=b;qU(g);return}function ZO(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);if((e|0)==(c[235424]|0)){f=b|0;tJ(f);return}Tb(c[d>>2]|0);f=b|0;tJ(f);return}function _O(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=i;i=i+408|0;e=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[e>>2];e=f|0;k=f+400|0;l=e|0;c[k>>2]=e+400;$O(b+8|0,l,k,g,h,j);j=c[k>>2]|0;k=c[d>>2]|0;if((l|0)==(j|0)){m=k;n=a|0;c[n>>2]=m;i=f;return}else{o=l;p=k;q=k}while(1){k=c[o>>2]|0;if((p|0)==0){r=0;s=q}else{l=p+24|0;d=c[l>>2]|0;if((d|0)==(c[p+28>>2]|0)){t=ce[c[(c[p>>2]|0)+52>>2]&127](p,k)|0}else{c[l>>2]=d+4;c[d>>2]=k;t=k}k=(t|0)==-1;r=k?0:p;s=k?0:q}k=o+4|0;if((k|0)==(j|0)){m=s;break}else{o=k;p=r;q=s}}n=a|0;c[n>>2]=m;i=f;return}function $O(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i;i=i+120|0;k=j|0;l=j+112|0;m=i;i=i+4|0;i=i+7&-8;n=j+8|0;o=k|0;a[o]=37;p=k+1|0;a[p]=g;q=k+2|0;a[q]=h;a[k+3|0]=0;if(!(h<<24>>24==0)){a[p]=h;a[q]=g}g=b|0;id(n|0,100,o|0,f|0,c[g>>2]|0)|0;c[l>>2]=0;c[l+4>>2]=0;c[m>>2]=n;n=(c[e>>2]|0)-d>>2;f=cd(c[g>>2]|0)|0;g=lT(d,m,n,l)|0;if((f|0)!=0){cd(f|0)|0}if((g|0)==-1){XP(44616)}else{c[e>>2]=d+(g<<2);i=j;return}}function aP(a){a=a|0;tJ(a|0);qU(a);return}function bP(a){a=a|0;tJ(a|0);return}function cP(a){a=a|0;return 127}function dP(a){a=a|0;return 127}function eP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function fP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function gP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function hP(a,b){a=a|0;b=b|0;$J(a,1,45);return}function iP(a){a=a|0;return 0}function jP(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function kP(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function lP(a){a=a|0;tJ(a|0);qU(a);return}function mP(a){a=a|0;tJ(a|0);return}function nP(a){a=a|0;return 127}function oP(a){a=a|0;return 127}function pP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function qP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function rP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function sP(a,b){a=a|0;b=b|0;$J(a,1,45);return}function tP(a){a=a|0;return 0}function uP(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function vP(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function wP(a){a=a|0;tJ(a|0);qU(a);return}function xP(a){a=a|0;tJ(a|0);return}function yP(a){a=a|0;return 2147483647}function zP(a){a=a|0;return 2147483647}function AP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function BP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function CP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function DP(a,b){a=a|0;b=b|0;GK(a,1,45);return}function EP(a){a=a|0;return 0}function FP(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function GP(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function HP(a){a=a|0;tJ(a|0);qU(a);return}function IP(a){a=a|0;tJ(a|0);return}function JP(a){a=a|0;return 2147483647}function KP(a){a=a|0;return 2147483647}function LP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function MP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function NP(a,b){a=a|0;b=b|0;NU(a|0,0,12)|0;return}function OP(a,b){a=a|0;b=b|0;GK(a,1,45);return}function PP(a){a=a|0;return 0}function QP(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function RP(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function SP(a){a=a|0;tJ(a|0);qU(a);return}function TP(a){a=a|0;tJ(a|0);return}function UP(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=d+160|0;t=d+176|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=210;w=m+100|0;$K(p,h);m=p|0;x=c[m>>2]|0;if(!((c[235782]|0)==-1)){c[l>>2]=943128;c[l+4>>2]=20;c[l+8>>2]=0;QJ(943128,l,124)}l=(c[235783]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(WP(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;fe[c[(c[z>>2]|0)+32>>2]&127](A,905024,905034,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>98){H=iU(G+2|0)|0;if((H|0)!=0){I=H;J=H;break}vU();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+10|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((a[N]|0)==(a[M]|0)){O=N;break}else{N=N+1|0}}a[L]=a[905024+(O-H)|0]|0;N=M+1|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=ub(D|0,896712,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}jU(J);break}M=xd(8)|0;BJ(M,895328);tc(M|0,911760,36)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=0}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){R=z;break}if(!((Td[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1)){R=z;break}c[A>>2]=0;R=0}}while(0);A=(R|0)==0;z=c[B>>2]|0;do{if((z|0)==0){S=45}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(A){break}else{S=47;break}}if((Td[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[B>>2]=0;S=45;break}else{if(A){break}else{S=47;break}}}}while(0);if((S|0)==45){if(A){S=47}}if((S|0)==47){c[j>>2]=c[j>>2]|2}c[b>>2]=R;vJ(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Qd[c[v>>2]&511](B);i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function VP(a){a=a|0;return}function WP(e,f,g,h,j,k,l,m,n,o,p){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0;q=i;i=i+520|0;r=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[r>>2];r=q|0;s=q+400|0;t=q+408|0;u=q+416|0;v=q+424|0;w=q+440|0;x=q+456|0;y=q+472|0;z=q+488|0;A=q+504|0;B=q+512|0;C=r|0;D=v;NU(D|0,0,12)|0;E=w;NU(E|0,0,12)|0;F=x;NU(F|0,0,12)|0;G=y;NU(G|0,0,12)|0;H=z;NU(H|0,0,12)|0;_P(g,h,s,t,u,v,w,x,y,A);h=n|0;c[o>>2]=c[h>>2];g=e|0;e=f|0;f=m+8|0;m=y+1|0;I=y+4|0;J=y+8|0;K=x+1|0;L=x+4|0;M=x+8|0;N=(j&512|0)!=0;j=w+1|0;O=w+8|0;P=w+4|0;Q=z;R=Q+1|0;S=z+8|0;T=z+4|0;U=s+3|0;V=v+4|0;W=n+4|0;n=p;p=210;X=C;Y=C;C=r+400|0;r=0;Z=0;a:while(1){_=c[g>>2]|0;do{if((_|0)==0){$=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){$=_;break}if((Td[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;$=0;break}else{$=c[g>>2]|0;break}}}while(0);_=($|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=15}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}if((Td[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=15;break}else{if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}}}while(0);if((ba|0)==15){ba=0;if(_){da=p;ea=X;fa=Y;ga=Z;ba=310;break}else{ca=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){ia=(Td[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{ia=a[ha]|0}if(ia<<24>>24<0){ba=41;break a}if((b[(c[f>>2]|0)+(ia<<24>>24<<1)>>1]&8192)==0){ba=41;break a}ha=c[g>>2]|0;aa=ha+12|0;ja=c[aa>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){ka=(Td[c[(c[ha>>2]|0)+40>>2]&255](ha)|0)&255}else{c[aa>>2]=ja+1;ka=a[ja]|0}vK(z,ka);ba=42;break};case 0:{ba=42;break};case 3:{ja=a[F]|0;aa=(ja&1)==0;if(aa){la=(ja&255)>>>1}else{la=c[L>>2]|0}ha=a[G]|0;ma=(ha&1)==0;if(ma){na=(ha&255)>>>1}else{na=c[I>>2]|0}if((la|0)==(-na|0)){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(aa){ua=(ja&255)>>>1}else{ua=c[L>>2]|0}do{if((ua|0)!=0){if(ma){va=(ha&255)>>>1}else{va=c[I>>2]|0}if((va|0)==0){break}wa=c[g>>2]|0;xa=c[wa+12>>2]|0;ya=c[wa+16>>2]|0;if((xa|0)==(ya|0)){za=(Td[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255;Aa=c[g>>2]|0;Ba=za;Ca=a[F]|0;Da=Aa;Ea=c[Aa+12>>2]|0;Fa=c[Aa+16>>2]|0}else{Ba=a[xa]|0;Ca=ja;Da=wa;Ea=xa;Fa=ya}ya=Da+12|0;xa=(Ea|0)==(Fa|0);if(Ba<<24>>24==(a[(Ca&1)==0?K:c[M>>2]|0]|0)){if(xa){Td[c[(c[Da>>2]|0)+40>>2]&255](Da)|0}else{c[ya>>2]=Ea+1}ya=a[F]|0;if((ya&1)==0){Ga=(ya&255)>>>1}else{Ga=c[L>>2]|0}oa=Ga>>>0>1>>>0?x:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(xa){Ha=(Td[c[(c[Da>>2]|0)+36>>2]&255](Da)|0)&255}else{Ha=a[Ea]|0}if(!(Ha<<24>>24==(a[(a[G]&1)==0?m:c[J>>2]|0]|0))){ba=136;break a}xa=c[g>>2]|0;ya=xa+12|0;wa=c[ya>>2]|0;if((wa|0)==(c[xa+16>>2]|0)){Td[c[(c[xa>>2]|0)+40>>2]&255](xa)|0}else{c[ya>>2]=wa+1}a[l]=1;wa=a[G]|0;if((wa&1)==0){Ia=(wa&255)>>>1}else{Ia=c[I>>2]|0}oa=Ia>>>0>1>>>0?y:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}}while(0);if(aa){Ja=(ja&255)>>>1}else{Ja=c[L>>2]|0}ma=c[g>>2]|0;wa=c[ma+12>>2]|0;ya=(wa|0)==(c[ma+16>>2]|0);if((Ja|0)==0){if(ya){xa=(Td[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255;Ka=xa;La=a[G]|0}else{Ka=a[wa]|0;La=ha}if(!(Ka<<24>>24==(a[(La&1)==0?m:c[J>>2]|0]|0))){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}xa=c[g>>2]|0;Aa=xa+12|0;za=c[Aa>>2]|0;if((za|0)==(c[xa+16>>2]|0)){Td[c[(c[xa>>2]|0)+40>>2]&255](xa)|0}else{c[Aa>>2]=za+1}a[l]=1;za=a[G]|0;if((za&1)==0){Ma=(za&255)>>>1}else{Ma=c[I>>2]|0}oa=Ma>>>0>1>>>0?y:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(ya){ya=(Td[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255;Na=ya;Oa=a[F]|0}else{Na=a[wa]|0;Oa=ja}if(!(Na<<24>>24==(a[(Oa&1)==0?K:c[M>>2]|0]|0))){a[l]=1;oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}wa=c[g>>2]|0;ya=wa+12|0;ma=c[ya>>2]|0;if((ma|0)==(c[wa+16>>2]|0)){Td[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ya>>2]=ma+1}ma=a[F]|0;if((ma&1)==0){Pa=(ma&255)>>>1}else{Pa=c[L>>2]|0}oa=Pa>>>0>1>>>0?x:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break};case 2:{if(!((Z|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Qa=(a[U]|0)!=0}else{Qa=0}if(!(N|Qa)){oa=0;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}}ma=a[E]|0;ya=(ma&1)==0;wa=ya?j:c[O>>2]|0;c:do{if((r|0)==0){Ra=wa;Sa=ma;Ta=ca;Ua=ca}else{if(!((d[s+(r-1)|0]|0)>>>0<2>>>0)){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break}za=wa+(ya?(ma&255)>>>1:c[P>>2]|0)|0;Aa=wa;while(1){if((Aa|0)==(za|0)){Va=za;break}xa=a[Aa]|0;if(xa<<24>>24<0){Va=Aa;break}if((b[(c[f>>2]|0)+(xa<<24>>24<<1)>>1]&8192)==0){Va=Aa;break}else{Aa=Aa+1|0}}Aa=Va-wa|0;za=a[H]|0;xa=(za&1)==0;if(xa){Wa=(za&255)>>>1}else{Wa=c[T>>2]|0}if(Aa>>>0>Wa>>>0){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break}if(xa){xa=(za&255)>>>1;Xa=xa;Ya=R;Za=xa-Aa+(Q+1)|0}else{xa=c[S>>2]|0;za=c[T>>2]|0;Xa=za;Ya=xa;Za=xa+(za-Aa)|0}Aa=Ya+Xa|0;if((Za|0)==(Aa|0)){Ra=Va;Sa=ma;Ta=ca;Ua=ca;break}else{_a=Za;$a=wa}while(1){if((a[_a]|0)!=(a[$a]|0)){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break c}za=_a+1|0;if((za|0)==(Aa|0)){Ra=Va;Sa=ma;Ta=ca;Ua=ca;break}else{_a=za;$a=$a+1|0}}}}while(0);d:while(1){if((Sa&1)==0){ab=(Sa&255)>>>1;bb=j}else{ab=c[P>>2]|0;bb=c[O>>2]|0}if((Ra|0)==(bb+ab|0)){break}ma=c[g>>2]|0;do{if((ma|0)==0){cb=0}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){cb=ma;break}if((Td[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[g>>2]=0;cb=0;break}else{cb=c[g>>2]|0;break}}}while(0);ma=(cb|0)==0;do{if((Ta|0)==0){db=Ua;ba=173}else{if((c[Ta+12>>2]|0)!=(c[Ta+16>>2]|0)){if(ma){eb=Ta;fb=Ua;break}else{break d}}if((Td[c[(c[Ta>>2]|0)+36>>2]&255](Ta)|0)==-1){c[e>>2]=0;db=0;ba=173;break}else{if(ma^(Ua|0)==0){eb=Ua;fb=Ua;break}else{break d}}}}while(0);if((ba|0)==173){ba=0;if(ma){break}else{eb=0;fb=db}}wa=c[g>>2]|0;ya=c[wa+12>>2]|0;if((ya|0)==(c[wa+16>>2]|0)){gb=(Td[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255}else{gb=a[ya]|0}if(!(gb<<24>>24==(a[Ra]|0))){break}ya=c[g>>2]|0;wa=ya+12|0;ja=c[wa>>2]|0;if((ja|0)==(c[ya+16>>2]|0)){Td[c[(c[ya>>2]|0)+40>>2]&255](ya)|0}else{c[wa>>2]=ja+1}Ra=Ra+1|0;Sa=a[E]|0;Ta=eb;Ua=fb}if(!N){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}ja=a[E]|0;if((ja&1)==0){hb=(ja&255)>>>1;ib=j}else{hb=c[P>>2]|0;ib=c[O>>2]|0}if((Ra|0)==(ib+hb|0)){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n}else{ba=189;break a}break};case 4:{ja=0;wa=C;ya=Y;ha=X;aa=p;Aa=n;e:while(1){za=c[g>>2]|0;do{if((za|0)==0){jb=0}else{if((c[za+12>>2]|0)!=(c[za+16>>2]|0)){jb=za;break}if((Td[c[(c[za>>2]|0)+36>>2]&255](za)|0)==-1){c[g>>2]=0;jb=0;break}else{jb=c[g>>2]|0;break}}}while(0);za=(jb|0)==0;ma=c[e>>2]|0;do{if((ma|0)==0){ba=202}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){if(za){break}else{break e}}if((Td[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[e>>2]=0;ba=202;break}else{if(za){break}else{break e}}}}while(0);if((ba|0)==202){ba=0;if(za){break}}ma=c[g>>2]|0;xa=c[ma+12>>2]|0;if((xa|0)==(c[ma+16>>2]|0)){kb=(Td[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255}else{kb=a[xa]|0}do{if(kb<<24>>24<0){ba=221}else{if((b[(c[f>>2]|0)+(kb<<24>>24<<1)>>1]&2048)==0){ba=221;break}xa=c[o>>2]|0;if((xa|0)==(Aa|0)){ma=(c[W>>2]|0)!=210;lb=c[h>>2]|0;mb=Aa-lb|0;nb=mb>>>0<2147483647>>>0?mb<<1:-1;ob=lU(ma?lb:0,nb)|0;if((ob|0)==0){vU()}do{if(ma){c[h>>2]=ob;pb=ob}else{lb=c[h>>2]|0;c[h>>2]=ob;if((lb|0)==0){pb=ob;break}Qd[c[W>>2]&511](lb);pb=c[h>>2]|0}}while(0);c[W>>2]=102;ob=pb+mb|0;c[o>>2]=ob;qb=(c[h>>2]|0)+nb|0;rb=ob}else{qb=Aa;rb=xa}c[o>>2]=rb+1;a[rb]=kb;sb=ja+1|0;tb=wa;ub=ya;vb=ha;wb=aa;xb=qb}}while(0);if((ba|0)==221){ba=0;za=a[D]|0;if((za&1)==0){yb=(za&255)>>>1}else{yb=c[V>>2]|0}if((yb|0)==0|(ja|0)==0){break}if(!(kb<<24>>24==(a[u]|0))){break}if((ya|0)==(wa|0)){za=ya-ha|0;ob=za>>>0<2147483647>>>0?za<<1:-1;if((aa|0)==210){zb=0}else{zb=ha}ma=lU(zb,ob)|0;lb=ma;if((ma|0)==0){vU()}Ab=lb+(ob>>>2<<2)|0;Bb=lb+(za>>2<<2)|0;Cb=lb;Db=102}else{Ab=wa;Bb=ya;Cb=ha;Db=aa}c[Bb>>2]=ja;sb=0;tb=Ab;ub=Bb+4|0;vb=Cb;wb=Db;xb=Aa}lb=c[g>>2]|0;za=lb+12|0;ob=c[za>>2]|0;if((ob|0)==(c[lb+16>>2]|0)){Td[c[(c[lb>>2]|0)+40>>2]&255](lb)|0;ja=sb;wa=tb;ya=ub;ha=vb;aa=wb;Aa=xb;continue}else{c[za>>2]=ob+1;ja=sb;wa=tb;ya=ub;ha=vb;aa=wb;Aa=xb;continue}}if((ha|0)==(ya|0)|(ja|0)==0){Eb=wa;Fb=ya;Gb=ha;Hb=aa}else{if((ya|0)==(wa|0)){ob=ya-ha|0;za=ob>>>0<2147483647>>>0?ob<<1:-1;if((aa|0)==210){Ib=0}else{Ib=ha}lb=lU(Ib,za)|0;ma=lb;if((lb|0)==0){vU()}Jb=ma+(za>>>2<<2)|0;Kb=ma+(ob>>2<<2)|0;Lb=ma;Mb=102}else{Jb=wa;Kb=ya;Lb=ha;Mb=aa}c[Kb>>2]=ja;Eb=Jb;Fb=Kb+4|0;Gb=Lb;Hb=Mb}if((c[A>>2]|0)>0){ma=c[g>>2]|0;do{if((ma|0)==0){Nb=0}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){Nb=ma;break}if((Td[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[g>>2]=0;Nb=0;break}else{Nb=c[g>>2]|0;break}}}while(0);ma=(Nb|0)==0;ja=c[e>>2]|0;do{if((ja|0)==0){ba=257}else{if((c[ja+12>>2]|0)!=(c[ja+16>>2]|0)){if(ma){Ob=ja;break}else{ba=264;break a}}if((Td[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)==-1){c[e>>2]=0;ba=257;break}else{if(ma){Ob=ja;break}else{ba=264;break a}}}}while(0);if((ba|0)==257){ba=0;if(ma){ba=264;break a}else{Ob=0}}ja=c[g>>2]|0;aa=c[ja+12>>2]|0;if((aa|0)==(c[ja+16>>2]|0)){Pb=(Td[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)&255}else{Pb=a[aa]|0}if(!(Pb<<24>>24==(a[t]|0))){ba=264;break a}aa=c[g>>2]|0;ja=aa+12|0;ha=c[ja>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){Td[c[(c[aa>>2]|0)+40>>2]&255](aa)|0;Qb=Aa;Rb=Ob;Sb=Ob}else{c[ja>>2]=ha+1;Qb=Aa;Rb=Ob;Sb=Ob}while(1){ha=c[g>>2]|0;do{if((ha|0)==0){Tb=0}else{if((c[ha+12>>2]|0)!=(c[ha+16>>2]|0)){Tb=ha;break}if((Td[c[(c[ha>>2]|0)+36>>2]&255](ha)|0)==-1){c[g>>2]=0;Tb=0;break}else{Tb=c[g>>2]|0;break}}}while(0);ha=(Tb|0)==0;do{if((Rb|0)==0){Ub=Sb;ba=280}else{if((c[Rb+12>>2]|0)!=(c[Rb+16>>2]|0)){if(ha){Vb=Sb;Wb=Rb;break}else{ba=288;break a}}if((Td[c[(c[Rb>>2]|0)+36>>2]&255](Rb)|0)==-1){c[e>>2]=0;Ub=0;ba=280;break}else{if(ha^(Sb|0)==0){Vb=Sb;Wb=Sb;break}else{ba=288;break a}}}}while(0);if((ba|0)==280){ba=0;if(ha){ba=288;break a}else{Vb=Ub;Wb=0}}ja=c[g>>2]|0;aa=c[ja+12>>2]|0;if((aa|0)==(c[ja+16>>2]|0)){Xb=(Td[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)&255}else{Xb=a[aa]|0}if(Xb<<24>>24<0){ba=288;break a}if((b[(c[f>>2]|0)+(Xb<<24>>24<<1)>>1]&2048)==0){ba=288;break a}aa=c[o>>2]|0;if((aa|0)==(Qb|0)){ja=(c[W>>2]|0)!=210;ya=c[h>>2]|0;wa=Qb-ya|0;ob=wa>>>0<2147483647>>>0?wa<<1:-1;za=lU(ja?ya:0,ob)|0;if((za|0)==0){vU()}do{if(ja){c[h>>2]=za;Yb=za}else{ya=c[h>>2]|0;c[h>>2]=za;if((ya|0)==0){Yb=za;break}Qd[c[W>>2]&511](ya);Yb=c[h>>2]|0}}while(0);c[W>>2]=102;za=Yb+wa|0;c[o>>2]=za;Zb=(c[h>>2]|0)+ob|0;_b=za}else{Zb=Qb;_b=aa}za=c[g>>2]|0;ja=c[za+12>>2]|0;if((ja|0)==(c[za+16>>2]|0)){ha=(Td[c[(c[za>>2]|0)+36>>2]&255](za)|0)&255;$b=ha;ac=c[o>>2]|0}else{$b=a[ja]|0;ac=_b}c[o>>2]=ac+1;a[ac]=$b;ja=(c[A>>2]|0)-1|0;c[A>>2]=ja;ha=c[g>>2]|0;za=ha+12|0;ya=c[za>>2]|0;if((ya|0)==(c[ha+16>>2]|0)){Td[c[(c[ha>>2]|0)+40>>2]&255](ha)|0}else{c[za>>2]=ya+1}if((ja|0)>0){Qb=Zb;Rb=Wb;Sb=Vb}else{bc=Zb;break}}}else{bc=Aa}if((c[o>>2]|0)==(c[h>>2]|0)){ba=308;break a}else{oa=Z;pa=Eb;qa=Fb;ra=Gb;sa=Hb;ta=bc}break};default:{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n}}}while(0);f:do{if((ba|0)==42){ba=0;if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}else{cc=ca;dc=ca}while(1){_=c[g>>2]|0;do{if((_|0)==0){ec=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){ec=_;break}if((Td[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;ec=0;break}else{ec=c[g>>2]|0;break}}}while(0);_=(ec|0)==0;do{if((cc|0)==0){fc=dc;ba=55}else{if((c[cc+12>>2]|0)!=(c[cc+16>>2]|0)){if(_){gc=cc;hc=dc;break}else{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}}if((Td[c[(c[cc>>2]|0)+36>>2]&255](cc)|0)==-1){c[e>>2]=0;fc=0;ba=55;break}else{if(_^(dc|0)==0){gc=dc;hc=dc;break}else{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}}}}while(0);if((ba|0)==55){ba=0;if(_){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}else{gc=0;hc=fc}}aa=c[g>>2]|0;ob=c[aa+12>>2]|0;if((ob|0)==(c[aa+16>>2]|0)){ic=(Td[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{ic=a[ob]|0}if(ic<<24>>24<0){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}if((b[(c[f>>2]|0)+(ic<<24>>24<<1)>>1]&8192)==0){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}ob=c[g>>2]|0;aa=ob+12|0;wa=c[aa>>2]|0;if((wa|0)==(c[ob+16>>2]|0)){jc=(Td[c[(c[ob>>2]|0)+40>>2]&255](ob)|0)&255}else{c[aa>>2]=wa+1;jc=a[wa]|0}vK(z,jc);cc=gc;dc=hc}}}while(0);Aa=r+1|0;if(Aa>>>0<4>>>0){n=ta;p=sa;X=ra;Y=qa;C=pa;r=Aa;Z=oa}else{da=sa;ea=ra;fa=qa;ga=oa;ba=310;break}}g:do{if((ba|0)==41){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==136){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==189){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==264){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==288){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==308){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==310){h:do{if((ga|0)!=0){oa=ga;qa=ga+1|0;ra=ga+8|0;sa=ga+4|0;Z=1;i:while(1){r=a[oa]|0;if((r&1)==0){nc=(r&255)>>>1}else{nc=c[sa>>2]|0}if(!(Z>>>0<nc>>>0)){break h}r=c[g>>2]|0;do{if((r|0)==0){oc=0}else{if((c[r+12>>2]|0)!=(c[r+16>>2]|0)){oc=r;break}if((Td[c[(c[r>>2]|0)+36>>2]&255](r)|0)==-1){c[g>>2]=0;oc=0;break}else{oc=c[g>>2]|0;break}}}while(0);r=(oc|0)==0;_=c[e>>2]|0;do{if((_|0)==0){ba=328}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){if(r){break}else{break i}}if((Td[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[e>>2]=0;ba=328;break}else{if(r){break}else{break i}}}}while(0);if((ba|0)==328){ba=0;if(r){break}}_=c[g>>2]|0;pa=c[_+12>>2]|0;if((pa|0)==(c[_+16>>2]|0)){pc=(Td[c[(c[_>>2]|0)+36>>2]&255](_)|0)&255}else{pc=a[pa]|0}if((a[oa]&1)==0){qc=qa}else{qc=c[ra>>2]|0}if(!(pc<<24>>24==(a[qc+Z|0]|0))){break}pa=Z+1|0;_=c[g>>2]|0;C=_+12|0;Y=c[C>>2]|0;if((Y|0)==(c[_+16>>2]|0)){Td[c[(c[_>>2]|0)+40>>2]&255](_)|0;Z=pa;continue}else{c[C>>2]=Y+1;Z=pa;continue}}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da;break g}}while(0);if((ea|0)==(fa|0)){kc=1;lc=fa;mc=da;break}c[B>>2]=0;$P(v,ea,fa,B);if((c[B>>2]|0)==0){kc=1;lc=ea;mc=da;break}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da}}while(0);dK(z);dK(y);dK(x);dK(w);dK(v);if((lc|0)==0){i=q;return kc|0}Qd[mc&511](lc);i=q;return kc|0}function XP(a){a=a|0;var b=0;b=xd(8)|0;BJ(b,a);tc(b|0,911760,36)}function YP(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=i;i=i+160|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=210;u=m+100|0;$K(p,h);m=p|0;v=c[m>>2]|0;if(!((c[235782]|0)==-1)){c[l>>2]=943128;c[l+4>>2]=20;c[l+8>>2]=0;QJ(943128,l,124)}l=(c[235783]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(WP(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){a[k+1|0]=0;a[B]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){vK(k,ce[c[(c[B>>2]|0)+28>>2]&127](y,45)|0)}x=ce[c[(c[B>>2]|0)+28>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-1|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((a[C]|0)==x<<24>>24){C=C+1|0}else{break}}ZP(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){D=B;break}if(!((Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){D=B;break}c[x>>2]=0;D=0}}while(0);x=(D|0)==0;do{if((A|0)==0){E=33}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){if(x){break}else{E=35;break}}if((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1){c[z>>2]=0;E=33;break}else{if(x^(A|0)==0){break}else{E=35;break}}}}while(0);if((E|0)==33){if(x){E=35}}if((E|0)==35){c[j>>2]=c[j>>2]|2}c[b>>2]=D;vJ(c[m>>2]|0)|0;A=c[s>>2]|0;c[s>>2]=0;if((A|0)==0){i=d;return}Qd[c[t>>2]&511](A);i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function ZP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=10;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g|0;if((e|0)==(d|0)){return b|0}if((i-k|0)>>>0<h>>>0){yK(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+1|0}else{m=c[b+8>>2]|0}l=e+(k-g)|0;g=d;d=m+k|0;while(1){a[d]=a[g]|0;j=g+1|0;if((j|0)==(e|0)){break}else{g=j;d=d+1|0}}a[m+l|0]=0;l=k+h|0;if((a[f]&1)==0){a[f]=l<<1;return b|0}else{c[b+4>>2]=l;return b|0}return 0}function _P(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[235900]|0)==-1)){c[p>>2]=943600;c[p+4>>2]=20;c[p+8>>2]=0;QJ(943600,p,124)}p=(c[235901]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=xd(4)|0;D=B;PT(D);tc(B|0,911744,178)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=xd(4)|0;D=B;PT(D);tc(B|0,911744,178)}B=b;Rd[c[(c[b>>2]|0)+44>>2]&127](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Rd[c[(c[D>>2]|0)+32>>2]&127](r,B);q=l;if((a[q]&1)==0){a[l+1|0]=0;a[q]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pK(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];NU(p|0,0,12)|0;dK(r);Rd[c[(c[D>>2]|0)+28>>2]&127](s,B);r=k;if((a[r]&1)==0){a[k+1|0]=0;a[r]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}pK(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];NU(p|0,0,12)|0;dK(s);s=b;a[f]=Td[c[(c[s>>2]|0)+12>>2]&255](B)|0;a[g]=Td[c[(c[s>>2]|0)+16>>2]&255](B)|0;Rd[c[(c[D>>2]|0)+20>>2]&127](t,B);s=h;if((a[s]&1)==0){a[h+1|0]=0;a[s]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}pK(h,0);p=t;c[s>>2]=c[p>>2];c[s+4>>2]=c[p+4>>2];c[s+8>>2]=c[p+8>>2];NU(p|0,0,12)|0;dK(t);Rd[c[(c[D>>2]|0)+24>>2]&127](u,B);D=j;if((a[D]&1)==0){a[j+1|0]=0;a[D]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pK(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];NU(t|0,0,12)|0;dK(u);E=Td[c[(c[b>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[235902]|0)==-1)){c[o>>2]=943608;c[o+4>>2]=20;c[o+8>>2]=0;QJ(943608,o,124)}o=(c[235903]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=xd(4)|0;G=F;PT(G);tc(F|0,911744,178)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=xd(4)|0;G=F;PT(G);tc(F|0,911744,178)}F=B;Rd[c[(c[B>>2]|0)+44>>2]&127](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Rd[c[(c[G>>2]|0)+32>>2]&127](w,F);v=l;if((a[v]&1)==0){a[l+1|0]=0;a[v]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pK(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];NU(l|0,0,12)|0;dK(w);Rd[c[(c[G>>2]|0)+28>>2]&127](x,F);w=k;if((a[w]&1)==0){a[k+1|0]=0;a[w]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}pK(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];NU(k|0,0,12)|0;dK(x);x=B;a[f]=Td[c[(c[x>>2]|0)+12>>2]&255](F)|0;a[g]=Td[c[(c[x>>2]|0)+16>>2]&255](F)|0;Rd[c[(c[G>>2]|0)+20>>2]&127](y,F);x=h;if((a[x]&1)==0){a[h+1|0]=0;a[x]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}pK(h,0);h=y;c[x>>2]=c[h>>2];c[x+4>>2]=c[h+4>>2];c[x+8>>2]=c[h+8>>2];NU(h|0,0,12)|0;dK(y);Rd[c[(c[G>>2]|0)+24>>2]&127](z,F);G=j;if((a[G]&1)==0){a[j+1|0]=0;a[G]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pK(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];NU(j|0,0,12)|0;dK(z);E=Td[c[(c[B>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function $P(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=b;h=a[g]|0;if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}if((i|0)==0){return}do{if((d|0)==(e|0)){j=h}else{i=e-4|0;if(i>>>0>d>>>0){k=d;l=i}else{j=h;break}do{i=c[k>>2]|0;c[k>>2]=c[l>>2];c[l>>2]=i;k=k+4|0;l=l-4|0;}while(k>>>0<l>>>0);j=a[g]|0}}while(0);if((j&1)==0){m=(j&255)>>>1;n=b+1|0}else{m=c[b+4>>2]|0;n=c[b+8>>2]|0}b=e-4|0;e=a[n]|0;j=e<<24>>24<1|e<<24>>24==127;a:do{if(b>>>0>d>>>0){g=n+m|0;l=n;k=d;h=e;i=j;while(1){if(!i){if((h<<24>>24|0)!=(c[k>>2]|0)){break}}o=(g-l|0)>1?l+1|0:l;p=k+4|0;q=a[o]|0;r=q<<24>>24<1|q<<24>>24==127;if(p>>>0<b>>>0){l=o;k=p;h=q;i=r}else{s=q;t=r;break a}}c[f>>2]=4;return}else{s=e;t=j}}while(0);if(t){return}t=c[b>>2]|0;if(!(s<<24>>24>>>0<t>>>0|(t|0)==0)){return}c[f>>2]=4;return}function aQ(a){a=a|0;tJ(a|0);qU(a);return}function bQ(a){a=a|0;tJ(a|0);return}function cQ(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=i;i=i+600|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=d+456|0;t=d+496|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=210;w=m+400|0;$K(p,h);m=p|0;x=c[m>>2]|0;if(!((c[235780]|0)==-1)){c[l>>2]=943120;c[l+4>>2]=20;c[l+8>>2]=0;QJ(943120,l,124)}l=(c[235781]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(dQ(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;fe[c[(c[z>>2]|0)+48>>2]&127](A,905008,905018,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>392){H=iU((G>>2)+2|0)|0;if((H|0)!=0){I=H;J=H;break}vU();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+40|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((c[N>>2]|0)==(c[M>>2]|0)){O=N;break}else{N=N+4|0}}a[L]=a[905008+(O-H>>2)|0]|0;N=M+4|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=ub(D|0,896712,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}jU(J);break}M=xd(8)|0;BJ(M,895328);tc(M|0,911760,36)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=1}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){S=Td[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{S=c[M>>2]|0}if((S|0)==-1){c[A>>2]=0;R=1;break}else{R=(c[A>>2]|0)==0;break}}}while(0);z=c[B>>2]|0;do{if((z|0)==0){T=47}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){U=Td[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{U=c[M>>2]|0}if((U|0)==-1){c[B>>2]=0;T=47;break}else{if(R){break}else{T=49;break}}}}while(0);if((T|0)==47){if(R){T=49}}if((T|0)==49){c[j>>2]=c[j>>2]|2}c[b>>2]=c[A>>2];vJ(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Qd[c[v>>2]&511](B);i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function dQ(b,e,f,g,h,j,k,l,m,n,o){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0;p=i;i=i+528|0;q=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[q>>2];q=p|0;r=p+8|0;s=p+408|0;t=p+416|0;u=p+424|0;v=p+432|0;w=p+448|0;x=p+464|0;y=p+480|0;z=p+496|0;A=p+512|0;B=p+520|0;c[q>>2]=o;o=r|0;C=v;NU(C|0,0,12)|0;D=w;NU(D|0,0,12)|0;E=x;NU(E|0,0,12)|0;F=y;NU(F|0,0,12)|0;G=z;NU(G|0,0,12)|0;gQ(f,g,s,t,u,v,w,x,y,A);g=m|0;c[n>>2]=c[g>>2];f=b|0;b=e|0;e=l;H=y+4|0;I=y+8|0;J=x+4|0;K=x+8|0;L=(h&512|0)!=0;h=w+4|0;M=w+8|0;N=z+4|0;O=z+8|0;P=s+3|0;Q=v+4|0;R=210;S=o;T=o;o=r+400|0;r=0;U=0;a:while(1){V=c[f>>2]|0;do{if((V|0)==0){W=1}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Y=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Y=c[X>>2]|0}if((Y|0)==-1){c[f>>2]=0;W=1;break}else{W=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=16}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){_=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{_=c[X>>2]|0}if((_|0)==-1){c[b>>2]=0;Z=16;break}else{if(W){$=V;break}else{aa=R;ba=S;ca=T;da=U;Z=302;break a}}}}while(0);if((Z|0)==16){Z=0;if(W){aa=R;ba=S;ca=T;da=U;Z=302;break}else{$=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){ea=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{ea=c[X>>2]|0}if(!(Vd[c[(c[e>>2]|0)+12>>2]&127](l,8192,ea)|0)){Z=41;break a}X=c[f>>2]|0;V=X+12|0;fa=c[V>>2]|0;if((fa|0)==(c[X+16>>2]|0)){ga=Td[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[V>>2]=fa+4;ga=c[fa>>2]|0}LK(z,ga);Z=42;break};case 0:{Z=42;break};case 3:{fa=a[E]|0;V=(fa&1)==0;if(V){ha=(fa&255)>>>1}else{ha=c[J>>2]|0}X=a[F]|0;ia=(X&1)==0;if(ia){ja=(X&255)>>>1}else{ja=c[H>>2]|0}if((ha|0)==(-ja|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}if(V){pa=(fa&255)>>>1}else{pa=c[J>>2]|0}do{if((pa|0)!=0){if(ia){qa=(X&255)>>>1}else{qa=c[H>>2]|0}if((qa|0)==0){break}ra=c[f>>2]|0;sa=c[ra+12>>2]|0;if((sa|0)==(c[ra+16>>2]|0)){ta=Td[c[(c[ra>>2]|0)+36>>2]&255](ra)|0;ua=ta;va=a[E]|0}else{ua=c[sa>>2]|0;va=fa}sa=c[f>>2]|0;ta=sa+12|0;ra=c[ta>>2]|0;wa=(ra|0)==(c[sa+16>>2]|0);if((ua|0)==(c[((va&1)==0?J:c[K>>2]|0)>>2]|0)){if(wa){Td[c[(c[sa>>2]|0)+40>>2]&255](sa)|0}else{c[ta>>2]=ra+4}ta=a[E]|0;if((ta&1)==0){xa=(ta&255)>>>1}else{xa=c[J>>2]|0}ka=xa>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break b}if(wa){ya=Td[c[(c[sa>>2]|0)+36>>2]&255](sa)|0}else{ya=c[ra>>2]|0}if((ya|0)!=(c[((a[F]&1)==0?H:c[I>>2]|0)>>2]|0)){Z=134;break a}ra=c[f>>2]|0;sa=ra+12|0;wa=c[sa>>2]|0;if((wa|0)==(c[ra+16>>2]|0)){Td[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[sa>>2]=wa+4}a[k]=1;wa=a[F]|0;if((wa&1)==0){za=(wa&255)>>>1}else{za=c[H>>2]|0}ka=za>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}}while(0);if(V){Aa=(fa&255)>>>1}else{Aa=c[J>>2]|0}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;sa=(wa|0)==(c[ia+16>>2]|0);if((Aa|0)==0){if(sa){ra=Td[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Ba=ra;Ca=a[F]|0}else{Ba=c[wa>>2]|0;Ca=X}if((Ba|0)!=(c[((Ca&1)==0?H:c[I>>2]|0)>>2]|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}ra=c[f>>2]|0;ta=ra+12|0;Da=c[ta>>2]|0;if((Da|0)==(c[ra+16>>2]|0)){Td[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[ta>>2]=Da+4}a[k]=1;Da=a[F]|0;if((Da&1)==0){Ea=(Da&255)>>>1}else{Ea=c[H>>2]|0}ka=Ea>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}if(sa){sa=Td[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Fa=sa;Ga=a[E]|0}else{Fa=c[wa>>2]|0;Ga=fa}if((Fa|0)!=(c[((Ga&1)==0?J:c[K>>2]|0)>>2]|0)){a[k]=1;ka=U;la=o;ma=T;na=S;oa=R;break b}wa=c[f>>2]|0;sa=wa+12|0;ia=c[sa>>2]|0;if((ia|0)==(c[wa+16>>2]|0)){Td[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[sa>>2]=ia+4}ia=a[E]|0;if((ia&1)==0){Ha=(ia&255)>>>1}else{Ha=c[J>>2]|0}ka=Ha>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break};case 2:{if(!((U|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Ia=(a[P]|0)!=0}else{Ia=0}if(!(L|Ia)){ka=0;la=o;ma=T;na=S;oa=R;break b}}ia=a[D]|0;sa=(ia&1)==0?h:c[M>>2]|0;c:do{if((r|0)==0){Ja=sa;Ka=ia;La=$;Ma=$}else{if((d[s+(r-1)|0]|0)>>>0<2>>>0){Na=sa;Oa=ia}else{Ja=sa;Ka=ia;La=$;Ma=$;break}while(1){if((Oa&1)==0){Pa=(Oa&255)>>>1;Qa=h}else{Pa=c[h>>2]|0;Qa=c[M>>2]|0}if((Na|0)==(Qa+(Pa<<2)|0)){Ra=Oa;break}if(!(Vd[c[(c[e>>2]|0)+12>>2]&127](l,8192,c[Na>>2]|0)|0)){Z=148;break}Na=Na+4|0;Oa=a[D]|0}if((Z|0)==148){Z=0;Ra=a[D]|0}wa=(Ra&1)==0;Da=Na-(wa?h:c[M>>2]|0)>>2;ta=a[G]|0;ra=(ta&1)==0;if(ra){Sa=(ta&255)>>>1}else{Sa=c[N>>2]|0}d:do{if(!(Da>>>0>Sa>>>0)){if(ra){Ta=(ta&255)>>>1;Ua=N;Va=N+(((ta&255)>>>1)-Da<<2)|0}else{Wa=c[O>>2]|0;Xa=c[N>>2]|0;Ta=Xa;Ua=Wa;Va=Wa+(Xa-Da<<2)|0}Xa=Ua+(Ta<<2)|0;if((Va|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}else{Ya=Va;Za=wa?h:c[M>>2]|0}while(1){if((c[Ya>>2]|0)!=(c[Za>>2]|0)){break d}Wa=Ya+4|0;if((Wa|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}Ya=Wa;Za=Za+4|0}}}while(0);Ja=wa?h:c[M>>2]|0;Ka=Ra;La=$;Ma=$}}while(0);e:while(1){if((Ka&1)==0){_a=(Ka&255)>>>1;$a=h}else{_a=c[h>>2]|0;$a=c[M>>2]|0}if((Ja|0)==($a+(_a<<2)|0)){break}ia=c[f>>2]|0;do{if((ia|0)==0){ab=1}else{sa=c[ia+12>>2]|0;if((sa|0)==(c[ia+16>>2]|0)){bb=Td[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{bb=c[sa>>2]|0}if((bb|0)==-1){c[f>>2]=0;ab=1;break}else{ab=(c[f>>2]|0)==0;break}}}while(0);do{if((La|0)==0){cb=Ma;Z=178}else{ia=c[La+12>>2]|0;if((ia|0)==(c[La+16>>2]|0)){db=Td[c[(c[La>>2]|0)+36>>2]&255](La)|0}else{db=c[ia>>2]|0}if((db|0)==-1){c[b>>2]=0;cb=0;Z=178;break}else{if(ab^(Ma|0)==0){eb=Ma;fb=Ma;break}else{break e}}}}while(0);if((Z|0)==178){Z=0;if(ab){break}else{eb=0;fb=cb}}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;if((wa|0)==(c[ia+16>>2]|0)){gb=Td[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{gb=c[wa>>2]|0}if((gb|0)!=(c[Ja>>2]|0)){break}wa=c[f>>2]|0;ia=wa+12|0;sa=c[ia>>2]|0;if((sa|0)==(c[wa+16>>2]|0)){Td[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ia>>2]=sa+4}Ja=Ja+4|0;Ka=a[D]|0;La=eb;Ma=fb}if(!L){ka=U;la=o;ma=T;na=S;oa=R;break b}sa=a[D]|0;if((sa&1)==0){hb=(sa&255)>>>1;ib=h}else{hb=c[h>>2]|0;ib=c[M>>2]|0}if((Ja|0)==(ib+(hb<<2)|0)){ka=U;la=o;ma=T;na=S;oa=R}else{Z=193;break a}break};case 4:{sa=0;ia=o;wa=T;fa=S;X=R;f:while(1){V=c[f>>2]|0;do{if((V|0)==0){jb=1}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){kb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{kb=c[Da>>2]|0}if((kb|0)==-1){c[f>>2]=0;jb=1;break}else{jb=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=207}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){lb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{lb=c[Da>>2]|0}if((lb|0)==-1){c[b>>2]=0;Z=207;break}else{if(jb){break}else{break f}}}}while(0);if((Z|0)==207){Z=0;if(jb){break}}V=c[f>>2]|0;Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){mb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{mb=c[Da>>2]|0}if(Vd[c[(c[e>>2]|0)+12>>2]&127](l,2048,mb)|0){Da=c[n>>2]|0;if((Da|0)==(c[q>>2]|0)){hQ(m,n,q);nb=c[n>>2]|0}else{nb=Da}c[n>>2]=nb+4;c[nb>>2]=mb;ob=sa+1|0;pb=ia;qb=wa;rb=fa;sb=X}else{Da=a[C]|0;if((Da&1)==0){tb=(Da&255)>>>1}else{tb=c[Q>>2]|0}if((tb|0)==0|(sa|0)==0){break}if((mb|0)!=(c[u>>2]|0)){break}if((wa|0)==(ia|0)){Da=(X|0)!=210;V=wa-fa|0;ta=V>>>0<2147483647>>>0?V<<1:-1;if(Da){ub=fa}else{ub=0}Da=lU(ub,ta)|0;ra=Da;if((Da|0)==0){vU()}vb=ra+(ta>>>2<<2)|0;wb=ra+(V>>2<<2)|0;xb=ra;yb=102}else{vb=ia;wb=wa;xb=fa;yb=X}c[wb>>2]=sa;ob=0;pb=vb;qb=wb+4|0;rb=xb;sb=yb}ra=c[f>>2]|0;V=ra+12|0;ta=c[V>>2]|0;if((ta|0)==(c[ra+16>>2]|0)){Td[c[(c[ra>>2]|0)+40>>2]&255](ra)|0;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}else{c[V>>2]=ta+4;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}}if((fa|0)==(wa|0)|(sa|0)==0){zb=ia;Ab=wa;Bb=fa;Cb=X}else{if((wa|0)==(ia|0)){ta=(X|0)!=210;V=wa-fa|0;ra=V>>>0<2147483647>>>0?V<<1:-1;if(ta){Db=fa}else{Db=0}ta=lU(Db,ra)|0;Da=ta;if((ta|0)==0){vU()}Eb=Da+(ra>>>2<<2)|0;Fb=Da+(V>>2<<2)|0;Gb=Da;Hb=102}else{Eb=ia;Fb=wa;Gb=fa;Hb=X}c[Fb>>2]=sa;zb=Eb;Ab=Fb+4|0;Bb=Gb;Cb=Hb}Da=c[A>>2]|0;if((Da|0)>0){V=c[f>>2]|0;do{if((V|0)==0){Ib=1}else{ra=c[V+12>>2]|0;if((ra|0)==(c[V+16>>2]|0)){Jb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Jb=c[ra>>2]|0}if((Jb|0)==-1){c[f>>2]=0;Ib=1;break}else{Ib=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=259}else{sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Kb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Kb=c[sa>>2]|0}if((Kb|0)==-1){c[b>>2]=0;Z=259;break}else{if(Ib){Lb=V;break}else{Z=265;break a}}}}while(0);if((Z|0)==259){Z=0;if(Ib){Z=265;break a}else{Lb=0}}V=c[f>>2]|0;sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Mb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Mb=c[sa>>2]|0}if((Mb|0)!=(c[t>>2]|0)){Z=265;break a}sa=c[f>>2]|0;V=sa+12|0;X=c[V>>2]|0;if((X|0)==(c[sa+16>>2]|0)){Td[c[(c[sa>>2]|0)+40>>2]&255](sa)|0;Nb=Lb;Ob=Da;Pb=Lb}else{c[V>>2]=X+4;Nb=Lb;Ob=Da;Pb=Lb}while(1){X=c[f>>2]|0;do{if((X|0)==0){Qb=1}else{V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Rb=Td[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Rb=c[V>>2]|0}if((Rb|0)==-1){c[f>>2]=0;Qb=1;break}else{Qb=(c[f>>2]|0)==0;break}}}while(0);do{if((Nb|0)==0){Sb=Pb;Z=282}else{X=c[Nb+12>>2]|0;if((X|0)==(c[Nb+16>>2]|0)){Tb=Td[c[(c[Nb>>2]|0)+36>>2]&255](Nb)|0}else{Tb=c[X>>2]|0}if((Tb|0)==-1){c[b>>2]=0;Sb=0;Z=282;break}else{if(Qb^(Pb|0)==0){Ub=Pb;Vb=Pb;break}else{Z=289;break a}}}}while(0);if((Z|0)==282){Z=0;if(Qb){Z=289;break a}else{Ub=Sb;Vb=0}}X=c[f>>2]|0;V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Wb=Td[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Wb=c[V>>2]|0}if(!(Vd[c[(c[e>>2]|0)+12>>2]&127](l,2048,Wb)|0)){Z=289;break a}if((c[n>>2]|0)==(c[q>>2]|0)){hQ(m,n,q)}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Xb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Xb=c[X>>2]|0}X=c[n>>2]|0;c[n>>2]=X+4;c[X>>2]=Xb;X=Ob-1|0;c[A>>2]=X;V=c[f>>2]|0;sa=V+12|0;fa=c[sa>>2]|0;if((fa|0)==(c[V+16>>2]|0)){Td[c[(c[V>>2]|0)+40>>2]&255](V)|0}else{c[sa>>2]=fa+4}if((X|0)>0){Nb=Vb;Ob=X;Pb=Ub}else{break}}}if((c[n>>2]|0)==(c[g>>2]|0)){Z=300;break a}else{ka=U;la=zb;ma=Ab;na=Bb;oa=Cb}break};default:{ka=U;la=o;ma=T;na=S;oa=R}}}while(0);g:do{if((Z|0)==42){Z=0;if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}else{Yb=$;Zb=$}while(1){Da=c[f>>2]|0;do{if((Da|0)==0){_b=1}else{X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){$b=Td[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{$b=c[X>>2]|0}if(($b|0)==-1){c[f>>2]=0;_b=1;break}else{_b=(c[f>>2]|0)==0;break}}}while(0);do{if((Yb|0)==0){ac=Zb;Z=56}else{Da=c[Yb+12>>2]|0;if((Da|0)==(c[Yb+16>>2]|0)){bc=Td[c[(c[Yb>>2]|0)+36>>2]&255](Yb)|0}else{bc=c[Da>>2]|0}if((bc|0)==-1){c[b>>2]=0;ac=0;Z=56;break}else{if(_b^(Zb|0)==0){cc=Zb;dc=Zb;break}else{ka=U;la=o;ma=T;na=S;oa=R;break g}}}}while(0);if((Z|0)==56){Z=0;if(_b){ka=U;la=o;ma=T;na=S;oa=R;break g}else{cc=0;dc=ac}}Da=c[f>>2]|0;X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){ec=Td[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{ec=c[X>>2]|0}if(!(Vd[c[(c[e>>2]|0)+12>>2]&127](l,8192,ec)|0)){ka=U;la=o;ma=T;na=S;oa=R;break g}X=c[f>>2]|0;Da=X+12|0;fa=c[Da>>2]|0;if((fa|0)==(c[X+16>>2]|0)){fc=Td[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[Da>>2]=fa+4;fc=c[fa>>2]|0}LK(z,fc);Yb=cc;Zb=dc}}}while(0);fa=r+1|0;if(fa>>>0<4>>>0){R=oa;S=na;T=ma;o=la;r=fa;U=ka}else{aa=oa;ba=na;ca=ma;da=ka;Z=302;break}}h:do{if((Z|0)==41){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==134){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==193){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==265){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==289){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==300){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==302){i:do{if((da|0)!=0){ka=da;ma=da+4|0;na=da+8|0;oa=1;j:while(1){U=a[ka]|0;if((U&1)==0){jc=(U&255)>>>1}else{jc=c[ma>>2]|0}if(!(oa>>>0<jc>>>0)){break i}U=c[f>>2]|0;do{if((U|0)==0){kc=1}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){lc=Td[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{lc=c[r>>2]|0}if((lc|0)==-1){c[f>>2]=0;kc=1;break}else{kc=(c[f>>2]|0)==0;break}}}while(0);U=c[b>>2]|0;do{if((U|0)==0){Z=321}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){mc=Td[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{mc=c[r>>2]|0}if((mc|0)==-1){c[b>>2]=0;Z=321;break}else{if(kc){break}else{break j}}}}while(0);if((Z|0)==321){Z=0;if(kc){break}}U=c[f>>2]|0;r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){nc=Td[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{nc=c[r>>2]|0}if((a[ka]&1)==0){oc=ma}else{oc=c[na>>2]|0}if((nc|0)!=(c[oc+(oa<<2)>>2]|0)){break}r=oa+1|0;U=c[f>>2]|0;la=U+12|0;o=c[la>>2]|0;if((o|0)==(c[U+16>>2]|0)){Td[c[(c[U>>2]|0)+40>>2]&255](U)|0;oa=r;continue}else{c[la>>2]=o+4;oa=r;continue}}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa;break h}}while(0);if((ba|0)==(ca|0)){gc=1;hc=ca;ic=aa;break}c[B>>2]=0;$P(v,ba,ca,B);if((c[B>>2]|0)==0){gc=1;hc=ba;ic=aa;break}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa}}while(0);HK(z);HK(y);HK(x);HK(w);dK(v);if((hc|0)==0){i=p;return gc|0}Qd[ic&511](hc);i=p;return gc|0}function eQ(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=i;i=i+456|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=210;u=m+400|0;$K(p,h);m=p|0;v=c[m>>2]|0;if(!((c[235780]|0)==-1)){c[l>>2]=943120;c[l+4>>2]=20;c[l+8>>2]=0;QJ(943120,l,124)}l=(c[235781]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(dQ(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){c[k+4>>2]=0;a[B]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){LK(k,ce[c[(c[B>>2]|0)+44>>2]&127](y,45)|0)}x=ce[c[(c[B>>2]|0)+44>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-4|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((c[C>>2]|0)==(x|0)){C=C+4|0}else{break}}fQ(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=1}else{E=c[B+12>>2]|0;if((E|0)==(c[B+16>>2]|0)){F=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{F=c[E>>2]|0}if((F|0)==-1){c[x>>2]=0;D=1;break}else{D=(c[x>>2]|0)==0;break}}}while(0);do{if((A|0)==0){G=35}else{B=c[A+12>>2]|0;if((B|0)==(c[A+16>>2]|0)){H=Td[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{H=c[B>>2]|0}if((H|0)==-1){c[z>>2]=0;G=35;break}else{if(D){break}else{G=37;break}}}}while(0);if((G|0)==35){if(D){G=37}}if((G|0)==37){c[j>>2]=c[j>>2]|2}c[b>>2]=c[x>>2];vJ(c[m>>2]|0)|0;z=c[s>>2]|0;c[s>>2]=0;if((z|0)==0){i=d;return}Qd[c[t>>2]&511](z);i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function fQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=1;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g>>2;if((h|0)==0){return b|0}if((i-k|0)>>>0<h>>>0){NK(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+4|0}else{m=c[b+8>>2]|0}l=m+(k<<2)|0;if((d|0)==(e|0)){n=l}else{j=k+((e-4+(-g|0)|0)>>>2)+1|0;g=d;d=l;while(1){c[d>>2]=c[g>>2];l=g+4|0;if((l|0)==(e|0)){break}else{g=l;d=d+4|0}}n=m+(j<<2)|0}c[n>>2]=0;n=k+h|0;if((a[f]&1)==0){a[f]=n<<1;return b|0}else{c[b+4>>2]=n;return b|0}return 0}function gQ(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[235896]|0)==-1)){c[p>>2]=943584;c[p+4>>2]=20;c[p+8>>2]=0;QJ(943584,p,124)}p=(c[235897]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=xd(4)|0;D=B;PT(D);tc(B|0,911744,178)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=xd(4)|0;D=B;PT(D);tc(B|0,911744,178)}B=b;Rd[c[(c[b>>2]|0)+44>>2]&127](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Rd[c[(c[D>>2]|0)+32>>2]&127](r,B);q=l;if((a[q]&1)==0){c[l+4>>2]=0;a[q]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KK(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];NU(p|0,0,12)|0;HK(r);Rd[c[(c[D>>2]|0)+28>>2]&127](s,B);r=k;if((a[r]&1)==0){c[k+4>>2]=0;a[r]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}KK(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];NU(p|0,0,12)|0;HK(s);s=b;c[f>>2]=Td[c[(c[s>>2]|0)+12>>2]&255](B)|0;c[g>>2]=Td[c[(c[s>>2]|0)+16>>2]&255](B)|0;Rd[c[(c[b>>2]|0)+20>>2]&127](t,B);b=h;if((a[b]&1)==0){a[h+1|0]=0;a[b]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}pK(h,0);p=t;c[b>>2]=c[p>>2];c[b+4>>2]=c[p+4>>2];c[b+8>>2]=c[p+8>>2];NU(p|0,0,12)|0;dK(t);Rd[c[(c[D>>2]|0)+24>>2]&127](u,B);D=j;if((a[D]&1)==0){c[j+4>>2]=0;a[D]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}KK(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];NU(t|0,0,12)|0;HK(u);E=Td[c[(c[s>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[235898]|0)==-1)){c[o>>2]=943592;c[o+4>>2]=20;c[o+8>>2]=0;QJ(943592,o,124)}o=(c[235899]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=xd(4)|0;G=F;PT(G);tc(F|0,911744,178)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=xd(4)|0;G=F;PT(G);tc(F|0,911744,178)}F=B;Rd[c[(c[B>>2]|0)+44>>2]&127](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Rd[c[(c[G>>2]|0)+32>>2]&127](w,F);v=l;if((a[v]&1)==0){c[l+4>>2]=0;a[v]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KK(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];NU(l|0,0,12)|0;HK(w);Rd[c[(c[G>>2]|0)+28>>2]&127](x,F);w=k;if((a[w]&1)==0){c[k+4>>2]=0;a[w]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}KK(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];NU(k|0,0,12)|0;HK(x);x=B;c[f>>2]=Td[c[(c[x>>2]|0)+12>>2]&255](F)|0;c[g>>2]=Td[c[(c[x>>2]|0)+16>>2]&255](F)|0;Rd[c[(c[B>>2]|0)+20>>2]&127](y,F);B=h;if((a[B]&1)==0){a[h+1|0]=0;a[B]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}pK(h,0);h=y;c[B>>2]=c[h>>2];c[B+4>>2]=c[h+4>>2];c[B+8>>2]=c[h+8>>2];NU(h|0,0,12)|0;dK(y);Rd[c[(c[G>>2]|0)+24>>2]&127](z,F);G=j;if((a[G]&1)==0){c[j+4>>2]=0;a[G]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}KK(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];NU(j|0,0,12)|0;HK(z);E=Td[c[(c[x>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function hQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;f=(c[e>>2]|0)!=210;g=a|0;a=c[g>>2]|0;h=a;i=(c[d>>2]|0)-h|0;j=i>>>0<2147483647>>>0?i<<1:-1;i=(c[b>>2]|0)-h>>2;if(f){k=a}else{k=0}a=lU(k,j)|0;k=a;if((a|0)==0){vU()}do{if(f){c[g>>2]=k;l=k}else{a=c[g>>2]|0;c[g>>2]=k;if((a|0)==0){l=k;break}Qd[c[e>>2]&511](a);l=c[g>>2]|0}}while(0);c[e>>2]=102;c[b>>2]=l+(i<<2);c[d>>2]=(c[g>>2]|0)+(j>>>2<<2);return}function iQ(a){a=a|0;tJ(a|0);qU(a);return}function jQ(a){a=a|0;tJ(a|0);return}function kQ(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+448|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+232|0;o=d+240|0;p=d+248|0;q=d+256|0;r=d+264|0;s=d+280|0;t=d+296|0;u=d+312|0;v=d+320|0;w=d+424|0;x=d+432|0;y=d+440|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Ab(z|0,100,894384,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);C=cO(m,c[235424]|0,894384,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){vU();E=c[m>>2]|0}else{E=D}D=iU(C)|0;if((D|0)!=0){F=D;G=C;H=D;I=E;break}vU();F=0;G=C;H=0;I=E}else{F=A;G=B;H=0;I=0}}while(0);$K(n,g);B=n|0;A=c[B>>2]|0;if(!((c[235782]|0)==-1)){c[l>>2]=943128;c[l+4>>2]=20;c[l+8>>2]=0;QJ(943128,l,124)}l=(c[235783]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;D=c[m>>2]|0;fe[c[(c[z>>2]|0)+32>>2]&127](C,D,D+G|0,F)|0;if((G|0)==0){J=0}else{J=(a[c[m>>2]|0]|0)==45}NU(r|0,0,12)|0;D=s;NU(D|0,0,12)|0;z=t;NU(z|0,0,12)|0;lQ(f,J,n,o,p,q,r,s,t,u);K=v|0;L=c[u>>2]|0;if((G|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(G-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){D=iU(M)|0;if((D|0)!=0){S=D;T=D;break}vU();S=0;T=0}else{S=K;T=0}}while(0);mQ(S,w,x,c[g+4>>2]|0,F,F+G|0,C,J,o,a[p]|0,a[q]|0,r,s,t,L);c[y>>2]=c[e>>2];EG(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){jU(T)}dK(t);dK(s);dK(r);vJ(c[B>>2]|0)|0;if((H|0)!=0){jU(H)}if((I|0)==0){i=d;return}jU(I);i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function lQ(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[235900]|0)==-1)){c[p>>2]=943600;c[p+4>>2]=20;c[p+8>>2]=0;QJ(943600,p,124)}p=(c[235901]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=xd(4)|0;J=I;PT(J);tc(I|0,911744,178)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=xd(4)|0;J=I;PT(J);tc(I|0,911744,178)}I=e;J=c[e>>2]|0;if(d){Rd[c[J+44>>2]&127](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Rd[c[(c[e>>2]|0)+32>>2]&127](s,I);r=l;if((a[r]&1)==0){a[l+1|0]=0;a[r]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pK(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];NU(q|0,0,12)|0;dK(s)}else{Rd[c[J+40>>2]&127](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Rd[c[(c[e>>2]|0)+28>>2]&127](v,I);u=l;if((a[u]&1)==0){a[l+1|0]=0;a[u]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pK(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];NU(t|0,0,12)|0;dK(v)}v=e;a[g]=Td[c[(c[v>>2]|0)+12>>2]&255](I)|0;a[h]=Td[c[(c[v>>2]|0)+16>>2]&255](I)|0;v=e;Rd[c[(c[v>>2]|0)+20>>2]&127](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pK(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];NU(u|0,0,12)|0;dK(w);Rd[c[(c[v>>2]|0)+24>>2]&127](x,I);v=k;if((a[v]&1)==0){a[k+1|0]=0;a[v]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}pK(k,0);w=x;c[v>>2]=c[w>>2];c[v+4>>2]=c[w+4>>2];c[v+8>>2]=c[w+8>>2];NU(w|0,0,12)|0;dK(x);K=Td[c[(c[e>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[235902]|0)==-1)){c[o>>2]=943608;c[o+4>>2]=20;c[o+8>>2]=0;QJ(943608,o,124)}o=(c[235903]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=xd(4)|0;M=L;PT(M);tc(L|0,911744,178)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=xd(4)|0;M=L;PT(M);tc(L|0,911744,178)}L=H;M=c[H>>2]|0;if(d){Rd[c[M+44>>2]&127](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Rd[c[(c[H>>2]|0)+32>>2]&127](A,L);z=l;if((a[z]&1)==0){a[l+1|0]=0;a[z]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pK(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];NU(y|0,0,12)|0;dK(A)}else{Rd[c[M+40>>2]&127](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Rd[c[(c[H>>2]|0)+28>>2]&127](E,L);D=l;if((a[D]&1)==0){a[l+1|0]=0;a[D]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pK(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];NU(l|0,0,12)|0;dK(E)}E=H;a[g]=Td[c[(c[E>>2]|0)+12>>2]&255](L)|0;a[h]=Td[c[(c[E>>2]|0)+16>>2]&255](L)|0;E=H;Rd[c[(c[E>>2]|0)+20>>2]&127](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pK(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];NU(j|0,0,12)|0;dK(F);Rd[c[(c[E>>2]|0)+24>>2]&127](G,L);E=k;if((a[E]&1)==0){a[k+1|0]=0;a[E]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}pK(k,0);k=G;c[E>>2]=c[k>>2];c[E+4>>2]=c[k+4>>2];c[E+8>>2]=c[k+8>>2];NU(k|0,0,12)|0;dK(G);K=Td[c[(c[H>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function mQ(d,e,f,g,h,i,j,k,l,m,n,o,p,q,r){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;c[f>>2]=d;s=j;t=q;u=q+1|0;v=q+8|0;w=q+4|0;q=p;x=(g&512|0)==0;y=p+1|0;z=p+8|0;A=p+4|0;p=j+8|0;B=(r|0)>0;C=o;D=o+1|0;E=o+8|0;F=o+4|0;o=-r|0;G=0;H=h;while(1){a:do{switch(a[l+G|0]|0){case 4:{h=c[f>>2]|0;I=k?H+1|0:H;J=I;while(1){if(!(J>>>0<i>>>0)){break}K=a[J]|0;if(K<<24>>24<0){break}if((b[(c[p>>2]|0)+(K<<24>>24<<1)>>1]&2048)==0){break}else{J=J+1|0}}K=J;if(B){if(J>>>0>I>>>0){L=I+(-K|0)|0;K=L>>>0<o>>>0?o:L;L=K+r|0;M=J;N=r;O=h;while(1){P=M-1|0;Q=a[P]|0;c[f>>2]=O+1;a[O]=Q;Q=N-1|0;R=(Q|0)>0;if(!(P>>>0>I>>>0&R)){break}M=P;N=Q;O=c[f>>2]|0}O=J+K|0;if(R){S=L;T=O;U=32}else{V=0;W=L;X=O}}else{S=r;T=J;U=32}if((U|0)==32){U=0;V=ce[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;W=S;X=T}O=c[f>>2]|0;c[f>>2]=O+1;if((W|0)>0){N=W;M=O;while(1){a[M]=V;Q=N-1|0;P=c[f>>2]|0;c[f>>2]=P+1;if((Q|0)>0){N=Q;M=P}else{Y=P;break}}}else{Y=O}a[Y]=m;Z=X}else{Z=J}if((Z|0)==(I|0)){M=ce[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;N=c[f>>2]|0;c[f>>2]=N+1;a[N]=M}else{M=a[C]|0;N=(M&1)==0;if(N){_=(M&255)>>>1}else{_=c[F>>2]|0}if((_|0)==0){$=Z;aa=0;ba=0;ca=-1}else{if(N){da=D}else{da=c[E>>2]|0}$=Z;aa=0;ba=0;ca=a[da]|0}while(1){do{if((aa|0)==(ca|0)){N=c[f>>2]|0;c[f>>2]=N+1;a[N]=n;N=ba+1|0;M=a[C]|0;L=(M&1)==0;if(L){ea=(M&255)>>>1}else{ea=c[F>>2]|0}if(!(N>>>0<ea>>>0)){fa=ca;ga=N;ha=0;break}if(L){ia=D}else{ia=c[E>>2]|0}if((a[ia+N|0]|0)==127){fa=-1;ga=N;ha=0;break}if(L){ja=D}else{ja=c[E>>2]|0}fa=a[ja+N|0]|0;ga=N;ha=0}else{fa=ca;ga=ba;ha=aa}}while(0);N=$-1|0;L=a[N]|0;M=c[f>>2]|0;c[f>>2]=M+1;a[M]=L;if((N|0)==(I|0)){break}else{$=N;aa=ha+1|0;ba=ga;ca=fa}}}J=c[f>>2]|0;if((h|0)==(J|0)){ka=I;break a}O=J-1|0;if(O>>>0>h>>>0){la=h;ma=O}else{ka=I;break a}while(1){O=a[la]|0;a[la]=a[ma]|0;a[ma]=O;O=la+1|0;J=ma-1|0;if(O>>>0<J>>>0){la=O;ma=J}else{ka=I;break}}break};case 2:{I=a[q]|0;h=(I&1)==0;if(h){na=(I&255)>>>1}else{na=c[A>>2]|0}if((na|0)==0|x){ka=H;break a}if(h){oa=(I&255)>>>1;pa=y;qa=y}else{I=c[z>>2]|0;oa=c[A>>2]|0;pa=I;qa=I}I=pa+oa|0;h=c[f>>2]|0;if((qa|0)==(I|0)){ra=h}else{J=h;h=qa;while(1){a[J]=a[h]|0;O=h+1|0;N=J+1|0;if((O|0)==(I|0)){ra=N;break}else{J=N;h=O}}}c[f>>2]=ra;ka=H;break};case 0:{c[e>>2]=c[f>>2];ka=H;break};case 1:{c[e>>2]=c[f>>2];h=ce[c[(c[s>>2]|0)+28>>2]&127](j,32)|0;J=c[f>>2]|0;c[f>>2]=J+1;a[J]=h;ka=H;break};case 3:{h=a[t]|0;J=(h&1)==0;if(J){sa=(h&255)>>>1}else{sa=c[w>>2]|0}if((sa|0)==0){ka=H;break a}if(J){ta=u}else{ta=c[v>>2]|0}J=a[ta]|0;h=c[f>>2]|0;c[f>>2]=h+1;a[h]=J;ka=H;break};default:{ka=H}}}while(0);J=G+1|0;if(J>>>0<4>>>0){G=J;H=ka}else{break}}ka=a[t]|0;t=(ka&1)==0;if(t){ua=(ka&255)>>>1}else{ua=c[w>>2]|0}if(ua>>>0>1>>>0){if(t){va=(ka&255)>>>1;wa=u;xa=u}else{u=c[v>>2]|0;va=c[w>>2]|0;wa=u;xa=u}u=xa+1|0;xa=wa+va|0;va=c[f>>2]|0;if((u|0)==(xa|0)){ya=va}else{wa=va;va=u;while(1){a[wa]=a[va]|0;u=va+1|0;w=wa+1|0;if((u|0)==(xa|0)){ya=w;break}else{wa=w;va=u}}}c[f>>2]=ya}ya=g&176;if((ya|0)==32){c[e>>2]=c[f>>2];return}else if((ya|0)==16){return}else{c[e>>2]=d;return}}function nQ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+208|0;v=d+216|0;w=d+224|0;$K(l,g);x=l|0;y=c[x>>2]|0;if(!((c[235782]|0)==-1)){c[k>>2]=943128;c[k+4>>2]=20;c[k+8>>2]=0;QJ(943128,k,124)}k=(c[235783]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+1|0}else{H=c[j+8>>2]|0}E=a[H]|0;G=E<<24>>24==(ce[c[(c[A>>2]|0)+28>>2]&127](B,45)|0)<<24>>24}NU(p|0,0,12)|0;A=q;NU(A|0,0,12)|0;E=r;NU(E|0,0,12)|0;lQ(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=iU(J)|0;if((A|0)!=0){S=A;T=A;U=I;break}vU();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+1|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}mQ(S,u,v,c[g+4>>2]|0,W,W+V|0,B,G,m,a[n]|0,a[o]|0,p,q,r,L);c[w>>2]=c[e>>2];EG(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){dK(r);dK(q);dK(p);X=c[x>>2]|0;Y=X|0;Z=vJ(Y)|0;i=d;return}jU(T);dK(r);dK(q);dK(p);X=c[x>>2]|0;Y=X|0;Z=vJ(Y)|0;i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function oQ(a){a=a|0;tJ(a|0);qU(a);return}function pQ(a){a=a|0;tJ(a|0);return}function qQ(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+1040|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+528|0;o=d+536|0;p=d+544|0;q=d+552|0;r=d+560|0;s=d+576|0;t=d+592|0;u=d+608|0;v=d+616|0;w=d+1016|0;x=d+1024|0;y=d+1032|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Ab(z|0,100,894384,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);C=cO(m,c[235424]|0,894384,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){vU();E=c[m>>2]|0}else{E=D}D=iU(C<<2)|0;F=D;if((D|0)!=0){G=F;H=C;I=F;J=E;break}vU();G=0;H=C;I=0;J=E}else{G=A;H=B;I=0;J=0}}while(0);$K(n,g);B=n|0;A=c[B>>2]|0;if(!((c[235780]|0)==-1)){c[l>>2]=943120;c[l+4>>2]=20;c[l+8>>2]=0;QJ(943120,l,124)}l=(c[235781]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;F=c[m>>2]|0;fe[c[(c[z>>2]|0)+48>>2]&127](C,F,F+H|0,G)|0;if((H|0)==0){K=0}else{K=(a[c[m>>2]|0]|0)==45}NU(r|0,0,12)|0;F=s;NU(F|0,0,12)|0;z=t;NU(z|0,0,12)|0;rQ(f,K,n,o,p,q,r,s,t,u);D=v|0;L=c[u>>2]|0;if((H|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(H-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){F=iU(M<<2)|0;z=F;if((F|0)!=0){S=z;T=z;break}vU();S=0;T=0}else{S=D;T=0}}while(0);sQ(S,w,x,c[g+4>>2]|0,G,G+(H<<2)|0,C,K,o,c[p>>2]|0,c[q>>2]|0,r,s,t,L);c[y>>2]=c[e>>2];lO(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){jU(T)}HK(t);HK(s);dK(r);vJ(c[B>>2]|0)|0;if((I|0)!=0){jU(I)}if((J|0)==0){i=d;return}jU(J);i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function rQ(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[235896]|0)==-1)){c[p>>2]=943584;c[p+4>>2]=20;c[p+8>>2]=0;QJ(943584,p,124)}p=(c[235897]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=xd(4)|0;J=I;PT(J);tc(I|0,911744,178)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=xd(4)|0;J=I;PT(J);tc(I|0,911744,178)}I=e;J=c[e>>2]|0;if(d){Rd[c[J+44>>2]&127](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Rd[c[(c[e>>2]|0)+32>>2]&127](s,I);r=l;if((a[r]&1)==0){c[l+4>>2]=0;a[r]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KK(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];NU(q|0,0,12)|0;HK(s)}else{Rd[c[J+40>>2]&127](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Rd[c[(c[e>>2]|0)+28>>2]&127](v,I);u=l;if((a[u]&1)==0){c[l+4>>2]=0;a[u]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KK(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];NU(t|0,0,12)|0;HK(v)}v=e;c[g>>2]=Td[c[(c[v>>2]|0)+12>>2]&255](I)|0;c[h>>2]=Td[c[(c[v>>2]|0)+16>>2]&255](I)|0;Rd[c[(c[e>>2]|0)+20>>2]&127](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pK(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];NU(u|0,0,12)|0;dK(w);Rd[c[(c[e>>2]|0)+24>>2]&127](x,I);e=k;if((a[e]&1)==0){c[k+4>>2]=0;a[e]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}KK(k,0);w=x;c[e>>2]=c[w>>2];c[e+4>>2]=c[w+4>>2];c[e+8>>2]=c[w+8>>2];NU(w|0,0,12)|0;HK(x);K=Td[c[(c[v>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[235898]|0)==-1)){c[o>>2]=943592;c[o+4>>2]=20;c[o+8>>2]=0;QJ(943592,o,124)}o=(c[235899]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=xd(4)|0;M=L;PT(M);tc(L|0,911744,178)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=xd(4)|0;M=L;PT(M);tc(L|0,911744,178)}L=H;M=c[H>>2]|0;if(d){Rd[c[M+44>>2]&127](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Rd[c[(c[H>>2]|0)+32>>2]&127](A,L);z=l;if((a[z]&1)==0){c[l+4>>2]=0;a[z]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KK(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];NU(y|0,0,12)|0;HK(A)}else{Rd[c[M+40>>2]&127](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Rd[c[(c[H>>2]|0)+28>>2]&127](E,L);D=l;if((a[D]&1)==0){c[l+4>>2]=0;a[D]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KK(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];NU(l|0,0,12)|0;HK(E)}E=H;c[g>>2]=Td[c[(c[E>>2]|0)+12>>2]&255](L)|0;c[h>>2]=Td[c[(c[E>>2]|0)+16>>2]&255](L)|0;Rd[c[(c[H>>2]|0)+20>>2]&127](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pK(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];NU(j|0,0,12)|0;dK(F);Rd[c[(c[H>>2]|0)+24>>2]&127](G,L);H=k;if((a[H]&1)==0){c[k+4>>2]=0;a[H]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}KK(k,0);k=G;c[H>>2]=c[k>>2];c[H+4>>2]=c[k+4>>2];c[H+8>>2]=c[k+8>>2];NU(k|0,0,12)|0;HK(G);K=Td[c[(c[E>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function sQ(b,d,e,f,g,h,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;c[e>>2]=b;r=i;s=p;t=p+4|0;u=p+8|0;p=o;v=(f&512|0)==0;w=o+4|0;x=o+8|0;o=i;y=(q|0)>0;z=n;A=n+1|0;B=n+8|0;C=n+4|0;n=0;D=g;while(1){a:do{switch(a[k+n|0]|0){case 4:{g=c[e>>2]|0;E=j?D+4|0:D;F=E;while(1){if(!(F>>>0<h>>>0)){break}if(Vd[c[(c[o>>2]|0)+12>>2]&127](i,2048,c[F>>2]|0)|0){F=F+4|0}else{break}}if(y){do{if(F>>>0>E>>>0){G=F;H=q;I=c[e>>2]|0;while(1){J=G-4|0;K=I+4|0;c[I>>2]=c[J>>2];L=H-1|0;M=(L|0)>0;if(J>>>0>E>>>0&M){G=J;H=L;I=K}else{break}}c[e>>2]=K;if(M){N=L;O=J;P=34;break}I=c[e>>2]|0;c[e>>2]=I+4;Q=I;R=J}else{N=q;O=F;P=34}}while(0);do{if((P|0)==34){P=0;I=ce[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;H=c[e>>2]|0;G=H+4|0;c[e>>2]=G;if((N|0)>0){S=N;T=H;U=G}else{Q=H;R=O;break}while(1){c[T>>2]=I;G=S-1|0;if((G|0)>0){S=G;T=U;U=U+4|0}else{break}}c[e>>2]=H+(N+1<<2);Q=H+(N<<2)|0;R=O}}while(0);c[Q>>2]=l;V=R}else{V=F}if((V|0)==(E|0)){I=ce[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;G=c[e>>2]|0;W=G+4|0;c[e>>2]=W;c[G>>2]=I;X=W}else{W=a[z]|0;I=(W&1)==0;if(I){Y=(W&255)>>>1}else{Y=c[C>>2]|0}if((Y|0)==0){Z=V;_=0;$=0;aa=-1}else{if(I){ba=A}else{ba=c[B>>2]|0}Z=V;_=0;$=0;aa=a[ba]|0}while(1){do{if((_|0)==(aa|0)){I=c[e>>2]|0;c[e>>2]=I+4;c[I>>2]=m;I=$+1|0;W=a[z]|0;G=(W&1)==0;if(G){ca=(W&255)>>>1}else{ca=c[C>>2]|0}if(!(I>>>0<ca>>>0)){da=aa;ea=I;fa=0;break}if(G){ga=A}else{ga=c[B>>2]|0}if((a[ga+I|0]|0)==127){da=-1;ea=I;fa=0;break}if(G){ha=A}else{ha=c[B>>2]|0}da=a[ha+I|0]|0;ea=I;fa=0}else{da=aa;ea=$;fa=_}}while(0);H=Z-4|0;I=c[H>>2]|0;G=c[e>>2]|0;c[e>>2]=G+4;c[G>>2]=I;if((H|0)==(E|0)){break}else{Z=H;_=fa+1|0;$=ea;aa=da}}X=c[e>>2]|0}if((g|0)==(X|0)){ia=E;break a}F=X-4|0;if(F>>>0>g>>>0){ja=g;ka=F}else{ia=E;break a}while(1){F=c[ja>>2]|0;c[ja>>2]=c[ka>>2];c[ka>>2]=F;F=ja+4|0;H=ka-4|0;if(F>>>0<H>>>0){ja=F;ka=H}else{ia=E;break}}break};case 2:{E=a[p]|0;g=(E&1)==0;if(g){la=(E&255)>>>1}else{la=c[w>>2]|0}if((la|0)==0|v){ia=D;break a}if(g){ma=(E&255)>>>1;na=w;oa=w}else{E=c[x>>2]|0;ma=c[w>>2]|0;na=E;oa=E}E=na+(ma<<2)|0;g=c[e>>2]|0;if((oa|0)==(E|0)){pa=g}else{H=(na+(ma-1<<2)+(-oa|0)|0)>>>2;F=g;I=oa;while(1){c[F>>2]=c[I>>2];G=I+4|0;if((G|0)==(E|0)){break}F=F+4|0;I=G}pa=g+(H+1<<2)|0}c[e>>2]=pa;ia=D;break};case 3:{I=a[s]|0;F=(I&1)==0;if(F){qa=(I&255)>>>1}else{qa=c[t>>2]|0}if((qa|0)==0){ia=D;break a}if(F){ra=t}else{ra=c[u>>2]|0}F=c[ra>>2]|0;I=c[e>>2]|0;c[e>>2]=I+4;c[I>>2]=F;ia=D;break};case 0:{c[d>>2]=c[e>>2];ia=D;break};case 1:{c[d>>2]=c[e>>2];F=ce[c[(c[r>>2]|0)+44>>2]&127](i,32)|0;I=c[e>>2]|0;c[e>>2]=I+4;c[I>>2]=F;ia=D;break};default:{ia=D}}}while(0);F=n+1|0;if(F>>>0<4>>>0){n=F;D=ia}else{break}}ia=a[s]|0;s=(ia&1)==0;if(s){sa=(ia&255)>>>1}else{sa=c[t>>2]|0}if(sa>>>0>1>>>0){if(s){ta=(ia&255)>>>1;ua=t;va=t}else{ia=c[u>>2]|0;ta=c[t>>2]|0;ua=ia;va=ia}ia=va+4|0;va=ua+(ta<<2)|0;t=c[e>>2]|0;if((ia|0)==(va|0)){wa=t}else{u=(ua+(ta-1<<2)+(-ia|0)|0)>>>2;ta=t;ua=ia;while(1){c[ta>>2]=c[ua>>2];ia=ua+4|0;if((ia|0)==(va|0)){break}else{ta=ta+4|0;ua=ia}}wa=t+(u+1<<2)|0}c[e>>2]=wa}wa=f&176;if((wa|0)==32){c[d>>2]=c[e>>2];return}else if((wa|0)==16){return}else{c[d>>2]=b;return}}function tQ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+528|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+504|0;v=d+512|0;w=d+520|0;$K(l,g);x=l|0;y=c[x>>2]|0;if(!((c[235780]|0)==-1)){c[k>>2]=943120;c[k+4>>2]=20;c[k+8>>2]=0;QJ(943120,k,124)}k=(c[235781]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+4|0}else{H=c[j+8>>2]|0}E=c[H>>2]|0;G=(E|0)==(ce[c[(c[A>>2]|0)+44>>2]&127](B,45)|0)}NU(p|0,0,12)|0;A=q;NU(A|0,0,12)|0;E=r;NU(E|0,0,12)|0;rQ(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=iU(J<<2)|0;E=A;if((A|0)!=0){S=E;T=E;U=I;break}vU();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+4|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}sQ(S,u,v,c[g+4>>2]|0,W,W+(V<<2)|0,B,G,m,c[n>>2]|0,c[o>>2]|0,p,q,r,L);c[w>>2]=c[e>>2];lO(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){HK(r);HK(q);dK(p);X=c[x>>2]|0;Y=X|0;Z=vJ(Y)|0;i=d;return}jU(T);HK(r);HK(q);dK(p);X=c[x>>2]|0;Y=X|0;Z=vJ(Y)|0;i=d;return}}while(0);d=xd(4)|0;PT(d);tc(d|0,911744,178)}function uQ(a){a=a|0;tJ(a|0);qU(a);return}function vQ(a){a=a|0;tJ(a|0);return}function wQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Cd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function xQ(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=i;i=i+16|0;j=d|0;k=j;NU(k|0,0,12)|0;l=a[h]|0;if((l&1)==0){m=(l&255)>>>1;n=h+1|0;o=h+1|0}else{l=c[h+8>>2]|0;m=c[h+4>>2]|0;n=l;o=l}l=o+m|0;do{if(n>>>0<l>>>0){m=n;do{vK(j,a[m]|0);m=m+1|0;}while(m>>>0<l>>>0);m=(e|0)==-1?-1:e<<1;if((a[k]&1)==0){p=m;q=10;break}r=c[j+8>>2]|0;s=m}else{p=(e|0)==-1?-1:e<<1;q=10}}while(0);if((q|0)==10){r=j+1|0;s=p}p=Ub(s|0,f|0,g|0,r|0)|0;NU(b|0,0,12)|0;r=KU(p|0)|0;g=p+r|0;if((r|0)>0){t=p}else{dK(j);i=d;return}do{vK(b,a[t]|0);t=t+1|0;}while(t>>>0<g>>>0);dK(j);i=d;return}function yQ(a,b){a=a|0;b=b|0;Yc(((b|0)==-1?-1:b<<1)|0)|0;return}function zQ(a){a=a|0;tJ(a|0);qU(a);return}function AQ(a){a=a|0;tJ(a|0);return}function BQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Cd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function CQ(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=i;i=i+240|0;j=d|0;k=d+8|0;l=d+40|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+192|0;q=d+200|0;r=d+208|0;s=d+224|0;t=d+232|0;u=r;NU(u|0,0,12)|0;c[s+4>>2]=0;c[s>>2]=907120;v=a[h]|0;if((v&1)==0){w=(v&255)>>>1;x=h+4|0;y=h+4|0}else{v=c[h+8>>2]|0;w=c[h+4>>2]|0;x=v;y=v}v=y+(w<<2)|0;w=k|0;a:do{if(x>>>0<v>>>0){y=s|0;h=s;z=k+32|0;A=x;B=907120;while(1){c[m>>2]=A;C=(ie[c[B+12>>2]&31](y,j,A,v,m,w,z,l)|0)==2;D=c[m>>2]|0;if(C|(D|0)==(A|0)){break}if(w>>>0<(c[l>>2]|0)>>>0){C=w;do{vK(r,a[C]|0);C=C+1|0;}while(C>>>0<(c[l>>2]|0)>>>0);E=c[m>>2]|0}else{E=D}if(!(E>>>0<v>>>0)){break a}A=E;B=c[h>>2]|0}XP(44616)}}while(0);tJ(s|0);if((a[u]&1)==0){F=r+1|0}else{F=c[r+8>>2]|0}u=Ub(((e|0)==-1?-1:e<<1)|0,f|0,g|0,F|0)|0;NU(b|0,0,12)|0;c[t+4>>2]=0;c[t>>2]=907064;F=KU(u|0)|0;g=u+F|0;if((F|0)<=0){G=t|0;tJ(G);dK(r);i=d;return}F=t|0;f=t;e=g;s=o|0;E=o+128|0;o=u;u=907064;while(1){c[q>>2]=o;v=(ie[c[u+16>>2]&31](F,n,o,(e-o|0)>32?o+32|0:g,q,s,E,p)|0)==2;m=c[q>>2]|0;if(v|(m|0)==(o|0)){break}if(s>>>0<(c[p>>2]|0)>>>0){v=s;do{LK(b,c[v>>2]|0);v=v+4|0;}while(v>>>0<(c[p>>2]|0)>>>0);H=c[q>>2]|0}else{H=m}if(!(H>>>0<g>>>0)){I=37;break}o=H;u=c[f>>2]|0}if((I|0)==37){G=t|0;tJ(G);dK(r);i=d;return}XP(44616)}function DQ(a,b){a=a|0;b=b|0;Yc(((b|0)==-1?-1:b<<1)|0)|0;return}function EQ(b){b=b|0;var d=0,e=0,f=0;c[b>>2]=906536;d=b+8|0;e=c[d>>2]|0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);if((e|0)==(c[235424]|0)){f=b|0;tJ(f);return}Tb(c[d>>2]|0);f=b|0;tJ(f);return}function FQ(a){a=a|0;a=xd(8)|0;wJ(a,893472);c[a>>2]=905448;tc(a|0,911792,50)}



function ke(a){a=a|0;var b=0;b=i;i=i+a|0;i=i+7&-8;return b|0}function le(){return i|0}function me(a){a=a|0;i=a}function ne(a,b){a=a|0;b=b|0;if((x|0)==0){x=a;y=b}}function oe(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0]}function pe(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0];a[k+4|0]=a[b+4|0];a[k+5|0]=a[b+5|0];a[k+6|0]=a[b+6|0];a[k+7|0]=a[b+7|0]}function qe(a){a=a|0;K=a}function re(a){a=a|0;L=a}function se(a){a=a|0;M=a}function te(a){a=a|0;N=a}function ue(a){a=a|0;O=a}function ve(a){a=a|0;P=a}function we(a){a=a|0;Q=a}function xe(a){a=a|0;R=a}function ye(a){a=a|0;S=a}function ze(a){a=a|0;T=a}function Ae(){c[227928]=q+8;c[227930]=q+8;c[227932]=t+8;c[227936]=t+8;c[227940]=t+8;c[227944]=t+8;c[227948]=t+8;c[227952]=t+8;c[227956]=q+8;c[227990]=t+8;c[227994]=t+8;c[228058]=t+8;c[228062]=t+8;c[228082]=q+8;c[228084]=t+8;c[228120]=t+8;c[228124]=t+8;c[228160]=t+8;c[228164]=t+8;c[228184]=q+8;c[228186]=q+8;c[228188]=t+8;c[228192]=t+8;c[228196]=t+8;c[228200]=t+8;c[228204]=t+8;c[228208]=q+8;c[228210]=q+8;c[228212]=q+8;c[228214]=t+8;c[228218]=t+8;c[228222]=q+8;c[228224]=q+8;c[228226]=q+8;c[228228]=q+8;c[228254]=t+8;c[228258]=t+8;c[228262]=q+8;c[228264]=t+8;c[228268]=t+8;c[228272]=t+8;c[228276]=q+8;c[228278]=q+8;c[228280]=q+8;c[228282]=q+8;c[228316]=q+8;c[228318]=q+8;c[228320]=q+8;c[228322]=t+8;c[228326]=t+8;c[228330]=t+8;c[228334]=t+8;c[228338]=t+8;c[228342]=t+8}function Be(a){a=a|0;var b=0;b=a+540|0;Td[c[(c[b>>2]|0)+40>>2]&255](a)|0;Td[c[(c[b>>2]|0)+28>>2]&255](a)|0;Td[c[(c[b>>2]|0)+32>>2]&255](a)|0;Td[c[(c[b>>2]|0)+48>>2]&255](a)|0;Td[c[(c[b>>2]|0)+52>>2]&255](a)|0;bt(a);return}function Ce(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;c[e>>2]=0;j=a+240|0;k=b|0;h[k>>3]=+h[j>>3];if((c[231410]|0)==0){l=0}else{m=c[a+88>>2]|0;n=KU(m|0)|0;o=iU(n+11|0)|0;LU(o|0,m|0,n|0)|0;MU(o+n|0,904464,11)|0;n=xc(o|0,904456)|0;if((n|0)==0){m=Wc(c[(Vc()|0)>>2]|0)|0;Fq(23,0,890720,(p=i,i=i+16|0,c[p>>2]=o,c[p+8>>2]=m,p)|0);i=p;Oa(0)|0;q=0}else{q=n}jU(o);l=q}q=a+248|0;o=a+536|0;n=a|0;m=a+4|0;s=b+36|0;t=b+16|0;u=a+256|0;v=b+8|0;w=b+24|0;x=b+32|0;y=a+540|0;z=b+48|0;A=c[r>>2]|0;B=e;C=f;D=a+64|0;E=a+72|0;F=g;G=0;H=l;while(1){if(!(+h[k>>3]<+h[q>>3])){I=0;J=H;break}ee[c[2175]&15]()|0;c[(c[o>>2]|0)+84>>2]=1;if((c[231410]|0)!=0){if(((c[E>>2]|0)+(c[D>>2]|0)|0)>0){l=0;do{Ir(l+9|0);l=l+1|0;}while((l|0)<((c[E>>2]|0)+(c[D>>2]|0)|0))}Ir(2);Hr(2)}wr(c[n>>2]|0,1,c[m>>2]|0);if((c[s>>2]|0)==1){Dq(23,0,51720,(p=i,i=i+8|0,h[p>>3]=+h[k>>3]- +h[t>>3],p)|0);i=p;K=G}else{K=G+1|0}L=+h[j>>3];h[v>>3]=L+ +(K>>>0>>>0)*(+h[q>>3]-L)/+(c[u>>2]|0)- +h[k>>3];Qs(a,b);L=+h[k>>3];M=+h[v>>3];Dq(23,1,44088,(p=i,i=i+24|0,h[p>>3]=L,h[p+8>>3]=L+M,h[p+16>>3]=M,p)|0);i=p;M=+h[j>>3];xG(38760,(+h[k>>3]-M)/(+h[q>>3]-M));N=Rt(a,b)|0;if((c[w>>2]|0)==5){I=0;J=H;break}Be(a);ct(a);if((c[229129]|0)!=0){Qd[c[3540]&511](23)}if((c[231410]|0)!=0){Hr(4)}l=Ss(a,c[x>>2]|0,k,b)|0;if((l|0)>0){c[(c[o>>2]|0)+84>>2]=4;M=+h[k>>3];Dq(7,1,34472,(p=i,i=i+16|0,c[p>>2]=(l|0)==1?30216:26672,h[p+8>>3]=M,p)|0);i=p;if((c[229308]|0)==0){Rd[c[2005]&127](8e3,a)}Us(a,c[x>>2]|0,k,b);if((c[229113]|0)!=0){Qd[c[3540]&511](7)}c[(c[o>>2]|0)+84>>2]=1;c[s>>2]=1;gt(a)}else{h[t>>3]=+h[k>>3];c[s>>2]=0}if((c[231410]|0)!=0){Kr(4)}if((bu(a,1,1)|0)!=0){c[s>>2]=1;gt(a)}Td[c[(c[y>>2]|0)+88>>2]&255](a)|0;bt(a);kt(a);ct(a);do{if((H|0)==0){O=0}else{Hr(7);Kr(2);l=(Xa(B|0,4,1,H|0)|0)==1;c[e>>2]=(c[e>>2]|0)+1;do{if(l){P=(Xa(c[c[m>>2]>>2]|0,8,1,H|0)|0)==1;h[f>>3]=+Cr(2);if(!P){Q=0;break}Q=(Xa(C|0,8,1,H|0)|0)==1|0}else{h[f>>3]=+Cr(2);Q=0}}while(0);l=c[D>>2]|0;P=c[E>>2]|0;if((P+l|0)>0){R=0;S=Q;while(1){c[g>>2]=xr(R+9|0)|0;if((S|0)==0){T=0}else{T=(Xa(F|0,4,1,H|0)|0)==1|0}U=R+1|0;V=c[D>>2]|0;W=c[E>>2]|0;if((U|0)<(W+V|0)){R=U;S=T}else{X=T;Y=V;Z=W;break}}}else{X=Q;Y=l;Z=P}if((Z+Y|0)>0){S=0;R=X;while(1){h[f>>3]=+Cr(S+9|0);if((R|0)==0){_=0}else{_=(Xa(C|0,8,1,H|0)|0)==1|0}W=S+1|0;if((W|0)<((c[E>>2]|0)+(c[D>>2]|0)|0)){S=W;R=_}else{$=_;break}}}else{$=X}Kr(7);if(($|0)!=0){O=H;break}R=Wc(c[(Vc()|0)>>2]|0)|0;Fq(23,0,24192,(p=i,i=i+8|0,c[p>>2]=R,p)|0);i=p;Oa(H|0)|0;O=0}}while(0);if((c[229308]|0)==0){aa=47}else{R=c[s>>2]|0;if((R|0)==0){aa=47}else{ba=R}}if((aa|0)==47){aa=0;Rd[c[2005]&127](8e3,a);ba=c[s>>2]|0}do{if((ba|0)==1){if((c[w>>2]|0)!=3){break}R=c[z>>2]|0;S=c[R+8>>2]|0;P=c[R+4>>2]|0;c[P>>2]=(c[P>>2]|0)+(c[S>>2]|0);R=P+4|0;c[R>>2]=(c[R>>2]|0)+(c[S+4>>2]|0);R=P+8|0;c[R>>2]=(c[R>>2]|0)+(c[S+8>>2]|0);R=P+12|0;c[R>>2]=(c[R>>2]|0)+(c[S+12>>2]|0);R=P+16|0;c[R>>2]=(c[R>>2]|0)+(c[S+16>>2]|0)}}while(0);if((c[229164]|0)!=0){vq(A,943840);Va(10,A|0)|0;S=c[235958]|0;Dq(1,0,904400,(p=i,i=i+16|0,h[p>>3]=+h[c[c[m>>2]>>2]>>3],c[p+8>>2]=S,p)|0);i=p;h[q>>3]=+h[k>>3]}if((N|0)!=0){aa=57;break}if((Mt(a,0)|0)!=0){aa=58;break}if((Ft(a,0)|0)!=0){aa=58;break}if((wt(a,0)|0)==0){G=K;H=O}else{aa=58;break}}do{if((aa|0)==57){Dq(1,0,901768,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=N-1|0;J=O}else if((aa|0)==58){if((Mt(a,0)|0)!=0){Dq(1,0,899336,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-2;J=O;break}if((Ft(a,0)|0)!=0){Dq(1,0,897576,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-3;J=O;break}H=(wt(a,0)|0)==0;M=+h[k>>3];if(H){Dq(1,0,894888,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-1;J=O;break}else{Dq(1,0,895856,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-3;J=O;break}}}while(0);if((J|0)==0){i=d;return I|0}Oa(J|0)|0;i=d;return I|0}function De(a){a=a|0;return 0}function Ee(a){a=a|0;return 0}function Fe(a){a=a|0;return 0}function Ge(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+8>>3]=0.0;return}function He(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+67|0]=0;return}function Ie(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+60|0]=a[d+71|0]|0;return}function Je(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+11|0]=a[(c[b+408>>2]|0)+10|0]|0;return}function Ke(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+8|0]=a[d+11|0]|0;return}function Le(b){b=b|0;var d=0,e=0;if((a[b+312|0]|0)!=0){a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+9|0]=a[(c[b+408>>2]|0)+9|0]|0;return}d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;e=c[b+408>>2]|0;do{if((a[d+67|0]|0)!=0){if((a[e+67|0]|0)!=0){break}a[d+9|0]=a[d+11|0]|0;return}}while(0);a[d+9|0]=a[e+9|0]|0;return}function Me(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+24>>3]=(a[(c[d+16>>2]|0)+11|0]|0)!=0?1.0:0.0;return}function Ne(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+17|0]=a[(c[b+408>>2]|0)+16|0]|0;return}function Oe(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+14|0]=a[d+17|0]|0;return}function Pe(b){b=b|0;var d=0,e=0;if((a[b+312|0]|0)!=0){a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+15|0]=a[(c[b+408>>2]|0)+15|0]|0;return}d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;e=c[b+408>>2]|0;do{if((a[d+67|0]|0)!=0){if((a[e+67|0]|0)!=0){break}a[d+15|0]=a[d+17|0]|0;return}}while(0);a[d+15|0]=a[e+15|0]|0;return}function Qe(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+56>>3]=(a[(c[d+16>>2]|0)+17|0]|0)!=0?1.0:0.0;return}function Re(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+23|0]=a[(c[b+408>>2]|0)+22|0]|0;return}function Se(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+20|0]=a[d+23|0]|0;return}function Te(b){b=b|0;var d=0,e=0;if((a[b+312|0]|0)!=0){a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+21|0]=a[(c[b+408>>2]|0)+21|0]|0;return}d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;e=c[b+408>>2]|0;do{if((a[d+67|0]|0)!=0){if((a[e+67|0]|0)!=0){break}a[d+21|0]=a[d+23|0]|0;return}}while(0);a[d+21|0]=a[e+21|0]|0;return}function Ue(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+88>>3]=(a[(c[d+16>>2]|0)+23|0]|0)!=0?1.0:0.0;return}function Ve(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+59|0]=a[(c[b+408>>2]|0)+58|0]|0;return}function We(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+280>>3]=(a[(c[d+16>>2]|0)+59|0]|0)!=0?1.0:0.0;return}function Xe(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+16>>3]=-0.0- +h[b+56>>3]- +h[b+24>>3]- +h[b+88>>3]- +h[b+280>>3];return}function Ye(a){a=a|0;var b=0,d=0;b=a+4|0;d=-(tt(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+16>>3],0,a)|0)|0;c[c[(c[c[b>>2]>>2]|0)+12>>2]>>2]=d;return}function Ze(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+29|0]=a[(c[b+408>>2]|0)+28|0]|0;return}function _e(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+26|0]=a[d+29|0]|0;return}function $e(b){b=b|0;var d=0,e=0;if((a[b+312|0]|0)!=0){a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+27|0]=a[(c[b+408>>2]|0)+27|0]|0;return}d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;e=c[b+408>>2]|0;do{if((a[d+60|0]|0)!=0){if((a[e+60|0]|0)!=0){break}a[d+27|0]=a[d+29|0]|0;return}}while(0);a[d+27|0]=a[e+27|0]|0;return}function af(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+96>>3]=(a[(c[d+16>>2]|0)+29|0]|0)!=0?1.0:0.0;return}function bf(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+4|0;h=c[(c[c[g>>2]>>2]|0)+16>>2]|0;j=a[h+17|0]|0;sq(e,2,(k=i,i=i+16|0,c[k>>2]=a[h+29|0]|0,c[k+8>>2]=j,k)|0);i=k;Og(f,c[b+536>>2]|0,e);a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+5|0]=a[f|0]|0;i=d;return}function cf(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+5|0]|0)==0){e=0;f=d+13|0;a[f]=e;return}e=(a[d+11|0]|0)==0|0;f=d+13|0;a[f]=e;return}function df(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+69|0]=a[d+13|0]|0;return}function ef(b){b=b|0;var d=0;if((a[b+312|0]|0)!=0){h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+40>>3]=+h[(c[b+400>>2]|0)+40>>3];return}d=c[c[b+4>>2]>>2]|0;do{if((a[(c[d+16>>2]|0)+69|0]|0)!=0){if((a[(c[b+408>>2]|0)+69|0]|0)!=0){break}h[(c[d+8>>2]|0)+40>>3]=+h[d>>3];return}}while(0);h[(c[d+8>>2]|0)+40>>3]=+h[(c[b+400>>2]|0)+40>>3];return}function ff(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+8|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+8|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+40>>3]+ +h[(c[b+416>>2]|0)+56>>3],a[(c[b+360>>2]|0)+8|0]|0)|0;a[(c[b+352>>2]|0)+8|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+40>>3]+ +h[(c[b+416>>2]|0)+56>>3],a[(c[b+360>>2]|0)+8|0]|0)|0;a[(c[b+352>>2]|0)+8|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+8|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+40>>3]+ +h[(c[b+416>>2]|0)+56>>3])|0;a[(c[b+352>>2]|0)+8|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+40>>3]+ +h[(c[b+416>>2]|0)+56>>3])|0;a[(c[b+352>>2]|0)+8|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+13|0]|0)==0){l=0;m=b+12|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+12|0;a[m]=l;return}function gf(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+32>>3]=+h[b>>3]- +h[a+40>>3];return}function hf(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+13|0]|0)==0){e=0.0;f=b+48|0;h[f>>3]=e;return}e=+h[b+32>>3];f=b+48|0;h[f>>3]=e;return}function jf(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+33|0]=a[(c[b+408>>2]|0)+32|0]|0;return}function kf(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+30|0]=a[d+33|0]|0;return}function lf(b){b=b|0;var d=0,e=0;if((a[b+312|0]|0)!=0){a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+31|0]=a[(c[b+408>>2]|0)+31|0]|0;return}d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;e=c[b+408>>2]|0;do{if((a[d+60|0]|0)!=0){if((a[e+60|0]|0)!=0){break}a[d+31|0]=a[d+33|0]|0;return}}while(0);a[d+31|0]=a[e+31|0]|0;return}function mf(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+104>>3]=(a[(c[d+16>>2]|0)+33|0]|0)!=0?1.0:0.0;return}function nf(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+4|0;h=c[(c[c[g>>2]>>2]|0)+16>>2]|0;j=a[h+17|0]|0;sq(e,2,(k=i,i=i+16|0,c[k>>2]=a[h+33|0]|0,c[k+8>>2]=j,k)|0);i=k;Mg(f,c[b+536>>2]|0,e);a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+6|0]=a[f|0]|0;i=d;return}function of(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+23|0]|0)==0){e=0;f=d+19|0;a[f]=e;return}e=(a[d+6|0]|0)==0|0;f=d+19|0;a[f]=e;return}function pf(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+68|0]=a[d+19|0]|0;return}function qf(b){b=b|0;var d=0;if((a[b+312|0]|0)!=0){h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+72>>3]=+h[(c[b+400>>2]|0)+72>>3];return}d=c[c[b+4>>2]>>2]|0;do{if((a[(c[d+16>>2]|0)+68|0]|0)!=0){if((a[(c[b+408>>2]|0)+68|0]|0)!=0){break}h[(c[d+8>>2]|0)+72>>3]=+h[d>>3];return}}while(0);h[(c[d+8>>2]|0)+72>>3]=+h[(c[b+400>>2]|0)+72>>3];return}function rf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+7|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+7|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+72>>3]+ +h[(c[b+416>>2]|0)+48>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+72>>3]+ +h[(c[b+416>>2]|0)+48>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+7|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+72>>3]+ +h[(c[b+416>>2]|0)+48>>3])|0;a[(c[b+352>>2]|0)+7|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+72>>3]+ +h[(c[b+416>>2]|0)+48>>3])|0;a[(c[b+352>>2]|0)+7|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+19|0]|0)==0){l=0;m=b+18|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+18|0;a[m]=l;return}function sf(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;sq(e,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+18|0]|0,k)|0);i=k;l=b+536|0;Mg(g,c[l>>2]|0,e);e=a[g|0]|0;sq(f,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+12|0]|0,k)|0);i=k;Mg(h,c[l>>2]|0,f);f=a[h|0]|0;h=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if(!(e<<24>>24==0)){m=1;n=h+16|0;a[n]=m;i=d;return}if((a[h+17|0]|0)==0){m=0;n=h+16|0;a[n]=m;i=d;return}m=f<<24>>24==0|0;n=h+16|0;a[n]=m;i=d;return}function tf(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+64>>3]=+h[b>>3]- +h[a+72>>3];return}function uf(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+19|0]|0)==0){e=0.0;f=b+80|0;h[f>>3]=e;return}e=+h[b+64>>3];f=b+80|0;h[f>>3]=e;return}function vf(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+39|0]=a[(c[b+408>>2]|0)+38|0]|0;return}function wf(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+36|0]=a[d+39|0]|0;return}function xf(b){b=b|0;var d=0,e=0;if((a[b+312|0]|0)!=0){a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+37|0]=a[(c[b+408>>2]|0)+37|0]|0;return}d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;e=c[b+408>>2]|0;do{if((a[d+60|0]|0)!=0){if((a[e+60|0]|0)!=0){break}a[d+37|0]=a[d+39|0]|0;return}}while(0);a[d+37|0]=a[e+37|0]|0;return}function yf(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+136>>3]=(a[(c[d+16>>2]|0)+39|0]|0)!=0?1.0:0.0;return}function zf(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+39|0]|0)==0){e=0;f=d+35|0;a[f]=e;return}e=(a[d+29|0]|0)==0|0;f=d+35|0;a[f]=e;return}function Af(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+62|0]=a[d+35|0]|0;return}function Bf(b){b=b|0;var d=0;if((a[b+312|0]|0)!=0){h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+120>>3]=+h[(c[b+400>>2]|0)+120>>3];return}d=c[c[b+4>>2]>>2]|0;do{if((a[(c[d+16>>2]|0)+62|0]|0)!=0){if((a[(c[b+408>>2]|0)+62|0]|0)!=0){break}h[(c[d+8>>2]|0)+120>>3]=+h[d>>3];return}}while(0);h[(c[d+8>>2]|0)+120>>3]=+h[(c[b+400>>2]|0)+120>>3];return}function Cf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+2|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+2|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+120>>3]+ +h[(c[b+416>>2]|0)+40>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+120>>3]+ +h[(c[b+416>>2]|0)+40>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+2|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+120>>3]+ +h[(c[b+416>>2]|0)+40>>3])|0;a[(c[b+352>>2]|0)+2|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+120>>3]+ +h[(c[b+416>>2]|0)+40>>3])|0;a[(c[b+352>>2]|0)+2|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+35|0]|0)==0){l=0;m=b+34|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+34|0;a[m]=l;return}function Df(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+112>>3]=+h[b>>3]- +h[a+120>>3];return}function Ef(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+35|0]|0)==0){e=0.0;f=b+128|0;h[f>>3]=e;return}e=+h[b+112>>3];f=b+128|0;h[f>>3]=e;return}function Ff(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+49|0]=a[(c[b+408>>2]|0)+48|0]|0;return}function Gf(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+46|0]=a[d+49|0]|0;return}function Hf(b){b=b|0;var d=0,e=0;if((a[b+312|0]|0)!=0){a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+47|0]=a[(c[b+408>>2]|0)+47|0]|0;return}d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;e=c[b+408>>2]|0;do{if((a[d+60|0]|0)!=0){if((a[e+60|0]|0)!=0){break}a[d+47|0]=a[d+49|0]|0;return}}while(0);a[d+47|0]=a[e+47|0]|0;return}function If(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+216>>3]=(a[(c[d+16>>2]|0)+49|0]|0)!=0?1.0:0.0;return}function Jf(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+49|0]|0)==0){e=0;f=d+43|0;a[f]=e;return}e=(a[d+29|0]|0)==0|0;f=d+43|0;a[f]=e;return}function Kf(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+63|0]=a[d+43|0]|0;return}function Lf(b){b=b|0;var d=0;if((a[b+312|0]|0)!=0){h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+176>>3]=+h[(c[b+400>>2]|0)+176>>3];return}d=c[c[b+4>>2]>>2]|0;do{if((a[(c[d+16>>2]|0)+63|0]|0)!=0){if((a[(c[b+408>>2]|0)+63|0]|0)!=0){break}h[(c[d+8>>2]|0)+176>>3]=+h[d>>3];return}}while(0);h[(c[d+8>>2]|0)+176>>3]=+h[(c[b+400>>2]|0)+176>>3];return}function Mf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+3|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+3|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+176>>3]+ +h[(c[b+416>>2]|0)+24>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+176>>3]+ +h[(c[b+416>>2]|0)+24>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+3|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+176>>3]+ +h[(c[b+416>>2]|0)+24>>3])|0;a[(c[b+352>>2]|0)+3|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+176>>3]+ +h[(c[b+416>>2]|0)+24>>3])|0;a[(c[b+352>>2]|0)+3|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+43|0]|0)==0){l=0;m=b+42|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+42|0;a[m]=l;return}function Nf(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+168>>3]=+h[b>>3]- +h[a+176>>3];return}function Of(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+43|0]|0)==0){e=0.0;f=b+184|0;h[f>>3]=e;return}e=+h[b+168>>3];f=b+184|0;h[f>>3]=e;return}function Pf(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+53|0]=a[(c[b+408>>2]|0)+52|0]|0;return}function Qf(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+50|0]=a[d+53|0]|0;return}function Rf(b){b=b|0;var d=0,e=0;if((a[b+312|0]|0)!=0){a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+51|0]=a[(c[b+408>>2]|0)+51|0]|0;return}d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;e=c[b+408>>2]|0;do{if((a[d+60|0]|0)!=0){if((a[e+60|0]|0)!=0){break}a[d+51|0]=a[d+53|0]|0;return}}while(0);a[d+51|0]=a[e+51|0]|0;return}function Sf(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+224>>3]=(a[(c[d+16>>2]|0)+53|0]|0)!=0?1.0:0.0;return}function Tf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+288>>3]=-0.0- +h[b+104>>3]- +h[b+96>>3]- +h[b+136>>3]- +h[b+216>>3]- +h[b+224>>3];return}function Uf(a){a=a|0;var b=0,d=0;b=a+4|0;d=-(tt(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+288>>3],1,a)|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+4>>2]=d;return}function Vf(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=b+4|0;h=rt(+(c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+4>>2]|0),0.0)|0;j=b+536|0;Mg(e,c[j>>2]|0,913600);b=a[e|0]|0;Mg(f,c[j>>2]|0,913600);if(h<<24>>24!=0&b<<24>>24==0){k=1;l=c[g>>2]|0;m=c[l>>2]|0;n=m+16|0;o=c[n>>2]|0;p=o+58|0;a[p]=k;i=d;return}k=(a[f|0]|0)!=0|0;l=c[g>>2]|0;m=c[l>>2]|0;n=m+16|0;o=c[n>>2]|0;p=o+58|0;a[p]=k;i=d;return}function Wf(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+33|0]|0)==0){e=0;f=d+57|0;a[f]=e;return}e=(a[d+53|0]|0)==0|0;f=d+57|0;a[f]=e;return}function Xf(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+61|0]=a[d+57|0]|0;return}function Yf(b){b=b|0;var d=0;if((a[b+312|0]|0)!=0){h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+264>>3]=+h[(c[b+400>>2]|0)+264>>3];return}d=c[c[b+4>>2]>>2]|0;do{if((a[(c[d+16>>2]|0)+61|0]|0)!=0){if((a[(c[b+408>>2]|0)+61|0]|0)!=0){break}h[(c[d+8>>2]|0)+264>>3]=+h[d>>3];return}}while(0);h[(c[d+8>>2]|0)+264>>3]=+h[(c[b+400>>2]|0)+264>>3];return}function Zf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+1|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+1|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+264>>3]+ +h[c[b+416>>2]>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+264>>3]+ +h[c[b+416>>2]>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+1|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+264>>3]+ +h[c[b+416>>2]>>3])|0;a[(c[b+352>>2]|0)+1|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+264>>3]+ +h[c[b+416>>2]>>3])|0;a[(c[b+352>>2]|0)+1|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+57|0]|0)==0){l=0;m=b+56|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+56|0;a[m]=l;return}function _f(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+33|0]|0)==0){e=0;f=d+1|0;a[f]=e;return}e=(a[d+56|0]|0)==0|0;f=d+1|0;a[f]=e;return}function $f(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+1|0]|0)==0){e=0;f=d+55|0;a[f]=e;return}e=(a[d+49|0]|0)==0|0;f=d+55|0;a[f]=e;return}function ag(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+65|0]=a[d+55|0]|0;return}function bg(b){b=b|0;var d=0;if((a[b+312|0]|0)!=0){h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+240>>3]=+h[(c[b+400>>2]|0)+240>>3];return}d=c[c[b+4>>2]>>2]|0;do{if((a[(c[d+16>>2]|0)+65|0]|0)!=0){if((a[(c[b+408>>2]|0)+65|0]|0)!=0){break}h[(c[d+8>>2]|0)+240>>3]=+h[d>>3];return}}while(0);h[(c[d+8>>2]|0)+240>>3]=+h[(c[b+400>>2]|0)+240>>3];return}function cg(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+5|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+5|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+240>>3]+ +h[(c[b+416>>2]|0)+8>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+240>>3]+ +h[(c[b+416>>2]|0)+8>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+5|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+240>>3]+ +h[(c[b+416>>2]|0)+8>>3])|0;a[(c[b+352>>2]|0)+5|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+240>>3]+ +h[(c[b+416>>2]|0)+8>>3])|0;a[(c[b+352>>2]|0)+5|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+55|0]|0)==0){l=0;m=b+54|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+54|0;a[m]=l;return}function dg(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;k=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[k+70|0]|0)!=0){l=a[k+47|0]|0;m=k;n=m+48|0;a[n]=l;i=d;return}sq(e,1,(o=i,i=i+8|0,c[o>>2]=a[k+54|0]|0,o)|0);i=o;k=b+536|0;Mg(g,c[k>>2]|0,e);e=a[g|0]|0;sq(f,1,(o=i,i=i+8|0,c[o>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+42|0]|0,o)|0);i=o;Mg(h,c[k>>2]|0,f);do{if(e<<24>>24==0){f=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[f+49|0]|0)!=0&(a[h|0]|0)==0){p=f;break}else{l=0;m=f}n=m+48|0;a[n]=l;i=d;return}else{p=c[(c[c[j>>2]>>2]|0)+16>>2]|0}}while(0);l=(a[p+71|0]|0)==0|0;m=p;n=m+48|0;a[n]=l;i=d;return}function eg(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+232>>3]=+h[b>>3]- +h[a+240>>3];return}function fg(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+55|0]|0)==0){e=0.0;f=b+248|0;h[f>>3]=e;return}e=+h[b+232>>3];f=b+248|0;h[f>>3]=e;return}function gg(b){b=b|0;var d=0,e=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+1|0]|0)==0){e=0;a[d]=e;return}e=(a[d+54|0]|0)==0|0;a[d]=e;return}function hg(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d]|0)==0){e=0;f=d+41|0;a[f]=e;return}e=(a[d+39|0]|0)==0|0;f=d+41|0;a[f]=e;return}function ig(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+66|0]=a[d+41|0]|0;return}function jg(b){b=b|0;var d=0;if((a[b+312|0]|0)!=0){h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+152>>3]=+h[(c[b+400>>2]|0)+152>>3];return}d=c[c[b+4>>2]>>2]|0;do{if((a[(c[d+16>>2]|0)+66|0]|0)!=0){if((a[(c[b+408>>2]|0)+66|0]|0)!=0){break}h[(c[d+8>>2]|0)+152>>3]=+h[d>>3];return}}while(0);h[(c[d+8>>2]|0)+152>>3]=+h[(c[b+400>>2]|0)+152>>3];return}function kg(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+6|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+6|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+152>>3]+ +h[(c[b+416>>2]|0)+32>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+152>>3]+ +h[(c[b+416>>2]|0)+32>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+6|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+152>>3]+ +h[(c[b+416>>2]|0)+32>>3])|0;a[(c[b+352>>2]|0)+6|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+152>>3]+ +h[(c[b+416>>2]|0)+32>>3])|0;a[(c[b+352>>2]|0)+6|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+41|0]|0)==0){l=0;m=b+40|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+40|0;a[m]=l;return}function lg(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;k=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[k+70|0]|0)!=0){l=a[k+37|0]|0;m=k;n=m+38|0;a[n]=l;i=d;return}sq(e,1,(o=i,i=i+8|0,c[o>>2]=a[k+40|0]|0,o)|0);i=o;k=b+536|0;Mg(g,c[k>>2]|0,e);e=a[g|0]|0;sq(f,1,(o=i,i=i+8|0,c[o>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+34|0]|0,o)|0);i=o;Mg(h,c[k>>2]|0,f);do{if(e<<24>>24==0){f=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[f+39|0]|0)!=0&(a[h|0]|0)==0){p=f;break}else{l=0;m=f}n=m+38|0;a[n]=l;i=d;return}else{p=c[(c[c[j>>2]>>2]|0)+16>>2]|0}}while(0);l=(a[p+71|0]|0)==0|0;m=p;n=m+38|0;a[n]=l;i=d;return}function mg(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+144>>3]=+h[b>>3]- +h[a+152>>3];return}function ng(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+41|0]|0)==0){e=0.0;f=b+160|0;h[f>>3]=e;return}e=+h[b+144>>3];f=b+160|0;h[f>>3]=e;return}function og(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+4|0;h=c[(c[c[g>>2]>>2]|0)+16>>2]|0;j=a[h+54|0]|0;k=a[h+40|0]|0;sq(e,3,(l=i,i=i+24|0,c[l>>2]=a[h+56|0]|0,c[l+8>>2]=j,c[l+16>>2]=k,l)|0);i=l;Mg(f,c[b+536>>2]|0,e);a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+25|0]=a[f|0]|0;i=d;return}function pg(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;k=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[k+70|0]|0)!=0){l=a[k+31|0]|0;m=k;n=m+32|0;a[n]=l;i=d;return}sq(e,1,(o=i,i=i+8|0,c[o>>2]=a[k+18|0]|0,o)|0);i=o;k=b+536|0;Mg(g,c[k>>2]|0,e);e=a[g|0]|0;sq(f,1,(o=i,i=i+8|0,c[o>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+25|0]|0,o)|0);i=o;Mg(h,c[k>>2]|0,f);do{if(e<<24>>24==0){f=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[f+33|0]|0)!=0&(a[h|0]|0)==0){p=f;break}else{l=0;m=f}n=m+32|0;a[n]=l;i=d;return}else{p=c[(c[c[j>>2]>>2]|0)+16>>2]|0}}while(0);l=(a[p+71|0]|0)==0|0;m=p;n=m+32|0;a[n]=l;i=d;return}function qg(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+256>>3]=+h[b>>3]- +h[a+264>>3];return}function rg(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+57|0]|0)==0){e=0.0;f=b+272|0;h[f>>3]=e;return}e=+h[b+256>>3];f=b+272|0;h[f>>3]=e;return}function sg(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+53|0]|0)==0){e=0;f=d+45|0;a[f]=e;return}e=(a[d+29|0]|0)==0|0;f=d+45|0;a[f]=e;return}function tg(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+64|0]=a[d+45|0]|0;return}function ug(b){b=b|0;var d=0;if((a[b+312|0]|0)!=0){h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+200>>3]=+h[(c[b+400>>2]|0)+200>>3];return}d=c[c[b+4>>2]>>2]|0;do{if((a[(c[d+16>>2]|0)+64|0]|0)!=0){if((a[(c[b+408>>2]|0)+64|0]|0)!=0){break}h[(c[d+8>>2]|0)+200>>3]=+h[d>>3];return}}while(0);h[(c[d+8>>2]|0)+200>>3]=+h[(c[b+400>>2]|0)+200>>3];return}function vg(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+4|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+4|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+200>>3]+ +h[(c[b+416>>2]|0)+16>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+200>>3]+ +h[(c[b+416>>2]|0)+16>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+4|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+200>>3]+ +h[(c[b+416>>2]|0)+16>>3])|0;a[(c[b+352>>2]|0)+4|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+200>>3]+ +h[(c[b+416>>2]|0)+16>>3])|0;a[(c[b+352>>2]|0)+4|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+45|0]|0)==0){l=0;m=b+44|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+44|0;a[m]=l;return}function wg(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+4|0;h=c[(c[c[g>>2]>>2]|0)+16>>2]|0;j=a[h+42|0]|0;k=a[h+34|0]|0;sq(e,3,(l=i,i=i+24|0,c[l>>2]=a[h+44|0]|0,c[l+8>>2]=j,c[l+16>>2]=k,l)|0);i=l;Mg(f,c[b+536>>2]|0,e);a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+24|0]=a[f|0]|0;i=d;return}function xg(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;k=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[k+70|0]|0)!=0){l=a[k+27|0]|0;m=k;n=m+28|0;a[n]=l;i=d;return}sq(e,1,(o=i,i=i+8|0,c[o>>2]=a[k+24|0]|0,o)|0);i=o;k=b+536|0;Mg(g,c[k>>2]|0,e);e=a[g|0]|0;sq(f,1,(o=i,i=i+8|0,c[o>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+12|0]|0,o)|0);i=o;Mg(h,c[k>>2]|0,f);do{if(e<<24>>24==0){f=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[f+29|0]|0)!=0&(a[h|0]|0)==0){p=f;break}else{l=0;m=f}n=m+28|0;a[n]=l;i=d;return}else{p=c[(c[c[j>>2]>>2]|0)+16>>2]|0}}while(0);l=(a[p+71|0]|0)==0|0;m=p;n=m+28|0;a[n]=l;i=d;return}function yg(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+192>>3]=+h[b>>3]- +h[a+200>>3];return}function zg(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+45|0]|0)==0){e=0.0;f=b+208|0;h[f>>3]=e;return}e=+h[b+192>>3];f=b+208|0;h[f>>3]=e;return}function Ag(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;k=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[k+70|0]|0)!=0){l=a[k+51|0]|0;m=k;n=m+52|0;a[n]=l;i=d;return}sq(e,1,(o=i,i=i+8|0,c[o>>2]=a[k+56|0]|0,o)|0);i=o;k=b+536|0;Mg(g,c[k>>2]|0,e);e=a[g|0]|0;sq(f,1,(o=i,i=i+8|0,c[o>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+44|0]|0,o)|0);i=o;Mg(h,c[k>>2]|0,f);do{if(e<<24>>24==0){f=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[f+53|0]|0)!=0&(a[h|0]|0)==0){p=f;break}else{l=0;m=f}n=m+52|0;a[n]=l;i=d;return}else{p=c[(c[c[j>>2]>>2]|0)+16>>2]|0}}while(0);l=(a[p+71|0]|0)==0|0;m=p;n=m+52|0;a[n]=l;i=d;return}function Bg(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[c[b+356>>2]|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[c[b+356>>2]|0]|0;i=b+4|0;j=pt(+h[c[c[i>>2]>>2]>>3],7.0,a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=j;d=g;e=i;break}else{i=b+4|0;g=pt(+h[c[c[i>>2]>>2]>>3],7.0,a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=g;d=g;e=i;break}}else{if(f){f=a[c[b+356>>2]|0]|0;i=b+4|0;g=rt(+h[c[c[i>>2]>>2]>>3],7.0)|0;a[c[b+352>>2]|0]=g;d=f;e=i;break}else{i=b+4|0;f=rt(+h[c[c[i>>2]>>2]>>3],7.0)|0;a[c[b+352>>2]|0]=f;d=f;e=i;break}}}}while(0);a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+4|0]=d;return}function Cg(b){b=b|0;var d=0,e=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;do{if((a[d+4|0]|0)==0){e=0}else{if((a[d+11|0]|0)==0){e=0;break}e=(a[d+23|0]|0)==0|0}}while(0);a[d+7|0]=e;return}function Dg(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;sq(e,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+7|0]|0,k)|0);i=k;l=b+536|0;Mg(g,c[l>>2]|0,e);e=a[g|0]|0;sq(f,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+18|0]|0,k)|0);i=k;Mg(h,c[l>>2]|0,f);f=a[h|0]|0;h=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if(!(e<<24>>24==0)){m=1;n=h+22|0;a[n]=m;i=d;return}if((a[h+23|0]|0)==0){m=0;n=h+22|0;a[n]=m;i=d;return}m=f<<24>>24==0|0;n=h+22|0;a[n]=m;i=d;return}function Eg(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;sq(e,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+12|0]|0,k)|0);i=k;l=b+536|0;Mg(g,c[l>>2]|0,e);e=a[g|0]|0;sq(f,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+7|0]|0,k)|0);i=k;Mg(h,c[l>>2]|0,f);f=a[h|0]|0;h=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if(!(e<<24>>24==0)){m=1;n=h+10|0;a[n]=m;i=d;return}if((a[h+11|0]|0)==0){m=0;n=h+10|0;a[n]=m;i=d;return}m=f<<24>>24==0|0;n=h+10|0;a[n]=m;i=d;return}function Fg(b){b=b|0;a[b+315|0]=0;a[b+314|0]=1;Ge(b);He(b);Ie(b);Je(b);Ke(b);Le(b);Me(b);Ne(b);Oe(b);Pe(b);Qe(b);Re(b);Se(b);Te(b);Ue(b);Ve(b);We(b);Xe(b);Ye(b);Ze(b);_e(b);$e(b);af(b);bf(b);cf(b);df(b);ef(b);ff(b);gf(b);hf(b);jf(b);kf(b);lf(b);mf(b);nf(b);of(b);pf(b);qf(b);rf(b);sf(b);tf(b);uf(b);vf(b);wf(b);xf(b);yf(b);zf(b);Af(b);Bf(b);Cf(b);Df(b);Ef(b);Ff(b);Gf(b);Hf(b);If(b);Jf(b);Kf(b);Lf(b);Mf(b);Nf(b);Of(b);Pf(b);Qf(b);Rf(b);Sf(b);Tf(b);Uf(b);Vf(b);Wf(b);Xf(b);Yf(b);Zf(b);_f(b);$f(b);ag(b);bg(b);cg(b);dg(b);eg(b);fg(b);gg(b);hg(b);ig(b);jg(b);kg(b);lg(b);mg(b);ng(b);og(b);pg(b);qg(b);rg(b);sg(b);tg(b);ug(b);vg(b);wg(b);xg(b);yg(b);zg(b);Ag(b);Bg(b);Cg(b);Dg(b);Eg(b);return 0}function Gg(b){b=b|0;a[b+314|0]=0;Hg(b);return 0}function Hg(a){a=a|0;Ge(a);return}function Ig(a,b){a=a|0;b=+b;return 0}function Jg(a){a=a|0;var b=0,d=0;b=i;Gq(c[a+536>>2]|0,(a|0)!=0|0,891456,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;c[a+540>>2]=914848;c[a+84>>2]=890672;c[a+88>>2]=890672;c[a+92>>2]=889904;c[a+96>>2]=888736;c[a+100>>2]=708312;c[a+60>>2]=56656;c[a+112>>2]=1;c[a+116>>2]=42;c[a+120>>2]=8;c[a+124>>2]=2;c[a+128>>2]=82;c[a+132>>2]=0;c[a+136>>2]=9;c[a+140>>2]=20;c[a+144>>2]=9;c[a+148>>2]=0;c[a+152>>2]=0;c[a+156>>2]=0;c[a+232>>2]=5;c[a+216>>2]=9;c[a+220>>2]=0;c[a+224>>2]=129;c[a+228>>2]=0;c[a+160>>2]=11;c[a+104>>2]=0;c[a+164>>2]=9;c[a+168>>2]=2;c[a+176>>2]=42;c[a+180>>2]=0;c[a+184>>2]=42;c[a+188>>2]=0;c[a+56>>2]=55824;c[a+64>>2]=2;c[a+72>>2]=0;c[a+68>>2]=361;c[a+172>>2]=0;NU(a+192|0,0,24)|0;i=b;return}function Kg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+952|0;e=1;f=0;g=i;i=i+168|0;c[g>>2]=0;while(1)switch(e|0){case 1:h=d|0;j=d+544|0;k=d+632|0;l=d+792|0;Ia(12);if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[2170]=c[2164];c[2171]=c[2165];c[2172]=c[2166];c[2173]=c[2167];c[2174]=c[2168];c[2175]=c[2169];Ia(c[2170]|0);if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;m=j;NU(m|0,0,88)|0;n=sa(198,c[231400]|0)|0;if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(72,c[231400]|0,m|0)|0;if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[j>>2]=k;o=OU(k|0,e,g)|0;e=7;break;case 7:if((o|0)==0){e=2;break}else{e=5;break};case 2:p=j+4|0;q=c[p>>2]|0;c[p>>2]=l;r=OU(l|0,e,g)|0;e=8;break;case 8:if((r|0)==0){e=3;break}else{e=4;break};case 3:pa(290,h|0);if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[h+536>>2]=j;k=ua(74,a|0,b|0,h|0)|0;if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[p>>2]=q;Ia(4);if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(72,c[231400]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(90,0)|0;if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(90,0)|0;if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;pa(158,k|0);if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;return 0;case 4:Ia(2);if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ga(40,54728,154,1,c[u>>2]|0)|0;if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(6);if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(90,0)|0;if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 5:Da(72,c[231400]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(2);if((x|0)!=0&(y|0)!=0){f=PU(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 6:i=d;return 1;case-1:if((f|0)==1){o=y;e=7}else if((f|0)==2){r=y;e=8}x=y=0;break}return 0}function Lg(){Sa(0)|0;Xa(53784,18,1,c[u>>2]|0)|0;Sa(0)|0;return}function Mg(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;f=e;e=i;i=i+12|0;i=i+7&-8;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];c[e+8>>2]=c[f+8>>2];f=nq(e,1)|0;do{if((f|0)<1){g=0}else{if((Ng(1,f)|0)==0){g=0;break}else{h=0;j=1}while(1){if(h<<24>>24==0){k=tq(e,1,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;m=(a[k]|0)!=0|0}else{m=1}k=j+1|0;if((Ng(k,f)|0)==0){g=m;break}else{h=m;j=k}}}}while(0);a[b|0]=g;i=d;return}function Ng(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)>0){if((a|0)<1|(a|0)>(b|0)){c=4}else{d=1}}else{if((a|0)>=(b|0)&(a|0)<2){d=1}else{c=4}}if((c|0)==4){d=0}return d|0}function Og(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;f=e;e=i;i=i+12|0;i=i+7&-8;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];c[e+8>>2]=c[f+8>>2];f=nq(e,1)|0;do{if((f|0)<1){g=1}else{if((Ng(1,f)|0)==0){g=1;break}else{h=1;j=1}while(1){if(h<<24>>24==0){k=0}else{l=tq(e,1,(m=i,i=i+8|0,c[m>>2]=j,m)|0)|0;i=m;k=(a[l]|0)!=0|0}l=j+1|0;if((Ng(l,f)|0)==0){g=k;break}else{h=k;j=l}}}}while(0);a[b|0]=g;i=d;return}function Pg(a){a=a|0;var b=0;a=i;Dq(4,0,893872,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;Dq(4,0,899888,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;i=a;return}function Qg(a){a=a|0;var b=0;b=a+320|0;a=c[b>>2]|0;if((a|0)==0){return}jU(a);c[b>>2]=0;return}function Rg(a){a=a|0;return}function Sg(a){a=a|0;return}function Tg(a,b){a=a|0;b=b|0;return}function Ug(a){a=a|0;return}function Vg(a,b){a=a|0;b=b|0;c[b>>2]=c[914256+(a<<2)>>2];return c[914120+(a<<2)>>2]|0}function Wg(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0,z=0,A=0.0,B=0.0,C=0,D=0.0,E=0,F=0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0,M=0.0,N=0;e=b+4|0;f=b+360|0;g=(pt(+h[c[c[e>>2]>>2]>>3],7.0,a[c[f>>2]|0]|0)|0)<<24>>24!=0;h[d>>3]=g?1.0:-1.0;g=c[c[e>>2]>>2]|0;i=b+416|0;j=qt(+h[g>>3],+h[(c[g+8>>2]|0)+264>>3]+ +h[c[i>>2]>>3],a[(c[f>>2]|0)+1|0]|0)|0;g=c[c[e>>2]>>2]|0;if((a[(c[g+16>>2]|0)+57|0]|0)==0){k=-1.0}else{k=j<<24>>24!=0?1.0:-1.0}h[d+8>>3]=k;j=qt(+h[g>>3],+h[(c[g+8>>2]|0)+120>>3]+ +h[(c[i>>2]|0)+40>>3],a[(c[f>>2]|0)+2|0]|0)|0;g=c[c[e>>2]>>2]|0;if((a[(c[g+16>>2]|0)+35|0]|0)==0){l=-1.0}else{l=j<<24>>24!=0?1.0:-1.0}h[d+16>>3]=l;j=qt(+h[g>>3],+h[(c[g+8>>2]|0)+176>>3]+ +h[(c[i>>2]|0)+24>>3],a[(c[f>>2]|0)+3|0]|0)|0;g=c[c[e>>2]>>2]|0;if((a[(c[g+16>>2]|0)+43|0]|0)==0){m=-1.0}else{m=j<<24>>24!=0?1.0:-1.0}h[d+24>>3]=m;j=qt(+h[g>>3],+h[(c[g+8>>2]|0)+200>>3]+ +h[(c[i>>2]|0)+16>>3],a[(c[f>>2]|0)+4|0]|0)|0;g=c[c[e>>2]>>2]|0;if((a[(c[g+16>>2]|0)+45|0]|0)==0){n=-1.0}else{n=j<<24>>24!=0?1.0:-1.0}h[d+32>>3]=n;j=qt(+h[g>>3],+h[(c[g+8>>2]|0)+240>>3]+ +h[(c[i>>2]|0)+8>>3],a[(c[f>>2]|0)+5|0]|0)|0;g=c[c[e>>2]>>2]|0;if((a[(c[g+16>>2]|0)+55|0]|0)==0){o=-1.0}else{o=j<<24>>24!=0?1.0:-1.0}h[d+40>>3]=o;j=qt(+h[g>>3],+h[(c[g+8>>2]|0)+152>>3]+ +h[(c[i>>2]|0)+32>>3],a[(c[f>>2]|0)+6|0]|0)|0;g=c[c[e>>2]>>2]|0;if((a[(c[g+16>>2]|0)+41|0]|0)==0){p=-1.0}else{p=j<<24>>24!=0?1.0:-1.0}h[d+48>>3]=p;j=qt(+h[g>>3],+h[(c[g+8>>2]|0)+72>>3]+ +h[(c[i>>2]|0)+48>>3],a[(c[f>>2]|0)+7|0]|0)|0;g=c[c[e>>2]>>2]|0;if((a[(c[g+16>>2]|0)+19|0]|0)==0){q=-1.0}else{q=j<<24>>24!=0?1.0:-1.0}h[d+56>>3]=q;j=qt(+h[g>>3],+h[(c[g+8>>2]|0)+40>>3]+ +h[(c[i>>2]|0)+56>>3],a[(c[f>>2]|0)+8|0]|0)|0;f=c[c[e>>2]>>2]|0;if((a[(c[f+16>>2]|0)+13|0]|0)==0){r=-1.0;s=d+64|0;h[s>>3]=r;t=f+8|0;u=c[t>>2]|0;v=u+16|0;w=+h[v>>3];x=+U(w);y=b+364|0;z=c[y>>2]|0;A=+h[z>>3];B=+U(A);C=x!=B;D=C?1.0:-1.0;E=d+72|0;h[E>>3]=D;F=u+288|0;G=+h[F>>3];H=+U(G);I=z+8|0;J=+h[I>>3];K=+U(J);L=H!=K;M=L?1.0:-1.0;N=d+80|0;h[N>>3]=M;return 0}r=j<<24>>24!=0?1.0:-1.0;s=d+64|0;h[s>>3]=r;t=f+8|0;u=c[t>>2]|0;v=u+16|0;w=+h[v>>3];x=+U(w);y=b+364|0;z=c[y>>2]|0;A=+h[z>>3];B=+U(A);C=x!=B;D=C?1.0:-1.0;E=d+72|0;h[E>>3]=D;F=u+288|0;G=+h[F>>3];H=+U(G);I=z+8|0;J=+h[I>>3];K=+U(J);L=H!=K;M=L?1.0:-1.0;N=d+80|0;h[N>>3]=M;return 0}function Xg(a){a=a|0;return c[914304+(a<<2)>>2]|0}function Yg(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0,i=0,j=0;e=b+4|0;f=+h[c[c[e>>2]>>2]>>3];if((d|0)==0){d=b+352|0;a[c[d>>2]|0]=f>7.0|0;g=c[c[e>>2]>>2]|0;i=b+416|0;a[(c[d>>2]|0)+1|0]=+h[g>>3]>=+h[(c[g+8>>2]|0)+264>>3]+ +h[c[i>>2]>>3]|0;g=c[c[e>>2]>>2]|0;a[(c[d>>2]|0)+2|0]=+h[g>>3]>=+h[(c[g+8>>2]|0)+120>>3]+ +h[(c[i>>2]|0)+40>>3]|0;g=c[c[e>>2]>>2]|0;a[(c[d>>2]|0)+3|0]=+h[g>>3]>=+h[(c[g+8>>2]|0)+176>>3]+ +h[(c[i>>2]|0)+24>>3]|0;g=c[c[e>>2]>>2]|0;a[(c[d>>2]|0)+4|0]=+h[g>>3]>=+h[(c[g+8>>2]|0)+200>>3]+ +h[(c[i>>2]|0)+16>>3]|0;g=c[c[e>>2]>>2]|0;a[(c[d>>2]|0)+5|0]=+h[g>>3]>=+h[(c[g+8>>2]|0)+240>>3]+ +h[(c[i>>2]|0)+8>>3]|0;g=c[c[e>>2]>>2]|0;a[(c[d>>2]|0)+6|0]=+h[g>>3]>=+h[(c[g+8>>2]|0)+152>>3]+ +h[(c[i>>2]|0)+32>>3]|0;g=c[c[e>>2]>>2]|0;a[(c[d>>2]|0)+7|0]=+h[g>>3]>=+h[(c[g+8>>2]|0)+72>>3]+ +h[(c[i>>2]|0)+48>>3]|0;g=c[c[e>>2]>>2]|0;a[(c[d>>2]|0)+8|0]=+h[g>>3]>=+h[(c[g+8>>2]|0)+40>>3]+ +h[(c[i>>2]|0)+56>>3]|0;return 0}else{i=b+360|0;g=pt(f,7.0,a[c[i>>2]|0]|0)|0;d=b+352|0;a[c[d>>2]|0]=g;g=c[c[e>>2]>>2]|0;j=b+416|0;b=qt(+h[g>>3],+h[(c[g+8>>2]|0)+264>>3]+ +h[c[j>>2]>>3],a[(c[i>>2]|0)+1|0]|0)|0;a[(c[d>>2]|0)+1|0]=b;b=c[c[e>>2]>>2]|0;g=qt(+h[b>>3],+h[(c[b+8>>2]|0)+120>>3]+ +h[(c[j>>2]|0)+40>>3],a[(c[i>>2]|0)+2|0]|0)|0;a[(c[d>>2]|0)+2|0]=g;g=c[c[e>>2]>>2]|0;b=qt(+h[g>>3],+h[(c[g+8>>2]|0)+176>>3]+ +h[(c[j>>2]|0)+24>>3],a[(c[i>>2]|0)+3|0]|0)|0;a[(c[d>>2]|0)+3|0]=b;b=c[c[e>>2]>>2]|0;g=qt(+h[b>>3],+h[(c[b+8>>2]|0)+200>>3]+ +h[(c[j>>2]|0)+16>>3],a[(c[i>>2]|0)+4|0]|0)|0;a[(c[d>>2]|0)+4|0]=g;g=c[c[e>>2]>>2]|0;b=qt(+h[g>>3],+h[(c[g+8>>2]|0)+240>>3]+ +h[(c[j>>2]|0)+8>>3],a[(c[i>>2]|0)+5|0]|0)|0;a[(c[d>>2]|0)+5|0]=b;b=c[c[e>>2]>>2]|0;g=qt(+h[b>>3],+h[(c[b+8>>2]|0)+152>>3]+ +h[(c[j>>2]|0)+32>>3],a[(c[i>>2]|0)+6|0]|0)|0;a[(c[d>>2]|0)+6|0]=g;g=c[c[e>>2]>>2]|0;b=qt(+h[g>>3],+h[(c[g+8>>2]|0)+72>>3]+ +h[(c[j>>2]|0)+48>>3],a[(c[i>>2]|0)+7|0]|0)|0;a[(c[d>>2]|0)+7|0]=b;b=c[c[e>>2]>>2]|0;e=qt(+h[b>>3],+h[(c[b+8>>2]|0)+40>>3]+ +h[(c[j>>2]|0)+56>>3],a[(c[i>>2]|0)+8|0]|0)|0;a[(c[d>>2]|0)+8|0]=e;return 0}return 0}function Zg(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0;d=i;Dq(8,1,890960,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=b+4|0;g=c[c[f>>2]>>2]|0;j=c[g+16>>2]|0;k=a[j+69|0]|0;l=b+408|0;m=c[l>>2]|0;n=a[m+69|0]|0;if(k<<24>>24==n<<24>>24){o=0;p=g;q=j;r=m}else{Dq(8,0,890104,(e=i,i=i+16|0,c[e>>2]=n<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;k=c[c[f>>2]>>2]|0;o=1;p=k;q=c[k+16>>2]|0;r=c[l>>2]|0}k=a[q+68|0]|0;n=a[r+68|0]|0;if(k<<24>>24==n<<24>>24){s=o;t=p;u=q;v=r}else{Dq(8,0,889072,(e=i,i=i+16|0,c[e>>2]=n<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;k=c[c[f>>2]>>2]|0;s=1;t=k;u=c[k+16>>2]|0;v=c[l>>2]|0}k=a[u+67|0]|0;n=a[v+67|0]|0;if(k<<24>>24==n<<24>>24){w=s;x=t;y=u;z=v}else{Dq(8,0,887504,(e=i,i=i+16|0,c[e>>2]=n<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;k=c[c[f>>2]>>2]|0;w=1;x=k;y=c[k+16>>2]|0;z=c[l>>2]|0}k=a[y+66|0]|0;n=a[z+66|0]|0;if(k<<24>>24==n<<24>>24){A=w;B=x;C=y;D=z}else{Dq(8,0,707832,(e=i,i=i+16|0,c[e>>2]=n<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;k=c[c[f>>2]>>2]|0;A=1;B=k;C=c[k+16>>2]|0;D=c[l>>2]|0}k=a[C+65|0]|0;n=a[D+65|0]|0;if(k<<24>>24==n<<24>>24){E=A;F=B;G=C;H=D}else{Dq(8,0,56104,(e=i,i=i+16|0,c[e>>2]=n<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;k=c[c[f>>2]>>2]|0;E=1;F=k;G=c[k+16>>2]|0;H=c[l>>2]|0}k=a[G+64|0]|0;n=a[H+64|0]|0;if(k<<24>>24==n<<24>>24){I=E;J=F;K=G;L=H}else{Dq(8,0,55120,(e=i,i=i+16|0,c[e>>2]=n<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;k=c[c[f>>2]>>2]|0;I=1;J=k;K=c[k+16>>2]|0;L=c[l>>2]|0}k=a[K+63|0]|0;n=a[L+63|0]|0;if(k<<24>>24==n<<24>>24){M=I;N=J;O=K;P=L}else{Dq(8,0,54064,(e=i,i=i+16|0,c[e>>2]=n<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;k=c[c[f>>2]>>2]|0;M=1;N=k;O=c[k+16>>2]|0;P=c[l>>2]|0}k=a[O+62|0]|0;n=a[P+62|0]|0;if(k<<24>>24==n<<24>>24){Q=M;R=N;S=O;T=P}else{Dq(8,0,53128,(e=i,i=i+16|0,c[e>>2]=n<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;k=c[c[f>>2]>>2]|0;Q=1;R=k;S=c[k+16>>2]|0;T=c[l>>2]|0}k=a[S+61|0]|0;n=a[T+61|0]|0;if(k<<24>>24==n<<24>>24){U=Q;V=R;W=S;X=T}else{Dq(8,0,52528,(e=i,i=i+16|0,c[e>>2]=n<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;k=c[c[f>>2]>>2]|0;U=1;V=k;W=c[k+16>>2]|0;X=c[l>>2]|0}k=a[W+60|0]|0;n=a[X+60|0]|0;if(k<<24>>24==n<<24>>24){Y=U;Z=V;_=W;$=X}else{Dq(8,0,52376,(e=i,i=i+16|0,c[e>>2]=n<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;k=c[c[f>>2]>>2]|0;Y=1;Z=k;_=c[k+16>>2]|0;$=c[l>>2]|0}k=a[_+59|0]|0;n=a[$+59|0]|0;if(k<<24>>24==n<<24>>24){aa=Y;ba=Z;ca=_;da=$}else{Dq(8,0,51656,(e=i,i=i+16|0,c[e>>2]=n<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;k=c[c[f>>2]>>2]|0;aa=1;ba=k;ca=c[k+16>>2]|0;da=c[l>>2]|0}k=a[ca+58|0]|0;ca=a[da+58|0]|0;if(k<<24>>24==ca<<24>>24){ea=aa;fa=ba}else{Dq(8,0,50952,(e=i,i=i+16|0,c[e>>2]=ca<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;ea=1;fa=c[c[f>>2]>>2]|0}k=c[(c[fa+12>>2]|0)+4>>2]|0;ca=b+404|0;ba=c[(c[ca>>2]|0)+4>>2]|0;if((k|0)==(ba|0)){ga=ea;ha=fa}else{Dq(8,0,49656,(e=i,i=i+16|0,c[e>>2]=ba,c[e+8>>2]=k,e)|0);i=e;ga=1;ha=c[c[f>>2]>>2]|0}k=c[ha+16>>2]|0;ba=a[k+57|0]|0;fa=c[l>>2]|0;ea=a[fa+57|0]|0;if(ba<<24>>24==ea<<24>>24){ia=ga;ja=ha;ka=k;la=fa}else{Dq(8,0,48776,(e=i,i=i+16|0,c[e>>2]=ea<<24>>24,c[e+8>>2]=ba<<24>>24,e)|0);i=e;ba=c[c[f>>2]>>2]|0;ia=1;ja=ba;ka=c[ba+16>>2]|0;la=c[l>>2]|0}ba=a[ka+56|0]|0;ka=a[la+56|0]|0;if(ba<<24>>24==ka<<24>>24){ma=ia;na=ja}else{Dq(8,0,47904,(e=i,i=i+16|0,c[e>>2]=ka<<24>>24,c[e+8>>2]=ba<<24>>24,e)|0);i=e;ma=1;na=c[c[f>>2]>>2]|0}oa=+h[(c[na+8>>2]|0)+264>>3];ba=b+400|0;pa=+h[(c[ba>>2]|0)+264>>3];if(oa!=pa){Dq(8,0,46648,(e=i,i=i+16|0,h[e>>3]=pa,h[e+8>>3]=oa,e)|0);i=e;qa=1;ra=c[c[f>>2]>>2]|0}else{qa=ma;ra=na}na=c[ra+16>>2]|0;ma=a[na+55|0]|0;b=c[l>>2]|0;ka=a[b+55|0]|0;if(ma<<24>>24==ka<<24>>24){sa=qa;ta=ra;ua=na;va=b}else{Dq(8,0,46416,(e=i,i=i+16|0,c[e>>2]=ka<<24>>24,c[e+8>>2]=ma<<24>>24,e)|0);i=e;ma=c[c[f>>2]>>2]|0;sa=1;ta=ma;ua=c[ma+16>>2]|0;va=c[l>>2]|0}ma=a[ua+54|0]|0;ua=a[va+54|0]|0;if(ma<<24>>24==ua<<24>>24){wa=sa;xa=ta}else{Dq(8,0,45832,(e=i,i=i+16|0,c[e>>2]=ua<<24>>24,c[e+8>>2]=ma<<24>>24,e)|0);i=e;wa=1;xa=c[c[f>>2]>>2]|0}oa=+h[(c[xa+8>>2]|0)+240>>3];pa=+h[(c[ba>>2]|0)+240>>3];if(oa!=pa){Dq(8,0,45184,(e=i,i=i+16|0,h[e>>3]=pa,h[e+8>>3]=oa,e)|0);i=e;ya=1;za=c[c[f>>2]>>2]|0}else{ya=wa;za=xa}xa=c[za+16>>2]|0;wa=a[xa+53|0]|0;ma=c[l>>2]|0;ua=a[ma+53|0]|0;if(wa<<24>>24==ua<<24>>24){Aa=ya;Ba=za;Ca=xa;Da=ma}else{Dq(8,0,44680,(e=i,i=i+16|0,c[e>>2]=ua<<24>>24,c[e+8>>2]=wa<<24>>24,e)|0);i=e;wa=c[c[f>>2]>>2]|0;Aa=1;Ba=wa;Ca=c[wa+16>>2]|0;Da=c[l>>2]|0}wa=a[Ca+52|0]|0;ua=a[Da+52|0]|0;if(wa<<24>>24==ua<<24>>24){Ea=Aa;Fa=Ba;Ga=Ca;Ha=Da}else{Dq(8,0,44016,(e=i,i=i+16|0,c[e>>2]=ua<<24>>24,c[e+8>>2]=wa<<24>>24,e)|0);i=e;wa=c[c[f>>2]>>2]|0;Ea=1;Fa=wa;Ga=c[wa+16>>2]|0;Ha=c[l>>2]|0}wa=a[Ga+51|0]|0;ua=a[Ha+51|0]|0;if(wa<<24>>24==ua<<24>>24){Ia=Ea;Ja=Fa;Ka=Ga;La=Ha}else{Dq(8,0,43544,(e=i,i=i+16|0,c[e>>2]=ua<<24>>24,c[e+8>>2]=wa<<24>>24,e)|0);i=e;wa=c[c[f>>2]>>2]|0;Ia=1;Ja=wa;Ka=c[wa+16>>2]|0;La=c[l>>2]|0}wa=a[Ka+50|0]|0;ua=a[La+50|0]|0;if(wa<<24>>24==ua<<24>>24){Ma=Ia;Na=Ja;Oa=Ka;Pa=La}else{Dq(8,0,42088,(e=i,i=i+16|0,c[e>>2]=ua<<24>>24,c[e+8>>2]=wa<<24>>24,e)|0);i=e;wa=c[c[f>>2]>>2]|0;Ma=1;Na=wa;Oa=c[wa+16>>2]|0;Pa=c[l>>2]|0}wa=a[Oa+49|0]|0;ua=a[Pa+49|0]|0;if(wa<<24>>24==ua<<24>>24){Qa=Ma;Ra=Na;Sa=Oa;Ta=Pa}else{Dq(8,0,41672,(e=i,i=i+16|0,c[e>>2]=ua<<24>>24,c[e+8>>2]=wa<<24>>24,e)|0);i=e;wa=c[c[f>>2]>>2]|0;Qa=1;Ra=wa;Sa=c[wa+16>>2]|0;Ta=c[l>>2]|0}wa=a[Sa+48|0]|0;ua=a[Ta+48|0]|0;if(wa<<24>>24==ua<<24>>24){Ua=Qa;Va=Ra;Wa=Sa;Xa=Ta}else{Dq(8,0,41152,(e=i,i=i+16|0,c[e>>2]=ua<<24>>24,c[e+8>>2]=wa<<24>>24,e)|0);i=e;wa=c[c[f>>2]>>2]|0;Ua=1;Va=wa;Wa=c[wa+16>>2]|0;Xa=c[l>>2]|0}wa=a[Wa+47|0]|0;ua=a[Xa+47|0]|0;if(wa<<24>>24==ua<<24>>24){Ya=Ua;Za=Va;_a=Wa;$a=Xa}else{Dq(8,0,40688,(e=i,i=i+16|0,c[e>>2]=ua<<24>>24,c[e+8>>2]=wa<<24>>24,e)|0);i=e;wa=c[c[f>>2]>>2]|0;Ya=1;Za=wa;_a=c[wa+16>>2]|0;$a=c[l>>2]|0}wa=a[_a+46|0]|0;ua=a[$a+46|0]|0;if(wa<<24>>24==ua<<24>>24){ab=Ya;bb=Za;cb=_a;db=$a}else{Dq(8,0,40224,(e=i,i=i+16|0,c[e>>2]=ua<<24>>24,c[e+8>>2]=wa<<24>>24,e)|0);i=e;wa=c[c[f>>2]>>2]|0;ab=1;bb=wa;cb=c[wa+16>>2]|0;db=c[l>>2]|0}wa=a[cb+45|0]|0;ua=a[db+45|0]|0;if(wa<<24>>24==ua<<24>>24){eb=ab;fb=bb;gb=cb;hb=db}else{Dq(8,0,39800,(e=i,i=i+16|0,c[e>>2]=ua<<24>>24,c[e+8>>2]=wa<<24>>24,e)|0);i=e;wa=c[c[f>>2]>>2]|0;eb=1;fb=wa;gb=c[wa+16>>2]|0;hb=c[l>>2]|0}wa=a[gb+44|0]|0;gb=a[hb+44|0]|0;if(wa<<24>>24==gb<<24>>24){ib=eb;jb=fb}else{Dq(8,0,39408,(e=i,i=i+16|0,c[e>>2]=gb<<24>>24,c[e+8>>2]=wa<<24>>24,e)|0);i=e;ib=1;jb=c[c[f>>2]>>2]|0}oa=+h[(c[jb+8>>2]|0)+200>>3];pa=+h[(c[ba>>2]|0)+200>>3];if(oa!=pa){Dq(8,0,39112,(e=i,i=i+16|0,h[e>>3]=pa,h[e+8>>3]=oa,e)|0);i=e;kb=1;lb=c[c[f>>2]>>2]|0}else{kb=ib;lb=jb}jb=c[lb+16>>2]|0;ib=a[jb+43|0]|0;wa=c[l>>2]|0;gb=a[wa+43|0]|0;if(ib<<24>>24==gb<<24>>24){mb=kb;nb=lb;ob=jb;pb=wa}else{Dq(8,0,38680,(e=i,i=i+16|0,c[e>>2]=gb<<24>>24,c[e+8>>2]=ib<<24>>24,e)|0);i=e;ib=c[c[f>>2]>>2]|0;mb=1;nb=ib;ob=c[ib+16>>2]|0;pb=c[l>>2]|0}ib=a[ob+42|0]|0;ob=a[pb+42|0]|0;if(ib<<24>>24==ob<<24>>24){qb=mb;rb=nb}else{Dq(8,0,38360,(e=i,i=i+16|0,c[e>>2]=ob<<24>>24,c[e+8>>2]=ib<<24>>24,e)|0);i=e;qb=1;rb=c[c[f>>2]>>2]|0}oa=+h[(c[rb+8>>2]|0)+176>>3];pa=+h[(c[ba>>2]|0)+176>>3];if(oa!=pa){Dq(8,0,37168,(e=i,i=i+16|0,h[e>>3]=pa,h[e+8>>3]=oa,e)|0);i=e;sb=1;tb=c[c[f>>2]>>2]|0}else{sb=qb;tb=rb}rb=c[tb+16>>2]|0;qb=a[rb+41|0]|0;ib=c[l>>2]|0;ob=a[ib+41|0]|0;if(qb<<24>>24==ob<<24>>24){ub=sb;vb=tb;wb=rb;xb=ib}else{Dq(8,0,36864,(e=i,i=i+16|0,c[e>>2]=ob<<24>>24,c[e+8>>2]=qb<<24>>24,e)|0);i=e;qb=c[c[f>>2]>>2]|0;ub=1;vb=qb;wb=c[qb+16>>2]|0;xb=c[l>>2]|0}qb=a[wb+40|0]|0;wb=a[xb+40|0]|0;if(qb<<24>>24==wb<<24>>24){yb=ub;zb=vb}else{Dq(8,0,36552,(e=i,i=i+16|0,c[e>>2]=wb<<24>>24,c[e+8>>2]=qb<<24>>24,e)|0);i=e;yb=1;zb=c[c[f>>2]>>2]|0}oa=+h[(c[zb+8>>2]|0)+152>>3];pa=+h[(c[ba>>2]|0)+152>>3];if(oa!=pa){Dq(8,0,36056,(e=i,i=i+16|0,h[e>>3]=pa,h[e+8>>3]=oa,e)|0);i=e;Ab=1;Bb=c[c[f>>2]>>2]|0}else{Ab=yb;Bb=zb}zb=c[Bb+16>>2]|0;yb=a[zb+39|0]|0;qb=c[l>>2]|0;wb=a[qb+39|0]|0;if(yb<<24>>24==wb<<24>>24){Cb=Ab;Db=Bb;Eb=zb;Fb=qb}else{Dq(8,0,35696,(e=i,i=i+16|0,c[e>>2]=wb<<24>>24,c[e+8>>2]=yb<<24>>24,e)|0);i=e;yb=c[c[f>>2]>>2]|0;Cb=1;Db=yb;Eb=c[yb+16>>2]|0;Fb=c[l>>2]|0}yb=a[Eb+38|0]|0;wb=a[Fb+38|0]|0;if(yb<<24>>24==wb<<24>>24){Gb=Cb;Hb=Db;Ib=Eb;Jb=Fb}else{Dq(8,0,35376,(e=i,i=i+16|0,c[e>>2]=wb<<24>>24,c[e+8>>2]=yb<<24>>24,e)|0);i=e;yb=c[c[f>>2]>>2]|0;Gb=1;Hb=yb;Ib=c[yb+16>>2]|0;Jb=c[l>>2]|0}yb=a[Ib+37|0]|0;wb=a[Jb+37|0]|0;if(yb<<24>>24==wb<<24>>24){Kb=Gb;Lb=Hb;Mb=Ib;Nb=Jb}else{Dq(8,0,35104,(e=i,i=i+16|0,c[e>>2]=wb<<24>>24,c[e+8>>2]=yb<<24>>24,e)|0);i=e;yb=c[c[f>>2]>>2]|0;Kb=1;Lb=yb;Mb=c[yb+16>>2]|0;Nb=c[l>>2]|0}yb=a[Mb+36|0]|0;wb=a[Nb+36|0]|0;if(yb<<24>>24==wb<<24>>24){Ob=Kb;Pb=Lb;Qb=Mb;Rb=Nb}else{Dq(8,0,34768,(e=i,i=i+16|0,c[e>>2]=wb<<24>>24,c[e+8>>2]=yb<<24>>24,e)|0);i=e;yb=c[c[f>>2]>>2]|0;Ob=1;Pb=yb;Qb=c[yb+16>>2]|0;Rb=c[l>>2]|0}yb=a[Qb+35|0]|0;wb=a[Rb+35|0]|0;if(yb<<24>>24==wb<<24>>24){Sb=Ob;Tb=Pb;Ub=Qb;Vb=Rb}else{Dq(8,0,34392,(e=i,i=i+16|0,c[e>>2]=wb<<24>>24,c[e+8>>2]=yb<<24>>24,e)|0);i=e;yb=c[c[f>>2]>>2]|0;Sb=1;Tb=yb;Ub=c[yb+16>>2]|0;Vb=c[l>>2]|0}yb=a[Ub+34|0]|0;Ub=a[Vb+34|0]|0;if(yb<<24>>24==Ub<<24>>24){Wb=Sb;Xb=Tb}else{Dq(8,0,34120,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=yb<<24>>24,e)|0);i=e;Wb=1;Xb=c[c[f>>2]>>2]|0}oa=+h[(c[Xb+8>>2]|0)+120>>3];pa=+h[(c[ba>>2]|0)+120>>3];if(oa!=pa){Dq(8,0,32896,(e=i,i=i+16|0,h[e>>3]=pa,h[e+8>>3]=oa,e)|0);i=e;Yb=1;Zb=c[c[f>>2]>>2]|0}else{Yb=Wb;Zb=Xb}Xb=c[Zb+16>>2]|0;Wb=a[Xb+33|0]|0;yb=c[l>>2]|0;Ub=a[yb+33|0]|0;if(Wb<<24>>24==Ub<<24>>24){_b=Yb;$b=Zb;ac=Xb;bc=yb}else{Dq(8,0,32600,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;_b=1;$b=Wb;ac=c[Wb+16>>2]|0;bc=c[l>>2]|0}Wb=a[ac+32|0]|0;Ub=a[bc+32|0]|0;if(Wb<<24>>24==Ub<<24>>24){cc=_b;dc=$b;ec=ac;fc=bc}else{Dq(8,0,32272,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;cc=1;dc=Wb;ec=c[Wb+16>>2]|0;fc=c[l>>2]|0}Wb=a[ec+31|0]|0;Ub=a[fc+31|0]|0;if(Wb<<24>>24==Ub<<24>>24){gc=cc;hc=dc;ic=ec;jc=fc}else{Dq(8,0,31856,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;gc=1;hc=Wb;ic=c[Wb+16>>2]|0;jc=c[l>>2]|0}Wb=a[ic+30|0]|0;Ub=a[jc+30|0]|0;if(Wb<<24>>24==Ub<<24>>24){kc=gc;lc=hc;mc=ic;nc=jc}else{Dq(8,0,31464,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;kc=1;lc=Wb;mc=c[Wb+16>>2]|0;nc=c[l>>2]|0}Wb=a[mc+29|0]|0;Ub=a[nc+29|0]|0;if(Wb<<24>>24==Ub<<24>>24){oc=kc;pc=lc;qc=mc;rc=nc}else{Dq(8,0,31192,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;oc=1;pc=Wb;qc=c[Wb+16>>2]|0;rc=c[l>>2]|0}Wb=a[qc+28|0]|0;Ub=a[rc+28|0]|0;if(Wb<<24>>24==Ub<<24>>24){sc=oc;tc=pc;uc=qc;vc=rc}else{Dq(8,0,30848,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;sc=1;tc=Wb;uc=c[Wb+16>>2]|0;vc=c[l>>2]|0}Wb=a[uc+27|0]|0;Ub=a[vc+27|0]|0;if(Wb<<24>>24==Ub<<24>>24){wc=sc;xc=tc;yc=uc;zc=vc}else{Dq(8,0,30584,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;wc=1;xc=Wb;yc=c[Wb+16>>2]|0;zc=c[l>>2]|0}Wb=a[yc+26|0]|0;Ub=a[zc+26|0]|0;if(Wb<<24>>24==Ub<<24>>24){Ac=wc;Bc=xc;Cc=yc;Dc=zc}else{Dq(8,0,30144,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;Ac=1;Bc=Wb;Cc=c[Wb+16>>2]|0;Dc=c[l>>2]|0}Wb=a[Cc+25|0]|0;Ub=a[Dc+25|0]|0;if(Wb<<24>>24==Ub<<24>>24){Ec=Ac;Fc=Bc;Gc=Cc;Hc=Dc}else{Dq(8,0,29872,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;Ec=1;Fc=Wb;Gc=c[Wb+16>>2]|0;Hc=c[l>>2]|0}Wb=a[Gc+24|0]|0;Ub=a[Hc+24|0]|0;if(Wb<<24>>24==Ub<<24>>24){Ic=Ec;Jc=Fc;Kc=Gc;Lc=Hc}else{Dq(8,0,29216,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;Ic=1;Jc=Wb;Kc=c[Wb+16>>2]|0;Lc=c[l>>2]|0}Wb=a[Kc+1|0]|0;Ub=a[Lc+1|0]|0;if(Wb<<24>>24==Ub<<24>>24){Mc=Ic;Nc=Jc;Oc=Kc;Pc=Lc}else{Dq(8,0,28920,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;Mc=1;Nc=Wb;Oc=c[Wb+16>>2]|0;Pc=c[l>>2]|0}Wb=a[Oc]|0;Ub=a[Pc]|0;if(Wb<<24>>24==Ub<<24>>24){Qc=Mc;Rc=Nc;Sc=Oc;Tc=Pc}else{Dq(8,0,28608,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;Qc=1;Rc=Wb;Sc=c[Wb+16>>2]|0;Tc=c[l>>2]|0}Wb=a[Sc+23|0]|0;Ub=a[Tc+23|0]|0;if(Wb<<24>>24==Ub<<24>>24){Uc=Qc;Vc=Rc;Wc=Sc;Xc=Tc}else{Dq(8,0,28096,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;Uc=1;Vc=Wb;Wc=c[Wb+16>>2]|0;Xc=c[l>>2]|0}Wb=a[Wc+22|0]|0;Ub=a[Xc+22|0]|0;if(Wb<<24>>24==Ub<<24>>24){Yc=Uc;Zc=Vc;_c=Wc;$c=Xc}else{Dq(8,0,27632,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;Yc=1;Zc=Wb;_c=c[Wb+16>>2]|0;$c=c[l>>2]|0}Wb=a[_c+21|0]|0;Ub=a[$c+21|0]|0;if(Wb<<24>>24==Ub<<24>>24){ad=Yc;bd=Zc;cd=_c;dd=$c}else{Dq(8,0,27312,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;ad=1;bd=Wb;cd=c[Wb+16>>2]|0;dd=c[l>>2]|0}Wb=a[cd+20|0]|0;Ub=a[dd+20|0]|0;if(Wb<<24>>24==Ub<<24>>24){ed=ad;fd=bd;gd=cd;hd=dd}else{Dq(8,0,27096,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;ed=1;fd=Wb;gd=c[Wb+16>>2]|0;hd=c[l>>2]|0}Wb=a[gd+19|0]|0;Ub=a[hd+19|0]|0;if(Wb<<24>>24==Ub<<24>>24){id=ed;jd=fd;kd=gd;ld=hd}else{Dq(8,0,26872,(e=i,i=i+16|0,c[e>>2]=Ub<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;Wb=c[c[f>>2]>>2]|0;id=1;jd=Wb;kd=c[Wb+16>>2]|0;ld=c[l>>2]|0}Wb=a[kd+18|0]|0;kd=a[ld+18|0]|0;if(Wb<<24>>24==kd<<24>>24){md=id;nd=jd}else{Dq(8,0,26616,(e=i,i=i+16|0,c[e>>2]=kd<<24>>24,c[e+8>>2]=Wb<<24>>24,e)|0);i=e;md=1;nd=c[c[f>>2]>>2]|0}oa=+h[(c[nd+8>>2]|0)+72>>3];pa=+h[(c[ba>>2]|0)+72>>3];if(oa!=pa){Dq(8,0,26496,(e=i,i=i+16|0,h[e>>3]=pa,h[e+8>>3]=oa,e)|0);i=e;od=1;pd=c[c[f>>2]>>2]|0}else{od=md;pd=nd}nd=c[pd+16>>2]|0;md=a[nd+17|0]|0;Wb=c[l>>2]|0;kd=a[Wb+17|0]|0;if(md<<24>>24==kd<<24>>24){qd=od;rd=pd;sd=nd;td=Wb}else{Dq(8,0,25800,(e=i,i=i+16|0,c[e>>2]=kd<<24>>24,c[e+8>>2]=md<<24>>24,e)|0);i=e;md=c[c[f>>2]>>2]|0;qd=1;rd=md;sd=c[md+16>>2]|0;td=c[l>>2]|0}md=a[sd+16|0]|0;kd=a[td+16|0]|0;if(md<<24>>24==kd<<24>>24){ud=qd;vd=rd;wd=sd;xd=td}else{Dq(8,0,25648,(e=i,i=i+16|0,c[e>>2]=kd<<24>>24,c[e+8>>2]=md<<24>>24,e)|0);i=e;md=c[c[f>>2]>>2]|0;ud=1;vd=md;wd=c[md+16>>2]|0;xd=c[l>>2]|0}md=a[wd+15|0]|0;kd=a[xd+15|0]|0;if(md<<24>>24==kd<<24>>24){yd=ud;zd=vd;Ad=wd;Bd=xd}else{Dq(8,0,25472,(e=i,i=i+16|0,c[e>>2]=kd<<24>>24,c[e+8>>2]=md<<24>>24,e)|0);i=e;md=c[c[f>>2]>>2]|0;yd=1;zd=md;Ad=c[md+16>>2]|0;Bd=c[l>>2]|0}md=a[Ad+14|0]|0;kd=a[Bd+14|0]|0;if(md<<24>>24==kd<<24>>24){Cd=yd;Dd=zd;Ed=Ad;Fd=Bd}else{Dq(8,0,25248,(e=i,i=i+16|0,c[e>>2]=kd<<24>>24,c[e+8>>2]=md<<24>>24,e)|0);i=e;md=c[c[f>>2]>>2]|0;Cd=1;Dd=md;Ed=c[md+16>>2]|0;Fd=c[l>>2]|0}md=a[Ed+13|0]|0;kd=a[Fd+13|0]|0;if(md<<24>>24==kd<<24>>24){Gd=Cd;Hd=Dd;Id=Ed;Jd=Fd}else{Dq(8,0,25088,(e=i,i=i+16|0,c[e>>2]=kd<<24>>24,c[e+8>>2]=md<<24>>24,e)|0);i=e;md=c[c[f>>2]>>2]|0;Gd=1;Hd=md;Id=c[md+16>>2]|0;Jd=c[l>>2]|0}md=a[Id+12|0]|0;Id=a[Jd+12|0]|0;if(md<<24>>24==Id<<24>>24){Kd=Gd;Ld=Hd}else{Dq(8,0,24864,(e=i,i=i+16|0,c[e>>2]=Id<<24>>24,c[e+8>>2]=md<<24>>24,e)|0);i=e;Kd=1;Ld=c[c[f>>2]>>2]|0}oa=+h[(c[Ld+8>>2]|0)+40>>3];pa=+h[(c[ba>>2]|0)+40>>3];if(oa!=pa){Dq(8,0,24672,(e=i,i=i+16|0,h[e>>3]=pa,h[e+8>>3]=oa,e)|0);i=e;Md=1;Nd=c[c[f>>2]>>2]|0}else{Md=Kd;Nd=Ld}Ld=c[Nd+16>>2]|0;Kd=a[Ld+11|0]|0;ba=c[l>>2]|0;md=a[ba+11|0]|0;if(Kd<<24>>24==md<<24>>24){Od=Md;Pd=Nd;Rd=Ld;Sd=ba}else{Dq(8,0,24408,(e=i,i=i+16|0,c[e>>2]=md<<24>>24,c[e+8>>2]=Kd<<24>>24,e)|0);i=e;Kd=c[c[f>>2]>>2]|0;Od=1;Pd=Kd;Rd=c[Kd+16>>2]|0;Sd=c[l>>2]|0}Kd=a[Rd+10|0]|0;md=a[Sd+10|0]|0;if(Kd<<24>>24==md<<24>>24){Td=Od;Ud=Pd;Vd=Rd;Wd=Sd}else{Dq(8,0,24136,(e=i,i=i+16|0,c[e>>2]=md<<24>>24,c[e+8>>2]=Kd<<24>>24,e)|0);i=e;Kd=c[c[f>>2]>>2]|0;Td=1;Ud=Kd;Vd=c[Kd+16>>2]|0;Wd=c[l>>2]|0}Kd=a[Vd+9|0]|0;md=a[Wd+9|0]|0;if(Kd<<24>>24==md<<24>>24){Xd=Td;Yd=Ud;Zd=Vd;_d=Wd}else{Dq(8,0,23904,(e=i,i=i+16|0,c[e>>2]=md<<24>>24,c[e+8>>2]=Kd<<24>>24,e)|0);i=e;Kd=c[c[f>>2]>>2]|0;Xd=1;Yd=Kd;Zd=c[Kd+16>>2]|0;_d=c[l>>2]|0}Kd=a[Zd+8|0]|0;md=a[_d+8|0]|0;if(Kd<<24>>24==md<<24>>24){$d=Xd;ae=Yd;be=Zd;ce=_d}else{Dq(8,0,22808,(e=i,i=i+16|0,c[e>>2]=md<<24>>24,c[e+8>>2]=Kd<<24>>24,e)|0);i=e;Kd=c[c[f>>2]>>2]|0;$d=1;ae=Kd;be=c[Kd+16>>2]|0;ce=c[l>>2]|0}Kd=a[be+7|0]|0;md=a[ce+7|0]|0;if(Kd<<24>>24==md<<24>>24){de=$d;ee=ae;fe=be;ge=ce}else{Dq(8,0,22616,(e=i,i=i+16|0,c[e>>2]=md<<24>>24,c[e+8>>2]=Kd<<24>>24,e)|0);i=e;Kd=c[c[f>>2]>>2]|0;de=1;ee=Kd;fe=c[Kd+16>>2]|0;ge=c[l>>2]|0}Kd=a[fe+6|0]|0;md=a[ge+6|0]|0;if(Kd<<24>>24==md<<24>>24){he=de;ie=ee;je=fe;ke=ge}else{Dq(8,0,22488,(e=i,i=i+16|0,c[e>>2]=md<<24>>24,c[e+8>>2]=Kd<<24>>24,e)|0);i=e;Kd=c[c[f>>2]>>2]|0;he=1;ie=Kd;je=c[Kd+16>>2]|0;ke=c[l>>2]|0}Kd=a[je+5|0]|0;md=a[ke+5|0]|0;if(Kd<<24>>24==md<<24>>24){le=he;me=ie;ne=je;oe=ke}else{Dq(8,0,22096,(e=i,i=i+16|0,c[e>>2]=md<<24>>24,c[e+8>>2]=Kd<<24>>24,e)|0);i=e;Kd=c[c[f>>2]>>2]|0;le=1;me=Kd;ne=c[Kd+16>>2]|0;oe=c[l>>2]|0}l=a[ne+4|0]|0;ne=a[oe+4|0]|0;if(l<<24>>24==ne<<24>>24){pe=le;qe=me}else{Dq(8,0,21928,(e=i,i=i+16|0,c[e>>2]=ne<<24>>24,c[e+8>>2]=l<<24>>24,e)|0);i=e;pe=1;qe=c[c[f>>2]>>2]|0}f=c[c[qe+12>>2]>>2]|0;qe=c[c[ca>>2]>>2]|0;if((f|0)==(qe|0)){re=pe}else{Dq(8,0,21792,(e=i,i=i+16|0,c[e>>2]=qe,c[e+8>>2]=f,e)|0);i=e;re=1}if((c[229114]|0)==0){i=d;return re|0}Qd[c[3540]&511](8);i=d;return re|0}function _g(a){a=a|0;return c[914344+(a<<2)>>2]|0}function $g(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0.0,l=0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0;e=i;Dq(21,1,42032,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+400|0;j=b+4|0;k=+h[(c[g>>2]|0)+264>>3]- +h[c[c[j>>2]>>2]>>3];h[d>>3]=k;l=_g(0)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=1,c[f+8>>2]=l,h[f+16>>3]=k,f)|0);i=f;l=b+408|0;k=(a[(c[l>>2]|0)+57|0]|0)==0?0.0:1.0;h[d+8>>3]=k;b=_g(1)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=2,c[f+8>>2]=b,h[f+16>>3]=k,f)|0);i=f;k=+h[(c[g>>2]|0)+240>>3]- +h[c[c[j>>2]>>2]>>3];h[d+16>>3]=k;b=_g(2)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=3,c[f+8>>2]=b,h[f+16>>3]=k,f)|0);i=f;k=(a[(c[l>>2]|0)+55|0]|0)==0?0.0:1.0;h[d+24>>3]=k;b=_g(3)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=4,c[f+8>>2]=b,h[f+16>>3]=k,f)|0);i=f;k=(a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+50|0]|0)==0?0.0:1.0;h[d+32>>3]=k;b=_g(4)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=5,c[f+8>>2]=b,h[f+16>>3]=k,f)|0);i=f;b=c[l>>2]|0;m=(a[b+53|0]|0)==0;if((a[b+52|0]|0)==0){n=m?0.0:1.0}else{n=+(m&1|0)}h[d+40>>3]=n;m=_g(5)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=6,c[f+8>>2]=m,h[f+16>>3]=n,f)|0);i=f;m=c[l>>2]|0;b=(a[m+53|0]|0)==0;if((a[m+51|0]|0)==0){o=b?0.0:1.0}else{o=+(b&1|0)}h[d+48>>3]=o;b=_g(6)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=7,c[f+8>>2]=b,h[f+16>>3]=o,f)|0);i=f;o=(a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+46|0]|0)==0?0.0:1.0;h[d+56>>3]=o;b=_g(7)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=8,c[f+8>>2]=b,h[f+16>>3]=o,f)|0);i=f;b=c[l>>2]|0;m=(a[b+49|0]|0)==0;if((a[b+48|0]|0)==0){p=m?0.0:1.0}else{p=+(m&1|0)}h[d+64>>3]=p;m=_g(8)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=9,c[f+8>>2]=m,h[f+16>>3]=p,f)|0);i=f;m=c[l>>2]|0;b=(a[m+49|0]|0)==0;if((a[m+47|0]|0)==0){q=b?0.0:1.0}else{q=+(b&1|0)}h[d+72>>3]=q;b=_g(9)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=10,c[f+8>>2]=b,h[f+16>>3]=q,f)|0);i=f;q=+h[(c[g>>2]|0)+200>>3]- +h[c[c[j>>2]>>2]>>3];h[d+80>>3]=q;b=_g(10)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=11,c[f+8>>2]=b,h[f+16>>3]=q,f)|0);i=f;q=(a[(c[l>>2]|0)+45|0]|0)==0?0.0:1.0;h[d+88>>3]=q;b=_g(11)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=12,c[f+8>>2]=b,h[f+16>>3]=q,f)|0);i=f;q=+h[(c[g>>2]|0)+176>>3]- +h[c[c[j>>2]>>2]>>3];h[d+96>>3]=q;b=_g(12)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=13,c[f+8>>2]=b,h[f+16>>3]=q,f)|0);i=f;q=(a[(c[l>>2]|0)+43|0]|0)==0?0.0:1.0;h[d+104>>3]=q;b=_g(13)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=14,c[f+8>>2]=b,h[f+16>>3]=q,f)|0);i=f;q=+h[(c[g>>2]|0)+152>>3]- +h[c[c[j>>2]>>2]>>3];h[d+112>>3]=q;b=_g(14)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=15,c[f+8>>2]=b,h[f+16>>3]=q,f)|0);i=f;q=(a[(c[l>>2]|0)+41|0]|0)==0?0.0:1.0;h[d+120>>3]=q;b=_g(15)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=16,c[f+8>>2]=b,h[f+16>>3]=q,f)|0);i=f;q=(a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+36|0]|0)==0?0.0:1.0;h[d+128>>3]=q;b=_g(16)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=17,c[f+8>>2]=b,h[f+16>>3]=q,f)|0);i=f;b=c[l>>2]|0;m=(a[b+39|0]|0)==0;if((a[b+38|0]|0)==0){r=m?0.0:1.0}else{r=+(m&1|0)}h[d+136>>3]=r;m=_g(17)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=18,c[f+8>>2]=m,h[f+16>>3]=r,f)|0);i=f;m=c[l>>2]|0;b=(a[m+39|0]|0)==0;if((a[m+37|0]|0)==0){s=b?0.0:1.0}else{s=+(b&1|0)}h[d+144>>3]=s;b=_g(18)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=19,c[f+8>>2]=b,h[f+16>>3]=s,f)|0);i=f;s=+h[(c[g>>2]|0)+120>>3]- +h[c[c[j>>2]>>2]>>3];h[d+152>>3]=s;b=_g(19)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=20,c[f+8>>2]=b,h[f+16>>3]=s,f)|0);i=f;s=(a[(c[l>>2]|0)+35|0]|0)==0?0.0:1.0;h[d+160>>3]=s;b=_g(20)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=21,c[f+8>>2]=b,h[f+16>>3]=s,f)|0);i=f;s=(a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+30|0]|0)==0?0.0:1.0;h[d+168>>3]=s;b=_g(21)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=22,c[f+8>>2]=b,h[f+16>>3]=s,f)|0);i=f;b=c[l>>2]|0;m=(a[b+33|0]|0)==0;if((a[b+32|0]|0)==0){t=m?0.0:1.0}else{t=+(m&1|0)}h[d+176>>3]=t;m=_g(22)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=23,c[f+8>>2]=m,h[f+16>>3]=t,f)|0);i=f;m=c[l>>2]|0;b=(a[m+33|0]|0)==0;if((a[m+31|0]|0)==0){u=b?0.0:1.0}else{u=+(b&1|0)}h[d+184>>3]=u;b=_g(23)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=24,c[f+8>>2]=b,h[f+16>>3]=u,f)|0);i=f;u=(a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+26|0]|0)==0?0.0:1.0;h[d+192>>3]=u;b=_g(24)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=25,c[f+8>>2]=b,h[f+16>>3]=u,f)|0);i=f;b=c[l>>2]|0;m=(a[b+29|0]|0)==0;if((a[b+28|0]|0)==0){v=m?0.0:1.0}else{v=+(m&1|0)}h[d+200>>3]=v;m=_g(25)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=26,c[f+8>>2]=m,h[f+16>>3]=v,f)|0);i=f;m=c[l>>2]|0;b=(a[m+29|0]|0)==0;if((a[m+27|0]|0)==0){w=b?0.0:1.0}else{w=+(b&1|0)}h[d+208>>3]=w;b=_g(26)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=27,c[f+8>>2]=b,h[f+16>>3]=w,f)|0);i=f;w=(a[(c[l>>2]|0)+58|0]|0)==0?0.0:1.0;h[d+216>>3]=w;b=_g(27)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=28,c[f+8>>2]=b,h[f+16>>3]=w,f)|0);i=f;w=+((a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+20|0]|0)==0|0);h[d+224>>3]=w;b=_g(28)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=29,c[f+8>>2]=b,h[f+16>>3]=w,f)|0);i=f;b=c[l>>2]|0;m=(a[b+23|0]|0)==0;if((a[b+22|0]|0)==0){x=m?0.0:1.0}else{x=+(m&1|0)}h[d+232>>3]=x;m=_g(29)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=30,c[f+8>>2]=m,h[f+16>>3]=x,f)|0);i=f;m=c[l>>2]|0;b=(a[m+23|0]|0)==0;if((a[m+21|0]|0)==0){y=b?0.0:1.0}else{y=+(b&1|0)}h[d+240>>3]=y;b=_g(30)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=31,c[f+8>>2]=b,h[f+16>>3]=y,f)|0);i=f;y=+h[(c[g>>2]|0)+72>>3]- +h[c[c[j>>2]>>2]>>3];h[d+248>>3]=y;b=_g(31)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=32,c[f+8>>2]=b,h[f+16>>3]=y,f)|0);i=f;y=(a[(c[l>>2]|0)+19|0]|0)==0?0.0:1.0;h[d+256>>3]=y;b=_g(32)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=33,c[f+8>>2]=b,h[f+16>>3]=y,f)|0);i=f;y=(a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+14|0]|0)==0?0.0:1.0;h[d+264>>3]=y;b=_g(33)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=34,c[f+8>>2]=b,h[f+16>>3]=y,f)|0);i=f;b=c[l>>2]|0;m=(a[b+17|0]|0)==0;if((a[b+16|0]|0)==0){z=m?0.0:1.0}else{z=+(m&1|0)}h[d+272>>3]=z;m=_g(34)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=35,c[f+8>>2]=m,h[f+16>>3]=z,f)|0);i=f;m=c[l>>2]|0;b=(a[m+17|0]|0)==0;if((a[m+15|0]|0)==0){A=b?0.0:1.0}else{A=+(b&1|0)}h[d+280>>3]=A;b=_g(35)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=36,c[f+8>>2]=b,h[f+16>>3]=A,f)|0);i=f;A=+h[(c[g>>2]|0)+40>>3]- +h[c[c[j>>2]>>2]>>3];h[d+288>>3]=A;g=_g(36)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=37,c[f+8>>2]=g,h[f+16>>3]=A,f)|0);i=f;A=(a[(c[l>>2]|0)+13|0]|0)==0?0.0:1.0;h[d+296>>3]=A;g=_g(37)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=38,c[f+8>>2]=g,h[f+16>>3]=A,f)|0);i=f;A=(a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+8|0]|0)==0?0.0:1.0;h[d+304>>3]=A;j=_g(38)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=39,c[f+8>>2]=j,h[f+16>>3]=A,f)|0);i=f;j=c[l>>2]|0;g=(a[j+11|0]|0)==0;if((a[j+10|0]|0)==0){B=g?0.0:1.0}else{B=+(g&1|0)}h[d+312>>3]=B;g=_g(39)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=40,c[f+8>>2]=g,h[f+16>>3]=B,f)|0);i=f;g=c[l>>2]|0;j=(a[g+11|0]|0)==0;if((a[g+9|0]|0)==0){C=j?0.0:1.0}else{C=+(j&1|0)}h[d+320>>3]=C;j=_g(40)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=41,c[f+8>>2]=j,h[f+16>>3]=C,f)|0);i=f;C=(a[(c[l>>2]|0)+7|0]|0)==0?0.0:1.0;h[d+328>>3]=C;d=_g(41)|0;Dq(21,0,41616,(f=i,i=i+24|0,c[f>>2]=42,c[f+8>>2]=d,h[f+16>>3]=C,f)|0);i=f;if((c[229127]|0)==0){i=e;return 0}Qd[c[3540]&511](21);i=e;return 0}function ah(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+328>>3]=0.0;return}function bh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+81|0]=0;return}function ch(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+80|0]=0;return}function dh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+3|0]=0;return}function eh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+2|0]=0;return}function fh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+79|0]=1;return}function gh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+78|0]=1;return}function hh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+77|0]=1;return}function ih(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+76|0]=1;return}function jh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+75|0]=1;return}function kh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+74|0]=1;return}function lh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+73|0]=1;return}function mh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+72|0]=1;return}function nh(b){b=b|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;Mg(e,c[b+536>>2]|0,913584);a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+71|0]=a[e|0]|0;i=d;return}function oh(b){b=b|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;Mg(e,c[b+536>>2]|0,913584);a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+70|0]=a[e|0]|0;i=d;return}function ph(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[c[b+356>>2]|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[c[b+356>>2]|0]|0;i=b+4|0;j=pt(+h[c[c[i>>2]>>2]>>3],7.0,a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=j;d=g;e=i;break}else{i=b+4|0;g=pt(+h[c[c[i>>2]>>2]>>3],7.0,a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=g;d=g;e=i;break}}else{if(f){f=a[c[b+356>>2]|0]|0;i=b+4|0;g=rt(+h[c[c[i>>2]>>2]>>3],7.0)|0;a[c[b+352>>2]|0]=g;d=f;e=i;break}else{i=b+4|0;f=rt(+h[c[c[i>>2]>>2]>>3],7.0)|0;a[c[b+352>>2]|0]=f;d=f;e=i;break}}}}while(0);a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+4|0]=d;return}function qh(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+60|0]=a[d+71|0]|0;return}function rh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+8|0]=0;return}function sh(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+11|0]=a[d+8|0]|0;return}function th(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+24>>3]=(a[(c[d+16>>2]|0)+11|0]|0)!=0?1.0:0.0;return}function uh(b){b=b|0;a[(c[b+408>>2]|0)+10|0]=a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+11|0]|0;return}function vh(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+11|0]=a[d+10|0]|0;return}function wh(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+9|0]=a[d+11|0]|0;return}function xh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+9|0]=a[(c[b+408>>2]|0)+9|0]|0;return}function yh(a){a=a|0;h[(c[a+400>>2]|0)+40>>3]=+h[c[c[a+4>>2]>>2]>>3];return}function zh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+40>>3]=+h[(c[a+400>>2]|0)+40>>3];return}function Ah(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+32>>3]=+h[b>>3]- +h[a+40>>3];return}function Bh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+14|0]=0;return}function Ch(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+17|0]=a[d+14|0]|0;return}function Dh(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+56>>3]=(a[(c[d+16>>2]|0)+17|0]|0)!=0?1.0:0.0;return}function Eh(b){b=b|0;a[(c[b+408>>2]|0)+16|0]=a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+17|0]|0;return}function Fh(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+17|0]=a[d+16|0]|0;return}function Gh(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+15|0]=a[d+17|0]|0;return}function Hh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+15|0]=a[(c[b+408>>2]|0)+15|0]|0;return}function Ih(a){a=a|0;h[(c[a+400>>2]|0)+72>>3]=+h[c[c[a+4>>2]>>2]>>3];return}function Jh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+72>>3]=+h[(c[a+400>>2]|0)+72>>3];return}function Kh(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+64>>3]=+h[b>>3]- +h[a+72>>3];return}function Lh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+20|0]=1;return}function Mh(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+23|0]=a[d+20|0]|0;return}function Nh(b){b=b|0;var d=0,e=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;do{if((a[d+4|0]|0)==0){e=0}else{if((a[d+11|0]|0)==0){e=0;break}e=(a[d+23|0]|0)==0|0}}while(0);a[d+7|0]=e;return}function Oh(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+88>>3]=(a[(c[d+16>>2]|0)+23|0]|0)!=0?1.0:0.0;return}function Ph(b){b=b|0;a[(c[b+408>>2]|0)+22|0]=a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+23|0]|0;return}function Qh(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+23|0]=a[d+22|0]|0;return}function Rh(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+21|0]=a[d+23|0]|0;return}function Sh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+21|0]=a[(c[b+408>>2]|0)+21|0]|0;return}function Th(b){b=b|0;a[(c[b+408>>2]|0)+58|0]=0;return}function Uh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+59|0]=a[(c[b+408>>2]|0)+58|0]|0;return}function Vh(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+280>>3]=(a[(c[d+16>>2]|0)+59|0]|0)!=0?1.0:0.0;return}function Wh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+16>>3]=-0.0- +h[b+56>>3]- +h[b+24>>3]- +h[b+88>>3]- +h[b+280>>3];return}function Xh(a){a=a|0;var b=0,d=0;b=a+4|0;d=-(tt(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+16>>3],0,a)|0)|0;c[c[(c[c[b>>2]>>2]|0)+12>>2]>>2]=d;return}function Yh(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+26|0]=0;return}function Zh(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+29|0]=a[d+26|0]|0;return}function _h(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+4|0;h=c[(c[c[g>>2]>>2]|0)+16>>2]|0;j=a[h+17|0]|0;sq(e,2,(k=i,i=i+16|0,c[k>>2]=a[h+29|0]|0,c[k+8>>2]=j,k)|0);i=k;Og(f,c[b+536>>2]|0,e);a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+5|0]=a[f|0]|0;i=d;return}function $h(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+5|0]|0)==0){e=0;f=d+13|0;a[f]=e;return}e=(a[d+11|0]|0)==0|0;f=d+13|0;a[f]=e;return}function ai(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+69|0]=a[d+13|0]|0;return}function bi(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+13|0]|0)==0){e=0.0;f=b+48|0;h[f>>3]=e;return}e=+h[b+32>>3];f=b+48|0;h[f>>3]=e;return}function ci(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+8|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+8|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+40>>3]+ +h[(c[b+416>>2]|0)+56>>3],a[(c[b+360>>2]|0)+8|0]|0)|0;a[(c[b+352>>2]|0)+8|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+40>>3]+ +h[(c[b+416>>2]|0)+56>>3],a[(c[b+360>>2]|0)+8|0]|0)|0;a[(c[b+352>>2]|0)+8|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+8|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+40>>3]+ +h[(c[b+416>>2]|0)+56>>3])|0;a[(c[b+352>>2]|0)+8|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+40>>3]+ +h[(c[b+416>>2]|0)+56>>3])|0;a[(c[b+352>>2]|0)+8|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+13|0]|0)==0){l=0;m=b+12|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+12|0;a[m]=l;return}function di(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;sq(e,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+12|0]|0,k)|0);i=k;l=b+536|0;Mg(g,c[l>>2]|0,e);e=a[g|0]|0;sq(f,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+7|0]|0,k)|0);i=k;Mg(h,c[l>>2]|0,f);f=a[h|0]|0;h=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if(!(e<<24>>24==0)){m=1;n=h+10|0;a[n]=m;i=d;return}if((a[h+11|0]|0)==0){m=0;n=h+10|0;a[n]=m;i=d;return}m=f<<24>>24==0|0;n=h+10|0;a[n]=m;i=d;return}function ei(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+96>>3]=(a[(c[d+16>>2]|0)+29|0]|0)!=0?1.0:0.0;return}function fi(b){b=b|0;a[(c[b+408>>2]|0)+28|0]=a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+29|0]|0;return}function gi(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+29|0]=a[d+28|0]|0;return}function hi(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+27|0]=a[d+29|0]|0;return}function ii(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+27|0]=a[(c[b+408>>2]|0)+27|0]|0;return}function ji(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+30|0]=0;return}function ki(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+33|0]=a[d+30|0]|0;return}function li(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+4|0;h=c[(c[c[g>>2]>>2]|0)+16>>2]|0;j=a[h+17|0]|0;sq(e,2,(k=i,i=i+16|0,c[k>>2]=a[h+33|0]|0,c[k+8>>2]=j,k)|0);i=k;Mg(f,c[b+536>>2]|0,e);a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+6|0]=a[f|0]|0;i=d;return}function mi(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+23|0]|0)==0){e=0;f=d+19|0;a[f]=e;return}e=(a[d+6|0]|0)==0|0;f=d+19|0;a[f]=e;return}function ni(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+68|0]=a[d+19|0]|0;return}function oi(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+19|0]|0)==0){e=0.0;f=b+80|0;h[f>>3]=e;return}e=+h[b+64>>3];f=b+80|0;h[f>>3]=e;return}function pi(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+7|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+7|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+72>>3]+ +h[(c[b+416>>2]|0)+48>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+72>>3]+ +h[(c[b+416>>2]|0)+48>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+7|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+72>>3]+ +h[(c[b+416>>2]|0)+48>>3])|0;a[(c[b+352>>2]|0)+7|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+72>>3]+ +h[(c[b+416>>2]|0)+48>>3])|0;a[(c[b+352>>2]|0)+7|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+19|0]|0)==0){l=0;m=b+18|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+18|0;a[m]=l;return}function qi(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;sq(e,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+18|0]|0,k)|0);i=k;l=b+536|0;Mg(g,c[l>>2]|0,e);e=a[g|0]|0;sq(f,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+12|0]|0,k)|0);i=k;Mg(h,c[l>>2]|0,f);f=a[h|0]|0;h=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if(!(e<<24>>24==0)){m=1;n=h+16|0;a[n]=m;i=d;return}if((a[h+17|0]|0)==0){m=0;n=h+16|0;a[n]=m;i=d;return}m=f<<24>>24==0|0;n=h+16|0;a[n]=m;i=d;return}function ri(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;sq(e,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+7|0]|0,k)|0);i=k;l=b+536|0;Mg(g,c[l>>2]|0,e);e=a[g|0]|0;sq(f,1,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+18|0]|0,k)|0);i=k;Mg(h,c[l>>2]|0,f);f=a[h|0]|0;h=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if(!(e<<24>>24==0)){m=1;n=h+22|0;a[n]=m;i=d;return}if((a[h+23|0]|0)==0){m=0;n=h+22|0;a[n]=m;i=d;return}m=f<<24>>24==0|0;n=h+22|0;a[n]=m;i=d;return}function si(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+104>>3]=(a[(c[d+16>>2]|0)+33|0]|0)!=0?1.0:0.0;return}function ti(b){b=b|0;a[(c[b+408>>2]|0)+32|0]=a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+33|0]|0;return}function ui(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+33|0]=a[d+32|0]|0;return}function vi(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+31|0]=a[d+33|0]|0;return}function wi(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+31|0]=a[(c[b+408>>2]|0)+31|0]|0;return}function xi(a){a=a|0;h[(c[a+400>>2]|0)+120>>3]=+h[c[c[a+4>>2]>>2]>>3];return}function yi(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+120>>3]=+h[(c[a+400>>2]|0)+120>>3];return}function zi(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+112>>3]=+h[b>>3]- +h[a+120>>3];return}function Ai(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+36|0]=0;return}function Bi(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+39|0]=a[d+36|0]|0;return}function Ci(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+39|0]|0)==0){e=0;f=d+35|0;a[f]=e;return}e=(a[d+29|0]|0)==0|0;f=d+35|0;a[f]=e;return}function Di(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+62|0]=a[d+35|0]|0;return}function Ei(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+35|0]|0)==0){e=0.0;f=b+128|0;h[f>>3]=e;return}e=+h[b+112>>3];f=b+128|0;h[f>>3]=e;return}function Fi(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+2|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+2|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+120>>3]+ +h[(c[b+416>>2]|0)+40>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+120>>3]+ +h[(c[b+416>>2]|0)+40>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+2|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+120>>3]+ +h[(c[b+416>>2]|0)+40>>3])|0;a[(c[b+352>>2]|0)+2|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+120>>3]+ +h[(c[b+416>>2]|0)+40>>3])|0;a[(c[b+352>>2]|0)+2|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+35|0]|0)==0){l=0;m=b+34|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+34|0;a[m]=l;return}function Gi(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+136>>3]=(a[(c[d+16>>2]|0)+39|0]|0)!=0?1.0:0.0;return}function Hi(b){b=b|0;a[(c[b+408>>2]|0)+38|0]=a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+39|0]|0;return}function Ii(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+39|0]=a[d+38|0]|0;return}function Ji(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+37|0]=a[d+39|0]|0;return}function Ki(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+37|0]=a[(c[b+408>>2]|0)+37|0]|0;return}function Li(a){a=a|0;h[(c[a+400>>2]|0)+152>>3]=+h[c[c[a+4>>2]>>2]>>3];return}function Mi(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+152>>3]=+h[(c[a+400>>2]|0)+152>>3];return}function Ni(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+144>>3]=+h[b>>3]- +h[a+152>>3];return}function Oi(a){a=a|0;h[(c[a+400>>2]|0)+176>>3]=+h[c[c[a+4>>2]>>2]>>3];return}function Pi(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+176>>3]=+h[(c[a+400>>2]|0)+176>>3];return}function Qi(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+168>>3]=+h[b>>3]- +h[a+176>>3];return}function Ri(a){a=a|0;h[(c[a+400>>2]|0)+200>>3]=+h[c[c[a+4>>2]>>2]>>3];return}function Si(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+200>>3]=+h[(c[a+400>>2]|0)+200>>3];return}function Ti(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+192>>3]=+h[b>>3]- +h[a+200>>3];return}function Ui(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+46|0]=0;return}function Vi(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+49|0]=a[d+46|0]|0;return}function Wi(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+49|0]|0)==0){e=0;f=d+43|0;a[f]=e;return}e=(a[d+29|0]|0)==0|0;f=d+43|0;a[f]=e;return}function Xi(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+63|0]=a[d+43|0]|0;return}function Yi(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+43|0]|0)==0){e=0.0;f=b+184|0;h[f>>3]=e;return}e=+h[b+168>>3];f=b+184|0;h[f>>3]=e;return}function Zi(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+3|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+3|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+176>>3]+ +h[(c[b+416>>2]|0)+24>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+176>>3]+ +h[(c[b+416>>2]|0)+24>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+3|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+176>>3]+ +h[(c[b+416>>2]|0)+24>>3])|0;a[(c[b+352>>2]|0)+3|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+176>>3]+ +h[(c[b+416>>2]|0)+24>>3])|0;a[(c[b+352>>2]|0)+3|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+43|0]|0)==0){l=0;m=b+42|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+42|0;a[m]=l;return}function _i(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+216>>3]=(a[(c[d+16>>2]|0)+49|0]|0)!=0?1.0:0.0;return}function $i(b){b=b|0;a[(c[b+408>>2]|0)+48|0]=a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+49|0]|0;return}function aj(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+49|0]=a[d+48|0]|0;return}function bj(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+47|0]=a[d+49|0]|0;return}function cj(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+47|0]=a[(c[b+408>>2]|0)+47|0]|0;return}function dj(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+50|0]=0;return}function ej(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+53|0]=a[d+50|0]|0;return}function fj(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+53|0]|0)==0){e=0;f=d+45|0;a[f]=e;return}e=(a[d+29|0]|0)==0|0;f=d+45|0;a[f]=e;return}function gj(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+64|0]=a[d+45|0]|0;return}function hj(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+45|0]|0)==0){e=0.0;f=b+208|0;h[f>>3]=e;return}e=+h[b+192>>3];f=b+208|0;h[f>>3]=e;return}function ij(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+4|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+4|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+200>>3]+ +h[(c[b+416>>2]|0)+16>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+200>>3]+ +h[(c[b+416>>2]|0)+16>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+4|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+200>>3]+ +h[(c[b+416>>2]|0)+16>>3])|0;a[(c[b+352>>2]|0)+4|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+200>>3]+ +h[(c[b+416>>2]|0)+16>>3])|0;a[(c[b+352>>2]|0)+4|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+45|0]|0)==0){l=0;m=b+44|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+44|0;a[m]=l;return}function jj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+4|0;h=c[(c[c[g>>2]>>2]|0)+16>>2]|0;j=a[h+42|0]|0;k=a[h+34|0]|0;sq(e,3,(l=i,i=i+24|0,c[l>>2]=a[h+44|0]|0,c[l+8>>2]=j,c[l+16>>2]=k,l)|0);i=l;Mg(f,c[b+536>>2]|0,e);a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+24|0]=a[f|0]|0;i=d;return}function kj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;k=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[k+70|0]|0)!=0){l=a[k+27|0]|0;m=k;n=m+28|0;a[n]=l;i=d;return}sq(e,1,(o=i,i=i+8|0,c[o>>2]=a[k+24|0]|0,o)|0);i=o;k=b+536|0;Mg(g,c[k>>2]|0,e);e=a[g|0]|0;sq(f,1,(o=i,i=i+8|0,c[o>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+12|0]|0,o)|0);i=o;Mg(h,c[k>>2]|0,f);do{if(e<<24>>24==0){f=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[f+29|0]|0)!=0&(a[h|0]|0)==0){p=f;break}else{l=0;m=f}n=m+28|0;a[n]=l;i=d;return}else{p=c[(c[c[j>>2]>>2]|0)+16>>2]|0}}while(0);l=(a[p+71|0]|0)==0|0;m=p;n=m+28|0;a[n]=l;i=d;return}function lj(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+33|0]|0)==0){e=0;f=d+57|0;a[f]=e;return}e=(a[d+53|0]|0)==0|0;f=d+57|0;a[f]=e;return}function mj(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+61|0]=a[d+57|0]|0;return}function nj(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;h[(c[d+8>>2]|0)+224>>3]=(a[(c[d+16>>2]|0)+53|0]|0)!=0?1.0:0.0;return}function oj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+288>>3]=-0.0- +h[b+104>>3]- +h[b+96>>3]- +h[b+136>>3]- +h[b+216>>3]- +h[b+224>>3];return}function pj(a){a=a|0;var b=0,d=0;b=a+4|0;d=-(tt(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+288>>3],1,a)|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+4>>2]=d;return}function qj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=b+4|0;h=rt(+(c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+4>>2]|0),0.0)|0;j=b+536|0;Mg(e,c[j>>2]|0,913584);b=a[e|0]|0;Mg(f,c[j>>2]|0,913584);if(h<<24>>24!=0&b<<24>>24==0){k=1;l=c[g>>2]|0;m=c[l>>2]|0;n=m+16|0;o=c[n>>2]|0;p=o+58|0;a[p]=k;i=d;return}k=(a[f|0]|0)!=0|0;l=c[g>>2]|0;m=c[l>>2]|0;n=m+16|0;o=c[n>>2]|0;p=o+58|0;a[p]=k;i=d;return}function rj(b){b=b|0;a[(c[b+408>>2]|0)+52|0]=a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+53|0]|0;return}function sj(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+53|0]=a[d+52|0]|0;return}function tj(b){b=b|0;var d=0;d=c[b+408>>2]|0;a[d+51|0]=a[d+53|0]|0;return}function uj(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+51|0]=a[(c[b+408>>2]|0)+51|0]|0;return}function vj(a){a=a|0;h[(c[a+400>>2]|0)+240>>3]=+h[c[c[a+4>>2]>>2]>>3];return}function wj(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+240>>3]=+h[(c[a+400>>2]|0)+240>>3];return}function xj(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+232>>3]=+h[b>>3]- +h[a+240>>3];return}function yj(a){a=a|0;h[(c[a+400>>2]|0)+264>>3]=+h[c[c[a+4>>2]>>2]>>3];return}function zj(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+264>>3]=+h[(c[a+400>>2]|0)+264>>3];return}function Aj(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;a=c[b+8>>2]|0;h[a+256>>3]=+h[b>>3]- +h[a+264>>3];return}function Bj(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+57|0]|0)==0){e=0.0;f=b+272|0;h[f>>3]=e;return}e=+h[b+256>>3];f=b+272|0;h[f>>3]=e;return}function Cj(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+1|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+1|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+264>>3]+ +h[c[b+416>>2]>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+264>>3]+ +h[c[b+416>>2]>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+1|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+264>>3]+ +h[c[b+416>>2]>>3])|0;a[(c[b+352>>2]|0)+1|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+264>>3]+ +h[c[b+416>>2]>>3])|0;a[(c[b+352>>2]|0)+1|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+57|0]|0)==0){l=0;m=b+56|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+56|0;a[m]=l;return}function Dj(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+33|0]|0)==0){e=0;f=d+1|0;a[f]=e;return}e=(a[d+56|0]|0)==0|0;f=d+1|0;a[f]=e;return}function Ej(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+1|0]|0)==0){e=0;f=d+55|0;a[f]=e;return}e=(a[d+49|0]|0)==0|0;f=d+55|0;a[f]=e;return}function Fj(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+65|0]=a[d+55|0]|0;return}function Gj(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+55|0]|0)==0){e=0.0;f=b+248|0;h[f>>3]=e;return}e=+h[b+232>>3];f=b+248|0;h[f>>3]=e;return}function Hj(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+5|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+5|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+240>>3]+ +h[(c[b+416>>2]|0)+8>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+240>>3]+ +h[(c[b+416>>2]|0)+8>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+5|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+240>>3]+ +h[(c[b+416>>2]|0)+8>>3])|0;a[(c[b+352>>2]|0)+5|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+240>>3]+ +h[(c[b+416>>2]|0)+8>>3])|0;a[(c[b+352>>2]|0)+5|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+55|0]|0)==0){l=0;m=b+54|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+54|0;a[m]=l;return}function Ij(b){b=b|0;var d=0,e=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d+1|0]|0)==0){e=0;a[d]=e;return}e=(a[d+54|0]|0)==0|0;a[d]=e;return}function Jj(b){b=b|0;var d=0,e=0,f=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;if((a[d]|0)==0){e=0;f=d+41|0;a[f]=e;return}e=(a[d+39|0]|0)==0|0;f=d+41|0;a[f]=e;return}function Kj(b){b=b|0;var d=0;d=c[(c[c[b+4>>2]>>2]|0)+16>>2]|0;a[d+66|0]=a[d+41|0]|0;return}function Lj(b){b=b|0;var d=0,e=0.0,f=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+41|0]|0)==0){e=0.0;f=b+160|0;h[f>>3]=e;return}e=+h[b+144>>3];f=b+160|0;h[f>>3]=e;return}function Mj(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+6|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+6|0]|0;i=b+4|0;j=c[c[i>>2]>>2]|0;k=qt(+h[j>>3],+h[(c[j+8>>2]|0)+152>>3]+ +h[(c[b+416>>2]|0)+32>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=k;d=g;e=i;break}else{i=b+4|0;g=c[c[i>>2]>>2]|0;k=qt(+h[g>>3],+h[(c[g+8>>2]|0)+152>>3]+ +h[(c[b+416>>2]|0)+32>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=k;d=k;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+6|0]|0;i=b+4|0;k=c[c[i>>2]>>2]|0;g=st(+h[k>>3],+h[(c[k+8>>2]|0)+152>>3]+ +h[(c[b+416>>2]|0)+32>>3])|0;a[(c[b+352>>2]|0)+6|0]=g;d=f;e=i;break}else{i=b+4|0;f=c[c[i>>2]>>2]|0;g=st(+h[f>>3],+h[(c[f+8>>2]|0)+152>>3]+ +h[(c[b+416>>2]|0)+32>>3])|0;a[(c[b+352>>2]|0)+6|0]=g;d=g;e=i;break}}}}while(0);b=c[(c[c[e>>2]>>2]|0)+16>>2]|0;if((a[b+41|0]|0)==0){l=0;m=b+40|0;a[m]=l;return}l=d<<24>>24!=0|0;m=b+40|0;a[m]=l;return}function Nj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+4|0;h=c[(c[c[g>>2]>>2]|0)+16>>2]|0;j=a[h+54|0]|0;k=a[h+40|0]|0;sq(e,3,(l=i,i=i+24|0,c[l>>2]=a[h+56|0]|0,c[l+8>>2]=j,c[l+16>>2]=k,l)|0);i=l;Mg(f,c[b+536>>2]|0,e);a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+25|0]=a[f|0]|0;i=d;return}function Oj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;k=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[k+70|0]|0)!=0){l=a[k+31|0]|0;m=k;n=m+32|0;a[n]=l;i=d;return}sq(e,1,(o=i,i=i+8|0,c[o>>2]=a[k+18|0]|0,o)|0);i=o;k=b+536|0;Mg(g,c[k>>2]|0,e);e=a[g|0]|0;sq(f,1,(o=i,i=i+8|0,c[o>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+25|0]|0,o)|0);i=o;Mg(h,c[k>>2]|0,f);do{if(e<<24>>24==0){f=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[f+33|0]|0)!=0&(a[h|0]|0)==0){p=f;break}else{l=0;m=f}n=m+32|0;a[n]=l;i=d;return}else{p=c[(c[c[j>>2]>>2]|0)+16>>2]|0}}while(0);l=(a[p+71|0]|0)==0|0;m=p;n=m+32|0;a[n]=l;i=d;return}function Pj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;k=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[k+70|0]|0)!=0){l=a[k+37|0]|0;m=k;n=m+38|0;a[n]=l;i=d;return}sq(e,1,(o=i,i=i+8|0,c[o>>2]=a[k+40|0]|0,o)|0);i=o;k=b+536|0;Mg(g,c[k>>2]|0,e);e=a[g|0]|0;sq(f,1,(o=i,i=i+8|0,c[o>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+34|0]|0,o)|0);i=o;Mg(h,c[k>>2]|0,f);do{if(e<<24>>24==0){f=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[f+39|0]|0)!=0&(a[h|0]|0)==0){p=f;break}else{l=0;m=f}n=m+38|0;a[n]=l;i=d;return}else{p=c[(c[c[j>>2]>>2]|0)+16>>2]|0}}while(0);l=(a[p+71|0]|0)==0|0;m=p;n=m+38|0;a[n]=l;i=d;return}function Qj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;k=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[k+70|0]|0)!=0){l=a[k+47|0]|0;m=k;n=m+48|0;a[n]=l;i=d;return}sq(e,1,(o=i,i=i+8|0,c[o>>2]=a[k+54|0]|0,o)|0);i=o;k=b+536|0;Mg(g,c[k>>2]|0,e);e=a[g|0]|0;sq(f,1,(o=i,i=i+8|0,c[o>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+42|0]|0,o)|0);i=o;Mg(h,c[k>>2]|0,f);do{if(e<<24>>24==0){f=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[f+49|0]|0)!=0&(a[h|0]|0)==0){p=f;break}else{l=0;m=f}n=m+48|0;a[n]=l;i=d;return}else{p=c[(c[c[j>>2]>>2]|0)+16>>2]|0}}while(0);l=(a[p+71|0]|0)==0|0;m=p;n=m+48|0;a[n]=l;i=d;return}function Rj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+48|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=b+4|0;k=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[k+70|0]|0)!=0){l=a[k+51|0]|0;m=k;n=m+52|0;a[n]=l;i=d;return}sq(e,1,(o=i,i=i+8|0,c[o>>2]=a[k+56|0]|0,o)|0);i=o;k=b+536|0;Mg(g,c[k>>2]|0,e);e=a[g|0]|0;sq(f,1,(o=i,i=i+8|0,c[o>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+44|0]|0,o)|0);i=o;Mg(h,c[k>>2]|0,f);do{if(e<<24>>24==0){f=c[(c[c[j>>2]>>2]|0)+16>>2]|0;if((a[f+53|0]|0)!=0&(a[h|0]|0)==0){p=f;break}else{l=0;m=f}n=m+52|0;a[n]=l;i=d;return}else{p=c[(c[c[j>>2]>>2]|0)+16>>2]|0}}while(0);l=(a[p+71|0]|0)==0|0;m=p;n=m+52|0;a[n]=l;i=d;return}function Sj(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+320>>3]=0.0;return}function Tj(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+312>>3]=0.0;return}function Uj(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+304>>3]=0.0;return}function Vj(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+296>>3]=0.0;return}function Wj(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+67|0]=0;return}function Xj(b){b=b|0;a[(c[b+408>>2]|0)+7|0]=0;return}function Yj(b){b=b|0;a[(c[b+408>>2]|0)+13|0]=0;return}function Zj(b){b=b|0;a[(c[b+408>>2]|0)+19|0]=0;return}function _j(b){b=b|0;a[(c[b+408>>2]|0)+35|0]=0;return}function $j(b){b=b|0;a[(c[b+408>>2]|0)+41|0]=0;return}function ak(b){b=b|0;a[(c[b+408>>2]|0)+43|0]=0;return}function bk(b){b=b|0;a[(c[b+408>>2]|0)+45|0]=0;return}function ck(b){b=b|0;a[(c[b+408>>2]|0)+55|0]=0;return}function dk(b){b=b|0;a[(c[b+408>>2]|0)+57|0]=0;return}function ek(b){b=b|0;var c=0;c=b+314|0;a[c]=1;ah(b);bh(b);ch(b);dh(b);eh(b);fh(b);gh(b);hh(b);ih(b);jh(b);kh(b);lh(b);mh(b);nh(b);oh(b);ph(b);qh(b);rh(b);sh(b);th(b);uh(b);vh(b);wh(b);xh(b);yh(b);zh(b);Ah(b);Bh(b);Ch(b);Dh(b);Eh(b);Fh(b);Gh(b);Hh(b);Ih(b);Jh(b);Kh(b);Lh(b);Mh(b);Nh(b);Oh(b);Ph(b);Qh(b);Rh(b);Sh(b);Th(b);Uh(b);Vh(b);Wh(b);Xh(b);Yh(b);Zh(b);_h(b);$h(b);ai(b);bi(b);ci(b);di(b);ei(b);fi(b);gi(b);hi(b);ii(b);ji(b);ki(b);li(b);mi(b);ni(b);oi(b);pi(b);qi(b);ri(b);si(b);ti(b);ui(b);vi(b);wi(b);xi(b);yi(b);zi(b);Ai(b);Bi(b);Ci(b);Di(b);Ei(b);Fi(b);Gi(b);Hi(b);Ii(b);Ji(b);Ki(b);Li(b);Mi(b);Ni(b);Oi(b);Pi(b);Qi(b);Ri(b);Si(b);Ti(b);Ui(b);Vi(b);Wi(b);Xi(b);Yi(b);Zi(b);_i(b);$i(b);aj(b);bj(b);cj(b);dj(b);ej(b);fj(b);gj(b);hj(b);ij(b);jj(b);kj(b);lj(b);mj(b);nj(b);oj(b);pj(b);qj(b);rj(b);sj(b);tj(b);uj(b);vj(b);wj(b);xj(b);yj(b);zj(b);Aj(b);Bj(b);Cj(b);Dj(b);Ej(b);Fj(b);Gj(b);Hj(b);Ij(b);Jj(b);Kj(b);Lj(b);Mj(b);Nj(b);Oj(b);Pj(b);Qj(b);Rj(b);Sj(b);Tj(b);Uj(b);Vj(b);Wj(b);Xj(b);Yj(b);Zj(b);_j(b);$j(b);ak(b);bk(b);ck(b);dk(b);a[c]=0;return 0}function fk(a){a=a|0;return}function gk(a){a=a|0;return 0}function hk(a){a=a|0;var b=0;a=i;Dq(9,1,894336,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[229115]|0)!=0){Qd[c[3540]&511](9)}Dq(9,1,900056,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[229115]|0)!=0){Qd[c[3540]&511](9)}Dq(9,1,889048,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[229115]|0)!=0){Qd[c[3540]&511](9)}Dq(9,1,50104,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[229115]|0)==0){i=a;return 0}Qd[c[3540]&511](9);i=a;return 0}function ik(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+296>>3]=0.0;return}function jk(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+304>>3]=0.0;return}function kk(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+312>>3]=0.0;return}function lk(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+320>>3]=0.0;return}function mk(b){b=b|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;Mg(e,c[b+536>>2]|0,913568);a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+70|0]=a[e|0]|0;i=d;return}function nk(b){b=b|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;Mg(e,c[b+536>>2]|0,913568);a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+71|0]=a[e|0]|0;i=d;return}function ok(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+72|0]=1;return}function pk(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+73|0]=1;return}function qk(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+74|0]=1;return}function rk(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+75|0]=1;return}function sk(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+76|0]=1;return}function tk(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+77|0]=1;return}function uk(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+78|0]=1;return}function vk(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+79|0]=1;return}function wk(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+2|0]=0;return}function xk(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+3|0]=0;return}function yk(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+80|0]=0;return}function zk(b){b=b|0;a[(c[(c[c[b+4>>2]>>2]|0)+16>>2]|0)+81|0]=0;return}function Ak(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+328>>3]=0.0;return}function Bk(b){b=b|0;var d=0,e=0;d=i;if(a[914816]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+76>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=dr(37464,br(c[(c[e>>2]|0)+76>>2]|0,42568)|0)|0;ge[c[2160]&15](914824,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914816]=1;i=d;return}function Ck(b){b=b|0;var d=0,e=0;d=i;if(a[914808]|0){i=d;return}e=b+416|0;if(!((st(+h[(c[e>>2]|0)+64>>3],0.0)|0)<<24>>24==0)){i=d;return}b=dr(25944,$q(+h[(c[e>>2]|0)+64>>3],29472)|0)|0;ge[c[2160]&15](914520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914808]=1;i=d;return}function Dk(b){b=b|0;var d=0,e=0;d=i;if(a[914800]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+72>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(23336,br(c[(c[e>>2]|0)+72>>2]|0,42568)|0)|0;ge[c[2160]&15](914592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914800]=1;i=d;return}function Ek(b){b=b|0;var d=0,e=0;d=i;if(a[914792]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+68>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(903752,br(c[(c[e>>2]|0)+68>>2]|0,42568)|0)|0;ge[c[2160]&15](914560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914792]=1;i=d;return}function Fk(b){b=b|0;var d=0,e=0;d=i;if(a[914784]|0){i=d;return}e=b+416|0;if(!((st(+h[(c[e>>2]|0)+56>>3],0.0)|0)<<24>>24==0)){i=d;return}b=dr(901056,$q(+h[(c[e>>2]|0)+56>>3],29472)|0)|0;ge[c[2160]&15](914520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914784]=1;i=d;return}function Gk(b){b=b|0;var d=0,e=0;d=i;if(a[914776]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+64>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(898832,br(c[(c[e>>2]|0)+64>>2]|0,42568)|0)|0;ge[c[2160]&15](914592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914776]=1;i=d;return}function Hk(b){b=b|0;var d=0,e=0;d=i;if(a[914768]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+60>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(896896,br(c[(c[e>>2]|0)+60>>2]|0,42568)|0)|0;ge[c[2160]&15](914560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914768]=1;i=d;return}function Ik(b){b=b|0;var d=0,e=0;d=i;if(a[914760]|0){i=d;return}e=b+416|0;if(!((st(+h[(c[e>>2]|0)+48>>3],0.0)|0)<<24>>24==0)){i=d;return}b=dr(895480,$q(+h[(c[e>>2]|0)+48>>3],29472)|0)|0;ge[c[2160]&15](914520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914760]=1;i=d;return}function Jk(b){b=b|0;var d=0,e=0;d=i;if(a[914752]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+56>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(894464,br(c[(c[e>>2]|0)+56>>2]|0,42568)|0)|0;ge[c[2160]&15](914592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914752]=1;i=d;return}function Kk(b){b=b|0;var d=0,e=0;d=i;if(a[914744]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+52>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(893560,br(c[(c[e>>2]|0)+52>>2]|0,42568)|0)|0;ge[c[2160]&15](914560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914744]=1;i=d;return}function Lk(b){b=b|0;var d=0,e=0;d=i;if(a[914712]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+48>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=dr(892520,br(c[(c[e>>2]|0)+48>>2]|0,42568)|0)|0;ge[c[2160]&15](914720,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914712]=1;i=d;return}function Mk(b){b=b|0;var d=0,e=0;d=i;if(a[914704]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+44>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(891800,br(c[(c[e>>2]|0)+44>>2]|0,42568)|0)|0;ge[c[2160]&15](914592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914704]=1;i=d;return}function Nk(b){b=b|0;var d=0,e=0;d=i;if(a[914696]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+40>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(891104,br(c[(c[e>>2]|0)+40>>2]|0,42568)|0)|0;ge[c[2160]&15](914560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914696]=1;i=d;return}function Ok(b){b=b|0;var d=0,e=0;d=i;if(a[914688]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+36>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(890320,br(c[(c[e>>2]|0)+36>>2]|0,42568)|0)|0;ge[c[2160]&15](914592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914688]=1;i=d;return}function Pk(b){b=b|0;var d=0,e=0;d=i;if(a[914680]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+32>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(889504,br(c[(c[e>>2]|0)+32>>2]|0,42568)|0)|0;ge[c[2160]&15](914560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914680]=1;i=d;return}function Qk(b){b=b|0;var d=0,e=0;d=i;if(a[914672]|0){i=d;return}e=b+416|0;if(!((st(+h[(c[e>>2]|0)+40>>3],0.0)|0)<<24>>24==0)){i=d;return}b=dr(888336,$q(+h[(c[e>>2]|0)+40>>3],29472)|0)|0;ge[c[2160]&15](914520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914672]=1;i=d;return}function Rk(b){b=b|0;var d=0,e=0;d=i;if(a[914664]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+28>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(708008,br(c[(c[e>>2]|0)+28>>2]|0,42568)|0)|0;ge[c[2160]&15](914592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914664]=1;i=d;return}function Sk(b){b=b|0;var d=0,e=0;d=i;if(a[914656]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+24>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(56296,br(c[(c[e>>2]|0)+24>>2]|0,42568)|0)|0;ge[c[2160]&15](914560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914656]=1;i=d;return}function Tk(b){b=b|0;var d=0,e=0;d=i;if(a[914648]|0){i=d;return}e=b+416|0;if(!((st(+h[(c[e>>2]|0)+32>>3],0.0)|0)<<24>>24==0)){i=d;return}b=dr(55336,$q(+h[(c[e>>2]|0)+32>>3],29472)|0)|0;ge[c[2160]&15](914520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914648]=1;i=d;return}function Uk(b){b=b|0;var d=0,e=0;d=i;if(a[914640]|0){i=d;return}e=b+416|0;if(!((st(+h[(c[e>>2]|0)+24>>3],0.0)|0)<<24>>24==0)){i=d;return}b=dr(54256,$q(+h[(c[e>>2]|0)+24>>3],29472)|0)|0;ge[c[2160]&15](914520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914640]=1;i=d;return}function Vk(b){b=b|0;var d=0,e=0;d=i;if(a[914632]|0){i=d;return}e=b+416|0;if(!((st(+h[(c[e>>2]|0)+16>>3],0.0)|0)<<24>>24==0)){i=d;return}b=dr(53288,$q(+h[(c[e>>2]|0)+16>>3],29472)|0)|0;ge[c[2160]&15](914520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914632]=1;i=d;return}function Wk(b){b=b|0;var d=0,e=0;d=i;if(a[914624]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+20>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(52656,br(c[(c[e>>2]|0)+20>>2]|0,42568)|0)|0;ge[c[2160]&15](914592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914624]=1;i=d;return}function Xk(b){b=b|0;var d=0,e=0;d=i;if(a[914616]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+16>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(51968,br(c[(c[e>>2]|0)+16>>2]|0,42568)|0)|0;ge[c[2160]&15](914560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914616]=1;i=d;return}function Yk(b){b=b|0;var d=0,e=0;d=i;if(a[914584]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+12>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(51248,br(c[(c[e>>2]|0)+12>>2]|0,42568)|0)|0;ge[c[2160]&15](914592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914584]=1;i=d;return}function Zk(b){b=b|0;var d=0,e=0;d=i;if(a[914552]|0){i=d;return}e=b+420|0;if(!((st(+(c[(c[e>>2]|0)+8>>2]|0),0.0)|0)<<24>>24==0)){i=d;return}b=dr(50464,br(c[(c[e>>2]|0)+8>>2]|0,42568)|0)|0;ge[c[2160]&15](914560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914552]=1;i=d;return}function _k(b){b=b|0;var d=0,e=0;d=i;if(a[914544]|0){i=d;return}e=b+416|0;if(!((st(+h[(c[e>>2]|0)+8>>3],0.0)|0)<<24>>24==0)){i=d;return}b=dr(49168,$q(+h[(c[e>>2]|0)+8>>3],29472)|0)|0;ge[c[2160]&15](914520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914544]=1;i=d;return}function $k(b){b=b|0;var d=0,e=0;d=i;if(a[914512]|0){i=d;return}e=b+416|0;if(!((st(+h[c[e>>2]>>3],0.0)|0)<<24>>24==0)){i=d;return}b=dr(48384,$q(+h[c[e>>2]>>3],29472)|0)|0;ge[c[2160]&15](914520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[914512]=1;i=d;return}function al(a){a=a|0;ik(a);jk(a);kk(a);lk(a);mk(a);nk(a);ok(a);pk(a);qk(a);rk(a);sk(a);tk(a);uk(a);vk(a);wk(a);xk(a);yk(a);zk(a);Ak(a);Bk(a);Ck(a);Dk(a);Ek(a);Fk(a);Gk(a);Hk(a);Ik(a);Jk(a);Kk(a);Lk(a);Mk(a);Nk(a);Ok(a);Pk(a);Qk(a);Rk(a);Sk(a);Tk(a);Uk(a);Vk(a);Wk(a);Xk(a);Yk(a);Zk(a);_k(a);$k(a);return 0}function bl(b){b=b|0;a[b+314|0]=0;cl(b);return 0}function cl(a){a=a|0;He(a);Ie(a);Je(a);Ke(a);Me(a);Ne(a);Oe(a);Qe(a);Re(a);Se(a);Ue(a);Ve(a);We(a);Xe(a);Ye(a);Ze(a);_e(a);af(a);bf(a);cf(a);df(a);ff(a);gf(a);hf(a);jf(a);kf(a);mf(a);nf(a);of(a);pf(a);rf(a);sf(a);tf(a);uf(a);vf(a);wf(a);yf(a);zf(a);Af(a);Cf(a);Df(a);Ef(a);Ff(a);Gf(a);If(a);Jf(a);Kf(a);Mf(a);Nf(a);Of(a);Pf(a);Qf(a);Sf(a);Tf(a);Uf(a);Vf(a);Wf(a);Xf(a);Zf(a);_f(a);$f(a);ag(a);cg(a);dg(a);eg(a);fg(a);gg(a);hg(a);ig(a);kg(a);lg(a);mg(a);ng(a);og(a);pg(a);qg(a);rg(a);sg(a);tg(a);vg(a);wg(a);xg(a);yg(a);zg(a);Ag(a);Bg(a);Cg(a);Dg(a);Eg(a);return}function dl(a){a=a|0;return 0}function el(a){a=a|0;return 1}function fl(a){a=a|0;return 1}function gl(a){a=a|0;return 1}function hl(a){a=a|0;return 1}function il(a){a=a|0;return 1}function jl(a){a=a|0;return 0}function kl(a){a=a|0;return 0}function ll(a){a=a|0;return 0}function ml(a){a=a|0;return 0}function nl(a){a=a|0;return 0}function ol(a,b){a=a|0;b=b|0;return-1|0}function pl(a,b){a=a|0;b=b|0;return-1|0}function ql(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return-1|0}function rl(){return 887560}function sl(a){a=a|0;var b=0,c=0;b=i;c=tl(a,0,0)|0;i=b;return c|0}function tl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;e=ul(a,b,c,0)|0;i=d;return e|0}function ul(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=b;b=d;d=e;e=f;if((b|0)!=0){j=Td[c[b>>2]&255](500)|0;if((j|0)!=0){f=j+12|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2]}}else{j=iU(500)|0;if((j|0)!=0){b=j+12|0;c[b>>2]=40;c[b+4>>2]=98;c[b+8>>2]=102}}if((j|0)==0){k=j;l=k;i=g;return l|0}c[j+8>>2]=0;c[j+32>>2]=0;c[j+380>>2]=16;c[j+392>>2]=Td[c[j+12>>2]&255](c[j+380>>2]<<4)|0;if((c[j+392>>2]|0)==0){Qd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+44>>2]=Td[c[j+12>>2]&255](1024)|0;if((c[j+44>>2]|0)==0){Qd[c[j+20>>2]&511](c[j+392>>2]|0);Qd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+48>>2]=(c[j+44>>2]|0)+1024;do{if((e|0)!=0){c[j+356>>2]=e}else{c[j+356>>2]=Fm(j+12|0)|0;if((c[j+356>>2]|0)!=0){break}Qd[c[j+20>>2]&511](c[j+44>>2]|0);Qd[c[j+20>>2]&511](c[j+392>>2]|0);Qd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}}while(0);c[j+376>>2]=0;c[j+368>>2]=0;c[j+304>>2]=0;c[j+468>>2]=0;c[j+464>>2]=0;c[j+124>>2]=0;c[j+248>>2]=0;a[j+472|0]=33;a[j+236|0]=0;a[j+237|0]=0;c[j+396>>2]=0;c[j+400>>2]=0;a[j+404|0]=0;Gm(j+416|0,j+12|0);Gm(j+440|0,j+12|0);wl(j,h);do{if((h|0)!=0){if((c[j+232>>2]|0)!=0){break}zl(j);k=0;l=k;i=g;return l|0}}while(0);if((d|0)!=0){a[j+236|0]=1;c[j+228>>2]=_m()|0;a[j+472|0]=a[d]|0}else{c[j+228>>2]=Rm()|0}k=j;l=k;i=g;return l|0}function vl(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;if((c[d+4>>2]|0)!=0){a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;c[a>>2]=c[d+4>>2];c[d+4>>2]=a;a=e}}else{c[d+4>>2]=c[d>>2]}c[d>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;i=b;return}function wl(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;f=b;b=d;c[f+280>>2]=10;jp(f+256|0);if((b|0)!=0){g=xl(f+416|0,b)|0}else{g=0}c[f+232>>2]=g;c[f+360>>2]=0;Sm(f+148|0,f+144|0,0)|0;c[f>>2]=0;c[f+4>>2]=0;c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=0;c[f+64>>2]=0;c[f+68>>2]=0;c[f+72>>2]=0;c[f+76>>2]=0;c[f+80>>2]=0;c[f+84>>2]=0;c[f+88>>2]=0;c[f+92>>2]=0;c[f+96>>2]=0;c[f+100>>2]=0;c[f+104>>2]=0;c[f+108>>2]=0;c[f+112>>2]=0;c[f+116>>2]=f;c[f+120>>2]=0;c[f+128>>2]=0;c[f+132>>2]=0;c[f+136>>2]=0;c[f+140>>2]=0;c[f+24>>2]=c[f+8>>2];c[f+28>>2]=c[f+8>>2];c[f+36>>2]=0;c[f+40>>2]=0;c[f+344>>2]=0;c[f+348>>2]=0;c[f+316>>2]=0;c[f+320>>2]=0;c[f+324>>2]=0;c[f+328>>2]=0;c[f+332>>2]=0;c[f+336>>2]=0;c[f+340>>2]=0;a[f+352|0]=0;a[f+353|0]=0;NU(f+408|0,0,8)|0;c[f+284>>2]=0;c[f+288>>2]=0;c[f+292>>2]=0;c[f+296>>2]=0;c[f+300>>2]=0;a[f+308|0]=1;c[f+312>>2]=0;c[f+364>>2]=0;c[f+372>>2]=0;c[f+384>>2]=0;c[f+240>>2]=0;c[f+252>>2]=0;c[f+244>>2]=0;c[f+476>>2]=0;c[f+480>>2]=0;a[f+488|0]=0;a[f+489|0]=0;c[f+492>>2]=0;c[f+496>>2]=0;i=e;return}function xl(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((Ol(f)|0)<<24>>24!=0){g=5;break}if(!0){g=6;break a}}else{g=5}}while(0);if((g|0)==5){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=6;break}}d=b;b=d+1|0;if((a[d]|0)==0){g=9;break}}if((g|0)==6){k=0;l=k;i=e;return l|0}else if((g|0)==9){b=c[f+16>>2]|0;c[f+16>>2]=c[f+12>>2];k=b;l=k;i=e;return l|0}return 0}function yl(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=b;a:while(1){if((a[b]|0)==0){h=59;break}do{if((a[g]|0)==12){h=5}else{if((a[g]|0)==0){h=5;break}if((a[g]|0)==61){if(((c[f+428>>2]|0)-(c[f+432>>2]|0)|0)==0){j=d+152|0}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=21;break}if(!0){h=22;break a}}else{h=21}}while(0);if((h|0)==21){h=0;k=f+428|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){h=22;break a}}j=Rl(f,d+60|0,c[f+432>>2]|0,8)|0;if((j|0)==0){h=24;break a}if((c[j>>2]|0)==(c[f+432>>2]|0)){c[j>>2]=xl(d+80|0,c[j>>2]|0)|0;if((c[j>>2]|0)==0){h=27;break a}}c[f+428>>2]=c[f+432>>2]}b=g+1|0;while(1){if((a[b]|0)!=12){m=(a[b]|0)!=0}else{m=0}if(!m){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=37;break}if(!0){h=38;break a}}else{h=37}}while(0);if((h|0)==37){h=0;l=a[b]|0;k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=l;if(!1){h=38;break a}}b=b+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=44;break}if(!0){h=45;break a}}else{h=44}}while(0);if((h|0)==44){h=0;l=f+428|0;n=c[l>>2]|0;c[l>>2]=n+1;a[n]=0;if(!1){h=45;break a}}if((Vl(f,j,0,c[f+432>>2]|0,f+372|0)|0)!=0){h=47;break a}c[f+428>>2]=c[f+432>>2];if((a[b]|0)!=0){b=b+1|0}g=b}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=54;break}if(!0){h=55;break a}}else{h=54}}while(0);if((h|0)==54){h=0;n=a[g]|0;l=f+428|0;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=n;if(!1){h=55;break a}}g=g+1|0}}}while(0);if((h|0)==5){h=0;do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=8;break}if(!0){h=9;break a}}else{h=8}}while(0);if((h|0)==8){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=0;if(!1){h=9;break}}k=Rl(f,d|0,c[f+432>>2]|0,0)|0;if((k|0)!=0){a[k+32|0]=1}if((a[g]|0)!=0){g=g+1|0}b=g;c[f+428>>2]=c[f+432>>2]}}if((h|0)==9){o=0;p=o;i=e;return p|0}else if((h|0)==22){o=0;p=o;i=e;return p|0}else if((h|0)==24){o=0;p=o;i=e;return p|0}else if((h|0)==27){o=0;p=o;i=e;return p|0}else if((h|0)==38){o=0;p=o;i=e;return p|0}else if((h|0)==45){o=0;p=o;i=e;return p|0}else if((h|0)==47){o=0;p=o;i=e;return p|0}else if((h|0)==55){o=0;p=o;i=e;return p|0}else if((h|0)==59){o=1;p=o;i=e;return p|0}return 0}function zl(b){b=b|0;var d=0,e=0,f=0;d=i;e=b;if((e|0)==0){i=d;return}b=c[e+364>>2]|0;while(1){if((b|0)==0){if((c[e+368>>2]|0)==0){break}b=c[e+368>>2]|0;c[e+368>>2]=0}f=b;b=c[b>>2]|0;Qd[c[e+20>>2]&511](c[f+36>>2]|0);Al(c[f+44>>2]|0,e);Qd[c[e+20>>2]&511](f)}b=c[e+300>>2]|0;while(1){if((b|0)==0){if((c[e+304>>2]|0)==0){break}b=c[e+304>>2]|0;c[e+304>>2]=0}f=b;b=c[b+8>>2]|0;Qd[c[e+20>>2]&511](f)}Al(c[e+376>>2]|0,e);Al(c[e+372>>2]|0,e);Bl(e+416|0);Bl(e+440|0);do{if((a[e+488|0]|0)==0){if((c[e+356>>2]|0)==0){break}Cl(c[e+356>>2]|0,((c[e+476>>2]|0)!=0^1)&1,e+12|0)}}while(0);Qd[c[e+20>>2]&511](c[e+392>>2]|0);Qd[c[e+20>>2]&511](c[e+464>>2]|0);Qd[c[e+20>>2]&511](c[e+8>>2]|0);Qd[c[e+20>>2]&511](c[e+44>>2]|0);Qd[c[e+20>>2]&511](c[e+396>>2]|0);Qd[c[e+20>>2]&511](c[e+240>>2]|0);if((c[e+252>>2]|0)!=0){Qd[c[e+252>>2]&511](c[e+244>>2]|0)}Qd[c[e+20>>2]&511](e);i=d;return}function Al(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;while(1){b=e;if((b|0)==0){break}e=c[b+4>>2]|0;Qd[c[a+20>>2]&511](c[b+16>>2]|0);Qd[c[a+20>>2]&511](b)}i=d;return}function Bl(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Qd[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}a=c[d+4>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Qd[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}i=b;return}function Cl(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+8|0;f=e|0;g=a;a=b;b=d;Pl(f,g+20|0);while(1){d=Ql(f)|0;if((d|0)==0){break}if((c[d+16>>2]|0)!=0){Qd[c[b+8>>2]&511](c[d+20>>2]|0)}}Ul(g|0);Ul(g+132|0);Ul(g+20|0);Ul(g+40|0);Ul(g+60|0);Bl(g+80|0);Bl(g+104|0);if(!(a<<24>>24!=0)){h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Qd[k&511](m);i=e;return}Qd[c[b+8>>2]&511](c[g+184>>2]|0);Qd[c[b+8>>2]&511](c[g+164>>2]|0);h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Qd[k&511](m);i=e;return}function Dl(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;if((c[e+4>>2]|0)==(c[e>>2]|0)){b=a;c[e>>2]=b;c[e+4>>2]=b;i=d;return}else{c[e>>2]=a;i=d;return}}function El(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e+52>>2]=b;c[e+56>>2]=d;i=i;return}function Fl(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=d;d=e;e=f;f=c[h+480>>2]|0;if((f|0)==0){do{if((c[h+476>>2]|0)==0){if((Gl(h)|0)<<24>>24!=0){break}c[h+284>>2]=1;j=0;k=j;i=g;return k|0}}while(0)}else if((f|0)==2){c[h+284>>2]=36;j=0;k=j;i=g;return k|0}else if((f|0)==3){c[h+284>>2]=33;j=0;k=j;i=g;return k|0}c[h+480>>2]=1;if((d|0)!=0){f=Il(h,d)|0;if((f|0)==0){j=0;k=j;i=g;return k|0}else{MU(f|0,b|0,d)|0;j=Jl(h,d,e)|0;k=j;i=g;return k|0}}a[h+484|0]=e;if((e|0)==0){j=1;k=j;i=g;return k|0}c[h+296>>2]=c[h+24>>2];c[h+40>>2]=c[h+28>>2];c[h+284>>2]=fe[c[h+280>>2]&127](h,c[h+24>>2]|0,c[h+40>>2]|0,h+24|0)|0;if((c[h+284>>2]|0)!=0){c[h+292>>2]=c[h+288>>2];c[h+280>>2]=2;j=0;k=j;i=g;return k|0}e=c[h+480>>2]|0;if((e|0)==3){je[c[(c[h+144>>2]|0)+52>>2]&63](c[h+144>>2]|0,c[h+296>>2]|0,c[h+24>>2]|0,h+408|0);c[h+296>>2]=c[h+24>>2];j=2;k=j;i=g;return k|0}else if((e|0)==0|(e|0)==1){c[h+480>>2]=2}j=1;k=j;i=g;return k|0}function Gl(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((c[e+496>>2]|0)==0){c[e+496>>2]=Dm()|0}if((a[e+236|0]|0)!=0){f=yl(e,16520)|0;g=f;i=d;return g|0}else{f=1;g=f;i=d;return g|0}return 0}function Hl(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;i=i;return c[a+284>>2]|0}



function zn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=yn(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 19:{k=Bn(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 18:{m=41;break c;break};case 6:{m=35;break c;break};case 5:{m=32;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 7:{m=38;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function An(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=yn(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 6:{m=35;break c;break};case 7:{m=38;break c;break};case 18:{m=41;break c;break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Bn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=120){break}k=Cn(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=yn(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=yn(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function Cn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=yn(a[b+1|0]|0,a[b|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=yn(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function Dn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=yn(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 15:{k=Gn(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 17:{k=Hn(j,b+2|0,e,f)|0;break a;break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=yn(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==20){k=Fn(j,b+2|0,e,f)|0;break a}else if((m|0)==27){k=En(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 6:{n=66;break c;break};case 7:{n=69;break c;break};case 22:case 24:{break};case 5:{n=63;break c;break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=60;break c}break};default:{n=72;break c}}b=b+2|0;break};case 5:{n=42;break c;break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=39;break c}n=41;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 7:{n=48;break c;break};case 21:case 9:case 10:{n=74;break c;break};case 6:{n=45;break c;break};case 11:{n=99;break c;break};case 17:{n=101;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(q|0){case 29:{n=80;break e;break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 6:{n=87;break e;break};case 7:{n=90;break e;break};case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=In(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function En(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(l|0){case 0:case 1:case 8:{k=20;break b;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b+1|0]|0)==0){if((a[b|0]|0)==45){k=25;break b}}break};case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function Fn(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g+1|0]|0)!=0){k=7;break}if((a[g|0]|0)!=(a[14184+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function Gn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b+1|0]|0)==0){m=d[k+76+(d[b]|0)|0]|0}else{m=yn(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(m|0){case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b+1|0]|0)==0){o=d[k+76+(d[b]|0)|0]|0}else{o=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 6:{n=34;break c;break};case 15:{n=67;break c;break};case 7:{n=37;break c;break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=28;break c}break};case 21:case 9:case 10:{n=40;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{n=31;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((Jn(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b+1|0]|0)==0){p=d[k+76+(d[b]|0)|0]|0}else{p=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b+1|0]|0)==0){if((a[b|0]|0)==62){n=62;break d}}break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((Jn(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function Hn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=yn(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 7:{m=37;break c;break};case 23:{b=b+2|0;break};case 11:{m=53;break c;break};case 6:{m=34;break c;break};case 21:case 9:case 10:{m=40;break c;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 5:{m=31;break c;break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}m=30;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=yn(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function In(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[(c[j>>2]|0)+1|0]|0)==0){m=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{m=yn(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(m|0){case 14:{l=56;break};case 29:{if((c[12328+((d[13608+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=8;break a}l=10;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){n=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{n=yn(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(n|0){case 5:{l=32;break a;break};case 7:{l=38;break a;break};case 22:case 24:{break};case 6:{l=35;break a;break};case 29:{if((c[12328+((d[8712+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=29;break a}break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{l=14;break a;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){o=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{o=yn(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}b=o;if((b|0)==14){break}p=b;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=53;break a}}l=56;break};case 5:{l=11;break a;break};case 7:{l=17;break a;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){q=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{q=yn(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}p=r;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){s=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{s=yn(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}p=s;if((p|0)==(r|0)){break}switch(p|0){case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 0:case 1:case 8:{l=87;break a;break};case 3:{t=zn(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 2:{l=93;break a;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[(c[j>>2]|0)+1|0]|0)==0){u=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{u=yn(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(u|0){case 21:case 9:case 10:{break};case 17:{l=103;break a;break};case 11:{l=104;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){v=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{v=yn(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(v|0){case 29:{l=113;break b;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};case 6:{l=120;break a;break};case 7:{l=123;break a;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12328+((d[8712+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[(c[j>>2]|0)+1|0]|0)==0){if((a[c[j>>2]|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function Jn(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g+1|0]|0)==0){j=a[g|0]|0}else{j=-1}if((j|0)!=120)if((j|0)==88){f=1}else{h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){k=a[g|0]|0}else{k=-1}if((k|0)==77){f=1}else if((k|0)!=109){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){l=a[g|0]|0}else{l=-1}if((l|0)!=108)if((l|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function Kn(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e+1|0]|0)==0){m=d[b+76+(d[e]|0)|0]|0}else{m=yn(a[e+1|0]|0,a[e|0]|0)|0}h=m;switch(h|0){case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 0:case 1:case 8:{l=16;break a;break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e+1|0]|0)==0){p=d[b+76+(d[e]|0)|0]|0}else{p=yn(a[e+1|0]|0,a[e|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function Ln(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=yn(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==27){k=En(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 21:case 9:case 10:{break a;break};case 22:case 24:{break};case 30:{n=17;break a;break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=yn(a[b+3|0]|0,a[b+2|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function Mn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=yn(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}break};case 5:{m=31;break c;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 7:{m=37;break c;break};case 6:{m=34;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function Nn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=yn(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 21:case 10:{m=26;break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=26;break b}break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 33:{c[f>>2]=b+2;k=36;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 12:{k=oo(12,j,b+2|0,e,f)|0;break a;break};case 13:{k=oo(13,j,b+2|0,e,f)|0;break a;break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};case 15:{k=ko(j,b+2|0,e,f)|0;break a;break};case 16:{k=po(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 22:case 24:{p=18;b=b+2|0;m=86;break};case 25:case 26:case 27:case 23:{p=19;b=b+2|0;m=86;break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;p=18;m=86;break b}if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;p=19;m=86;break b}else{m=85;break b}break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 19:{k=qo(j,b+2|0,e,f)|0;break a;break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 30:{k=eo(j,b+2|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};default:{m=85}}}while(0);if((m|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){m=28;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=yn(a[b|0]|0,a[b+1|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){m=36;break}}else{break}}if((m|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==85){c[f>>2]=b;k=0;break}else if((m|0)==86){c:while(1){if((b|0)==(e|0)){m=141;break}if((a[b|0]|0)==0){r=d[j+76+(d[b+1|0]|0)|0]|0}else{r=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(r|0){case 6:{m=99;break c;break};case 22:case 24:case 25:case 26:case 27:{m=95;break};case 5:{m=96;break c;break};case 7:{m=102;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=105;break c;break};case 23:{b=b+2|0;g=p;if((g|0)==18){if((b|0)==(e|0)){m=108;break c}p=41;if((a[b|0]|0)==0){s=d[j+76+(d[b+1|0]|0)|0]|0}else{s=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(s|0){case 22:case 24:case 25:case 26:case 27:{m=116;break};case 5:{m=117;break c;break};case 6:{m=120;break c;break};case 7:{m=123;break c;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=114;break c}m=116;break};default:{p=19}}if((m|0)==116){m=0;b=b+2|0}}else if((g|0)==41){p=19}break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=93;break c}m=95;break};case 34:{m=130;break c;break};case 33:{m=133;break c;break};case 15:{m=136;break c;break};default:{m=139;break c}}if((m|0)==95){m=0;b=b+2|0}}if((m|0)==93){c[f>>2]=b;k=0;break}else if((m|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==105){c[f>>2]=b;k=p;break}else if((m|0)==108){k=-1;break}else if((m|0)==114){c[f>>2]=b;k=0;break}else if((m|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==130){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((m|0)==133){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((m|0)==136){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((m|0)==139){c[f>>2]=b;k=0;break}else if((m|0)==141){k=-p|0;break}}}}while(0);i=h;return k|0}function On(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=yn(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 3:{k=co(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=yn(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 2:{k=ho(j,b+2|0,e,f)|0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=yn(a[b|0]|0,a[b+1|0]|0)|0}c:do{switch(p|0){case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+4|0]|0)==0){if((a[b+5|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function Pn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=yn(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=yn(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Qn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 0:case 1:case 8:{l=18;break a;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function Rn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 10:{l=16;break a;break};case 9:{l=19;break a;break};case 7:{b=b+4|0;break};case 3:{l=12;break a;break};case 2:{l=15;break a;break};case 6:{b=b+3|0;break};case 5:{b=b+2|0;break};case 21:{l=29;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=co(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=yn(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function Sn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 9:{m=24;break a;break};case 10:{m=21;break a;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 3:{m=12;break a;break};case 30:{m=15;break a;break};case 6:{b=b+3|0;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=co(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=eo(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=yn(a[b|0]|0,a[b+1|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Tn(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b|0]|0)==0){h=d[g+76+(d[b+1|0]|0)|0]|0}else{h=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(h|0){case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=7;break a}k=9;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){k=18;break a}e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){k=20;break a}break};case 5:{k=12;break};case 6:{k=9;break};default:{k=22;break a}}if((k|0)==9){k=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=10;break}k=12}if((k|0)==12){k=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=13;break}j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=15;break}}}if((k|0)==7){l=0;m=l;i=f;return m|0}else if((k|0)==10){l=0;m=l;i=f;return m|0}else if((k|0)==13){l=0;m=l;i=f;return m|0}else if((k|0)==15){l=0;m=l;i=f;return m|0}else if((k|0)==18){l=0;m=l;i=f;return m|0}else if((k|0)==20){l=0;m=l;i=f;return m|0}else if((k|0)==22){if((a[c|0]|0)==0){n=d[g+76+(d[c+1|0]|0)|0]|0}else{n=yn(a[c|0]|0,a[c+1|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function Un(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f|0]|0)!=0){g=7;break}if((a[f+1|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function Vn(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(g|0){case 6:{b=b+3|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};default:{break a}}}i=e;return b-c|0}function Wn(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=yn(a[b|0]|0,a[b+1|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function Xn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 11:case 17:{if((g|0)!=2){break a}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+2|0]|0)==0){o=a[b+3|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=yn(a[b+2|0]|0,a[b+3|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};default:{}}b=b+2|0}i=h;return k|0}function Yn(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d|0]|0)==0){if((a[d+1|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d|0]|0)==0){f=(a[d+1|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d|0]|0)==0){g=a[d+1|0]|0}else{g=-1}h=g;switch(h|0){case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d|0]|0)==0){l=(a[d+1|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d|0]|0)==0){m=a[d+1|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=Lm(c)|0;k=j;i=b;return k|0}function Zn(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==3){do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=97){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=109){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((c|0)==4){if((a[e|0]|0)==0){h=a[e+1|0]|0}else{h=-1}if((h|0)==97){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((h|0)==113){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=117){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}}else if((c|0)==2){do{if((a[e+2|0]|0)==0){if((a[e+3|0]|0)!=116){break}if((a[e|0]|0)==0){j=a[e+1|0]|0}else{j=-1}if((j|0)==108){f=60;g=f;i=b;return g|0}else if((j|0)==103){f=62;g=f;i=b;return g|0}else{break}}}while(0)}f=0;g=f;i=b;return g|0}function _n(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(k|0){case 6:{b=b+3|0;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=yn(a[b|0]|0,a[b+1|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function $n(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=yn(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 21:{if((a[b|0]|0)==0){if((a[b+1|0]|0)==9){k=10;break a}}break};case 26:case 22:{if((a[b|0]|0)==0){m=a[b+1|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function ao(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g+1|0]|0;l=a[g|0]|0;b:do{switch(l&255|0){case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=k;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}n=((l&3)<<2|(k&255)>>6&3)+1|0;m=e;o=c[m>>2]|0;c[m>>2]=o+1;a[o]=n>>2|240;o=e;m=c[o>>2]|0;c[o>>2]=m+1;a[m]=(k&255)>>2&15|(n&3)<<4|128;g=g+2|0;n=a[g+1|0]|0;m=((k&3)<<4|(a[g|0]&3)<<2|(n&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=m;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=n&63|128;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=(l&255)>>4|224;p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(l&15)<<2|(k&255)>>6|128;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(k&255)>>6|(l&255)<<2|192;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function bo(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[c[k>>2]|0]|0)<<8|(d[(c[k>>2]|0)+1|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function co(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=yn(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 19:{k=fo(j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 5:{m=32;break c;break};case 7:{m=38;break c;break};case 6:{m=35;break c;break};case 18:{m=41;break c;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 22:case 24:case 25:case 26:case 27:{break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function eo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=yn(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 6:{m=35;break c;break};case 5:{m=32;break c;break};case 7:{m=38;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 18:{m=41;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function fo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=120){break}k=go(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=yn(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=yn(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function go(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=yn(a[b|0]|0,a[b+1|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=yn(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function ho(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=yn(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 17:{k=lo(j,b+2|0,e,f)|0;break a;break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=yn(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==27){k=io(j,b+2|0,e,f)|0;break a}else if((m|0)==20){k=jo(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 15:{k=ko(j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 11:{n=99;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 6:{n=66;break c;break};case 5:{n=63;break c;break};case 22:case 24:{break};case 7:{n=69;break c;break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=60;break c}break};default:{n=72;break c}}b=b+2|0;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=39;break c}n=41;break};case 6:{n=45;break c;break};case 21:case 9:case 10:{n=74;break c;break};case 17:{n=101;break c;break};case 5:{n=42;break c;break};case 7:{n=48;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(q|0){case 6:{n=87;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};case 7:{n=90;break e;break};case 29:{n=80;break e;break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 11:{n=93;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=mo(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function io(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(l|0){case 0:case 1:case 8:{k=20;break b;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b|0]|0)==0){if((a[b+1|0]|0)==45){k=25;break b}}break};case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function jo(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g|0]|0)!=0){k=7;break}if((a[g+1|0]|0)!=(a[19688+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function ko(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b|0]|0)==0){m=d[k+76+(d[b+1|0]|0)|0]|0}else{m=yn(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(m|0){case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b|0]|0)==0){o=d[k+76+(d[b+1|0]|0)|0]|0}else{o=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 21:case 9:case 10:{n=40;break c;break};case 7:{n=37;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 6:{n=34;break c;break};case 5:{n=31;break c;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=28;break c}break};case 15:{n=67;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((no(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b|0]|0)==0){p=d[k+76+(d[b+1|0]|0)|0]|0}else{p=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b|0]|0)==0){if((a[b+1|0]|0)==62){n=62;break d}}break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((no(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function lo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=yn(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 11:{m=53;break c;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}m=30;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};case 7:{m=37;break c;break};case 21:case 9:case 10:{m=40;break c;break};case 23:{b=b+2|0;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=yn(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function mo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[c[j>>2]|0]|0)==0){m=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{m=yn(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(m|0){case 14:{l=56;break};case 29:{if((c[12328+((d[13608+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=8;break a}l=10;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[c[j>>2]|0]|0)==0){n=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{n=yn(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}b=n;if((b|0)==14){break}o=b;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=53;break a}}l=56;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 5:{l=11;break a;break};case 6:{l=14;break a;break};case 7:{l=17;break a;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[c[j>>2]|0]|0)==0){p=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{p=yn(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(p|0){case 29:{if((c[12328+((d[8712+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=29;break a}break};case 7:{l=38;break a;break};case 22:case 24:{break};case 5:{l=32;break a;break};case 6:{l=35;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[c[j>>2]|0]|0)==0){q=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{q=yn(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}o=r;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[c[j>>2]|0]|0)==0){s=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{s=yn(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}o=s;if((o|0)==(r|0)){break}switch(o|0){case 0:case 1:case 8:{l=87;break a;break};case 3:{t=co(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 2:{l=93;break a;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[c[j>>2]|0]|0)==0){u=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{u=yn(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(u|0){case 21:case 9:case 10:{break};case 17:{l=103;break a;break};case 11:{l=104;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[c[j>>2]|0]|0)==0){v=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{v=yn(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(v|0){case 29:{l=113;break b;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};case 6:{l=120;break a;break};case 17:{l=129;break a;break};case 7:{l=123;break a;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12328+((d[8712+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[c[j>>2]|0]|0)==0){if((a[(c[j>>2]|0)+1|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function no(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g|0]|0)==0){j=a[g+1|0]|0}else{j=-1}if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+2|0;if((a[g|0]|0)==0){k=a[g+1|0]|0}else{k=-1}if((k|0)!=109)if((k|0)==77){f=1}else{h=1;break}g=g+2|0;if((a[g|0]|0)==0){l=a[g+1|0]|0}else{l=-1}if((l|0)!=108)if((l|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function oo(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e|0]|0)==0){m=d[b+76+(d[e+1|0]|0)|0]|0}else{m=yn(a[e|0]|0,a[e+1|0]|0)|0}h=m;switch(h|0){case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};case 0:case 1:case 8:{l=16;break a;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e|0]|0)==0){p=d[b+76+(d[e+1|0]|0)|0]|0}else{p=yn(a[e|0]|0,a[e+1|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function po(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=yn(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==27){k=io(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 21:case 9:case 10:{break a;break};case 22:case 24:{break};case 30:{n=17;break a;break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=yn(a[b+2|0]|0,a[b+3|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function qo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=yn(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=yn(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 6:{m=34;break c;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}break};case 7:{m=37;break c;break};case 5:{m=31;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function ro(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 12:{k=$o(12,j,b+1|0,e,f)|0;break a;break};case 19:{k=bp(j,b+1|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((ce[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;l=18;m=76;break b}if((ce[c[j+332>>2]&127](j,b)|0)!=0){b=b+2|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 36:{c[f>>2]=b+1;k=21;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}if((ce[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;l=18;m=76;break b}if((ce[c[j+340>>2]&127](j,b)|0)!=0){b=b+4|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 30:{k=Ro(j,b+1|0,e,f)|0;break a;break};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b]|0)==93){if((b+1|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==62){c[f>>2]=b+2;k=34;break a}else{break}}}while(0);c[f>>2]=b;k=26;break a;break};case 20:{c[f>>2]=b+1;k=25;break a;break};case 13:{k=$o(13,j,b+1|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+1;k=38;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}if((ce[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;l=18;m=76;break b}if((ce[c[j+336>>2]&127](j,b)|0)!=0){b=b+3|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 31:{c[f>>2]=b+1;k=23;break a;break};case 21:case 10:{m=16;break};case 2:{b=b+1|0;if((b|0)==(e|0)){k=-1;break a}switch(d[j+76+(d[b]|0)|0]|0){case 15:{k=Xo(j,b+1|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-1;k=29;break a;break};case 16:{k=ap(j,b+1|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 11:{c[f>>2]=b+1;k=17;break a;break};case 22:case 24:{l=18;b=b+1|0;m=76;break};case 25:case 26:case 27:case 23:{l=19;b=b+1|0;m=76;break};case 29:{m=75;break};case 9:{if((b+1|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=16;break b}break};case 32:{b=b+1|0;if((b|0)==(e|0)){k=-24;break a}switch(d[j+76+(d[b]|0)|0]|0){case 15:{c[f>>2]=b+1;k=35;break a;break};case 34:{c[f>>2]=b+1;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 33:{c[f>>2]=b+1;k=36;break a;break};default:{c[f>>2]=b;k=0;break a}}break};default:{m=75}}}while(0);if((m|0)==16){while(1){b=b+1|0;if((b|0)==(e|0)){m=18;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==9){if((b+1|0)==(e|0)){m=23;break}}else if(!((g|0)==21|(g|0)==10)){break}}if((m|0)==18){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==75){c[f>>2]=b;k=0;break}else if((m|0)==76){c:while(1){if((b|0)==(e|0)){m=133;break}switch(d[j+76+(d[b]|0)|0]|0){case 15:{m=128;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){m=82;break c}if((ce[c[j+332>>2]&127](j,b)|0)==0){m=84;break c}b=b+2|0;break};case 29:{m=79;break c;break};case 34:{m=122;break c;break};case 33:{m=125;break c;break};case 7:{if((e-b|0)<4){m=92;break c}if((ce[c[j+340>>2]&127](j,b)|0)==0){m=94;break c}b=b+4|0;break};case 23:{b=b+1|0;g=l;if((g|0)==41){l=19}else if((g|0)==18){if((b|0)==(e|0)){m=99;break c}l=41;switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=114;break c}if((ce[c[j+340>>2]&127](j,b)|0)==0){m=116;break c}b=b+4|0;break};case 6:{if((e-b|0)<3){m=109;break c}if((ce[c[j+336>>2]&127](j,b)|0)==0){m=111;break c}b=b+3|0;break};case 29:{m=101;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){m=104;break c}if((ce[c[j+332>>2]&127](j,b)|0)==0){m=106;break c}b=b+2|0;break};default:{l=19}}}break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=96;break c;break};case 6:{if((e-b|0)<3){m=87;break c}if((ce[c[j+336>>2]&127](j,b)|0)==0){m=89;break c}b=b+3|0;break};default:{m=131;break c}}}if((m|0)==79){c[f>>2]=b;k=0;break}else if((m|0)==82){k=-2;break}else if((m|0)==84){c[f>>2]=b;k=0;break}else if((m|0)==87){k=-2;break}else if((m|0)==89){c[f>>2]=b;k=0;break}else if((m|0)==92){k=-2;break}else if((m|0)==94){c[f>>2]=b;k=0;break}else if((m|0)==96){c[f>>2]=b;k=l;break}else if((m|0)==99){k=-1;break}else if((m|0)==101){c[f>>2]=b;k=0;break}else if((m|0)==104){k=-2;break}else if((m|0)==106){c[f>>2]=b;k=0;break}else if((m|0)==109){k=-2;break}else if((m|0)==111){c[f>>2]=b;k=0;break}else if((m|0)==114){k=-2;break}else if((m|0)==116){c[f>>2]=b;k=0;break}else if((m|0)==122){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=32;break}}else if((m|0)==125){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=31;break}}else if((m|0)==128){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=30;break}}else if((m|0)==131){c[f>>2]=b;k=0;break}else if((m|0)==133){k=-l|0;break}}}}while(0);i=h;return k|0}function so(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 3:{k=Qo(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((ce[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 2:{k=Uo(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((ce[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((ce[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=65;break}c:do{switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=43;break b}if((ce[c[j+356>>2]&127](j,b)|0)!=0){m=43;break b}b=b+2|0;break};case 7:{if((e-b|0)<4){m=51;break b}if((ce[c[j+364>>2]&127](j,b)|0)!=0){m=51;break b}b=b+4|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 4:{if((b+1|0)==(e|0)){m=61;break b}if((a[b+1|0]|0)!=93){b=b+1|0;break c}if((b+2|0)==(e|0)){m=60;break b}if((a[b+2|0]|0)==62){m=59;break b}b=b+1|0;break};case 6:{if((e-b|0)<3){m=47;break b}if((ce[c[j+360>>2]&127](j,b)|0)!=0){m=47;break b}b=b+3|0;break};default:{b=b+1|0}}}while(0)}if((m|0)==43){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==47){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==59){c[f>>2]=b+2;k=0;l=k;i=h;return l|0}else if((m|0)==60){m=61}else if((m|0)==65){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function to(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((ce[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b+1;k=40;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((ce[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((ce[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=54;break}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=49;break b}if((ce[c[j+364>>2]&127](j,b)|0)!=0){m=49;break b}b=b+4|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{m=51;break b;break};case 6:{if((e-b|0)<3){m=45;break b}if((ce[c[j+360>>2]&127](j,b)|0)!=0){m=45;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){m=41;break b}if((ce[c[j+356>>2]&127](j,b)|0)!=0){m=41;break b}b=b+2|0;break};default:{b=b+1|0}}}if((m|0)==41){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==45){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function uo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;g=0;a:while(1){if((b|0)==(e|0)){k=42;break}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){k=15;break a}if((ce[c[j+364>>2]&127](j,b)|0)!=0){k=17;break a}b=b+4|0;break};case 6:{if((e-b|0)<3){k=10;break a}if((ce[c[j+360>>2]&127](j,b)|0)!=0){k=12;break a}b=b+3|0;break};case 5:{if((e-b|0)<2){k=5;break a}if((ce[c[j+356>>2]&127](j,b)|0)!=0){k=7;break a}b=b+2|0;break};case 4:{l=b+1|0;b=l;if((l|0)==(e|0)){k=30;break a}if((a[b]|0)==93){l=b+1|0;b=l;if((l|0)==(e|0)){k=33;break a}if((a[b]|0)==62){b=b+1|0;if((g|0)==0){k=36;break a}g=g-1|0}}break};case 0:case 1:case 8:{k=19;break a;break};case 2:{l=b+1|0;b=l;if((l|0)==(e|0)){k=21;break a}if((a[b]|0)==33){l=b+1|0;b=l;if((l|0)==(e|0)){k=24;break a}if((a[b]|0)==91){g=g+1|0;b=b+1|0}}break};default:{b=b+1|0}}}if((k|0)==5){m=-2}else if((k|0)==7){c[f>>2]=b;m=0}else if((k|0)==10){m=-2}else if((k|0)==12){c[f>>2]=b;m=0}else if((k|0)==15){m=-2}else if((k|0)==17){c[f>>2]=b;m=0}else if((k|0)==19){c[f>>2]=b;m=0}else if((k|0)==21){m=-1}else if((k|0)==24){m=-1}else if((k|0)==30){m=-1}else if((k|0)==33){m=-1}else if((k|0)==36){c[f>>2]=b;m=42}else if((k|0)==42){m=-1}i=h;return m|0}function vo(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=28;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{a=a+4|0;break};case 5:{a=a+2|0;break};case 2:{k=12;break a;break};case 6:{a=a+3|0;break};case 10:{k=13;break a;break};case 21:{k=23;break a;break};case 3:{k=9;break a;break};case 9:{k=16;break a;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=Qo(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){c[e>>2]=a;j=0;break}else if((k|0)==13){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==16){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==23){if((a|0)==(f|0)){c[e>>2]=a+1;j=39;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==28){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function wo(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=30;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{a=a+3|0;break};case 9:{k=21;break a;break};case 3:{k=9;break a;break};case 7:{a=a+4|0;break};case 5:{a=a+2|0;break};case 10:{k=18;break a;break};case 30:{k=12;break a;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=Qo(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}l=Ro(h,a+1|0,b,e)|0;if((l|0)==22){m=0}else{m=l}j=m;break}else if((k|0)==18){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==21){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==30){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function xo(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;g=b;b=c;c=e;a:while(1){switch(d[g+76+(d[b]|0)|0]|0){case 7:{e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=4;break a}j=6;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{h=c;c=h+1|0;e=b;b=e+1|0;if((a[h]|0)!=(a[e]|0)){j=15;break a}break};case 6:{j=6;break};case 5:{j=9;break};default:{j=17;break a}}if((j|0)==6){j=0;e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=7;break}j=9}if((j|0)==9){j=0;h=b;b=h+1|0;e=c;c=e+1|0;if((a[h]|0)!=(a[e]|0)){j=10;break}e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=12;break}}}if((j|0)==4){k=0;l=k;i=f;return l|0}else if((j|0)==7){k=0;l=k;i=f;return l|0}else if((j|0)==10){k=0;l=k;i=f;return l|0}else if((j|0)==12){k=0;l=k;i=f;return l|0}else if((j|0)==15){k=0;l=k;i=f;return l|0}else if((j|0)==17){if((a[b]|0)==(a[c]|0)){k=1;l=k;i=f;return l|0}switch(d[g+76+(d[c]|0)|0]|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{k=0;l=k;i=f;return l|0};default:{k=1;l=k;i=f;return l|0}}}return 0}function yo(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=9;break}if((f|0)==(c|0)){g=4;break}if((a[f]|0)!=(a[d]|0)){g=6;break}f=f+1|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==6){h=0;j=h;i=b;return j|0}else if((g|0)==9){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function zo(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;b=a;a:while(1){switch(d[e+76+(d[a]|0)|0]|0|0){case 7:{a=a+4|0;break};case 6:{a=a+3|0;break};case 5:{a=a+2|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{break a}}}i=c;return a-b|0}function Ao(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;while(1){b=d[e+76+(d[a]|0)|0]|0;if(!((b|0)==10|(b|0)==9|(b|0)==21)){break}a=a+1|0}i=c;return a|0}function Bo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+1|0;a:while(1){switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b]|0)!=32){break}if((a[b+1|0]|0)==32){break}if((d[j+76+(d[b+1|0]|0)|0]|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 11:case 17:{if((g|0)!=2){break a}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+3|0;break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};default:{}}b=b+1|0}i=h;return k|0}function Co(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;b=i;d=c;c=0;d=d+2|0;do{if((a[d]|0)==120){d=d+1|0;while(1){if(!((a[d]|0)==59^1)){e=12;break}f=a[d]|0;switch(f|0){case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(f-97+10)|0;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(f-65+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|f-48;break};default:{}}if((c|0)>=1114112){break}d=d+1|0}if((e|0)==12){break}g=-1;h=g;i=b;return h|0}else{while(1){if(!((a[d]|0)==59^1)){e=19;break}c=c*10|0;c=c+((a[d]|0)-48)|0;if((c|0)>=1114112){break}d=d+1|0}if((e|0)==19){break}g=-1;h=g;i=b;return h|0}}while(0);g=Lm(c)|0;h=g;i=b;return h|0}function Do(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;b=i;e=c;c=(d-e|0)/1|0;if((c|0)==2){do{if((a[e+1|0]|0)==116){d=a[e]|0;if((d|0)==103){f=62;g=f;i=b;return g|0}else if((d|0)==108){f=60;g=f;i=b;return g|0}else{break}}}while(0)}else if((c|0)==3){if((a[e]|0)==97){e=e+1|0;do{if((a[e]|0)==109){e=e+1|0;if((a[e]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}else if((c|0)==4){c=a[e]|0;if((c|0)==97){e=e+1|0;if((a[e]|0)==112){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}else if((c|0)==113){e=e+1|0;if((a[e]|0)==117){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}}f=0;g=f;i=b;return g|0}function Eo(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0;g=i;h=a;a=b;b=e;e=f;while(1){if(!(a>>>0<b>>>0)){break}switch(d[h+76+(d[a]|0)|0]|0|0){case 10:{c[e+4>>2]=-1;f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;break};case 5:{a=a+2|0;break};case 7:{a=a+4|0;break};case 6:{a=a+3|0;break};case 9:{f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;do{if((a|0)!=(b|0)){if((d[h+76+(d[a]|0)|0]|0|0)!=10){break}a=a+1|0}}while(0);c[e+4>>2]=-1;break};default:{a=a+1|0}}f=e+4|0;c[f>>2]=(c[f>>2]|0)+1}i=g;return}function Fo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;b=b+1|0;e=e-1|0;a:while(1){if((b|0)==(e|0)){k=17;break}b:do{switch(d[j+76+(d[b]|0)|0]|0){case 21:{if((a[b]|0)==9){k=6;break a}break};case 26:case 22:{if((a[b]&-128|0)!=0){k=11;break b}else{break b}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=11}}}while(0);if((k|0)==11){k=0;g=a[b]|0;if(!((g|0)==36|(g|0)==64)){k=13;break}}b=b+1|0}if((k|0)==6){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==13){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==17){l=1;m=l;i=h;return m|0}return 0}function Go(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;b=i;h=d;d=e;e=f;f=g;if((d-(c[h>>2]|0)|0)>(f-(c[e>>2]|0)|0)){d=(c[h>>2]|0)+(f-(c[e>>2]|0))|0;while(1){if(!(d>>>0>(c[h>>2]|0)>>>0)){break}if((a[d-1|0]&192|0)!=128){f=5;break}d=d-1|0}}f=c[e>>2]|0;g=c[h>>2]|0;while(1){if((g|0)==(d|0)){break}a[f]=a[g]|0;g=g+1|0;f=f+1|0}c[h>>2]=g;c[e>>2]=f;i=b;return}function Ho(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;k=i;l=e;e=f;f=g;g=h;h=j;j=c[g>>2]|0;m=c[e>>2]|0;while(1){if((m|0)!=(f|0)){n=(j|0)!=(h|0)}else{n=0}if(!n){o=13;break}p=d[l+76+(d[m]|0)|0]|0;if((p|0)==7){if((j+2|0)==(h|0)){o=9;break}q=(a[m|0]&7)<<18|(a[m+1|0]&63)<<12|(a[m+2|0]&63)<<6|a[m+3|0]&63;q=q-65536|0;b[j>>1]=q>>>10|55296;b[j+2>>1]=q&1023|56320;j=j+4|0;m=m+4|0}else if((p|0)==5){q=j;j=q+2|0;b[q>>1]=(a[m|0]&31)<<6|a[m+1|0]&63;m=m+2|0}else if((p|0)==6){p=j;j=p+2|0;b[p>>1]=(a[m|0]&15)<<12|(a[m+1|0]&63)<<6|a[m+2|0]&63;m=m+3|0}else{p=m;m=p+1|0;q=j;j=q+2|0;b[q>>1]=a[p]|0}}if((o|0)==9){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}else if((o|0)==13){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}}function Io(b,e){b=b|0;e=e|0;b=e;i=i;return c[12328+(((d[13608+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function Jo(b,e){b=b|0;e=e|0;b=e;i=i;return c[12328+(((d[13608+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function Ko(a,b){a=a|0;b=b|0;i=i;return 0}function Lo(b,e){b=b|0;e=e|0;b=e;i=i;return c[12328+(((d[8712+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function Mo(b,e){b=b|0;e=e|0;b=e;i=i;return c[12328+(((d[8712+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function No(b,c){b=b|0;c=c|0;var e=0,f=0;b=i;e=c;do{if((d[e]|0|0)<194){f=1}else{if((a[e+1|0]&128|0)==0){f=1;break}f=(a[e+1|0]&192|0)==192}}while(0);i=b;return f&1|0}function Oo(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;e=c;if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}do{if((d[e]|0|0)==239){if((d[e+1|0]|0|0)!=191){h=5;break}if((d[e+2|0]|0|0)>189){f=1}else{break}g=f&1;i=b;return g|0}else{h=5}}while(0);do{if((h|0)==5){if((a[e+2|0]&192|0)==192){f=1}else{break}g=f&1;i=b;return g|0}}while(0);if((d[e]|0|0)==224){if((d[e+1|0]|0|0)<160){j=1}else{j=(a[e+1|0]&192|0)==192}k=j&1}else{if((a[e+1|0]&128|0)==0){l=1}else{if((d[e]|0|0)==237){m=(d[e+1|0]|0|0)>159|0}else{m=(a[e+1|0]&192|0)==192|0}l=(m|0)!=0}k=l&1}f=(k|0)!=0;g=f&1;i=b;return g|0}function Po(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;e=c;if((a[e+3|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+3|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((d[e]|0|0)==240){if((d[e+1|0]|0|0)<144){h=1}else{h=(a[e+1|0]&192|0)==192}j=h&1}else{if((a[e+1|0]&128|0)==0){k=1}else{if((d[e]|0|0)==244){l=(d[e+1|0]|0|0)>143|0}else{l=(a[e+1|0]&192|0)==192|0}k=(l|0)!=0}j=k&1}f=(j|0)!=0;g=f&1;i=b;return g|0}function Qo(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{if((b-a|0)<3){j=-2;break a}if((ce[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 5:{if((b-a|0)<2){j=-2;break a}if((ce[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 7:{if((b-a|0)<4){j=-2;break a}if((ce[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 19:{j=So(h,a+1|0,b,e)|0;break a;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{k=26;break c;break};case 18:{k=43;break c;break};case 7:{if((b-a|0)<4){k=39;break c}if((ce[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 6:{if((b-a|0)<3){k=34;break c}if((ce[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((ce[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=9;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function Ro(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{if((b-a|0)<2){j=-2;break a}if((ce[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((ce[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 7:{if((b-a|0)<4){j=-2;break a}if((ce[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 22:case 24:{a=a+1|0;break};case 21:case 10:case 9:case 30:{c[e>>2]=a;j=22;break a;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 18:{k=43;break c;break};case 7:{if((b-a|0)<4){k=39;break c}if((ce[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((ce[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 6:{if((b-a|0)<3){k=34;break c}if((ce[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 29:{k=26;break c;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=28;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function So(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)==120){k=To(j,b+1|0,e,f)|0;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+1|0;while(1){if((b|0)==(e|0)){m=15;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==18){m=11;break}else if((g|0)!=25){m=12;break}b=b+1|0}if((m|0)==11){c[f>>2]=b+1;k=10;l=k;i=h;return l|0}else if((m|0)==12){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((m|0)==15){break}}}while(0);k=-1;l=k;i=h;return l|0}function To(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)!=(b|0)){f=d[h+76+(d[a]|0)|0]|0;if(!((f|0)==25|(f|0)==24)){c[e>>2]=a;j=0;k=j;i=g;return k|0}a=a+1|0;while(1){if((a|0)==(b|0)){l=13;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==18){l=9;break}else if(!((f|0)==25|(f|0)==24)){l=10;break}a=a+1|0}if((l|0)==9){c[e>>2]=a+1;j=10;k=j;i=g;return k|0}else if((l|0)==10){c[e>>2]=a;j=0;k=j;i=g;return k|0}else if((l|0)==13){break}}}while(0);j=-1;k=j;i=g;return k|0}function Uo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){k=-2;break a}if((ce[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;k=0;break a}break};case 15:{k=Xo(j,b+1|0,e,f)|0;break a;break};case 22:case 24:{b=b+1|0;break};case 16:{g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break a}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==27){k=Vo(j,b+1|0,e,f)|0;break a}else if((g|0)==20){k=Wo(j,b+1|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}if((ce[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}if((ce[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;k=0;break a}break};case 29:{c[f>>2]=b;k=0;break a;break};case 17:{k=Yo(j,b+1|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);g=0;c:while(1){if((b|0)==(e|0)){l=110;break}switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){l=41;break c}if((ce[c[j+336>>2]&127](j,b)|0)==0){l=43;break c}b=b+3|0;break};case 23:{if((g|0)!=0){l=51;break c}g=1;b=b+1|0;if((b|0)==(e|0)){l=53;break c}switch(d[j+76+(d[b]|0)|0]|0){case 29:{l=55;break c;break};case 22:case 24:{b=b+1|0;break};case 6:{if((e-b|0)<3){l=63;break c}if((ce[c[j+348>>2]&127](j,b)|0)==0){l=65;break c}b=b+3|0;break};case 5:{if((e-b|0)<2){l=58;break c}if((ce[c[j+344>>2]&127](j,b)|0)==0){l=60;break c}b=b+2|0;break};case 7:{if((e-b|0)<4){l=68;break c}if((ce[c[j+352>>2]&127](j,b)|0)==0){l=70;break c}b=b+4|0;break};default:{l=72;break c}}break};case 11:{l=100;break c;break};case 17:{l=102;break c;break};case 5:{if((e-b|0)<2){l=36;break c}if((ce[c[j+332>>2]&127](j,b)|0)==0){l=38;break c}b=b+2|0;break};case 21:case 9:case 10:{l=74;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 7:{if((e-b|0)<4){l=46;break c}if((ce[c[j+340>>2]&127](j,b)|0)==0){l=48;break c}b=b+4|0;break};case 29:{l=33;break c;break};default:{l=108;break c}}}d:do{if((l|0)==33){c[f>>2]=b;k=0;break a}else if((l|0)==36){k=-2;break a}else if((l|0)==38){c[f>>2]=b;k=0;break a}else if((l|0)==41){k=-2;break a}else if((l|0)==43){c[f>>2]=b;k=0;break a}else if((l|0)==46){k=-2;break a}else if((l|0)==48){c[f>>2]=b;k=0;break a}else if((l|0)==51){c[f>>2]=b;k=0;break a}else if((l|0)==53){k=-1;break a}else if((l|0)==55){c[f>>2]=b;k=0;break a}else if((l|0)==58){k=-2;break a}else if((l|0)==60){c[f>>2]=b;k=0;break a}else if((l|0)==63){k=-2;break a}else if((l|0)==65){c[f>>2]=b;k=0;break a}else if((l|0)==68){k=-2;break a}else if((l|0)==70){c[f>>2]=b;k=0;break a}else if((l|0)==72){c[f>>2]=b;k=0;break a}else if((l|0)==74){b=b+1|0;e:while(1){if((b|0)==(e|0)){l=99;break}switch(d[j+76+(d[b]|0)|0]|0){case 11:{l=94;break e;break};case 29:{l=77;break e;break};case 17:{l=95;break e;break};case 21:case 9:case 10:{break};case 6:{l=84;break e;break};case 22:case 24:{l=78;break e;break};case 5:{l=79;break e;break};case 7:{l=89;break e;break};default:{l=97;break e}}b=b+1|0}do{if((l|0)==77){c[f>>2]=b;k=0;break a}else if((l|0)==78){b=b+1|0}else if((l|0)==79){if((e-b|0)<2){k=-2;break a}if((ce[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==84){if((e-b|0)<3){k=-2;break a}if((ce[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==89){if((e-b|0)<4){k=-2;break a}if((ce[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==94){l=101;break d}else if((l|0)==95){break d}else if((l|0)==97){c[f>>2]=b;k=0;break a}else if((l|0)==99){k=-1;break a}}while(0);k=Zo(j,b,e,f)|0;break a}else if((l|0)==100){l=101}else if((l|0)!=102)if((l|0)==108){c[f>>2]=b;k=0;break a}else if((l|0)==110){k=-1;break a}}while(0);if((l|0)==101){c[f>>2]=b+1;k=2;break}b=b+1|0;if((b|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=4;break}else{c[f>>2]=b;k=0;break}}}while(0);i=h;return k|0}function Vo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)!=45){c[f>>2]=b;k=0;break}b=b+1|0;a:while(1){if((b|0)==(e|0)){l=34;break}switch(d[j+76+(d[b]|0)|0]|0){case 0:case 1:case 8:{l=22;break a;break};case 6:{if((e-b|0)<3){l=13;break a}if((ce[c[j+360>>2]&127](j,b)|0)!=0){l=15;break a}b=b+3|0;break};case 5:{if((e-b|0)<2){l=8;break a}if((ce[c[j+356>>2]&127](j,b)|0)!=0){l=10;break a}b=b+2|0;break};case 27:{g=b+1|0;b=g;if((g|0)==(e|0)){l=24;break a}if((a[b]|0)==45){l=26;break a}break};case 7:{if((e-b|0)<4){l=18;break a}if((ce[c[j+364>>2]&127](j,b)|0)!=0){l=20;break a}b=b+4|0;break};default:{b=b+1|0}}}if((l|0)==8){k=-2;break}else if((l|0)==10){c[f>>2]=b;k=0;break}else if((l|0)==13){k=-2;break}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==18){k=-2;break}else if((l|0)==20){c[f>>2]=b;k=0;break}else if((l|0)==22){c[f>>2]=b;k=0;break}else if((l|0)==24){k=-1;break}else if((l|0)==26){g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=13;break}else{c[f>>2]=b;k=0;break}}else if((l|0)==34){l=35;break}}else{l=35}}while(0);if((l|0)==35){k=-1}i=h;return k|0}function Wo(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<6){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=9;break}if((a[g]|0)!=(a[8704+e|0]|0)){k=6;break}e=e+1|0;g=g+1|0}if((k|0)==6){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==9){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function Xo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{b:do{switch(d[k+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){l=-2;break a}if((ce[c[k+344>>2]&127](k,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}if((ce[c[k+348>>2]&127](k,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;l=0;break a}break};case 29:{c[f>>2]=b;l=0;break a;break};case 22:case 24:{b=b+1|0;break};case 7:{if((e-b|0)<4){l=-2;break a}if((ce[c[k+352>>2]&127](k,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);c:while(1){if((b|0)==(e|0)){m=80;break}switch(d[k+76+(d[b]|0)|0]|0){case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 6:{if((e-b|0)<3){m=33;break c}if((ce[c[k+336>>2]&127](k,b)|0)==0){m=35;break c}b=b+3|0;break};case 5:{if((e-b|0)<2){m=28;break c}if((ce[c[k+332>>2]&127](k,b)|0)==0){m=30;break c}b=b+2|0;break};case 15:{m=71;break c;break};case 21:case 9:case 10:{m=42;break c;break};case 29:{m=25;break c;break};case 7:{if((e-b|0)<4){m=38;break c}if((ce[c[k+340>>2]&127](k,b)|0)==0){m=40;break c}b=b+4|0;break};default:{break c}}}do{if((m|0)==25){c[f>>2]=b;l=0;break a}else if((m|0)==28){l=-2;break a}else if((m|0)==30){c[f>>2]=b;l=0;break a}else if((m|0)==33){l=-2;break a}else if((m|0)==35){c[f>>2]=b;l=0;break a}else if((m|0)==38){l=-2;break a}else if((m|0)==40){c[f>>2]=b;l=0;break a}else if((m|0)==42){if((_o(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;d:while(1){if((b|0)==(e|0)){m=70;break}switch(d[k+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){m=53;break d}if((ce[c[k+360>>2]&127](k,b)|0)!=0){m=55;break d}b=b+3|0;break};case 0:case 1:case 8:{m=62;break d;break};case 15:{b=b+1|0;if((b|0)==(e|0)){m=64;break d}if((a[b]|0)==62){m=66;break d}break};case 7:{if((e-b|0)<4){m=58;break d}if((ce[c[k+364>>2]&127](k,b)|0)!=0){m=60;break d}b=b+4|0;break};case 5:{if((e-b|0)<2){m=48;break d}if((ce[c[k+356>>2]&127](k,b)|0)!=0){m=50;break d}b=b+2|0;break};default:{b=b+1|0}}}if((m|0)==48){l=-2;break a}else if((m|0)==50){c[f>>2]=b;l=0;break a}else if((m|0)==53){l=-2;break a}else if((m|0)==55){c[f>>2]=b;l=0;break a}else if((m|0)==58){l=-2;break a}else if((m|0)==60){c[f>>2]=b;l=0;break a}else if((m|0)==62){c[f>>2]=b;l=0;break a}else if((m|0)==64){l=-1;break a}else if((m|0)==66){c[f>>2]=b+1;l=c[j>>2]|0;break a}else if((m|0)==70){l=-1;break a}}else if((m|0)==71){if((_o(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;if((b|0)==(e|0)){l=-1;break a}if((a[b]|0)==62){c[f>>2]=b+1;l=c[j>>2]|0;break a}else{break}}else if((m|0)==80){l=-1;break a}}while(0);c[f>>2]=b;l=0}}while(0);i=h;return l|0}function Yo(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{if((b-a|0)<2){j=-2;break a}if((ce[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 6:{if((b-a|0)<3){j=-2;break a}if((ce[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((ce[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=55;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 11:{k=52;break c;break};case 29:{k=25;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 5:{if((b-a|0)<2){k=28;break c}if((ce[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 23:{a=a+1|0;break};case 21:case 9:case 10:{k=42;break c;break};case 7:{if((b-a|0)<4){k=38;break c}if((ce[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 6:{if((b-a|0)<3){k=33;break c}if((ce[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};default:{k=53;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){a=a+1|0;while(1){if((a|0)==(b|0)){k=50;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==11){k=46;break}else if(!((f|0)==21|(f|0)==9|(f|0)==10)){k=47;break}a=a+1|0}if((k|0)==46){c[e>>2]=a+1;j=5;break}else if((k|0)==47){c[e>>2]=a;j=0;break}else if((k|0)==50){j=-1;break}}else if((k|0)==52){c[e>>2]=a+1;j=5;break}else if((k|0)==53){c[e>>2]=a;j=0;break}else if((k|0)==55){j=-1;break}}}while(0);i=g;return j|0}function Zo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=137;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 14:{l=55;break};case 22:case 24:case 25:case 26:case 27:{c[j>>2]=(c[j>>2]|0)+1;break};case 23:{if((g|0)!=0){l=22;break a}g=1;c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=24;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 5:{if((e-(c[j>>2]|0)|0)<2){l=29;break a}if((ce[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=31;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=39;break a}if((ce[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=41;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 22:case 24:{c[j>>2]=(c[j>>2]|0)+1;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=34;break a}if((ce[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=36;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 29:{l=26;break a;break};default:{l=43;break a}}break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=7;break a}if((ce[c[k+332>>2]&127](k,c[j>>2]|0)|0)==0){l=9;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 29:{l=4;break a;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=17;break a}if((ce[c[k+340>>2]&127](k,c[j>>2]|0)|0)==0){l=19;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=12;break a}if((ce[c[k+336>>2]&127](k,c[j>>2]|0)|0)==0){l=14;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=47;break a}b=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((b|0)==14){break}m=b;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=52;break a}}l=55;break};default:{l=135;break a}}if((l|0)==55){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=57;break a}n=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((n|0)==12){break}if((n|0)==13){break}m=n;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=63;break a}}c[j>>2]=(c[j>>2]|0)+1;while(1){if((c[j>>2]|0)==(e|0)){l=67;break a}m=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((m|0)==(n|0)){break}switch(m|0){case 2:{l=92;break a;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=72;break a}if((ce[c[k+356>>2]&127](k,c[j>>2]|0)|0)!=0){l=74;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=77;break a}if((ce[c[k+360>>2]&127](k,c[j>>2]|0)|0)!=0){l=79;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 0:case 1:case 8:{l=86;break a;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=82;break a}if((ce[c[k+364>>2]&127](k,c[j>>2]|0)|0)!=0){l=84;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 3:{o=Qo(k,(c[j>>2]|0)+1|0,e,j)|0;if((o|0)<=0){l=88;break a}break};default:{c[j>>2]=(c[j>>2]|0)+1}}}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=96;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 21:case 9:case 10:{break};case 17:{l=99;break a;break};case 11:{l=100;break a;break};default:{l=101;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=104;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 29:{l=106;break a;break};case 22:case 24:{l=107;break b;break};case 5:{l=108;break b;break};case 6:{l=113;break b;break};case 21:case 9:case 10:{break};case 11:{l=124;break a;break};case 17:{l=126;break a;break};case 7:{l=118;break b;break};default:{l=132;break a}}}if((l|0)==107){l=0;c[j>>2]=(c[j>>2]|0)+1}else if((l|0)==108){l=0;if((e-(c[j>>2]|0)|0)<2){l=109;break}if((ce[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=111;break}c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==113){l=0;if((e-(c[j>>2]|0)|0)<3){l=114;break}if((ce[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=116;break}c[j>>2]=(c[j>>2]|0)+3}else if((l|0)==118){l=0;if((e-(c[j>>2]|0)|0)<4){l=119;break}if((ce[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=121;break}c[j>>2]=(c[j>>2]|0)+4}}}if((l|0)==4){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==7){p=-2;q=p;i=h;return q|0}else if((l|0)==9){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==12){p=-2;q=p;i=h;return q|0}else if((l|0)==14){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==17){p=-2;q=p;i=h;return q|0}else if((l|0)==19){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==22){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==24){p=-1;q=p;i=h;return q|0}else if((l|0)==26){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==29){p=-2;q=p;i=h;return q|0}else if((l|0)==31){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==34){p=-2;q=p;i=h;return q|0}else if((l|0)==36){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==39){p=-2;q=p;i=h;return q|0}else if((l|0)==41){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==43){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==47){p=-1;q=p;i=h;return q|0}else if((l|0)==52){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==57){p=-1;q=p;i=h;return q|0}else if((l|0)==63){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==67){p=-1;q=p;i=h;return q|0}else if((l|0)==72){p=-2;q=p;i=h;return q|0}else if((l|0)==74){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==77){p=-2;q=p;i=h;return q|0}else if((l|0)==79){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==82){p=-2;q=p;i=h;return q|0}else if((l|0)==84){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==86){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==88){if((o|0)==0){c[f>>2]=c[j>>2]}p=o;q=p;i=h;return q|0}else if((l|0)==92){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==96){p=-1;q=p;i=h;return q|0}else if((l|0)!=99)if((l|0)==100){l=125}else if((l|0)==101){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==104){p=-1;q=p;i=h;return q|0}else if((l|0)==106){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==109){p=-2;q=p;i=h;return q|0}else if((l|0)==111){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==114){p=-2;q=p;i=h;return q|0}else if((l|0)==116){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==119){p=-2;q=p;i=h;return q|0}else if((l|0)==121){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==124){l=125}else if((l|0)!=126)if((l|0)==132){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==135){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==137){p=-1;q=p;i=h;return q|0}if((l|0)==125){c[f>>2]=(c[j>>2]|0)+1;p=1;q=p;i=h;return q|0}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){p=-1;q=p;i=h;return q|0}if((a[c[j>>2]|0]|0)==62){c[f>>2]=(c[j>>2]|0)+1;p=3;q=p;i=h;return q|0}else{c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}return 0}function _o(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=3){h=1}else{j=a[g]|0;if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=109)if((j|0)==77){f=1}else{h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=108)if((j|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function $o(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=a;a=b;b=e;e=f;f=g;a:while(1){if((b|0)==(e|0)){k=29;break}g=d[a+76+(d[b]|0)|0]|0;switch(g|0){case 6:{if((e-b|0)<3){k=10;break a}if((ce[c[a+360>>2]&127](a,b)|0)!=0){k=12;break a}b=b+3|0;break};case 0:case 1:case 8:{k=19;break a;break};case 5:{if((e-b|0)<2){k=5;break a}if((ce[c[a+356>>2]&127](a,b)|0)!=0){k=7;break a}b=b+2|0;break};case 7:{if((e-b|0)<4){k=15;break a}if((ce[c[a+364>>2]&127](a,b)|0)!=0){k=17;break a}b=b+4|0;break};case 12:case 13:{b=b+1|0;if((g|0)==(j|0)){k=22;break a}break};default:{b=b+1|0}}}b:do{if((k|0)==5){l=-2}else if((k|0)==7){c[f>>2]=b;l=0}else if((k|0)==10){l=-2}else if((k|0)==12){c[f>>2]=b;l=0}else if((k|0)==15){l=-2}else if((k|0)==17){c[f>>2]=b;l=0}else if((k|0)==19){c[f>>2]=b;l=0}else if((k|0)==22){if((b|0)==(e|0)){l=-27;break}c[f>>2]=b;switch(d[a+76+(d[b]|0)|0]|0|0){case 21:case 9:case 10:case 11:case 30:case 20:{l=27;break b;break};default:{l=0;break b}}}else if((k|0)==29){l=-1}}while(0);i=h;return l|0}function ap(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{f=d[h+76+(d[a]|0)|0]|0;if((f|0)==22|(f|0)==24){a=a+1|0;b:while(1){if((a|0)==(b|0)){k=20;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 21:case 9:case 10:{break b;break};case 22:case 24:{break};case 30:{k=11;break b;break};default:{k=18;break b}}a=a+1|0}do{if((k|0)==11){if((a+1|0)==(b|0)){j=-1;break a}l=d[h+76+(d[a+1|0]|0)|0]|0;if((l|0)==21|(l|0)==9|(l|0)==10|(l|0)==30){c[e>>2]=a;j=0;break a}else{break}}else if((k|0)==18){c[e>>2]=a;j=0;break a}else if((k|0)==20){j=-1;break a}}while(0);c[e>>2]=a;j=16;break}else if((f|0)==20){c[e>>2]=a+1;j=33;break}else if((f|0)==27){j=Vo(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=0;break}}}while(0);i=g;return j|0}function bp(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{if((b-a|0)<2){j=-2;break a}if((ce[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 29:{c[e>>2]=a;j=0;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((ce[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((ce[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=45;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{k=25;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 7:{if((b-a|0)<4){k=38;break c}if((ce[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 5:{if((b-a|0)<2){k=28;break c}if((ce[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 6:{if((b-a|0)<3){k=33;break c}if((ce[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{k=42;break c;break};default:{k=43;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){c[e>>2]=a;j=20;break}else if((k|0)==43){c[e>>2]=a;j=0;break}else if((k|0)==45){j=-20;break}}}while(0);i=g;return j|0}function cp(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)!=(d|0)){j=(c[e>>2]|0)!=(f|0)}else{j=0}if(!j){break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}i=b;return}function dp(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;a=i;j=e;e=f;f=g;g=h;while(1){if((c[j>>2]|0)!=(e|0)){k=(c[f>>2]|0)!=(g|0)}else{k=0}if(!k){break}h=j;l=c[h>>2]|0;c[h>>2]=l+1;h=d[l]|0;l=f;m=c[l>>2]|0;c[l>>2]=m+2;b[m>>1]=h}i=a;return}function ep(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)==(d|0)){j=3;break}g=a[c[h>>2]|0]|0;if((g&128|0)!=0){if((f-(c[e>>2]|0)|0)<2){j=6;break}k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=(g&255)>>6|192;l=e;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=g&63|128;g=h;c[g>>2]=(c[g>>2]|0)+1}else{if((c[e>>2]|0)==(f|0)){j=9;break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}}if((j|0)==3){i=b;return}else if((j|0)==6){i=b;return}else if((j|0)==9){i=b;return}}function fp(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=i;l=b;b=e;e=f;f=g;g=h;h=j;if((f|0)==(g|0)){m=-4;n=m;i=k;return n|0}j=c[b+76>>2]|0;do{if((f+1|0)==(g|0)){o=a[b+73|0]|0;if((o|0)==3|(o|0)==5|(o|0)==4){m=-1;n=m;i=k;return n|0}a:do{switch(d[f]|0){case 254:case 255:case 239:{do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}p=12;break a}}while(0);break};case 0:case 60:{break};default:{p=12}}}while(0);if((p|0)==12){break}m=-1;n=m;i=k;return n|0}else{o=d[f|0]<<8|d[f+1|0];b:do{if((o|0)==61371){c:do{if((e|0)==1){q=a[b+73|0]|0;do{if((q|0)!=0){if((q|0)==4){break}if((q|0)==5){break}if((q|0)==3){break}break c}}while(0);break b}}while(0);if((f+2|0)==(g|0)){m=-1;n=m;i=k;return n|0}if((d[f+2|0]|0)!=191){break}c[h>>2]=f+3;c[j>>2]=c[l+8>>2];m=14;n=m;i=k;return n|0}else if((o|0)==65534){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+20>>2];m=14;n=m;i=k;return n|0}else if((o|0)==65279){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+16>>2];m=14;n=m;i=k;return n|0}else if((o|0)==15360){if((a[b+73|0]|0)==4){p=20}else{if((a[b+73|0]|0)==3){p=20}}do{if((p|0)==20){if((e|0)!=1){break}break b}}while(0);c[j>>2]=c[l+20>>2];m=fe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}else{if((a[f|0]|0)==0){do{if((e|0)==1){if((a[b+73|0]|0)!=5){break}break b}}while(0);c[j>>2]=c[l+16>>2];m=fe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}if((a[f+1|0]|0)!=0){break}if((e|0)==1){break}c[j>>2]=c[l+20>>2];m=fe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}}while(0)}}while(0);c[j>>2]=c[l+(a[b+73|0]<<2)>>2];m=fe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}function gp(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=b;b=d;d=e;e=f;f=g;g=h;if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}if((ip(hp(k,a,b)|0)|0)==0){c[g>>2]=a;l=0;m=l;i=j;return m|0}do{a=a+(c[k+68>>2]|0)|0;}while((ip(hp(k,a,b)|0)|0)!=0);if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}c[d>>2]=a;while(1){n=hp(k,a,b)|0;if((n|0)==-1){o=12;break}if((n|0)==61){o=14;break}if((ip(n)|0)!=0){o=16;break}a=a+(c[k+68>>2]|0)|0}do{if((o|0)==12){c[g>>2]=a;l=0;m=l;i=j;return m|0}else if((o|0)==14){c[e>>2]=a}else if((o|0)==16){c[e>>2]=a;do{a=a+(c[k+68>>2]|0)|0;h=hp(k,a,b)|0;n=h;}while((ip(h)|0)!=0);if((n|0)==61){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);if((a|0)==(c[d>>2]|0)){c[g>>2]=a;l=0;m=l;i=j;return m|0}a=a+(c[k+68>>2]|0)|0;n=hp(k,a,b)|0;while(1){if((ip(n)|0)==0){break}a=a+(c[k+68>>2]|0)|0;n=hp(k,a,b)|0}do{if((n|0)!=34){if((n|0)==39){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);d=n&255;a=a+(c[k+68>>2]|0)|0;c[f>>2]=a;a:while(1){n=hp(k,a,b)|0;if((n|0)==(d<<24>>24|0)){break}if(97<=(n|0)){if((n|0)>122){o=36}}else{o=36}do{if((o|0)==36){o=0;if(65<=(n|0)){if((n|0)<=90){break}}if(48<=(n|0)){if((n|0)<=57){break}}if((n|0)==46){break}if((n|0)==45){break}if((n|0)!=95){o=43;break a}}}while(0);a=a+(c[k+68>>2]|0)|0}if((o|0)==43){c[g>>2]=a;l=0;m=l;i=j;return m|0}c[g>>2]=a+(c[k+68>>2]|0);l=1;m=l;i=j;return m|0}function hp(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=b;c[g>>2]=d;c[j>>2]=h;Pd[c[k+60>>2]&31](k,g,e,j,(c[j>>2]|0)+1|0);if((c[j>>2]|0)==(h|0)){l=-1;m=l;i=f;return m|0}else{l=a[h|0]|0;m=l;i=f;return m|0}return 0}function ip(a){a=a|0;var b=0,c=0;b=a;if((b|0)==32|(b|0)==13|(b|0)==10|(b|0)==9){c=1}else{c=0}i=i;return c|0}function jp(a){a=a|0;var b=0;b=a;c[b>>2]=2;c[b+16>>2]=1;c[b+12>>2]=0;c[b+20>>2]=0;i=i;return}



function GQ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=i;i=i+448|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+64|0;l=e+80|0;m=e+96|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+160|0;r=e+176|0;s=e+192|0;t=e+208|0;u=e+224|0;v=e+240|0;w=e+256|0;x=e+272|0;y=e+288|0;z=e+304|0;A=e+320|0;B=e+336|0;C=e+352|0;D=e+368|0;E=e+384|0;F=e+400|0;G=e+416|0;H=e+432|0;c[b+4>>2]=d-1;c[b>>2]=906792;d=b+8|0;I=b+12|0;J=b+136|0;a[J]=1;K=b+24|0;c[I>>2]=K;c[d>>2]=K;c[b+16>>2]=J;J=28;L=K;do{if((L|0)==0){M=0}else{c[L>>2]=0;M=c[I>>2]|0}L=M+4|0;c[I>>2]=L;J=J-1|0;}while((J|0)!=0);XJ(b+144|0,892440,1);J=c[d>>2]|0;d=c[I>>2]|0;if((d|0)!=(J|0)){c[I>>2]=d+(~((d-4+(-J|0)|0)>>>2)<<2)}c[235457]=0;c[235456]=906496;if(!((c[235702]|0)==-1)){c[G>>2]=942808;c[G+4>>2]=20;c[G+8>>2]=0;QJ(942808,G,124)}HQ(b,941824,(c[235703]|0)-1|0);c[235455]=0;c[235454]=906456;if(!((c[235700]|0)==-1)){c[F>>2]=942800;c[F+4>>2]=20;c[F+8>>2]=0;QJ(942800,F,124)}HQ(b,941816,(c[235701]|0)-1|0);c[235507]=0;c[235506]=906904;c[235508]=0;a[942036]=0;c[235508]=c[(fb()|0)>>2];if(!((c[235782]|0)==-1)){c[E>>2]=943128;c[E+4>>2]=20;c[E+8>>2]=0;QJ(943128,E,124)}HQ(b,942024,(c[235783]|0)-1|0);c[235505]=0;c[235504]=906824;if(!((c[235780]|0)==-1)){c[D>>2]=943120;c[D+4>>2]=20;c[D+8>>2]=0;QJ(943120,D,124)}HQ(b,942016,(c[235781]|0)-1|0);c[235459]=0;c[235458]=906592;if(!((c[235706]|0)==-1)){c[C>>2]=942824;c[C+4>>2]=20;c[C+8>>2]=0;QJ(942824,C,124)}HQ(b,941832,(c[235707]|0)-1|0);c[226249]=0;c[226248]=906536;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);c[226250]=c[235424];if(!((c[235704]|0)==-1)){c[B>>2]=942816;c[B+4>>2]=20;c[B+8>>2]=0;QJ(942816,B,124)}HQ(b,904992,(c[235705]|0)-1|0);c[235461]=0;c[235460]=906648;if(!((c[235708]|0)==-1)){c[A>>2]=942832;c[A+4>>2]=20;c[A+8>>2]=0;QJ(942832,A,124)}HQ(b,941840,(c[235709]|0)-1|0);c[235463]=0;c[235462]=906704;if(!((c[235710]|0)==-1)){c[z>>2]=942840;c[z+4>>2]=20;c[z+8>>2]=0;QJ(942840,z,124)}HQ(b,941848,(c[235711]|0)-1|0);c[235437]=0;c[235436]=906e3;a[941752]=46;a[941753]=44;NU(941756,0,12)|0;if(!((c[235686]|0)==-1)){c[y>>2]=942744;c[y+4>>2]=20;c[y+8>>2]=0;QJ(942744,y,124)}HQ(b,941744,(c[235687]|0)-1|0);c[226241]=0;c[226240]=905952;c[226242]=46;c[226243]=44;NU(904976,0,12)|0;if(!((c[235684]|0)==-1)){c[x>>2]=942736;c[x+4>>2]=20;c[x+8>>2]=0;QJ(942736,x,124)}HQ(b,904960,(c[235685]|0)-1|0);c[235453]=0;c[235452]=906384;if(!((c[235698]|0)==-1)){c[w>>2]=942792;c[w+4>>2]=20;c[w+8>>2]=0;QJ(942792,w,124)}HQ(b,941808,(c[235699]|0)-1|0);c[235451]=0;c[235450]=906312;if(!((c[235696]|0)==-1)){c[v>>2]=942784;c[v+4>>2]=20;c[v+8>>2]=0;QJ(942784,v,124)}HQ(b,941800,(c[235697]|0)-1|0);c[235449]=0;c[235448]=906248;if(!((c[235694]|0)==-1)){c[u>>2]=942776;c[u+4>>2]=20;c[u+8>>2]=0;QJ(942776,u,124)}HQ(b,941792,(c[235695]|0)-1|0);c[235447]=0;c[235446]=906184;if(!((c[235692]|0)==-1)){c[t>>2]=942768;c[t+4>>2]=20;c[t+8>>2]=0;QJ(942768,t,124)}HQ(b,941784,(c[235693]|0)-1|0);c[235517]=0;c[235516]=908120;if(!((c[235902]|0)==-1)){c[s>>2]=943608;c[s+4>>2]=20;c[s+8>>2]=0;QJ(943608,s,124)}HQ(b,942064,(c[235903]|0)-1|0);c[235515]=0;c[235514]=908056;if(!((c[235900]|0)==-1)){c[r>>2]=943600;c[r+4>>2]=20;c[r+8>>2]=0;QJ(943600,r,124)}HQ(b,942056,(c[235901]|0)-1|0);c[235513]=0;c[235512]=907992;if(!((c[235898]|0)==-1)){c[q>>2]=943592;c[q+4>>2]=20;c[q+8>>2]=0;QJ(943592,q,124)}HQ(b,942048,(c[235899]|0)-1|0);c[235511]=0;c[235510]=907928;if(!((c[235896]|0)==-1)){c[p>>2]=943584;c[p+4>>2]=20;c[p+8>>2]=0;QJ(943584,p,124)}HQ(b,942040,(c[235897]|0)-1|0);c[235435]=0;c[235434]=905632;if(!((c[235674]|0)==-1)){c[o>>2]=942696;c[o+4>>2]=20;c[o+8>>2]=0;QJ(942696,o,124)}HQ(b,941736,(c[235675]|0)-1|0);c[235433]=0;c[235432]=905592;if(!((c[235672]|0)==-1)){c[n>>2]=942688;c[n+4>>2]=20;c[n+8>>2]=0;QJ(942688,n,124)}HQ(b,941728,(c[235673]|0)-1|0);c[235431]=0;c[235430]=905552;if(!((c[235670]|0)==-1)){c[m>>2]=942680;c[m+4>>2]=20;c[m+8>>2]=0;QJ(942680,m,124)}HQ(b,941720,(c[235671]|0)-1|0);c[235429]=0;c[235428]=905512;if(!((c[235668]|0)==-1)){c[l>>2]=942672;c[l+4>>2]=20;c[l+8>>2]=0;QJ(942672,l,124)}HQ(b,941712,(c[235669]|0)-1|0);c[226237]=0;c[226236]=905856;c[226238]=905904;if(!((c[235682]|0)==-1)){c[k>>2]=942728;c[k+4>>2]=20;c[k+8>>2]=0;QJ(942728,k,124)}HQ(b,904944,(c[235683]|0)-1|0);c[226233]=0;c[226232]=905760;c[226234]=905808;if(!((c[235680]|0)==-1)){c[j>>2]=942720;c[j+4>>2]=20;c[j+8>>2]=0;QJ(942720,j,124)}HQ(b,904928,(c[235681]|0)-1|0);c[226229]=0;c[226228]=906760;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);c[226230]=c[235424];c[226228]=905728;if(!((c[235678]|0)==-1)){c[h>>2]=942712;c[h+4>>2]=20;c[h+8>>2]=0;QJ(942712,h,124)}HQ(b,904912,(c[235679]|0)-1|0);c[226225]=0;c[226224]=906760;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);c[226226]=c[235424];c[226224]=905696;if(!((c[235676]|0)==-1)){c[g>>2]=942704;c[g+4>>2]=20;c[g+8>>2]=0;QJ(942704,g,124)}HQ(b,904896,(c[235677]|0)-1|0);c[235445]=0;c[235444]=906088;if(!((c[235690]|0)==-1)){c[f>>2]=942760;c[f+4>>2]=20;c[f+8>>2]=0;QJ(942760,f,124)}HQ(b,941776,(c[235691]|0)-1|0);c[235443]=0;c[235442]=906048;if(!((c[235688]|0)==-1)){c[H>>2]=942752;c[H+4>>2]=20;c[H+8>>2]=0;QJ(942752,H,124)}HQ(b,941768,(c[235689]|0)-1|0);i=e;return}function HQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;uJ(b|0);e=a+8|0;f=a+12|0;a=c[f>>2]|0;g=e|0;h=c[g>>2]|0;i=a-h>>2;do{if(i>>>0>d>>>0){j=h}else{k=d+1|0;if(i>>>0<k>>>0){MS(e,k-i|0);j=c[g>>2]|0;break}if(!(i>>>0>k>>>0)){j=h;break}l=h+(k<<2)|0;if((a|0)==(l|0)){j=h;break}c[f>>2]=a+(~((a-4+(-l|0)|0)>>>2)<<2);j=h}}while(0);h=c[j+(d<<2)>>2]|0;if((h|0)==0){m=j;n=m+(d<<2)|0;c[n>>2]=b;return}vJ(h|0)|0;m=c[g>>2]|0;n=m+(d<<2)|0;c[n>>2]=b;return}function IQ(a){a=a|0;JQ(a);qU(a);return}function JQ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c[b>>2]=906792;d=b+12|0;e=c[d>>2]|0;f=b+8|0;g=c[f>>2]|0;if((e|0)!=(g|0)){h=0;i=g;g=e;while(1){e=c[i+(h<<2)>>2]|0;if((e|0)==0){j=g;k=i}else{vJ(e|0)|0;j=c[d>>2]|0;k=c[f>>2]|0}e=h+1|0;if(e>>>0<j-k>>2>>>0){h=e;i=k;g=j}else{break}}}dK(b+144|0);j=c[f>>2]|0;if((j|0)==0){l=b|0;tJ(l);return}f=c[d>>2]|0;if((f|0)!=(j|0)){c[d>>2]=f+(~((f-4+(-j|0)|0)>>>2)<<2)}if((b+24|0)==(j|0)){a[b+136|0]=0;l=b|0;tJ(l);return}else{qU(j);l=b|0;tJ(l);return}}function KQ(){var b=0,d=0;if((a[943672]|0)!=0){b=c[235416]|0;return b|0}if(($b(943672)|0)==0){b=c[235416]|0;return b|0}do{if((a[943680]|0)==0){if(($b(943680)|0)==0){break}GQ(941856,1);c[235420]=941856;c[235418]=941680}}while(0);d=c[c[235418]>>2]|0;c[235422]=d;uJ(d|0);c[235416]=941688;b=c[235416]|0;return b|0}function LQ(a){a=a|0;var b=0;b=c[(KQ()|0)>>2]|0;c[a>>2]=b;uJ(b|0);return}function MQ(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;uJ(d|0);return}function NQ(a){a=a|0;vJ(c[a>>2]|0)|0;return}function OQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=20;c[e+8>>2]=0;QJ(a,e,124)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=0;i=d;return g|0}g=(c[b+(e<<2)>>2]|0)!=0;i=d;return g|0}function PQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=20;c[e+8>>2]=0;QJ(a,e,124)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=xd(4)|0;h=g;PT(h);tc(g|0,911744,178);return 0}f=c[b+(e<<2)>>2]|0;if((f|0)==0){g=xd(4)|0;h=g;PT(h);tc(g|0,911744,178);return 0}else{i=d;return f|0}return 0}function QQ(a){a=a|0;tJ(a|0);qU(a);return}function RQ(a){a=a|0;if((a|0)==0){return}Qd[c[(c[a>>2]|0)+4>>2]&511](a);return}function SQ(a){a=a|0;c[a+4>>2]=(I=c[235712]|0,c[235712]=I+1,I)+1;return}function TQ(a){a=a|0;tJ(a|0);qU(a);return}function UQ(a,d,e){a=a|0;d=d|0;e=e|0;var f=0;if(!(e>>>0<128>>>0)){f=0;return f|0}f=(b[(c[(fb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16!=0;return f|0}function VQ(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){f=c[h>>2]|0;if(f>>>0<128>>>0){j=b[(c[(fb()|0)>>2]|0)+(f<<1)>>1]|0}else{j=0}b[i>>1]=j;f=h+4|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+2|0}}return g|0}function WQ(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((e|0)==(f|0)){g=e;return g|0}else{h=e}while(1){e=c[h>>2]|0;if(e>>>0<128>>>0){if(!((b[(c[(fb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0)){g=h;i=7;break}}e=h+4|0;if((e|0)==(f|0)){g=f;i=7;break}else{h=e}}if((i|0)==7){return g|0}return 0}function XQ(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=e;while(1){if((a|0)==(f|0)){g=f;h=7;break}e=c[a>>2]|0;if(!(e>>>0<128>>>0)){g=a;h=7;break}if((b[(c[(fb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0){g=a;h=7;break}else{a=a+4|0}}if((h|0)==7){return g|0}return 0}function YQ(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Dd()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function ZQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Dd()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function _Q(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Ed()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function $Q(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Ed()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function aR(a,b){a=a|0;b=b|0;return b<<24>>24|0}function bR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){c[i>>2]=a[h]|0;f=h+1|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+4|0}}return g|0}function cR(a,b,c){a=a|0;b=b|0;c=c|0;return(b>>>0<128>>>0?b&255:c)|0}function dR(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((d|0)==(e|0)){h=d;return h|0}b=((e-4+(-d|0)|0)>>>2)+1|0;i=d;j=g;while(1){g=c[i>>2]|0;a[j]=g>>>0<128>>>0?g&255:f;g=i+4|0;if((g|0)==(e|0)){break}else{i=g;j=j+1|0}}h=d+(b<<2)|0;return h|0}function eR(b){b=b|0;var d=0;c[b>>2]=906904;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}rU(d)}}while(0);tJ(b|0);qU(b);return}function fR(b){b=b|0;var d=0;c[b>>2]=906904;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}rU(d)}}while(0);tJ(b|0);return}function gR(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Dd()|0)>>2]|0)+((b&255)<<2)>>2]&255;return d|0}function hR(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Dd()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function iR(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Ed()|0)>>2]|0)+(b<<24>>24<<2)>>2]&255;return d|0}function jR(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Ed()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function kR(a,b){a=a|0;b=b|0;return b|0}function lR(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((c|0)==(d|0)){f=c;return f|0}else{g=c;h=e}while(1){a[h]=a[g]|0;e=g+1|0;if((e|0)==(d|0)){f=d;break}else{g=e;h=h+1|0}}return f|0}function mR(a,b,c){a=a|0;b=b|0;c=c|0;return(b<<24>>24<0?c:b)|0}function nR(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((c|0)==(d|0)){g=c;return g|0}else{h=c;i=f}while(1){f=a[h]|0;a[i]=f<<24>>24<0?e:f;f=h+1|0;if((f|0)==(d|0)){g=d;break}else{h=f;i=i+1|0}}return g|0}function oR(a){a=a|0;tJ(a|0);qU(a);return}function pR(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function qR(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function rR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function sR(a){a=a|0;return 1}function tR(a){a=a|0;return 1}function uR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return(b>>>0<e>>>0?b:e)|0}function vR(a){a=a|0;return 1}function wR(a){a=a|0;EQ(a);qU(a);return}function xR(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;l=i;i=i+8|0;m=l|0;n=m;o=i;i=i+4|0;i=i+7&-8;p=e;while(1){if((p|0)==(f|0)){q=f;break}if((c[p>>2]|0)==0){q=p;break}else{p=p+4|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){r=e}else{p=d;s=j;t=b+8|0;u=o|0;v=h;w=e;x=q;while(1){y=c[p+4>>2]|0;c[m>>2]=c[p>>2];c[m+4>>2]=y;y=cd(c[t>>2]|0)|0;z=oT(v,g,x-w>>2,s-v|0,d)|0;if((y|0)!=0){cd(y|0)|0}if((z|0)==0){A=1;B=50;break}else if((z|0)==(-1|0)){B=15;break}y=(c[k>>2]|0)+z|0;c[k>>2]=y;if((y|0)==(j|0)){B=48;break}if((x|0)==(f|0)){C=f;D=y;E=c[g>>2]|0}else{y=cd(c[t>>2]|0)|0;z=nT(u,0,d)|0;if((y|0)!=0){cd(y|0)|0}if((z|0)==-1){A=2;B=50;break}y=c[k>>2]|0;if(z>>>0>(s-y|0)>>>0){A=1;B=50;break}b:do{if((z|0)!=0){F=z;G=u;H=y;while(1){I=a[G]|0;c[k>>2]=H+1;a[H]=I;I=F-1|0;if((I|0)==0){break b}F=I;G=G+1|0;H=c[k>>2]|0}}}while(0);y=(c[g>>2]|0)+4|0;c[g>>2]=y;z=y;while(1){if((z|0)==(f|0)){J=f;break}if((c[z>>2]|0)==0){J=z;break}else{z=z+4|0}}C=J;D=c[k>>2]|0;E=y}if((E|0)==(f|0)|(D|0)==(j|0)){r=E;break a}else{v=D;w=E;x=C}}if((B|0)==15){c[k>>2]=v;c:do{if((w|0)==(c[g>>2]|0)){K=w}else{x=w;u=v;while(1){s=c[x>>2]|0;p=cd(c[t>>2]|0)|0;z=nT(u,s,n)|0;if((p|0)!=0){cd(p|0)|0}if((z|0)==-1){K=x;break c}p=(c[k>>2]|0)+z|0;c[k>>2]=p;z=x+4|0;if((z|0)==(c[g>>2]|0)){K=z;break}else{x=z;u=p}}}}while(0);c[g>>2]=K;A=2;i=l;return A|0}else if((B|0)==48){r=c[g>>2]|0;break}else if((B|0)==50){i=l;return A|0}}}while(0);A=(r|0)!=(f|0)|0;i=l;return A|0}function yR(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;l=i;i=i+8|0;m=l|0;n=m;o=e;while(1){if((o|0)==(f|0)){p=f;break}if((a[o]|0)==0){p=o;break}else{o=o+1|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){q=e}else{o=d;r=j;s=b+8|0;t=h;u=e;v=p;while(1){w=c[o+4>>2]|0;c[m>>2]=c[o>>2];c[m+4>>2]=w;x=v;w=cd(c[s>>2]|0)|0;y=kT(t,g,x-u|0,r-t>>2,d)|0;if((w|0)!=0){cd(w|0)|0}if((y|0)==(-1|0)){z=15;break}else if((y|0)==0){A=2;z=49;break}w=(c[k>>2]|0)+(y<<2)|0;c[k>>2]=w;if((w|0)==(j|0)){z=47;break}y=c[g>>2]|0;if((v|0)==(f|0)){B=f;C=w;D=y}else{E=cd(c[s>>2]|0)|0;F=jT(w,y,1,d)|0;if((E|0)!=0){cd(E|0)|0}if((F|0)!=0){A=2;z=49;break}c[k>>2]=(c[k>>2]|0)+4;F=(c[g>>2]|0)+1|0;c[g>>2]=F;E=F;while(1){if((E|0)==(f|0)){G=f;break}if((a[E]|0)==0){G=E;break}else{E=E+1|0}}B=G;C=c[k>>2]|0;D=F}if((D|0)==(f|0)|(C|0)==(j|0)){q=D;break a}else{t=C;u=D;v=B}}if((z|0)==15){c[k>>2]=t;b:do{if((u|0)==(c[g>>2]|0)){H=u}else{v=t;r=u;while(1){o=cd(c[s>>2]|0)|0;E=jT(v,r,x-r|0,n)|0;if((o|0)!=0){cd(o|0)|0}if((E|0)==0){I=r+1|0}else if((E|0)==(-1|0)){z=26;break}else if((E|0)==(-2|0)){z=27;break}else{I=r+E|0}E=(c[k>>2]|0)+4|0;c[k>>2]=E;if((I|0)==(c[g>>2]|0)){H=I;break b}else{v=E;r=I}}if((z|0)==26){c[g>>2]=r;A=2;i=l;return A|0}else if((z|0)==27){c[g>>2]=r;A=1;i=l;return A|0}}}while(0);c[g>>2]=H;A=(H|0)!=(f|0)|0;i=l;return A|0}else if((z|0)==47){q=c[g>>2]|0;break}else if((z|0)==49){i=l;return A|0}}}while(0);A=(q|0)!=(f|0)|0;i=l;return A|0}function zR(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;i=i+8|0;c[g>>2]=e;e=h|0;j=cd(c[b+8>>2]|0)|0;b=nT(e,0,d)|0;if((j|0)!=0){cd(j|0)|0}if((b|0)==(-1|0)|(b|0)==0){k=2;i=h;return k|0}j=b-1|0;b=c[g>>2]|0;if(j>>>0>(f-b|0)>>>0){k=1;i=h;return k|0}if((j|0)==0){k=0;i=h;return k|0}else{l=j;m=e;n=b}while(1){b=a[m]|0;c[g>>2]=n+1;a[n]=b;b=l-1|0;if((b|0)==0){k=0;break}l=b;m=m+1|0;n=c[g>>2]|0}i=h;return k|0}function AR(a){a=a|0;var b=0,d=0,e=0;b=a+8|0;a=cd(c[b>>2]|0)|0;d=mT(0,0,4)|0;if((a|0)!=0){cd(a|0)|0}if((d|0)!=0){e=-1;return e|0}d=c[b>>2]|0;if((d|0)==0){e=1;return e|0}b=cd(d|0)|0;if((b|0)==0){e=0;return e|0}cd(b|0)|0;e=0;return e|0}function BR(a){a=a|0;return 0}function CR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((f|0)==0|(d|0)==(e|0)){g=0;return g|0}h=e;i=a+8|0;a=d;d=0;j=0;while(1){k=cd(c[i>>2]|0)|0;l=iT(a,h-a|0,b)|0;if((k|0)!=0){cd(k|0)|0}if((l|0)==0){m=1;n=a+1|0}else if((l|0)==(-1|0)|(l|0)==(-2|0)){g=d;o=15;break}else{m=l;n=a+l|0}l=m+d|0;k=j+1|0;if(k>>>0>=f>>>0|(n|0)==(e|0)){g=l;o=15;break}else{a=n;d=l;j=k}}if((o|0)==15){return g|0}return 0}function DR(a){a=a|0;var b=0,d=0;b=c[a+8>>2]|0;do{if((b|0)==0){d=1}else{a=cd(b|0)|0;if((a|0)==0){d=4;break}cd(a|0)|0;d=4}}while(0);return d|0}function ER(a){a=a|0;tJ(a|0);qU(a);return}function FR(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=GR(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>1<<1);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function GR(d,f,g,h,i,j,k,l){d=d|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;c[g>>2]=d;c[j>>2]=h;do{if((l&2|0)!=0){if((i-h|0)<3){m=1;return m|0}else{c[j>>2]=h+1;a[h]=-17;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-69;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-65;break}}}while(0);h=f;l=c[g>>2]|0;if(!(l>>>0<f>>>0)){m=0;return m|0}d=i;i=l;a:while(1){l=b[i>>1]|0;n=l&65535;if(n>>>0>k>>>0){m=2;o=26;break}do{if((l&65535)>>>0<128>>>0){p=c[j>>2]|0;if((d-p|0)<1){m=1;o=26;break a}c[j>>2]=p+1;a[p]=l}else{if((l&65535)>>>0<2048>>>0){p=c[j>>2]|0;if((d-p|0)<2){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>6|192;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((l&65535)>>>0<55296>>>0){p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if(!((l&65535)>>>0<56320>>>0)){if((l&65535)>>>0<57344>>>0){m=2;o=26;break a}p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((h-i|0)<4){m=1;o=26;break a}p=i+2|0;q=e[p>>1]|0;if((q&64512|0)!=56320){m=2;o=26;break a}if((d-(c[j>>2]|0)|0)<4){m=1;o=26;break a}r=n&960;if(((r<<10)+65536|n<<10&64512|q&1023)>>>0>k>>>0){m=2;o=26;break a}c[g>>2]=p;p=(r>>>6)+1|0;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=p>>>2|240;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=n>>>2&15|p<<4&48|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n<<4&48|q>>>6&15|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=q&63|128}}while(0);n=(c[g>>2]|0)+2|0;c[g>>2]=n;if(n>>>0<f>>>0){i=n}else{m=0;o=26;break}}if((o|0)==26){return m|0}return 0}function HR(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=IR(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>1<<1);i=b;return l|0}function IR(e,f,g,h,i,j,k,l){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c[g>>2]=e;c[j>>2]=h;h=c[g>>2]|0;do{if((l&4|0)==0){m=h}else{if((f-h|0)<=2){m=h;break}if(!((a[h]|0)==-17)){m=h;break}if(!((a[h+1|0]|0)==-69)){m=h;break}if(!((a[h+2|0]|0)==-65)){m=h;break}e=h+3|0;c[g>>2]=e;m=e}}while(0);a:do{if(m>>>0<f>>>0){h=f;l=i;e=c[j>>2]|0;n=m;b:while(1){if(!(e>>>0<i>>>0)){o=n;break a}p=a[n]|0;q=p&255;if(q>>>0>k>>>0){r=2;s=41;break}do{if(p<<24>>24>-1){b[e>>1]=p&255;c[g>>2]=n+1}else{if((p&255)>>>0<194>>>0){r=2;s=41;break b}if((p&255)>>>0<224>>>0){if((h-n|0)<2){r=1;s=41;break b}t=d[n+1|0]|0;if((t&192|0)!=128){r=2;s=41;break b}u=t&63|q<<6&1984;if(u>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=u;c[g>>2]=n+2;break}if((p&255)>>>0<240>>>0){if((h-n|0)<3){r=1;s=41;break b}u=a[n+1|0]|0;t=a[n+2|0]|0;if((q|0)==224){if(!((u&-32)<<24>>24==-96)){r=2;s=41;break b}}else if((q|0)==237){if(!((u&-32)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((u&-64)<<24>>24==-128)){r=2;s=41;break b}}v=t&255;if((v&192|0)!=128){r=2;s=41;break b}t=(u&255)<<6&4032|q<<12|v&63;if((t&65535)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=t;c[g>>2]=n+3;break}if(!((p&255)>>>0<245>>>0)){r=2;s=41;break b}if((h-n|0)<4){r=1;s=41;break b}t=a[n+1|0]|0;v=a[n+2|0]|0;u=a[n+3|0]|0;if((q|0)==240){if(!((t+112&255)>>>0<48>>>0)){r=2;s=41;break b}}else if((q|0)==244){if(!((t&-16)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((t&-64)<<24>>24==-128)){r=2;s=41;break b}}w=v&255;if((w&192|0)!=128){r=2;s=41;break b}v=u&255;if((v&192|0)!=128){r=2;s=41;break b}if((l-e|0)<4){r=1;s=41;break b}u=q&7;x=t&255;t=w<<6;y=v&63;if((x<<12&258048|u<<18|t&4032|y)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=x<<2&60|w>>>4&3|((x>>>4&3|u<<2)<<6)+16320|55296;u=e+2|0;c[j>>2]=u;b[u>>1]=y|t&960|56320;c[g>>2]=(c[g>>2]|0)+4}}while(0);q=(c[j>>2]|0)+2|0;c[j>>2]=q;p=c[g>>2]|0;if(p>>>0<f>>>0){e=q;n=p}else{o=p;break a}}if((s|0)==41){return r|0}}else{o=m}}while(0);r=o>>>0<f>>>0|0;return r|0}function JR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function KR(a){a=a|0;return 0}function LR(a){a=a|0;return 0}function MR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return NR(c,d,e,1114111,0)|0}function NR(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=0;j=h;b:while(1){k=a[j]|0;l=k&255;if(l>>>0>f>>>0){m=j;break a}do{if(k<<24>>24>-1){n=j+1|0;o=i}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}p=d[j+1|0]|0;if((p&192|0)!=128){m=j;break a}if((p&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;o=i;break}if((k&255)>>>0<240>>>0){q=j;if((g-q|0)<3){m=j;break a}p=a[j+1|0]|0;r=a[j+2|0]|0;if((l|0)==224){if(!((p&-32)<<24>>24==-96)){s=21;break b}}else if((l|0)==237){if(!((p&-32)<<24>>24==-128)){s=23;break b}}else{if(!((p&-64)<<24>>24==-128)){s=25;break b}}t=r&255;if((t&192|0)!=128){m=j;break a}if(((p&255)<<6&4032|l<<12&61440|t&63)>>>0>f>>>0){m=j;break a}n=j+3|0;o=i;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}u=j;if((g-u|0)<4){m=j;break a}if((e-i|0)>>>0<2>>>0){m=j;break a}t=a[j+1|0]|0;p=a[j+2|0]|0;r=a[j+3|0]|0;if((l|0)==240){if(!((t+112&255)>>>0<48>>>0)){s=34;break b}}else if((l|0)==244){if(!((t&-16)<<24>>24==-128)){s=36;break b}}else{if(!((t&-64)<<24>>24==-128)){s=38;break b}}v=p&255;if((v&192|0)!=128){m=j;break a}p=r&255;if((p&192|0)!=128){m=j;break a}if(((t&255)<<12&258048|l<<18&1835008|v<<6&4032|p&63)>>>0>f>>>0){m=j;break a}n=j+4|0;o=i+1|0}}while(0);l=o+1|0;if(n>>>0<c>>>0&l>>>0<e>>>0){i=l;j=n}else{m=n;break a}}if((s|0)==21){w=q-b|0;return w|0}else if((s|0)==23){w=q-b|0;return w|0}else if((s|0)==25){w=q-b|0;return w|0}else if((s|0)==34){w=u-b|0;return w|0}else if((s|0)==36){w=u-b|0;return w|0}else if((s|0)==38){w=u-b|0;return w|0}}else{m=h}}while(0);w=m-b|0;return w|0}function OR(a){a=a|0;return 4}function PR(a){a=a|0;tJ(a|0);qU(a);return}function QR(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=RR(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>2<<2);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function RR(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;c[e>>2]=b;c[h>>2]=f;do{if((j&2|0)!=0){if((g-f|0)<3){k=1;return k|0}else{c[h>>2]=f+1;a[f]=-17;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-69;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-65;break}}}while(0);f=c[e>>2]|0;if(!(f>>>0<d>>>0)){k=0;return k|0}j=g;g=f;a:while(1){f=c[g>>2]|0;if((f&-2048|0)==55296|f>>>0>i>>>0){k=2;l=19;break}do{if(f>>>0<128>>>0){b=c[h>>2]|0;if((j-b|0)<1){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f}else{if(f>>>0<2048>>>0){b=c[h>>2]|0;if((j-b|0)<2){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>6|192;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}b=c[h>>2]|0;m=j-b|0;if(f>>>0<65536>>>0){if((m|0)<3){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>12|224;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f>>>6&63|128;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f&63|128;break}else{if((m|0)<4){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>18|240;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>12&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>6&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}}}while(0);f=(c[e>>2]|0)+4|0;c[e>>2]=f;if(f>>>0<d>>>0){g=f}else{k=0;l=19;break}}if((l|0)==19){return k|0}return 0}function SR(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=TR(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>2<<2);i=b;return l|0}function TR(b,e,f,g,h,i,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c[f>>2]=b;c[i>>2]=g;g=c[f>>2]|0;do{if((k&4|0)==0){l=g}else{if((e-g|0)<=2){l=g;break}if(!((a[g]|0)==-17)){l=g;break}if(!((a[g+1|0]|0)==-69)){l=g;break}if(!((a[g+2|0]|0)==-65)){l=g;break}b=g+3|0;c[f>>2]=b;l=b}}while(0);a:do{if(l>>>0<e>>>0){g=e;k=c[i>>2]|0;b=l;b:while(1){if(!(k>>>0<h>>>0)){m=b;break a}n=a[b]|0;o=n&255;do{if(n<<24>>24>-1){if(o>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=o;c[f>>2]=b+1}else{if((n&255)>>>0<194>>>0){p=2;q=40;break b}if((n&255)>>>0<224>>>0){if((g-b|0)<2){p=1;q=40;break b}r=d[b+1|0]|0;if((r&192|0)!=128){p=2;q=40;break b}s=r&63|o<<6&1984;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+2;break}if((n&255)>>>0<240>>>0){if((g-b|0)<3){p=1;q=40;break b}s=a[b+1|0]|0;r=a[b+2|0]|0;if((o|0)==224){if(!((s&-32)<<24>>24==-96)){p=2;q=40;break b}}else if((o|0)==237){if(!((s&-32)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((s&-64)<<24>>24==-128)){p=2;q=40;break b}}t=r&255;if((t&192|0)!=128){p=2;q=40;break b}r=(s&255)<<6&4032|o<<12&61440|t&63;if(r>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=r;c[f>>2]=b+3;break}if(!((n&255)>>>0<245>>>0)){p=2;q=40;break b}if((g-b|0)<4){p=1;q=40;break b}r=a[b+1|0]|0;t=a[b+2|0]|0;s=a[b+3|0]|0;if((o|0)==240){if(!((r+112&255)>>>0<48>>>0)){p=2;q=40;break b}}else if((o|0)==244){if(!((r&-16)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((r&-64)<<24>>24==-128)){p=2;q=40;break b}}u=t&255;if((u&192|0)!=128){p=2;q=40;break b}t=s&255;if((t&192|0)!=128){p=2;q=40;break b}s=(r&255)<<12&258048|o<<18&1835008|u<<6&4032|t&63;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+4}}while(0);o=(c[i>>2]|0)+4|0;c[i>>2]=o;n=c[f>>2]|0;if(n>>>0<e>>>0){k=o;b=n}else{m=n;break a}}if((q|0)==40){return p|0}}else{m=l}}while(0);p=m>>>0<e>>>0|0;return p|0}function UR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function VR(a){a=a|0;return 0}function WR(a){a=a|0;return 0}function XR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return YR(c,d,e,1114111,0)|0}function YR(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=1;j=h;b:while(1){k=a[j]|0;l=k&255;do{if(k<<24>>24>-1){if(l>>>0>f>>>0){m=j;break a}n=j+1|0}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}o=d[j+1|0]|0;if((o&192|0)!=128){m=j;break a}if((o&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;break}if((k&255)>>>0<240>>>0){p=j;if((g-p|0)<3){m=j;break a}o=a[j+1|0]|0;q=a[j+2|0]|0;if((l|0)==224){if(!((o&-32)<<24>>24==-96)){r=21;break b}}else if((l|0)==237){if(!((o&-32)<<24>>24==-128)){r=23;break b}}else{if(!((o&-64)<<24>>24==-128)){r=25;break b}}s=q&255;if((s&192|0)!=128){m=j;break a}if(((o&255)<<6&4032|l<<12&61440|s&63)>>>0>f>>>0){m=j;break a}n=j+3|0;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}t=j;if((g-t|0)<4){m=j;break a}s=a[j+1|0]|0;o=a[j+2|0]|0;q=a[j+3|0]|0;if((l|0)==240){if(!((s+112&255)>>>0<48>>>0)){r=33;break b}}else if((l|0)==244){if(!((s&-16)<<24>>24==-128)){r=35;break b}}else{if(!((s&-64)<<24>>24==-128)){r=37;break b}}u=o&255;if((u&192|0)!=128){m=j;break a}o=q&255;if((o&192|0)!=128){m=j;break a}if(((s&255)<<12&258048|l<<18&1835008|u<<6&4032|o&63)>>>0>f>>>0){m=j;break a}n=j+4|0}}while(0);if(!(n>>>0<c>>>0&i>>>0<e>>>0)){m=n;break a}i=i+1|0;j=n}if((r|0)==21){v=p-b|0;return v|0}else if((r|0)==23){v=p-b|0;return v|0}else if((r|0)==25){v=p-b|0;return v|0}else if((r|0)==33){v=t-b|0;return v|0}else if((r|0)==35){v=t-b|0;return v|0}else if((r|0)==37){v=t-b|0;return v|0}}else{m=h}}while(0);v=m-b|0;return v|0}function ZR(a){a=a|0;return 4}function _R(a){a=a|0;tJ(a|0);qU(a);return}function $R(a){a=a|0;tJ(a|0);qU(a);return}function aS(a){a=a|0;c[a>>2]=906e3;dK(a+12|0);tJ(a|0);qU(a);return}function bS(a){a=a|0;c[a>>2]=906e3;dK(a+12|0);tJ(a|0);return}function cS(a){a=a|0;c[a>>2]=905952;dK(a+16|0);tJ(a|0);qU(a);return}function dS(a){a=a|0;c[a>>2]=905952;dK(a+16|0);tJ(a|0);return}function eS(b){b=b|0;return a[b+8|0]|0}function fS(a){a=a|0;return c[a+8>>2]|0}function gS(b){b=b|0;return a[b+9|0]|0}function hS(a){a=a|0;return c[a+12>>2]|0}function iS(a,b){a=a|0;b=b|0;VJ(a,b+12|0);return}function jS(a,b){a=a|0;b=b|0;VJ(a,b+16|0);return}function kS(a,b){a=a|0;b=b|0;XJ(a,55296,4);return}function lS(a,b){a=a|0;b=b|0;FK(a,54224,KT(54224)|0);return}function mS(a,b){a=a|0;b=b|0;XJ(a,53264,5);return}function nS(a,b){a=a|0;b=b|0;FK(a,52904,KT(52904)|0);return}function oS(b){b=b|0;var d=0;if((a[943768]|0)!=0){d=c[235542]|0;return d|0}if(($b(943768)|0)==0){d=c[235542]|0;return d|0}do{if((a[943656]|0)==0){if(($b(943656)|0)==0){break}NU(941208,0,168)|0;Eb(330,0,s|0)|0}}while(0);gK(941208,899136)|0;gK(941220,898744)|0;gK(941232,898544)|0;gK(941244,898360)|0;gK(941256,898104)|0;gK(941268,897992)|0;gK(941280,897848)|0;gK(941292,897808)|0;gK(941304,897760)|0;gK(941316,897424)|0;gK(941328,897240)|0;gK(941340,896752)|0;gK(941352,896720)|0;gK(941364,896680)|0;c[235542]=941208;d=c[235542]|0;return d|0}function pS(b){b=b|0;var d=0;if((a[943712]|0)!=0){d=c[235520]|0;return d|0}if(($b(943712)|0)==0){d=c[235520]|0;return d|0}do{if((a[943632]|0)==0){if(($b(943632)|0)==0){break}NU(940464,0,168)|0;Eb(120,0,s|0)|0}}while(0);IK(940464,902640)|0;IK(940476,902480)|0;IK(940488,902272)|0;IK(940500,902192)|0;IK(940512,901728)|0;IK(940524,901384)|0;IK(940536,900808)|0;IK(940548,900696)|0;IK(940560,900440)|0;IK(940572,900096)|0;IK(940584,9e5)|0;IK(940596,899824)|0;IK(940608,899720)|0;IK(940620,899536)|0;c[235520]=940464;d=c[235520]|0;return d|0}function qS(b){b=b|0;var d=0;if((a[943760]|0)!=0){d=c[235540]|0;return d|0}if(($b(943760)|0)==0){d=c[235540]|0;return d|0}do{if((a[943648]|0)==0){if(($b(943648)|0)==0){break}NU(940920,0,288)|0;Eb(214,0,s|0)|0}}while(0);gK(940920,25792)|0;gK(940932,25632)|0;gK(940944,25448)|0;gK(940956,25240)|0;gK(940968,25064)|0;gK(940980,24808)|0;gK(940992,24664)|0;gK(941004,24400)|0;gK(941016,24120)|0;gK(941028,23736)|0;gK(941040,22792)|0;gK(941052,22600)|0;gK(941064,22456)|0;gK(941076,22088)|0;gK(941088,21920)|0;gK(941100,21744)|0;gK(941112,25064)|0;gK(941124,21544)|0;gK(941136,21400)|0;gK(941148,904352)|0;gK(941160,904016)|0;gK(941172,903568)|0;gK(941184,903512)|0;gK(941196,903160)|0;c[235540]=940920;d=c[235540]|0;return d|0}function rS(b){b=b|0;var d=0;if((a[943704]|0)!=0){d=c[235518]|0;return d|0}if(($b(943704)|0)==0){d=c[235518]|0;return d|0}do{if((a[943624]|0)==0){if(($b(943624)|0)==0){break}NU(940176,0,288)|0;Eb(164,0,s|0)|0}}while(0);IK(940176,35344)|0;IK(940188,35064)|0;IK(940200,34744)|0;IK(940212,34368)|0;IK(940224,28904)|0;IK(940236,32872)|0;IK(940248,32512)|0;IK(940260,32096)|0;IK(940272,31816)|0;IK(940284,31432)|0;IK(940296,31104)|0;IK(940308,30808)|0;IK(940320,30568)|0;IK(940332,30128)|0;IK(940344,29800)|0;IK(940356,29200)|0;IK(940368,28904)|0;IK(940380,28568)|0;IK(940392,28080)|0;IK(940404,27616)|0;IK(940416,27240)|0;IK(940428,27080)|0;IK(940440,26840)|0;IK(940452,26600)|0;c[235518]=940176;d=c[235518]|0;return d|0}function sS(b){b=b|0;var d=0;if((a[943776]|0)!=0){d=c[235544]|0;return d|0}if(($b(943776)|0)==0){d=c[235544]|0;return d|0}do{if((a[943664]|0)==0){if(($b(943664)|0)==0){break}NU(941376,0,288)|0;Eb(162,0,s|0)|0}}while(0);gK(941376,36392)|0;gK(941388,36048)|0;c[235544]=941376;d=c[235544]|0;return d|0}function tS(b){b=b|0;var d=0;if((a[943720]|0)!=0){d=c[235522]|0;return d|0}if(($b(943720)|0)==0){d=c[235522]|0;return d|0}do{if((a[943640]|0)==0){if(($b(943640)|0)==0){break}NU(940632,0,288)|0;Eb(304,0,s|0)|0}}while(0);IK(940632,38240)|0;IK(940644,37152)|0;c[235522]=940632;d=c[235522]|0;return d|0}function uS(b){b=b|0;if((a[943784]|0)!=0){return 942184}if(($b(943784)|0)==0){return 942184}XJ(942184,51640,8);Eb(306,942184,s|0)|0;return 942184}function vS(b){b=b|0;if((a[943728]|0)!=0){return 942096}if(($b(943728)|0)==0){return 942096}FK(942096,50848,KT(50848)|0);Eb(90,942096,s|0)|0;return 942096}function wS(b){b=b|0;if((a[943808]|0)!=0){return 942232}if(($b(943808)|0)==0){return 942232}XJ(942232,49640,8);Eb(306,942232,s|0)|0;return 942232}function xS(b){b=b|0;if((a[943752]|0)!=0){return 942144}if(($b(943752)|0)==0){return 942144}FK(942144,48736,KT(48736)|0);Eb(90,942144,s|0)|0;return 942144}function yS(b){b=b|0;if((a[943800]|0)!=0){return 942216}if(($b(943800)|0)==0){return 942216}XJ(942216,47856,20);Eb(306,942216,s|0)|0;return 942216}function zS(b){b=b|0;if((a[943744]|0)!=0){return 942128}if(($b(943744)|0)==0){return 942128}FK(942128,47128,KT(47128)|0);Eb(90,942128,s|0)|0;return 942128}function AS(b){b=b|0;if((a[943792]|0)!=0){return 942200}if(($b(943792)|0)==0){return 942200}XJ(942200,46400,11);Eb(306,942200,s|0)|0;return 942200}function BS(b){b=b|0;if((a[943736]|0)!=0){return 942112}if(($b(943736)|0)==0){return 942112}FK(942112,45504,KT(45504)|0);Eb(90,942112,s|0)|0;return 942112}function CS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Vc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);l=+GU(b,g,c[235424]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function DS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Vc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);l=+GU(b,g,c[235424]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function ES(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Vc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);l=+GU(b,g,c[235424]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)==34){c[e>>2]=4}h=l;i=f;return+h}function FS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;do{if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0}else{if((a[b]|0)==45){c[e>>2]=4;j=0;k=0;break}l=Vc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);n=zc(b|0,h|0,f|0,c[235424]|0)|0;o=c[l>>2]|0;if((o|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;break}if((o|0)!=34){j=K;k=n;break}c[e>>2]=4;j=-1;k=-1}}while(0);i=g;return(K=j,k)|0}function GS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);m=zc(b|0,h|0,f|0,c[235424]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function HS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);m=zc(b|0,h|0,f|0,c[235424]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function IS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);m=zc(b|0,h|0,f|0,c[235424]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>65535>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m&65535;i=g;return j|0}return 0}function JS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}l=Vc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);n=Ec(b|0,h|0,f|0,c[235424]|0)|0;f=K;b=c[l>>2]|0;if((b|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}if((b|0)==34){c[e>>2]=4;e=0;b=(f|0)>(e|0)|(f|0)==(e|0)&n>>>0>0>>>0;i=g;return(K=b?2147483647:-2147483648,b?-1:0)|0}else{j=f;k=n;i=g;return(K=j,k)|0}return 0}function KS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[943688]|0)==0){if(($b(943688)|0)==0){break}c[235424]=nb(2147483647,892440,0)|0}}while(0);m=Ec(b|0,h|0,f|0,c[235424]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}do{if((b|0)==34){c[e>>2]=4;d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>0>>>0){j=2147483647}else{break}i=g;return j|0}else{d=-1;if((f|0)<(d|0)|(f|0)==(d|0)&m>>>0<-2147483648>>>0){c[e>>2]=4;break}d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>2147483647>>>0){c[e>>2]=4;j=2147483647;i=g;return j|0}else{j=m;i=g;return j|0}}}while(0);j=-2147483648;i=g;return j|0}function LS(a){a=a|0;var b=0,d=0,e=0,f=0;b=a+4|0;d=(c[a>>2]|0)+(c[b+4>>2]|0)|0;a=d;e=c[b>>2]|0;if((e&1|0)==0){f=e;Qd[f&511](a);return}else{f=c[(c[d>>2]|0)+(e-1)>>2]|0;Qd[f&511](a);return}}function MS(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=b+8|0;f=b+4|0;g=c[f>>2]|0;h=c[e>>2]|0;i=g;if(!(h-i>>2>>>0<d>>>0)){j=d;k=g;do{if((k|0)==0){l=0}else{c[k>>2]=0;l=c[f>>2]|0}k=l+4|0;c[f>>2]=k;j=j-1|0;}while((j|0)!=0);return}j=b+16|0;k=b|0;l=c[k>>2]|0;g=i-l>>2;i=g+d|0;if(i>>>0>1073741823>>>0){FQ(0)}m=h-l|0;do{if(m>>2>>>0<536870911>>>0){l=m>>1;h=l>>>0<i>>>0?i:l;if((h|0)==0){n=0;o=0;break}l=b+128|0;if(!((a[l]|0)==0&h>>>0<29>>>0)){p=h;q=11;break}a[l]=1;n=j;o=h}else{p=1073741823;q=11}}while(0);if((q|0)==11){n=oU(p<<2)|0;o=p}p=d;d=n+(g<<2)|0;do{if((d|0)==0){r=0}else{c[d>>2]=0;r=d}d=r+4|0;p=p-1|0;}while((p|0)!=0);p=c[k>>2]|0;r=(c[f>>2]|0)-p|0;q=n+(g-(r>>2)<<2)|0;g=p;MU(q|0,g|0,r)|0;c[k>>2]=q;c[f>>2]=d;c[e>>2]=n+(o<<2);if((p|0)==0){return}if((j|0)==(p|0)){a[b+128|0]=0;return}else{qU(g);return}}function NS(a){a=a|0;HK(940908);HK(940896);HK(940884);HK(940872);HK(940860);HK(940848);HK(940836);HK(940824);HK(940812);HK(940800);HK(940788);HK(940776);HK(940764);HK(940752);HK(940740);HK(940728);HK(940716);HK(940704);HK(940692);HK(940680);HK(940668);HK(940656);HK(940644);HK(940632);return}function OS(a){a=a|0;dK(941652);dK(941640);dK(941628);dK(941616);dK(941604);dK(941592);dK(941580);dK(941568);dK(941556);dK(941544);dK(941532);dK(941520);dK(941508);dK(941496);dK(941484);dK(941472);dK(941460);dK(941448);dK(941436);dK(941424);dK(941412);dK(941400);dK(941388);dK(941376);return}function PS(a){a=a|0;HK(940452);HK(940440);HK(940428);HK(940416);HK(940404);HK(940392);HK(940380);HK(940368);HK(940356);HK(940344);HK(940332);HK(940320);HK(940308);HK(940296);HK(940284);HK(940272);HK(940260);HK(940248);HK(940236);HK(940224);HK(940212);HK(940200);HK(940188);HK(940176);return}function QS(a){a=a|0;dK(941196);dK(941184);dK(941172);dK(941160);dK(941148);dK(941136);dK(941124);dK(941112);dK(941100);dK(941088);dK(941076);dK(941064);dK(941052);dK(941040);dK(941028);dK(941016);dK(941004);dK(940992);dK(940980);dK(940968);dK(940956);dK(940944);dK(940932);dK(940920);return}function RS(a){a=a|0;HK(940620);HK(940608);HK(940596);HK(940584);HK(940572);HK(940560);HK(940548);HK(940536);HK(940524);HK(940512);HK(940500);HK(940488);HK(940476);HK(940464);return}function SS(a){a=a|0;dK(941364);dK(941352);dK(941340);dK(941328);dK(941316);dK(941304);dK(941292);dK(941280);dK(941268);dK(941256);dK(941244);dK(941232);dK(941220);dK(941208);return}function TS(a){a=a|0;var b=0;if((ZS(a)|0)!=0){b=1;return b|0}b=(US(a)|0)!=0|0;return b|0}function US(a){a=a|0;var b=0;if(a>>>0<131072>>>0){b=(d[4864+((d[4864+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}else{b=a>>>0<196606>>>0|0;return b|0}return 0}function VS(a){a=a|0;return nc(a|0)|0}function WS(a){a=a|0;var b=0;if(a>>>0<32>>>0|(a-127|0)>>>0<33>>>0|(a-8232|0)>>>0<2>>>0){b=1;return b|0}b=(a-65529|0)>>>0<3>>>0|0;return b|0}function XS(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 8:{c=aT(a)|0;break};case 10:{c=cT(a)|0;break};case 5:{c=ZS(a)|0;break};case 11:{c=dT(a)|0;break};case 6:{c=_S(a)|0;break};case 7:{c=$S(a)|0;break};case 1:{c=TS(a)|0;break};case 2:{c=US(a)|0;break};case 3:{c=VS(a)|0;break};case 9:{c=bT(a)|0;break};case 12:{c=eT(a)|0;break};case 4:{c=WS(a)|0;break};default:{c=0}}return c|0}function YS(b){b=b|0;var c=0,d=0,e=0;c=a[b]|0;a:do{switch(c<<24>>24){case 112:{if((IU(b,410)|0)==0){d=8;break a}if((IU(b,416)|0)==0){d=9;break a}if((c<<24>>24|0)==115){e=13}else if((c<<24>>24|0)==120){e=15}else if((c<<24>>24|0)==117){e=14}else{e=16}break};case 103:{if((IU(b,398)|0)==0){d=6}else{e=16}break};case 115:{e=13;break};case 99:{if((IU(b,386)|0)==0){d=4}else{e=16}break};case 100:{if((IU(b,392)|0)==0){d=5}else{e=16}break};case 120:{e=15;break};case 97:{if((IU(b,368)|0)==0){d=1;break a}if((IU(b,374)|0)==0){d=2}else{e=16}break};case 108:{if((IU(b,404)|0)==0){d=7}else{e=16}break};case 98:{if((IU(b,380)|0)==0){d=3}else{e=16}break};case 117:{e=14;break};default:{e=16}}}while(0);if((e|0)==13){if((IU(b,422)|0)==0){d=10}else{e=16}}else if((e|0)==14){if((IU(b,428)|0)==0){d=11}else{e=16}}else if((e|0)==15){if((IU(b,434)|0)==0){d=12}else{e=16}}if((e|0)==16){d=0}return d|0}function ZS(a){a=a|0;return(a-48|0)>>>0<10>>>0|0}function _S(a){a=a|0;var b=0;if((cT(a)|0)!=0){b=0;return b|0}b=(aT(a)|0)!=0|0;return b|0}function $S(a){a=a|0;var b=0;if((fT(a)|0)!=(a|0)){b=1;return b|0}b=(a|0)==223|0;return b|0}function aT(a){a=a|0;var b=0;if(a>>>0<255>>>0){b=(a+1&127)>>>0>32>>>0|0;return b|0}if(a>>>0<8232>>>0|(a-8234|0)>>>0<47062>>>0|(a-57344|0)>>>0<8185>>>0){b=1;return b|0}else{return((a-65532|0)>>>0>1048579>>>0|(a&65534|0)==65534)&1^1|0}return 0}function bT(a){a=a|0;var b=0;if(!(a>>>0<131072>>>0)){b=0;return b|0}b=(d[1696+((d[1696+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}function cT(a){a=a|0;return(JT(15664,a)|0)!=0|0}function dT(a){a=a|0;return(hT(a)|0)!=(a|0)|0}function eT(a){a=a|0;var b=0;if((a-48|0)>>>0<10>>>0){b=1;return b|0}b=((a|32)-97|0)>>>0<6>>>0|0;return b|0}function fT(a){a=a|0;return gT(a,0)|0}function gT(c,f){c=c|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(f<<1)-1|0;h=f-1|0;if((US(c)|0)==0|(c-1536|0)>>>0<2560>>>0|(c-11776|0)>>>0<30784>>>0|(c-43008|0)>>>0<22272>>>0){i=c;return i|0}do{if((f|0)==0){if(!((c-11520|0)>>>0<38>>>0)){j=0;break}i=c-7264|0;return i|0}else{if(!((c-4256|0)>>>0<46>>>0)){j=0;break}do{if((c|0)>4293){if((c|0)==4301|(c|0)==4295){break}else{i=c}return i|0}}while(0);i=c+7264|0;return i|0}}while(0);while(1){if((j|0)==61){break}k=a[18298+(j<<2)|0]|0;l=k<<24>>24;m=c-(e[18296+(j<<2)>>1]|0)|0;if((m-(l&h)|0)>>>0<(d[18299+(j<<2)|0]|0)>>>0){n=12;break}else{j=j+1|0}}if((n|0)==12){if(k<<24>>24==1){i=f+c-(m&1)|0;return i|0}else{i=(ga(l,g)|0)+c|0;return i|0}}g=1-f|0;l=0;while(1){m=b[8096+(l<<2)+(g<<1)>>1]|0;if(m<<16>>16==0){break}if((m&65535|0)==(c|0)){n=17;break}else{l=l+1|0}}if((n|0)==17){i=e[8096+(l<<2)+(f<<1)>>1]|0;return i|0}if(!((c-66600+(f*40|0)|0)>>>0<40>>>0)){i=c;return i|0}i=c-40+(f*80|0)|0;return i|0}function hT(a){a=a|0;return gT(a,1)|0}function iT(a,b,c){a=a|0;b=b|0;c=c|0;return jT(0,a,b,(c|0)!=0?c:925656)|0}function jT(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;j=((f|0)==0?925648:f)|0;f=c[j>>2]|0;a:do{if((d|0)==0){if((f|0)==0){k=0}else{break}i=g;return k|0}else{if((b|0)==0){l=h;c[h>>2]=l;m=l}else{m=b}if((e|0)==0){k=-2;i=g;return k|0}do{if((f|0)==0){l=a[d]|0;n=l&255;if(l<<24>>24>-1){c[m>>2]=n;k=l<<24>>24!=0|0;i=g;return k|0}else{l=n-194|0;if(l>>>0>50>>>0){break a}o=d+1|0;p=c[904688+(l<<2)>>2]|0;q=e-1|0;break}}else{o=d;p=f;q=e}}while(0);b:do{if((q|0)==0){r=p}else{l=a[o]|0;n=(l&255)>>>3;if((n-16|n+(p>>26))>>>0>7>>>0){break a}else{s=o;t=p;u=q;v=l}while(1){s=s+1|0;t=(v&255)-128|t<<6;u=u-1|0;if((t|0)>=0){break}if((u|0)==0){r=t;break b}v=a[s]|0;if(((v&255)-128|0)>>>0>63>>>0){break a}}c[j>>2]=0;c[m>>2]=t;k=e-u|0;i=g;return k|0}}while(0);c[j>>2]=r;k=-2;i=g;return k|0}}while(0);c[j>>2]=0;c[(Vc()|0)>>2]=84;k=-1;i=g;return k|0}function kT(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=i;i=i+1032|0;h=g|0;j=g+1024|0;k=c[b>>2]|0;c[j>>2]=k;l=(a|0)!=0;m=l?e:256;e=l?a:h|0;a:do{if((k|0)==0|(m|0)==0){n=0;o=d;p=m;q=e;r=k}else{a=h|0;s=m;t=d;u=0;v=e;w=k;while(1){x=t>>>2;y=x>>>0>=s>>>0;if(!(y|t>>>0>131>>>0)){n=u;o=t;p=s;q=v;r=w;break a}z=y?s:x;A=t-z|0;x=lT(v,j,z,f)|0;if((x|0)==-1){break}if((v|0)==(a|0)){B=a;C=s}else{B=v+(x<<2)|0;C=s-x|0}z=x+u|0;x=c[j>>2]|0;if((x|0)==0|(C|0)==0){n=z;o=A;p=C;q=B;r=x;break a}else{s=C;t=A;u=z;v=B;w=x}}n=-1;o=A;p=0;q=v;r=c[j>>2]|0}}while(0);b:do{if((r|0)==0){D=n}else{if((p|0)==0|(o|0)==0){D=n;break}else{E=p;F=o;G=n;H=q;I=r}while(1){J=jT(H,I,F,f)|0;if((J+2|0)>>>0<3>>>0){break}A=(c[j>>2]|0)+J|0;c[j>>2]=A;B=E-1|0;C=G+1|0;if((B|0)==0|(F|0)==(J|0)){D=C;break b}else{E=B;F=F-J|0;G=C;H=H+4|0;I=A}}if((J|0)==(-1|0)){D=-1;break}else if((J|0)==0){c[j>>2]=0;D=G;break}else{c[f>>2]=0;D=G;break}}}while(0);if(!l){i=g;return D|0}c[b>>2]=c[j>>2];i=g;return D|0}function lT(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;h=c[e>>2]|0;do{if((g|0)==0){i=5}else{j=g|0;k=c[j>>2]|0;if((k|0)==0){i=5;break}if((b|0)==0){l=k;m=h;n=f;i=16;break}c[j>>2]=0;o=k;p=h;q=b;r=f;i=36}}while(0);if((i|0)==5){if((b|0)==0){s=h;t=f;i=7}else{u=h;v=b;w=f;i=6}}a:while(1){if((i|0)==6){i=0;if((w|0)==0){x=f;i=53;break}else{y=w;z=v;A=u}while(1){h=a[A]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((A&3|0)==0&y>>>0>3>>>0){B=y;C=z;D=A}else{E=A;F=z;G=y;H=h;break}while(1){I=c[D>>2]|0;if(((I-16843009|I)&-2139062144|0)!=0){i=30;break}c[C>>2]=I&255;c[C+4>>2]=d[D+1|0]|0;c[C+8>>2]=d[D+2|0]|0;J=D+4|0;K=C+16|0;c[C+12>>2]=d[D+3|0]|0;L=B-4|0;if(L>>>0>3>>>0){B=L;C=K;D=J}else{i=31;break}}if((i|0)==30){i=0;E=D;F=C;G=B;H=I&255;break}else if((i|0)==31){i=0;E=J;F=K;G=L;H=a[J]|0;break}}else{E=A;F=z;G=y;H=h}}while(0);M=H&255;if(!((M-1|0)>>>0<127>>>0)){break}c[F>>2]=M;h=G-1|0;if((h|0)==0){x=f;i=53;break a}else{y=h;z=F+4|0;A=E+1|0}}h=M-194|0;if(h>>>0>50>>>0){N=G;O=F;P=E;i=47;break}o=c[904688+(h<<2)>>2]|0;p=E+1|0;q=F;r=G;i=36;continue}else if((i|0)==7){i=0;h=a[s]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((s&3|0)!=0){Q=s;R=t;S=h;break}g=c[s>>2]|0;if(((g-16843009|g)&-2139062144|0)==0){T=t;U=s}else{Q=s;R=t;S=g&255;break}do{U=U+4|0;T=T-4|0;V=c[U>>2]|0;}while(((V-16843009|V)&-2139062144|0)==0);Q=U;R=T;S=V&255}else{Q=s;R=t;S=h}}while(0);h=S&255;if((h-1|0)>>>0<127>>>0){s=Q+1|0;t=R-1|0;i=7;continue}g=h-194|0;if(g>>>0>50>>>0){N=R;O=b;P=Q;i=47;break}l=c[904688+(g<<2)>>2]|0;m=Q+1|0;n=R;i=16;continue}else if((i|0)==16){i=0;g=(d[m]|0)>>>3;if((g-16|g+(l>>26))>>>0>7>>>0){i=17;break}g=m+1|0;do{if((l&33554432|0)==0){W=g}else{if(((d[g]|0)-128|0)>>>0>63>>>0){i=20;break a}h=m+2|0;if((l&524288|0)==0){W=h;break}if(((d[h]|0)-128|0)>>>0>63>>>0){i=23;break a}W=m+3|0}}while(0);s=W;t=n-1|0;i=7;continue}else if((i|0)==36){i=0;g=d[p]|0;h=g>>>3;if((h-16|h+(o>>26))>>>0>7>>>0){i=37;break}h=p+1|0;X=g-128|o<<6;do{if((X|0)<0){g=(d[h]|0)-128|0;if(g>>>0>63>>>0){i=40;break a}k=p+2|0;Y=g|X<<6;if((Y|0)>=0){Z=Y;_=k;break}g=(d[k]|0)-128|0;if(g>>>0>63>>>0){i=43;break a}Z=g|Y<<6;_=p+3|0}else{Z=X;_=h}}while(0);c[q>>2]=Z;u=_;v=q+4|0;w=r-1|0;i=6;continue}}if((i|0)==17){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==20){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==23){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==37){$=o;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==40){$=X;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==43){$=Y;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==53){return x|0}if((i|0)==46){if(($|0)==0){N=ca;O=ba;P=aa;i=47}else{da=ba;ea=aa}}do{if((i|0)==47){if((a[P]|0)!=0){da=O;ea=P;break}if((O|0)!=0){c[O>>2]=0;c[e>>2]=0}x=f-N|0;return x|0}}while(0);c[(Vc()|0)>>2]=84;if((da|0)==0){x=-1;return x|0}c[e>>2]=ea;x=-1;return x|0}function mT(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;if((e|0)==0){j=0;i=g;return j|0}do{if((f|0)!=0){if((b|0)==0){k=h;c[h>>2]=k;l=k}else{l=b}k=a[e]|0;m=k&255;if(k<<24>>24>-1){c[l>>2]=m;j=k<<24>>24!=0|0;i=g;return j|0}k=m-194|0;if(k>>>0>50>>>0){break}m=e+1|0;n=c[904688+(k<<2)>>2]|0;if(f>>>0<4>>>0){if((n&-2147483648>>>(((f*6|0)-6|0)>>>0)|0)!=0){break}}k=d[m]|0;m=k>>>3;if((m-16|m+(n>>26))>>>0>7>>>0){break}m=k-128|n<<6;if((m|0)>=0){c[l>>2]=m;j=2;i=g;return j|0}n=(d[e+2|0]|0)-128|0;if(n>>>0>63>>>0){break}k=n|m<<6;if((k|0)>=0){c[l>>2]=k;j=3;i=g;return j|0}m=(d[e+3|0]|0)-128|0;if(m>>>0>63>>>0){break}c[l>>2]=m|k<<6;j=4;i=g;return j|0}}while(0);c[(Vc()|0)>>2]=84;j=-1;i=g;return j|0}function nT(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((b|0)==0){f=1;return f|0}if(d>>>0<128>>>0){a[b]=d;f=1;return f|0}if(d>>>0<2048>>>0){a[b]=d>>>6|192;a[b+1|0]=d&63|128;f=2;return f|0}if(d>>>0<55296>>>0|(d-57344|0)>>>0<8192>>>0){a[b]=d>>>12|224;a[b+1|0]=d>>>6&63|128;a[b+2|0]=d&63|128;f=3;return f|0}if((d-65536|0)>>>0<1048576>>>0){a[b]=d>>>18|240;a[b+1|0]=d>>>12&63|128;a[b+2|0]=d>>>6&63|128;a[b+3|0]=d&63|128;f=4;return f|0}else{c[(Vc()|0)>>2]=84;f=-1;return f|0}return 0}function oT(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;f=i;i=i+264|0;g=f|0;h=f+256|0;j=c[b>>2]|0;c[h>>2]=j;k=(a|0)!=0;l=k?e:256;e=k?a:g|0;a:do{if((j|0)==0|(l|0)==0){m=0;n=d;o=l;p=e;q=j}else{a=g|0;r=l;s=d;t=0;u=e;v=j;while(1){w=s>>>0>=r>>>0;if(!(w|s>>>0>32>>>0)){m=t;n=s;o=r;p=u;q=v;break a}x=w?r:s;y=s-x|0;w=pT(u,h,x,0)|0;if((w|0)==-1){break}if((u|0)==(a|0)){z=a;A=r}else{z=u+w|0;A=r-w|0}x=w+t|0;w=c[h>>2]|0;if((w|0)==0|(A|0)==0){m=x;n=y;o=A;p=z;q=w;break a}else{r=A;s=y;t=x;u=z;v=w}}m=-1;n=y;o=0;p=u;q=c[h>>2]|0}}while(0);b:do{if((q|0)==0){B=m}else{if((o|0)==0|(n|0)==0){B=m;break}else{C=o;D=n;E=m;F=p;G=q}while(1){H=nT(F,c[G>>2]|0,0)|0;if((H+1|0)>>>0<2>>>0){break}y=(c[h>>2]|0)+4|0;c[h>>2]=y;z=D-1|0;A=E+1|0;if((C|0)==(H|0)|(z|0)==0){B=A;break b}else{C=C-H|0;D=z;E=A;F=F+H|0;G=y}}if((H|0)!=0){B=-1;break}c[h>>2]=0;B=E}}while(0);if(!k){i=f;return B|0}c[b>>2]=c[h>>2];i=f;return B|0}function pT(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+8|0;g=f|0;if((b|0)==0){h=c[d>>2]|0;j=g|0;k=c[h>>2]|0;if((k|0)==0){l=0;i=f;return l|0}else{m=0;n=h;o=k}while(1){if(o>>>0>127>>>0){k=nT(j,o,0)|0;if((k|0)==-1){l=-1;p=26;break}else{q=k}}else{q=1}k=q+m|0;h=n+4|0;r=c[h>>2]|0;if((r|0)==0){l=k;p=26;break}else{m=k;n=h;o=r}}if((p|0)==26){i=f;return l|0}}a:do{if(e>>>0>3>>>0){o=e;n=b;m=c[d>>2]|0;while(1){q=c[m>>2]|0;if((q|0)==0){s=o;t=n;break a}if(q>>>0>127>>>0){j=nT(n,q,0)|0;if((j|0)==-1){l=-1;break}u=n+j|0;v=o-j|0;w=m}else{a[n]=q;u=n+1|0;v=o-1|0;w=c[d>>2]|0}q=w+4|0;c[d>>2]=q;if(v>>>0>3>>>0){o=v;n=u;m=q}else{s=v;t=u;break a}}i=f;return l|0}else{s=e;t=b}}while(0);b:do{if((s|0)==0){x=0}else{b=g|0;u=s;v=t;w=c[d>>2]|0;while(1){m=c[w>>2]|0;if((m|0)==0){p=24;break}if(m>>>0>127>>>0){n=nT(b,m,0)|0;if((n|0)==-1){l=-1;p=26;break}if(n>>>0>u>>>0){p=20;break}nT(v,c[w>>2]|0,0)|0;y=v+n|0;z=u-n|0;A=w}else{a[v]=m;y=v+1|0;z=u-1|0;A=c[d>>2]|0}m=A+4|0;c[d>>2]=m;if((z|0)==0){x=0;break b}else{u=z;v=y;w=m}}if((p|0)==20){l=e-u|0;i=f;return l|0}else if((p|0)==24){a[v]=0;x=u;break}else if((p|0)==26){i=f;return l|0}}}while(0);c[d>>2]=0;l=e-x|0;i=f;return l|0}function qT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;e=i;i=i+104|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=e+40|0;m=e+48|0;n=e+56|0;o=iU(20)|0;p=o;if((o|0)==0){q=12;i=e;return q|0}r=iU(2048)|0;c[o+16>>2]=r;if((r|0)==0){jU(o);q=12;i=e;return q|0}c[o>>2]=512;c[o+4>>2]=10240;c[o+8>>2]=128;c[o+12>>2]=0;s=GT(0,0)|0;if((s|0)==0){jU(r);jU(o);q=12;i=e;return q|0}NU(n|0,0,44)|0;c[n>>2]=s;c[n+4>>2]=p;c[n+12>>2]=b;c[n+36>>2]=d;b=n+28|0;c[b>>2]=-1;r=rT(n)|0;a:do{if((r|0)==0){t=n+20|0;u=c[t>>2]|0;v=u-1|0;c[a>>2]=v;w=c[n+8>>2]|0;x=c[b>>2]|0;if((x|0)>-1){if((c[n+32>>2]|0)!=0){y=2;z=0;A=0;B=0;break}}if((x|0)>(v|0)){y=6;z=0;A=0;B=0;break}v=kU(1,68)|0;C=v;if((v|0)==0){y=12;z=C;A=0;B=0;break}D=x>>>31;c[v+60>>2]=D^1;c[v+64>>2]=c[n+32>>2];c[v+28>>2]=u;if((D|0)==1){if((d&8|0)==0){E=13}else{F=0}}else{E=13}if((E|0)==13){D=sT(0,p,w,C)|0;if((D|0)!=0){y=D;z=C;A=0;B=0;break}D=c[v+40>>2]|0;if((D|0)>0){u=(D<<2)+4|0;x=iU(u)|0;G=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[v+32>>2]=G;NU(x|0,-1|0,u|0)|0;H=G}else{H=0}G=kU(D<<1|1,4)|0;c[v+36>>2]=G;if((G|0)==0){y=12;z=C;A=0;B=0;break}G=kU(c[t>>2]|0,12)|0;if((G|0)==0){y=12;z=C;A=0;B=0;break}c[v+16>>2]=G;G=sT(s,p,w,C)|0;if((G|0)==0){F=H}else{y=G;z=C;A=0;B=0;break}}G=n+24|0;t=o+12|0;D=c[t>>2]|0;c[h>>2]=0;c[j>>2]=0;u=yT(p,w)|0;b:do{if((u|0)==0){x=yT(p,0)|0;if((x|0)!=0){I=x;break}x=o+16|0;J=c[t>>2]|0;c:do{if((J|0)>(D|0)){K=0;L=0;M=0;N=J;d:while(1){O=N-1|0;c[t>>2]=O;P=c[x>>2]|0;Q=c[P+(O<<2)>>2]|0;O=N-2|0;c[t>>2]=O;R=c[P+(O<<2)>>2]|0;do{if((Q|0)==0){O=c[R>>2]|0;if((O|0)==0){S=c[R+4>>2]|0;T=c[S>>2]|0;if(!((T|0)>-1|(T|0)==-4)){U=M;V=L;W=K;break}T=S+8|0;S=(c[T>>2]|0)+K|0;c[T>>2]=S;if((S|0)<=(c[j>>2]|0)){U=M;V=L;W=K;break}c[j>>2]=S;U=M;V=L;W=K;break}else if((O|0)==3){S=c[R+4>>2]|0;T=yT(p,c[S+4>>2]|0)|0;if((T|0)!=0){X=T;Y=L;break c}T=yT(p,0)|0;if((T|0)!=0){X=T;Y=L;break c}T=yT(p,c[S>>2]|0)|0;if((T|0)!=0){X=T;Y=L;break c}Z=yT(p,0)|0}else if((O|0)==1){T=c[R+4>>2]|0;S=yT(p,c[T+4>>2]|0)|0;if((S|0)!=0){X=S;Y=L;break c}S=yT(p,0)|0;if((S|0)!=0){X=S;Y=L;break c}S=yT(p,c[T>>2]|0)|0;if((S|0)!=0){X=S;Y=L;break c}Z=yT(p,0)|0}else if((O|0)==2){O=c[R+4>>2]|0;S=yT(p,K)|0;if((S|0)!=0){X=S;Y=L;break c}S=yT(p,R)|0;if((S|0)!=0){X=S;Y=L;break c}S=yT(p,1)|0;if((S|0)!=0){X=S;Y=L;break c}S=yT(p,c[O>>2]|0)|0;if((S|0)!=0){X=S;Y=L;break c}S=yT(p,0)|0;if((S|0)!=0){X=S;Y=L;break c}if((c[O+4>>2]|0)>1){E=45}else{if((c[O+8>>2]|0)>1){E=45}else{_=K}}if((E|0)==45){E=0;c[h>>2]=0;_=0}U=M+1|0;V=L;W=_;break}else{U=M;V=L;W=K;break}if((Z|0)==0){U=M;V=L;W=K}else{X=Z;Y=L;break c}}else if((Q|0)==1){O=R+4|0;S=c[O>>2]|0;T=N-3|0;c[t>>2]=T;$=c[P+(T<<2)>>2]|0;c[h>>2]=$;T=S+4|0;aa=c[T>>2]|0;do{if((aa|0)>1){c[k>>2]=0;ba=S;E=51}else{if((c[S+8>>2]|0)<=1){ca=$;break}c[k>>2]=0;da=S;if((aa|0)>0){ba=da;E=51}else{ea=aa;fa=0;ga=$;ha=da;E=60}}}while(0);e:do{if((E|0)==51){E=0;da=aa;ia=0;ja=1;ka=$;while(1){la=zT(s,p,c[ba>>2]|0,(ja|0)<(da|0)?1:2,h,F,l,j)|0;if((la|0)!=0){I=la;break b}la=c[l>>2]|0;if((ia|0)==0){ma=la}else{na=IT(s,0,0,1,32)|0;if((na|0)==0){I=12;break b}oa=IT(s,0,0,1,8)|0;pa=na+4|0;c[pa>>2]=oa;if((oa|0)==0){I=12;break b}c[na>>2]=1;c[na+8>>2]=-1;c[na+12>>2]=-1;c[oa>>2]=ia;c[(c[pa>>2]|0)+4>>2]=la;c[na+16>>2]=(c[la+16>>2]|0)+(c[ia+16>>2]|0);ma=na}if((ma|0)==0){I=12;break b}na=c[T>>2]|0;if((ja|0)>=(na|0)){ea=na;fa=ma;ga=ka;ha=ba;E=60;break e}da=na;ia=ma;ja=ja+1|0;ka=c[h>>2]|0}}}while(0);if((E|0)==60){E=0;T=S+8|0;aa=c[T>>2]|0;do{if((aa|0)==-1){ka=c[h>>2]|0;ja=zT(s,p,c[ha>>2]|0,0,h,0,k,j)|0;if((ja|0)!=0){I=ja;break b}ja=c[k>>2]|0;ia=IT(s,0,0,1,32)|0;da=ia;if((ia|0)==0){E=65;break d}na=IT(s,0,0,1,16)|0;c[ia+4>>2]=na;if((na|0)==0){E=65;break d}c[ia>>2]=2;c[ia+8>>2]=-1;c[ia+12>>2]=-1;c[na>>2]=ja;c[na+4>>2]=0;c[na+8>>2]=-1;la=na+12|0;c[la>>2]=c[la>>2]&-2;c[ia+16>>2]=c[ja+16>>2];c[k>>2]=da;qa=ka;ra=da}else{if((ea|0)<(aa|0)){sa=0;ta=ea}else{qa=ga;ra=0;break}while(1){da=c[h>>2]|0;ka=zT(s,p,c[ha>>2]|0,0,h,0,m,j)|0;if((ka|0)!=0){I=ka;break b}ka=c[m>>2]|0;if((sa|0)==0){ua=ka}else{ja=IT(s,0,0,1,32)|0;if((ja|0)==0){E=72;break d}ia=IT(s,0,0,1,8)|0;la=ja+4|0;c[la>>2]=ia;if((ia|0)==0){E=72;break d}c[ja>>2]=1;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ia>>2]=ka;c[(c[la>>2]|0)+4>>2]=sa;c[ja+16>>2]=(c[sa+16>>2]|0)+(c[ka+16>>2]|0);ua=ja}c[k>>2]=ua;if((ua|0)==0){I=12;break b}ja=IT(s,0,0,1,32)|0;if((ja|0)==0){I=12;break b}ka=IT(s,0,0,1,20)|0;c[ja+4>>2]=ka;if((ka|0)==0){I=12;break b}c[ja>>2]=0;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ka>>2]=-1;c[ka+4>>2]=-1;c[ka+8>>2]=-1;ka=IT(s,0,0,1,32)|0;la=ka;if((ka|0)==0){E=78;break d}ia=IT(s,0,0,1,8)|0;na=ka+4|0;c[na>>2]=ia;if((ia|0)==0){E=78;break d}c[ka>>2]=3;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[ia>>2]=ja;c[(c[na>>2]|0)+4>>2]=ua;c[ka+16>>2]=(c[ua+16>>2]|0)+(c[ja+16>>2]|0);c[k>>2]=la;ja=ta+1|0;if((ja|0)<(c[T>>2]|0)){sa=la;ta=ja}else{qa=da;ra=la;break}}}}while(0);c[h>>2]=qa;do{if((fa|0)==0){va=ra;E=85}else{if((ra|0)==0){wa=fa;break}T=IT(s,0,0,1,32)|0;if((T|0)==0){I=12;break b}aa=IT(s,0,0,1,8)|0;S=T+4|0;c[S>>2]=aa;if((aa|0)==0){I=12;break b}c[T>>2]=1;c[T+8>>2]=-1;c[T+12>>2]=-1;c[aa>>2]=fa;c[(c[S>>2]|0)+4>>2]=ra;c[T+16>>2]=(c[ra+16>>2]|0)+(c[fa+16>>2]|0);va=T;E=85}}while(0);if((E|0)==85){E=0;if((va|0)==0){I=12;break b}else{wa=va}}c[O>>2]=c[wa+4>>2];c[R>>2]=c[wa>>2];ca=qa}T=M-1|0;S=ca-$+L|0;if((T|0)!=0){U=T;V=S;W=ca;break}c[h>>2]=S;U=0;V=S;W=S}else{U=M;V=L;W=K}}while(0);R=c[t>>2]|0;if((R|0)>(D|0)){K=W;L=V;M=U;N=R}else{X=0;Y=V;break c}}if((E|0)==65){c[k>>2]=0;I=12;break b}else if((E|0)==72){c[k>>2]=0;I=12;break b}else if((E|0)==78){c[k>>2]=0;I=12;break b}}else{X=0;Y=0}}while(0);x=(c[G>>2]|0)+Y|0;c[G>>2]=x;J=c[j>>2]|0;if((J|0)<=(x|0)){I=X;break}c[G>>2]=J;I=X}else{I=u}}while(0);if((I|0)!=0){y=I;z=C;A=0;B=0;break}u=c[G>>2]|0;c[G>>2]=u+1;D=IT(s,0,0,1,32)|0;if((D|0)==0){y=12;z=C;A=0;B=0;break}J=IT(s,0,0,1,20)|0;c[D+4>>2]=J;if((J|0)==0){y=12;z=C;A=0;B=0;break}c[D>>2]=0;c[D+8>>2]=-1;c[D+12>>2]=-1;c[J>>2]=0;c[J+4>>2]=0;c[J+8>>2]=u;u=IT(s,0,0,1,32)|0;J=u;if((u|0)==0){y=12;z=C;A=0;B=0;break}x=IT(s,0,0,1,8)|0;N=u+4|0;c[N>>2]=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[u>>2]=1;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=w;c[(c[N>>2]|0)+4>>2]=D;c[u+16>>2]=(c[D+16>>2]|0)+(c[w+16>>2]|0);D=c[t>>2]|0;N=yT(p,u)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=yT(p,0)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=c[t>>2]|0;f:do{if((N|0)>(D|0)){x=o+16|0;M=N;g:while(1){L=M-1|0;c[t>>2]=L;K=c[x>>2]|0;R=c[K+(L<<2)>>2]|0;L=M-2|0;c[t>>2]=L;xa=c[K+(L<<2)>>2]|0;do{if((R|0)==0){L=c[xa>>2]|0;if((L|0)==0){K=c[xa+4>>2]|0;P=K;Q=c[P>>2]|0;if((Q|0)==-4){c[xa+8>>2]=0;S=K+8|0;T=c[S>>2]|0;aa=IT(s,0,0,1,64)|0;if((aa|0)==0){E=105;break g}c[aa>>2]=T;c[aa+4>>2]=0;c[aa+8>>2]=1114111;c[aa+20>>2]=0;c[aa+24>>2]=0;NU(aa+28|0,-1|0,16)|0;c[xa+24>>2]=aa;aa=c[S>>2]|0;S=c[K+4>>2]|0;T=IT(s,0,0,1,64)|0;if((T|0)==0){E=107;break g}c[T>>2]=aa;c[T+4>>2]=0;c[T+8>>2]=1114111;c[T+20>>2]=0;c[T+24>>2]=0;c[T+28>>2]=S;c[T+32>>2]=-1;c[T+36>>2]=-1;c[T+40>>2]=-1;c[xa+28>>2]=T;break}T=xa+8|0;if((Q|0)<0){c[T>>2]=1;S=IT(s,0,0,1,32)|0;if((S|0)==0){E=111;break g}c[S>>2]=-1;c[S+4>>2]=-1;c[S+8>>2]=-1;c[xa+24>>2]=S;S=IT(s,0,0,1,32)|0;if((S|0)==0){E=113;break g}c[S>>2]=-1;c[S+4>>2]=-1;c[S+8>>2]=-1;c[xa+28>>2]=S;break}else{c[T>>2]=0;T=K+8|0;S=c[T>>2]|0;aa=K+4|0;la=c[aa>>2]|0;da=IT(s,0,0,1,64)|0;if((da|0)==0){E=116;break g}c[da>>2]=S;c[da+4>>2]=Q;c[da+8>>2]=la;c[da+20>>2]=0;c[da+24>>2]=0;NU(da+28|0,-1|0,16)|0;c[xa+24>>2]=da;da=c[T>>2]|0;T=c[P>>2]|0;P=c[aa>>2]|0;aa=c[K+12>>2]|0;la=c[K+16>>2]|0;K=IT(s,0,0,1,64)|0;if((K|0)==0){E=118;break g}c[K>>2]=da;c[K+4>>2]=T;c[K+8>>2]=P;c[K+20>>2]=aa;c[K+24>>2]=la;NU(K+28|0,-1|0,16)|0;c[xa+28>>2]=K;break}}else if((L|0)==3){K=yT(p,xa)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=yT(p,1)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=xa+4|0;la=yT(p,c[(c[K>>2]|0)+4>>2]|0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=yT(p,0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=yT(p,c[c[K>>2]>>2]|0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=yT(p,0)|0;if((la|0)==0){break}else{y=la;z=C;A=0;B=0;break a}}else if((L|0)==1){la=yT(p,xa)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=yT(p,2)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=xa+4|0;K=yT(p,c[(c[la>>2]|0)+4>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=yT(p,0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=yT(p,c[c[la>>2]>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=yT(p,0)|0;if((K|0)==0){break}else{y=K;z=C;A=0;B=0;break a}}else if((L|0)==2){L=yT(p,xa)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=yT(p,3)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=yT(p,c[c[xa+4>>2]>>2]|0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=yT(p,0)|0;if((L|0)==0){break}else{y=L;z=C;A=0;B=0;break a}}else{break}}else if((R|0)==1){L=c[xa+4>>2]|0;K=L;la=c[K>>2]|0;aa=L+4|0;L=c[aa>>2]|0;if((c[la+8>>2]|0)==0){ya=(c[L+8>>2]|0)!=0|0}else{ya=1}c[xa+8>>2]=ya;P=wT(s,c[la+24>>2]|0,c[L+24>>2]|0,0,0)|0;c[xa+24>>2]=P;if((P|0)==0){y=12;z=C;A=0;B=0;break a}P=wT(s,c[(c[K>>2]|0)+28>>2]|0,c[(c[aa>>2]|0)+28>>2]|0,0,0)|0;c[xa+28>>2]=P;if((P|0)==0){y=12;z=C;A=0;B=0;break a}}else if((R|0)==3){P=c[xa+4>>2]|0;aa=P;K=c[aa>>2]|0;do{if((c[P+4>>2]|0)==0){E=142}else{if((c[K+8>>2]|0)!=0){E=142;break}c[xa+8>>2]=0}}while(0);if((E|0)==142){E=0;c[xa+8>>2]=1}c[xa+24>>2]=c[K+24>>2];c[xa+28>>2]=c[(c[aa>>2]|0)+28>>2]}else if((R|0)==2){P=c[xa+4>>2]|0;L=P;la=c[L>>2]|0;T=la+8|0;if((c[T>>2]|0)==0){za=0}else{za=(c[(c[P+4>>2]|0)+8>>2]|0)!=0|0}c[xa+8>>2]=za;if((c[T>>2]|0)==0){c[xa+24>>2]=c[la+24>>2];Aa=P+4|0}else{T=xT(p,la,0,0,f)|0;if((T|0)!=0){y=T;z=C;A=0;B=0;break a}Ba=iU((c[f>>2]<<2)+4|0)|0;T=Ba;if((Ba|0)==0){y=12;z=C;A=0;B=0;break a}c[T>>2]=-1;c[g>>2]=0;Ca=xT(p,c[L>>2]|0,T,g,0)|0;if((Ca|0)!=0){E=151;break g}la=P+4|0;P=xa+24|0;c[P>>2]=wT(s,c[(c[la>>2]|0)+24>>2]|0,c[(c[L>>2]|0)+24>>2]|0,T,c[g>>2]|0)|0;jU(Ba);if((c[P>>2]|0)==0){y=12;z=C;A=0;B=0;break a}else{Aa=la}}la=c[Aa>>2]|0;if((c[la+8>>2]|0)==0){c[xa+28>>2]=c[la+28>>2];break}P=xT(p,la,0,0,f)|0;if((P|0)!=0){y=P;z=C;A=0;B=0;break a}Da=iU((c[f>>2]<<2)+4|0)|0;P=Da;if((Da|0)==0){y=12;z=C;A=0;B=0;break a}c[P>>2]=-1;c[g>>2]=0;Ea=xT(p,c[Aa>>2]|0,P,g,0)|0;if((Ea|0)!=0){E=158;break g}la=xa+28|0;c[la>>2]=wT(s,c[(c[L>>2]|0)+28>>2]|0,c[(c[Aa>>2]|0)+28>>2]|0,P,c[g>>2]|0)|0;jU(Da);if((c[la>>2]|0)==0){y=12;z=C;A=0;B=0;break a}}}while(0);M=c[t>>2]|0;if((M|0)<=(D|0)){break f}}if((E|0)==105){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==107){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==111){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==113){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==116){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==118){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==151){jU(Ba);y=Ca;z=C;A=0;B=0;break a}else if((E|0)==158){jU(Da);y=Ea;z=C;A=0;B=0;break a}}}while(0);D=c[G>>2]|0;t=D<<2;N=iU(t)|0;w=N;if((N|0)==0){y=12;z=C;A=w;B=0;break}M=iU(t)|0;t=M;if((M|0)==0){y=12;z=C;A=w;B=t;break}if((D|0)>0){NU(N|0,0,((D|0)>1?D<<2:4)|0)|0}tT(J,0,w,0)|0;D=c[G>>2]|0;if((D|0)>0){x=0;R=0;while(1){c[t+(x<<2)>>2]=R;la=w+(x<<2)|0;P=R+1+(c[la>>2]|0)|0;c[la>>2]=0;la=x+1|0;if((la|0)<(D|0)){x=la;R=P}else{Fa=P;break}}}else{Fa=0}R=kU(Fa+1|0,32)|0;x=R;if((R|0)==0){y=12;z=C;A=w;B=t;break}c[v>>2]=x;R=v+4|0;c[R>>2]=Fa;D=tT(J,x,w,t)|0;if((D|0)!=0){y=D;z=C;A=w;B=t;break}c[v+20>>2]=0;D=u+24|0;P=c[D>>2]|0;if((c[P>>2]|0)>-1){la=1;L=P;while(1){P=L+32|0;T=la+1|0;if((c[P>>2]|0)>-1){la=T;L=P}else{Ga=T;break}}}else{Ga=1}L=kU(Ga,32)|0;la=L;if((L|0)==0){y=12;z=C;A=w;B=t;break}c[v+8>>2]=la;L=c[D>>2]|0;J=c[L>>2]|0;if((J|0)>-1){T=0;P=L;L=J;while(1){c[la+(T<<5)+8>>2]=x+(c[t+(L<<2)>>2]<<5);c[la+(T<<5)+12>>2]=L;J=la+(T<<5)+16|0;c[J>>2]=0;da=P+12|0;Q=c[da>>2]|0;if((Q|0)!=0){S=0;while(1){Ha=S+1|0;if((c[Q+(S<<2)>>2]|0)>-1){S=Ha}else{break}}S=Ha<<2;Q=iU(S)|0;c[J>>2]=Q;if((Q|0)==0){y=12;z=C;A=w;B=t;break a}MU(Q|0,c[da>>2]|0,S)|0}c[la+(T<<5)+20>>2]=c[P+16>>2];S=T+1|0;Q=P+32|0;ja=c[Q>>2]|0;if((ja|0)>-1){T=S;P=Q;L=ja}else{Ia=S;break}}}else{Ia=0}c[la+(Ia<<5)+8>>2]=0;c[R>>2]=Fa;c[v+12>>2]=x+(c[t+(c[c[u+28>>2]>>2]<<2)>>2]<<5);c[v+52>>2]=c[G>>2];c[v+56>>2]=d;HT(s);jU(c[o+16>>2]|0);jU(o);jU(N);jU(M);c[a+4>>2]=v;q=0;i=e;return q|0}else{y=r;z=0;A=0;B=0}}while(0);HT(s);jU(c[o+16>>2]|0);jU(o);if((A|0)!=0){jU(A)}if((B|0)!=0){jU(B)}c[a+4>>2]=z;uT(a);q=y;i=e;return q|0}function rT(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0;d=i;i=i+424|0;e=d|0;f=d+8|0;g=d+72|0;h=d+328|0;j=d+336|0;k=d+384|0;l=d+392|0;m=c[b+4>>2]|0;n=m+12|0;o=c[n>>2]|0;if((c[b+40>>2]|0)==0){p=b+20|0;yT(m,c[p>>2]|0)|0;yT(m,2)|0;c[p>>2]=(c[p>>2]|0)+1}p=yT(m,0)|0;q=b+12|0;r=b+16|0;c[r>>2]=c[q>>2];s=c[n>>2]|0;t=(p|0)==0;a:do{if((s|0)>(o|0)&t){u=m+16|0;v=b+36|0;w=b|0;x=b+24|0;y=b+20|0;z=g;A=f|0;B=b+28|0;C=l|0;D=k|0;E=k+1|0;F=j;G=b;H=j+12|0;I=j+40|0;J=j+24|0;K=j+8|0;L=0;M=0;N=s;b:while(1){O=N-1|0;c[n>>2]=O;P=c[u>>2]|0;c:do{switch(c[P+(O<<2)>>2]|0){case 1:{Q=c[q>>2]|0;d:do{switch(a[Q]|0){case 40:{if((c[v>>2]&1|0)!=0){R=Q;S=74}break};case 91:{T=Q+1|0;c[q>>2]=T;U=iU(128)|0;if((U|0)==0){V=12;S=293;break b}if((a[T]|0)==94){W=Q+2|0;c[q>>2]=W;X=1;Y=W}else{X=0;Y=T}T=(X|0)==0;W=Y;Z=32;_=0;$=0;aa=U;e:while(1){U=a[W]|0;if((U<<24>>24|0)==93){if(W>>>0>(c[q>>2]|0)>>>0){S=85;break}}else if((U<<24>>24|0)==0){ba=W;ca=7;da=aa;S=140;break}U=mT(e,W,-1)|0;if((U|0)<0){c[e>>2]=-1;ea=1}else{ea=U}U=W+ea|0;do{if((a[U]|0)==45){fa=ea+1|0;ga=W+fa|0;if((a[ga]|0)==93){S=94;break}ha=c[e>>2]|0;ia=mT(e,ga,-1)|0;if((ia|0)<0){c[e>>2]=-1;ja=1;ka=-1}else{ja=ia;ka=c[e>>2]|0}la=W+(ja+fa)|0;ma=ka;na=ha;oa=ha>>>0>ka>>>0?11:0;pa=0}else{S=94}}while(0);f:do{if((S|0)==94){S=0;ha=a[W]|0;do{if((ha<<24>>24|0)==91){fa=a[W+1|0]|0;if((fa<<24>>24|0)==46|(fa<<24>>24|0)==61){ba=W;ca=3;da=aa;S=140;break e}else if((fa<<24>>24|0)!=58){qa=0;break}fa=W+2|0;ia=fa;while(1){ga=a[ia]|0;ra=ga<<24>>24==0;if(ga<<24>>24!=58&(ra^1)){ia=ia+1|0}else{break}}if(ra){ba=W;ca=4;da=aa;S=140;break e}ga=ia-W-2|0;sa=(ga|0)>63?63:ga;LU(A|0,fa|0,sa|0)|0;a[f+sa|0]=0;sa=YS(A)|0;la=ia+2|0;ma=1114111;na=0;oa=(sa|0)==0?4:0;pa=sa;break f}else if((ha<<24>>24|0)==45){if((a[W+1|0]|0)==93){qa=0;break}qa=(c[q>>2]|0)==(W|0)?0:11}else{qa=0}}while(0);ha=c[e>>2]|0;la=U;ma=ha;na=ha;oa=qa;pa=0}}while(0);if((oa|0)!=0){ba=la;ca=oa;da=aa;S=140;break}U=(pa|0)!=0;do{if(T|U^1){ha=c[w>>2]|0;if((_|0)<(Z|0)){ta=Z;ua=aa}else{if((Z|0)>1024){ba=la;ca=12;da=aa;S=140;break e}sa=lU(aa,Z<<3)|0;if((sa|0)==0){ba=la;ca=12;da=aa;S=140;break e}else{ta=Z<<1;ua=sa}}sa=IT(ha,0,0,1,32)|0;if((sa|0)==0){S=112;break e}ga=IT(ha,0,0,1,20)|0;ha=sa+4|0;c[ha>>2]=ga;if((ga|0)==0){S=112;break e}c[sa>>2]=0;c[sa+8>>2]=-1;c[sa+12>>2]=-1;c[ga>>2]=na;c[ga+4>>2]=ma;c[ga+8>>2]=-1;c[ua+(_<<2)>>2]=sa;c[(c[ha>>2]|0)+12>>2]=pa;va=0;wa=ta;xa=_+1|0;ya=$;za=ua}else{if(($|0)>63){va=12;wa=Z;xa=_;ya=$;za=aa;break}c[g+($<<2)>>2]=pa;va=0;wa=Z;xa=_;ya=$+1|0;za=aa}}while(0);ha=(va|0)==0;if(ha&(((c[v>>2]&2|0)==0|U)^1)){Aa=na;Ba=wa;Ca=xa;Da=za}else{if(ha){W=la;Z=wa;_=xa;$=ya;aa=za;continue}else{ba=la;ca=va;da=za;S=140;break}}while(1){ha=Aa;while(1){if(ha>>>0>ma>>>0){W=la;Z=Ba;_=Ca;$=ya;aa=Da;continue e}if(($S(ha)|0)!=0){S=118;break}Ea=ha+1|0;if((dT(ha)|0)==0){ha=Ea}else{S=129;break}}if((S|0)==118){S=0;sa=fT(ha)|0;ga=ha+1|0;g:do{if(($S(ga)|0)==0){Fa=sa;Ga=ga}else{Ha=sa;Ia=ga;while(1){if((fT(Ia)|0)!=(Ha+1|0)|Ia>>>0>ma>>>0){Fa=Ha;Ga=Ia;break g}Ja=fT(Ia)|0;Ka=Ia+1|0;if(($S(Ka)|0)==0){Fa=Ja;Ga=Ka;break}else{Ha=Ja;Ia=Ka}}}}while(0);ga=c[w>>2]|0;if((Ca|0)<(Ba|0)){La=Ba;Ma=Da}else{if((Ba|0)>1024){ba=la;ca=12;da=Da;S=140;break e}Ia=lU(Da,Ba<<3)|0;if((Ia|0)==0){ba=la;ca=12;da=Da;S=140;break e}else{La=Ba<<1;Ma=Ia}}Ia=IT(ga,0,0,1,32)|0;Ha=Ia;do{if((Ia|0)==0){Na=0}else{ia=IT(ga,0,0,1,20)|0;c[Ia+4>>2]=ia;if((ia|0)==0){Na=0;break}c[Ia>>2]=0;c[Ia+8>>2]=-1;c[Ia+12>>2]=-1;c[ia>>2]=sa;c[ia+4>>2]=Fa;c[ia+8>>2]=-1;Na=Ha}}while(0);c[Ma+(Ca<<2)>>2]=Na;Oa=Ga;Pa=La;Qa=Na;Ra=Ma}else if((S|0)==129){S=0;Ha=hT(ha)|0;h:do{if((dT(Ea)|0)==0){Sa=Ea;Ta=Ha}else{sa=Ea;Ia=Ha;while(1){if((hT(sa)|0)!=(Ia+1|0)|sa>>>0>ma>>>0){Sa=sa;Ta=Ia;break h}ga=sa+1|0;ia=hT(sa)|0;if((dT(ga)|0)==0){Sa=ga;Ta=ia;break}else{sa=ga;Ia=ia}}}}while(0);ha=c[w>>2]|0;if((Ca|0)<(Ba|0)){Va=Ba;Wa=Da}else{if((Ba|0)>1024){ba=la;ca=12;da=Da;S=140;break e}Ia=lU(Da,Ba<<3)|0;if((Ia|0)==0){ba=la;ca=12;da=Da;S=140;break e}else{Va=Ba<<1;Wa=Ia}}Ia=IT(ha,0,0,1,32)|0;sa=Ia;do{if((Ia|0)==0){Xa=0}else{ia=IT(ha,0,0,1,20)|0;c[Ia+4>>2]=ia;if((ia|0)==0){Xa=0;break}c[Ia>>2]=0;c[Ia+8>>2]=-1;c[Ia+12>>2]=-1;c[ia>>2]=Ha;c[ia+4>>2]=Ta;c[ia+8>>2]=-1;Xa=sa}}while(0);c[Wa+(Ca<<2)>>2]=Xa;Oa=Sa;Pa=Va;Qa=Xa;Ra=Wa}if((Qa|0)==0){S=141;break e}else{Aa=Oa;Ba=Pa;Ca=Ca+1|0;Da=Ra}}}i:do{if((S|0)==85){S=0;c[q>>2]=W+1;Z=(X|0)!=0;if(Z){Fc(aa|0,_|0,4,52)}j:do{if((_|0)>0){T=($|0)>0;U=$<<2;sa=U+4|0;if(Z){Ya=0;Za=0;_a=0;$a=0}else{Ha=0;Ia=0;while(1){ha=aa+(Ha<<2)|0;ia=c[(c[ha>>2]|0)+4>>2]|0;do{if((ia|0)==0){ab=Ia;bb=0}else{c[ia+8>>2]=c[x>>2];if(T){ga=IT(c[w>>2]|0,0,0,0,sa)|0;fa=ia+16|0;c[fa>>2]=ga;if((ga|0)==0){cb=Ia;db=12;eb=aa;break i}MU(ga|0,z|0,U)|0;c[(c[fa>>2]|0)+($<<2)>>2]=0}else{c[ia+16>>2]=0}if((Ia|0)==0){ab=c[ha>>2]|0;bb=0;break}fa=c[w>>2]|0;ga=c[ha>>2]|0;Ka=IT(fa,0,0,1,32)|0;Ja=Ka;do{if((Ka|0)==0){fb=0}else{gb=IT(fa,0,0,1,8)|0;hb=Ka+4|0;c[hb>>2]=gb;if((gb|0)==0){fb=0;break}c[Ka>>2]=3;c[Ka+8>>2]=-1;c[Ka+12>>2]=-1;c[gb>>2]=Ia;c[(c[hb>>2]|0)+4>>2]=ga;c[Ka+16>>2]=(c[ga+16>>2]|0)+(c[Ia+16>>2]|0);fb=Ja}}while(0);ab=fb;bb=(fb|0)==0?12:0}}while(0);ha=Ha+1|0;if((ha|0)<(_|0)&(bb|0)==0){Ha=ha;Ia=ab}else{ib=bb;jb=0;kb=ab;break j}}}while(1){Ia=aa+(Ya<<2)|0;Ha=c[(c[Ia>>2]|0)+4>>2]|0;ha=Ha;ia=c[ha>>2]|0;Ja=Ha+4|0;ga=c[Ja>>2]|0;do{if((ia|0)<(Za|0)){Ka=ga+1|0;lb=$a;mb=0;nb=(Ka|0)<(Za|0)?Za:Ka;ob=_a}else{Ka=ia-1|0;if((Ka|0)<(_a|0)){fa=ga+1|0;lb=$a;mb=0;nb=fa;ob=fa;break}c[ha>>2]=_a;c[Ja>>2]=Ka;Ka=ga+1|0;if((Ha|0)==0){lb=$a;mb=0;nb=Ka;ob=Ka;break}c[Ha+8>>2]=c[x>>2];if(T){fa=IT(c[w>>2]|0,0,0,0,sa)|0;hb=Ha+16|0;c[hb>>2]=fa;if((fa|0)==0){cb=$a;db=12;eb=aa;break i}MU(fa|0,z|0,U)|0;c[(c[hb>>2]|0)+($<<2)>>2]=0}else{c[Ha+16>>2]=0}if(($a|0)==0){lb=c[Ia>>2]|0;mb=0;nb=Ka;ob=Ka;break}hb=c[w>>2]|0;fa=c[Ia>>2]|0;gb=IT(hb,0,0,1,32)|0;pb=gb;do{if((gb|0)==0){qb=0}else{rb=IT(hb,0,0,1,8)|0;sb=gb+4|0;c[sb>>2]=rb;if((rb|0)==0){qb=0;break}c[gb>>2]=3;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[rb>>2]=$a;c[(c[sb>>2]|0)+4>>2]=fa;c[gb+16>>2]=(c[fa+16>>2]|0)+(c[$a+16>>2]|0);qb=pb}}while(0);lb=qb;mb=(qb|0)==0?12:0;nb=Ka;ob=Ka}}while(0);Ia=Ya+1|0;if((Ia|0)<(_|0)&(mb|0)==0){Ya=Ia;Za=nb;_a=ob;$a=lb}else{ib=mb;jb=ob;kb=lb;break}}}else{ib=0;jb=0;kb=0}}while(0);if((ib|0)!=0|Z^1){cb=kb;db=ib;eb=aa;break}U=c[w>>2]|0;sa=c[x>>2]|0;T=IT(U,0,0,1,32)|0;Ia=T;if((T|0)==0){cb=kb;db=12;eb=aa;break}Ha=IT(U,0,0,1,20)|0;c[T+4>>2]=Ha;if((Ha|0)==0){cb=kb;db=12;eb=aa;break}c[T>>2]=0;c[T+8>>2]=-1;c[T+12>>2]=-1;c[Ha>>2]=jb;c[Ha+4>>2]=1114111;c[Ha+8>>2]=sa;if(($|0)>0){sa=$<<2;U=IT(c[w>>2]|0,0,0,0,sa+4|0)|0;ga=Ha+16|0;c[ga>>2]=U;if((U|0)==0){cb=kb;db=12;eb=aa;break}MU(U|0,z|0,sa)|0;c[(c[ga>>2]|0)+($<<2)>>2]=0}else{c[Ha+16>>2]=0}if((kb|0)==0){cb=Ia;db=0;eb=aa;break}Ha=c[w>>2]|0;ga=IT(Ha,0,0,1,32)|0;sa=ga;do{if((ga|0)==0){tb=0}else{U=IT(Ha,0,0,1,8)|0;Ja=ga+4|0;c[Ja>>2]=U;if((U|0)==0){tb=0;break}c[ga>>2]=3;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[U>>2]=kb;c[(c[Ja>>2]|0)+4>>2]=Ia;c[ga+16>>2]=(c[T+16>>2]|0)+(c[kb+16>>2]|0);tb=sa}}while(0);cb=tb;db=(tb|0)==0?12:0;eb=aa}else if((S|0)==112){S=0;c[ua+(_<<2)>>2]=0;ba=la;ca=12;da=ua;S=140}else if((S|0)==141){S=0;c[q>>2]=la;cb=0;db=12;eb=Ra}}while(0);if((S|0)==140){S=0;c[q>>2]=ba;cb=0;db=ca;eb=da}jU(eb);c[x>>2]=(c[x>>2]|0)+1;if((db|0)==0){ub=0;vb=M;wb=cb;break c}else{V=db;S=293;break b}break};case 92:{_=Q+1|0;aa=a[_]|0;do{if((c[v>>2]&1|0)==0){if(aa<<24>>24==40){c[q>>2]=_;R=_;S=74;break d}else{$=a[Q+1|0]|0;if($<<24>>24==41){S=264;break d}else{xb=$;break}}}else{xb=aa}}while(0);aa=Q+1|0;_=xb<<24>>24==0;if(_){V=5;S=293;break b}else{yb=0}while(1){if((yb|0)==12){break}if((a[1528+(yb<<3)|0]|0)==xb<<24>>24){S=193;break}else{yb=yb+1|0}}if((S|0)==193){S=0;$=c[1532+(yb<<3)>>2]|0;MU(F|0,G|0,40)|0;c[H>>2]=$;c[I>>2]=1;$=rT(j)|0;if(($|0)!=0){V=$;S=293;break b}c[q>>2]=(c[q>>2]|0)+2;c[x>>2]=c[J>>2];ub=0;vb=M;wb=c[K>>2]|0;break c}if(_){V=5;S=293;break b}c[q>>2]=aa;$=a[aa]|0;k:do{switch($|0){case 98:{W=c[w>>2]|0;sa=IT(W,0,0,1,32)|0;T=sa;do{if((sa|0)==0){zb=0}else{ga=IT(W,0,0,1,20)|0;c[sa+4>>2]=ga;if((ga|0)==0){zb=0;break}c[sa>>2]=0;c[sa+8>>2]=-1;c[sa+12>>2]=-1;c[ga>>2]=-2;c[ga+4>>2]=64;c[ga+8>>2]=-1;zb=T}}while(0);c[q>>2]=(c[q>>2]|0)+1;Ab=zb;break};case 66:{T=c[w>>2]|0;sa=IT(T,0,0,1,32)|0;W=sa;do{if((sa|0)==0){Bb=0}else{ga=IT(T,0,0,1,20)|0;c[sa+4>>2]=ga;if((ga|0)==0){Bb=0;break}c[sa>>2]=0;c[sa+8>>2]=-1;c[sa+12>>2]=-1;c[ga>>2]=-2;c[ga+4>>2]=128;c[ga+8>>2]=-1;Bb=W}}while(0);c[q>>2]=(c[q>>2]|0)+1;Ab=Bb;break};case 60:{W=c[w>>2]|0;sa=IT(W,0,0,1,32)|0;T=sa;do{if((sa|0)==0){Cb=0}else{ga=IT(W,0,0,1,20)|0;c[sa+4>>2]=ga;if((ga|0)==0){Cb=0;break}c[sa>>2]=0;c[sa+8>>2]=-1;c[sa+12>>2]=-1;c[ga>>2]=-2;c[ga+4>>2]=16;c[ga+8>>2]=-1;Cb=T}}while(0);c[q>>2]=(c[q>>2]|0)+1;Ab=Cb;break};case 62:{T=c[w>>2]|0;sa=IT(T,0,0,1,32)|0;W=sa;do{if((sa|0)==0){Db=0}else{ga=IT(T,0,0,1,20)|0;c[sa+4>>2]=ga;if((ga|0)==0){Db=0;break}c[sa>>2]=0;c[sa+8>>2]=-1;c[sa+12>>2]=-1;c[ga>>2]=-2;c[ga+4>>2]=32;c[ga+8>>2]=-1;Db=W}}while(0);c[q>>2]=(c[q>>2]|0)+1;Ab=Db;break};case 120:{W=Q+2|0;c[q>>2]=W;sa=a[W]|0;if(sa<<24>>24==123){W=Q+3|0;c[q>>2]=W;T=0;ga=W;while(1){W=a[ga]|0;if((W<<24>>24|0)==125|(W<<24>>24|0)==0){Eb=ga;Fb=T;break}if((eT(W<<24>>24)|0)==0){V=9;S=293;break b}W=c[q>>2]|0;a[l+T|0]=a[W]|0;Ia=T+1|0;Ha=W+1|0;c[q>>2]=Ha;if(Ia>>>0>31>>>0){Eb=Ha;Fb=Ia;break}else{T=Ia;ga=Ha}}c[q>>2]=Eb+1;a[l+Fb|0]=0;ga=Ua(C|0,0,16)|0;T=c[w>>2]|0;Ha=c[x>>2]|0;Ia=IT(T,0,0,1,32)|0;W=Ia;do{if((Ia|0)==0){Gb=0}else{Z=IT(T,0,0,1,20)|0;c[Ia+4>>2]=Z;if((Z|0)==0){Gb=0;break}c[Ia>>2]=0;c[Ia+8>>2]=-1;c[Ia+12>>2]=-1;c[Z>>2]=ga;c[Z+4>>2]=ga;c[Z+8>>2]=Ha;Gb=W}}while(0);c[x>>2]=(c[x>>2]|0)+1;Ab=Gb;break k}else{NU(D|0,0,3)|0;W=(eT(sa<<24>>24)|0)==0;Ha=c[q>>2]|0;if(W){Hb=Ha}else{a[D]=a[Ha]|0;W=Ha+1|0;c[q>>2]=W;Hb=W}if((eT(a[Hb]|0)|0)!=0){W=c[q>>2]|0;a[E]=a[W]|0;c[q>>2]=W+1}W=Ua(D|0,0,16)|0;Ha=c[w>>2]|0;ga=c[x>>2]|0;Ia=IT(Ha,0,0,1,32)|0;T=Ia;do{if((Ia|0)==0){Ib=0}else{Z=IT(Ha,0,0,1,20)|0;c[Ia+4>>2]=Z;if((Z|0)==0){Ib=0;break}c[Ia>>2]=0;c[Ia+8>>2]=-1;c[Ia+12>>2]=-1;c[Z>>2]=W;c[Z+4>>2]=W;c[Z+8>>2]=ga;Ib=T}}while(0);c[x>>2]=(c[x>>2]|0)+1;Ab=Ib;break k}break};default:{if((ZS($)|0)!=0){T=(a[c[q>>2]|0]|0)-48|0;ga=c[w>>2]|0;W=c[x>>2]|0;Ia=IT(ga,0,0,1,32)|0;if((Ia|0)==0){V=12;S=293;break b}Ha=IT(ga,0,0,1,20)|0;c[Ia+4>>2]=Ha;if((Ha|0)==0){V=12;S=293;break b}c[Ia>>2]=0;c[Ia+8>>2]=-1;c[Ia+12>>2]=-1;c[Ha>>2]=-4;c[Ha+4>>2]=T;c[Ha+8>>2]=W;c[x>>2]=(c[x>>2]|0)+1;W=c[B>>2]|0;c[B>>2]=(T|0)<(W|0)?W:T;c[q>>2]=(c[q>>2]|0)+1;ub=0;vb=M;wb=Ia;break c}Ia=c[w>>2]|0;T=a[c[q>>2]|0]|0;W=c[x>>2]|0;Ha=IT(Ia,0,0,1,32)|0;ga=Ha;do{if((Ha|0)==0){Jb=0}else{sa=IT(Ia,0,0,1,20)|0;c[Ha+4>>2]=sa;if((sa|0)==0){Jb=0;break}c[Ha>>2]=0;c[Ha+8>>2]=-1;c[Ha+12>>2]=-1;c[sa>>2]=T;c[sa+4>>2]=T;c[sa+8>>2]=W;Jb=ga}}while(0);c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+1;Ab=Jb}}}while(0);if((Ab|0)==0){V=12;S=293;break b}else{ub=0;vb=M;wb=Ab;break c}break};case 46:{$=(c[v>>2]&4|0)==0;aa=c[w>>2]|0;_=c[x>>2]|0;ga=IT(aa,0,0,1,32)|0;W=ga;T=(ga|0)==0;if($){if(T){V=12;S=293;break b}$=IT(aa,0,0,1,20)|0;c[ga+4>>2]=$;if(($|0)==0){V=12;S=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[$>>2]=0;c[$+4>>2]=1114111;c[$+8>>2]=_;Kb=(c[x>>2]|0)+1|0;Lb=W}else{if(T){V=12;S=293;break b}T=IT(aa,0,0,1,20)|0;c[ga+4>>2]=T;if((T|0)==0){V=12;S=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[T>>2]=0;c[T+4>>2]=9;c[T+8>>2]=_;_=c[w>>2]|0;T=(c[x>>2]|0)+1|0;aa=IT(_,0,0,1,32)|0;if((aa|0)==0){V=12;S=293;break b}$=IT(_,0,0,1,20)|0;c[aa+4>>2]=$;if(($|0)==0){V=12;S=293;break b}c[aa>>2]=0;c[aa+8>>2]=-1;c[aa+12>>2]=-1;c[$>>2]=11;c[$+4>>2]=1114111;c[$+8>>2]=T;T=c[w>>2]|0;$=IT(T,0,0,1,32)|0;if(($|0)==0){V=12;S=293;break b}_=IT(T,0,0,1,8)|0;T=$+4|0;c[T>>2]=_;if((_|0)==0){V=12;S=293;break b}c[$>>2]=3;c[$+8>>2]=-1;c[$+12>>2]=-1;c[_>>2]=W;c[(c[T>>2]|0)+4>>2]=aa;c[$+16>>2]=(c[aa+16>>2]|0)+(c[ga+16>>2]|0);Kb=(c[x>>2]|0)+2|0;Lb=$}c[x>>2]=Kb;c[q>>2]=(c[q>>2]|0)+1;ub=0;vb=M;wb=Lb;break c;break};case 94:{if((c[v>>2]&1|0)==0){if((Q|0)!=(c[r>>2]|0)){break d}$=yT(m,5)|0;if(($|0)!=0){Mb=$;Nb=M;S=6;break b}}$=c[w>>2]|0;ga=IT($,0,0,1,32)|0;if((ga|0)==0){V=12;S=293;break b}aa=IT($,0,0,1,20)|0;c[ga+4>>2]=aa;if((aa|0)==0){V=12;S=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[aa>>2]=-2;c[aa+4>>2]=1;c[aa+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;ub=0;vb=M;wb=ga;break c;break};case 36:{if((c[v>>2]&1|0)==0){if((a[Q+1|0]|0)!=0){break d}}ga=c[w>>2]|0;aa=IT(ga,0,0,1,32)|0;if((aa|0)==0){V=12;S=293;break b}$=IT(ga,0,0,1,20)|0;c[aa+4>>2]=$;if(($|0)==0){V=12;S=293;break b}c[aa>>2]=0;c[aa+8>>2]=-1;c[aa+12>>2]=-1;c[$>>2]=-2;c[$+4>>2]=2;c[$+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;ub=0;vb=M;wb=aa;break c;break};case 41:{if((M|0)!=0){S=263}break};case 42:case 124:case 123:case 43:case 63:{S=263;break};case 0:{S=264;break};default:{}}}while(0);if((S|0)==74){S=0;aa=M+1|0;c[q>>2]=R+1;$=yT(m,c[y>>2]|0)|0;if(($|0)!=0){Mb=$;Nb=aa;S=6;break b}$=yT(m,2)|0;if(($|0)!=0){Mb=$;Nb=aa;S=6;break b}$=yT(m,0)|0;if(($|0)!=0){Mb=$;Nb=aa;S=6;break b}c[y>>2]=(c[y>>2]|0)+1;ub=0;vb=aa;wb=L;break c}else if((S|0)==263){S=0;if((c[v>>2]&1|0)!=0){S=264}}if((S|0)==264){S=0;aa=c[w>>2]|0;$=IT(aa,0,0,1,32)|0;if(($|0)==0){V=12;S=293;break b}ga=IT(aa,0,0,1,20)|0;c[$+4>>2]=ga;if((ga|0)==0){V=12;S=293;break b}c[$>>2]=0;c[$+8>>2]=-1;c[$+12>>2]=-1;c[ga>>2]=-1;c[ga+4>>2]=-1;c[ga+8>>2]=-1;ub=0;vb=M;wb=$;break c}$=mT(h,Q,-1)|0;if(($|0)<0){c[h>>2]=-1;Ob=1}else{Ob=$}do{if((c[v>>2]&2|0)==0){S=279}else{if((dT(c[h>>2]|0)|0)==0){if(($S(c[h>>2]|0)|0)==0){S=279;break}}$=c[w>>2]|0;ga=fT(c[h>>2]|0)|0;aa=fT(c[h>>2]|0)|0;T=c[x>>2]|0;W=IT($,0,0,1,32)|0;if((W|0)==0){V=12;S=293;break b}_=IT($,0,0,1,20)|0;c[W+4>>2]=_;if((_|0)==0){V=12;S=293;break b}c[W>>2]=0;c[W+8>>2]=-1;c[W+12>>2]=-1;c[_>>2]=ga;c[_+4>>2]=aa;c[_+8>>2]=T;T=c[w>>2]|0;_=hT(c[h>>2]|0)|0;aa=hT(c[h>>2]|0)|0;ga=c[x>>2]|0;$=IT(T,0,0,1,32)|0;if(($|0)==0){V=12;S=293;break b}Ha=IT(T,0,0,1,20)|0;c[$+4>>2]=Ha;if((Ha|0)==0){V=12;S=293;break b}c[$>>2]=0;c[$+8>>2]=-1;c[$+12>>2]=-1;c[Ha>>2]=_;c[Ha+4>>2]=aa;c[Ha+8>>2]=ga;ga=c[w>>2]|0;Ha=IT(ga,0,0,1,32)|0;if((Ha|0)==0){V=12;S=293;break b}aa=IT(ga,0,0,1,8)|0;ga=Ha+4|0;c[ga>>2]=aa;if((aa|0)==0){V=12;S=293;break b}c[Ha>>2]=3;c[Ha+8>>2]=-1;c[Ha+12>>2]=-1;c[aa>>2]=W;c[(c[ga>>2]|0)+4>>2]=$;c[Ha+16>>2]=(c[$+16>>2]|0)+(c[W+16>>2]|0);Pb=Ha}}while(0);if((S|0)==279){S=0;Q=c[w>>2]|0;Ha=c[h>>2]|0;W=c[x>>2]|0;$=IT(Q,0,0,1,32)|0;if(($|0)==0){V=12;S=293;break b}ga=IT(Q,0,0,1,20)|0;c[$+4>>2]=ga;if((ga|0)==0){V=12;S=293;break b}c[$>>2]=0;c[$+8>>2]=-1;c[$+12>>2]=-1;c[ga>>2]=Ha;c[ga+4>>2]=Ha;c[ga+8>>2]=W;Pb=$}c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+Ob;ub=0;vb=M;wb=Pb;break};case 8:{$=N-2|0;c[n>>2]=$;W=c[P+($<<2)>>2]|0;$=c[w>>2]|0;ga=IT($,0,0,1,32)|0;if((ga|0)==0){V=12;S=293;break b}Ha=IT($,0,0,1,8)|0;$=ga+4|0;c[$>>2]=Ha;if((Ha|0)==0){V=12;S=293;break b}c[ga>>2]=3;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[Ha>>2]=W;c[(c[$>>2]|0)+4>>2]=L;c[ga+16>>2]=(c[L+16>>2]|0)+(c[W+16>>2]|0);ub=0;vb=M;wb=ga;break};case 4:{ga=yT(m,9)|0;if((ga|0)!=0){Mb=ga;Nb=M;S=6;break b}ub=yT(m,1)|0;vb=M;wb=L;break};case 7:{ga=c[q>>2]|0;W=a[ga]|0;if((W|0)==41){c[q>>2]=ga+1;ub=0;vb=M;wb=L;break c}else if((W|0)!=124){ub=0;vb=M;wb=L;break c}W=yT(m,7)|0;if((W|0)!=0){Mb=W;Nb=M;S=6;break b}W=yT(m,L)|0;if((W|0)!=0){Mb=W;Nb=M;S=6;break b}W=yT(m,8)|0;if((W|0)!=0){Mb=W;Nb=M;S=6;break b}W=yT(m,3)|0;if((W|0)!=0){Mb=W;Nb=M;S=6;break b}c[q>>2]=(c[q>>2]|0)+1;ub=0;vb=M;wb=L;break};case 3:{W=yT(m,5)|0;if((W|0)!=0){Mb=W;Nb=M;S=6;break b}ub=yT(m,4)|0;vb=M;wb=L;break};case 0:{if((c[v>>2]&1|0)!=0){W=yT(m,7)|0;if((W|0)!=0){Mb=W;Nb=M;S=6;break b}}ub=yT(m,3)|0;vb=M;wb=L;break};case 6:{W=N-2|0;c[n>>2]=W;ga=c[P+(W<<2)>>2]|0;W=c[w>>2]|0;$=IT(W,0,0,1,32)|0;if(($|0)==0){V=12;S=293;break b}Ha=IT(W,0,0,1,8)|0;W=$+4|0;c[W>>2]=Ha;if((Ha|0)==0){V=12;S=293;break b}c[$>>2]=1;c[$+8>>2]=-1;c[$+12>>2]=-1;c[Ha>>2]=ga;c[(c[W>>2]|0)+4>>2]=L;c[$+16>>2]=(c[L+16>>2]|0)+(c[ga+16>>2]|0);ub=0;vb=M;wb=$;break};case 9:{$=c[q>>2]|0;ga=a[$]|0;switch(ga<<24>>24|0){case 43:case 63:{if((c[v>>2]&1|0)==0){ub=0;vb=M;wb=L;break c}else{S=41}break};case 42:{S=41;break};case 92:{W=c[v>>2]|0;if((W&1|0)!=0){ub=0;vb=M;wb=L;break c}Ha=$+1|0;if((a[Ha]|0)!=123){ub=0;vb=M;wb=L;break c}c[q>>2]=Ha;Qb=Ha;Rb=W;break};case 123:{W=c[v>>2]|0;if((W&1|0)==0){ub=0;vb=M;wb=L;break c}else{Qb=$;Rb=W}break};default:{ub=0;vb=M;wb=L;break c}}if((S|0)==41){S=0;c[q>>2]=$+1;$=c[w>>2]|0;W=IT($,0,0,1,32)|0;if((W|0)==0){V=12;S=293;break b}Ha=IT($,0,0,1,16)|0;c[W+4>>2]=Ha;if((Ha|0)==0){V=12;S=293;break b}c[W>>2]=2;c[W+8>>2]=-1;c[W+12>>2]=-1;c[Ha>>2]=L;c[Ha+4>>2]=ga<<24>>24==43;c[Ha+8>>2]=ga<<24>>24==63?1:-1;ga=Ha+12|0;c[ga>>2]=c[ga>>2]&-2;c[W+16>>2]=c[L+16>>2];ub=yT(m,9)|0;vb=M;wb=W;break c}W=Qb+1|0;c[q>>2]=W;ga=a[W]|0;if((ga-48&255)>>>0<10>>>0){Ha=ga<<24>>24;if((Ha-48|0)>>>0<10>>>0){Sb=-1;Tb=W;Ub=Ha}else{V=10;S=293;break b}while(1){Ha=((Sb|0)<0?-48:(Sb*10|0)-48|0)+Ub|0;$=Tb+1|0;Q=a[$]|0;aa=Q<<24>>24;if((aa-48|0)>>>0<10>>>0){Sb=Ha;Tb=$;Ub=aa}else{Vb=Ha;Wb=$;Xb=Q;break}}}else{Vb=-1;Wb=W;Xb=ga}do{if(Xb<<24>>24==44){Q=Wb+1|0;$=a[Q]|0;Ha=$<<24>>24;if((Ha-48|0)>>>0<10>>>0){Yb=-1;Zb=Q;_b=Ha}else{$b=Q;ac=-1;bc=$;break}while(1){$=((Yb|0)<0?-48:(Yb*10|0)-48|0)+_b|0;Q=Zb+1|0;Ha=a[Q]|0;aa=Ha<<24>>24;if((aa-48|0)>>>0<10>>>0){Yb=$;Zb=Q;_b=aa}else{cc=$;dc=Q;ec=Ha;S=54;break}}}else{cc=Vb;dc=Wb;ec=Xb;S=54}}while(0);do{if((S|0)==54){S=0;if(!((cc|0)>-1)){$b=dc;ac=cc;bc=ec;break}if((Vb|0)>(cc|0)|(cc|0)>255){V=10;S=293;break b}else{$b=dc;ac=cc;bc=ec}}}while(0);if(bc<<24>>24==0){V=9;S=293;break b}if(($b|0)==(W|0)){V=10;S=293;break b}if((Rb&1|0)==0){if(!(bc<<24>>24==92)){V=10;S=293;break b}if((a[$b+1|0]|0)!=125){V=10;S=293;break b}fc=$b+2|0}else{if(!(bc<<24>>24==125)){V=10;S=293;break b}fc=$b+1|0}if((ac|Vb|0)==0){ga=c[w>>2]|0;Ha=IT(ga,0,0,1,32)|0;if((Ha|0)==0){V=12;S=293;break b}Q=IT(ga,0,0,1,20)|0;c[Ha+4>>2]=Q;if((Q|0)==0){V=12;S=293;break b}c[Ha>>2]=0;c[Ha+8>>2]=-1;c[Ha+12>>2]=-1;c[Q>>2]=-1;c[Q+4>>2]=-1;c[Q+8>>2]=-1;gc=Ha}else{Ha=(ac&Vb|0)<0;Q=c[w>>2]|0;ga=IT(Q,0,0,1,32)|0;if((ga|0)==0){V=12;S=293;break b}$=IT(Q,0,0,1,16)|0;c[ga+4>>2]=$;if(($|0)==0){V=12;S=293;break b}c[ga>>2]=2;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[$>>2]=L;c[$+4>>2]=Ha?1:Vb;c[$+8>>2]=Ha?1:ac;Ha=$+12|0;c[Ha>>2]=c[Ha>>2]&-2;c[ga+16>>2]=c[L+16>>2];gc=ga}c[q>>2]=fc;ub=yT(m,9)|0;vb=M;wb=gc;break};case 5:{ga=c[q>>2]|0;Ha=a[ga]|0;if(Ha<<24>>24==0){ub=0;vb=M;wb=L;break c}$=c[v>>2]&1;Q=($|0)!=0;if(Q&Ha<<24>>24==124){ub=0;vb=M;wb=L;break c}do{if(!(Q&Ha<<24>>24==41&(M|0)>0)){if(($|0)==0&Ha<<24>>24==92){if((a[ga+1|0]|0)==41){break}}aa=yT(m,5)|0;if((aa|0)!=0){Mb=aa;Nb=M;S=6;break b}aa=yT(m,L)|0;if((aa|0)!=0){Mb=aa;Nb=M;S=6;break b}aa=yT(m,6)|0;if((aa|0)!=0){Mb=aa;Nb=M;S=6;break b}ub=yT(m,4)|0;vb=M;wb=L;break c}}while(0);Ha=($|M|0)==0?8:0;Q=M-1|0;if(($|0)!=0){ub=Ha;vb=Q;wb=L;break c}c[q>>2]=ga+2;ub=Ha;vb=Q;wb=L;break};case 2:{Q=N-2|0;c[n>>2]=Q;Ha=c[P+(Q<<2)>>2]|0;if((c[L+12>>2]|0)>-1){Q=c[w>>2]|0;W=IT(Q,0,0,1,32)|0;if((W|0)==0){V=12;S=293;break b}aa=IT(Q,0,0,1,20)|0;c[W+4>>2]=aa;if((aa|0)==0){V=12;S=293;break b}c[W>>2]=0;c[W+8>>2]=-1;c[W+12>>2]=-1;c[aa>>2]=-1;c[aa+4>>2]=-1;c[aa+8>>2]=-1;aa=c[w>>2]|0;Q=IT(aa,0,0,1,32)|0;if((Q|0)==0){V=12;S=293;break b}_=IT(aa,0,0,1,8)|0;aa=Q+4|0;c[aa>>2]=_;if((_|0)==0){V=12;S=293;break b}c[Q>>2]=1;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[_>>2]=W;c[(c[aa>>2]|0)+4>>2]=L;aa=L+16|0;_=Q+16|0;c[_>>2]=(c[aa>>2]|0)+(c[W+16>>2]|0);c[_>>2]=c[aa>>2];hc=Q}else{hc=L}c[hc+12>>2]=Ha;Ha=hc+16|0;c[Ha>>2]=(c[Ha>>2]|0)+1;ub=0;vb=M;wb=hc;break};case 10:{Ha=N-2|0;c[n>>2]=Ha;c[v>>2]=c[P+(Ha<<2)>>2];ub=0;vb=M;wb=L;break};default:{ub=0;vb=M;wb=L}}}while(0);P=c[n>>2]|0;O=(ub|0)==0;if((P|0)>(o|0)&O){L=wb;M=vb;N=P}else{ic=wb;jc=vb;kc=ub;lc=O;break a}}if((S|0)==6){ic=L;jc=Nb;kc=Mb;lc=(Mb|0)==0;break}else if((S|0)==293){i=d;return V|0}}else{ic=0;jc=0;kc=p;lc=t}}while(0);t=(jc|0)>0;if(t|lc^1){V=t?8:kc;i=d;return V|0}c[b+8>>2]=ic;V=0;i=d;return V|0}function sT(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0;f=b+12|0;g=c[f>>2]|0;h=(a|0)==0|(e|0)==0;if(!h){c[e+48>>2]=0;c[c[e+36>>2]>>2]=-1}i=c[e+28>>2]|0;j=iU((i<<3)+8|0)|0;k=j;if((j|0)==0){l=12;return l|0}c[k>>2]=-1;m=iU((i<<2)+4|0)|0;n=m;if((m|0)==0){jU(j);l=12;return l|0}c[n>>2]=-1;o=0;while(1){if(o>>>0>i>>>0){break}else{o=o+1|0}}yT(b,d)|0;d=yT(b,0)|0;o=c[f>>2]|0;a:do{if((o|0)>(g|0)&(d|0)==0){i=b+16|0;p=e+32|0;q=e+16|0;r=e+36|0;s=0;t=-1;u=1;v=0;w=0;x=0;y=k;z=o;while(1){A=z-1|0;c[f>>2]=A;B=c[i>>2]|0;b:do{switch(c[B+(A<<2)>>2]|0){case 5:{C=z-2|0;c[f>>2]=C;D=c[B+(C<<2)>>2]|0;if(!h){E=0;F=y;G=x;H=w;I=v;J=u;K=t;L=s;break b}C=c[D+4>>2]|0;c[D+20>>2]=(c[(c[C+4>>2]|0)+20>>2]|0)+(c[(c[C>>2]|0)+20>>2]|0);E=0;F=y;G=x;H=w;I=v;J=u;K=t;L=s;break};case 2:{C=y;while(1){if((c[C>>2]|0)>-1){C=C+4|0}else{E=0;F=C;G=x;H=w;I=v;J=u;K=t;L=s;break}}break};case 3:{C=c[B+(z-2<<2)>>2]|0;D=c[B+(z-3<<2)>>2]|0;M=c[B+(z-4<<2)>>2]|0;N=z-5|0;c[f>>2]=N;if(h){O=c[M+4>>2]|0;P=M+16|0;c[M+20>>2]=(c[(c[O>>2]|0)+20>>2]|0)+(c[B+(N<<2)>>2]|0)+(c[(c[O+4>>2]|0)+20>>2]|0)+((c[P>>2]|0)>0?2:0);Q=c[f>>2]|0;R=P}else{Q=N;R=M+16|0}M=c[B+(Q-1<<2)>>2]|0;N=Q-2|0;c[f>>2]=N;P=c[B+(N<<2)>>2]|0;N=Q-3|0;c[f>>2]=N;O=c[B+(N<<2)>>2]|0;if((c[R>>2]|0)<=0){E=0;F=M;G=x;H=w;I=v;J=u;K=t;L=1;break b}if(h){S=0}else{BT(a,C,P)|0;c[(c[p>>2]|0)+(P<<2)>>2]=1;P=BT(a,D,O)|0;c[(c[p>>2]|0)+(O<<2)>>2]=1;S=P}E=S;F=M;G=x+2|0;H=w;I=v;J=u;K=t;L=1;break};case 0:{M=z-2|0;c[f>>2]=M;P=c[B+(M<<2)>>2]|0;M=P;O=P+12|0;D=c[O>>2]|0;if((D|0)>-1){C=0;do{T=y+(C<<2)|0;C=C+1|0}while((c[T>>2]|0)>-1);c[T>>2]=D<<1;c[y+(C<<2)>>2]=-1;do{if(!h){N=0;while(1){if((c[n+(N<<2)>>2]|0)>-1){N=N+1|0}else{break}}c[(c[q>>2]|0)+(D*12|0)+8>>2]=0;if((N|0)<=0){break}U=iU((N<<2)+4|0)|0;V=U;if((U|0)==0){W=t;X=v;Y=w;Z=x;_=y;$=12;break a}c[(c[q>>2]|0)+(D*12|0)+8>>2]=V;U=c[n>>2]|0;if((U|0)>-1){aa=0;ba=U;U=V;while(1){c[U>>2]=ba;ca=aa+1|0;da=c[n+(ca<<2)>>2]|0;ea=V+(ca<<2)|0;if((da|0)>-1){aa=ca;ba=da;U=ea}else{fa=ea;break}}}else{fa=V}c[fa>>2]=-1}}while(0);D=yT(b,c[O>>2]|0)|0;if((D|0)!=0){W=t;X=v;Y=w;Z=x;_=y;$=D;break a}D=yT(b,6)|0;if((D|0)!=0){W=t;X=v;Y=w;Z=x;_=y;$=D;break a}}D=c[P>>2]|0;do{if((D|0)==1){C=c[P+4>>2]|0;U=c[C>>2]|0;ba=c[C+4>>2]|0;C=yT(b,P)|0;if((C|0)!=0){ga=C;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}C=yT(b,5)|0;if((C|0)!=0){ga=C;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}C=yT(b,ba)|0;if((C|0)!=0){ga=C;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}C=yT(b,0)|0;if((C|0)!=0){ga=C;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}C=U+20|0;aa=yT(b,(c[C>>2]|0)+u|0)|0;if((aa|0)!=0){ga=aa;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}if((c[C>>2]|0)>0){C=(c[ba+20>>2]|0)>0;na=(C&1)+u|0;oa=C?u:-1}else{na=u;oa=-1}C=yT(b,oa)|0;if((C|0)!=0){ga=C;ha=x;ia=w;ja=v;ka=na;la=t;ma=s;break}C=yT(b,4)|0;if((C|0)!=0){ga=C;ha=x;ia=w;ja=v;ka=na;la=t;ma=s;break}C=yT(b,U)|0;if((C|0)!=0){ga=C;ha=x;ia=w;ja=v;ka=na;la=t;ma=s;break}ga=yT(b,0)|0;ha=x;ia=w;ja=v;ka=na;la=t;ma=s}else if((D|0)==3){C=c[P+4>>2]|0;U=c[C>>2]|0;ba=c[C+4>>2]|0;C=(c[y>>2]|0)>-1;aa=u+1|0;N=yT(b,C?aa:u)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=yT(b,C?u:v)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=yT(b,y)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=yT(b,(c[y>>2]|0)>>>31^1)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=yT(b,P)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=ba;ba=yT(b,N)|0;if((ba|0)!=0){ga=ba;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}ba=U;U=yT(b,ba)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=yT(b,3)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=yT(b,N)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=yT(b,0)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=yT(b,2)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=yT(b,ba)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=yT(b,0)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}if((c[y>>2]|0)>-1){if(h){pa=0;qa=w;ra=t}else{U=AT(a,M,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){ba=c[r>>2]|0;N=0;while(1){sa=ba+(N<<2)|0;ta=N+1|0;if((c[sa>>2]|0)>-1){N=ta}else{break}}c[sa>>2]=v;c[ba+(ta<<2)>>2]=t;c[ba+(N+2<<2)>>2]=-1;ua=w+1|0;va=-1}else{ua=w;va=t}V=c[y>>2]|0;if((V|0)>-1){C=c[q>>2]|0;ea=0;da=V;do{V=(da|0)/2|0;if((da&1|0)==0){c[C+(V*12|0)>>2]=v}else{c[C+(V*12|0)+4>>2]=v}ea=ea+1|0;da=c[y+(ea<<2)>>2]|0;}while((da|0)>-1)}c[y>>2]=-1;pa=U;qa=ua;ra=va}c[y>>2]=-1;wa=pa;xa=x+1|0;ya=qa;za=u;Aa=aa;Ba=ra}else{wa=0;xa=x;ya=w;za=v;Aa=u;Ba=t}if((c[P+16>>2]|0)<=0){ga=wa;ha=xa;ia=ya;ja=za;ka=Aa;la=Ba;ma=s;break}ga=wa;ha=xa;ia=ya;ja=Aa+1|0;ka=Aa+2|0;la=Ba;ma=s}else if((D|0)==0){da=c[c[P+4>>2]>>2]|0;if(!((da|0)>-1|(da|0)==-4)){ga=0;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}if(!((c[y>>2]|0)>-1)){ga=0;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}if(h){c[P+20>>2]=1;Ca=0;Da=w;Ea=t}else{da=AT(a,M,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){ea=c[r>>2]|0;C=0;while(1){Fa=ea+(C<<2)|0;Ga=C+1|0;if((c[Fa>>2]|0)>-1){C=Ga}else{break}}c[Fa>>2]=v;c[ea+(Ga<<2)>>2]=t;c[ea+(C+2<<2)>>2]=-1;Ha=w+1|0;Ia=-1}else{Ha=w;Ia=t}aa=c[y>>2]|0;if((aa|0)>-1){U=c[q>>2]|0;N=0;ba=aa;do{aa=(ba|0)/2|0;if((ba&1|0)==0){c[U+(aa*12|0)>>2]=v}else{c[U+(aa*12|0)+4>>2]=v}N=N+1|0;ba=c[y+(N<<2)>>2]|0;}while((ba|0)>-1)}c[y>>2]=-1;Ca=da;Da=Ha;Ea=Ia}c[y>>2]=-1;ga=Ca;ha=x+1|0;ia=Da;ja=u;ka=u+1|0;la=Ea;ma=s}else if((D|0)==2){ba=c[P+4>>2]|0;if(h){if((c[y>>2]|0)>-1){Ja=1}else{Ja=c[ba+12>>2]&1}N=yT(b,Ja)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}}else{N=yT(b,v)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=yT(b,c[ba+12>>2]&1)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}}N=yT(b,P)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=yT(b,1)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=yT(b,c[ba>>2]|0)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=yT(b,0)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}if(!((c[y>>2]|0)>-1)){if((c[ba+12>>2]&1|0)==0){ga=0;ha=x;ia=w;ja=v;ka=u;la=t;ma=0;break}}if(h){Ka=0;La=w;Ma=t}else{N=AT(a,M,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=(c[ba+12>>2]&1|0)==0?s:1;if((t|0)>-1){ba=c[r>>2]|0;U=0;while(1){Na=ba+(U<<2)|0;Oa=U+1|0;if((c[Na>>2]|0)>-1){U=Oa}else{break}}c[Na>>2]=v;c[ba+(Oa<<2)>>2]=t;c[ba+(U+2<<2)>>2]=-1;Pa=w+1|0;Qa=-1}else{Pa=w;Qa=t}da=c[y>>2]|0;if((da|0)>-1){C=c[q>>2]|0;ea=0;aa=da;do{da=(aa|0)/2|0;if((aa&1|0)==0){c[C+(da*12|0)>>2]=v}else{c[C+(da*12|0)+4>>2]=v}ea=ea+1|0;aa=c[y+(ea<<2)>>2]|0;}while((aa|0)>-1)}c[y>>2]=-1;Ka=N;La=Pa;Ma=Qa}c[y>>2]=-1;ga=Ka;ha=x+1|0;ia=La;ja=u;ka=u+1|0;la=Ma;ma=0}else{ga=0;ha=x;ia=w;ja=v;ka=u;la=t;ma=s}}while(0);M=c[O>>2]|0;if((M|0)>-1){Ra=0}else{E=ga;F=y;G=ha;H=ia;I=ja;J=ka;K=la;L=ma;break b}do{Sa=n+(Ra<<2)|0;Ra=Ra+1|0}while((c[Sa>>2]|0)>-1);c[Sa>>2]=M;c[n+(Ra<<2)>>2]=-1;E=ga;F=y;G=ha;H=ia;I=ja;J=ka;K=la;L=ma;break};case 6:{O=z-2|0;c[f>>2]=O;P=c[B+(O<<2)>>2]|0;O=0;do{Ta=y+(O<<2)|0;O=O+1|0}while((c[Ta>>2]|0)>-1);c[Ta>>2]=P<<1|1;c[y+(O<<2)>>2]=-1;M=0;while(1){if((c[n+(M<<2)>>2]|0)>-1){M=M+1|0}else{break}}c[n+(M-1<<2)>>2]=-1;E=0;F=y;G=x;H=w;I=v;J=u;K=t;L=s;break};case 1:{O=z-2|0;c[f>>2]=O;P=c[B+(O<<2)>>2]|0;if(h){O=c[(c[c[P+4>>2]>>2]|0)+20>>2]|0;D=z-3|0;c[f>>2]=D;c[P+20>>2]=(c[B+(D<<2)>>2]|0)+O;E=0;F=y;G=x;H=w;I=v;J=u;K=-1;L=s;break b}else{O=z-3|0;c[f>>2]=O;D=c[B+(O<<2)>>2]|0;O=z-4|0;c[f>>2]=O;P=(D|0)==0;E=0;F=y;G=x;H=w;I=v;J=u;K=P?t:c[B+(O<<2)>>2]|0;L=P&1;break b}break};case 4:{P=z-2|0;c[f>>2]=P;O=c[B+(P<<2)>>2]|0;P=z-3|0;c[f>>2]=P;E=0;F=y;G=x;H=w;I=(O|0)>-1?O:v;J=c[B+(P<<2)>>2]|0;K=t;L=s;break};default:{E=0;F=y;G=x;H=w;I=v;J=u;K=t;L=s}}}while(0);B=c[f>>2]|0;if((B|0)>(g|0)&(E|0)==0){s=L;t=K;u=J;v=I;w=H;x=G;y=F;z=B}else{W=K;X=I;Y=H;Z=G;_=F;$=E;break a}}}else{W=-1;X=0;Y=0;Z=0;_=k;$=d}}while(0);do{if(h){Ua=Y}else{d=c[_>>2]|0;if((d|0)>-1){k=c[e+16>>2]|0;E=0;F=d;do{d=(F|0)/2|0;if((F&1|0)==0){c[k+(d*12|0)>>2]=X}else{c[k+(d*12|0)+4>>2]=X}E=E+1|0;F=c[_+(E<<2)>>2]|0;}while((F|0)>-1)}c[_>>2]=-1;if(!((W|0)>-1)){Ua=Y;break}F=c[e+36>>2]|0;E=0;while(1){Va=F+(E<<2)|0;Wa=E+1|0;if((c[Va>>2]|0)>-1){E=Wa}else{break}}c[Va>>2]=X;c[F+(Wa<<2)>>2]=W;c[F+(E+2<<2)>>2]=-1;Ua=Y+1|0}}while(0);c[e+48>>2]=Z;c[e+40>>2]=Z;c[e+44>>2]=Ua;jU(j);jU(m);l=$;return l|0}function tT(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=a;a:while(1){a=c[f>>2]|0;do{if((a|0)==1){g=c[f+4>>2]|0;h=g;i=g+4|0;g=vT(c[(c[h>>2]|0)+28>>2]|0,c[(c[i>>2]|0)+24>>2]|0,b,d,e)|0;if((g|0)!=0){j=g;k=10;break a}g=tT(c[h>>2]|0,b,d,e)|0;if((g|0)==0){l=i}else{j=g;k=10;break a}}else if((a|0)==2){g=c[f+4>>2]|0;i=g;if(!((c[g+8>>2]|0)==-1)){l=i;break}g=c[i>>2]|0;h=vT(c[g+28>>2]|0,c[g+24>>2]|0,b,d,e)|0;if((h|0)==0){l=i}else{j=h;k=10;break a}}else if((a|0)==3){h=c[f+4>>2]|0;i=tT(c[h>>2]|0,b,d,e)|0;if((i|0)!=0){j=i;k=10;break a}l=h+4|0}else{j=0;k=10;break a}}while(0);f=c[l>>2]|0}if((k|0)==10){return j|0}return 0}function uT(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=c[a+4>>2]|0;if((b|0)==0){return}a=b+4|0;d=b;e=c[d>>2]|0;if((c[a>>2]|0)==0){f=e}else{g=0;h=e;while(1){do{if((c[h+(g<<5)+8>>2]|0)==0){i=h}else{e=c[h+(g<<5)+16>>2]|0;if((e|0)==0){j=h}else{jU(e);j=c[d>>2]|0}e=c[j+(g<<5)+28>>2]|0;if((e|0)==0){i=j;break}jU(e);i=c[d>>2]|0}}while(0);e=g+1|0;if(e>>>0<(c[a>>2]|0)>>>0){g=e;h=i}else{f=i;break}}}if((f|0)!=0){jU(f)}f=b+8|0;i=c[f>>2]|0;if((i|0)!=0){if((c[i+8>>2]|0)==0){k=i}else{h=i;while(1){i=c[h+16>>2]|0;if((i|0)!=0){jU(i)}if((c[h+40>>2]|0)==0){break}else{h=h+32|0}}k=c[f>>2]|0}jU(k)}k=b+16|0;f=c[k>>2]|0;if((f|0)!=0){h=b+28|0;i=c[h>>2]|0;if((i|0)==0){l=f}else{g=0;a=f;f=i;while(1){i=c[a+(g*12|0)+8>>2]|0;if((i|0)==0){m=f;n=a}else{jU(i);m=c[h>>2]|0;n=c[k>>2]|0}i=g+1|0;if(i>>>0<m>>>0){g=i;a=n;f=m}else{l=n;break}}}jU(l)}l=c[b+32>>2]|0;if((l|0)!=0){jU(l)}l=c[b+20>>2]|0;if((l|0)!=0){jU(l)}l=c[b+36>>2]|0;if((l|0)!=0){jU(l)}jU(b);return}function vT(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=a|0;a=c[g>>2]|0;h=(a|0)>-1;if((d|0)==0){if(!h){i=0;return i|0}j=b|0;k=g;l=a;while(1){a:do{if((c[j>>2]|0)>-1){a=b;m=l;while(1){n=e+(m<<2)|0;c[n>>2]=(c[n>>2]|0)+1;n=a+32|0;if(!((c[n>>2]|0)>-1)){break a}a=n;m=c[k>>2]|0}}}while(0);m=k+32|0;a=c[m>>2]|0;if((a|0)>-1){k=m;l=a}else{i=0;break}}return i|0}if(h){o=g}else{i=0;return i|0}b:while(1){g=o+4|0;h=o+8|0;l=o+16|0;k=o+20|0;e=o+24|0;j=o+28|0;a=o+12|0;m=-1;n=b;c:while(1){p=n;while(1){q=p|0;r=c[q>>2]|0;if(!((r|0)>-1)){break c}s=p+32|0;if((r|0)==(m|0)){p=s}else{break}}t=d+(c[f+(c[o>>2]<<2)>>2]<<5)|0;while(1){u=t+8|0;if((c[u>>2]|0)==0){break}else{t=t+32|0}}c[t+40>>2]=0;c[t>>2]=c[g>>2];c[t+4>>2]=c[h>>2];v=c[q>>2]|0;c[u>>2]=d+(c[f+(v<<2)>>2]<<5);c[t+12>>2]=v;v=c[k>>2]|0;w=c[e>>2]|0;x=c[p+16>>2]|c[l>>2]|((v|0)!=0?4:0)|((w|0)!=0?8:0);y=t+20|0;c[y>>2]=x;z=c[j>>2]|0;A=t+24|0;if((z|0)>-1){c[A>>2]=z;c[y>>2]=x|256}else{c[A>>2]=v}if((w|0)==0){c[t+28>>2]=0}else{v=0;while(1){B=v+1|0;if((c[w+(v<<2)>>2]|0)==0){break}else{v=B}}v=iU(B<<2)|0;w=v;c[t+28>>2]=w;if((v|0)==0){i=12;C=45;break b}v=c[e>>2]|0;A=c[v>>2]|0;if((A|0)==0){D=w}else{x=0;y=A;A=w;while(1){c[A>>2]=y;z=x+1|0;E=c[v+(z<<2)>>2]|0;F=w+(z<<2)|0;if((E|0)==0){D=F;break}else{x=z;y=E;A=F}}}c[D>>2]=0}A=c[a>>2]|0;if((A|0)==0){G=0}else{y=0;while(1){if((c[A+(y<<2)>>2]|0)>-1){y=y+1|0}else{G=y;break}}}y=p+12|0;A=c[y>>2]|0;if((A|0)==0){H=0}else{x=0;while(1){if((c[A+(x<<2)>>2]|0)>-1){x=x+1|0}else{H=x;break}}}x=t+16|0;A=c[x>>2]|0;if((A|0)!=0){jU(A)}c[x>>2]=0;A=H+G|0;if((A|0)<=0){m=r;n=s;continue}p=iU((A<<2)+4|0)|0;A=p;c[x>>2]=A;if((p|0)==0){i=12;C=45;break b}p=c[a>>2]|0;do{if((p|0)==0){I=0}else{x=c[p>>2]|0;if((x|0)>-1){J=0;K=x}else{I=0;break}while(1){c[A+(J<<2)>>2]=K;x=J+1|0;w=c[p+(x<<2)>>2]|0;if((w|0)>-1){J=x;K=w}else{I=x;break}}}}while(0);p=c[y>>2]|0;do{if((p|0)==0){L=I}else{t=c[p>>2]|0;if((t|0)>-1){M=0;N=I;O=t}else{L=I;break}while(1){t=0;while(1){if((t|0)>=(I|0)){C=37;break}if((c[A+(t<<2)>>2]|0)==(c[p+(M<<2)>>2]|0)){P=N;break}else{t=t+1|0}}if((C|0)==37){C=0;c[A+(N<<2)>>2]=O;P=N+1|0}t=M+1|0;x=c[p+(t<<2)>>2]|0;if((x|0)>-1){M=t;N=P;O=x}else{L=P;break}}}}while(0);c[A+(L<<2)>>2]=-1;m=r;n=s}n=o+32|0;if((c[n>>2]|0)>-1){o=n}else{i=0;C=45;break}}if((C|0)==45){return i|0}return 0}function wT(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;g=(e|0)==0;if(g){h=0}else{i=0;while(1){if((c[e+(i<<2)>>2]|0)>-1){i=i+1|0}else{h=i;break}}}i=0;while(1){if((c[b+(i<<5)>>2]|0)>-1){i=i+1|0}else{j=0;break}}while(1){if((c[d+(j<<5)>>2]|0)>-1){j=j+1|0}else{break}}k=IT(a,0,0,1,(j+i<<5)+32|0)|0;i=k;if((k|0)==0){l=0;return l|0}k=c[b>>2]|0;a:do{if((k|0)>-1){j=(h|0)>0;m=0;n=k;while(1){c[i+(m<<5)>>2]=n;c[i+(m<<5)+4>>2]=c[b+(m<<5)+4>>2];c[i+(m<<5)+8>>2]=c[b+(m<<5)+8>>2];c[i+(m<<5)+16>>2]=c[b+(m<<5)+16>>2]|f;c[i+(m<<5)+20>>2]=c[b+(m<<5)+20>>2];c[i+(m<<5)+24>>2]=c[b+(m<<5)+24>>2];c[i+(m<<5)+28>>2]=c[b+(m<<5)+28>>2];o=b+(m<<5)+12|0;p=c[o>>2]|0;q=(p|0)==0;if(q&g){c[i+(m<<5)+12>>2]=0}else{b:do{if(q){r=0}else{s=0;while(1){if(!((c[p+(s<<2)>>2]|0)>-1)){r=s;break b}s=s+1|0}}}while(0);p=IT(a,0,0,0,(r+h<<2)+4|0)|0;q=p;if((p|0)==0){l=0;break}if((r|0)>0){p=c[o>>2]|0;s=0;while(1){c[q+(s<<2)>>2]=c[p+(s<<2)>>2];t=s+1|0;if((t|0)<(r|0)){s=t}else{u=r;break}}}else{u=0}if(j){s=0;while(1){c[q+(s+u<<2)>>2]=c[e+(s<<2)>>2];p=s+1|0;if((p|0)<(h|0)){s=p}else{v=h;break}}}else{v=0}c[q+(v+u<<2)>>2]=-1;c[i+(m<<5)+12>>2]=q}s=m+1|0;p=c[b+(s<<5)>>2]|0;if((p|0)>-1){m=s;n=p}else{w=s;break a}}return l|0}else{w=0}}while(0);b=c[d>>2]|0;u=i+(w<<5)|0;c:do{if((b|0)>-1){v=0;h=b;e=w;r=u;while(1){c[r>>2]=h;c[i+(e<<5)+4>>2]=c[d+(v<<5)+4>>2];c[i+(e<<5)+8>>2]=c[d+(v<<5)+8>>2];c[i+(e<<5)+16>>2]=c[d+(v<<5)+16>>2];c[i+(e<<5)+20>>2]=c[d+(v<<5)+20>>2];c[i+(e<<5)+24>>2]=c[d+(v<<5)+24>>2];c[i+(e<<5)+28>>2]=c[d+(v<<5)+28>>2];g=d+(v<<5)+12|0;f=c[g>>2]|0;if((f|0)==0){c[i+(e<<5)+12>>2]=0}else{k=0;while(1){if((c[f+(k<<2)>>2]|0)>-1){k=k+1|0}else{break}}f=IT(a,0,0,0,(k<<2)+4|0)|0;q=f;if((f|0)==0){l=0;break}if((k|0)>0){f=c[g>>2]|0;n=0;while(1){c[q+(n<<2)>>2]=c[f+(n<<2)>>2];m=n+1|0;if((m|0)<(k|0)){n=m}else{x=k;break}}}else{x=0}c[q+(x<<2)>>2]=-1;c[i+(e<<5)+12>>2]=q}k=v+1|0;n=c[d+(k<<5)>>2]|0;f=k+w|0;g=i+(f<<5)|0;if((n|0)>-1){v=k;h=n;e=f;r=g}else{y=g;break c}}return l|0}else{y=u}}while(0);c[y>>2]=-1;l=i;return l|0}function xT(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=a+12|0;h=c[g>>2]|0;i=(f|0)!=0;if(i){c[f>>2]=0}j=yT(a,b)|0;if((j|0)!=0){k=j;return k|0}j=a+16|0;b=(d|0)==0;l=(e|0)==0;a:while(1){m=c[g>>2]|0;if((m|0)<=(h|0)){k=0;n=28;break}o=m-1|0;c[g>>2]=o;m=c[(c[j>>2]|0)+(o<<2)>>2]|0;o=c[m>>2]|0;do{if((o|0)==3){p=c[m+4>>2]|0;q=c[p>>2]|0;if((c[q+8>>2]|0)!=0){r=yT(a,q)|0;break}q=c[p+4>>2]|0;if((c[q+8>>2]|0)==0){continue a}r=yT(a,q)|0}else if((o|0)==0){q=c[m+4>>2]|0;p=c[q>>2]|0;if((p|0)==(-2|0)){if(l){continue a}c[e>>2]=c[e>>2]|c[q+4>>2];continue a}else if((p|0)!=(-3|0)){continue a}p=c[q+4>>2]|0;if(!((p|0)>-1)){continue a}do{if(!b){q=0;while(1){s=d+(q<<2)|0;t=c[s>>2]|0;if(!((t|0)>-1)){n=14;break}u=q+1|0;if((t|0)==(p|0)){n=13;break}else{q=u}}if((n|0)==13){n=0;if((p|0)<0){v=u}else{break}}else if((n|0)==14){n=0;v=q+1|0}c[s>>2]=p;c[d+(v<<2)>>2]=-1}}while(0);if(!i){continue a}c[f>>2]=(c[f>>2]|0)+1;continue a}else if((o|0)==1){p=c[m+4>>2]|0;t=yT(a,c[p>>2]|0)|0;if((t|0)!=0){k=t;n=28;break a}r=yT(a,c[p+4>>2]|0)|0}else if((o|0)==2){p=c[c[m+4>>2]>>2]|0;if((c[p+8>>2]|0)==0){continue a}r=yT(a,p)|0}else{continue a}}while(0);if((r|0)!=0){k=r;n=28;break}}if((n|0)==28){return k|0}return 0}function yT(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+12|0;e=c[d>>2]|0;f=a|0;g=c[f>>2]|0;if((e|0)<(g|0)){c[(c[a+16>>2]|0)+(e<<2)>>2]=b;c[d>>2]=(c[d>>2]|0)+1;h=0;return h|0}d=c[a+4>>2]|0;if((g|0)>=(d|0)){h=12;return h|0}e=(c[a+8>>2]|0)+g|0;g=(e|0)>(d|0)?d:e;e=a+16|0;d=lU(c[e>>2]|0,g<<2)|0;if((d|0)==0){h=12;return h|0}else{c[f>>2]=g;c[e>>2]=d;yT(a,b)|0;return 0}return 0}function zT(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;j=b+12|0;k=c[j>>2]|0;yT(b,d)|0;d=yT(b,0)|0;a:do{if((d|0)==0){l=b+16|0;m=(e&1|0)==0;n=(e&2|0)==0;o=h;p=1;q=0;b:while(1){r=c[j>>2]|0;if((r|0)<=(k|0)){s=q;t=0;break a}u=r-1|0;c[j>>2]=u;v=c[l>>2]|0;w=c[v+(u<<2)>>2]|0;if((w|0)==1){u=r-2|0;c[j>>2]=u;o=c[v+(u<<2)>>2]|0;p=p;q=q;continue}else if((w|0)!=0){o=o;p=p;q=q;continue}w=r-2|0;c[j>>2]=w;r=c[v+(w<<2)>>2]|0;w=c[r>>2]|0;do{if((w|0)==3){v=c[r+4>>2]|0;u=v;x=c[u>>2]|0;y=v+4|0;v=c[y>>2]|0;z=IT(a,0,0,1,32)|0;if((z|0)==0){A=20;break b}B=IT(a,0,0,1,8)|0;C=z+4|0;c[C>>2]=B;if((B|0)==0){A=20;break b}c[z>>2]=3;c[z+8>>2]=-1;c[z+12>>2]=-1;c[B>>2]=x;c[(c[C>>2]|0)+4>>2]=v;c[z+16>>2]=(c[v+16>>2]|0)+(c[x+16>>2]|0);c[o>>2]=z;z=c[C>>2]|0;C=yT(b,c[y>>2]|0)|0;if((C|0)!=0){s=q;t=C;break a}C=yT(b,0)|0;if((C|0)!=0){s=q;t=C;break a}C=yT(b,z+4|0)|0;if((C|0)!=0){s=q;t=C;break a}C=yT(b,1)|0;if((C|0)!=0){s=q;t=C;break a}C=yT(b,c[u>>2]|0)|0;if((C|0)!=0){s=q;t=C;break a}D=yT(b,0)|0;E=q;F=p;G=z}else if((w|0)==0){z=c[r+4>>2]|0;C=c[z+8>>2]|0;u=c[z>>2]|0;y=c[z+4>>2]|0;do{if((u|0)>-1|(u|0)==-4){H=q+1|0;I=p;J=y;K=u;L=(c[f>>2]|0)+C|0}else{if(!((u|0)==-3)){H=q;I=p;J=y;K=u;L=C;break}if(!m){H=q;I=p;J=-1;K=-1;L=-1;break}if(n|(p|0)==0){H=q;I=p;J=y;K=-3;L=C;break}c[g+(y<<2)>>2]=1;H=q;I=0;J=y;K=-3;L=C}}while(0);C=IT(a,0,0,1,32)|0;y=C;do{if((C|0)==0){M=0}else{u=IT(a,0,0,1,20)|0;c[C+4>>2]=u;if((u|0)==0){M=0;break}c[C>>2]=0;c[C+8>>2]=-1;c[C+12>>2]=-1;c[u>>2]=K;c[u+4>>2]=J;c[u+8>>2]=L;M=y}}while(0);c[o>>2]=M;y=(M|0)==0?12:0;if((L|0)<=(c[i>>2]|0)){D=y;E=H;F=I;G=o;break}c[i>>2]=L;D=y;E=H;F=I;G=o}else if((w|0)==1){y=c[r+4>>2]|0;C=y;u=c[C>>2]|0;z=y+4|0;y=c[z>>2]|0;x=IT(a,0,0,1,32)|0;if((x|0)==0){A=29;break b}v=IT(a,0,0,1,8)|0;B=x+4|0;c[B>>2]=v;if((v|0)==0){A=29;break b}c[x>>2]=1;c[x+8>>2]=-1;c[x+12>>2]=-1;c[v>>2]=u;c[(c[B>>2]|0)+4>>2]=y;c[x+16>>2]=(c[y+16>>2]|0)+(c[u+16>>2]|0);c[o>>2]=x;x=c[B>>2]|0;B=x;c[B>>2]=0;u=x+4|0;c[u>>2]=0;x=yT(b,c[z>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}x=yT(b,0)|0;if((x|0)!=0){s=q;t=x;break a}x=yT(b,u)|0;if((x|0)!=0){s=q;t=x;break a}x=yT(b,1)|0;if((x|0)!=0){s=q;t=x;break a}x=yT(b,c[C>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}D=yT(b,0)|0;E=q;F=p;G=B}else if((w|0)==2){B=c[r+4>>2]|0;x=B;C=yT(b,c[x>>2]|0)|0;if((C|0)!=0){s=q;t=C;break a}C=yT(b,0)|0;if((C|0)!=0){s=q;t=C;break a}C=c[x>>2]|0;x=c[B+4>>2]|0;u=c[B+8>>2]|0;z=c[B+12>>2]&1;B=IT(a,0,0,1,32)|0;if((B|0)==0){A=40;break b}y=IT(a,0,0,1,16)|0;v=B+4|0;c[v>>2]=y;if((y|0)==0){A=40;break b}c[B>>2]=2;c[B+8>>2]=-1;c[B+12>>2]=-1;c[y>>2]=C;c[y+4>>2]=x;c[y+8>>2]=u;u=y+12|0;c[u>>2]=c[u>>2]&-2|z;c[B+16>>2]=c[C+16>>2];c[o>>2]=B;o=c[v>>2]|0;p=p;q=q;continue b}else{o=o;p=p;q=q;continue b}}while(0);if((D|0)==0){o=G;p=F;q=E}else{s=E;t=D;break a}}if((A|0)==20){c[o>>2]=0;s=q;t=12;break}else if((A|0)==29){c[o>>2]=0;s=q;t=12;break}else if((A|0)==40){c[o>>2]=0;s=q;t=12;break}}else{s=0;t=d}}while(0);c[f>>2]=(c[f>>2]|0)+s;return t|0}function AT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=IT(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=IT(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=IT(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e>>2]=h;i=IT(a,0,0,0,32)|0;j=e+4|0;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e>>2]=0;f=12;return f|0}function BT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=IT(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=IT(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=IT(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e+4>>2]=h;i=IT(a,0,0,0,32)|0;j=e;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e+4>>2]=0;f=12;return f|0}function CT(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[c[(c[a>>2]|0)+4>>2]>>2]|0;a=c[c[(c[b>>2]|0)+4>>2]>>2]|0;if((d|0)<(a|0)){e=-1;return e|0}e=(d|0)>(a|0)|0;return e|0}function DT(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;d=i;a:do{if((b|0)==0){g=13864}else{h=b;j=13864;while(1){if((a[j]|0)==0){g=j;break a}k=h-1|0;l=j+((KU(j|0)|0)+1)|0;if((k|0)==0){g=l;break}else{h=k;j=l}}}}while(0);b=Ab(e|0,f|0,33976,(f=i,i=i+8|0,c[f>>2]=(a[g]|0)==0?g+1|0:g,f)|0)|0;i=f;i=d;return b+1|0}



function Il(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=a;a=b;b=c[e+480>>2]|0;if((b|0)==2){c[e+284>>2]=36;f=0;g=f;i=d;return g|0}else if((b|0)==3){c[e+284>>2]=33;f=0;g=f;i=d;return g|0}else{if((a|0)>((c[e+32>>2]|0)-(c[e+28>>2]|0)|0)){b=a+((c[e+28>>2]|0)-(c[e+24>>2]|0))|0;a=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((a|0)>1024){a=1024}b=b+a|0;if((b|0)<=((c[e+32>>2]|0)-(c[e+8>>2]|0)|0)){if((a|0)<((c[e+24>>2]|0)-(c[e+8>>2]|0)|0)){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)-a|0;QU(c[e+8>>2]|0,(c[e+8>>2]|0)+h|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+a|0)|0;a=e+28|0;c[a>>2]=(c[a>>2]|0)+(-h|0);a=e+24|0;c[a>>2]=(c[a>>2]|0)+(-h|0)}}else{h=(c[e+32>>2]|0)-(c[e+24>>2]|0)|0;if((h|0)==0){h=1024}do{h=h<<1;}while((h|0)<(b|0));b=Td[c[e+12>>2]&255](h)|0;if((b|0)==0){c[e+284>>2]=1;f=0;g=f;i=d;return g|0}c[e+32>>2]=b+h;if((c[e+24>>2]|0)!=0){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((h|0)>1024){h=1024}MU(b|0,(c[e+24>>2]|0)+(-h|0)|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+h|0)|0;Qd[c[e+20>>2]&511](c[e+8>>2]|0);c[e+8>>2]=b;c[e+28>>2]=(c[e+8>>2]|0)+((c[e+28>>2]|0)-(c[e+24>>2]|0))+h;c[e+24>>2]=(c[e+8>>2]|0)+h}else{c[e+28>>2]=b+((c[e+28>>2]|0)-(c[e+24>>2]|0));h=b;c[e+8>>2]=h;c[e+24>>2]=h}}c[e+292>>2]=0;c[e+288>>2]=0;c[e+296>>2]=0}f=c[e+28>>2]|0;g=f;i=d;return g|0}return 0}function Jl(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;g=b;b=d;d=e;e=1;h=c[g+480>>2]|0;if((h|0)==3){c[g+284>>2]=33;j=0;k=j;i=f;return k|0}else if((h|0)==2){c[g+284>>2]=36;j=0;k=j;i=f;return k|0}else if((h|0)==0){do{if((c[g+476>>2]|0)==0){if((Gl(g)|0)<<24>>24!=0){break}c[g+284>>2]=1;j=0;k=j;i=f;return k|0}}while(0)}c[g+480>>2]=1;h=c[g+24>>2]|0;c[g+296>>2]=h;l=g+28|0;c[l>>2]=(c[l>>2]|0)+b;c[g+40>>2]=c[g+28>>2];l=g+36|0;c[l>>2]=(c[l>>2]|0)+b;a[g+484|0]=d;c[g+284>>2]=fe[c[g+280>>2]&127](g,h,c[g+40>>2]|0,g+24|0)|0;if((c[g+284>>2]|0)!=0){c[g+292>>2]=c[g+288>>2];c[g+280>>2]=2;j=0;k=j;i=f;return k|0}h=c[g+480>>2]|0;do{if((h|0)==0|(h|0)==1){if((d|0)==0){m=16;break}c[g+480>>2]=2;j=e;k=j;i=f;return k|0}else if((h|0)==3){e=2}else{m=16}}while(0);je[c[(c[g+144>>2]|0)+52>>2]&63](c[g+144>>2]|0,c[g+296>>2]|0,c[g+24>>2]|0,g+408|0);c[g+296>>2]=c[g+24>>2];j=e;k=j;i=f;return k|0}function Kl(a){a=a|0;i=i;return c[a+284>>2]|0}function Ll(a){a=a|0;var b=0,d=0;b=i;d=a;do{if((c[d+288>>2]|0)!=0){if(!((c[d+288>>2]|0)>>>0>=(c[d+296>>2]|0)>>>0)){break}je[c[(c[d+144>>2]|0)+52>>2]&63](c[d+144>>2]|0,c[d+296>>2]|0,c[d+288>>2]|0,d+408|0);c[d+296>>2]=c[d+288>>2]}}while(0);i=b;return(c[d+408>>2]|0)+1|0}function Ml(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=b;b=d;c[h>>2]=e;e=f;if((a[b+72|0]|0)!=0){ge[c[k+80>>2]&15](c[k+4>>2]|0,c[h>>2]|0,e-(c[h>>2]|0)|0);i=g;return}if((b|0)==(c[k+144>>2]|0)){l=k+288|0;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}do{c[j>>2]=c[k+44>>2];Pd[c[b+60>>2]&31](b,h,e,j,c[k+48>>2]|0);c[m>>2]=c[h>>2];ge[c[k+80>>2]&15](c[k+4>>2]|0,c[k+44>>2]|0,(c[j>>2]|0)-(c[k+44>>2]|0)|0);c[l>>2]=c[h>>2];}while((c[h>>2]|0)!=(e|0));i=g;return}function Nl(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if(d>>>0>0>>>0){if(!(d>>>0<41>>>0)){break}e=c[913616+(d<<2)>>2]|0;f=e;i=b;return f|0}}while(0);e=0;f=e;i=b;return f|0}function Ol(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;do{if((c[d+4>>2]|0)!=0){if((c[d+16>>2]|0)==0){c[d>>2]=c[d+4>>2];c[d+4>>2]=c[c[d+4>>2]>>2];c[c[d>>2]>>2]=0;c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);c[d+12>>2]=c[d+16>>2];e=1;f=e;i=b;return f|0}if(((c[d+8>>2]|0)-(c[d+16>>2]|0)|0)>=(c[(c[d+4>>2]|0)+4>>2]|0)){break}a=c[c[d+4>>2]>>2]|0;c[c[d+4>>2]>>2]=c[d>>2];c[d>>2]=c[d+4>>2];c[d+4>>2]=a;MU((c[d>>2]|0)+8|0,c[d+16>>2]|0,(c[d+8>>2]|0)-(c[d+16>>2]|0)|0)|0;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);e=1;f=e;i=b;return f|0}}while(0);do{if((c[d>>2]|0)!=0){if((c[d+16>>2]|0)!=((c[d>>2]|0)+8|0)){g=12;break}a=(c[d+8>>2]|0)-(c[d+16>>2]|0)<<1;h=ce[c[(c[d+20>>2]|0)+4>>2]&127](c[d>>2]|0,a+8|0)|0;if((h|0)!=0){c[d>>2]=h;c[(c[d>>2]|0)+4>>2]=a;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+a;break}e=0;f=e;i=b;return f|0}else{g=12}}while(0);if((g|0)==12){g=(c[d+8>>2]|0)-(c[d+16>>2]|0)|0;if((g|0)<1024){g=1024}else{g=g<<1}a=Td[c[c[d+20>>2]>>2]&255](g+8|0)|0;if((a|0)==0){e=0;f=e;i=b;return f|0}c[a+4>>2]=g;c[a>>2]=c[d>>2];c[d>>2]=a;if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){MU(a+8|0,c[d+16>>2]|0,(c[d+12>>2]|0)-(c[d+16>>2]|0)|0)|0}c[d+12>>2]=a+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=a+8;c[d+8>>2]=a+8+g}e=1;f=e;i=b;return f|0}function Pl(a,b){a=a|0;b=b|0;var d=0;d=a;a=b;c[d>>2]=c[a>>2];c[d+4>>2]=(c[d>>2]|0)+(c[a+8>>2]<<2);i=i;return}function Ql(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=a;while(1){if((c[d>>2]|0)==(c[d+4>>2]|0)){e=6;break}a=d|0;f=c[a>>2]|0;c[a>>2]=f+4;g=c[f>>2]|0;if((g|0)!=0){e=4;break}}if((e|0)==4){h=g;j=h;i=b;return j|0}else if((e|0)==6){h=0;j=h;i=b;return j|0}return 0}function Rl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;h=i;j=b;b=e;e=f;f=g;do{if((c[b+8>>2]|0)==0){if((f|0)==0){k=0;l=k;i=h;return l|0}a[b+4|0]=6;c[b+8>>2]=64;g=c[b+8>>2]<<2;c[b>>2]=Td[c[c[b+16>>2]>>2]&255](g)|0;if((c[b>>2]|0)!=0){NU(c[b>>2]|0,0,g|0)|0;g=Sl(j,e)|0;m=g&(c[b+8>>2]|0)-1;break}c[b+8>>2]=0;k=0;l=k;i=h;return l|0}else{g=Sl(j,e)|0;n=(c[b+8>>2]|0)-1|0;o=0;m=g&n;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if((Tl(e,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0)<<24>>24!=0){p=10;break}if(!(o<<24>>24!=0)){o=((g&~n)>>>(((d[b+4|0]|0)-1|0)>>>0)&n>>>2|1)&255}if(m>>>0<(o&255)>>>0){q=m+((c[b+8>>2]|0)-(o&255))|0;m=q;r=q}else{q=m-(o&255)|0;m=q;r=q}}if((p|0)==10){k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}if((f|0)==0){k=0;l=k;i=h;return l|0}if(((c[b+12>>2]|0)>>>(((d[b+4|0]|0)-1|0)>>>0)|0)!=0){n=(d[b+4|0]|0)+1&255;q=1<<(n&255);s=q-1|0;t=q<<2;u=Td[c[c[b+16>>2]>>2]&255](t)|0;if((u|0)==0){k=0;l=k;i=h;return l|0}NU(u|0,0,t|0)|0;m=0;while(1){if(!(m>>>0<(c[b+8>>2]|0)>>>0)){break}if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){t=Sl(j,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0;v=t&s;o=0;while(1){if((c[u+(v<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((t&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(v>>>0<(o&255)>>>0){w=v+(q-(o&255))|0;v=w;x=w}else{w=v-(o&255)|0;v=w;x=w}}c[u+(v<<2)>>2]=c[(c[b>>2]|0)+(m<<2)>>2]}m=m+1|0}Qd[c[(c[b+16>>2]|0)+8>>2]&511](c[b>>2]|0);c[b>>2]=u;a[b+4|0]=n;c[b+8>>2]=q;m=g&s;o=0;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((g&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(m>>>0<(o&255)>>>0){t=m+(q-(o&255))|0;m=t;y=t}else{t=m-(o&255)|0;m=t;y=t}}}}}while(0);y=Td[c[c[b+16>>2]>>2]&255](f)|0;c[(c[b>>2]|0)+(m<<2)>>2]=y;if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){NU(c[(c[b>>2]|0)+(m<<2)>>2]|0,0,f|0)|0;c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]=e;e=b+12|0;c[e>>2]=(c[e>>2]|0)+1;k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}else{k=0;l=k;i=h;return l|0}return 0}function Sl(b,e){b=b|0;e=e|0;var f=0,g=0;f=i;g=e;e=c[b+496>>2]|0;while(1){if((a[g]|0)==0){break}b=g;g=b+1|0;e=(e*1000003|0)^d[b]}i=f;return e|0}function Tl(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=b;b=c;while(1){if((a[e]|0)!=(a[b]|0)){f=7;break}if((a[e]|0)==0){f=4;break}e=e+1|0;b=b+1|0}if((f|0)==4){g=1;h=g;i=d;return h|0}else if((f|0)==7){g=0;h=g;i=d;return h|0}return 0}function Ul(a){a=a|0;var b=0,d=0;b=i;d=a;a=0;while(1){if(!(a>>>0<(c[d+8>>2]|0)>>>0)){break}Qd[c[(c[d+16>>2]|0)+8>>2]&511](c[(c[d>>2]|0)+(a<<2)>>2]|0);a=a+1|0}Qd[c[(c[d+16>>2]|0)+8>>2]&511](c[d>>2]|0);i=b;return}function Vl(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=i;j=b;b=d;d=e;e=f;f=g;g=0;k=1;l=1;do{if((a[e]|0)==0){if((c[b>>2]|0)==0){break}m=28;n=m;i=h;return n|0}}while(0);do{if((c[b>>2]|0)!=0){if((a[c[b>>2]|0]|0)!=120){break}if((a[(c[b>>2]|0)+1|0]|0)!=109){break}if((a[(c[b>>2]|0)+2|0]|0)!=108){break}do{if((a[(c[b>>2]|0)+3|0]|0)==110){if((a[(c[b>>2]|0)+4|0]|0)!=115){break}if((a[(c[b>>2]|0)+5|0]|0)!=0){break}m=39;n=m;i=h;return n|0}}while(0);if((a[(c[b>>2]|0)+3|0]|0)==0){g=1}}}while(0);o=0;while(1){if((a[e+o|0]|0)==0){break}do{if((k&255|0)!=0){if((o|0)<=36){if((a[e+o|0]|0)==(a[21232+o|0]|0)){break}}k=0}}while(0);do{if(!(g<<24>>24!=0)){if((l&255|0)==0){break}if((o|0)<=29){if((a[e+o|0]|0)==(a[21200+o|0]|0)){break}}l=0}}while(0);o=o+1|0}if((k&255|0)!=0){p=(o|0)==36}else{p=0}k=p&1;if((l&255|0)!=0){q=(o|0)==29}else{q=0}l=q&1;if((g&255|0)!=(k&255|0)){m=(g&255|0)!=0?38:40;n=m;i=h;return n|0}if(l<<24>>24!=0){m=40;n=m;i=h;return n|0}if((a[j+472|0]|0)!=0){o=o+1|0}do{if((c[j+376>>2]|0)!=0){r=c[j+376>>2]|0;do{if((o|0)>(c[r+24>>2]|0)){l=ce[c[j+16>>2]&127](c[r+16>>2]|0,o+24|0)|0;if((l|0)!=0){c[r+16>>2]=l;c[r+24>>2]=o+24;break}m=1;n=m;i=h;return n|0}}while(0);c[j+376>>2]=c[r+4>>2]}else{r=Td[c[j+12>>2]&255](28)|0;if((r|0)==0){m=1;n=m;i=h;return n|0}c[r+16>>2]=Td[c[j+12>>2]&255](o+24|0)|0;if((c[r+16>>2]|0)!=0){c[r+24>>2]=o+24;break}Qd[c[j+20>>2]&511](r);m=1;n=m;i=h;return n|0}}while(0);c[r+20>>2]=o;MU(c[r+16>>2]|0,e|0,o)|0;if((a[j+472|0]|0)!=0){a[(c[r+16>>2]|0)+(o-1)|0]=a[j+472|0]|0}c[r>>2]=b;c[r+12>>2]=d;c[r+8>>2]=c[b+4>>2];do{if((a[e]|0)==0){if((b|0)!=((c[j+356>>2]|0)+152|0)){s=54;break}c[b+4>>2]=0}else{s=54}}while(0);if((s|0)==54){c[b+4>>2]=r}c[r+4>>2]=c[f>>2];c[f>>2]=r;do{if((d|0)!=0){if((c[j+100>>2]|0)==0){break}if((c[b+4>>2]|0)!=0){t=e}else{t=0}ge[c[j+100>>2]&15](c[j+4>>2]|0,c[b>>2]|0,t)}}while(0);m=0;n=m;i=h;return n|0}function Wl(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((Vd[((a[e+236|0]&255|0)!=0?18:4)&127](e+148|0,e+144|0,c[e+232>>2]|0)|0)!=0){f=0;g=f;i=d;return g|0}else{f=Cm(e,c[e+232>>2]|0)|0;g=f;i=d;return g|0}return 0}function Xl(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;c[h>>2]=b;e=fe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=Yl(j,c[j+144>>2]|0,b,d,e,c[h>>2]|0,f,((a[j+484|0]|0)!=0^1)&1)|0;i=g;return k|0}function Yl(b,e,f,g,h,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=i;i=i+8|0;n=m|0;o=b;b=e;e=f;f=g;g=h;c[n>>2]=j;j=k;k=l;l=c[o+356>>2]|0;if((b|0)==(c[o+144>>2]|0)){p=o+288|0;q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}a:while(1){h=1;c[p>>2]=e;c[q>>2]=c[n>>2];if((g|0)<=0){if((k&255|0)!=0){if((g|0)!=0){r=8;break}}switch(g|0){case-4:{r=14;break a;break};case-1:{r=11;break a;break};case-2:{r=12;break a;break};case-15:{g=-g|0;break};case 0:{r=10;break a;break};default:{g=-g|0;c[n>>2]=f}}}s=Ud[c[o+256>>2]&127](o+256|0,g,e,c[n>>2]|0,b)|0;b:do{switch(s|0){case 2:{r=86;break a;break};case 13:{r=201;break};case 7:{if((c[o+84>>2]|0)!=0){Pd[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,1);c[o+320>>2]=0;vl(o+416|0);h=0}break};case 15:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}if((c[o+136>>2]|0)==0){break}c[q>>2]=e;be[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,0);h=0}}while(0);break};case 16:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}t=_l(l+80|0,b,e,c[n>>2]|0)|0;c[(c[o+316>>2]|0)+28>>2]=t;if((c[(c[o+316>>2]|0)+28>>2]|0)==0){r=217;break a}c[l+96>>2]=c[l+92>>2];if((c[o+92>>2]|0)!=0){c[q>>2]=e;Yd[c[o+92>>2]&63](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}else{if((c[o+136>>2]|0)!=0){c[q>>2]=e;be[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}}}}while(0);break};case 21:{if((fe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=263;break a}if((c[o+336>>2]|0)!=0){t=_l(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=266;break a}$l(t);c[o+340>>2]=t;c[o+432>>2]=c[o+428>>2];h=0}break};case 19:{do{if((c[o+336>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}t=_l(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=272;break a}c[q>>2]=e;Pd[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,t,c[o+340>>2]|0);h=0}}while(0);vl(o+416|0);break};case 20:{do{if((c[o+340>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}c[q>>2]=e;Pd[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,0,c[o+340>>2]|0);h=0}}while(0);vl(o+416|0);break};case-1:{r=279;break a;break};case 58:{if((c[o+80>>2]|0)!=0){Ml(o,b,e,c[n>>2]|0)}h=0;u=im(o,b,n,f,j,k)|0;if((u|0)!=0){r=286;break a}if((c[n>>2]|0)==0){r=288;break a}break};case 44:{if((c[o+260>>2]|0)>>>0>=(c[o+468>>2]|0)>>>0){if((c[o+468>>2]|0)!=0){t=c[o+16>>2]|0;v=c[o+464>>2]|0;w=o+468|0;x=c[w>>2]<<1;c[w>>2]=x;w=ce[t&127](v,x)|0;if((w|0)==0){r=294;break a}c[o+464>>2]=w;if((c[l+184>>2]|0)!=0){w=ce[c[o+16>>2]&127](c[l+184>>2]|0,c[o+468>>2]<<2)|0;if((w|0)==0){r=297;break a}c[l+184>>2]=w}}else{w=c[o+12>>2]|0;c[o+468>>2]=32;c[o+464>>2]=Td[w&255](32)|0;if((c[o+464>>2]|0)==0){r=301;break a}}}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=0;if((a[l+160|0]|0)!=0){w=km(o)|0;if((w|0)<0){r=306;break a}c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]=w;x=l+180|0;c[x>>2]=(c[x>>2]|0)+1;c[(c[l+164>>2]|0)+(w*28|0)>>2]=6;if((c[o+128>>2]|0)!=0){h=0}}break};case 50:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==124){r=312;break a}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=44;do{if((d[l+160|0]|0)!=0){if((c[o+128>>2]|0)==0){break}h=0}}while(0);break};case 49:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==44){r=318;break a}do{if((d[l+160|0]|0)!=0){if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)!=0){break}if((c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]|0)==3){break}c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=5;if((c[o+128>>2]|0)!=0){h=0}}}while(0);a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=124;break};case 60:case 59:{a[l+129|0]=1;if((c[o+492>>2]|0)!=0){w=_l(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((w|0)==0){r=329;break a}y=Rl(o,l+132|0,w,0)|0;c[l+92>>2]=c[l+96>>2];do{if((c[o+272>>2]|0)!=0){if((d[l+130|0]|0)!=0){if((c[o+300>>2]|0)!=0){r=340;break}}else{if((a[l+129|0]|0)!=0){r=340;break}}if((y|0)==0){r=335;break a}if((a[y+34|0]|0)==0){r=337;break a}}else{r=340}}while(0);do{if((r|0)==340){r=0;if((y|0)!=0){break}a[l+128|0]=a[l+130|0]|0;do{if((s|0)==60){if((c[o+120>>2]|0)==0){break}ge[c[o+120>>2]&15](c[o+4>>2]|0,w,1);h=0}}while(0);break b}}while(0);if((a[y+32|0]|0)!=0){r=347;break a}if((c[y+4>>2]|0)!=0){z=lm(o,y,((s|0)==60?1:0)&255)|0;if((z|0)!=0){r=350;break a}h=0;break b}if((c[o+112>>2]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}a[l+131|0]=0;a[y+32|0]=1;if((Ud[c[o+112>>2]&127](c[o+116>>2]|0,0,c[y+20>>2]|0,c[y+16>>2]|0,c[y+24>>2]|0)|0)==0){r=354;break a}a[y+32|0]=0;h=0;if((a[l+131|0]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}}else{a[l+128|0]=a[l+130|0]|0}do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Td[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=363;break a}}}while(0);break};case 12:{if((a[l+128|0]|0)!=0){A=hm(o,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+316>>2]|0)!=0){c[(c[o+316>>2]|0)+4>>2]=c[l+120>>2];c[(c[o+316>>2]|0)+8>>2]=(c[l+116>>2]|0)-(c[l+120>>2]|0);c[l+120>>2]=c[l+116>>2];if((c[o+136>>2]|0)!=0){c[q>>2]=e;be[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,c[(c[o+316>>2]|0)+4>>2]|0,c[(c[o+316>>2]|0)+8>>2]|0,c[o+360>>2]|0,0,0,0);h=0}}else{c[l+116>>2]=c[l+120>>2]}if((A|0)!=0){r=183;break a}}break};case 37:case 38:{if((a[l+128|0]|0)!=0){B=gm(o,b,a[o+352|0]|0,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0,l+80|0)|0;if((B|0)!=0){r=155;break a}w=c[l+96>>2]|0;c[l+96>>2]=c[l+92>>2];if((fm(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,0,w,o)|0)==0){r=157;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=163}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=163}}}while(0);if((r|0)==163){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Ol(o+416|0)|0)<<24>>24!=0){r=166;break}if(!0){r=171;break a}}else{r=166}}while(0);if((r|0)==166){r=0;x=o+428|0;v=c[x>>2]|0;c[x>>2]=v+1;a[v]=41;if(!1){r=171;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Ol(o+416|0)|0)<<24>>24!=0){r=170;break}if(!0){r=171;break a}}else{r=170}}while(0);if((r|0)==170){r=0;v=o+428|0;x=c[v>>2]|0;c[v>>2]=x+1;a[x]=0;if(!1){r=171;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;Yd[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,w,(s|0)==38|0);vl(o+416|0);h=0}}while(0)}break};case 23:{a[o+352|0]=1;c[o+332>>2]=16960;r=117;break};case 24:{a[o+353|0]=1;c[o+332>>2]=16928;r=117;break};case 25:{c[o+332>>2]=16920;r=117;break};case 26:{c[o+332>>2]=16912;r=117;break};case 27:{c[o+332>>2]=16936;r=117;break};case 28:{c[o+332>>2]=16944;r=117;break};case 29:{c[o+332>>2]=16904;r=117;break};case 30:{c[o+332>>2]=16888;r=117;break};case 31:case 32:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}if((c[o+332>>2]|0)!=0){C=16880}else{C=(s|0)==32?16848:16872}if((dm(o+416|0,C)|0)==0){r=127;break a}if((em(o+416|0,b,e,c[n>>2]|0)|0)==0){r=129;break a}c[o+332>>2]=c[o+432>>2];h=0}}while(0);break};case 35:case 36:{if((a[l+128|0]|0)!=0){if((fm(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,a[o+353|0]|0,0,o)|0)==0){r=134;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=140}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=140}}}while(0);if((r|0)==140){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Ol(o+416|0)|0)<<24>>24!=0){r=143;break}if(!0){r=148;break a}}else{r=143}}while(0);if((r|0)==143){r=0;w=o+428|0;x=c[w>>2]|0;c[w>>2]=x+1;a[x]=41;if(!1){r=148;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Ol(o+416|0)|0)<<24>>24!=0){r=147;break}if(!0){r=148;break a}}else{r=147}}while(0);if((r|0)==147){r=0;x=o+428|0;w=c[x>>2]|0;c[x>>2]=w+1;a[w]=0;if(!1){r=148;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;Yd[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,0,(s|0)==36|0);vl(o+416|0);h=0}}while(0)}break};case 14:{r=49;break};case 34:{c[o+344>>2]=bm(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=104;break a}r=117;break};case 22:{c[o+348>>2]=cm(o,b,e,c[n>>2]|0)|0;if((c[o+348>>2]|0)==0){r=107;break a}a[o+352|0]=0;c[o+332>>2]=0;a[o+353|0]=0;r=117;break};case 1:{D=Zl(o,0,e,c[n>>2]|0)|0;if((D|0)!=0){r=27;break a}b=c[o+144>>2]|0;h=0;break};case 4:{if((c[o+84>>2]|0)!=0){c[o+320>>2]=_l(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+320>>2]|0)==0){r=31;break a}c[o+432>>2]=c[o+428>>2];c[o+328>>2]=0;h=0}c[o+324>>2]=0;break};case 9:{if((Vd[c[b+48>>2]&127](b,e,c[n>>2]|0)|0)!=0){c[o+316>>2]=0;break b}if((a[l+128|0]|0)!=0){w=_l(l+80|0,b,e,c[n>>2]|0)|0;if((w|0)==0){r=229;break a}c[o+316>>2]=Rl(o,l|0,w,36)|0;if((c[o+316>>2]|0)==0){r=231;break a}if((c[c[o+316>>2]>>2]|0)!=(w|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=0;if((c[o+476>>2]|0)!=0){E=1}else{E=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(E^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 10:{if((a[l+128|0]|0)!=0){w=_l(l+80|0,b,e,c[n>>2]|0)|0;if((w|0)==0){r=244;break a}c[o+316>>2]=Rl(o,l+132|0,w,36)|0;if((c[o+316>>2]|0)==0){r=246;break a}if((c[c[o+316>>2]>>2]|0)!=(w|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=1;if((c[o+476>>2]|0)!=0){F=1}else{F=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(F^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 18:{c[o+340>>2]=0;c[o+336>>2]=0;if((c[o+96>>2]|0)!=0){c[o+336>>2]=_l(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+336>>2]|0)==0){r=259;break a}c[o+432>>2]=c[o+428>>2];h=0}break};case 57:{G=Zl(o,1,e,c[n>>2]|0)|0;if((G|0)!=0){r=38;break a}b=c[o+144>>2]|0;h=0;break};case 8:{if((c[o+320>>2]|0)!=0){Pd[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,0);vl(o+416|0);h=0}if((c[o+324>>2]|0)!=0){r=64}else{if((d[o+489|0]|0)!=0){r=64}}if((r|0)==64){r=0;w=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}x=Rl(o,l+132|0,16864,36)|0;if((x|0)==0){r=67;break a}if((a[o+489|0]|0)!=0){c[x+20>>2]=c[o+360>>2]}a[l+131|0]=0;if((Ud[c[o+112>>2]&127](c[o+116>>2]|0,0,c[x+20>>2]|0,c[x+16>>2]|0,c[x+24>>2]|0)|0)==0){r=71;break a}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Td[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=76;break a}}}while(0)}else{if((c[o+324>>2]|0)==0){a[l+129|0]=w}}}}while(0);a[o+489|0]=0}if((c[o+88>>2]|0)!=0){Qd[c[o+88>>2]&511](c[o+4>>2]|0);h=0}break};case 6:{a[o+489|0]=0;c[o+316>>2]=Rl(o,l+132|0,16864,36)|0;if((c[o+316>>2]|0)==0){r=41;break a}a[l+129|0]=1;if((c[o+84>>2]|0)==0){r=49;break b}if((fe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=44;break a}w=_l(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((w|0)==0){r=46;break a}$l(w);c[o+432>>2]=c[o+428>>2];c[o+328>>2]=w;h=0;r=52;break};case 5:{a[o+489|0]=0;a[l+129|0]=1;if((c[o+84>>2]|0)!=0){c[o+324>>2]=_l(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+324>>2]|0)==0){r=188;break a}c[o+432>>2]=c[o+428>>2];h=0}else{c[o+324>>2]=16864}do{if((a[l+130|0]|0)==0){if((c[o+492>>2]|0)!=0){break}if((c[o+108>>2]|0)==0){break}if((Td[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=195;break a}}}while(0);if((c[o+316>>2]|0)==0){c[o+316>>2]=Rl(o,l+132|0,16864,36)|0;if((c[o+316>>2]|0)==0){r=198;break a}c[(c[o+316>>2]|0)+24>>2]=0}r=201;break};case 40:{if((c[o+128>>2]|0)!=0){c[o+344>>2]=bm(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=367;break a}c[l+180>>2]=0;c[l+176>>2]=0;a[l+160|0]=1;h=0}break};case 41:case 42:{if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){w=Td[c[o+12>>2]&255](20)|0;if((w|0)==0){r=373;break a}c[w+4>>2]=0;c[w+8>>2]=0;c[w+12>>2]=0;c[w+16>>2]=0;c[w>>2]=(s|0)==41?2:1;c[q>>2]=e;ge[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,w);h=0}a[l+160|0]=0}break};case 43:{if((a[l+160|0]|0)!=0){c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=3;if((c[o+128>>2]|0)!=0){h=0}}break};case 51:{H=0;r=386;break};case 53:{H=1;r=386;break};case 52:{H=2;r=386;break};case 54:{H=3;r=386;break};case 45:{H=0;r=405;break};case 47:{H=1;r=405;break};case 46:{H=2;r=405;break};case 48:{H=3;r=405;break};case 55:{if((nm(o,b,e,c[n>>2]|0)|0)==0){r=417;break a}h=0;break};case 56:{if((om(o,b,e,c[n>>2]|0)|0)==0){r=420;break a}h=0;break};case 0:{if((g|0)==14){h=0}break};case 3:{if((c[o+84>>2]|0)!=0){h=0}break};case 11:{do{if((d[l+128|0]|0)!=0){if((c[o+136>>2]|0)==0){break}h=0}}while(0);break};case 17:{if((c[o+96>>2]|0)!=0){h=0}break};case 33:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0);break};case 39:{if((c[o+128>>2]|0)!=0){h=0}break};default:{}}}while(0);if((r|0)==49){r=0;if((fe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=50;break}r=52}else if((r|0)==117){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0)}else if((r|0)==201){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}s=_l(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;c[(c[o+316>>2]|0)+16>>2]=s;if((c[(c[o+316>>2]|0)+16>>2]|0)==0){r=204;break a}c[(c[o+316>>2]|0)+20>>2]=c[o+360>>2];c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}else if((r|0)==386){r=0;if((a[l+160|0]|0)!=0){if((H|0)==0){I=c[n>>2]|0}else{I=(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0}s=km(o)|0;if((s|0)<0){r=391;break}c[(c[l+164>>2]|0)+(s*28|0)>>2]=4;c[(c[l+164>>2]|0)+(s*28|0)+4>>2]=H;w=bm(o,b,e,I)|0;if((w|0)==0){r=393;break}x=c[w>>2]|0;c[(c[l+164>>2]|0)+(s*28|0)+8>>2]=x;s=0;do{w=s;s=w+1|0;}while((a[x+w|0]|0)!=0);x=l+168|0;c[x>>2]=(c[x>>2]|0)+s;if((c[o+128>>2]|0)!=0){h=0}}}else if((r|0)==405){r=0;if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){h=0}x=l+180|0;c[x>>2]=(c[x>>2]|0)-1;c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]|0)*28|0)+4>>2]=H;if((c[l+180>>2]|0)==0){if(!(h<<24>>24!=0)){x=mm(o)|0;if((x|0)==0){r=411;break}c[q>>2]=e;ge[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,x)}a[l+160|0]=0;c[l+168>>2]=0}}}if((r|0)==52){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}x=_l(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((x|0)==0){r=55;break a}$l(x);c[(c[o+316>>2]|0)+24>>2]=x;c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}do{if((h&255|0)!=0){if((c[o+80>>2]|0)==0){break}Ml(o,b,e,c[n>>2]|0)}}while(0);h=c[o+480>>2]|0;if((h|0)==3){r=446;break}else if((h|0)==2){r=447;break}e=c[n>>2]|0;g=fe[c[b>>2]&127](b,e,f,n)|0}if((r|0)==8){c[j>>2]=e;J=0;K=J;i=m;return K|0}else if((r|0)==10){c[p>>2]=c[n>>2];J=4;K=J;i=m;return K|0}else if((r|0)==11){J=5;K=J;i=m;return K|0}else if((r|0)==12){J=6;K=J;i=m;return K|0}else if((r|0)==14){do{if((b|0)!=(c[o+144>>2]|0)){if((a[(c[o+300>>2]|0)+20|0]|0)!=0){break}c[j>>2]=e;J=0;K=J;i=m;return K|0}}while(0);do{if((d[o+488|0]|0)==0){if((b|0)!=(c[o+144>>2]|0)){break}J=3;K=J;i=m;return K|0}}while(0);if((Ud[c[o+256>>2]&127](o+256|0,-4,f,f,b)|0)==-1){J=29;K=J;i=m;return K|0}else{c[j>>2]=e;J=0;K=J;i=m;return K|0}}else if((r|0)==27){J=D;K=J;i=m;return K|0}else if((r|0)==31){J=1;K=J;i=m;return K|0}else if((r|0)==38){J=G;K=J;i=m;return K|0}else if((r|0)==41){J=1;K=J;i=m;return K|0}else if((r|0)==44){J=32;K=J;i=m;return K|0}else if((r|0)==46){J=1;K=J;i=m;return K|0}else if((r|0)==50){J=32;K=J;i=m;return K|0}else if((r|0)==55){J=1;K=J;i=m;return K|0}else if((r|0)==67){J=1;K=J;i=m;return K|0}else if((r|0)==71){J=21;K=J;i=m;return K|0}else if((r|0)==76){J=22;K=J;i=m;return K|0}else if((r|0)==86){if((a[o+489|0]|0)!=0){G=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}D=Rl(o,l+132|0,16864,36)|0;if((D|0)==0){J=1;K=J;i=m;return K|0}c[D+20>>2]=c[o+360>>2];a[l+131|0]=0;if((Ud[c[o+112>>2]&127](c[o+116>>2]|0,0,c[D+20>>2]|0,c[D+16>>2]|0,c[D+24>>2]|0)|0)==0){J=21;K=J;i=m;return K|0}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Td[c[o+108>>2]&255](c[o+4>>2]|0)|0)!=0){break}J=22;K=J;i=m;return K|0}}while(0)}else{a[l+129|0]=G}}}while(0)}c[o+280>>2]=4;J=am(o,e,f,j)|0;K=J;i=m;return K|0}else if((r|0)==104){J=1;K=J;i=m;return K|0}else if((r|0)==107){J=1;K=J;i=m;return K|0}else if((r|0)==127){J=1;K=J;i=m;return K|0}else if((r|0)==129){J=1;K=J;i=m;return K|0}else if((r|0)==134){J=1;K=J;i=m;return K|0}else if((r|0)==148){J=1;K=J;i=m;return K|0}else if((r|0)==155){J=B;K=J;i=m;return K|0}else if((r|0)==157){J=1;K=J;i=m;return K|0}else if((r|0)==171){J=1;K=J;i=m;return K|0}else if((r|0)==183){J=A;K=J;i=m;return K|0}else if((r|0)==188){J=1;K=J;i=m;return K|0}else if((r|0)==195){J=22;K=J;i=m;return K|0}else if((r|0)==198){J=1;K=J;i=m;return K|0}else if((r|0)==204){J=1;K=J;i=m;return K|0}else if((r|0)==217){J=1;K=J;i=m;return K|0}else if((r|0)==229){J=1;K=J;i=m;return K|0}else if((r|0)==231){J=1;K=J;i=m;return K|0}else if((r|0)==244){J=1;K=J;i=m;return K|0}else if((r|0)==246){J=1;K=J;i=m;return K|0}else if((r|0)==259){J=1;K=J;i=m;return K|0}else if((r|0)==263){J=32;K=J;i=m;return K|0}else if((r|0)==266){J=1;K=J;i=m;return K|0}else if((r|0)==272){J=1;K=J;i=m;return K|0}else if((r|0)==279){A=g;if((A|0)==28){J=10;K=J;i=m;return K|0}else if((A|0)==12){J=17;K=J;i=m;return K|0}else{J=2;K=J;i=m;return K|0}}else if((r|0)==286){J=u;K=J;i=m;return K|0}else if((r|0)==288){c[o+280>>2]=90;J=u;K=J;i=m;return K|0}else if((r|0)==294){J=1;K=J;i=m;return K|0}else if((r|0)==297){J=1;K=J;i=m;return K|0}else if((r|0)==301){J=1;K=J;i=m;return K|0}else if((r|0)==306){J=1;K=J;i=m;return K|0}else if((r|0)==312){J=2;K=J;i=m;return K|0}else if((r|0)==318){J=2;K=J;i=m;return K|0}else if((r|0)==329){J=1;K=J;i=m;return K|0}else if((r|0)==335){J=11;K=J;i=m;return K|0}else if((r|0)==337){J=24;K=J;i=m;return K|0}else if((r|0)==347){J=12;K=J;i=m;return K|0}else if((r|0)==350){J=z;K=J;i=m;return K|0}else if((r|0)==354){a[y+32|0]=0;J=21;K=J;i=m;return K|0}else if((r|0)==363){J=22;K=J;i=m;return K|0}else if((r|0)==367){J=1;K=J;i=m;return K|0}else if((r|0)==373){J=1;K=J;i=m;return K|0}else if((r|0)==391){J=1;K=J;i=m;return K|0}else if((r|0)==393){J=1;K=J;i=m;return K|0}else if((r|0)==411){J=1;K=J;i=m;return K|0}else if((r|0)==417){J=1;K=J;i=m;return K|0}else if((r|0)==420){J=1;K=J;i=m;return K|0}else if((r|0)==446){c[j>>2]=c[n>>2];J=0;K=J;i=m;return K|0}else if((r|0)==447){J=35;K=J;i=m;return K|0}return 0}function Zl(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+40|0;h=g|0;j=g+8|0;k=g+16|0;l=g+24|0;m=g+32|0;n=b;b=d;d=e;e=f;c[h>>2]=0;f=0;c[j>>2]=0;c[k>>2]=0;o=0;c[m>>2]=-1;if((Sd[((a[n+236|0]&255|0)!=0?4:14)&15](b,c[n+144>>2]|0,d,e,n+288|0,k,l,h,j,m)|0)==0){if((b|0)!=0){p=31;q=p;i=g;return q|0}else{p=30;q=p;i=g;return q|0}}do{if((b|0)==0){if((c[m>>2]|0)!=1){break}a[(c[n+356>>2]|0)+130|0]=1;if((c[n+492>>2]|0)==1){c[n+492>>2]=0}}}while(0);if((c[n+140>>2]|0)!=0){do{if((c[h>>2]|0)!=0){b=c[n+144>>2]|0;r=c[h>>2]|0;s=c[h>>2]|0;f=_l(n+440|0,b,r,s+(ce[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){c[n+456>>2]=c[n+452>>2];break}p=1;q=p;i=g;return q|0}}while(0);do{if((c[k>>2]|0)!=0){o=_l(n+440|0,c[n+144>>2]|0,c[k>>2]|0,(c[l>>2]|0)+(-(c[(c[n+144>>2]|0)+68>>2]|0)|0)|0)|0;if((o|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);je[c[n+140>>2]&63](c[n+4>>2]|0,o,f,c[m>>2]|0)}else{if((c[n+80>>2]|0)!=0){Ml(n,c[n+144>>2]|0,d,e)}}if((c[n+232>>2]|0)==0){do{if((c[j>>2]|0)!=0){if((c[(c[j>>2]|0)+68>>2]|0)==(c[(c[n+144>>2]|0)+68>>2]|0)){c[n+144>>2]=c[j>>2];break}c[n+288>>2]=c[h>>2];p=19;q=p;i=g;return q|0}else{if((c[h>>2]|0)==0){break}do{if((f|0)==0){e=c[n+144>>2]|0;d=c[h>>2]|0;m=c[h>>2]|0;f=_l(n+440|0,e,d,m+(ce[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);m=Cm(n,f)|0;vl(n+440|0);if((m|0)==18){c[n+288>>2]=c[h>>2]}p=m;q=p;i=g;return q|0}}while(0)}if((f|0)!=0){t=40}else{if((o|0)!=0){t=40}}if((t|0)==40){vl(n+440|0)}p=0;q=p;i=g;return q|0}function _l(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;if((em(h,d,e,f)|0)==0){j=0;k=j;i=g;return k|0}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Ol(h)|0)<<24>>24!=0){break}j=0;k=j;i=g;return k|0}}while(0);f=h+12|0;e=c[f>>2]|0;c[f>>2]=e+1;a[e]=0;j=c[h+16>>2]|0;k=j;i=g;return k|0}function $l(b){b=b|0;var c=0,d=0,e=0,f=0,g=0;c=i;d=b;b=d;e=d;while(1){if((a[e]|0)==0){break}f=a[e]|0;if((f|0)==32|(f|0)==13|(f|0)==10){do{if((b|0)!=(d|0)){if((a[b-1|0]|0)==32){break}f=b;b=f+1|0;a[f]=32}}while(0)}else{f=b;b=f+1|0;a[f]=a[e]|0}e=e+1|0}if((b|0)==(d|0)){g=b;a[g]=0;i=c;return}if((a[b-1|0]|0)!=32){g=b;a[g]=0;i=c;return}b=b-1|0;g=b;a[g]=0;i=c;return}function am(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=rm(h,0,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((zm(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function bm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=c[g+356>>2]|0;h=_l(a+80|0,b,d,e)|0;if((h|0)==0){j=0;k=j;i=f;return k|0}e=Rl(g,a+20|0,h,24)|0;if((e|0)==0){j=0;k=j;i=f;return k|0}do{if((c[e>>2]|0)!=(h|0)){c[a+92>>2]=c[a+96>>2]}else{c[a+96>>2]=c[a+92>>2];if((Am(g,e)|0)!=0){break}j=0;k=j;i=f;return k|0}}while(0);j=e;k=j;i=f;return k|0}function cm(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;h=b;b=d;d=e;e=f;f=c[h+356>>2]|0;do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Ol(f+80|0)|0)<<24>>24!=0){j=4;break}if(!0){j=5}}else{j=4}}while(0);if((j|0)==4){k=f+92|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){j=5}}if((j|0)==5){m=0;n=m;i=g;return n|0}l=_l(f+80|0,b,d,e)|0;if((l|0)==0){m=0;n=m;i=g;return n|0}l=l+1|0;e=Rl(h,f+40|0,l,12)|0;if((e|0)==0){m=0;n=m;i=g;return n|0}if((c[e>>2]|0)!=(l|0)){c[f+92>>2]=c[f+96>>2]}else{c[f+96>>2]=c[f+92>>2];if((a[h+236|0]|0)!=0){do{if((a[l|0]|0)==120){if((a[l+1|0]|0)!=109){j=25;break}if((a[l+2|0]|0)!=108){j=25;break}if((a[l+3|0]|0)!=110){j=25;break}if((a[l+4|0]|0)!=115){j=25;break}if((a[l+5|0]|0)!=0){if((a[l+5|0]|0)!=58){j=25;break}}if((a[l+5|0]|0)==0){c[e+4>>2]=f+152}else{c[e+4>>2]=Rl(h,f+60|0,l+6|0,8)|0}a[e+9|0]=1}else{j=25}}while(0);if((j|0)==25){d=0;while(1){if((a[l+d|0]|0)==0){break}if((a[l+d|0]|0)==58){j=28;break}d=d+1|0}if((j|0)==28){b=0;a:while(1){if((b|0)>=(d|0)){break}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Ol(f+80|0)|0)<<24>>24!=0){j=33;break}if(!0){j=34;break a}}else{j=33}}while(0);if((j|0)==33){j=0;k=a[l+b|0]|0;o=f+92|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=k;if(!1){j=34;break}}b=b+1|0}if((j|0)==34){m=0;n=m;i=g;return n|0}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Ol(f+80|0)|0)<<24>>24!=0){j=40;break}if(!0){j=41}}else{j=40}}while(0);if((j|0)==40){b=f+92|0;l=c[b>>2]|0;c[b>>2]=l+1;a[l]=0;if(!1){j=41}}if((j|0)==41){m=0;n=m;i=g;return n|0}c[e+4>>2]=Rl(h,f+60|0,c[f+96>>2]|0,8)|0;if((c[c[e+4>>2]>>2]|0)==(c[f+96>>2]|0)){c[f+96>>2]=c[f+92>>2]}else{c[f+92>>2]=c[f+96>>2]}}}}}m=e;n=m;i=g;return n|0}function dm(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){if((a[b]|0)==0){g=9;break}do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((Ol(f)|0)<<24>>24!=0){g=6;break}if(!0){g=7;break a}}else{g=6}}while(0);if((g|0)==6){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=7;break}}b=b+1|0}if((g|0)==7){k=0;l=k;i=e;return l|0}else if((g|0)==9){k=c[f+16>>2]|0;l=k;i=e;return l|0}return 0}function em(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+8|0;g=f|0;h=a;a=b;c[g>>2]=d;d=e;do{if((c[h+12>>2]|0)==0){if((Ol(h)|0)<<24>>24!=0){break}j=0;k=j;i=f;return k|0}}while(0);while(1){Pd[c[a+60>>2]&31](a,g,d,h+12|0,c[h+8>>2]|0);if((c[g>>2]|0)==(d|0)){break}if(!((Ol(h)|0)<<24>>24!=0)){l=8;break}}if((l|0)==8){j=0;k=j;i=f;return k|0}j=c[h+16>>2]|0;k=j;i=f;return k|0}function fm(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=b;b=d;d=e;e=f;f=g;g=h;if((f|0)!=0){l=3}else{if((e&255|0)!=0){l=3}}if((l|0)==3){h=0;while(1){if((h|0)>=(c[k+12>>2]|0)){break}if((b|0)==(c[(c[k+20>>2]|0)+(h*12|0)>>2]|0)){l=6;break}h=h+1|0}if((l|0)==6){m=1;n=m;i=j;return n|0}do{if((e&255|0)!=0){if((c[k+8>>2]|0)!=0){break}if((a[b+9|0]|0)!=0){break}c[k+8>>2]=b}}while(0)}if((c[k+12>>2]|0)==(c[k+16>>2]|0)){do{if((c[k+16>>2]|0)==0){c[k+16>>2]=8;c[k+20>>2]=Td[c[g+12>>2]&255]((c[k+16>>2]|0)*12|0)|0;if((c[k+20>>2]|0)!=0){break}m=0;n=m;i=j;return n|0}else{e=c[k+16>>2]<<1;l=ce[c[g+16>>2]&127](c[k+20>>2]|0,e*12|0)|0;if((l|0)!=0){c[k+16>>2]=e;c[k+20>>2]=l;break}m=0;n=m;i=j;return n|0}}while(0)}g=(c[k+20>>2]|0)+((c[k+12>>2]|0)*12|0)|0;c[g>>2]=b;c[g+8>>2]=f;a[g+4|0]=d;if(!(d<<24>>24!=0)){a[b+8|0]=1}b=k+12|0;c[b>>2]=(c[b>>2]|0)+1;m=1;n=m;i=j;return n|0}function gm(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=e;e=h;h=Bm(b,d,k,f,g,e)|0;if((h|0)!=0){l=h;m=l;i=j;return m|0}do{if(!(k<<24>>24!=0)){if(((c[e+12>>2]|0)-(c[e+16>>2]|0)|0)==0){break}if((a[(c[e+12>>2]|0)-1|0]|0)!=32){break}h=e+12|0;c[h>>2]=(c[h>>2]|0)-1}}while(0);do{if((c[e+12>>2]|0)==(c[e+8>>2]|0)){if((Ol(e)|0)<<24>>24!=0){n=10;break}if(0){n=12}else{n=11}}else{n=10}}while(0);if((n|0)==10){k=e+12|0;e=c[k>>2]|0;c[k>>2]=e+1;a[e]=0;if(1){n=12}else{n=11}}if((n|0)==11){l=1;m=l;i=j;return m|0}else if((n|0)==12){l=0;m=l;i=j;return m|0}return 0}function hm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+16|0;j=h|0;k=h+8|0;l=b;b=e;e=f;f=g;g=c[l+356>>2]|0;m=g+104|0;n=0;o=c[l+276>>2]|0;c[l+276>>2]=1;do{if((c[m>>2]|0)==0){if((Ol(m)|0)<<24>>24!=0){break}p=1;q=p;i=h;return q|0}}while(0);a:while(1){switch(fe[c[b+20>>2]&127](b,e,f,j)|0){case-3:{c[j>>2]=e+(c[b+68>>2]|0);r=36;break};case 0:{r=59;break a;break};case-4:{r=31;break a;break};case 7:{r=36;break};case 28:{if((d[l+488|0]|0)==0){if((b|0)==(c[l+144>>2]|0)){r=30;break a}}s=_l(l+416|0,b,e+(c[b+68>>2]|0)|0,(c[j>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((s|0)==0){r=10;break a}t=Rl(l,g+132|0,s,0)|0;c[l+428>>2]=c[l+432>>2];if((t|0)==0){r=12;break a}if((a[t+32|0]|0)!=0){r=14;break a}if((c[t+16>>2]|0)!=0){if((c[l+112>>2]|0)!=0){a[g+131|0]=0;a[t+32|0]=1;if((Ud[c[l+112>>2]&127](c[l+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){r=20;break a}a[t+32|0]=0;if((a[g+131|0]|0)==0){a[g+128|0]=a[g+130|0]|0}}else{a[g+128|0]=a[g+130|0]|0}}else{a[t+32|0]=1;n=hm(l,c[l+228>>2]|0,c[t+4>>2]|0,(c[t+4>>2]|0)+(c[t+8>>2]|0)|0)|0;a[t+32|0]=0;if((n|0)!=0){r=27;break a}}break};case 10:{s=ce[c[b+44>>2]&127](b,e)|0;if((s|0)<0){r=41;break a}s=Im(s,k|0)|0;if((s|0)==0){r=45;break a}u=0;while(1){if((u|0)>=(s|0)){break}if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((Ol(m)|0)<<24>>24!=0)){r=52;break a}}v=a[k+u|0]|0;w=m+12|0;x=c[w>>2]|0;c[w>>2]=x+1;a[x]=v;u=u+1|0}break};case 9:case 6:{if((em(m,b,e,c[j>>2]|0)|0)==0){r=33;break a}break};case-1:{r=56;break a;break};default:{r=62;break a}}if((r|0)==36){r=0;if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((Ol(m)|0)<<24>>24!=0)){r=38;break}}u=m+12|0;s=c[u>>2]|0;c[u>>2]=s+1;a[s]=10}e=c[j>>2]|0}if((r|0)==10){n=1}else if((r|0)==12){a[g+128|0]=a[g+130|0]|0}else if((r|0)==14){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=12}else if((r|0)==20){a[t+32|0]=0;n=21}else if((r|0)!=27)if((r|0)==30){c[l+288>>2]=e;n=10}else if((r|0)==31){n=0}else if((r|0)==33){n=1}else if((r|0)==38){n=1}else if((r|0)==41){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==45){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==52){n=1}else if((r|0)==56){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=4}else if((r|0)==59){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=c[j>>2]}n=4}else if((r|0)==62){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=23}c[l+276>>2]=o;p=n;q=p;i=h;return q|0}function im(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=a;a=b;b=d;d=f;f=g;g=c[b>>2]|0;if((a|0)==(c[k+144>>2]|0)){l=k+288|0;c[l>>2]=g;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}c[l>>2]=g;c[b>>2]=0;n=fe[c[a+12>>2]&127](a,g,e,j)|0;c[m>>2]=c[j>>2];switch(n|0){case 42:{if((c[k+80>>2]|0)!=0){Ml(k,a,g,c[j>>2]|0)}c[b>>2]=c[j>>2];c[d>>2]=c[j>>2];if((c[k+480>>2]|0)==2){o=35;p=o;i=h;return p|0}else{o=0;p=o;i=h;return p|0}break};case-2:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=6;p=o;i=h;return p|0}break};case-1:case-4:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=2;p=o;i=h;return p|0}break};case 0:{c[l>>2]=c[j>>2];o=4;p=o;i=h;return p|0};default:{c[l>>2]=c[j>>2];o=23;p=o;i=h;return p|0}}return 0}function jm(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=im(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)!=0){c[j+280>>2]=76;k=Xl(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{k=f;l=k;i=g;return l|0}return 0}function km(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;a=c[d+356>>2]|0;do{if((c[a+184>>2]|0)==0){c[a+184>>2]=Td[c[d+12>>2]&255](c[d+468>>2]<<2)|0;if((c[a+184>>2]|0)!=0){c[c[a+184>>2]>>2]=0;break}e=-1;f=e;i=b;return f|0}}while(0);if((c[a+176>>2]|0)>>>0>=(c[a+172>>2]|0)>>>0){do{if((c[a+164>>2]|0)!=0){g=ce[c[d+16>>2]&127](c[a+164>>2]|0,(c[a+172>>2]<<1)*28|0)|0;if((g|0)!=0){h=a+172|0;c[h>>2]=c[h>>2]<<1;break}e=-1;f=e;i=b;return f|0}else{g=Td[c[d+12>>2]&255](896)|0;if((g|0)!=0){c[a+172>>2]=32;break}e=-1;f=e;i=b;return f|0}}while(0);c[a+164>>2]=g}g=a+176|0;d=c[g>>2]|0;c[g>>2]=d+1;g=d;d=(c[a+164>>2]|0)+(g*28|0)|0;if((c[a+180>>2]|0)!=0){h=(c[a+164>>2]|0)+((c[(c[a+184>>2]|0)+((c[a+180>>2]|0)-1<<2)>>2]|0)*28|0)|0;if((c[h+16>>2]|0)!=0){c[(c[a+164>>2]|0)+((c[h+16>>2]|0)*28|0)+24>>2]=g}if((c[h+20>>2]|0)==0){c[h+12>>2]=g}c[h+16>>2]=g;a=h+20|0;c[a>>2]=(c[a>>2]|0)+1}c[d+24>>2]=0;c[d+20>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;e=g;f=e;i=b;return f|0}function lm(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+8|0;g=f|0;h=b;b=d;d=e;do{if((c[h+304>>2]|0)!=0){j=c[h+304>>2]|0;c[h+304>>2]=c[j+8>>2]}else{j=Td[c[h+12>>2]&255](24)|0;if((j|0)!=0){break}k=1;l=k;i=f;return l|0}}while(0);a[b+32|0]=1;c[b+12>>2]=0;c[j+8>>2]=c[h+300>>2];c[h+300>>2]=j;c[j+12>>2]=b;c[j+16>>2]=c[h+312>>2];a[j+20|0]=d;c[j>>2]=0;c[j+4>>2]=0;d=c[b+4>>2]|0;e=(c[b+4>>2]|0)+(c[b+8>>2]|0)|0;if((a[b+33|0]|0)!=0){m=fe[c[c[h+228>>2]>>2]&127](c[h+228>>2]|0,d,e,g)|0;n=Yl(h,c[h+228>>2]|0,d,e,m,c[g>>2]|0,g,0)|0}else{n=rm(h,c[h+312>>2]|0,c[h+228>>2]|0,d,e,g,0)|0}if((n|0)==0){do{if((e|0)!=(c[g>>2]|0)){if((c[h+480>>2]|0)!=3){o=13;break}c[b+12>>2]=(c[g>>2]|0)-d;c[h+280>>2]=64}else{o=13}}while(0);if((o|0)==13){a[b+32|0]=0;c[h+300>>2]=c[j+8>>2];c[j+8>>2]=c[h+304>>2];c[h+304>>2]=j}}k=n;l=k;i=f;return l|0}function mm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a;a=c[f+356>>2]|0;g=Td[c[f+12>>2]&255](((c[a+176>>2]|0)*20|0)+(c[a+168>>2]|0)|0)|0;if((g|0)!=0){c[e>>2]=g+((c[a+176>>2]|0)*20|0);c[d>>2]=g+20;qm(f,0,g,d,e);h=g;j=h;i=b;return j|0}else{h=0;j=h;i=b;return j|0}return 0}function nm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=b;b=d;d=e;if((c[g+64>>2]|0)==0){if((c[g+80>>2]|0)!=0){Ml(g,a,b,d)}h=1;j=h;i=f;return j|0}b=b+(c[a+68>>2]<<1)|0;e=b+(ce[c[a+32>>2]&127](a,b)|0)|0;k=_l(g+416|0,a,b,e)|0;if((k|0)==0){h=0;j=h;i=f;return j|0}c[g+432>>2]=c[g+428>>2];b=ce[c[a+36>>2]&127](a,e)|0;e=_l(g+416|0,a,b,d+(-(c[a+68>>2]<<1)|0)|0)|0;if((e|0)!=0){pm(e);ge[c[g+64>>2]&15](c[g+4>>2]|0,k,e);vl(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function om(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=b;b=d;d=e;if((c[g+68>>2]|0)==0){if((c[g+80>>2]|0)!=0){Ml(g,a,b,d)}h=1;j=h;i=f;return j|0}e=_l(g+416|0,a,b+(c[a+68>>2]<<2)|0,d+(-((c[a+68>>2]|0)*3|0)|0)|0)|0;if((e|0)!=0){pm(e);Rd[c[g+68>>2]&127](c[g+4>>2]|0,e);vl(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function pm(b){b=b|0;var c=0,d=0,e=0,f=0;c=i;d=b;while(1){if((a[d]|0)==0){e=3;break}if((a[d]|0)==13){break}d=d+1|0}if((e|0)==3){i=c;return}e=d;do{if((a[d]|0)==13){b=e;e=b+1|0;a[b]=10;b=d+1|0;d=b;if((a[b]|0)==10){d=d+1|0}}else{b=d;d=b+1|0;f=e;e=f+1|0;a[f]=a[b]|0}}while((a[d]|0)!=0);a[e]=0;i=c;return}function qm(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=d;d=e;e=f;f=g;g=c[j+356>>2]|0;c[d>>2]=c[(c[g+164>>2]|0)+(b*28|0)>>2];c[d+4>>2]=c[(c[g+164>>2]|0)+(b*28|0)+4>>2];if((c[d>>2]|0)==4){c[d+8>>2]=c[f>>2];k=c[(c[g+164>>2]|0)+(b*28|0)+8>>2]|0;while(1){l=a[k]|0;m=f;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=l;if((a[k]|0)==0){break}k=k+1|0}c[d+12>>2]=0;c[d+16>>2]=0;i=h;return}else{c[d+12>>2]=c[(c[g+164>>2]|0)+(b*28|0)+20>>2];c[d+16>>2]=c[e>>2];k=e;c[k>>2]=(c[k>>2]|0)+((c[d+12>>2]|0)*20|0);k=0;l=c[(c[g+164>>2]|0)+(b*28|0)+12>>2]|0;while(1){if(!(k>>>0<(c[d+12>>2]|0)>>>0)){break}qm(j,l,(c[d+16>>2]|0)+(k*20|0)|0,e,f);k=k+1|0;l=c[(c[g+164>>2]|0)+(l*28|0)+24>>2]|0}c[d+8>>2]=0;i=h;return}}function rm(b,e,f,g,h,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;l=i;i=i+112|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+80|0;v=l+88|0;w=l+96|0;x=l+104|0;y=b;b=e;e=f;c[m>>2]=g;g=h;h=j;j=k;k=c[y+356>>2]|0;if((e|0)==(c[y+144>>2]|0)){z=y+288|0;A=y+292|0}else{z=c[y+300>>2]|0;A=(c[y+300>>2]|0)+4|0}c[z>>2]=c[m>>2];a:while(1){c[n>>2]=c[m>>2];f=fe[c[e+4>>2]&127](e,c[m>>2]|0,g,n)|0;c[A>>2]=c[n>>2];b:do{switch(f|0){case 12:{B=164;break a;break};case 7:{if((c[y+60>>2]|0)!=0){a[v]=10;ge[c[y+60>>2]&15](c[y+4>>2]|0,v,1)}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case-2:{B=29;break a;break};case 0:{B=25;break a;break};case-3:{B=6;break a;break};case 9:{a[p]=Vd[c[e+48>>2]&127](e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((a[p]|0)!=0){if((c[y+60>>2]|0)!=0){ge[c[y+60>>2]&15](c[y+4>>2]|0,p,1)}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}C=_l(k+80|0,e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((C|0)==0){B=40;break a}D=Rl(y,k|0,C,0)|0;c[k+92>>2]=c[k+96>>2];do{if((a[k+129|0]|0)!=0){if((d[k+130|0]|0)!=0){B=43;break}if((D|0)!=0){break}if((c[y+120>>2]|0)!=0){ge[c[y+120>>2]&15](c[y+4>>2]|0,C,0)}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{B=43}}while(0);if((B|0)==43){B=0;if((D|0)==0){B=44;break a}if((a[D+34|0]|0)==0){B=46;break a}}if((a[D+32|0]|0)!=0){B=58;break a}if((c[D+28>>2]|0)!=0){B=60;break a}do{if((c[D+4>>2]|0)!=0){if((a[y+308|0]|0)!=0){E=lm(y,D,0)|0;if((E|0)!=0){B=70;break a}break}if((c[y+120>>2]|0)!=0){ge[c[y+120>>2]&15](c[y+4>>2]|0,c[D>>2]|0,0)}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{if((c[y+112>>2]|0)!=0){a[D+32|0]=1;C=tm(y)|0;a[D+32|0]=0;if((C|0)==0){B=74;break a}if((Ud[c[y+112>>2]&127](c[y+116>>2]|0,C,c[D+20>>2]|0,c[D+16>>2]|0,c[D+24>>2]|0)|0)==0){B=76;break a}c[y+428>>2]=c[y+432>>2]}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);break};case 6:{D=c[y+60>>2]|0;if((D|0)!=0){if((a[e+72|0]|0)!=0){ge[D&15](c[y+4>>2]|0,c[m>>2]|0,(c[n>>2]|0)-(c[m>>2]|0)|0)}else{while(1){c[x>>2]=c[y+44>>2];Pd[c[e+60>>2]&31](e,m,c[n>>2]|0,x,c[y+48>>2]|0);c[A>>2]=c[m>>2];ge[D&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[x>>2]|0)-(c[y+44>>2]|0)|0);if((c[m>>2]|0)==(c[n>>2]|0)){break}c[z>>2]=c[m>>2]}}}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case-1:{B=26;break a;break};case 10:{D=ce[c[e+44>>2]&127](e,c[m>>2]|0)|0;if((D|0)<0){B=157;break a}if((c[y+60>>2]|0)!=0){C=c[y+60>>2]|0;F=c[y+4>>2]|0;G=Im(D,u|0)|0;ge[C&15](F,u|0,G)}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 2:case 1:{if((c[y+368>>2]|0)!=0){H=c[y+368>>2]|0;c[y+368>>2]=c[c[y+368>>2]>>2]}else{H=Td[c[y+12>>2]&255](48)|0;if((H|0)==0){B=86;break a}c[H+36>>2]=Td[c[y+12>>2]&255](32)|0;if((c[H+36>>2]|0)==0){B=88;break a}c[H+40>>2]=(c[H+36>>2]|0)+32}c[H+44>>2]=0;c[H>>2]=c[y+364>>2];c[y+364>>2]=H;c[H+16>>2]=0;c[H+20>>2]=0;c[H+4>>2]=(c[m>>2]|0)+(c[e+68>>2]|0);c[H+8>>2]=ce[c[e+32>>2]&127](e,c[H+4>>2]|0)|0;G=y+312|0;c[G>>2]=(c[G>>2]|0)+1;G=(c[H+4>>2]|0)+(c[H+8>>2]|0)|0;c[r>>2]=c[H+4>>2];c[q>>2]=c[H+36>>2];while(1){Pd[c[e+60>>2]&31](e,r,G,q,(c[H+40>>2]|0)-1|0);I=(c[q>>2]|0)-(c[H+36>>2]|0)|0;if((c[r>>2]|0)==(G|0)){break}F=(c[H+40>>2]|0)-(c[H+36>>2]|0)<<1;C=ce[c[y+16>>2]&127](c[H+36>>2]|0,F)|0;if((C|0)==0){B=94;break a}c[H+36>>2]=C;c[H+40>>2]=C+F;c[q>>2]=C+I}c[H+24>>2]=I;c[H+12>>2]=c[H+36>>2];a[c[q>>2]|0]=0;J=um(y,e,c[m>>2]|0,H+12|0,H+44|0)|0;if((J|0)!=0){B=97;break a}if((c[y+52>>2]|0)!=0){ge[c[y+52>>2]&15](c[y+4>>2]|0,c[H+12>>2]|0,c[y+392>>2]|0)}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}vl(y+416|0);break};case 11:{if((nm(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=211;break a}break};case 13:{if((om(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=214;break a}break};case 8:{if((c[y+72>>2]|0)!=0){Qd[c[y+72>>2]&511](c[y+4>>2]|0)}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}K=wm(y,e,n,g,h,j)|0;if((K|0)!=0){B=177;break a}if((c[n>>2]|0)==0){B=179;break a}break};case 5:{if((c[y+312>>2]|0)==(b|0)){B=126;break a}G=c[y+364>>2]|0;c[y+364>>2]=c[G>>2];c[G>>2]=c[y+368>>2];c[y+368>>2]=G;L=(c[m>>2]|0)+(c[e+68>>2]<<1)|0;C=ce[c[e+32>>2]&127](e,L)|0;if((C|0)!=(c[G+8>>2]|0)){B=129;break a}if((HU(c[G+4>>2]|0,L,C)|0)!=0){B=129;break a}C=y+312|0;c[C>>2]=(c[C>>2]|0)-1;if((c[y+56>>2]|0)!=0){C=c[G+16>>2]|0;do{if((d[y+236|0]|0)!=0){if((C|0)==0){break}F=(c[G+12>>2]|0)+(c[G+28>>2]|0)|0;while(1){if((a[C]|0)==0){break}D=C;C=D+1|0;M=F;F=M+1|0;a[M]=a[D]|0}D=c[G+20>>2]|0;do{if((d[y+237|0]|0)!=0){if((D|0)==0){break}M=F;F=M+1|0;a[M]=a[y+472|0]|0;while(1){if((a[D]|0)==0){break}M=D;D=M+1|0;N=F;F=N+1|0;a[N]=a[M]|0}}}while(0);a[F]=0}}while(0);Rd[c[y+56>>2]&127](c[y+4>>2]|0,c[G+12>>2]|0)}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}while(1){if((c[G+44>>2]|0)==0){break}C=c[G+44>>2]|0;if((c[y+104>>2]|0)!=0){Rd[c[y+104>>2]&127](c[y+4>>2]|0,c[c[C>>2]>>2]|0)}c[G+44>>2]=c[(c[G+44>>2]|0)+4>>2];c[C+4>>2]=c[y+376>>2];c[y+376>>2]=C;c[(c[C>>2]|0)+4>>2]=c[C+8>>2]}if((c[y+312>>2]|0)==0){B=153;break a}break};case-4:{B=18;break a;break};case-5:{B=182;break a;break};case 4:case 3:{G=(c[m>>2]|0)+(c[e+68>>2]|0)|0;c[s>>2]=0;C=1;c[t>>2]=_l(y+416|0,e,G,G+(ce[c[e+32>>2]&127](e,G)|0)|0)|0;if((c[t>>2]|0)==0){B=105;break a}c[y+432>>2]=c[y+428>>2];O=um(y,e,c[m>>2]|0,t,s)|0;if((O|0)!=0){B=107;break a}c[y+432>>2]=c[y+428>>2];if((c[y+52>>2]|0)!=0){ge[c[y+52>>2]&15](c[y+4>>2]|0,c[t>>2]|0,c[y+392>>2]|0);C=0}if((c[y+56>>2]|0)!=0){if((c[y+52>>2]|0)!=0){c[z>>2]=c[A>>2]}Rd[c[y+56>>2]&127](c[y+4>>2]|0,c[t>>2]|0);C=0}do{if((C&255|0)!=0){if((c[y+80>>2]|0)==0){break}Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}while(0);vl(y+416|0);while(1){if((c[s>>2]|0)==0){break}C=c[s>>2]|0;if((c[y+104>>2]|0)!=0){Rd[c[y+104>>2]&127](c[y+4>>2]|0,c[c[C>>2]>>2]|0)}c[s>>2]=c[(c[s>>2]|0)+4>>2];c[C+4>>2]=c[y+376>>2];c[y+376>>2]=C;c[(c[C>>2]|0)+4>>2]=c[C+8>>2]}if((c[y+312>>2]|0)==0){B=123;break a}break};default:{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);f=c[n>>2]|0;c[m>>2]=f;c[z>>2]=f;f=c[y+480>>2]|0;if((f|0)==3){B=220;break}else if((f|0)==2){B=221;break}}if((B|0)==6){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}c[A>>2]=g;if((c[y+60>>2]|0)!=0){a[o]=10;ge[c[y+60>>2]&15](c[y+4>>2]|0,o,1)}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,g)}}if((b|0)==0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==18){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((b|0)<=0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}}else if((B|0)==25){c[z>>2]=c[n>>2];P=4;Q=P;i=l;return Q|0}else if((B|0)==26){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=5;Q=P;i=l;return Q|0}}else if((B|0)==29){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=6;Q=P;i=l;return Q|0}}else if((B|0)==40){P=1;Q=P;i=l;return Q|0}else if((B|0)==44){P=11;Q=P;i=l;return Q|0}else if((B|0)==46){P=24;Q=P;i=l;return Q|0}else if((B|0)==58){P=12;Q=P;i=l;return Q|0}else if((B|0)==60){P=15;Q=P;i=l;return Q|0}else if((B|0)==70){P=E;Q=P;i=l;return Q|0}else if((B|0)==74){P=1;Q=P;i=l;return Q|0}else if((B|0)==76){P=21;Q=P;i=l;return Q|0}else if((B|0)==86){P=1;Q=P;i=l;return Q|0}else if((B|0)==88){Qd[c[y+20>>2]&511](H);P=1;Q=P;i=l;return Q|0}else if((B|0)==94){P=1;Q=P;i=l;return Q|0}else if((B|0)==97){P=J;Q=P;i=l;return Q|0}else if((B|0)==105){P=1;Q=P;i=l;return Q|0}else if((B|0)==107){P=O;Q=P;i=l;return Q|0}else if((B|0)==123){P=vm(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==126){P=13;Q=P;i=l;return Q|0}else if((B|0)==129){c[z>>2]=L;P=7;Q=P;i=l;return Q|0}else if((B|0)==153){P=vm(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==157){P=14;Q=P;i=l;return Q|0}else if((B|0)==164){P=17;Q=P;i=l;return Q|0}else if((B|0)==177){P=K;Q=P;i=l;return Q|0}else if((B|0)==179){c[y+280>>2]=74;P=K;Q=P;i=l;return Q|0}else if((B|0)==182){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((c[y+60>>2]|0)!=0){if((a[e+72|0]|0)!=0){ge[c[y+60>>2]&15](c[y+4>>2]|0,c[m>>2]|0,g-(c[m>>2]|0)|0)}else{c[w>>2]=c[y+44>>2];Pd[c[e+60>>2]&31](e,m,g,w,c[y+48>>2]|0);ge[c[y+60>>2]&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[w>>2]|0)-(c[y+44>>2]|0)|0)}}else{if((c[y+80>>2]|0)!=0){Ml(y,e,c[m>>2]|0,g)}}if((b|0)==0){c[z>>2]=g;P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){c[z>>2]=g;P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==211){P=1;Q=P;i=l;return Q|0}else if((B|0)==214){P=1;Q=P;i=l;return Q|0}else if((B|0)==220){c[h>>2]=c[n>>2];P=0;Q=P;i=l;return Q|0}else if((B|0)==221){P=35;Q=P;i=l;return Q|0}return 0}function sm(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;f=c[j+300>>2]|0;if((f|0)==0){k=23;l=k;i=g;return l|0}m=c[f+12>>2]|0;n=(c[m+4>>2]|0)+(c[m+12>>2]|0)|0;o=(c[m+4>>2]|0)+(c[m+8>>2]|0)|0;if((a[m+33|0]|0)!=0){p=fe[c[c[j+228>>2]>>2]&127](c[j+228>>2]|0,n,o,h)|0;q=Yl(j,c[j+228>>2]|0,n,o,p,c[h>>2]|0,h,0)|0}else{q=rm(j,c[f+16>>2]|0,c[j+228>>2]|0,n,o,h,0)|0}if((q|0)!=0){k=q;l=k;i=g;return l|0}do{if((o|0)!=(c[h>>2]|0)){if((c[j+480>>2]|0)!=3){break}c[m+12>>2]=(c[h>>2]|0)-(c[m+4>>2]|0);k=q;l=k;i=g;return l|0}}while(0);a[m+32|0]=0;c[j+300>>2]=c[f+8>>2];c[f+8>>2]=c[j+304>>2];c[j+304>>2]=f;if((a[m+33|0]|0)!=0){c[j+280>>2]=76;m=fe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=Yl(j,c[j+144>>2]|0,b,d,m,c[h>>2]|0,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=rm(j,(c[j+476>>2]|0)!=0?1:0,c[j+144>>2]|0,b,d,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}return 0}function tm(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=i;i=i+8|0;e=d|0;f=b;b=c[f+356>>2]|0;g=0;do{if((c[b+156>>2]|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=5;break}if(!0){h=6}}else{h=5}}while(0);if((h|0)==5){j=f+428|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=61;if(!1){h=6}}if((h|0)==6){l=0;m=l;i=d;return m|0}k=c[(c[b+156>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}j=0;a:while(1){if((j|0)>=(k|0)){h=18;break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=14;break}if(!0){break a}}else{h=14}}while(0);if((h|0)==14){h=0;n=a[(c[(c[b+156>>2]|0)+16>>2]|0)+j|0]|0;o=f+428|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;if(!1){break}}j=j+1|0}if((h|0)==18){g=1;break}l=0;m=l;i=d;return m|0}}while(0);Pl(e,b+60|0);b:while(1){j=Ql(e)|0;if((j|0)==0){h=21;break}if((c[j+4>>2]|0)==0){continue}c:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){break}if(0){break c}else{h=29;break b}}}while(0);k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=12;if(!1){h=29;break b}}}while(0);n=c[j>>2]|0;while(1){if((a[n]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=35;break}if(!0){h=36;break b}}else{h=35}}while(0);if((h|0)==35){h=0;k=a[n]|0;p=f+428|0;o=c[p>>2]|0;c[p>>2]=o+1;a[o]=k;if(!1){h=36;break b}}n=n+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=42;break}if(!0){h=43;break b}}else{h=42}}while(0);if((h|0)==42){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=61;if(!1){h=43;break}}k=c[(c[j+4>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}n=0;while(1){if((n|0)>=(k|0)){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=51;break}if(!0){h=52;break b}}else{h=51}}while(0);if((h|0)==51){h=0;o=a[(c[(c[j+4>>2]|0)+16>>2]|0)+n|0]|0;p=f+428|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=o;if(!1){h=52;break b}}n=n+1|0}g=1}if((h|0)==21){Pl(e,b|0);d:while(1){b=Ql(e)|0;if((b|0)==0){h=58;break}if((a[b+32|0]|0)==0){continue}e:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){break}if(0){break e}else{h=66;break d}}}while(0);n=f+428|0;j=c[n>>2]|0;c[n>>2]=j+1;a[j]=12;if(!1){h=66;break d}}}while(0);j=c[b>>2]|0;while(1){if((a[j]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=72;break}if(!0){h=73;break d}}else{h=72}}while(0);if((h|0)==72){h=0;n=a[j]|0;k=f+428|0;o=c[k>>2]|0;c[k>>2]=o+1;a[o]=n;if(!1){h=73;break d}}j=j+1|0}g=1}if((h|0)==58){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ol(f+416|0)|0)<<24>>24!=0){h=80;break}if(0){h=82}else{h=81}}else{h=80}}while(0);if((h|0)==80){g=f+428|0;e=c[g>>2]|0;c[g>>2]=e+1;a[e]=0;if(1){h=82}else{h=81}}if((h|0)==81){l=0;m=l;i=d;return m|0}else if((h|0)==82){l=c[f+432>>2]|0;m=l;i=d;return m|0}}else if((h|0)==66){l=0;m=l;i=d;return m|0}else if((h|0)==73){l=0;m=l;i=d;return m|0}}else if((h|0)==29){l=0;m=l;i=d;return m|0}else if((h|0)==36){l=0;m=l;i=d;return m|0}else if((h|0)==43){l=0;m=l;i=d;return m|0}else if((h|0)==52){l=0;m=l;i=d;return m|0}return 0}function um(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=b;b=e;e=f;f=g;g=h;h=c[k+356>>2]|0;l=0;m=0;n=Rl(k,h+20|0,c[f>>2]|0,0)|0;if((n|0)==0){o=xl(h+80|0,c[f>>2]|0)|0;if((o|0)==0){p=1;q=p;i=j;return q|0}n=Rl(k,h+20|0,o,24)|0;if((n|0)==0){p=1;q=p;i=j;return q|0}do{if((d[k+236|0]|0)!=0){if((Am(k,n)|0)!=0){break}p=1;q=p;i=j;return q|0}}while(0)}o=c[n+12>>2]|0;r=fe[c[b+40>>2]&127](b,e,c[k+380>>2]|0,c[k+392>>2]|0)|0;if((r+o|0)>(c[k+380>>2]|0)){s=c[k+380>>2]|0;c[k+380>>2]=r+o+16;t=ce[c[k+16>>2]&127](c[k+392>>2]|0,c[k+380>>2]<<4)|0;if((t|0)==0){p=1;q=p;i=j;return q|0}c[k+392>>2]=t;if((r|0)>(s|0)){fe[c[b+40>>2]&127](b,e,r,c[k+392>>2]|0)|0}}e=c[k+392>>2]|0;s=0;while(1){if((s|0)>=(r|0)){u=49;break}t=(c[k+392>>2]|0)+(s<<4)|0;v=c[t>>2]|0;w=c[t>>2]|0;x=cm(k,b,v,w+(ce[c[b+32>>2]&127](b,c[t>>2]|0)|0)|0)|0;if((x|0)==0){u=19;break}if((a[(c[x>>2]|0)-1|0]|0)!=0){u=21;break}a[(c[x>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x>>2];if((a[(c[k+392>>2]|0)+(s<<4)+12|0]|0)!=0){c[e+(l<<2)>>2]=_l(k+416|0,b,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0)|0;if((c[e+(l<<2)>>2]|0)==0){u=37;break}c[k+432>>2]=c[k+428>>2]}else{t=1;if((a[x+8|0]|0)!=0){w=0;while(1){if((w|0)>=(o|0)){break}if((x|0)==(c[(c[n+20>>2]|0)+(w*12|0)>>2]|0)){u=29;break}w=w+1|0}if((u|0)==29){u=0;t=a[(c[n+20>>2]|0)+(w*12|0)+4|0]|0}}y=gm(k,b,t,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0,k+416|0)|0;if((y|0)!=0){u=34;break}c[e+(l<<2)>>2]=c[k+432>>2];c[k+432>>2]=c[k+428>>2]}if((c[x+4>>2]|0)!=0){if((a[x+9|0]|0)!=0){z=Vl(k,c[x+4>>2]|0,x,c[e+(l<<2)>>2]|0,g)|0;if((z|0)!=0){u=42;break}l=l-1|0}else{l=l+1|0;m=m+1|0;a[(c[x>>2]|0)-1|0]=2}}else{l=l+1|0}s=s+1|0}if((u|0)==19){p=1;q=p;i=j;return q|0}else if((u|0)==21){if((b|0)==(c[k+144>>2]|0)){c[k+288>>2]=c[(c[k+392>>2]|0)+(s<<4)>>2]}p=8;q=p;i=j;return q|0}else if((u|0)==34){p=y;q=p;i=j;return q|0}else if((u|0)==37){p=1;q=p;i=j;return q|0}else if((u|0)==42){p=z;q=p;i=j;return q|0}else if((u|0)==49){c[k+384>>2]=l;do{if((c[n+8>>2]|0)!=0){if((a[(c[c[n+8>>2]>>2]|0)-1|0]|0)==0){u=58;break}s=0;while(1){if((s|0)>=(l|0)){break}if((c[e+(s<<2)>>2]|0)==(c[c[n+8>>2]>>2]|0)){u=54;break}s=s+2|0}if((u|0)==54){c[k+388>>2]=s}}else{u=58}}while(0);if((u|0)==58){c[k+388>>2]=-1}s=0;a:while(1){if((s|0)>=(o|0)){break}x=(c[n+20>>2]|0)+(s*12|0)|0;do{if((a[(c[c[x>>2]>>2]|0)-1|0]|0)==0){if((c[x+8>>2]|0)==0){break}if((c[(c[x>>2]|0)+4>>2]|0)!=0){if((a[(c[x>>2]|0)+9|0]|0)!=0){A=Vl(k,c[(c[x>>2]|0)+4>>2]|0,c[x>>2]|0,c[x+8>>2]|0,g)|0;if((A|0)!=0){u=66;break a}}else{a[(c[c[x>>2]>>2]|0)-1|0]=2;m=m+1|0;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}else{a[(c[c[x>>2]>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}}while(0);s=s+1|0}if((u|0)==66){p=A;q=p;i=j;return q|0}c[e+(l<<2)>>2]=0;s=0;if((m|0)!=0){A=c[k+400>>2]|0;o=1<<d[k+404|0];do{if((m<<1>>d[k+404|0]|0)!=0){do{x=k+404|0;t=a[x]|0;a[x]=t+1;}while((m>>(t&255)|0)!=0);if((d[k+404|0]|0)<3){a[k+404|0]=3}o=1<<d[k+404|0];t=ce[c[k+16>>2]&127](c[k+396>>2]|0,o*12|0)|0;if((t|0)!=0){c[k+396>>2]=t;A=0;break}p=1;q=p;i=j;return q|0}}while(0);if((A|0)==0){A=-1;B=o;while(1){if((B|0)==0){break}t=B-1|0;B=t;c[(c[k+396>>2]|0)+(t*12|0)>>2]=A}}t=A-1|0;A=t;c[k+400>>2]=t;b:while(1){if((s|0)>=(l|0)){break}t=c[e+(s<<2)>>2]|0;if((a[t-1|0]|0)==2){x=c[k+496>>2]|0;a[t-1|0]=0;w=c[(c[(Rl(k,h+40|0,t,0)|0)+4>>2]|0)+4>>2]|0;if((w|0)==0){u=93;break}B=0;while(1){if((B|0)>=(c[w+20>>2]|0)){break}z=a[(c[w+16>>2]|0)+B|0]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Ol(k+416|0)|0)<<24>>24!=0){u=99;break}if(!0){u=100;break b}}else{u=99}}while(0);if((u|0)==99){u=0;y=k+428|0;b=c[y>>2]|0;c[y>>2]=b+1;a[b]=z;if(!1){u=100;break b}}x=(x*1000003|0)^z&255;B=B+1|0}do{b=t;t=b+1|0;}while((a[b]|0)!=58);do{b=a[t]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Ol(k+416|0)|0)<<24>>24!=0){u=110;break}if(!0){u=111;break b}}else{u=110}}while(0);if((u|0)==110){u=0;z=a[t]|0;y=k+428|0;v=c[y>>2]|0;c[y>>2]=v+1;a[v]=z;if(!1){u=111;break b}}x=(x*1000003|0)^b&255;z=t;t=z+1|0;}while((a[z]|0)!=0);z=0;v=o-1|0;B=x&v;while(1){if((c[(c[k+396>>2]|0)+(B*12|0)>>2]|0)!=(A|0)){break}if((x|0)==(c[(c[k+396>>2]|0)+(B*12|0)+4>>2]|0)){y=c[k+432>>2]|0;C=c[(c[k+396>>2]|0)+(B*12|0)+8>>2]|0;while(1){if((a[y]|0)==(a[C]|0)){D=(a[y]|0)!=0}else{D=0}if(!D){break}y=y+1|0;C=C+1|0}if((a[y]|0)==0){u=124;break b}}if(!(z<<24>>24!=0)){z=((x&~v)>>>(((d[k+404|0]|0)-1|0)>>>0)&v>>>2|1)&255}if((B|0)<(z&255|0)){C=B+(o-(z&255))|0;B=C;E=C}else{C=B-(z&255)|0;B=C;E=C}}if((a[k+237|0]|0)!=0){a[(c[k+428>>2]|0)-1|0]=a[k+472|0]|0;t=c[c[w>>2]>>2]|0;do{do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Ol(k+416|0)|0)<<24>>24!=0){u=137;break}if(!0){u=138;break b}}else{u=137}}while(0);if((u|0)==137){u=0;y=a[t]|0;z=k+428|0;v=c[z>>2]|0;c[z>>2]=v+1;a[v]=y;if(!1){u=138;break b}}y=t;t=y+1|0;}while((a[y]|0)!=0)}t=c[k+432>>2]|0;c[k+432>>2]=c[k+428>>2];c[e+(s<<2)>>2]=t;c[(c[k+396>>2]|0)+(B*12|0)>>2]=A;c[(c[k+396>>2]|0)+(B*12|0)+4>>2]=x;c[(c[k+396>>2]|0)+(B*12|0)+8>>2]=t;w=m-1|0;m=w;if((w|0)==0){u=143;break}}else{a[t-1|0]=0}s=s+2|0}if((u|0)==93){p=27;q=p;i=j;return q|0}else if((u|0)==100){p=1;q=p;i=j;return q|0}else if((u|0)==111){p=1;q=p;i=j;return q|0}else if((u|0)==124){p=8;q=p;i=j;return q|0}else if((u|0)==138){p=1;q=p;i=j;return q|0}else if((u|0)==143){s=s+2|0}}while(1){if((s|0)>=(l|0)){break}a[(c[e+(s<<2)>>2]|0)-1|0]=0;s=s+2|0}e=c[g>>2]|0;while(1){if((e|0)==0){break}a[(c[c[e+12>>2]>>2]|0)-1|0]=0;e=c[e+4>>2]|0}if((a[k+236|0]|0)==0){p=0;q=p;i=j;return q|0}do{if((c[n+4>>2]|0)!=0){e=c[(c[n+4>>2]|0)+4>>2]|0;if((e|0)==0){p=27;q=p;i=j;return q|0}F=c[f>>2]|0;do{g=F;F=g+1|0;}while((a[g]|0)!=58)}else{if((c[h+156>>2]|0)!=0){e=c[h+156>>2]|0;F=c[f>>2]|0;break}else{p=0;q=p;i=j;return q|0}}}while(0);h=0;do{if((d[k+237|0]|0)!=0){if((c[c[e>>2]>>2]|0)==0){break}do{n=h;h=n+1|0;}while((a[(c[c[e>>2]>>2]|0)+n|0]|0)!=0)}}while(0);c[f+4>>2]=F;c[f+16>>2]=c[e+20>>2];c[f+8>>2]=c[c[e>>2]>>2];c[f+20>>2]=h;s=0;do{n=s;s=n+1|0;}while((a[F+n|0]|0)!=0);r=s+(c[e+20>>2]|0)+h|0;if((r|0)>(c[e+24>>2]|0)){G=Td[c[k+12>>2]&255](r+24|0)|0;if((G|0)==0){p=1;q=p;i=j;return q|0}c[e+24>>2]=r+24;MU(G|0,c[e+16>>2]|0,c[e+20>>2]|0)|0;r=c[k+364>>2]|0;while(1){if((r|0)==0){break}if((c[r+12>>2]|0)==(c[e+16>>2]|0)){c[r+12>>2]=G}r=c[r>>2]|0}Qd[c[k+20>>2]&511](c[e+16>>2]|0);c[e+16>>2]=G}G=(c[e+16>>2]|0)+(c[e+20>>2]|0)|0;MU(G|0,F|0,s)|0;if((h|0)!=0){G=G+(s-1)|0;a[G]=a[k+472|0]|0;MU(G+1|0,c[c[e>>2]>>2]|0,h)|0}c[f>>2]=c[e+16>>2];p=0;q=p;i=j;return q|0}return 0}function vm(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;c[j+280>>2]=66;c[j+288>>2]=b;a:while(1){c[h>>2]=0;f=fe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;c[j+292>>2]=c[h>>2];switch(f|0){case-4:{k=8;break a;break};case 0:{k=18;break a;break};case-1:{k=19;break a;break};case-2:{k=22;break a;break};case-15:{k=3;break a;break};case 11:{if((nm(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=13;break a}break};case 13:{if((om(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=16;break a}break};case 15:{if((c[j+80>>2]|0)!=0){Ml(j,c[j+144>>2]|0,b,c[h>>2]|0)}break};default:{k=25;break a}}f=c[h>>2]|0;b=f;c[j+288>>2]=f;f=c[j+480>>2]|0;if((f|0)==3){k=27;break}else if((f|0)==2){k=28;break}}b:do{if((k|0)==3){do{if((c[j+80>>2]|0)!=0){Ml(j,c[j+144>>2]|0,b,c[h>>2]|0);if((c[j+480>>2]|0)==2){l=35;break b}else{break}}}while(0);c[e>>2]=c[h>>2];l=0}else if((k|0)==8){c[e>>2]=b;l=0}else if((k|0)==13){l=1}else if((k|0)==16){l=1}else if((k|0)==18){c[j+288>>2]=c[h>>2];l=4}else if((k|0)==19){if((a[j+484|0]|0)!=0){l=5;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==22){if((a[j+484|0]|0)!=0){l=6;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==25){l=9}else if((k|0)==27){c[e>>2]=c[h>>2];l=0}else if((k|0)==28){l=35}}while(0);i=g;return l|0}function wm(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=b;b=d;d=e;e=f;f=g;g=h;c[k>>2]=c[d>>2];if((b|0)==(c[o+144>>2]|0)){p=o+288|0;c[p>>2]=c[k>>2];q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}c[p>>2]=c[k>>2];c[d>>2]=0;a:while(1){h=fe[c[b+8>>2]&127](b,c[k>>2]|0,e,l)|0;c[q>>2]=c[l>>2];switch(h|0){case-2:{r=34;break a;break};case-1:case-4:{r=37;break a;break};case 40:{r=6;break a;break};case 7:{if((c[o+60>>2]|0)!=0){a[m]=10;ge[c[o+60>>2]&15](c[o+4>>2]|0,m,1)}else{if((c[o+80>>2]|0)!=0){Ml(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 0:{r=33;break a;break};case 6:{h=c[o+60>>2]|0;if((h|0)!=0){if((a[b+72|0]|0)!=0){ge[h&15](c[o+4>>2]|0,c[k>>2]|0,(c[l>>2]|0)-(c[k>>2]|0)|0)}else{while(1){c[n>>2]=c[o+44>>2];Pd[c[b+60>>2]&31](b,k,c[l>>2]|0,n,c[o+48>>2]|0);c[q>>2]=c[l>>2];ge[h&15](c[o+4>>2]|0,c[o+44>>2]|0,(c[n>>2]|0)-(c[o+44>>2]|0)|0);if((c[k>>2]|0)==(c[l>>2]|0)){break}c[p>>2]=c[k>>2]}}}else{if((c[o+80>>2]|0)!=0){Ml(o,b,c[k>>2]|0,c[l>>2]|0)}}break};default:{r=40;break a}}h=c[l>>2]|0;c[k>>2]=h;c[p>>2]=h;h=c[o+480>>2]|0;if((h|0)==2){r=43;break}else if((h|0)==3){r=42;break}}if((r|0)==6){if((c[o+76>>2]|0)!=0){Qd[c[o+76>>2]&511](c[o+4>>2]|0)}else{if((c[o+80>>2]|0)!=0){Ml(o,b,c[k>>2]|0,c[l>>2]|0)}}c[d>>2]=c[l>>2];c[f>>2]=c[l>>2];if((c[o+480>>2]|0)==2){s=35;t=s;i=j;return t|0}else{s=0;t=s;i=j;return t|0}}else if((r|0)==33){c[p>>2]=c[l>>2];s=4;t=s;i=j;return t|0}else if((r|0)==34){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=6;t=s;i=j;return t|0}}else if((r|0)==37){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=20;t=s;i=j;return t|0}}else if((r|0)==40){c[p>>2]=c[l>>2];s=23;t=s;i=j;return t|0}else if((r|0)==42){c[f>>2]=c[l>>2];s=0;t=s;i=j;return t|0}else if((r|0)==43){s=35;t=s;i=j;return t|0}return 0}function xm(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=wm(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)==0){k=f;l=k;i=g;return l|0}if((c[j+476>>2]|0)!=0){c[j+280>>2]=32;k=ym(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=am(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}return 0}function ym(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=rm(h,1,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((zm(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function zm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a;a=c[d+364>>2]|0;while(1){if((a|0)==0){break}e=(c[a+24>>2]|0)+1|0;f=(c[a+36>>2]|0)+e|0;if((c[a+4>>2]|0)==(f|0)){g=4;break}h=e+(c[a+8>>2]|0)|0;if((h|0)>((c[a+40>>2]|0)-(c[a+36>>2]|0)|0)){j=ce[c[d+16>>2]&127](c[a+36>>2]|0,h)|0;if((j|0)==0){g=7;break}if((c[a+12>>2]|0)==(c[a+36>>2]|0)){c[a+12>>2]=j}if((c[a+16>>2]|0)!=0){c[a+16>>2]=j+((c[a+16>>2]|0)-(c[a+36>>2]|0))}c[a+36>>2]=j;c[a+40>>2]=j+h;f=j+e|0}MU(f|0,c[a+4>>2]|0,c[a+8>>2]|0)|0;c[a+4>>2]=f;a=c[a>>2]|0}if((g|0)!=4)if((g|0)==7){k=0;l=k;i=b;return l|0}k=1;l=k;i=b;return l|0}function Am(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=c[b>>2]|0;a:while(1){if((a[g]|0)==0){h=26;break}if((a[g]|0)==58){j=c[b>>2]|0;while(1){if((j|0)==(g|0)){break}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((Ol(d+80|0)|0)<<24>>24!=0){h=9;break}if(!0){h=10;break a}}else{h=9}}while(0);if((h|0)==9){h=0;k=a[j]|0;l=d+92|0;m=c[l>>2]|0;c[l>>2]=m+1;a[m]=k;if(!1){h=10;break a}}j=j+1|0}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((Ol(d+80|0)|0)<<24>>24!=0){h=16;break}if(!0){h=17;break a}}else{h=16}}while(0);if((h|0)==16){h=0;j=d+92|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=0;if(!1){h=17;break}}k=Rl(f,d+60|0,c[d+96>>2]|0,8)|0;if((k|0)==0){h=19;break}if((c[k>>2]|0)==(c[d+96>>2]|0)){c[d+96>>2]=c[d+92>>2]}else{c[d+92>>2]=c[d+96>>2]}c[b+4>>2]=k}g=g+1|0}if((h|0)==10){n=0;o=n;i=e;return o|0}else if((h|0)==17){n=0;o=n;i=e;return o|0}else if((h|0)==19){n=0;o=n;i=e;return o|0}else if((h|0)==26){n=1;o=n;i=e;return o|0}return 0}function Bm(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+16|0;l=k|0;m=k+8|0;n=b;b=e;e=f;f=g;g=h;h=j;j=c[n+356>>2]|0;a:while(1){b:do{switch(fe[c[b+16>>2]&127](b,f,g,l)|0){case 0:{o=4;break a;break};case 10:{p=ce[c[b+44>>2]&127](b,f)|0;if((p|0)<0){o=11;break a}do{if(!(e<<24>>24!=0)){if((p|0)!=32){break}if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break b}}while(0);p=Im(p,m|0)|0;if((p|0)==0){o=20;break a}q=0;while(1){if((q|0)>=(p|0)){break}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Ol(h)|0)<<24>>24!=0){o=28;break}if(!0){o=29;break a}}else{o=28}}while(0);if((o|0)==28){o=0;r=a[m+q|0]|0;s=h+12|0;t=c[s>>2]|0;c[s>>2]=t+1;a[t]=r;if(!1){o=29;break a}}q=q+1|0}break};case-3:{c[l>>2]=f+(c[b+68>>2]|0);o=37;break};case-1:{o=7;break a;break};case-4:{o=3;break a;break};case 6:{if((em(h,b,f,c[l>>2]|0)|0)==0){o=34;break a}break};case 39:case 7:{o=37;break};case 9:{q=(Vd[c[b+48>>2]&127](b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0)&255;if(q<<24>>24!=0){do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Ol(h)|0)<<24>>24!=0){o=51;break}if(!0){o=52;break a}}else{o=51}}while(0);if((o|0)==51){o=0;p=h+12|0;r=c[p>>2]|0;c[p>>2]=r+1;a[r]=q;if(!1){o=52;break a}}break b}r=_l(n+440|0,b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((r|0)==0){o=55;break a}p=Rl(n,j|0,r,0)|0;c[n+452>>2]=c[n+456>>2];if((h|0)==(j+80|0)){if((c[n+272>>2]|0)!=0){if((d[j+130|0]|0)!=0){u=((c[n+300>>2]|0)!=0^1)&1}else{u=((a[j+129|0]|0)!=0^1)&1}v=(u|0)!=0}else{v=0}w=v&1}else{if((a[j+129|0]|0)!=0){x=(d[j+130|0]|0)!=0}else{x=1}w=x&1}do{if(w<<24>>24!=0){if((p|0)==0){o=68;break a}if((a[p+34|0]|0)==0){o=70;break a}}else{if((p|0)!=0){break}else{break b}}}while(0);if((a[p+32|0]|0)!=0){o=77;break a}if((c[p+28>>2]|0)!=0){o=81;break a}if((c[p+4>>2]|0)==0){o=85;break a}q=(c[p+4>>2]|0)+(c[p+8>>2]|0)|0;a[p+32|0]=1;y=Bm(n,c[n+228>>2]|0,e,c[p+4>>2]|0,q,h)|0;a[p+32|0]=0;if((y|0)!=0){o=89;break a}break};default:{o=92;break a}}}while(0);c:do{if((o|0)==37){o=0;do{if(!(e<<24>>24!=0)){if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break c}}while(0);do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Ol(h)|0)<<24>>24!=0){o=44;break}if(!0){o=45;break a}}else{o=44}}while(0);if((o|0)==44){o=0;p=h+12|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=32;if(!1){o=45;break a}}}}while(0);f=c[l>>2]|0}if((o|0)==3){z=0;A=z;i=k;return A|0}else if((o|0)==4){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=c[l>>2]}z=4;A=z;i=k;return A|0}else if((o|0)==7){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=4;A=z;i=k;return A|0}else if((o|0)==11){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==20){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==29){z=1;A=z;i=k;return A|0}else if((o|0)==34){z=1;A=z;i=k;return A|0}else if((o|0)==45){z=1;A=z;i=k;return A|0}else if((o|0)==52){z=1;A=z;i=k;return A|0}else if((o|0)==55){z=1;A=z;i=k;return A|0}else if((o|0)==68){z=11;A=z;i=k;return A|0}else if((o|0)==70){z=24;A=z;i=k;return A|0}else if((o|0)==77){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=12;A=z;i=k;return A|0}else if((o|0)==81){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=15;A=z;i=k;return A|0}else if((o|0)==85){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=16;A=z;i=k;return A|0}else if((o|0)==89){z=y;A=z;i=k;return A|0}else if((o|0)==92){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=23;A=z;i=k;return A|0}return 0}function Cm(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+1040|0;f=e|0;g=b;b=d;if((c[g+124>>2]|0)!=0){d=0;while(1){if((d|0)>=256){break}c[f+(d<<2)>>2]=-1;d=d+1|0}c[f+1028>>2]=0;c[f+1024>>2]=0;c[f+1032>>2]=0;do{if((Vd[c[g+124>>2]&127](c[g+248>>2]|0,b,f)|0)!=0){d=c[g+12>>2]|0;h=Jm()|0;c[g+240>>2]=Td[d&255](h)|0;if((c[g+240>>2]|0)!=0){h=fe[((a[g+236|0]&255|0)!=0?38:72)&127](c[g+240>>2]|0,f|0,c[f+1028>>2]|0,c[f+1024>>2]|0)|0;if((h|0)==0){break}c[g+244>>2]=c[f+1024>>2];c[g+252>>2]=c[f+1032>>2];c[g+144>>2]=h;j=0;k=j;i=e;return k|0}else{if((c[f+1032>>2]|0)!=0){Qd[c[f+1032>>2]&511](c[f+1024>>2]|0)}j=1;k=j;i=e;return k|0}}}while(0);if((c[f+1032>>2]|0)!=0){Qd[c[f+1032>>2]&511](c[f+1024>>2]|0)}}j=18;k=j;i=e;return k|0}function Dm(){var a=0,b=0;a=i;Jc(((Ld(0)|0)>>>0)%4294967295|0|0);b=SU()|0;i=a;return b|0}function Em(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=Wl(g)|0;if((a|0)!=0){h=a;j=h;i=f;return j|0}else{c[g+280>>2]=76;h=Xl(g,b,d,e)|0;j=h;i=f;return j|0}return 0}function Fm(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=Td[c[e>>2]&255](188)|0;if((b|0)==0){f=b;g=f;i=d;return g|0}else{Gm(b+80|0,e);Gm(b+104|0,e);Hm(b|0,e);Hm(b+20|0,e);Hm(b+40|0,e);Hm(b+60|0,e);a[b+131|0]=0;Hm(b+132|0,e);c[b+152>>2]=0;c[b+156>>2]=0;a[b+160|0]=0;c[b+184>>2]=0;c[b+164>>2]=0;c[b+180>>2]=0;c[b+172>>2]=0;c[b+176>>2]=0;c[b+168>>2]=0;a[b+128|0]=1;a[b+129|0]=0;a[b+130|0]=0;f=b;g=f;i=d;return g|0}return 0}function Gm(a,b){a=a|0;b=b|0;var d=0;d=a;c[d>>2]=0;c[d+4>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;c[d+20>>2]=b;i=i;return}function Hm(b,d){b=b|0;d=d|0;var e=0;e=b;a[e+4|0]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e>>2]=0;c[e+16>>2]=d;i=i;return}function Im(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=c;if((e|0)<0){f=0;g=f;i=d;return g|0}if((e|0)<128){a[b|0]=e;f=1;g=f;i=d;return g|0}if((e|0)<2048){a[b|0]=e>>6|192;a[b+1|0]=e&63|128;f=2;g=f;i=d;return g|0}if((e|0)<65536){a[b|0]=e>>12|224;a[b+1|0]=e>>6&63|128;a[b+2|0]=e&63|128;f=3;g=f;i=d;return g|0}if((e|0)<1114112){a[b|0]=e>>18|240;a[b+1|0]=e>>12&63|128;a[b+2|0]=e>>6&63|128;a[b+3|0]=e&63|128;f=4;g=f;i=d;return g|0}else{f=0;g=f;i=d;return g|0}return 0}function Jm(){return 1912}function Km(e,f,g,h){e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=e;e=f;f=g;g=h;h=k;l=0;while(1){if((l|0)>=368){break}a[k+l|0]=a[15296+l|0]|0;l=l+1|0}l=0;a:while(1){if((l|0)>=128){break}do{if((d[15372+l|0]|0|0)!=28){if((d[15372+l|0]|0|0)==0){break}if((c[e+(l<<2)>>2]|0)!=(l|0)){m=10;break a}}}while(0);l=l+1|0}if((m|0)==10){n=0;o=n;i=j;return o|0}l=0;b:while(1){if((l|0)>=256){m=46;break}k=c[e+(l<<2)>>2]|0;if((k|0)==-1){a[h+76+l|0]=1;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)<0){if((k|0)<-4){m=19;break}a[h+76+l|0]=5-(k+2);a[h+888+(l<<2)|0]=0;b[h+376+(l<<1)>>1]=0}else{if((k|0)<128){do{if((d[15372+k|0]|0|0)!=28){if((d[15372+k|0]|0|0)==0){break}if((k|0)!=(l|0)){m=25;break b}}}while(0);a[h+76+l|0]=a[15372+k|0]|0;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=k;if((k|0)==0){p=65535}else{p=k}b[h+376+(l<<1)>>1]=p}else{if((Lm(k)|0)<0){a[h+76+l|0]=0;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)>65535){m=33;break}if((c[12328+(((d[8712+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=22}else{if((c[12328+(((d[13608+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=26}else{a[h+76+l|0]=28}}a[h+888+(l<<2)|0]=Im(k,h+888+(l<<2)+1|0)|0;b[h+376+(l<<1)>>1]=k}}}}l=l+1|0}if((m|0)==19){n=0;o=n;i=j;return o|0}else if((m|0)==25){n=0;o=n;i=j;return o|0}else if((m|0)==33){n=0;o=n;i=j;return o|0}else if((m|0)==46){c[h+372>>2]=g;c[h+368>>2]=f;if((f|0)!=0){c[h+332>>2]=58;c[h+336>>2]=58;c[h+340>>2]=58;c[h+344>>2]=36;c[h+348>>2]=36;c[h+352>>2]=36;c[h+356>>2]=62;c[h+360>>2]=62;c[h+364>>2]=62}c[h+60>>2]=12;c[h+64>>2]=14;n=h|0;o=n;i=j;return o|0}return 0}function Lm(a){a=a|0;var b=0,c=0,e=0,f=0;b=i;c=a;a:do{switch(c>>8|0){case 216:case 217:case 218:case 219:case 220:case 221:case 222:case 223:{e=-1;break};case 0:{if((d[15372+c|0]|0|0)==0){e=-1;break a}else{f=10;break a}break};case 255:{do{if((c|0)!=65534){if((c|0)==65535){break}f=10;break a}}while(0);e=-1;break};default:{f=10}}}while(0);if((f|0)==10){e=c}i=b;return e|0}function Mm(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=ce[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12328+(((d[13608+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function Nm(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=ce[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12328+(((d[8712+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function Om(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;a=ce[c[e+368>>2]&127](c[e+372>>2]|0,b)|0;if((a&-65536|0)!=0){f=1;g=f&1;i=d;return g|0}f=(Lm(a)|0)<0;g=f&1;i=d;return g|0}function Pm(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=i;i=i+8|0;k=j|0;l=b;b=e;e=f;f=g;g=h;h=l;while(1){if((c[b>>2]|0)==(e|0)){m=3;break}n=h+888+(d[c[b>>2]|0]<<2)|0;o=n;n=o+1|0;p=a[o]|0;if((p|0)==0){p=Im(ce[c[h+368>>2]&127](c[h+372>>2]|0,c[b>>2]|0)|0,k|0)|0;if((p|0)>(g-(c[f>>2]|0)|0)){m=6;break}n=k|0;o=b;c[o>>2]=(c[o>>2]|0)+((d[l+76+(d[c[b>>2]|0]|0)|0]|0)-3)}else{if((p|0)>(g-(c[f>>2]|0)|0)){m=9;break}o=b;c[o>>2]=(c[o>>2]|0)+1}do{o=n;n=o+1|0;q=a[o]|0;o=f;r=c[o>>2]|0;c[o>>2]=r+1;a[r]=q;q=p-1|0;p=q;}while((q|0)!=0)}if((m|0)==3){i=j;return}else if((m|0)==6){i=j;return}else if((m|0)==9){i=j;return}}function Qm(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=e;e=f;f=g;g=h;h=k;while(1){if((c[a>>2]|0)!=(e|0)){l=(c[f>>2]|0)!=(g|0)}else{l=0}if(!l){break}m=b[h+376+((d[c[a>>2]|0]|0)<<1)>>1]|0;if((m&65535|0)==0){m=(ce[c[h+368>>2]&127](c[h+372>>2]|0,c[a>>2]|0)|0)&65535;n=a;c[n>>2]=(c[n>>2]|0)+((d[k+76+(d[c[a>>2]|0]|0)|0]|0)-3)}else{n=a;c[n>>2]=(c[n>>2]|0)+1}n=f;o=c[n>>2]|0;c[n>>2]=o+2;b[o>>1]=m}i=j;return}function Rm(){return 16120}function Sm(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=Tm(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=42;c[g+4>>2]=82;c[g+52>>2]=8;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function Tm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if((d|0)==0){e=6}else{a=0;while(1){if((a|0)>=6){f=9;break}if((fn(d,c[16584+(a<<2)>>2]|0)|0)!=0){f=6;break}a=a+1|0}if((f|0)==6){e=a;break}else if((f|0)==9){e=-1;break}}}while(0);i=b;return e|0}function Um(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=fp(16728,a,0,b,c,d)|0;i=e;return f|0}function Vm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=fp(16728,a,1,b,c,d)|0;i=e;return f|0}function Wm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=i;Eo(816,b,c,d);i=a;return}function Xm(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=Ym(20,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function Ym(a,b,d,e,f,g,h,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;n=i;i=i+32|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=a;a=b;b=d;c[o>>2]=e;e=f;f=g;g=h;h=j;j=k;k=l;l=m;c[p>>2]=0;c[q>>2]=0;c[r>>2]=0;c[o>>2]=(c[o>>2]|0)+((c[b+68>>2]|0)*5|0);e=e+(-(c[b+68>>2]<<1)|0)|0;do{if((gp(b,c[o>>2]|0,e,q,r,p,o)|0)!=0){if((c[q>>2]|0)==0){break}do{if((fe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,915296)|0)!=0){if((g|0)!=0){c[g>>2]=c[p>>2]}if((h|0)!=0){c[h>>2]=c[o>>2]}if((gp(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}if((a|0)!=0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}else{if((a|0)!=0){break}c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);do{if((fe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,915328)|0)!=0){m=hp(b,c[p>>2]|0,e)|0;if(97<=(m|0)){if((m|0)>122){v=22}}else{v=22}do{if((v|0)==22){if(65<=(m|0)){if((m|0)<=90){break}}c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}}while(0);if((j|0)!=0){c[j>>2]=c[p>>2]}if((k|0)!=0){c[k>>2]=Vd[s&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0}if((gp(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}t=1;u=t;i=n;return u|0}}while(0);do{if((fe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,915304)|0)!=0){if((a|0)!=0){break}if((fe[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,915288)|0)!=0){if((l|0)!=0){c[l>>2]=1}}else{if((fe[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,915320)|0)==0){c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}if((l|0)!=0){c[l>>2]=0}}while(1){if((ip(hp(b,c[o>>2]|0,e)|0)|0)==0){break}c[o>>2]=(c[o>>2]|0)+(c[b+68>>2]|0)}if((c[o>>2]|0)!=(e|0)){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}}while(0);c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}function Zm(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Pd[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((fn(h|0,915384)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=Tm(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16728+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function _m(){return 15752}function $m(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=Tm(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=14;c[g+4>>2]=92;c[g+52>>2]=8;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function an(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=fp(16696,a,0,b,c,d)|0;i=e;return f|0}function bn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=fp(16696,a,1,b,c,d)|0;i=e;return f|0}function cn(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=Ym(54,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function dn(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Pd[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((fn(h|0,915384)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=Tm(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16696+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function en(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=Km(b,c,d,e)|0;if((g|0)==0){h=g;i=f;return h|0}a[g+134|0]=23;h=g;i=f;return h|0}function fn(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=b;b=c;do{c=e;e=c+1|0;f=a[c]|0;c=b;b=c+1|0;g=a[c]|0;do{if(97<=(f<<24>>24|0)){if((f<<24>>24|0)>122){break}f=(f<<24>>24)-32&255}}while(0);do{if(97<=(g<<24>>24|0)){if((g<<24>>24|0)>122){break}g=(g<<24>>24)-32&255}}while(0);if((f<<24>>24|0)!=(g<<24>>24|0)){h=9;break}}while(f<<24>>24!=0);if((h|0)==9){j=0;k=j;i=d;return k|0}j=1;k=j;i=d;return k|0}function gn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=yn(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 36:{c[f>>2]=b+2;k=21;break a;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 19:{k=Mn(j,b+2|0,e,f)|0;break a;break};case 30:{k=An(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{m=18;b=b+2|0;n=86;break};case 25:case 26:case 27:case 23:{m=19;b=b+2|0;n=86;break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;m=18;n=86;break b}if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;m=19;n=86;break b}else{n=85;break b}break};case 12:{k=Kn(12,j,b+2|0,e,f)|0;break a;break};case 13:{k=Kn(13,j,b+2|0,e,f)|0;break a;break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 16:{k=Ln(j,b+2|0,e,f)|0;break a;break};case 15:{k=Gn(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{n=26;break b}break};case 21:case 10:{n=26;break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 33:{c[f>>2]=b+2;k=36;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 35:{c[f>>2]=b+2;k=38;break a;break};default:{n=85}}}while(0);if((n|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){n=28;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=yn(a[b+1|0]|0,a[b|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){n=36;break}}else{break}}if((n|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((n|0)==85){c[f>>2]=b;k=0;break}else if((n|0)==86){c:while(1){if((b|0)==(e|0)){n=141;break}if((a[b+1|0]|0)==0){r=d[j+76+(d[b]|0)|0]|0}else{r=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(r|0){case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=93;break c}n=95;break};case 22:case 24:case 25:case 26:case 27:{n=95;break};case 5:{n=96;break c;break};case 6:{n=99;break c;break};case 7:{n=102;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{n=105;break c;break};case 23:{b=b+2|0;g=m;if((g|0)==18){if((b|0)==(e|0)){n=108;break c}m=41;if((a[b+1|0]|0)==0){s=d[j+76+(d[b]|0)|0]|0}else{s=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(s|0){case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=114;break c}n=116;break};case 22:case 24:case 25:case 26:case 27:{n=116;break};case 5:{n=117;break c;break};case 6:{n=120;break c;break};case 7:{n=123;break c;break};default:{m=19}}if((n|0)==116){n=0;b=b+2|0}}else if((g|0)==41){m=19}break};case 34:{n=130;break c;break};case 33:{n=133;break c;break};case 15:{n=136;break c;break};default:{n=139;break c}}if((n|0)==95){n=0;b=b+2|0}}if((n|0)==93){c[f>>2]=b;k=0;break}else if((n|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==105){c[f>>2]=b;k=m;break}else if((n|0)==108){k=-1;break}else if((n|0)==114){c[f>>2]=b;k=0;break}else if((n|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==130){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((n|0)==133){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((n|0)==136){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((n|0)==139){c[f>>2]=b;k=0;break}else if((n|0)==141){k=-m|0;break}}}}while(0);i=h;return k|0}function hn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=yn(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 2:{k=Dn(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 3:{k=zn(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=yn(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=yn(a[b+1|0]|0,a[b|0]|0)|0}c:do{switch(p|0){case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+5|0]|0)==0){if((a[b+4|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function jn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=yn(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=yn(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function kn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 0:case 1:case 8:{l=18;break a;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function ln(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 3:{l=12;break a;break};case 9:{l=19;break a;break};case 5:{b=b+2|0;break};case 21:{l=29;break a;break};case 10:{l=16;break a;break};case 2:{l=15;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=zn(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=yn(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function mn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 3:{m=12;break a;break};case 30:{m=15;break a;break};case 10:{m=21;break a;break};case 9:{m=24;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=zn(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=An(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=yn(a[b+1|0]|0,a[b|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function nn(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b+1|0]|0)==0){h=d[g+76+(d[b]|0)|0]|0}else{h=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(h|0){case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=7;break a}k=9;break};case 6:{k=9;break};case 5:{k=12;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){k=18;break a}e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){k=20;break a}break};default:{k=22;break a}}if((k|0)==9){k=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=10;break}k=12}if((k|0)==12){k=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=13;break}j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=15;break}}}if((k|0)==7){l=0;m=l;i=f;return m|0}else if((k|0)==10){l=0;m=l;i=f;return m|0}else if((k|0)==13){l=0;m=l;i=f;return m|0}else if((k|0)==15){l=0;m=l;i=f;return m|0}else if((k|0)==18){l=0;m=l;i=f;return m|0}else if((k|0)==20){l=0;m=l;i=f;return m|0}else if((k|0)==22){if((a[c+1|0]|0)==0){n=d[g+76+(d[c]|0)|0]|0}else{n=yn(a[c+1|0]|0,a[c|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function on(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f+1|0]|0)!=0){g=7;break}if((a[f|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function pn(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(g|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 6:{b=b+3|0;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};default:{break a}}}i=e;return b-c|0}function qn(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=yn(a[b+1|0]|0,a[b|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function rn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 11:case 17:{if((g|0)!=2){break a}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+3|0]|0)==0){o=a[b+2|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=yn(a[b+3|0]|0,a[b+2|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};default:{}}b=b+2|0}i=h;return k|0}function sn(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d+1|0]|0)==0){if((a[d|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d+1|0]|0)==0){f=(a[d|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d+1|0]|0)==0){g=a[d|0]|0}else{g=-1}h=g;switch(h|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d+1|0]|0)==0){l=(a[d|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d+1|0]|0)==0){m=a[d|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=Lm(c)|0;k=j;i=b;return k|0}function tn(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==4){if((a[e+1|0]|0)==0){f=a[e|0]|0}else{f=-1}if((f|0)==97){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=115){break}g=39;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((f|0)==113){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=117){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=116){break}g=34;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}}else if((c|0)==2){do{if((a[e+3|0]|0)==0){if((a[e+2|0]|0)!=116){break}if((a[e+1|0]|0)==0){j=a[e|0]|0}else{j=-1}if((j|0)==108){g=60;h=g;i=b;return h|0}else if((j|0)==103){g=62;h=g;i=b;return h|0}else{break}}}while(0)}else if((c|0)==3){do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=97){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=109){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}g=38;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}g=0;h=g;i=b;return h|0}function un(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=yn(a[b+1|0]|0,a[b|0]|0)|0}switch(k|0){case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=yn(a[b+1|0]|0,a[b|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 7:{b=b+4|0;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function vn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=yn(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 21:{if((a[b+1|0]|0)==0){if((a[b|0]|0)==9){k=10;break a}}break};case 26:case 22:{if((a[b+1|0]|0)==0){m=a[b|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function wn(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g|0]|0;l=a[g+1|0]|0;b:do{switch(l&255|0){case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}m=((l&3)<<2|(k&255)>>6&3)+1|0;n=e;o=c[n>>2]|0;c[n>>2]=o+1;a[o]=m>>2|240;o=e;n=c[o>>2]|0;c[o>>2]=n+1;a[n]=(k&255)>>2&15|(m&3)<<4|128;g=g+2|0;m=a[g|0]|0;n=((k&3)<<4|(a[g+1|0]&3)<<2|(m&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=m&63|128;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=k;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=(l&255)>>4|224;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(l&15)<<2|(k&255)>>6|128;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(k&255)>>6|(l&255)<<2|192;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function xn(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2+1|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[(c[k>>2]|0)+1|0]|0)<<8|(d[c[k>>2]|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function yn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a:do{switch(a&255|0){case 216:case 217:case 218:case 219:{c=7;break};case 220:case 221:case 222:case 223:{c=8;break};case 255:{d=b&255;if((d|0)==255|(d|0)==254){c=0;break a}else{e=7;break a}break};default:{e=7}}}while(0);if((e|0)==7){c=29}i=i;return c|0}



function nu(b,d,e){b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+56|0;g=f|0;j=f+48|0;Dq(9,0,25752,(k=i,i=i+16|0,c[k>>2]=d,h[k+8>>3]=e,k)|0);i=k;l=ir(d,g)|0;if((l|0)!=0){Hq(c[b+536>>2]|0,25592,(k=i,i=i+16|0,c[k>>2]=d,c[k+8>>2]=l,k)|0);i=k}Dq(9,0,25424,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;l=b+116|0;if((c[l>>2]|0)>0){d=b+8|0;m=0;do{n=jr(g,c[(c[d>>2]|0)+(m*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((n|0)==0){p=su(c[o+(m*112|0)+4>>2]|0)|0;q=jr(g,p)|0;jU(p);p=c[d>>2]|0;if((q|0)!=0){r=q;s=p;t=7;break}q=c[p+(m*112|0)+4>>2]|0;if((JU(q,25056,6)|0)==0){if((c[229115]|0)==0){break}}else{p=JU(q,24800,6)|0;if((c[229115]|p|0)==0){break}}Fq(9,0,24608,(k=i,i=i+8|0,c[k>>2]=q,k)|0);i=k}else{r=n;s=o;t=7}}while(0);if((t|0)==7){t=0;pr(s+(m*112|0)+96|0,g,r,e)|0;o=c[d>>2]|0;u=+h[o+(m*112|0)+96>>3];Dq(9,0,25224,(k=i,i=i+16|0,c[k>>2]=c[o+(m*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}m=m+1|0;}while((m|0)<(c[l>>2]|0))}Dq(9,0,24376,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+136|0;if((c[m>>2]|0)>0){d=b+24|0;r=0;do{s=jr(g,c[(c[d>>2]|0)+(r*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((s|0)==0){n=su(c[o+(r*112|0)+4>>2]|0)|0;q=jr(g,n)|0;jU(n);n=c[d>>2]|0;if((q|0)!=0){v=q;w=n;t=17;break}Fq(9,0,24064,(k=i,i=i+8|0,c[k>>2]=c[n+(r*112|0)+4>>2],k)|0);i=k}else{v=s;w=o;t=17}}while(0);if((t|0)==17){t=0;pr(w+(r*112|0)+96|0,g,v,e)|0;o=c[d>>2]|0;u=+h[o+(r*112|0)+96>>3];Dq(9,0,25224,(k=i,i=i+16|0,c[k>>2]=c[o+(r*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}Dq(9,0,23712,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+120|0;r=c[m>>2]|0;d=(c[l>>2]|0)-r|0;if((d|0)<(r|0)){r=b+24|0;l=d;do{d=jr(g,c[(c[r>>2]|0)+(l*112|0)+4>>2]|0)|0;v=c[r>>2]|0;do{if((d|0)==0){w=su(c[v+(l*112|0)+4>>2]|0)|0;o=jr(g,w)|0;jU(w);w=c[r>>2]|0;if((o|0)!=0){x=o;y=w;t=24;break}Fq(9,0,24064,(k=i,i=i+8|0,c[k>>2]=c[w+(l*112|0)+4>>2],k)|0);i=k}else{x=d;y=v;t=24}}while(0);if((t|0)==24){t=0;pr(y+(l*112|0)+96|0,g,x,e)|0;v=c[r>>2]|0;u=+h[v+(l*112|0)+96>>3];Dq(9,0,25224,(k=i,i=i+16|0,c[k>>2]=c[v+(l*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}l=l+1|0;}while((l|0)<(c[m>>2]|0))}Dq(9,0,22760,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+140|0;if((c[m>>2]|0)>0){l=b+28|0;r=0;do{x=jr(g,c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;do{if((x|0)==0){y=su(c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;v=jr(g,y)|0;jU(y);if((v|0)!=0){z=v;t=31;break}Fq(9,0,22400,(k=i,i=i+8|0,c[k>>2]=c[(c[l>>2]|0)+(r*60|0)+4>>2],k)|0);i=k}else{z=x;t=31}}while(0);if((t|0)==31){t=0;pr(j,g,z,e)|0;x=~~+h[j>>3];v=c[l>>2]|0;c[v+(r*60|0)+52>>2]=x;Dq(9,0,22552,(k=i,i=i+16|0,c[k>>2]=c[v+(r*60|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}Dq(9,0,22e3,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+144|0;if((c[m>>2]|0)<=0){gr(g);i=f;return}r=b+32|0;b=0;do{l=jr(g,c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;do{if((l|0)==0){z=su(c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;x=jr(g,z)|0;jU(z);if((x|0)!=0){A=x;t=38;break}Fq(9,0,21600,(k=i,i=i+8|0,c[k>>2]=c[(c[r>>2]|0)+(b*48|0)+4>>2],k)|0);i=k}else{A=l;t=38}}while(0);if((t|0)==38){t=0;pr(j,g,A,e)|0;a[(c[r>>2]|0)+(b*48|0)+42|0]=~~+h[j>>3];l=c[r>>2]|0;x=(a[l+(b*48|0)+42|0]|0)!=0?708160:56520;Dq(9,0,21864,(k=i,i=i+16|0,c[k>>2]=c[l+(b*48|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}b=b+1|0;}while((b|0)<(c[m>>2]|0));gr(g);i=f;return}function ou(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;Os(a,+h[a+240>>3]);bt(a);gt(a);Ys(a);it(a);$t(a);Zs(a);bt(a);d=qu(a,b,c)|0;gt(a);Ys(a);ct(a);gt(a);return d|0}function pu(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;e=i;i=i+4096|0;f=e|0;Os(b,+h[b+240>>3]);bt(b);gt(b);bu(b,0,1)|0;g=b+540|0;j=c[g>>2]|0;if((c[j+76>>2]|0)!=0&(d|0)>1){k=b+8|0;l=b+116|0;m=kU(c[l>>2]|0,8)|0;n=m;o=b+124|0;p=kU(c[o>>2]|0,4)|0;q=p;r=b+128|0;s=kU(c[r>>2]|0,1)|0;t=b+132|0;u=kU(c[t>>2]|0,4)|0;v=u;w=b+536|0;Gq(c[w>>2]|0,(m|0)!=0|0,45152,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Gq(c[w>>2]|0,(p|0)!=0|0,45152,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Gq(c[w>>2]|0,(s|0)!=0|0,45152,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Gq(c[w>>2]|0,(u|0)!=0|0,45152,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;w=c[l>>2]|0;if((w|0)>0){y=c[k>>2]|0;z=0;do{h[n+(z<<3)>>3]=+h[y+(z*112|0)+96>>3];z=z+1|0;}while((z|0)<(w|0))}w=c[o>>2]|0;if((w|0)>0){z=c[b+12>>2]|0;y=0;do{c[q+(y<<2)>>2]=c[z+(y*60|0)+52>>2];y=y+1|0;}while((y|0)<(w|0))}w=c[r>>2]|0;if((w|0)>0){y=c[b+16>>2]|0;z=0;do{a[s+z|0]=a[y+(z*48|0)+42|0]|0;z=z+1|0;}while((z|0)<(w|0))}w=c[t>>2]|0;if((w|0)>0){z=c[b+20>>2]|0;y=0;do{c[v+(y<<2)>>2]=c[z+(y*52|0)+44>>2];y=y+1|0;}while((y|0)<(w|0))}if((c[229115]|0)==0){A=0}else{w=f|0;Ob(w|0,44592,(x=i,i=i+8|0,c[x>>2]=c[b+88>>2],x)|0)|0;i=x;f=xc(w|0,44e3)|0;kd(f|0,43336,(x=i,i=i+8|0,c[x>>2]=42064,x)|0)|0;i=x;if((c[l>>2]|0)>0){w=k|0;y=0;do{kd(f|0,43336,(x=i,i=i+8|0,c[x>>2]=c[(c[w>>2]|0)+(y*112|0)+4>>2],x)|0)|0;i=x;y=y+1|0;}while((y|0)<(c[l>>2]|0))}Va(10,f|0)|0;A=f}Dq(9,1,41048,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;a:do{if((d|0)>0){B=+(d-1|0);f=b+304|0;y=b+4|0;w=0;do{C=+(w|0)/B;h[f>>3]=C>1.0?1.0:C;Td[c[(c[g>>2]|0)+80>>2]&255](b)|0;Dq(9,0,40664,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0);i=x;if((c[229115]|0)!=0){kd(A|0,40216,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0)|0;i=x;if((c[l>>2]|0)>0){z=0;do{kd(A|0,40216,(x=i,i=i+8|0,h[x>>3]=+h[(c[(c[c[y>>2]>>2]|0)+8>>2]|0)+(z<<3)>>3],x)|0)|0;i=x;z=z+1|0;}while((z|0)<(c[l>>2]|0))}Va(10,A|0)|0}if((Mt(b,0)|0)!=0){break a}if((Ft(b,0)|0)!=0){break a}if((wt(b,0)|0)!=0){break a}jt(b);w=w+1|0;}while((w|0)<(d|0))}}while(0);Qd[c[3540]&511](9);if((c[229115]|0)!=0){Oa(A|0)|0}A=c[l>>2]|0;if((A|0)>0){l=c[k>>2]|0;k=0;do{h[l+(k*112|0)+96>>3]=+h[n+(k<<3)>>3];k=k+1|0;}while((k|0)<(A|0))}if((c[o>>2]|0)>0){A=c[b+12>>2]|0;k=0;do{c[A+(k*60|0)+52>>2]=c[q+(k<<2)>>2];k=k+1|0;}while((k|0)<(c[o>>2]|0))}if((c[r>>2]|0)>0){o=b+16|0;k=0;do{a[(c[o>>2]|0)+(k*48|0)+42|0]=a[s+k|0]|0;k=k+1|0;}while((k|0)<(c[r>>2]|0))}r=c[t>>2]|0;if((r|0)>0){t=b+20|0;k=0;do{c[(c[t>>2]|0)+(k*52|0)+44>>2]=c[v+(k<<2)>>2];k=k+1|0;}while((k|0)<(r|0))}jU(m);jU(p);jU(s);jU(u)}else{h[b+304>>3]=1.0;Td[c[j+80>>2]&255](b)|0}_s(b);if((bu(b,1,1)|0)!=1){i=e;return}Td[c[(c[g>>2]|0)+80>>2]&255](b)|0;_s(b);if((bu(b,1,1)|0)!=1){i=e;return}Fq(1,0,39696,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;i=e;return}function qu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;f=i;g=tu(b)|0;j=g|0;k=c[j>>2]|0;if((k|0)==0){Dq(9,0,39376,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if((c[b+184>>2]|0)==0){ce[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0}jU(g);m=0;i=f;return m|0}n=b+184|0;o=c[n>>2]|0;if((o|0)==0){Dq(9,0,39024,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;ce[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0;jU(g);m=0;i=f;return m|0}do{if((c[g+16>>2]|0)<(k|0)){Dq(9,1,38656,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;p=iU(c[j>>2]<<3)|0;q=p;r=g+40|0;s=c[r>>2]|0;c[r>>2]=0;t=+ju(g,1.0);c[r>>2]=s;u=c[j>>2]|0;if((u|0)>0){v=g+24|0;w=0;x=c[v>>2]|0;while(1){y=x+(w<<3)|0;h[y>>3]=+h[y>>3]+1.0e-6;c[r>>2]=0;h[q+(w<<3)>>3]=+V(+(+ju(g,1.0)-t))/1.0e-6;c[r>>2]=s;y=c[v>>2]|0;z=y+(w<<3)|0;h[z>>3]=+h[z>>3]+-1.0e-6;z=w+1|0;A=c[j>>2]|0;if((z|0)<(A|0)){w=z;x=y}else{B=A;break}}}else{B=u}x=c[n>>2]|0;if((x|0)>0){w=(B|0)>1;v=0;do{if(w){s=1;r=0;while(1){A=+h[q+(s<<3)>>3]>+h[q+(r<<3)>>3]?s:r;y=s+1|0;if((y|0)<(B|0)){s=y;r=A}else{C=A;break}}}else{C=0}h[q+(C<<3)>>3]=-1.0;v=v+1|0;}while((v|0)<(x|0))}Dq(9,1,38216,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;x=b+112|0;v=c[x>>2]|0;if((v|0)>0){w=b+8|0;u=g+44|0;r=g+24|0;s=0;A=0;y=v;while(1){v=(c[w>>2]|0)+(s*112|0)+72|0;if((a[v]|0)==0){if(+h[q+(A<<3)>>3]<0.0){D=y}else{a[v]=1;t=+h[(c[r>>2]|0)+(A<<3)>>3];Dq(9,0,37128,(l=i,i=i+16|0,c[l>>2]=c[(c[u>>2]|0)+(A<<2)>>2],h[l+8>>3]=t,l)|0);i=l;D=c[x>>2]|0}E=A+1|0;F=D}else{E=A;F=y}v=s+1|0;if((v|0)<(F|0)){s=v;A=E;y=F}else{G=E;break}}}else{G=0}y=b+136|0;if((c[y>>2]|0)>0){A=b+24|0;s=g+44|0;x=g+24|0;u=b+116|0;r=b+120|0;w=0;v=G;while(1){z=(c[A>>2]|0)+(w*112|0)+72|0;if((a[z]|0)==0){if(!(+h[q+(v<<3)>>3]<0.0)){a[z]=1;t=+h[(c[x>>2]|0)+(v<<3)>>3];Dq(9,0,37128,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(v<<2)>>2],h[l+8>>3]=t,l)|0);i=l}H=v+1|0}else{H=v}z=c[r>>2]|0;I=(c[u>>2]|0)-z|0;if((I|0)<(z|0)){J=I;K=H;L=z;while(1){z=(c[A>>2]|0)+(J*112|0)+72|0;if((a[z]|0)==0){if(+h[q+(K<<3)>>3]<0.0){M=L}else{a[z]=1;t=+h[(c[x>>2]|0)+(K<<3)>>3];Dq(9,0,37128,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(K<<2)>>2],h[l+8>>3]=t,l)|0);i=l;M=c[r>>2]|0}N=K+1|0;O=M}else{N=K;O=L}z=J+1|0;if((z|0)<(O|0)){J=z;K=N;L=O}else{P=z;Q=N;break}}}else{P=I;Q=H}L=P+1|0;if((L|0)<(c[y>>2]|0)){w=L;v=Q}else{break}}}if((c[229115]|0)!=0){Qd[c[3540]&511](9);Qd[c[3540]&511](9)}jU(p);uu(g);v=tu(b)|0;if((c[v>>2]|0)!=0){R=v;break}Dq(9,0,36832,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;jU(v);m=0;i=f;return m|0}else{if((o|0)<=(k|0)){R=g;break}Dq(9,0,36376,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;R=g}}while(0);do{if((d|0)==5|(d|0)==3){Dq(9,0,36024,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;ru(R,d,1,e);ku(b,R);g=c[R>>2]|0;if((g|0)<=0){break}k=c[R+24>>2]|0;o=c[R+28>>2]|0;Q=0;do{h[o+(Q<<3)>>3]=+h[k+(Q<<3)>>3];Q=Q+1|0;}while((Q|0)<(g|0))}}while(0);if(+ju(R,1.0)>1.0e-9){g=R+40|0;Q=c[g>>2]|0;if((Q|0)!=0){jU(Q);c[g>>2]=0}g=R+52|0;Q=c[g>>2]|0;if((Q|0)!=0){jU(Q);c[g>>2]=0}g=R+56|0;Q=c[g>>2]|0;if((Q|0)!=0){jU(Q);c[g>>2]=0}ru(R,d,0,e);ku(b,R);+ju(R,1.0)}else{Dq(9,0,35672,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l}Dq(9,1,35304,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;ku(b,R);b=iu(R)|0;if((c[229115]|0)!=0){Qd[c[3540]&511](9)}uu(R);m=b;i=f;return m|0}function ru(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;f=i;i=i+8|0;g=f|0;j=c[a+60>>2]|0;h[g>>3]=0.0;k=a|0;l=iU(c[k>>2]<<3)|0;m=l;n=+ju(a,1.0);o=c[k>>2]|0;if((o|0)>0){p=c[a+28>>2]|0;q=c[a+24>>2]|0;r=0;do{s=+h[p+(r<<3)>>3];h[q+(r<<3)>>3]=s;h[m+(r<<3)>>3]=s;r=r+1|0;}while((r|0)<(o|0))}if(!(n>1.0e-12)){t=1;wu(a,m);jU(l);u=t-1|0;Dq(9,0,32848,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}o=(d|0)==0;d=a+24|0;r=1;s=n;a:while(1){Dq(9,0,35040,(v=i,i=i+8|0,c[v>>2]=r,v)|0);i=v;if(!o){vu(a)}switch(b|0){case 2:{w=Bu(a)|0;break};case 3:{w=Fu(a,g,e)|0;break};case 1:{w=Du(a)|0;break};case 4:{w=Au(a)|0;break};case 5:{w=Au(a)|0;break};case 6:{w=zu(j,a,0)|0;break};default:{x=15;break a}}gt(j);Ys(j);ct(j);gt(j);n=+ju(a,1.0);q=(w|0)>-1;if(q&n<s){p=c[k>>2]|0;if((p|0)>0){y=c[d>>2]|0;z=0;do{h[m+(z<<3)>>3]=+h[y+(z<<3)>>3];z=z+1|0;}while((z|0)<(p|0))}Dq(9,0,34352,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;ku(j,a);A=n}else{Dq(9,0,34e3,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;if(q&n==s){t=r;x=23;break}else{A=s}}p=r+1|0;if((p|0)<201&n>1.0e-12){r=p;s=A}else{t=p;x=23;break}}if((x|0)==15){Hq(c[j+536>>2]|0,34720,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v}else if((x|0)==23){wu(a,m);jU(l);u=t-1|0;Dq(9,0,32848,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}}function su(b){b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=KU(b|0)|0;do{if((c|0)==0){d=0;e=iU(1)|0}else{f=0;g=0;h=c;while(1){i=a[b+g|0]|0;if((i<<24>>24|0)==93){j=f-1|0}else if((i<<24>>24|0)==91){j=f+1|0}else{j=f}if((j|0)!=0&i<<24>>24==44){k=((a[b+(g+1)|0]|0)!=32)+h|0}else{k=h}i=g+1|0;if(i>>>0<c>>>0){f=j;g=i;h=k}else{break}}h=iU(k+1|0)|0;if((k|0)==0){d=0;e=h;break}else{l=j;m=0;n=0}while(1){g=a[b+n|0]|0;if((g<<24>>24|0)==91){o=l+1|0}else if((g<<24>>24|0)==93){o=l-1|0}else{o=l}a[h+m|0]=g;do{if((o|0)!=0&g<<24>>24==44){if((a[b+(n+1)|0]|0)==32){p=m;break}f=m+1|0;a[h+f|0]=32;p=f}else{p=m}}while(0);g=p+1|0;if(g>>>0<k>>>0){l=o;m=g;n=n+1|0}else{d=k;e=h;break}}}}while(0);a[e+d|0]=0;if((HU(e,21408,4)|0)!=0){return e|0}k=e+4|0;n=d;while(1){if(n>>>0>3>>>0){if((a[e+n|0]|0)!=46){n=n-1|0;continue}}if((n|0)==3){q=23;break}m=n-3|0;MU(e|0,k|0,m)|0;o=e+m|0;C=678585700;a[o]=C;C=C>>8;a[o+1|0]=C;C=C>>8;a[o+2|0]=C;C=C>>8;a[o+3|0]=C;if((HU(e,21408,4)|0)==0){n=d}else{q=23;break}}if((q|0)==23){return e|0}return 0}function tu(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;d=i;e=iU(64)|0;f=e;Gq(0,(e|0)!=0|0,896728,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=e;k=e+4|0;l=e+8|0;m=e+12|0;n=e+16|0;o=e+20|0;p=e+24|0;q=e+28|0;r=e+32|0;s=e+36|0;t=e+40|0;u=e+44|0;v=e+48|0;w=e+52|0;x=e+56|0;NU(e|0,0,60)|0;c[e+60>>2]=b;e=b+8|0;y=b+112|0;z=c[y>>2]|0;if((z|0)>0){A=c[e>>2]|0;B=0;C=0;while(1){if((a[A+(B*112|0)+72|0]|0)==0){D=C+1|0;c[k>>2]=D;E=D}else{E=C}D=B+1|0;if((D|0)<(z|0)){B=D;C=E}else{F=E;break}}}else{F=0}E=b+136|0;C=c[E>>2]|0;if((C|0)>0){B=c[b+24>>2]|0;z=0;k=0;while(1){if((a[B+(z*112|0)+72|0]|0)==0){A=k+1|0;c[l>>2]=A;G=A}else{G=k}A=z+1|0;if((A|0)<(C|0)){z=A;k=G}else{H=G;break}}}else{H=0}G=b+116|0;k=b+120|0;z=c[k>>2]|0;if((z|0)>0){C=c[G>>2]|0;l=c[e>>2]|0;B=C-z|0;z=0;while(1){if((a[l+(B*112|0)+72|0]|0)==0){A=z+1|0;c[m>>2]=A;I=A}else{I=z}A=B+1|0;if((A|0)<(C|0)){B=A;z=I}else{J=I;break}}}else{J=0}I=H+F+J|0;c[j>>2]=I;if((I|0)==0){i=d;return f|0}j=kU(I,8)|0;c[p>>2]=j;Gq(0,(j|0)!=0|0,896728,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=kU(I,8)|0;c[q>>2]=j;Gq(0,(j|0)!=0|0,896728,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=kU(I,8)|0;c[r>>2]=j;Gq(0,(j|0)!=0|0,896728,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=kU(I,8)|0;c[s>>2]=j;Gq(0,(j|0)!=0|0,896728,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=kU(I,8)|0;c[t>>2]=j;Gq(0,(j|0)!=0|0,896728,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=kU(I,4)|0;z=j;c[u>>2]=z;Gq(0,(j|0)!=0|0,896728,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;Dq(9,0,900640,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;Dq(9,0,889336,(g=i,i=i+32|0,c[g>>2]=I,c[g+8>>2]=F,c[g+16>>2]=H,c[g+24>>2]=J,g)|0);i=g;J=c[y>>2]|0;if((J|0)>0){H=e|0;F=0;I=0;j=z;B=J;while(1){J=c[H>>2]|0;if((a[J+(F*112|0)+72|0]|0)==0){c[j+(I<<2)>>2]=c[J+(F*112|0)+4>>2];J=c[H>>2]|0;do{if((a[J+(F*112|0)+73|0]|0)==0){K=1.0;L=(c[t>>2]|0)+(I<<3)|0}else{M=+h[J+(F*112|0)+80>>3];N=+V(+M);C=(c[t>>2]|0)+(I<<3)|0;if(!(M==0.0)){K=N;L=C;break}K=1.0;L=C}}while(0);h[L>>3]=K;C=J+(F*112|0)+96|0;m=(c[p>>2]|0)+(I<<3)|0;h[m>>3]=+h[C>>3];l=(c[q>>2]|0)+(I<<3)|0;h[l>>3]=+h[C>>3];h[(c[r>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+56>>3];h[(c[s>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+64>>3];C=I+1|0;A=c[u>>2]|0;D=c[A+(I<<2)>>2]|0;N=+h[l>>3];M=+h[L>>3];O=+h[m>>3];Dq(9,0,50312,(g=i,i=i+40|0,c[g>>2]=C,c[g+8>>2]=D,h[g+16>>3]=N,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;P=C;Q=A;R=c[y>>2]|0}else{P=I;Q=j;R=B}A=F+1|0;if((A|0)<(R|0)){F=A;I=P;j=Q;B=R}else{S=P;T=Q;break}}}else{S=0;T=z}z=c[E>>2]|0;if((z|0)>0){Q=b+24|0;P=0;R=S;B=T;j=z;while(1){z=c[Q>>2]|0;if((a[z+(P*112|0)+72|0]|0)==0){c[B+(R<<2)>>2]=c[z+(P*112|0)+4>>2];z=c[Q>>2]|0;K=+h[z+(P*112|0)+80>>3];O=+V(+K);I=(c[t>>2]|0)+(R<<3)|0;h[I>>3]=K==0.0?1.0:O;F=z+(P*112|0)+96|0;y=(c[p>>2]|0)+(R<<3)|0;h[y>>3]=+h[F>>3];L=(c[q>>2]|0)+(R<<3)|0;h[L>>3]=+h[F>>3];h[(c[r>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+56>>3];h[(c[s>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+64>>3];z=R+1|0;F=c[u>>2]|0;H=c[F+(R<<2)>>2]|0;O=+h[L>>3];K=+h[I>>3];M=+h[y>>3];Dq(9,0,42800,(g=i,i=i+40|0,c[g>>2]=z,c[g+8>>2]=H,h[g+16>>3]=O,h[g+24>>3]=K,h[g+32>>3]=M,g)|0);i=g;U=z;W=F;X=c[E>>2]|0}else{U=R;W=B;X=j}F=P+1|0;if((F|0)<(X|0)){P=F;R=U;B=W;j=X}else{Y=U;Z=W;break}}}else{Y=S;Z=T}T=c[k>>2]|0;if((T|0)>0){S=c[G>>2]|0;W=e|0;U=S-T|0;T=Y;Y=Z;Z=S;while(1){S=c[W>>2]|0;if((a[S+(U*112|0)+72|0]|0)==0){c[Y+(T<<2)>>2]=c[S+(U*112|0)+4>>2];S=c[W>>2]|0;do{if((a[S+(U*112|0)+73|0]|0)==0){_=1.0;$=(c[t>>2]|0)+(T<<3)|0}else{M=+h[S+(U*112|0)+80>>3];K=+V(+M);X=(c[t>>2]|0)+(T<<3)|0;if(!(M==0.0)){_=K;$=X;break}_=1.0;$=X}}while(0);h[$>>3]=_;J=S+(U*112|0)+96|0;X=(c[p>>2]|0)+(T<<3)|0;h[X>>3]=+h[J>>3];j=(c[q>>2]|0)+(T<<3)|0;h[j>>3]=+h[J>>3];h[(c[r>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+56>>3];h[(c[s>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+64>>3];J=T+1|0;B=c[u>>2]|0;R=c[B+(T<<2)>>2]|0;K=+h[j>>3];M=+h[$>>3];O=+h[X>>3];Dq(9,0,37968,(g=i,i=i+40|0,c[g>>2]=J,c[g+8>>2]=R,h[g+16>>3]=K,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;aa=J;ba=B;ca=c[G>>2]|0}else{aa=T;ba=Y;ca=Z}B=U+1|0;if((B|0)<(ca|0)){U=B;T=aa;Y=ba;Z=ca}else{break}}}ca=c[b+184>>2]|0;c[n>>2]=ca;c[o>>2]=0;n=c[G>>2]|0;if((n|0)>0){G=c[e>>2]|0;Z=0;ba=0;while(1){if((a[G+(Z*112|0)+88|0]|0)==0){da=ba}else{Y=ba+1|0;c[o>>2]=Y;da=Y}Y=Z+1|0;if((Y|0)<(n|0)){Z=Y;ba=da}else{ea=da;break}}}else{ea=0}da=c[E>>2]|0;if((da|0)>0){E=c[b+24>>2]|0;ba=0;Z=ea;while(1){do{if((a[E+(ba*112|0)+88|0]|0)==0){fa=Z}else{if((a[E+(ba*112|0)+72|0]|0)!=0){fa=Z;break}G=Z+1|0;c[o>>2]=G;fa=G}}while(0);S=ba+1|0;if((S|0)<(da|0)){ba=S;Z=fa}else{ga=fa;break}}}else{ga=ea}ea=c[k>>2]|0;if((ea|0)>0){k=c[e>>2]|0;e=n-ea|0;ea=ga;while(1){do{if((a[k+(e*112|0)+88|0]|0)==0){ha=ea}else{if((a[k+(e*112|0)+72|0]|0)!=0){ha=ea;break}fa=ea+1|0;c[o>>2]=fa;ha=fa}}while(0);fa=e+1|0;if((fa|0)<(n|0)){e=fa;ea=ha}else{ia=ha;break}}}else{ia=ga}ga=c[b+176>>2]|0;ha=c[b+180>>2]|0;Dq(9,0,33648,(g=i,i=i+24|0,c[g>>2]=ca,c[g+8>>2]=ga,c[g+16>>2]=ha,g)|0);i=g;Dq(9,0,29680,(g=i,i=i+8|0,c[g>>2]=ia,g)|0);i=g;ha=kU(ca,8)|0;c[v>>2]=ha;Gq(0,(ha|0)!=0|0,896728,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=iU(ca<<3)|0;v=ha;c[w>>2]=v;Gq(0,(ha|0)!=0|0,896728,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=iU(ia<<3)|0;w=ha;c[x>>2]=w;Gq(0,(ha|0)!=0|0,896728,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;if((ca|0)>0){g=0;do{h[v+(g<<3)>>3]=1.0;g=g+1|0;}while((g|0)<(ca|0))}if((ia|0)>0){ja=0}else{i=d;return f|0}do{h[w+(ja<<3)>>3]=1.0;ja=ja+1|0;}while((ja|0)<(ia|0));i=d;return f|0}function uu(a){a=a|0;var b=0,d=0;b=c[a+24>>2]|0;if((b|0)!=0){jU(b)}b=c[a+28>>2]|0;if((b|0)!=0){jU(b)}b=c[a+32>>2]|0;if((b|0)!=0){jU(b)}b=c[a+36>>2]|0;if((b|0)!=0){jU(b)}b=c[a+40>>2]|0;if((b|0)!=0){jU(b)}b=c[a+44>>2]|0;if((b|0)!=0){jU(b)}b=c[a+48>>2]|0;if((b|0)!=0){jU(b)}b=c[a+52>>2]|0;if((b|0)!=0){jU(b)}b=c[a+56>>2]|0;if((b|0)==0){d=a;jU(d);return}jU(b);d=a;jU(d);return}function vu(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0;d=i;e=c[b+60>>2]|0;f=b+40|0;if((c[f>>2]|0)==0){i=d;return}g=b+52|0;j=c[g>>2]|0;if((j|0)==0){i=d;return}k=b+56|0;l=c[k>>2]|0;if((l|0)==0){i=d;return}m=b+16|0;n=c[m>>2]|0;o=kU(n,8)|0;p=o;q=kU(n,8)|0;r=q;s=b+20|0;t=c[s>>2]|0;u=kU(t,8)|0;v=u;w=kU(t,8)|0;x=w;y=kU(n,8)|0;z=y;A=kU(t,8)|0;B=A;if((n|0)>0){C=0;do{h[j+(C<<3)>>3]=1.0;C=C+1|0;}while((C|0)<(n|0))}if((t|0)>0){n=0;do{h[l+(n<<3)>>3]=1.0;n=n+1|0;}while((n|0)<(t|0))}+ju(b,1.0);t=c[m>>2]|0;if((t|0)>0){MU(o|0,c[b+48>>2]|0,(t|0)>1?t<<3:8)|0}n=e+8|0;l=e+116|0;C=c[l>>2]|0;if((C|0)>0){j=c[n>>2]|0;D=e+4|0;E=0;F=0;while(1){if((a[j+(F*112|0)+88|0]|0)==0){G=E}else{h[v+(E<<3)>>3]=+h[j+(F*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(F<<3)>>3];G=E+1|0}H=F+1|0;if((H|0)<(C|0)){E=G;F=H}else{I=G;break}}}else{I=0}G=e+136|0;F=c[G>>2]|0;if((F|0)>0){E=c[e+24>>2]|0;D=e+4|0;j=I;H=0;while(1){do{if((a[E+(H*112|0)+88|0]|0)==0){J=j}else{if((a[E+(H*112|0)+72|0]|0)!=0){J=j;break}h[v+(j<<3)>>3]=+h[E+(H*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(H<<3)>>3];J=j+1|0}}while(0);K=H+1|0;if((K|0)<(F|0)){j=J;H=K}else{L=J;break}}}else{L=I}I=e+120|0;J=c[I>>2]|0;if((J|0)>0){H=c[n>>2]|0;j=e+4|0;F=L;L=C-J|0;while(1){do{if((a[H+(L*112|0)+88|0]|0)==0){M=F}else{if((a[H+(L*112|0)+72|0]|0)!=0){M=F;break}h[v+(F<<3)>>3]=+h[H+(L*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(L<<3)>>3];M=F+1|0}}while(0);J=L+1|0;if((J|0)<(C|0)){F=M;L=J}else{break}}}L=b|0;if((c[L>>2]|0)>0){M=b+24|0;F=n|0;n=e+4|0;C=e+24|0;e=b+48|0;j=0;H=c[M>>2]|0;while(1){J=H+(j<<3)|0;h[J>>3]=+h[J>>3]+1.0e-6;+ju(b,1.0);J=c[m>>2]|0;D=(J|0)>0;if(D){MU(q|0,c[e>>2]|0,(J|0)>1?J<<3:8)|0}E=c[l>>2]|0;if((E|0)>0){K=c[F>>2]|0;N=0;O=0;while(1){if((a[K+(O*112|0)+88|0]|0)==0){P=N}else{h[x+(N<<3)>>3]=+h[K+(O*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(O<<3)>>3];P=N+1|0}Q=O+1|0;if((Q|0)<(E|0)){N=P;O=Q}else{R=P;break}}}else{R=0}O=c[G>>2]|0;if((O|0)>0){N=c[C>>2]|0;K=R;Q=0;while(1){do{if((a[N+(Q*112|0)+88|0]|0)==0){S=K}else{if((a[N+(Q*112|0)+72|0]|0)!=0){S=K;break}h[x+(K<<3)>>3]=+h[N+(Q*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(Q<<3)>>3];S=K+1|0}}while(0);T=Q+1|0;if((T|0)<(O|0)){K=S;Q=T}else{U=S;break}}}else{U=R}Q=c[I>>2]|0;if((Q|0)>0){K=c[F>>2]|0;O=U;N=E-Q|0;while(1){do{if((a[K+(N*112|0)+88|0]|0)==0){W=O}else{if((a[K+(N*112|0)+72|0]|0)!=0){W=O;break}h[x+(O<<3)>>3]=+h[K+(N*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(N<<3)>>3];W=O+1|0}}while(0);Q=N+1|0;if((Q|0)<(E|0)){O=W;N=Q}else{break}}}if(D){X=+h[(c[f>>2]|0)+(j<<3)>>3];N=0;do{Y=+V(+(X*(+h[r+(N<<3)>>3]- +h[p+(N<<3)>>3])/1.0e-6));O=z+(N<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}N=N+1|0;}while((N|0)<(J|0))}N=c[s>>2]|0;if((N|0)>0){X=+h[(c[f>>2]|0)+(j<<3)>>3];D=0;do{Y=+V(+(X*(+h[x+(D<<3)>>3]- +h[v+(D<<3)>>3])/1.0e-6));O=B+(D<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}D=D+1|0;}while((D|0)<(N|0))}N=c[M>>2]|0;D=N+(j<<3)|0;h[D>>3]=+h[D>>3]+-1.0e-6;D=j+1|0;if((D|0)<(c[L>>2]|0)){j=D;H=N}else{Z=J;break}}}else{Z=t}if((Z|0)>0){t=0;H=Z;while(1){X=+h[z+(t<<3)>>3];Z=(c[g>>2]|0)+(t<<3)|0;if(X<1.0e-42){h[Z>>3]=1.0;j=t+1|0;Dq(9,0,26176,(L=i,i=i+8|0,c[L>>2]=j,L)|0);i=L;_=c[m>>2]|0;$=j}else{h[Z>>3]=X;_=H;$=t+1|0}if(($|0)<(_|0)){t=$;H=_}else{break}}}if((c[s>>2]|0)>0){_=0;do{X=+h[B+(_<<3)>>3];h[(c[k>>2]|0)+(_<<3)>>3]=X<1.0e-42?1.0:X;_=_+1|0;}while((_|0)<(c[s>>2]|0))}jU(o);jU(q);jU(u);jU(w);jU(y);jU(A);i=d;return}function wu(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+24>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[b+(a<<3)>>3];a=a+1|0;}while((a|0)<(d|0));return}function xu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+40>>2]|0;f=(e|0)==0;g=c[a+24>>2]|0;a=0;do{i=+h[b+(a<<3)>>3];if(f){j=i}else{j=i*+h[e+(a<<3)>>3]}h[g+(a<<3)>>3]=j;a=a+1|0;}while((a|0)<(d|0));return}function yu(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=c[b+60>>2]|0;e=c[d+112>>2]|0;if((e|0)>0){f=b+24|0;g=c[d+8>>2]|0;i=0;j=0;while(1){if((a[g+(i*112|0)+72|0]|0)==0){h[(c[(c[c[d+4>>2]>>2]|0)+8>>2]|0)+(i<<3)>>3]=+h[(c[f>>2]|0)+(j<<3)>>3];k=j+1|0}else{k=j}l=i+1|0;if((l|0)<(e|0)){i=l;j=k}else{m=k;break}}}else{m=0}k=c[d+136>>2]|0;if((k|0)>0){j=b+24|0;i=c[d+24>>2]|0;e=0;f=m;while(1){if((a[i+(e*112|0)+72|0]|0)==0){h[(c[d+416>>2]|0)+(e<<3)>>3]=+h[(c[j>>2]|0)+(f<<3)>>3];n=f+1|0}else{n=f}g=e+1|0;if((g|0)<(k|0)){e=g;f=n}else{o=n;break}}}else{o=m}m=c[d+116>>2]|0;n=c[d+120>>2]|0;if((n|0)<=0){return}f=b+24|0;b=c[d+8>>2]|0;e=m-n|0;n=o;while(1){if((a[b+(e*112|0)+72|0]|0)==0){h[(c[d+400>>2]|0)+(e<<3)>>3]=+h[(c[f>>2]|0)+(n<<3)>>3];p=n+1|0}else{p=n}o=e+1|0;if((o|0)<(m|0)){e=o;n=p}else{break}}return}function zu(a,b,d){a=a|0;b=b|0;d=d|0;Hq(c[a+536>>2]|0,896480,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Au(a){a=a|0;Hq(0,896440,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Bu(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+40|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;c[d>>2]=(c[229115]|0)!=0?1e3:0;k=a|0;l=c[k>>2]|0;c[e>>2]=l*1e3|0;h[f>>3]=1.0e-12;h[g>>3]=10.0;m=l<<1|1;c[j>>2]=m;n=kU((ga(m+13|0,m+l|0)|0)+((ga(l*3|0,l+3|0)|0)/2|0)|0,8)|0;Gq(0,(n|0)!=0|0,896424,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;c[231498]=c[a+60>>2];c[231494]=c[a+48>>2];ss(k,j,c[a+24>>2]|0,g,f,d,e,n,4);jU(n);c[231498]=0;c[231494]=0;n=iu(a)|0;i=b;return n|0}function Cu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;NU(f+28|0,0,20)|0;c[f+48>>2]=c[231494];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[231498];h[d>>3]=+ju(f,1.0);i=e;return}function Du(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0;b=i;i=i+64|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;k=b+40|0;l=b+48|0;m=b+56|0;h[d>>3]=0.0;h[e>>3]=0.0;h[f>>3]=0.0;c[g>>2]=0;c[j>>2]=0;c[k>>2]=0;c[l>>2]=0;c[m>>2]=0;n=a|0;o=c[n>>2]<<3;p=iU(o)|0;q=p;r=iU(o)|0;o=r;Gq(0,(p|0)!=0|0,896264,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;Gq(0,(r|0)!=0|0,896264,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;r=c[n>>2]|0;if((r|0)>0){s=c[a+24>>2]|0;t=0;do{u=+h[s+(t<<3)>>3];if(u!=0.0){v=+V(+u)/1.0e3}else{v=1.0}h[q+(t<<3)>>3]=v;h[o+(t<<3)>>3]=0.0;t=t+1|0;}while((t|0)<(r|0))}t=r*1e3|0;c[m>>2]=t;if((c[229115]|0)==0){w=-1}else{w=(t|0)/10|0}c[g>>2]=w;h[e>>3]=1.0e-12;c[j>>2]=r;c[k>>2]=0;h[f>>3]=1.0e-12;v=+ju(a,1.0);h[d>>3]=v;if(v!=0.0){c[231496]=c[a+60>>2];c[231492]=c[a+48>>2];ps(c[a+24>>2]|0,q,n,d,m,g,e,j,k,f,o,6,l);c[231496]=0;c[231492]=0}else{Dq(9,0,900536,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p}v=+ju(a,1.0);h[d>>3]=v;Dq(9,0,889320,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p;o=c[l>>2]|0;do{if((o|0)==2){Fq(9,0,42736,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-2;i=b;return x|0}else if((o|0)==4){Fq(9,0,33576,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-4;i=b;return x|0}else if((o|0)==1){if(!(+h[f>>3]<+h[d>>3])){break}Fq(9,0,50232,(p=i,i=i+8|0,c[p>>2]=c[m>>2],p)|0);i=p;x=-1;i=b;return x|0}else if((o|0)==3){Fq(9,0,37888,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-3;i=b;return x|0}}while(0);x=iu(a)|0;i=b;return x|0}function Eu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;NU(f+28|0,0,20)|0;c[f+48>>2]=c[231492];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[231496];h[d>>3]=+ju(f,1.0);i=e;return}function Fu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0;e=i;i=i+8|0;f=e|0;g=ga(d*1e3|0,c[a>>2]|0)|0;c[f>>2]=0;Dq(9,1,896144,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[229115]|0)==0){k=0}else{k=(g|0)/10|0}Gu(a,d,g,k,b,f);Dq(9,0,900520,(j=i,i=i+8|0,c[j>>2]=c[f>>2],j)|0);i=j;Qd[c[3540]&511](9);if(+h[b>>3]<1.0){l=-1;i=e;return l|0}b=iu(a)|0;if((b|0)==0){l=0;i=e;return l|0}Fq(9,0,889272,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;l=b;i=e;return l|0}function Gu(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0;j=i;i=i+4096|0;k=a|0;l=c[k>>2]|0;m=l+1|0;n=l<<3;o=iU(ga(n,m)|0)|0;p=o;q=iU(m<<3)|0;r=q;s=iU(n)|0;t=s;u=iU(n)|0;v=u;w=iU(n)|0;x=w;y=iU(n)|0;n=y;z=+h[f>>3];if((c[229115]|0)!=0&z<1.0){A=j|0;Ob(A|0,50216,(B=i,i=i+8|0,c[B>>2]=c[(c[a+60>>2]|0)+88>>2],B)|0)|0;i=B;C=xc(A|0,42728)|0;kd(C|0,37880,(B=i,i=i+8|0,c[B>>2]=33560,B)|0)|0;i=B;kd(C|0,37880,(B=i,i=i+8|0,c[B>>2]=29656,B)|0)|0;i=B;if((c[k>>2]|0)>0){A=a+44|0;D=0;do{kd(C|0,37880,(B=i,i=i+8|0,c[B>>2]=c[(c[A>>2]|0)+(D<<2)>>2],B)|0)|0;i=B;D=D+1|0;}while((D|0)<(c[k>>2]|0))}Va(10,C|0)|0;kd(C|0,23544,(B=i,i=i+8|0,c[B>>2]=0,B)|0)|0;i=B;kd(C|0,904008,(B=i,i=i+8|0,h[B>>3]=z,B)|0)|0;i=B;if((c[k>>2]|0)>0){D=a+24|0;A=0;do{kd(C|0,904008,(B=i,i=i+8|0,h[B>>3]=+h[(c[D>>2]|0)+(A<<3)>>3],B)|0)|0;i=B;A=A+1|0;}while((A|0)<(c[k>>2]|0))}Va(10,C|0)|0;E=C}else{E=0}Gq(0,(o|0)!=0|0,901272,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Gq(0,(q|0)!=0|0,901272,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Gq(0,(s|0)!=0|0,901272,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Gq(0,(u|0)!=0|0,901272,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Gq(0,(w|0)!=0|0,901272,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Gq(0,(y|0)!=0|0,901272,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;C=c[a+40>>2]|0;A=(l|0)>0;do{if((C|0)==0){if(!A){F=0;break}D=(m|0)>0;G=a+24|0;H=0;while(1){if(D){I=(c[G>>2]|0)+(H<<3)|0;J=0;do{h[p+((ga(J,l)|0)+H<<3)>>3]=+h[I>>3];J=J+1|0;}while((J|0)<(m|0))}J=H+1|0;if((J|0)<(l|0)){H=J}else{K=14;break}}}else{if(!A){F=0;break}H=c[a+24>>2]|0;G=(m|0)>0;D=0;while(1){L=+h[H+(D<<3)>>3]/+h[C+(D<<3)>>3];if(G){J=0;do{h[p+((ga(J,l)|0)+D<<3)>>3]=L;J=J+1|0;}while((J|0)<(m|0))}J=D+1|0;if((J|0)<(l|0)){D=J}else{K=14;break}}}}while(0);do{if((K|0)==14){C=(l|0)>0;if(C){M=0}else{F=0;break}while(1){A=p+((ga(M,l)|0)+M<<3)|0;h[A>>3]=+h[A>>3]+1.0;A=M+1|0;if((A|0)<(l|0)){M=A}else{F=C;break}}}}while(0);M=(m|0)>0;C=a+16|0;L=+(m|0);N=+(l|0);A=(e|0)==0;D=a+48|0;O=1.0/+(b-1|0);b=(E|0)==0;G=a+24|0;H=l<<3;P=0.0;J=0;Q=z;a:while(1){I=Q>=1.0;R=Q<1.0;S=P;T=J;b:while(1){U=T;c:while(1){W=U+1|0;if(M){X=0;do{xu(a,p+((ga(X,l)|0)<<3)|0);h[r+(X<<3)>>3]=+ju(a,Q);X=X+1|0;}while((X|0)<(m|0))}if(F){X=1;Y=0;while(1){Z=+h[r+(X<<3)>>3]<+h[r+(Y<<3)>>3]?X:Y;_=X+1|0;if((_|0)<(m|0)){X=_;Y=Z}else{$=Z;break}}}else{$=0}aa=ga($,l)|0;ba=p+(aa<<3)|0;xu(a,ba);+ju(a,Q);Y=c[C>>2]|0;if((Y|0)>0){X=c[D>>2]|0;Z=0;z=0.0;do{ca=+V(+(+h[X+(Z<<3)>>3]));z=ca>z?ca:z;Z=Z+1|0;}while((Z|0)<(Y|0));da=z<1.0e-12}else{da=1}if(I&da|(W|0)>(d|0)){break a}do{if(M){Y=$;Z=$;X=0;while(1){ca=+h[r+(X<<3)>>3];_=ca>+h[r+(Y<<3)>>3];ea=_?X:Y;fa=_?Y:Z;ha=ca<=+h[r+(fa<<3)>>3]|(X|0)==(ea|0)?fa:X;fa=X+1|0;if((fa|0)<(m|0)){Y=ea;Z=ha;X=fa}else{break}}if(M){ia=0;ja=0.0}else{ka=0.0;la=ea;ma=ha;break}do{ja=ja+ +h[r+(ia<<3)>>3];ia=ia+1|0;}while((ia|0)<(m|0));ca=ja/L;if(M){na=0;oa=0.0}else{ka=0.0;la=ea;ma=ha;break}while(1){pa=+h[r+(na<<3)>>3]-ca;qa=oa+pa*pa;X=na+1|0;if((X|0)<(m|0)){na=X;oa=qa}else{ka=qa;la=ea;ma=ha;break}}}else{ka=0.0;la=$;ma=$}}while(0);z=ka/N;do{if(!A){if(((W|0)%(e|0)|0|0)!=0){break}ca=+h[r+($<<3)>>3];qa=+h[r+(la<<3)>>3];Dq(9,0,899016,(B=i,i=i+32|0,h[B>>3]=Q,c[B+8>>2]=W,h[B+16>>3]=ca,h[B+24>>3]=qa,B)|0);i=B}}while(0);if(z<1.0e-8&R){break b}if(F){NU(y|0,0,H|0)|0}if(M){X=0;do{if(!((X|0)==(la|0)|F^1)){Z=ga(X,l)|0;Y=0;do{fa=n+(Y<<3)|0;h[fa>>3]=+h[p+(Y+Z<<3)>>3]+ +h[fa>>3];Y=Y+1|0;}while((Y|0)<(l|0))}X=X+1|0;}while((X|0)<(m|0))}do{if(F){X=0;do{Y=n+(X<<3)|0;h[Y>>3]=+h[Y>>3]/N;X=X+1|0;}while((X|0)<(l|0));if(!F){break}X=ga(la,l)|0;Y=0;do{z=+h[n+(Y<<3)>>3];h[t+(Y<<3)>>3]=z+(z- +h[p+(Y+X<<3)>>3]);Y=Y+1|0;}while((Y|0)<(l|0))}}while(0);xu(a,t);ra=+ju(a,Q);z=+h[r+($<<3)>>3];do{if(!(z>ra)){if(ra>+h[r+(ma<<3)>>3]){break}if(!F){U=W;continue c}MU(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue c}}while(0);if(ra>z){break}if(F){Y=0;do{qa=+h[n+(Y<<3)>>3];h[v+(Y<<3)>>3]=qa+(+h[t+(Y<<3)>>3]-qa)*2.0;Y=Y+1|0;}while((Y|0)<(l|0))}xu(a,v);if(+ju(a,Q)<ra){if(!F){U=W;continue}MU(o+(ga(H,la)|0)|0,u|0,H)|0;U=W;continue}else{if(!F){U=W;continue}MU(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue}}if(+h[r+(ma<<3)>>3]>ra){K=90;break a}z=+h[r+(la<<3)>>3];if(ra<z){if(F){U=0;do{qa=+h[n+(U<<3)>>3];h[x+(U<<3)>>3]=qa+(+h[t+(U<<3)>>3]-qa)*.5;U=U+1|0;}while((U|0)<(l|0))}xu(a,x);sa=+ju(a,Q)}else{if(F){U=ga(la,l)|0;Y=0;do{qa=+h[n+(Y<<3)>>3];h[x+(Y<<3)>>3]=qa+(+h[p+(Y+U<<3)>>3]-qa)*.5;Y=Y+1|0;}while((Y|0)<(l|0))}xu(a,x);sa=+ju(a,Q)}if(sa<z){if(!F){S=sa;T=W;continue}MU(o+(ga(H,la)|0)|0,w|0,H)|0;S=sa;T=W;continue}if(M){ta=0}else{S=sa;T=W;continue}while(1){if(F){Y=ga(ta,l)|0;U=0;do{X=p+(U+Y<<3)|0;h[X>>3]=(+h[X>>3]+ +h[p+(U+aa<<3)>>3])*.5;U=U+1|0;}while((U|0)<(l|0))}U=ta+1|0;if((U|0)<(m|0)){ta=U}else{S=sa;T=W;continue b}}}z=Q+O;qa=z>1.0?1.0:z;z=+h[r+($<<3)>>3];Dq(9,0,897120,(B=i,i=i+24|0,h[B>>3]=qa,c[B+8>>2]=W,h[B+16>>3]=z,B)|0);i=B;if(b){P=S;J=W;Q=qa;continue}kd(E|0,23544,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;kd(E|0,904008,(B=i,i=i+8|0,h[B>>3]=qa,B)|0)|0;i=B;if((c[k>>2]|0)>0){T=0;do{kd(E|0,904008,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(T<<3)>>3],B)|0)|0;i=B;T=T+1|0;}while((T|0)<(c[k>>2]|0))}Va(10,E|0)|0;P=S;J=W;Q=qa}if((K|0)==90){Fq(9,0,895696,(B=i,i=i+8|0,h[B>>3]=ra,B)|0);i=B;Fq(9,0,894600,(B=i,i=i+8|0,h[B>>3]=S,B)|0);i=B;Hq(0,893688,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B}xu(a,ba);if((f|0)!=0){h[f>>3]=Q}if((g|0)!=0){c[g>>2]=W}if(b){jU(u);jU(s);jU(w);jU(y);jU(q);jU(o);i=j;return}kd(E|0,23544,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;kd(E|0,904008,(B=i,i=i+8|0,h[B>>3]=Q,B)|0)|0;i=B;if((c[k>>2]|0)>0){W=0;do{kd(E|0,904008,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(W<<3)>>3],B)|0)|0;i=B;W=W+1|0;}while((W|0)<(c[k>>2]|0))}Va(10,E|0)|0;Oa(E|0)|0;jU(u);jU(s);jU(w);jU(y);jU(q);jU(o);i=j;return}function Hu(a,b){a=a|0;b=b|0;return}function Iu(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=i;f=c[b+12>>2]|0;Hr(3);Kr(0);g=+Cr(0);Hr(0);j=d+4|0;kd(f|0,896072,(k=i,i=i+8|0,h[k>>3]=+h[c[c[j>>2]>>2]>>3],k)|0)|0;i=k;if((c[b+8>>2]|0)!=0){kd(f|0,896072,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k}b=d+116|0;l=c[b>>2]|0;if((l|0)>0){m=d+8|0;n=0;o=l;while(1){if((a[(c[m>>2]|0)+(n*112|0)+104|0]|0)==0){kd(f|0,896072,(k=i,i=i+8|0,h[k>>3]=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3],k)|0)|0;i=k;p=c[b>>2]|0}else{p=o}l=n+1|0;if((l|0)<(p|0)){n=l;o=p}else{break}}}p=d+124|0;o=c[p>>2]|0;if((o|0)>0){n=d+12|0;b=0;m=o;while(1){if((a[(c[n>>2]|0)+(b*60|0)+56|0]|0)==0){kd(f|0,900496,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(b<<2)>>2],k)|0)|0;i=k;q=c[p>>2]|0}else{q=m}o=b+1|0;if((o|0)<(q|0)){b=o;m=q}else{break}}}q=d+128|0;m=c[q>>2]|0;if((m|0)>0){b=d+16|0;p=0;n=m;while(1){if((a[(c[b>>2]|0)+(p*48|0)+44|0]|0)==0){kd(f|0,900496,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+p|0]|0,k)|0)|0;i=k;r=c[q>>2]|0}else{r=n}m=p+1|0;if((m|0)<(r|0)){p=m;n=r}else{break}}}r=d+132|0;n=c[r>>2]|0;if((n|0)>0){p=d+20|0;q=0;b=n;while(1){if((a[(c[p>>2]|0)+(q*52|0)+48|0]|0)==0){kd(f|0,889264,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(q<<2)>>2],k)|0)|0;i=k;s=c[r>>2]|0}else{s=b}n=q+1|0;if((n|0)<(s|0)){q=n;b=s}else{break}}}s=d+216|0;if((c[s>>2]|0)>0){b=d+40|0;q=0;do{r=c[b>>2]|0;do{if((a[r+(q*52|0)+48|0]|0)==0){p=a[r+(q*52|0)+8|0]|0;if((p<<24>>24|0)==2){t=c[c[j>>2]>>2]|0}else if((p<<24>>24|0)==1){break}else{t=(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(c[r+(q*52|0)+4>>2]<<3)|0}g=+h[t>>3];if((c[r+(q*52|0)>>2]|0)==0){kd(f|0,896072,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k;break}else{kd(f|0,896072,(k=i,i=i+8|0,h[k>>3]=-0.0-g,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+220|0;if((c[s>>2]|0)>0){q=d+44|0;t=0;do{b=c[q>>2]|0;do{if((a[b+(t*52|0)+48|0]|0)==0){if((a[b+(t*52|0)+8|0]|0)==1){break}r=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(c[b+(t*52|0)+4>>2]<<2)>>2]|0;if((c[b+(t*52|0)>>2]|0)==0){kd(f|0,900496,(k=i,i=i+8|0,c[k>>2]=r,k)|0)|0;i=k;break}else{kd(f|0,900496,(k=i,i=i+8|0,c[k>>2]=-r,k)|0)|0;i=k;break}}}while(0);t=t+1|0;}while((t|0)<(c[s>>2]|0))}s=d+224|0;if((c[s>>2]|0)>0){t=d+48|0;q=0;do{b=c[t>>2]|0;do{if((a[b+(q*52|0)+48|0]|0)==0){if((a[b+(q*52|0)+8|0]|0)==1){break}r=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+(c[b+(q*52|0)+4>>2]|0)|0]|0;if((c[b+(q*52|0)>>2]|0)==0){kd(f|0,900496,(k=i,i=i+8|0,c[k>>2]=r<<24>>24,k)|0)|0;i=k;break}else{kd(f|0,900496,(k=i,i=i+8|0,c[k>>2]=r<<24>>24!=1,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+228|0;q=c[s>>2]|0;if((q|0)<=0){u=Va(10,f|0)|0;Kr(3);i=e;return}t=d+52|0;d=0;b=q;while(1){q=c[t>>2]|0;do{if((a[q+(d*52|0)+48|0]|0)==0){if((a[q+(d*52|0)+8|0]|0)==1){v=b;break}kd(f|0,889264,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(c[q+(d*52|0)+4>>2]<<2)>>2],k)|0)|0;i=k;v=c[s>>2]|0}else{v=b}}while(0);q=d+1|0;if((q|0)<(v|0)){d=q;b=v}else{break}}u=Va(10,f|0)|0;Kr(3);i=e;return}function Ju(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;f=b|0;g=xc(c[f>>2]|0,42720)|0;h=c[d+536>>2]|0;j=c[f>>2]|0;f=Wc(c[(Vc()|0)>>2]|0)|0;Gq(h,(g|0)!=0|0,37824,(h=i,i=i+16|0,c[h>>2]=j,c[h+8>>2]=f,h)|0);i=h;kd(g|0,889264,(h=i,i=i+8|0,c[h>>2]=33552,h)|0)|0;i=h;if((c[b+8>>2]|0)!=0){kd(g|0,889264,(h=i,i=i+8|0,c[h>>2]=29640,h)|0)|0;i=h}f=d+116|0;j=c[f>>2]|0;if((j|0)>0){k=d+8|0;l=0;m=j;while(1){j=c[k>>2]|0;if((a[j+(l*112|0)+104|0]|0)==0){kd(g|0,889264,(h=i,i=i+8|0,c[h>>2]=c[j+(l*112|0)+4>>2],h)|0)|0;i=h;n=c[f>>2]|0}else{n=m}j=l+1|0;if((j|0)<(n|0)){l=j;m=n}else{break}}}n=d+124|0;m=c[n>>2]|0;if((m|0)>0){l=d+12|0;f=0;k=m;while(1){m=c[l>>2]|0;if((a[m+(f*60|0)+56|0]|0)==0){kd(g|0,889264,(h=i,i=i+8|0,c[h>>2]=c[m+(f*60|0)+4>>2],h)|0)|0;i=h;o=c[n>>2]|0}else{o=k}m=f+1|0;if((m|0)<(o|0)){f=m;k=o}else{break}}}o=d+128|0;k=c[o>>2]|0;if((k|0)>0){f=d+16|0;n=0;l=k;while(1){k=c[f>>2]|0;if((a[k+(n*48|0)+44|0]|0)==0){kd(g|0,889264,(h=i,i=i+8|0,c[h>>2]=c[k+(n*48|0)+4>>2],h)|0)|0;i=h;p=c[o>>2]|0}else{p=l}k=n+1|0;if((k|0)<(p|0)){n=k;l=p}else{break}}}p=d+132|0;l=c[p>>2]|0;if((l|0)>0){n=d+20|0;o=0;f=l;while(1){l=c[n>>2]|0;if((a[l+(o*52|0)+48|0]|0)==0){kd(g|0,889264,(h=i,i=i+8|0,c[h>>2]=c[l+(o*52|0)+4>>2],h)|0)|0;i=h;q=c[p>>2]|0}else{q=f}l=o+1|0;if((l|0)<(q|0)){o=l;f=q}else{break}}}q=d+216|0;f=c[q>>2]|0;if((f|0)>0){o=d+40|0;p=0;n=f;while(1){f=c[o>>2]|0;do{if((a[f+(p*52|0)+48|0]|0)==0){if((a[f+(p*52|0)+8|0]|0)==1){r=n;break}kd(g|0,889264,(h=i,i=i+8|0,c[h>>2]=c[f+(p*52|0)+16>>2],h)|0)|0;i=h;r=c[q>>2]|0}else{r=n}}while(0);f=p+1|0;if((f|0)<(r|0)){p=f;n=r}else{break}}}r=d+220|0;n=c[r>>2]|0;if((n|0)>0){p=d+44|0;q=0;o=n;while(1){n=c[p>>2]|0;do{if((a[n+(q*52|0)+48|0]|0)==0){if((a[n+(q*52|0)+8|0]|0)==1){s=o;break}kd(g|0,889264,(h=i,i=i+8|0,c[h>>2]=c[n+(q*52|0)+16>>2],h)|0)|0;i=h;s=c[r>>2]|0}else{s=o}}while(0);n=q+1|0;if((n|0)<(s|0)){q=n;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){q=d+48|0;r=0;p=o;while(1){o=c[q>>2]|0;do{if((a[o+(r*52|0)+48|0]|0)==0){if((a[o+(r*52|0)+8|0]|0)==1){t=p;break}kd(g|0,889264,(h=i,i=i+8|0,c[h>>2]=c[o+(r*52|0)+16>>2],h)|0)|0;i=h;t=c[s>>2]|0}else{t=p}}while(0);o=r+1|0;if((o|0)<(t|0)){r=o;p=t}else{break}}}t=d+228|0;p=c[t>>2]|0;if((p|0)<=0){u=Va(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}r=d+52|0;d=0;s=p;while(1){p=c[r>>2]|0;do{if((a[p+(d*52|0)+48|0]|0)==0){if((a[p+(d*52|0)+8|0]|0)==1){x=s;break}kd(g|0,889264,(h=i,i=i+8|0,c[h>>2]=c[p+(d*52|0)+16>>2],h)|0)|0;i=h;x=c[t>>2]|0}else{x=s}}while(0);p=d+1|0;if((p|0)<(x|0)){d=p;s=x}else{break}}u=Va(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}function Ku(a,b){a=a|0;b=b|0;b=c[a+12>>2]|0;Hr(3);Oa(b|0)|0;Kr(3);return}function Lu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+72|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+40|0;l=d+56|0;m=c[a+12>>2]|0;c[g>>2]=0;n=m;uM(j,n);o=m+184|0;p=k;c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];vM(n,k)|0;Mu(b,g,e,f,+h[m+224>>3],+h[m+232>>3]);m=c[g>>2]|0;Nu(a,b,895944,c[f>>2]|0,c[e>>2]|0,m,8);jU(m);c[g>>2]=0;g=l;m=j;c[g>>2]=c[m>>2];c[g+4>>2]=c[m+4>>2];c[g+8>>2]=c[m+8>>2];c[g+12>>2]=c[m+12>>2];vM(n,l)|0;i=d;return}function Mu(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0;k=i;c[e>>2]=2;l=b+136|0;m=b+140|0;n=b+144|0;o=(c[l>>2]|0)+1+(c[m>>2]|0)+(c[n>>2]|0)|0;c[f>>2]=o;p=kU(ga(c[e>>2]|0,o)|0,8)|0;c[d>>2]=p;Gq(c[b+536>>2]|0,(p|0)!=0|0,898984,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;p=c[d>>2]|0;h[p>>3]=g;d=c[f>>2]|0;h[p+(d<<3)>>3]=j;f=c[l>>2]|0;if((f|0)>0){l=c[b+416>>2]|0;o=0;do{e=l+(o<<3)|0;o=o+1|0;h[p+(o<<3)>>3]=+h[e>>3];h[p+(d+o<<3)>>3]=+h[e>>3];}while((o|0)<(f|0))}o=f+1|0;f=c[m>>2]|0;if((f|0)>0){m=c[b+420>>2]|0;l=0;do{j=+(c[m+(l<<2)>>2]|0);e=l+o|0;h[p+(e<<3)>>3]=j;h[p+(d+e<<3)>>3]=j;l=l+1|0;}while((l|0)<(f|0))}l=f+o|0;o=c[n>>2]|0;if((o|0)<=0){i=k;return}n=c[b+424>>2]|0;b=0;do{f=n+b|0;m=l+b|0;h[p+(m<<3)>>3]=+(a[f]|0);h[p+(d+m<<3)>>3]=+(a[f]|0);b=b+1|0;}while((b|0)<(o|0));i=k;return}function Nu(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;j=i;k=c[a+12>>2]|0;Xu(a,b,d,e,f,h);tM(k,g,ga(ga(f,e)|0,h)|0)|0;if(QK(k+(c[(c[k>>2]|0)-12>>2]|0)|0)|0){Hq(c[b+536>>2]|0,903968,(b=i,i=i+8|0,c[b>>2]=c[a>>2],b)|0);i=b}else{i=j;return}}function Ou(a){a=a|0;if((Pv(a+4|0)|0)!=0){return}TK(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function Pu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+104|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+32|0;l=d+40|0;m=d+56|0;n=d+72|0;o=d+88|0;p=oU(320)|0;NU(p|0,0,320)|0;Qu(p);q=a+12|0;c[q>>2]=p;r=(c[b+140>>2]|0)+(c[b+136>>2]|0)+(c[b+144>>2]|0)|0;c[e>>2]=0;c[j>>2]=0;c[k>>2]=0;Hr(3);s=a+8|0;t=Ru(c[s>>2]|0,c[q>>2]|0,b)|0;q=p+316|0;c[q>>2]=t;u=Su(a,b,t+r|0)|0;t=p+184|0;Tu(l,-1,-1);v=l;c[t>>2]=c[v>>2];c[t+4>>2]=c[v+4>>2];c[t+8>>2]=c[v+8>>2];c[t+12>>2]=c[v+12>>2];v=p+200|0;Tu(m,-1,-1);l=m;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];c[v+12>>2]=c[l+12>>2];c[p+216>>2]=0;l=p+224|0;h[l>>3]=+h[b+240>>3];m=p+232|0;h[m>>3]=+h[b+248>>3];w=a|0;Uu(p,c[w>>2]|0,36);if(QK(p+(c[(c[p>>2]|0)-12>>2]|0)|0)|0){Hq(c[b+536>>2]|0,900456,(x=i,i=i+8|0,c[x>>2]=c[w>>2],x)|0);i=x}Nu(a,b,889256,4,11,916304,1);Vu((c[q>>2]|0)+r|0,u,e,f,g,0,0)|0;x=c[e>>2]|0;Nu(a,b,50208,c[f>>2]|0,c[g>>2]|0,x,1);jU(x);c[e>>2]=0;Vu((c[q>>2]|0)+r|0,u,e,f,g,0,1)|0;x=c[e>>2]|0;Nu(a,b,42704,c[f>>2]|0,c[g>>2]|0,x,1);jU(x);c[e>>2]=0;Wu(a,b,j,f,g,c[q>>2]|0,r);Nu(a,b,37808,c[g>>2]|0,c[f>>2]|0,c[j>>2]|0,4);r=p;uM(n,r);q=n;c[t>>2]=c[q>>2];c[t+4>>2]=c[q+4>>2];c[t+8>>2]=c[q+8>>2];c[t+12>>2]=c[q+12>>2];Mu(b,k,f,g,+h[l>>3],+h[m>>3]);m=c[k>>2]|0;Nu(a,b,895944,c[g>>2]|0,c[f>>2]|0,m,8);uM(o,r);f=o;c[v>>2]=c[f>>2];c[v+4>>2]=c[f+4>>2];c[v+8>>2]=c[f+8>>2];c[v+12>>2]=c[f+12>>2];f=Yu(p+240|0)|0;v=Yu(p+264|0)|0;o=Yu(p+288|0)|0;Xu(a,b,33544,f+1+v+o+(c[p+312>>2]|0)+(c[s>>2]|0)|0,0,8);jU(m);jU(c[j>>2]|0);c[k>>2]=0;c[j>>2]=0;$L(r)|0;jU(u);Kr(3);i=d;return}function Qu(a){a=a|0;Zx(a);return}function Ru(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=(b|0)==0?1:2;c[g>>2]=0;b=e+116|0;l=c[b>>2]|0;if((l|0)>0){m=e+8|0;n=d+240|0;o=0;p=k;q=l;while(1){if((a[(c[m>>2]|0)+(o*112|0)+104|0]|0)==0){c[(bx(n,g)|0)>>2]=p;r=p+1|0;s=c[g>>2]|0;t=c[b>>2]|0}else{r=p;s=o;t=q}l=s+1|0;c[g>>2]=l;if((l|0)<(t|0)){o=l;p=r;q=t}else{u=r;break}}}else{u=k}c[h>>2]=0;k=e+124|0;r=c[k>>2]|0;if((r|0)>0){t=e+12|0;q=d+264|0;p=0;o=u;g=r;while(1){if((a[(c[t>>2]|0)+(p*60|0)+56|0]|0)==0){c[(bx(q,h)|0)>>2]=o;v=o+1|0;w=c[h>>2]|0;x=c[k>>2]|0}else{v=o;w=p;x=g}r=w+1|0;c[h>>2]=r;if((r|0)<(x|0)){p=r;o=v;g=x}else{y=v;break}}}else{y=u}c[j>>2]=0;u=e+128|0;v=c[u>>2]|0;if((v|0)>0){x=e+16|0;g=d+288|0;o=0;p=y;h=v;while(1){if((a[(c[x>>2]|0)+(o*48|0)+44|0]|0)==0){c[(bx(g,j)|0)>>2]=p;z=p+1|0;A=c[j>>2]|0;B=c[u>>2]|0}else{z=p;A=o;B=h}v=A+1|0;c[j>>2]=v;if((v|0)<(B|0)){o=v;p=z;h=B}else{C=z;break}}}else{C=y}y=c[e+216>>2]|0;if((y|0)>0){z=c[e+40>>2]|0;B=C;h=0;while(1){p=((a[z+(h*52|0)+48|0]|0)==0)+B|0;o=h+1|0;if((o|0)<(y|0)){B=p;h=o}else{D=p;break}}}else{D=C}C=c[e+220>>2]|0;if((C|0)>0){h=c[e+44>>2]|0;B=D;y=0;while(1){z=((a[h+(y*52|0)+48|0]|0)==0)+B|0;p=y+1|0;if((p|0)<(C|0)){B=z;y=p}else{E=z;break}}}else{E=D}D=d+312|0;c[D>>2]=0;d=c[e+224>>2]|0;if((d|0)<=0){F=E;i=f;return F|0}y=c[e+48>>2]|0;e=E;E=0;B=0;while(1){if((a[y+(E*52|0)+48|0]|0)==0){if((c[y+(E*52|0)>>2]|0)==0){G=B}else{C=B+1|0;c[D>>2]=C;G=C}H=e+1|0;I=G}else{H=e;I=B}C=E+1|0;if((C|0)<(d|0)){e=H;E=C;B=I}else{F=H;break}}i=f;return F|0}function Su(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=c[b+12>>2]|0;l=iU(e<<2)|0;e=l;c[e>>2]=1648;if((c[b+8>>2]|0)==0){m=1}else{c[l+4>>2]=18232;m=2}l=c[d+116>>2]|0;if((l|0)>0){b=c[d+8>>2]|0;n=m;o=0;while(1){if((a[b+(o*112|0)+104|0]|0)==0){c[e+(n<<2)>>2]=b+(o*112|0);p=n+1|0}else{p=n}q=o+1|0;if((q|0)<(l|0)){n=p;o=q}else{r=p;break}}}else{r=m}m=c[d+124>>2]|0;if((m|0)>0){p=c[d+12>>2]|0;o=r;n=0;while(1){if((a[p+(n*60|0)+56|0]|0)==0){c[e+(o<<2)>>2]=p+(n*60|0);s=o+1|0}else{s=o}l=n+1|0;if((l|0)<(m|0)){o=s;n=l}else{t=s;break}}}else{t=r}r=c[d+128>>2]|0;if((r|0)>0){s=c[d+16>>2]|0;n=t;o=0;while(1){if((a[s+(o*48|0)+44|0]|0)==0){c[e+(n<<2)>>2]=s+(o*48|0);u=n+1|0}else{u=n}m=o+1|0;if((m|0)<(r|0)){n=u;o=m}else{v=u;break}}}else{v=t}t=c[d+216>>2]|0;if((t|0)>0){u=c[d+40>>2]|0;o=v;n=0;while(1){if((a[u+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=u+(n*52|0)+12;w=o+1|0}else{w=o}r=n+1|0;if((r|0)<(t|0)){o=w;n=r}else{x=w;break}}}else{x=v}v=c[d+220>>2]|0;if((v|0)>0){w=c[d+44>>2]|0;n=x;o=0;while(1){if((a[w+(o*52|0)+48|0]|0)==0){c[e+(n<<2)>>2]=w+(o*52|0)+12;y=n+1|0}else{y=n}t=o+1|0;if((t|0)<(v|0)){n=y;o=t}else{z=y;break}}}else{z=x}x=c[d+224>>2]|0;if((x|0)>0){y=c[d+48>>2]|0;o=z;n=0;while(1){if((a[y+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=y+(n*52|0)+12;A=o+1|0}else{A=o}v=n+1|0;if((v|0)<(x|0)){o=A;n=v}else{B=A;break}}}else{B=z}c[g>>2]=0;z=d+136|0;if((c[z>>2]|0)>0){A=d+24|0;n=k+252|0;o=0;x=B;y=1;while(1){v=x+1|0;c[e+(x<<2)>>2]=(c[A>>2]|0)+(o*112|0);c[(bx(n,g)|0)>>2]=y;w=y+1|0;t=(c[g>>2]|0)+1|0;c[g>>2]=t;if((t|0)<(c[z>>2]|0)){o=t;x=v;y=w}else{C=v;D=w;break}}}else{C=B;D=1}c[h>>2]=0;B=d+140|0;if((c[B>>2]|0)>0){y=d+28|0;x=k+276|0;o=0;z=C;g=D;while(1){n=z+1|0;c[e+(z<<2)>>2]=(c[y>>2]|0)+(o*60|0);c[(bx(x,h)|0)>>2]=g;A=g+1|0;w=(c[h>>2]|0)+1|0;c[h>>2]=w;if((w|0)<(c[B>>2]|0)){o=w;z=n;g=A}else{E=n;F=A;break}}}else{E=C;F=D}c[j>>2]=0;D=d+144|0;if((c[D>>2]|0)<=0){i=f;return e|0}C=d+32|0;d=k+300|0;k=0;g=E;E=F;while(1){c[e+(g<<2)>>2]=(c[C>>2]|0)+(k*48|0);c[(bx(d,j)|0)>>2]=E;F=(c[j>>2]|0)+1|0;c[j>>2]=F;if((F|0)<(c[D>>2]|0)){k=F;g=g+1|0;E=E+1|0}else{break}}i=f;return e|0}function Tu(a,b,c){a=a|0;b=b|0;c=c|0;Ov(a,b,c);return}function Uu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(Nv(a+4|0,b,d|16)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){TK(d,4);return}else{RK(d,0);return}}function Vu(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;c[f>>2]=a;c[e>>2]=0;k=(a|0)>0;do{if(k){l=0;m=0;while(1){n=c[b+(l<<2)>>2]|0;o=KU(c[(h?n+8|0:n+4|0)>>2]|0)|0;if((o|0)>(m|0)){c[e>>2]=o;p=o}else{p=m}o=l+1|0;if((o|0)<(a|0)){l=o;m=p}else{break}}m=kU((ga(c[f>>2]|0,p)|0)+1|0,1)|0;c[d>>2]=m;Gq(0,(m|0)!=0|0,23520,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;if(!k){break}m=0;l=c[d>>2]|0;o=c[e>>2]|0;while(1){n=b+(m<<2)|0;r=c[n>>2]|0;LU(l|0,c[(h?r+8|0:r+4|0)>>2]|0,o+1|0)|0;if(g){r=c[n>>2]|0;av(l,KU(c[(h?r+8|0:r+4|0)>>2]|0)|0)}r=c[e>>2]|0;n=m+1|0;if((n|0)<(a|0)){m=n;l=l+r|0;o=r}else{s=r;break}}t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}else{o=kU(1,1)|0;c[d>>2]=o;Gq(0,(o|0)!=0|0,23520,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}}while(0);s=c[e>>2]|0;t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}function Wu(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;k=i;i=i+56|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=k+32|0;q=k+40|0;r=k+48|0;s=c[b+12>>2]|0;c[f>>2]=j+h;c[g>>2]=4;g=kU(c[f>>2]<<2,4)|0;c[e>>2]=g;Gq(c[d+536>>2]|0,(g|0)!=0|0,901232,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=s+240|0;f=Yu(g)|0;h=s+264|0;t=Yu(h)|0;u=s+288|0;v=Yu(u)|0;w=b+8|0;if((f+1+t+v|0)==(-(c[w>>2]|0)|0)){x=0;y=1}else{v=c[e>>2]|0;t=0;f=1;b=0;while(1){c[v+(t<<2)>>2]=2;c[v+((t|1)<<2)>>2]=f;c[v+((t|2)<<2)>>2]=0;z=t+4|0;c[v+((t|3)<<2)>>2]=-1;A=f+1|0;B=b+1|0;C=Yu(g)|0;D=Yu(h)|0;E=Yu(u)|0;if(B>>>0<(C+1+D+E+(c[w>>2]|0)|0)>>>0){t=z;f=A;b=B}else{x=z;y=A;break}}}b=d+216|0;if((c[b>>2]|0)>0){f=d+40|0;t=s+252|0;w=x;v=0;while(1){A=c[f>>2]|0;do{if((a[A+(v*52|0)+48|0]|0)==0){z=a[A+(v*52|0)+8|0]|0;if((z<<24>>24|0)==1){bv(l,t,A+(v*52|0)+4|0);dv(n,t);if(!(cv(l,n)|0)){F=w;break}G=1;H=(c[(ev(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==0){bv(l,g,A+(v*52|0)+4|0);dv(m,g);if(!(cv(l,m)|0)){F=w;break}G=2;H=(c[(ev(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==2){G=2;H=1}else{F=w;break}z=c[e>>2]|0;c[z+(w<<2)>>2]=G;if((c[(c[f>>2]|0)+(v*52|0)>>2]|0)==0){c[z+(w+1<<2)>>2]=H}else{c[z+(w+1<<2)>>2]=-H}c[z+(w+2<<2)>>2]=0;c[z+(w+3<<2)>>2]=-1;F=w+4|0}else{F=w}}while(0);A=v+1|0;if((A|0)<(c[b>>2]|0)){w=F;v=A}else{I=F;break}}}else{I=x}x=d+220|0;if((c[x>>2]|0)>0){F=d+44|0;v=s+276|0;w=I;b=0;while(1){H=c[F>>2]|0;do{if((a[H+(b*52|0)+48|0]|0)==0){f=a[H+(b*52|0)+8|0]|0;if((f<<24>>24|0)==1){bv(l,v,H+(b*52|0)+4|0);dv(p,v);J=(cv(l,p)|0)&1}else if((f<<24>>24|0)==0){bv(l,h,H+(b*52|0)+4|0);dv(o,h);f=cv(l,o)|0;J=f?2:0}else{K=w;break}if((J|0)==0){K=w;break}f=c[e>>2]|0;c[f+(w<<2)>>2]=J;G=(c[(c[F>>2]|0)+(b*52|0)>>2]|0)==0;m=c[(ev(l)|0)+4>>2]|0;if(G){c[f+(w+1<<2)>>2]=m+1}else{c[f+(w+1<<2)>>2]=~m}c[f+(w+2<<2)>>2]=0;c[f+(w+3<<2)>>2]=-1;K=w+4|0}else{K=w}}while(0);H=b+1|0;if((H|0)<(c[x>>2]|0)){w=K;b=H}else{L=K;break}}}else{L=I}I=d+224|0;if((c[I>>2]|0)>0){K=d+48|0;d=s+300|0;s=L;b=y;y=0;while(1){w=c[K>>2]|0;do{if((a[w+(y*52|0)+48|0]|0)==0){if((c[w+(y*52|0)>>2]|0)==0){x=a[w+(y*52|0)+8|0]|0;if((x<<24>>24|0)==1){bv(l,d,w+(y*52|0)+4|0);dv(r,d);M=(cv(l,r)|0)&1}else if((x<<24>>24|0)==0){bv(l,u,w+(y*52|0)+4|0);dv(q,u);x=cv(l,q)|0;M=x?2:0}else{N=b;O=s;break}if((M|0)==0){N=b;O=s;break}P=M;Q=c[K>>2]|0}else{P=2;Q=w}x=c[e>>2]|0;c[x+(s<<2)>>2]=P;if((c[Q+(y*52|0)>>2]|0)==0){c[x+(s+1<<2)>>2]=(c[(ev(l)|0)+4>>2]|0)+1;R=b}else{c[x+(s+1<<2)>>2]=b;R=b+1|0}c[x+(s+2<<2)>>2]=0;c[x+(s+3<<2)>>2]=-1;N=R;O=s+4|0}else{N=b;O=s}}while(0);w=y+1|0;if((w|0)<(c[I>>2]|0)){s=O;b=N;y=w}else{S=O;break}}}else{S=L}if((j|0)==0){i=k;return}L=c[e>>2]|0;e=0;do{O=(e<<2)+S|0;c[L+(O<<2)>>2]=1;c[L+(O+1<<2)>>2]=e+2;c[L+(O+2<<2)>>2]=0;c[L+(O+3<<2)>>2]=0;e=e+1|0;}while(e>>>0<j>>>0);i=k;return}function Xu(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;i=i+24|0;j=h|0;k=c[a+12>>2]|0;c[j>>2]=(g|0)==4?20:(g|0)==1?51:0;c[j+4>>2]=e;c[j+8>>2]=f;c[j+12>>2]=0;f=j+16|0;c[f>>2]=(KU(d|0)|0)+1;e=k;tM(e,j,20)|0;j=k;if(QK(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Hq(c[b+536>>2]|0,903968,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}tM(e,d,c[f>>2]|0)|0;if(QK(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Hq(c[b+536>>2]|0,903968,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}else{i=h;return}}function Yu(a){a=a|0;return c[(Kv(a|0)|0)>>2]|0}function Zu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;f=a+12|0;g=c[f>>2]|0;h=g;Hr(3);do{if(PK(g+(c[(c[g>>2]|0)-12>>2]|0)|0)|0){j=g+200|0;k=e;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];vM(g,e)|0;j=Yu(g+240|0)|0;k=Yu(g+264|0)|0;l=Yu(g+288|0)|0;Xu(a,b,33544,j+1+k+l+(c[g+312>>2]|0)+(c[a+8>>2]|0)|0,c[g+216>>2]|0,8);Ou(g)}else{if((g|0)!=0){break}c[f>>2]=0;Kr(3);i=d;return}}while(0);_u(h);qU(g);c[f>>2]=0;Kr(3);i=d;return}function _u(a){a=a|0;gw(a);return}function $u(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+16|0;f=e|0;g=e+8|0;j=c[b+12>>2]|0;h[f>>3]=0.0;Hr(3);Kr(0);h[g>>3]=+Cr(0);Hr(0);k=j;l=d+4|0;tM(k,c[c[l>>2]>>2]|0,8)|0;if((c[b+8>>2]|0)!=0){tM(k,g,8)|0}g=d+116|0;m=c[g>>2]|0;if((m|0)>0){n=d+8|0;o=0;p=m;while(1){if((a[(c[n>>2]|0)+(o*112|0)+104|0]|0)==0){tM(k,(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)|0,8)|0;q=c[g>>2]|0}else{q=p}m=o+1|0;if((m|0)<(q|0)){o=m;p=q}else{break}}}q=d+124|0;p=c[q>>2]|0;if((p|0)>0){o=d+12|0;g=f;n=0;m=p;while(1){if((a[(c[o>>2]|0)+(n*60|0)+56|0]|0)==0){h[f>>3]=+(c[(c[(c[c[l>>2]>>2]|0)+12>>2]|0)+(n<<2)>>2]|0);tM(k,g,8)|0;r=c[q>>2]|0}else{r=m}p=n+1|0;if((p|0)<(r|0)){n=p;m=r}else{break}}}r=d+128|0;m=c[r>>2]|0;if((m|0)>0){n=d+16|0;q=f;g=0;o=m;while(1){if((a[(c[n>>2]|0)+(g*48|0)+44|0]|0)==0){h[f>>3]=+(a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+g|0]|0);tM(k,q,8)|0;s=c[r>>2]|0}else{s=o}m=g+1|0;if((m|0)<(s|0)){g=m;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){g=d+48|0;r=f;q=0;n=o;while(1){o=c[g>>2]|0;do{if((a[o+(q*52|0)+48|0]|0)==0){if((c[o+(q*52|0)>>2]|0)==0){t=n;break}h[f>>3]=+((a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+(c[o+(q*52|0)+4>>2]|0)|0]|0)!=1|0);tM(k,r,8)|0;t=c[s>>2]|0}else{t=n}}while(0);o=q+1|0;if((o|0)<(t|0)){q=o;n=t}else{break}}}if(QK(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Hq(c[d+536>>2]|0,26128,(d=i,i=i+8|0,c[d>>2]=c[b>>2],d)|0);i=d}else{d=j+216|0;c[d>>2]=(c[d>>2]|0)+1;Kr(3);i=e;return}}function av(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(c>>>0<6>>>0){return}if((JU(b,55616,4)|0)!=0){return}c=b;while(1){d=Sb(b|0,46)|0;if((d|0)==0){e=8;break}f=d-c|0;d=f+1|0;if(d>>>0>4>>>0){g=4;do{a[b+(g-4)|0]=a[b+g|0]|0;g=g+1|0;}while(g>>>0<d>>>0)}d=b+(f-3)|0;C=678585700;a[d]=C;C=C>>8;a[d+1|0]=C;C=C>>8;a[d+2|0]=C;C=C>>8;a[d+3|0]=C;if((JU(b,55616,4)|0)!=0){e=8;break}}if((e|0)==8){return}}function bv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;wv(e,b|0,c);mv(a,e);i=d;return}function cv(a,b){a=a|0;b=b|0;return kv(a|0,b|0)|0}function dv(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;nv(d,b|0);mv(a,d);i=c;return}function ev(a){a=a|0;return fv(gv(a|0)|0)|0}function fv(a){a=a|0;return jv(a)|0}function gv(a){a=a|0;return hv((c[a>>2]|0)+16|0)|0}function hv(a){a=a|0;return iv(a)|0}function iv(a){a=a|0;return a|0}function jv(a){a=a|0;return a|0}function kv(a,b){a=a|0;b=b|0;return(lv(a,b)|0)^1|0}function lv(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function mv(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];vv(a,b);i=d;return}function nv(a,b){a=a|0;b=b|0;ov(a,pv(b)|0);return}function ov(a,b){a=a|0;b=b|0;uv(a,b);return}function pv(a){a=a|0;return qv(rv(a+4|0)|0)|0}function qv(a){a=a|0;return tv(a)|0}function rv(a){a=a|0;return sv(a|0)|0}function sv(a){a=a|0;return a|0}function tv(a){a=a|0;return a|0}function uv(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function vv(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function wv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=yv(b)|0;xv(f,b,d,h,pv(b)|0);nv(g,b);do{if(kv(f,g)|0){h=zv(b)|0;if(Av(h,d,Bv(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);nv(a,b);i=e;return}function xv(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;Fv(h);a:do{if((e|0)==0){j=f}else{k=zv(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(Gv(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;Fv(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;Fv(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);ov(a,j);i=g;return}function yv(a){a=a|0;return c[(pv(a)|0)>>2]|0}function zv(a){a=a|0;return Dv(a+8|0)|0}function Av(a,b,c){a=a|0;b=b|0;c=c|0;return Cv(0,b,c|0)|0}function Bv(a){a=a|0;return(c[a>>2]|0)+16|0}function Cv(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function Dv(a){a=a|0;return Ev(a|0)|0}function Ev(a){a=a|0;return a|0}function Fv(a){a=a|0;Hv(a,-1);return}function Gv(a,b,c){a=a|0;b=b|0;c=c|0;return Cv(0,b|0,c)|0}function Hv(a,b){a=a|0;b=b|0;Iv(a,0);return}function Iv(a,b){a=a|0;b=b|0;c[a>>2]=0;return}function Jv(a){a=a|0;return c[a+4>>2]|0}function Kv(a){a=a|0;return Lv(a+8|0)|0}function Lv(a){a=a|0;return Mv(a|0)|0}function Mv(a){a=a|0;return a|0}function Nv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+64|0;a:do{if((c[e>>2]|0)==0){switch(d&-3|0){case 8:{f=894592;break};case 17:case 1:{f=895688;break};case 12:{f=889712;break};case 60:{f=708152;break};case 21:case 5:{f=890488;break};case 29:case 13:{f=56512;break};case 20:case 52:{f=891296;break};case 25:case 9:{f=891960;break};case 16:case 48:{f=897112;break};case 56:{f=892712;break};case 28:{f=888504;break};case 24:{f=893680;break};default:{g=0;break a}}if((a|0)==0){g=0;break}h=xc(b|0,f|0)|0;c[e>>2]=h;if((h|0)==0){g=0;break}c[a+88>>2]=d;if((d&2|0)==0){g=a;break}if((sd(h|0,0,2)|0)==0){g=a;break}Oa(c[e>>2]|0)|0;c[e>>2]=0;g=0}else{g=0}}while(0);return g|0}function Ov(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e>>2]=0;c[e+4>>2]=0;e=a+8|0;c[e>>2]=b;c[e+4>>2]=d;return}function Pv(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+64|0;f=c[e>>2]|0;if((f|0)==0){g=0;i=b;return g|0}Qv(d,f,206);f=Td[c[(c[a>>2]|0)+24>>2]&255](a)|0;if((Oa(Rv(d)|0)|0)==0){c[e>>2]=0;h=(f|0)==0?a:0}else{h=0}Sv(d);g=h;i=b;return g|0}function Qv(a,b,c){a=a|0;b=b|0;c=c|0;Zv(a,b,c);return}function Rv(a){a=a|0;var b=0;b=Vv(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Sv(a){a=a|0;Tv(a);return}function Tv(a){a=a|0;Uv(a,0);return}function Uv(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Vv(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Td[c[(Wv(d)|0)>>2]&255](e)|0;return}function Vv(a){a=a|0;return Yv(a|0)|0}function Wv(a){a=a|0;return Xv(a|0)|0}function Xv(a){a=a|0;return a+4|0}function Yv(a){a=a|0;return a|0}function Zv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[($v(f)|0)>>2]|0;_v(a|0,d,c[(aw(g)|0)>>2]|0);i=e;return}function _v(a,b,c){a=a|0;b=b|0;c=c|0;bw(a,b,c);return}function $v(a){a=a|0;return a|0}function aw(a){a=a|0;return a|0}function bw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(dw(f)|0)>>2]|0;cw(a|0,d,c[(ew(g)|0)>>2]|0);i=e;return}function cw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;c[a>>2]=c[(dw(f)|0)>>2];c[a+4>>2]=c[(ew(g)|0)>>2];i=e;return}function dw(a){a=a|0;return a|0}function ew(a){a=a|0;return a|0}function fw(a){a=a|0;var b=0;b=a+8|0;return(K=c[b+4>>2]|0,c[b>>2]|0)|0}function gw(a){a=a|0;hw(a+300|0);hw(a+288|0);hw(a+276|0);hw(a+264|0);hw(a+252|0);hw(a+240|0);iw(a|0);return}function hw(a){a=a|0;Uw(a);return}function iw(a){a=a|0;jw(a,908384);XK(a+104|0);return}function jw(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];nw(a+4|0);return}function kw(a){a=a|0;iw(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function lw(a){a=a|0;iw(a);qU(a);return}function mw(a){a=a|0;lw(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function nw(a){a=a|0;ow(a);return}function ow(b){b=b|0;var d=0;c[b>>2]=907680;Pv(b)|0;do{if((a[b+96|0]|0)!=0){d=c[b+32>>2]|0;if((d|0)==0){break}rU(d)}}while(0);do{if((a[b+97|0]|0)!=0){d=c[b+56>>2]|0;if((d|0)==0){break}rU(d)}}while(0);eL(b|0);return}function pw(a){a=a|0;nw(a);qU(a);return}function qw(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;Td[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=Sw(d)|0;c[b+68>>2]=e;d=b+98|0;f=a[d]|0;g=Tw(e)|0;a[d]=g&1;if((f&255|0)==(g&1|0)){return}g=b|0;oL(g,0,0,0);tL(g,0,0);g=b+96|0;f=(a[g]|0)!=0;if((a[d]|0)!=0){d=b+32|0;do{if(f){e=c[d>>2]|0;if((e|0)==0){break}rU(e)}}while(0);e=b+97|0;a[g]=a[e]|0;h=b+60|0;c[b+52>>2]=c[h>>2];i=b+56|0;c[d>>2]=c[i>>2];c[h>>2]=0;c[i>>2]=0;a[e]=0;return}do{if(!f){e=b+32|0;i=c[e>>2]|0;if((i|0)==(b+44|0)){break}h=c[b+52>>2]|0;c[b+60>>2]=h;c[b+56>>2]=i;a[b+97|0]=0;c[e>>2]=pU(h)|0;a[g]=1;return}}while(0);g=c[b+52>>2]|0;c[b+60>>2]=g;c[b+56>>2]=pU(g)|0;a[b+97|0]=1;return}function rw(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+16|0;g=f|0;h=f+8|0;c[g>>2]=e;e=b|0;oL(e,0,0,0);tL(e,0,0);j=b+96|0;do{if((a[j]|0)!=0){k=c[b+32>>2]|0;if((k|0)==0){break}rU(k)}}while(0);k=b+97|0;do{if((a[k]|0)!=0){l=c[b+56>>2]|0;if((l|0)==0){break}rU(l)}}while(0);l=c[g>>2]|0;m=b+52|0;c[m>>2]=l;do{if(l>>>0>8>>>0){n=a[b+98|0]|0;if(n<<24>>24==0|(d|0)==0){c[b+32>>2]=pU(l)|0;a[j]=1;o=n;break}else{c[b+32>>2]=d;a[j]=0;o=n;break}}else{c[b+32>>2]=b+44;c[m>>2]=8;a[j]=0;o=a[b+98|0]|0}}while(0);if(!(o<<24>>24==0)){c[b+60>>2]=0;c[b+56>>2]=0;a[k]=0;i=f;return e|0}c[h>>2]=8;o=c[(Pw(g,h)|0)>>2]|0;c[b+60>>2]=o;if((d|0)!=0&o>>>0>7>>>0){c[b+56>>2]=d;a[k]=0;i=f;return e|0}else{c[b+56>>2]=pU(o)|0;a[k]=1;i=f;return e|0}return 0}function sw(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;i=i+24|0;h=g|0;j=g+16|0;k=j;l=c[b+68>>2]|0;if((l|0)==0){m=xd(4)|0;PT(m);tc(m|0,911744,178)}m=Lw(l)|0;l=b+64|0;do{if((c[l>>2]|0)!=0){n=(m|0)>0;if(!(n|(d|0)==0&(e|0)==0)){break}if((Td[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}if(!(f>>>0<3>>>0)){Tu(a,-1,-1);i=g;return}o=c[l>>2]|0;if(n){n=cV(m,(m|0)<0|0?-1:0,d,e)|0;p=n}else{p=0}if((sd(o|0,p|0,f|0)|0)==0){o=Mb(c[l>>2]|0)|0;Tu(h,o,(o|0)<0|0?-1:0);o=b+72|0;n=c[o+4>>2]|0;c[j>>2]=c[o>>2];c[j+4>>2]=n;Ow(h,k);n=a;o=h;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];c[n+12>>2]=c[o+12>>2];i=g;return}else{Tu(a,-1,-1);i=g;return}}}while(0);Tu(a,-1,-1);i=g;return}function tw(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;e=i;i=i+8|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=f;h=b+64|0;do{if((c[h>>2]|0)!=0){if((Td[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}j=c[h>>2]|0;k=fw(d)|0;if((sd(j|0,k|0,0)|0)==0){Nw(g,d);k=b+72|0;j=c[f+4>>2]|0;c[k>>2]=c[f>>2];c[k+4>>2]=j;j=a;k=d;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[j+12>>2]=c[k+12>>2];i=e;return}else{Tu(a,-1,-1);i=e;return}}}while(0);Tu(a,-1,-1);i=e;return}function uw(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=f;h=b+64|0;if((c[h>>2]|0)==0){j=0;i=d;return j|0}k=b+68|0;l=c[k>>2]|0;if((l|0)==0){m=xd(4)|0;PT(m);tc(m|0,911744,178);return 0}m=b+92|0;n=c[m>>2]|0;do{if((n&16|0)==0){if((n&8|0)==0){break}o=b+80|0;p=c[o+4>>2]|0;c[f>>2]=c[o>>2];c[f+4>>2]=p;do{if((a[b+98|0]|0)==0){p=Lw(l)|0;o=b+36|0;q=c[o>>2]|0;r=(c[b+40>>2]|0)-q|0;s=b|0;if((p|0)>0){t=mL(s)|0;u=(ga(t-(lL(s)|0)|0,p)|0)+r|0;v=0;break}p=lL(s)|0;if((p|0)==(mL(s)|0)){u=r;v=0;break}t=c[k>>2]|0;w=b+32|0;x=c[w>>2]|0;y=Mw(t,g,x,q,p-(kL(s)|0)|0)|0;u=r-y+(c[o>>2]|0)-(c[w>>2]|0)|0;v=1}else{w=b|0;o=mL(w)|0;u=o-(lL(w)|0)|0;v=0}}while(0);if((sd(c[h>>2]|0,-u|0,1)|0)!=0){j=-1;i=d;return j|0}if(v){w=b+72|0;o=c[f+4>>2]|0;c[w>>2]=c[f>>2];c[w+4>>2]=o}o=c[b+32>>2]|0;c[b+40>>2]=o;c[b+36>>2]=o;oL(b|0,0,0,0);c[m>>2]=0}else{o=b|0;w=qL(o)|0;do{if((w|0)!=(pL(o)|0)){if((ce[c[(c[b>>2]|0)+52>>2]&127](b,-1)|0)==-1){j=-1}else{break}i=d;return j|0}}while(0);o=b+72|0;w=b+32|0;y=b+52|0;while(1){r=c[w>>2]|0;s=Kw(c[k>>2]|0,o,r,r+(c[y>>2]|0)|0,e)|0;r=c[w>>2]|0;p=(c[e>>2]|0)-r|0;if((Xa(r|0,1,p|0,c[h>>2]|0)|0)!=(p|0)){j=-1;z=23;break}if((s|0)==2){j=-1;z=23;break}else if((s|0)!=1){z=10;break}}if((z|0)==10){if((Sa(c[h>>2]|0)|0)==0){break}else{j=-1}i=d;return j|0}else if((z|0)==23){i=d;return j|0}}}while(0);j=0;i=d;return j|0}function vw(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+48|0;e=d|0;f=d+8|0;g=d+16|0;h=d+24|0;j=d+32|0;k=d+40|0;l=b+64|0;if((c[l>>2]|0)==0){m=-1;i=d;return m|0}n=Fw(b)|0;o=b|0;if((lL(o)|0)==0){p=e+1|0;oL(o,e,p,p)}if(n){q=0}else{n=mL(o)|0;c[f>>2]=(n-(kL(o)|0)|0)/2|0;c[g>>2]=4;q=c[(Gw(f,g)|0)>>2]|0}g=lL(o)|0;do{if((g|0)==(mL(o)|0)){QU(kL(o)|0,g+(-q|0)|0,q|0)|0;if((a[b+98|0]|0)!=0){f=mL(o)|0;n=kL(o)|0;p=gd(n+q|0,1,f-q-n|0,c[l>>2]|0)|0;if((p|0)==0){r=-1;break}n=kL(o)|0;oL(o,n,n+q|0,n+(p+q)|0);r=Dw(a[lL(o)|0]|0)|0;break}p=b+32|0;n=b+36|0;f=c[n>>2]|0;s=b+40|0;QU(c[p>>2]|0,f|0,(c[s>>2]|0)-f|0)|0;f=c[p>>2]|0;t=f+((c[s>>2]|0)-(c[n>>2]|0))|0;c[n>>2]=t;if((f|0)==(b+44|0)){u=8}else{u=c[b+52>>2]|0}v=f+u|0;c[s>>2]=v;f=b+60|0;c[h>>2]=(c[f>>2]|0)-q;c[j>>2]=v-t;v=c[(Gw(h,j)|0)>>2]|0;w=b+72|0;x=w;y=b+80|0;z=c[x+4>>2]|0;c[y>>2]=c[x>>2];c[y+4>>2]=z;z=gd(t|0,1,v|0,c[l>>2]|0)|0;if((z|0)==0){r=-1;break}v=c[b+68>>2]|0;if((v|0)==0){t=xd(4)|0;PT(t);tc(t|0,911744,178);return 0}t=(c[n>>2]|0)+z|0;c[s>>2]=t;z=c[p>>2]|0;y=kL(o)|0;if((Hw(v,w,z,t,n,y+q|0,y+(c[f>>2]|0)|0,k)|0)==3){f=c[p>>2]|0;oL(o,f,f,c[s>>2]|0);r=Dw(a[lL(o)|0]|0)|0;break}s=c[k>>2]|0;f=kL(o)|0;p=f+q|0;if((s|0)==(p|0)){r=-1;break}oL(o,f,p,s);r=Dw(a[lL(o)|0]|0)|0}else{r=Dw(a[g]|0)|0}}while(0);if((kL(o)|0)!=(e|0)){m=r;i=d;return m|0}oL(o,0,0,0);m=r;i=d;return m|0}function ww(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((c[b+64>>2]|0)==0){e=-1;return e|0}f=b|0;g=kL(f)|0;h=lL(f)|0;if(!(g>>>0<h>>>0)){e=-1;return e|0}if(zw(d,-1)|0){nL(f,-1);e=Cw(d)|0;return e|0}g=(c[b+88>>2]&16|0)==0;b=Aw(d)|0;do{if(g){if(Ew(b,a[h-1|0]|0)|0){break}else{e=-1}return e|0}}while(0);nL(f,-1);a[lL(f)|0]=b;e=d;return e|0}function xw(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+24|0;f=e|0;g=e+8|0;h=e+16|0;j=b+64|0;if((c[j>>2]|0)==0){k=-1;i=e;return k|0}yw(b);l=b|0;m=pL(l)|0;n=rL(l)|0;if(!(zw(d,-1)|0)){if((qL(l)|0)==0){tL(l,f,f+1|0)}f=Aw(d)|0;a[qL(l)|0]=f;sL(l,1)}f=qL(l)|0;o=pL(l)|0;if((f|0)!=(o|0)){a:do{if((a[b+98|0]|0)==0){p=b+32|0;q=c[p>>2]|0;c[g>>2]=q;r=b+68|0;s=c[r>>2]|0;if((s|0)==0){t=xd(4)|0;u=t;PT(u);tc(t|0,911744,178);return 0}v=b+72|0;w=b+52|0;x=s;s=q;while(1){q=pL(l)|0;y=qL(l)|0;z=Bw(x,v,q,y,h,s,s+(c[w>>2]|0)|0,g)|0;y=c[h>>2]|0;A=pL(l)|0;if((y|0)==(A|0)){k=-1;B=22;break}if((z|0)==3){B=14;break}if(!(z>>>0<2>>>0)){k=-1;B=22;break}y=c[p>>2]|0;q=(c[g>>2]|0)-y|0;if((Xa(y|0,1,q|0,c[j>>2]|0)|0)!=(q|0)){k=-1;B=22;break}if((z|0)!=1){break a}z=c[h>>2]|0;tL(l,z,qL(l)|0);z=rL(l)|0;sL(l,z-(pL(l)|0)|0);z=c[r>>2]|0;if((z|0)==0){B=11;break}x=z;s=c[p>>2]|0}if((B|0)==11){t=xd(4)|0;u=t;PT(u);tc(t|0,911744,178);return 0}else if((B|0)==14){p=(qL(l)|0)-A|0;if((Xa(A|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}else if((B|0)==22){i=e;return k|0}}else{p=f-o|0;if((Xa(o|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}}while(0);tL(l,m,n)}k=Cw(d)|0;i=e;return k|0}function yw(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+92|0;if((c[d>>2]&16|0)!=0){return}e=b|0;oL(e,0,0,0);f=c[b+52>>2]|0;do{if(f>>>0>8>>>0){if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;tL(e,g,g+((c[b+60>>2]|0)-1)|0);break}else{g=c[b+32>>2]|0;tL(e,g,g+(f-1)|0);break}}else{tL(e,0,0)}}while(0);c[d>>2]=16;return}function zw(a,b){a=a|0;b=b|0;return(a|0)==(b|0)|0}function Aw(a){a=a|0;return a&255|0}function Bw(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ie[c[(c[a>>2]|0)+12>>2]&31](a,b,d,e,f,g,h,i)|0}function Cw(a){a=a|0;var b=0;b=zw(a,-1)|0;return(b?0:a)|0}function Dw(a){a=a|0;return a&255|0}function Ew(a,b){a=a|0;b=b|0;return a<<24>>24==b<<24>>24|0}function Fw(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+92|0;if((c[d>>2]&8|0)!=0){e=0;return e|0}f=b|0;tL(f,0,0);if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;h=g+(c[b+60>>2]|0)|0;oL(f,g,h,h)}else{h=c[b+32>>2]|0;g=h+(c[b+52>>2]|0)|0;oL(f,h,g,g)}c[d>>2]=8;e=1;return e|0}function Gw(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=Iw(a,b,c|0)|0;i=c;return d|0}function Hw(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ie[c[(c[a>>2]|0)+16>>2]&31](a,b,d,e,f,g,h,i)|0}function Iw(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=Jw(0,c,b)|0;i=e;return(f?c:b)|0}function Jw(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function Kw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return Ud[c[(c[a>>2]|0)+20>>2]&127](a,b,d,e,f)|0}function Lw(a){a=a|0;return Td[c[(c[a>>2]|0)+24>>2]&255](a)|0}function Mw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return Ud[c[(c[a>>2]|0)+32>>2]&127](a,b,d,e,f)|0}function Nw(a,b){a=a|0;b=b|0;var d=0;d=b;b=a;a=c[d+4>>2]|0;c[b>>2]=c[d>>2];c[b+4>>2]=a;return}function Ow(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+8|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];e=b;b=a;a=c[e+4>>2]|0;c[b>>2]=c[e>>2];c[b+4>>2]=a;i=d;return}function Pw(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=Qw(a,b,c|0)|0;i=c;return d|0}function Qw(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=Rw(0,b,c)|0;i=e;return(f?c:b)|0}function Rw(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function Sw(a){a=a|0;return PQ(a,942824)|0}function Tw(a){a=a|0;return Td[c[(c[a>>2]|0)+28>>2]&255](a)|0}function Uw(a){a=a|0;Vw(a|0);return}function Vw(a){a=a|0;Ww(a);return}function Ww(a){a=a|0;Xw(a,yv(a)|0);return}function Xw(a,b){a=a|0;b=b|0;var d=0;d=i;i=i+8|0;Fv(d|0);if((b|0)==0){i=d;return}Xw(a,c[b>>2]|0);Xw(a,c[b+4>>2]|0);Zw(Yw(a)|0,b,1);i=d;return}function Yw(a){a=a|0;return $w(a+4|0)|0}function Zw(a,b,c){a=a|0;b=b|0;c=c|0;_w(0,b,0);return}function _w(a,b,c){a=a|0;b=b|0;c=c|0;qU(b);return}function $w(a){a=a|0;return ax(a|0)|0}function ax(a){a=a|0;return a|0}function bx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=cx(a,e,b)|0;k=c[j>>2]|0;Fv(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}ex(h,a,b);fx(g,h);dx(f,g);gx(h);h=c[e>>2]|0;hx(a|0,h,j,ix(f)|0);j=jx(f)|0;gx(f);l=j;m=l+20|0;i=d;return m|0}function cx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=yv(h)|0;Fv(e|0);if((a|0)==0){j=pv(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(Cv(0,d,a)|0){m=l|0;j=c[m>>2]|0;Fv(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(Cv(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Fv(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function dx(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Xx(a,b);i=d;return}function ex(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=Yw(c|0)|0;c=Gx(k,1)|0;Hx(g,k);Fx(f,c,g);Ix(0,Bx((Jx(f)|0)+16|0)|0,d);d=Kx(f)|0;a[d+4|0]=1;Lx(0,Ax((Jx(f)|0)+20|0)|0);a[d+5|0]=1;Mx(j,f);fx(h,j);dx(b,h);gx(j);gx(f);i=e;return}function fx(a,b){a=a|0;b=b|0;Dx(a,b);return}function gx(a){a=a|0;wx(a);return}function hx(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Fv(f|0);c[e>>2]=0;Fv(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=ox(a)|0;b=c[c[e>>2]>>2]|0;Fv(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(pv(a)|0)>>2]|0;px(e,c[d>>2]|0);d=qx(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function ix(a){a=a|0;return c[(mx(a|0)|0)>>2]|0}function jx(a){a=a|0;var b=0;b=kx(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function kx(a){a=a|0;return lx(a|0)|0}function lx(a){a=a|0;return a|0}function mx(a){a=a|0;return nx(a|0)|0}function nx(a){a=a|0;return a|0}function ox(a){a=a|0;return a|0}function px(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=(d|0)==(b|0);a[d+12|0]=h&1;if(h){i=e;return}else{j=d}while(1){k=j+8|0;d=c[k>>2]|0;if((a[d+12|0]|0)!=0){l=17;break}h=tx(d)|0;m=c[d+8>>2]|0;if(h){h=c[m+4>>2]|0;Fv(f);if((h|0)==0){l=7;break}d=h+12|0;if((a[d]|0)!=0){l=7;break}h=c[k>>2]|0;a[h+12|0]=1;n=c[h+8>>2]|0;a[n+12|0]=(n|0)==(b|0)|0;a[d]=1;o=n}else{n=c[m>>2]|0;Fv(g);if((n|0)==0){l=14;break}m=n+12|0;if((a[m]|0)!=0){l=14;break}n=c[k>>2]|0;a[n+12|0]=1;d=c[n+8>>2]|0;a[d+12|0]=(d|0)==(b|0)|0;a[m]=1;o=d}if((o|0)==(b|0)){l=17;break}else{j=o}}if((l|0)==7){if(tx(j)|0){p=j}else{o=c[k>>2]|0;ux(o);p=o}o=c[p+8>>2]|0;a[o+12|0]=1;p=c[o+8>>2]|0;a[p+12|0]=0;vx(p);i=e;return}else if((l|0)==14){if(tx(j)|0){p=c[k>>2]|0;vx(p);q=p}else{q=j}j=c[q+8>>2]|0;a[j+12|0]=1;q=c[j+8>>2]|0;a[q+12|0]=0;ux(q);i=e;return}else if((l|0)==17){i=e;return}}function qx(a){a=a|0;return rx(a+8|0)|0}function rx(a){a=a|0;return sx(a|0)|0}function sx(a){a=a|0;return a|0}function tx(a){a=a|0;return(c[c[a+8>>2]>>2]|0)==(a|0)|0}function ux(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;f=e|0;g=c[f>>2]|0;c[d>>2]=g;Fv(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=tx(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function vx(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;f=e+4|0;g=c[f>>2]|0;c[d>>2]=g;Fv(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=tx(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function wx(a){a=a|0;xx(a,0);return}function xx(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=kx(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}zx(yx(d)|0,e);return}function yx(a){a=a|0;return Cx(a|0)|0}function zx(a,b){a=a|0;b=b|0;if((b|0)==0){return}Zw(c[a>>2]|0,b,1);return}function Ax(a){a=a|0;return a|0}function Bx(a){a=a|0;return a|0}function Cx(a){a=a|0;return a+4|0}function Dx(a,b){a=a|0;b=b|0;Ex(a,b);return}function Ex(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Fx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Px(a,b,d);i=e;return}function Gx(a,b){a=a|0;b=b|0;return Ox(0,b,0)|0}function Hx(a,b){a=a|0;b=b|0;Nx(a,b);return}function Ix(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function Jx(a){a=a|0;return c[(mx(a|0)|0)>>2]|0}function Kx(a){a=a|0;return yx(a|0)|0}function Lx(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function Mx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;Dx(f,b);dx(e,f);fx(d,e);dx(a,d);gx(e);i=c;return}function Nx(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function Ox(a,b,c){a=a|0;b=b|0;c=c|0;return oU(b*24|0)|0}function Px(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Rx(f)|0)>>2]|0;f=Sx(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Qx(a|0,b,g);i=e;return}function Qx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Tx(a,b,d);i=e;return}function Rx(a){a=a|0;return a|0}function Sx(a){a=a|0;return a|0}function Tx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Vx(f)|0)>>2]|0;f=Wx(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Ux(a|0,b,g);i=e;return}function Ux(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(Vx(f)|0)>>2];f=Wx(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function Vx(a){a=a|0;return a|0}function Wx(a){a=a|0;return a|0}function Xx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=jx(Yx(b)|0)|0;g=Wx(Kx(Yx(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;Qx(a|0,f,e);i=d;return}function Yx(a){a=a|0;return c[a>>2]|0}function Zx(a){a=a|0;var b=0;b=i;i=i+48|0;_x(a|0);Tu(a+184|0,0,0);Tu(a+200|0,0,0);$x(a+240|0,b|0);$x(a+252|0,b+8|0);$x(a+264|0,b+16|0);$x(a+276|0,b+24|0);$x(a+288|0,b+32|0);$x(a+300|0,b+40|0);i=b;return}function _x(a){a=a|0;var b=0,d=0,e=0;b=a+104|0;aL(b);d=a|0;c[d>>2]=907396;e=b|0;c[e>>2]=907416;b=a+4|0;hM(a,908388,b|0);c[d>>2]=907396;c[e>>2]=907416;my(b);return}function $x(a,b){a=a|0;b=b|0;ay(a,0);return}function ay(a,b){a=a|0;b=b|0;b=i;i=i+8|0;by(a|0,b|0);i=b;return}function by(a,b){a=a|0;b=b|0;cy(a,0);return}function cy(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;dy(a+4|0);ey(a+8|0,0,b|0);d=pv(a)|0;c[(ox(a)|0)>>2]=d;i=b;return}function dy(a){a=a|0;iy(a);return}function ey(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;fy(b,c,d);i=e;return}function fy(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;gy(b|0,c[(hy(g)|0)>>2]|0,f+8|0);i=f;return}function gy(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(hy(g)|0)>>2];i=f;return}function hy(a){a=a|0;return a|0}function iy(a){a=a|0;jy(a|0);return}function jy(a){a=a|0;ky(a|0);return}function ky(a){a=a|0;ly(a);return}function ly(a){a=a|0;c[a>>2]=0;return}function my(a){a=a|0;ny(a);return}function ny(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+24|0;e=d+8|0;f=d+16|0;g=b|0;jL(g);c[b>>2]=907680;c[b+32>>2]=0;c[b+36>>2]=0;c[b+40>>2]=0;h=b+68|0;NU(b+52|0,0,16)|0;Fv(d|0);NU(h|0,0,31)|0;fL(e,g);j=oy(e)|0;NQ(e);if(j){fL(f,g);c[h>>2]=Sw(f)|0;NQ(f);a[b+98|0]=(Tw(c[h>>2]|0)|0)&1}Vd[c[(c[b>>2]|0)+12>>2]&127](b,0,4096)|0;i=d;return}function oy(a){a=a|0;return OQ(a,942824)|0}function py(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=c[a+12>>2]|0;Hr(3);f=e+8|0;g=c[f>>2]|0;h=e+12|0;j=c[h>>2]|0;if((g|0)<(j|0)){qy(a,b,c[e>>2]|0,f);Kr(3);i=d;return}k=~~(+(j|0)*1.4+ +(j-g|0)+2.0e3);c[h>>2]=k;g=e;j=e+16|0;e=lU(c[g>>2]|0,ga(k<<3,c[j>>2]|0)|0)|0;k=e;c[g>>2]=k;if((e|0)==0){e=ga(c[j>>2]|0,c[h>>2]|0)|0;Hq(c[b+536>>2]|0,895344,(h=i,i=i+8|0,c[h>>2]=e,h)|0);i=h}qy(a,b,k,f);Kr(3);i=d;return}function qy(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=c[b+12>>2]|0;Kr(0);i=+Cr(0);Hr(0);j=c[c[d+4>>2]>>2]|0;k=j|0;l=+h[k>>3];m=g+4|0;g=c[m>>2]|0;n=g+1|0;c[m>>2]=n;h[e+(g<<3)>>3]=l;if((c[b+8>>2]|0)==0){o=n}else{b=g+2|0;c[m>>2]=b;h[e+(n<<3)>>3]=i;o=b}b=d+116|0;n=c[b>>2]|0;if((n|0)>0){g=c[d+8>>2]|0;p=0;q=o;r=n;while(1){if((a[g+(p*112|0)+104|0]|0)==0){i=+h[(c[j+8>>2]|0)+(p<<3)>>3];n=q+1|0;c[m>>2]=n;h[e+(q<<3)>>3]=i;s=n;t=c[b>>2]|0}else{s=q;t=r}n=p+1|0;if((n|0)<(t|0)){p=n;q=s;r=t}else{u=s;break}}}else{u=o}o=d+124|0;s=c[o>>2]|0;if((s|0)>0){t=c[d+12>>2]|0;r=0;q=u;p=s;while(1){if((a[t+(r*60|0)+56|0]|0)==0){i=+(c[(c[j+12>>2]|0)+(r<<2)>>2]|0);s=q+1|0;c[m>>2]=s;h[e+(q<<3)>>3]=i;v=s;w=c[o>>2]|0}else{v=q;w=p}s=r+1|0;if((s|0)<(w|0)){r=s;q=v;p=w}else{x=v;break}}}else{x=u}u=d+128|0;v=c[u>>2]|0;if((v|0)>0){w=c[d+16>>2]|0;p=0;q=x;r=v;while(1){if((a[w+(p*48|0)+44|0]|0)==0){i=+(a[(c[j+16>>2]|0)+p|0]|0);v=q+1|0;c[m>>2]=v;h[e+(q<<3)>>3]=i;y=v;z=c[u>>2]|0}else{y=q;z=r}v=p+1|0;if((v|0)<(z|0)){p=v;q=y;r=z}else{A=y;break}}}else{A=x}x=d+216|0;if((c[x>>2]|0)>0){y=d+416|0;z=c[d+40>>2]|0;r=0;q=A;while(1){do{if((a[z+(r*52|0)+48|0]|0)==0){p=a[z+(r*52|0)+8|0]|0;do{if(p<<24>>24==2){B=k}else{u=c[z+(r*52|0)+4>>2]|0;if(p<<24>>24==1){B=(c[y>>2]|0)+(u<<3)|0;break}else{B=(c[j+8>>2]|0)+(u<<3)|0;break}}}while(0);i=+h[B>>3];if((c[z+(r*52|0)>>2]|0)==0){p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=i;C=p;break}else{p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=-0.0-i;C=p;break}}else{C=q}}while(0);p=r+1|0;if((p|0)<(c[x>>2]|0)){r=p;q=C}else{D=C;break}}}else{D=A}A=d+220|0;if((c[A>>2]|0)>0){C=d+40|0;q=d+420|0;r=c[d+44>>2]|0;x=0;z=D;while(1){do{if((a[r+(x*52|0)+48|0]|0)==0){B=c[(c[((a[r+(x*52|0)+8|0]|0)==1?q:j+12|0)>>2]|0)+(c[(c[C>>2]|0)+(x*52|0)+4>>2]<<2)>>2]|0;if((c[r+(x*52|0)>>2]|0)==0){y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(B|0);E=y;break}else{y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(-B|0);E=y;break}}else{E=z}}while(0);y=x+1|0;if((y|0)<(c[A>>2]|0)){x=y;z=E}else{F=E;break}}}else{F=D}D=d+224|0;if((c[D>>2]|0)<=0){G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}E=d+44|0;z=d+40|0;x=d+424|0;A=c[d+48>>2]|0;d=0;r=F;while(1){do{if((a[A+(d*52|0)+48|0]|0)==0){F=a[(c[((a[(c[E>>2]|0)+(d*52|0)+8|0]|0)==1?x:j+16|0)>>2]|0)+(c[(c[z>>2]|0)+(d*52|0)+4>>2]|0)|0]|0;if((c[A+(d*52|0)>>2]|0)==0){C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24|0);I=C;break}else{C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24!=1|0);I=C;break}}else{I=r}}while(0);C=d+1|0;if((C|0)<(c[D>>2]|0)){d=C;r=I}else{break}}G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}function ry(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=iU(24)|0;Hr(3);f=e;c[f>>2]=0;g=e+4|0;c[g>>2]=0;c[e+8>>2]=0;h=e+16|0;c[h>>2]=0;j=a+4|0;k=c[j>>2]|0;c[e+12>>2]=k;l=b+536|0;Gq(c[l>>2]|0,k>>>31^1,900288,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+8|0;b=c[a+8>>2]|0;c[e+20>>2]=sy(b,m)|0;n=sy(b,m)|0;c[h>>2]=n;h=c[j>>2]|0;j=iU(ga(n<<3,h)|0)|0;c[f>>2]=j;if((j|0)==0){j=ga(n,h)|0;Hq(c[l>>2]|0,889168,(k=i,i=i+8|0,c[k>>2]=j,k)|0);i=k}else{c[g>>2]=0;c[a+12>>2]=e;Kr(3);i=d;return}}function sy(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=(b|0)==0?1:2;b=c[d+108>>2]|0;if((b|0)>0){f=c[d>>2]|0;g=e;h=0;while(1){i=((a[f+(h*112|0)+104|0]|0)==0)+g|0;j=h+1|0;if((j|0)<(b|0)){g=i;h=j}else{k=i;break}}}else{k=e}e=c[d+116>>2]|0;if((e|0)>0){h=c[d+4>>2]|0;g=k;b=0;while(1){f=((a[h+(b*60|0)+56|0]|0)==0)+g|0;i=b+1|0;if((i|0)<(e|0)){g=f;b=i}else{l=f;break}}}else{l=k}k=c[d+120>>2]|0;if((k|0)>0){b=c[d+8>>2]|0;g=l;e=0;while(1){h=((a[b+(e*48|0)+44|0]|0)==0)+g|0;f=e+1|0;if((f|0)<(k|0)){g=h;e=f}else{m=h;break}}}else{m=l}l=c[d+208>>2]|0;if((l|0)>0){e=c[d+32>>2]|0;g=m;k=0;while(1){b=((a[e+(k*52|0)+48|0]|0)==0)+g|0;h=k+1|0;if((h|0)<(l|0)){g=b;k=h}else{n=b;break}}}else{n=m}m=c[d+212>>2]|0;if((m|0)>0){k=c[d+36>>2]|0;g=n;l=0;while(1){e=((a[k+(l*52|0)+48|0]|0)==0)+g|0;b=l+1|0;if((b|0)<(m|0)){g=e;l=b}else{o=e;break}}}else{o=n}n=c[d+216>>2]|0;if((n|0)<=0){p=o;return p|0}l=c[d+40>>2]|0;d=o;o=0;while(1){g=((a[l+(o*52|0)+48|0]|0)==0)+d|0;m=o+1|0;if((m|0)<(n|0)){d=g;o=m}else{p=g;break}}return p|0}function ty(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=i;f=b+12|0;g=c[f>>2]|0;j=g;Hr(3);k=b|0;l=xc(c[k>>2]|0,50200)|0;if((l|0)==0){uy(j);m=c[d+536>>2]|0;n=c[k>>2]|0;o=Wc(c[(Vc()|0)>>2]|0)|0;Hq(m,42648,(p=i,i=i+16|0,c[p>>2]=n,c[p+8>>2]=o,p)|0);i=p}Xa(37760,46,1,l|0)|0;o=g+20|0;kd(l|0,33520,(p=i,i=i+8|0,c[p>>2]=c[o>>2],p)|0)|0;i=p;n=g+8|0;kd(l|0,29584,(p=i,i=i+8|0,c[p>>2]=c[n>>2],p)|0)|0;i=p;Xa(26080,40,1,l|0)|0;Xa(23504,11,1,l|0)|0;Xa(903952,14,1,l|0)|0;if((c[n>>2]|0)>0){m=g;q=0;do{r=ga(c[o>>2]|0,q)|0;s=+h[(c[m>>2]|0)+(r<<3)>>3];vy(l,s,s);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Va(10,l|0)|0;if((c[b+8>>2]|0)==0){t=1}else{Xa(898960,18,1,l|0)|0;if((c[n>>2]|0)>0){b=g;q=0;do{m=ga(c[o>>2]|0,q)|0;r=c[b>>2]|0;vy(l,+h[r+(m<<3)>>3],+h[r+(m+1<<3)>>3]);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Va(10,l|0)|0;t=2}q=d+116|0;b=c[q>>2]|0;if((b|0)>0){m=d+8|0;r=g;u=t;v=0;w=b;while(1){b=c[m>>2]|0;if((a[b+(v*112|0)+104|0]|0)==0){kd(l|0,897080,(p=i,i=i+8|0,c[p>>2]=c[b+(v*112|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){b=0;do{x=ga(c[o>>2]|0,b)|0;y=c[r>>2]|0;vy(l,+h[y+(x<<3)>>3],+h[y+(x+u<<3)>>3]);b=b+1|0;}while((b|0)<(c[n>>2]|0))}Va(10,l|0)|0;z=u+1|0;A=c[q>>2]|0}else{z=u;A=w}b=v+1|0;if((b|0)<(A|0)){u=z;v=b;w=A}else{B=z;break}}}else{B=t}t=d+124|0;z=c[t>>2]|0;if((z|0)>0){A=d+12|0;w=g;v=B;u=0;q=z;while(1){z=c[A>>2]|0;if((a[z+(u*60|0)+56|0]|0)==0){kd(l|0,897080,(p=i,i=i+8|0,c[p>>2]=c[z+(u*60|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){z=0;do{r=ga(c[o>>2]|0,z)|0;m=c[w>>2]|0;vy(l,+h[m+(r<<3)>>3],+h[m+(r+v<<3)>>3]);z=z+1|0;}while((z|0)<(c[n>>2]|0))}Va(10,l|0)|0;C=v+1|0;D=c[t>>2]|0}else{C=v;D=q}z=u+1|0;if((z|0)<(D|0)){v=C;u=z;q=D}else{E=C;break}}}else{E=B}B=d+128|0;C=c[B>>2]|0;if((C|0)>0){D=d+16|0;q=g;u=E;v=0;t=C;while(1){C=c[D>>2]|0;if((a[C+(v*48|0)+44|0]|0)==0){kd(l|0,897080,(p=i,i=i+8|0,c[p>>2]=c[C+(v*48|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){C=0;do{w=ga(c[o>>2]|0,C)|0;A=c[q>>2]|0;vy(l,+h[A+(w<<3)>>3],+h[A+(w+u<<3)>>3]);C=C+1|0;}while((C|0)<(c[n>>2]|0))}Va(10,l|0)|0;F=u+1|0;G=c[B>>2]|0}else{F=u;G=t}C=v+1|0;if((C|0)<(G|0)){u=F;v=C;t=G}else{H=F;break}}}else{H=E}E=d+216|0;F=c[E>>2]|0;if((F|0)>0){G=d+40|0;t=g;v=H;u=0;B=F;while(1){F=c[G>>2]|0;if((a[F+(u*52|0)+48|0]|0)==0){kd(l|0,897080,(p=i,i=i+8|0,c[p>>2]=c[F+(u*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){F=0;do{q=ga(c[o>>2]|0,F)|0;D=c[t>>2]|0;vy(l,+h[D+(q<<3)>>3],+h[D+(q+v<<3)>>3]);F=F+1|0;}while((F|0)<(c[n>>2]|0))}Va(10,l|0)|0;I=v+1|0;J=c[E>>2]|0}else{I=v;J=B}F=u+1|0;if((F|0)<(J|0)){v=I;u=F;B=J}else{K=I;break}}}else{K=H}H=d+220|0;I=c[H>>2]|0;if((I|0)>0){J=d+44|0;B=g;u=K;v=0;E=I;while(1){I=c[J>>2]|0;if((a[I+(v*52|0)+48|0]|0)==0){kd(l|0,897080,(p=i,i=i+8|0,c[p>>2]=c[I+(v*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){I=0;do{t=ga(c[o>>2]|0,I)|0;G=c[B>>2]|0;vy(l,+h[G+(t<<3)>>3],+h[G+(t+u<<3)>>3]);I=I+1|0;}while((I|0)<(c[n>>2]|0))}Va(10,l|0)|0;L=u+1|0;M=c[H>>2]|0}else{L=u;M=E}I=v+1|0;if((I|0)<(M|0)){u=L;v=I;E=M}else{N=L;break}}}else{N=K}K=d+224|0;L=c[K>>2]|0;if((L|0)>0){M=d+48|0;E=g;g=N;N=0;v=L;while(1){L=c[M>>2]|0;if((a[L+(N*52|0)+48|0]|0)==0){kd(l|0,897080,(p=i,i=i+8|0,c[p>>2]=c[L+(N*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){L=0;do{u=ga(c[o>>2]|0,L)|0;H=c[E>>2]|0;vy(l,+h[H+(u<<3)>>3],+h[H+(u+g<<3)>>3]);L=L+1|0;}while((L|0)<(c[n>>2]|0))}Va(10,l|0)|0;O=g+1|0;P=c[K>>2]|0}else{O=g;P=v}L=N+1|0;if((L|0)<(P|0)){g=O;N=L;v=P}else{break}}}uy(j);if((Oa(l|0)|0)==0){jU(c[f>>2]|0);c[f>>2]=0;Kr(3);i=e;return}else{Hq(c[d+536>>2]|0,895632,(p=i,i=i+8|0,c[p>>2]=c[k>>2],p)|0);i=p}}function uy(a){a=a|0;var b=0;b=a|0;a=c[b>>2]|0;if((a|0)==0){return}jU(a);c[b>>2]=0;return}function vy(a,b,c){a=a|0;b=+b;c=+c;var d=0;d=i;kd(a|0,894568,(a=i,i=i+16|0,h[a>>3]=b,h[a+8>>3]=c,a)|0)|0;i=a;i=d;return}function wy(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+64|0;e=d|0;f=d+16|0;g=d+32|0;h=d+48|0;j=oU(192)|0;NU(j|0,0,192)|0;xy(j);c[a+12>>2]=j;k=j;l=a|0;Uu(k,c[l>>2]|0,36);if(QK(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Hq(c[b+536>>2]|0,895248,(a=i,i=i+8|0,c[a>>2]=c[l>>2],a)|0);i=a}a=j;tM(a,16568,14)|0;uM(e,a);l=fw(e)|0;e=j+184|0;c[e>>2]=l;tM(a,939152,4)|0;yy(k,b+8|0);uM(f,a);b=fw(f)|0;f=b;b=j+188|0;c[b>>2]=f;j=c[e>>2]|0;Tu(g,j,(j|0)<0|0?-1:0);vM(a,g)|0;zy(k,-4-j+f|0);f=c[b>>2]|0;Tu(h,f,(f|0)<0|0?-1:0);vM(a,h)|0;Kr(3);i=d;return}function xy(a){a=a|0;Sy(a);return}function yy(a,b){a=a|0;b=b|0;By(a,3);Cy(a,55608);By(a,0);Cy(a,54504);By(a,2);Ny(a,b);Oy(a,b);Cy(a,53592);By(a,0);return}function zy(a,b){a=a|0;b=b|0;c[231484]=ed(b|0)|0;tM(a,925936,4)|0;return}function Ay(b,d,e,f){b=b|0;d=+d;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+80|0;j=g|0;k=g+16|0;l=g+32|0;m=g+48|0;n=g+64|0;o=b;uM(j,o);p=fw(j)|0;zy(b,0);uM(k,o);j=fw(k)|0;k=j;By(b,1);Cy(b,889128);j=e+128|0;q=e+132|0;r=e+136|0;s=e+140|0;Dy(b,(c[j>>2]|0)+1+(c[q>>2]|0)+(c[r>>2]|0)+(c[s>>2]|0)|0);Ey(b,d);if((c[j>>2]|0)>0){e=f+176|0;t=0;do{Ey(b,+h[(c[e>>2]|0)+(t<<3)>>3]);t=t+1|0;}while((t|0)<(c[j>>2]|0))}if((c[q>>2]|0)>0){j=f+180|0;t=0;do{Fy(b,c[(c[j>>2]|0)+(t<<2)>>2]|0);t=t+1|0;}while((t|0)<(c[q>>2]|0))}if((c[r>>2]|0)>0){q=f+184|0;t=0;do{Gy(b,(a[(c[q>>2]|0)+t|0]|0)!=0);t=t+1|0;}while((t|0)<(c[r>>2]|0))}if((c[s>>2]|0)>0){r=f+188|0;f=0;do{Cy(b,c[(c[r>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}uM(l,o);s=fw(l)|0;l=s;s=p;Tu(m,s,(s|0)<0|0?-1:0);vM(o,m)|0;zy(b,l-k|0);Tu(n,l,(l|0)<0|0?-1:0);vM(o,n)|0;i=g;return}function By(b,d){b=b|0;d=d|0;a[939104]=-33;c[231486]=ed(d|0)|0;d=b;tM(d,939104,1)|0;tM(d,925944,4)|0;return}function Cy(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;c[f>>2]=ed(KU(d|0)|0)|0;a[939112]=-37;g=b;tM(g,939112,1)|0;tM(g,f,4)|0;tM(g,d,KU(d|0)|0)|0;i=e;return}function Dy(b,d){b=b|0;d=d|0;a[939120]=-35;c[231488]=ed(d|0)|0;d=b;tM(d,939120,1)|0;tM(d,925952,4)|0;return}function Ey(b,c){b=b|0;c=+c;var d=0;a[939128]=-53;My(c);d=b;tM(d,939128,1)|0;tM(d,939024,8)|0;return}function Fy(b,d){b=b|0;d=d|0;a[939136]=-46;c[231490]=ed(d|0)|0;d=b;tM(d,939136,1)|0;tM(d,925960,4)|0;return}function Gy(b,c){b=b|0;c=c|0;a[939144]=c?-61:-62;tM(b,939144,1)|0;return}function Hy(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a+12>>2]|0;a=b+8|0;e=b+240|0;Ay(d,+h[e>>3],a,e);Ay(d,+h[b+248>>3],a,e);return}function Iy(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+80|0;f=e|0;g=e+16|0;j=e+32|0;k=e+48|0;l=e+64|0;m=c[b+12>>2]|0;b=m;n=m;uM(f,n);m=fw(f)|0;zy(b,0);uM(g,n);f=fw(g)|0;g=f;By(b,1);Cy(b,50152);f=d+116|0;o=d+124|0;p=d+128|0;q=d+132|0;Dy(b,(c[f>>2]|0)+1+(c[o>>2]|0)+(c[p>>2]|0)+(c[q>>2]|0)|0);r=d+4|0;Ey(b,+h[c[c[r>>2]>>2]>>3]);if((c[f>>2]|0)>0){d=0;do{Ey(b,+h[(c[(c[c[r>>2]>>2]|0)+8>>2]|0)+(d<<3)>>3]);d=d+1|0;}while((d|0)<(c[f>>2]|0))}if((c[o>>2]|0)>0){f=0;do{Fy(b,c[(c[(c[c[r>>2]>>2]|0)+12>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[o>>2]|0))}if((c[p>>2]|0)>0){o=0;do{Gy(b,(a[(c[(c[c[r>>2]>>2]|0)+16>>2]|0)+o|0]|0)!=0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}if((c[q>>2]|0)>0){p=0;do{Cy(b,c[(c[(c[c[r>>2]>>2]|0)+20>>2]|0)+(p<<2)>>2]|0);p=p+1|0;}while((p|0)<(c[q>>2]|0))}uM(j,n);q=fw(j)|0;j=q;q=m;Tu(k,q,(q|0)<0|0?-1:0);vM(n,k)|0;zy(b,j-g|0);Tu(l,j,(j|0)<0|0?-1:0);vM(n,l)|0;i=e;return}function Jy(a,b){a=a|0;b=b|0;b=a+12|0;a=c[b>>2]|0;Ou(a);Hr(3);if((a|0)==0){c[b>>2]=0;Kr(3);return}Ky(a);qU(a);c[b>>2]=0;Kr(3);return}function Ky(a){a=a|0;Ly(a);return}function Ly(a){a=a|0;iw(a|0);return}function My(b){b=+b;var d=0,e=0,f=0,g=0,j=0;d=i;i=i+8|0;e=d|0;f=e;h[e>>3]=b;if((ed(1)|0)==1){g=e;e=c[g+4>>2]|0;j=939024;c[j>>2]=c[g>>2];c[j+4>>2]=e;i=d;return}h[k>>3]=b;e=0;j=c[k>>2]&255;while(1){a[939024+(7-e)|0]=j;g=e+1|0;if((g|0)>=8){break}e=g;j=a[f+g|0]|0}i=d;return}function Ny(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;Cy(a,889128);By(a,4);Cy(a,52840);By(a,0);Cy(a,52160);f=b+128|0;g=b+132|0;h=b+136|0;j=b+140|0;Dy(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);Cy(a,51488);if((c[f>>2]|0)>0){k=b+16|0;l=0;do{Cy(a,c[(c[k>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){l=b+20|0;k=0;do{Cy(a,c[(c[l>>2]|0)+(k*60|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){k=b+24|0;l=0;do{Cy(a,c[(c[k>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[h>>2]|0))}if((c[j>>2]|0)>0){l=b+28|0;k=0;do{Cy(a,c[(c[l>>2]|0)+(k*52|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[j>>2]|0))}k=e;c[k>>2]=c[4122];c[k+4>>2]=c[4123];c[k+8>>2]=c[4124];Py(a,b,e|0);Cy(a,50776);By(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);Qy(a,51488,49432);if((c[f>>2]|0)>0){e=b+16|0;k=0;do{l=c[e>>2]|0;Qy(a,c[l+(k*112|0)+4>>2]|0,c[l+(k*112|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){f=b+20|0;k=0;do{e=c[f>>2]|0;Qy(a,c[e+(k*60|0)+4>>2]|0,c[e+(k*60|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){g=b+24|0;k=0;do{f=c[g>>2]|0;Qy(a,c[f+(k*48|0)+4>>2]|0,c[f+(k*48|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[h>>2]|0))}if((c[j>>2]|0)<=0){i=d;return}h=b+28|0;b=0;do{k=c[h>>2]|0;Qy(a,c[k+(b*52|0)+4>>2]|0,c[k+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[j>>2]|0));i=d;return}function Oy(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;i=i+16|0;e=d|0;f=b+108|0;g=c[f>>2]|0;h=b+116|0;j=c[h>>2]|0;k=b+120|0;l=c[k>>2]|0;m=b+124|0;n=c[m>>2]|0;Cy(a,50152);By(a,4);Cy(a,52840);By(a,0);Cy(a,52160);o=g+1+j+l+n|0;Dy(a,o);Cy(a,51488);if((c[f>>2]|0)>0){n=b|0;l=0;do{Cy(a,c[(c[n>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){l=b+4|0;n=0;do{Cy(a,c[(c[l>>2]|0)+(n*60|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){n=b+8|0;l=0;do{Cy(a,c[(c[n>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[k>>2]|0))}if((c[m>>2]|0)>0){l=b+12|0;n=0;do{Cy(a,c[(c[l>>2]|0)+(n*52|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[m>>2]|0))}n=e;c[n>>2]=c[4126];c[n+4>>2]=c[4127];c[n+8>>2]=c[4128];Py(a,b,e|0);Cy(a,50776);By(a,o);Qy(a,51488,49432);if((c[f>>2]|0)>0){o=b|0;e=0;do{n=c[o>>2]|0;Qy(a,c[n+(e*112|0)+4>>2]|0,c[n+(e*112|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){f=b+4|0;e=0;do{o=c[f>>2]|0;Qy(a,c[o+(e*60|0)+4>>2]|0,c[o+(e*60|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){h=b+8|0;e=0;do{f=c[h>>2]|0;Qy(a,c[f+(e*48|0)+4>>2]|0,c[f+(e*48|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[k>>2]|0))}if((c[m>>2]|0)<=0){i=d;return}k=b+12|0;b=0;do{e=c[k>>2]|0;Qy(a,c[e+(b*52|0)+4>>2]|0,c[e+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[m>>2]|0));i=d;return}function Py(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;Cy(b,47624);f=d+208|0;g=c[f>>2]|0;if((g|0)>0){h=c[d+32>>2]|0;i=0;j=0;while(1){k=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+j|0;l=i+1|0;if((l|0)<(g|0)){i=l;j=k}else{m=k;break}}}else{m=0}j=d+212|0;i=c[j>>2]|0;if((i|0)>0){g=c[d+36>>2]|0;h=0;k=m;while(1){l=(c[e+(a[g+(h*52|0)+8|0]<<2)>>2]|0)+k|0;n=h+1|0;if((n|0)<(i|0)){h=n;k=l}else{o=l;break}}}else{o=m}m=d+216|0;k=c[m>>2]|0;if((k|0)>0){h=c[d+40>>2]|0;i=0;g=o;while(1){l=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+g|0;n=i+1|0;if((n|0)<(k|0)){i=n;g=l}else{p=l;break}}}else{p=o}o=d+220|0;g=c[o>>2]|0;if((g|0)>0){i=c[d+44>>2]|0;k=0;h=p;while(1){l=(c[e+(a[i+(k*52|0)+8|0]<<2)>>2]|0)+h|0;n=k+1|0;if((n|0)<(g|0)){k=n;h=l}else{q=l;break}}}else{q=p}By(b,q);q=c[f>>2]|0;if((q|0)>0){p=d+32|0;h=d+16|0;k=d|0;g=0;i=0;l=q;while(1){q=c[p>>2]|0;n=a[q+(g*52|0)+8|0]|0;if((c[e+(n<<24>>24<<2)>>2]|0)==0){r=i;s=l}else{t=n<<24>>24==2?51488:i;if((n<<24>>24|0)==0){u=c[(c[k>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else if((n<<24>>24|0)==1){u=c[(c[h>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else{u=t}Ry(b,c[q+(g*52|0)+16>>2]|0,u,(c[q+(g*52|0)>>2]|0)!=0);r=u;s=c[f>>2]|0}q=g+1|0;if((q|0)<(s|0)){g=q;i=r;l=s}else{v=r;break}}}else{v=0}r=c[j>>2]|0;if((r|0)>0){s=d+36|0;l=d+20|0;i=d+4|0;g=0;f=v;u=r;while(1){r=c[s>>2]|0;h=a[r+(g*52|0)+8|0]|0;if((c[e+(h<<24>>24<<2)>>2]|0)==0){w=f;x=u}else{k=h<<24>>24==2?51488:f;if((h<<24>>24|0)==1){y=c[(c[l>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else if((h<<24>>24|0)==0){y=c[(c[i>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else{y=k}Ry(b,c[r+(g*52|0)+16>>2]|0,y,(c[r+(g*52|0)>>2]|0)!=0);w=y;x=c[j>>2]|0}r=g+1|0;if((r|0)<(x|0)){g=r;f=w;u=x}else{z=w;break}}}else{z=v}v=c[m>>2]|0;if((v|0)>0){w=d+40|0;x=d+24|0;u=d+8|0;f=0;g=z;j=v;while(1){v=c[w>>2]|0;y=a[v+(f*52|0)+8|0]|0;if((c[e+(y<<24>>24<<2)>>2]|0)==0){A=g;B=j}else{i=y<<24>>24==2?51488:g;if((y<<24>>24|0)==1){C=c[(c[x>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else if((y<<24>>24|0)==0){C=c[(c[u>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else{C=i}Ry(b,c[v+(f*52|0)+16>>2]|0,C,(c[v+(f*52|0)>>2]|0)!=0);A=C;B=c[m>>2]|0}v=f+1|0;if((v|0)<(B|0)){f=v;g=A;j=B}else{D=A;break}}}else{D=z}z=c[o>>2]|0;if((z|0)<=0){return}A=d+44|0;B=d+28|0;j=d+12|0;d=0;g=D;D=z;while(1){z=c[A>>2]|0;f=a[z+(d*52|0)+8|0]|0;if((c[e+(f<<24>>24<<2)>>2]|0)==0){E=g;F=D}else{m=f<<24>>24==2?51488:g;if((f<<24>>24|0)==1){G=c[(c[B>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else if((f<<24>>24|0)==0){G=c[(c[j>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else{G=m}Ry(b,c[z+(d*52|0)+16>>2]|0,G,(c[z+(d*52|0)>>2]|0)!=0);E=G;F=c[o>>2]|0}z=d+1|0;if((z|0)<(F|0)){d=z;g=E;D=F}else{break}}return}function Qy(a,b,c){a=a|0;b=b|0;c=c|0;Cy(a,b);By(a,1);Cy(a,48632);Cy(a,c);return}function Ry(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Cy(a,b);By(a,d?2:1);Cy(a,46984);Cy(a,c);if(!d){return}Cy(a,46328);Cy(a,45728);return}function Sy(a){a=a|0;_x(a|0);return}



function ET(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=c[a+4>>2]|0;a=k;l=k+40|0;m=c[l>>2]|0;do{if((m|0)<1|(d|0)==0){n=0}else{o=iU(m<<2)|0;if((o|0)==0){p=12}else{n=o;break}i=g;return p|0}}while(0);m=n;a:do{if((c[k+60>>2]|0)==0){c[h>>2]=0;o=f&1;q=f&2;r=k+56|0;s=c[r>>2]&4;if((n|0)==0){t=0}else{t=c[l>>2]|0}u=t<<2;v=c[k+52>>2]|0;w=v<<3;x=w+8|0;y=u+12+w+(x+(ga(u,v)|0)<<1)|0;z=iU(y)|0;if((z|0)==0){A=12;break}NU(z|0,0,y|0)|0;y=z;B=z+u&3;C=((B|0)==0?0:4-B|0)+u|0;B=z+C|0;D=C+x|0;C=z+D&3;E=((C|0)==0?0:4-C|0)+D|0;D=z+E|0;C=E+x|0;x=z+C&3;E=((x|0)==0?0:4-x|0)+C|0;C=z+E|0;x=E+w|0;w=z+x&3;if((v|0)>0){E=t<<3;F=0;G=z+(((w|0)==0?0:4-w|0)+x)|0;while(1){c[D+(F<<3)+4>>2]=G;c[B+(F<<3)+4>>2]=G+u;x=F+1|0;if((x|0)<(v|0)){F=x;G=G+E|0}else{H=0;break}}do{c[C+(H<<3)>>2]=-1;H=H+1|0;}while((H|0)<(v|0))}v=mT(h,b,4)|0;if((v|0)<1){if((v|0)<0){A=1;break}I=v+1|0}else{I=v}v=k+8|0;E=(s|0)==0;G=(o|0)==0;F=(t|0)>0;x=k+12|0;w=k+44|0;J=k+32|0;K=k+36|0;L=(t|0)==0;M=F^1;N=0;O=b+I|0;P=0;Q=I;R=D;S=y;T=0;U=-1;V=B;W=B;while(1){if((U|0)<0){X=c[v>>2]|0;Y=X+8|0;b:do{if((c[Y>>2]|0)==0){Z=W;_=U;$=T}else{aa=(P|0)==0;ba=(N|0)==95;ca=(P|0)<1&G;da=((N|0)!=10|E)^1;ea=W;fa=U;ha=T;ia=X;ja=Y;while(1){ka=ia;la=ja;c:while(1){ma=ka+12|0;if((c[C+(c[ma>>2]<<3)>>2]|0)>=(P|0)){na=ha;oa=fa;pa=ea;break}qa=ka+20|0;ra=c[qa>>2]|0;if((ra|0)==0){sa=260;break}d:do{if((ra&1|0)==0|ca|da){if((ra&2|0)!=0){ta=c[h>>2]|0;if((ta|q|0)!=0&((ta|0)!=10|E)){break}}do{if((ra&16|0)!=0){if(ba){break d}if((TS(N)|0)!=0){break d}ta=c[h>>2]|0;if((ta|0)==95){break}if((TS(ta)|0)==0){break d}}}while(0);ta=c[qa>>2]|0;if((ta&32|0)==0){ua=ta}else{if(!ba){if((TS(N)|0)==0){break}}ta=c[h>>2]|0;if((ta|0)==95){break}if((TS(ta)|0)!=0){break}ua=c[qa>>2]|0}do{if((ua&64|0)==0|aa){va=ua}else{ta=c[h>>2]|0;if((ta|0)==0){va=ua;break}if(ba){wa=1;xa=ta}else{ta=(TS(N)|0)!=0|0;wa=ta;xa=c[h>>2]|0}if((xa|0)==95){ya=1}else{ya=(TS(xa)|0)!=0|0}if((wa|0)==(ya|0)){break d}va=c[qa>>2]|0}}while(0);if((va&128|0)==0){sa=260;break c}if(aa){break}ta=c[h>>2]|0;if((ta|0)==0){break}if(ba){za=1;Aa=ta}else{ta=(TS(N)|0)!=0|0;za=ta;Aa=c[h>>2]|0}if((Aa|0)==95){Ba=1}else{Ba=(TS(Aa)|0)!=0|0}if((za|0)==(Ba|0)){sa=260;break c}}}while(0);qa=ka+40|0;if((c[qa>>2]|0)==0){Z=ea;_=fa;$=ha;break b}else{ka=ka+32|0;la=qa}}if((sa|0)==260){sa=0;qa=ea|0;c[qa>>2]=c[la>>2];if(F){NU(c[ea+4>>2]|0,-1|0,u|0)|0}ra=c[ka+16>>2]|0;do{if((ra|0)!=0){ta=c[ra>>2]|0;if(!((ta|0)>-1)){break}Ca=ea+4|0;Da=ra;Ea=ta;do{if((Ea|0)<(t|0)){c[(c[Ca>>2]|0)+(Ea<<2)>>2]=P}Da=Da+4|0;Ea=c[Da>>2]|0;}while((Ea|0)>-1)}}while(0);ra=(c[qa>>2]|0)!=(c[x>>2]|0);if(ra|M){Fa=ra?ha:1;Ga=ra?fa:P;Ha=ea+4|0}else{ra=ea+4|0;la=c[ra>>2]|0;Ea=0;while(1){c[n+(Ea<<2)>>2]=c[la+(Ea<<2)>>2];Da=Ea+1|0;if((Da|0)<(t|0)){Ea=Da}else{Fa=1;Ga=P;Ha=ra;break}}}c[C+(c[ma>>2]<<3)>>2]=P;c[C+(c[ma>>2]<<3)+4>>2]=Ha;na=Fa;oa=Ga;pa=ea+8|0}ra=ka+40|0;if((c[ra>>2]|0)==0){Z=pa;_=oa;$=na;break}else{ea=pa;fa=oa;ha=na;ia=ka+32|0;ja=ra}}}}while(0);c[Z>>2]=0;Ia=$;Ja=_}else{if(L|(W|0)==(V|0)){Ka=U;break}else{Ia=T;Ja=U}}Y=c[h>>2]|0;if((Y|0)==0){Ka=Ja;break}X=P+Q|0;ja=mT(h,O,4)|0;if((ja|0)<1){if((ja|0)<0){A=1;break a}La=ja+1|0}else{La=ja}ja=O+La|0;if((c[w>>2]|0)==0|(Ia|0)==0){Ma=V;Na=Ia;Oa=R}else{ia=V|0;ha=c[ia>>2]|0;if((ha|0)==0){Pa=R}else{fa=R;ea=ia;ia=ha;while(1){ha=c[K>>2]|0;ba=c[ha>>2]|0;aa=ea+4|0;e:do{if((ba|0)>-1){da=0;ca=ba;while(1){ra=c[ha+((da|1)<<2)>>2]|0;if((ca|0)>=(t|0)){Qa=fa;break e}Ea=c[aa>>2]|0;if((c[Ea+(ra<<2)>>2]|0)==(c[n+(ra<<2)>>2]|0)){if((c[Ea+(ca<<2)>>2]|0)<(c[n+(ca<<2)>>2]|0)){Qa=fa;break e}}Ea=da+2|0;ra=c[ha+(Ea<<2)>>2]|0;if((ra|0)>-1){da=Ea;ca=ra}else{sa=287;break}}}else{sa=287}}while(0);if((sa|0)==287){sa=0;c[fa>>2]=ia;ha=fa+4|0;ba=c[ha>>2]|0;c[ha>>2]=c[aa>>2];c[aa>>2]=ba;Qa=fa+8|0}ba=ea+8|0;ha=c[ba>>2]|0;if((ha|0)==0){Pa=Qa;break}else{fa=Qa;ea=ba;ia=ha}}}c[Pa>>2]=0;Ma=R;Na=0;Oa=V}ia=c[Ma>>2]|0;if((ia|0)==0){Ra=Oa;Sa=Ja;Ta=Na;Ua=S}else{ea=(X|0)==0;fa=(Y|0)==95;ha=(X|0)<1&G;ba=((Y|0)!=10|E)^1;ca=Ma;da=Oa;ka=Ja;ra=Na;Ea=S;la=ia;while(1){ia=la+8|0;if((c[ia>>2]|0)==0){Va=da;Wa=ka;Xa=ra;Ya=Ea}else{qa=ca+4|0;Da=da;Ca=ka;ta=ra;Za=Ea;_a=la;$a=ia;while(1){f:do{if((c[_a>>2]|0)>>>0>Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da}else{if((c[_a+4>>2]|0)>>>0<Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da;break}ia=_a+20|0;eb=c[ia>>2]|0;g:do{if((eb|0)!=0){if(!((eb&1|0)==0|ha|ba)){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((eb&2|0)!=0){fb=c[h>>2]|0;if((fb|q|0)!=0&((fb|0)!=10|E)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}do{if((eb&16|0)!=0){if(fa){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((TS(Y)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==95){break}if((TS(fb)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);fb=c[ia>>2]|0;if((fb&32|0)==0){gb=fb}else{if(!fa){if((TS(Y)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}fb=c[h>>2]|0;if((fb|0)==95){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((TS(fb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}gb=c[ia>>2]|0}do{if((gb&64|0)==0|ea){hb=gb}else{fb=c[h>>2]|0;if((fb|0)==0){hb=gb;break}if(fa){ib=1;jb=fb}else{fb=(TS(Y)|0)!=0|0;ib=fb;jb=c[h>>2]|0}if((jb|0)==95){kb=1}else{kb=(TS(jb)|0)!=0|0}if((ib|0)==(kb|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}hb=c[ia>>2]|0}}while(0);if((hb&128|0)==0){lb=hb}else{if(ea){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}if(fa){mb=1;nb=fb}else{fb=(TS(Y)|0)!=0|0;mb=fb;nb=c[h>>2]|0}if((nb|0)==95){ob=1}else{ob=(TS(nb)|0)!=0|0}if((mb|0)!=(ob|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}lb=c[ia>>2]|0}do{if((lb&4|0)==0){pb=lb}else{if((c[r>>2]&2|0)!=0){pb=lb;break}if((XS(Y,c[_a+24>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}pb=c[ia>>2]|0}}while(0);do{if((pb&4|0)!=0){if((c[r>>2]&2|0)==0){break}fb=hT(Y)|0;qb=_a+24|0;if((XS(fb,c[qb>>2]|0)|0)!=0){break}fb=fT(Y)|0;if((XS(fb,c[qb>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);if((c[ia>>2]&8|0)==0){break}qb=c[_a+28>>2]|0;fb=c[qb>>2]|0;if((fb|0)==0){break}if((c[r>>2]&2|0)==0){rb=qb;sb=fb;while(1){if((XS(Y,sb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}rb=rb+4|0;sb=c[rb>>2]|0;if((sb|0)==0){break g}}}else{tb=qb}do{sb=fT(Y)|0;if((XS(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}sb=hT(Y)|0;if((XS(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}tb=tb+4|0;}while((c[tb>>2]|0)!=0)}}while(0);if(F){ia=c[qa>>2]|0;eb=0;do{c[Za+(eb<<2)>>2]=c[ia+(eb<<2)>>2];eb=eb+1|0;}while((eb|0)<(t|0))}eb=c[_a+16>>2]|0;do{if((eb|0)!=0){ia=c[eb>>2]|0;if((ia|0)>-1){ub=eb;vb=ia}else{break}do{if((vb|0)<(t|0)){c[Za+(vb<<2)>>2]=X}ub=ub+4|0;vb=c[ub>>2]|0;}while((vb|0)>-1)}}while(0);eb=_a+12|0;ia=c[eb>>2]|0;qb=C+(ia<<3)|0;if((c[qb>>2]|0)<(X|0)){sb=Da|0;c[sb>>2]=c[$a>>2];rb=Da+4|0;fb=c[rb>>2]|0;c[rb>>2]=Za;c[qb>>2]=X;c[C+(c[eb>>2]<<3)+4>>2]=rb;do{if((c[sb>>2]|0)==(c[x>>2]|0)){if((Ca|0)==-1){if(!F){wb=1;xb=X;break}yb=c[rb>>2]|0}else{if(!F){wb=ta;xb=Ca;break}eb=c[rb>>2]|0;if((c[eb>>2]|0)>(c[n>>2]|0)){wb=ta;xb=Ca;break}else{yb=eb}}eb=0;while(1){c[n+(eb<<2)>>2]=c[yb+(eb<<2)>>2];qb=eb+1|0;if((qb|0)<(t|0)){eb=qb}else{wb=1;xb=X;break}}}else{wb=ta;xb=Ca}}while(0);ab=fb;bb=wb;cb=xb;db=Da+8|0;break}else{rb=c[J>>2]|0;sb=c[C+(ia<<3)+4>>2]|0;eb=c[sb>>2]|0;if(F){zb=0}else{ab=Za;bb=ta;cb=Ca;db=Da;break}while(1){qb=c[Za+(zb<<2)>>2]|0;Ab=c[eb+(zb<<2)>>2]|0;if((c[rb+(zb<<2)>>2]|0)==0){if((qb|0)<(Ab|0)){break}if((qb|0)>(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}else{if((qb|0)>(Ab|0)){break}if((qb|0)<(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}Ab=zb+1|0;if((Ab|0)<(t|0)){zb=Ab}else{ab=Za;bb=ta;cb=Ca;db=Da;break f}}c[sb>>2]=Za;if((c[$a>>2]|0)==(c[x>>2]|0)){Bb=0}else{ab=eb;bb=ta;cb=Ca;db=Da;break}while(1){c[n+(Bb<<2)>>2]=c[Za+(Bb<<2)>>2];rb=Bb+1|0;if((rb|0)<(t|0)){Bb=rb}else{ab=eb;bb=1;cb=X;db=Da;break}}}}}while(0);eb=_a+40|0;if((c[eb>>2]|0)==0){Va=db;Wa=cb;Xa=bb;Ya=ab;break}else{Da=db;Ca=cb;ta=bb;Za=ab;_a=_a+32|0;$a=eb}}}$a=ca+8|0;_a=c[$a>>2]|0;if((_a|0)==0){Ra=Va;Sa=Wa;Ta=Xa;Ua=Ya;break}else{ca=$a;da=Va;ka=Wa;ra=Xa;Ea=Ya;la=_a}}}c[Ra>>2]=0;N=Y;O=ja;P=X;Q=La;R=Ma;S=Ua;T=Ta;U=Sa;V=Oa;W=Ra}jU(z);Cb=Ka>>>31;Db=Ka;sa=375}else{c[j>>2]=0;W=f&1;V=f&2;U=k+56|0;T=c[U>>2]&4;S=GT(0,0)|0;if((S|0)==0){A=12;break}R=IT(S,0,0,0,32)|0;Q=R;if((R|0)==0){HT(S);A=12;break}c[R+24>>2]=0;c[R+28>>2]=0;R=c[l>>2]|0;if((R|0)==0){Eb=0;sa=9}else{P=iU(R<<2)|0;O=P;if((P|0)==0){Fb=12;Gb=0;Hb=0;Ib=O;Jb=0}else{Eb=O;sa=9}}do{if((sa|0)==9){O=Eb;P=c[k+28>>2]|0;if((P|0)==0){Kb=0}else{N=iU(P<<3)|0;P=N;if((N|0)==0){Fb=12;Gb=P;Hb=0;Ib=Eb;Jb=0;break}else{Kb=P}}P=k+52|0;N=c[P>>2]|0;if((N|0)==0){Lb=0}else{x=iU(N<<2)|0;N=x;if((x|0)==0){Fb=12;Gb=Kb;Hb=N;Ib=Eb;Jb=0;break}else{Lb=N}}N=Lb;x=(n|0)==0;F=k+8|0;C=k+12|0;J=k+32|0;r=(T|0)==0;E=(W|0)==0;q=b;G=1;K=-1;w=-1;L=Q;M=R;h:while(1){do{if((M|0)>0){if(x){NU(O|0,-1|0,M<<2|0)|0;break}else{u=0;do{c[Eb+(u<<2)>>2]=-1;c[n+(u<<2)>>2]=-1;u=u+1|0;}while((u|0)<(c[l>>2]|0))}}}while(0);u=c[P>>2]|0;if((u|0)>0){NU(N|0,0,u<<2|0)|0}u=c[j>>2]|0;v=G+K|0;B=mT(j,q,4)|0;if((B|0)<1){if((B|0)<0){A=1;break a}Mb=B+1|0}else{Mb=B}B=q+Mb|0;y=c[j>>2]|0;D=c[F>>2]|0;o=D+8|0;if((c[o>>2]|0)==0){Nb=Mb;Ob=w;Pb=L;Qb=0;sa=196}else{s=(v|0)==0;la=(u|0)==95;Ea=(v|0)<1&E;ra=((u|0)!=10|r)^1;ka=0;da=0;ca=L;fa=D;D=o;while(1){o=fa+20|0;ea=c[o>>2]|0;i:do{if((ea|0)==0){sa=56}else{if(!((ea&1|0)==0|Ea|ra)){Rb=ca;Sb=da;Tb=ka;break}if((ea&2|0)!=0){ba=c[j>>2]|0;if((ba|V|0)!=0&((ba|0)!=10|r)){Rb=ca;Sb=da;Tb=ka;break}}do{if((ea&16|0)!=0){if(la){Rb=ca;Sb=da;Tb=ka;break i}if((TS(u)|0)!=0){Rb=ca;Sb=da;Tb=ka;break i}ba=c[j>>2]|0;if((ba|0)==95){break}if((TS(ba)|0)==0){Rb=ca;Sb=da;Tb=ka;break i}}}while(0);ba=c[o>>2]|0;if((ba&32|0)==0){Ub=ba}else{if(!la){if((TS(u)|0)==0){Rb=ca;Sb=da;Tb=ka;break}}ba=c[j>>2]|0;if((ba|0)==95){Rb=ca;Sb=da;Tb=ka;break}if((TS(ba)|0)!=0){Rb=ca;Sb=da;Tb=ka;break}Ub=c[o>>2]|0}do{if((Ub&64|0)==0|s){Vb=Ub}else{ba=c[j>>2]|0;if((ba|0)==0){Vb=Ub;break}if(la){Wb=1;Xb=ba}else{ba=(TS(u)|0)!=0|0;Wb=ba;Xb=c[j>>2]|0}if((Xb|0)==95){Yb=1}else{Yb=(TS(Xb)|0)!=0|0}if((Wb|0)==(Yb|0)){Rb=ca;Sb=da;Tb=ka;break i}Vb=c[o>>2]|0}}while(0);if((Vb&128|0)==0){sa=56;break}if(s){Rb=ca;Sb=da;Tb=ka;break}ba=c[j>>2]|0;if((ba|0)==0){Rb=ca;Sb=da;Tb=ka;break}if(la){Zb=1;_b=ba}else{ba=(TS(u)|0)!=0|0;Zb=ba;_b=c[j>>2]|0}if((_b|0)==95){$b=1}else{$b=(TS(_b)|0)!=0|0}if((Zb|0)==($b|0)){sa=56}else{Rb=ca;Sb=da;Tb=ka}}}while(0);do{if((sa|0)==56){sa=0;if((ka|0)==0){Rb=ca;Sb=c[fa+16>>2]|0;Tb=c[D>>2]|0;break}o=ca+28|0;ea=c[o>>2]|0;if((ea|0)==0){ba=IT(S,0,0,0,32)|0;ha=ba;if((ba|0)==0){sa=60;break h}c[ba+24>>2]=ca;c[ba+28>>2]=0;_a=IT(S,0,0,0,c[l>>2]<<2)|0;c[ba+20>>2]=_a;if((_a|0)==0){sa=67;break h}c[o>>2]=ha;ac=ha}else{ac=ea}c[ac>>2]=v;c[ac+4>>2]=B;c[ac+8>>2]=c[D>>2];c[ac+12>>2]=c[fa+12>>2];c[ac+16>>2]=c[j>>2];if((c[l>>2]|0)>0){ea=c[ac+20>>2]|0;ha=0;do{c[ea+(ha<<2)>>2]=c[Eb+(ha<<2)>>2];ha=ha+1|0;}while((ha|0)<(c[l>>2]|0))}ha=c[fa+16>>2]|0;if((ha|0)==0){Rb=ac;Sb=da;Tb=ka;break}ea=c[ha>>2]|0;if(!((ea|0)>-1)){Rb=ac;Sb=da;Tb=ka;break}o=c[ac+20>>2]|0;_a=ha;ha=ea;while(1){ea=_a+4|0;c[o+(ha<<2)>>2]=v;ba=c[ea>>2]|0;if((ba|0)>-1){_a=ea;ha=ba}else{Rb=ac;Sb=da;Tb=ka;break}}}}while(0);ha=fa+40|0;if((c[ha>>2]|0)==0){break}else{ka=Tb;da=Sb;ca=Rb;fa=fa+32|0;D=ha}}do{if((Sb|0)==0){bc=0}else{D=c[Sb>>2]|0;if((D|0)>-1){cc=Sb;dc=D}else{bc=Sb;break}while(1){c[Eb+(dc<<2)>>2]=v;D=cc+4|0;fa=c[D>>2]|0;if((fa|0)>-1){cc=D;dc=fa}else{bc=D;break}}}}while(0);if((Tb|0)==0){Nb=Mb;Ob=w;Pb=Rb;Qb=bc;sa=196}else{ec=B;fc=v;gc=Mb;hc=w;ic=Rb;jc=bc;kc=Tb}}j:while(1){if((sa|0)==196){sa=0;D=c[Pb+24>>2]|0;if((D|0)==0){break}fa=c[Pb+8>>2]|0;if((c[fa+20>>2]&256|0)!=0){c[Lb+(c[Pb+12>>2]<<2)>>2]=0}ca=c[Pb>>2]|0;da=c[Pb+4>>2]|0;c[j>>2]=c[Pb+16>>2];ka=c[l>>2]|0;if((ka|0)<=0){ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue}u=c[Pb+20>>2]|0;la=0;while(1){c[Eb+(la<<2)>>2]=c[u+(la<<2)>>2];s=la+1|0;if((s|0)<(ka|0)){la=s}else{ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue j}}}if((kc|0)==(c[C>>2]|0)){lc=jc;mc=ic;nc=gc;oc=fc}else{fa=kc;D=jc;ca=ic;da=gc;la=fc;ka=ec;while(1){u=fa+8|0;do{if((c[u>>2]|0)==0){sa=109}else{if((c[fa+20>>2]&256|0)==0){sa=109;break}s=c[fa+24>>2]|0;FT(s+1|0,Kb,c[U>>2]&-9,a,Eb,la);ra=c[Kb+(s<<3)>>2]|0;Ea=c[Kb+(s<<3)+4>>2]|0;s=Ea-ra|0;if((JU(b+ra|0,ka-1|0,s)|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ha=(Ea|0)==(ra|0);ra=ha&1;Ea=Lb+(c[fa+12>>2]<<2)|0;if(ha){if((c[Ea>>2]|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}}c[Ea>>2]=ra;ra=s-1|0;s=ra+la|0;Ea=c[j>>2]|0;ha=mT(j,ka+ra|0,4)|0;if((ha|0)<1){if((ha|0)<0){A=1;break a}pc=ha+1|0}else{pc=ha}qc=Ea;rc=pc+ra|0;sc=s;tc=pc}}while(0);do{if((sa|0)==109){sa=0;s=c[j>>2]|0;if((s|0)==0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=mT(j,ka,4)|0;if((ra|0)>=1){qc=s;rc=ra;sc=la;tc=ra;break}if((ra|0)<0){A=1;break a}Ea=ra+1|0;qc=s;rc=Ea;sc=la;tc=Ea}}while(0);Ea=ka+rc|0;s=sc+da|0;if((c[u>>2]|0)==0){Nb=tc;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=(s|0)==0;ha=(qc|0)==95;_a=(s|0)<1&E;o=((qc|0)!=10|r)^1;ba=D;ea=ca;$a=fa;Za=0;ta=u;while(1){k:do{if((c[$a>>2]|0)>>>0>qc>>>0){uc=Za;vc=ea;wc=ba}else{if((c[$a+4>>2]|0)>>>0<qc>>>0){uc=Za;vc=ea;wc=ba;break}Ca=$a+20|0;Da=c[Ca>>2]|0;l:do{if((Da|0)!=0){if(!((Da&1|0)==0|_a|o)){uc=Za;vc=ea;wc=ba;break k}if((Da&2|0)!=0){qa=c[j>>2]|0;if((qa|V|0)!=0&((qa|0)!=10|r)){uc=Za;vc=ea;wc=ba;break k}}do{if((Da&16|0)!=0){if(ha){uc=Za;vc=ea;wc=ba;break k}if((TS(qc)|0)!=0){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==95){break}if((TS(qa)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);qa=c[Ca>>2]|0;if((qa&32|0)==0){xc=qa}else{if(!ha){if((TS(qc)|0)==0){uc=Za;vc=ea;wc=ba;break k}}qa=c[j>>2]|0;if((qa|0)==95){uc=Za;vc=ea;wc=ba;break k}if((TS(qa)|0)!=0){uc=Za;vc=ea;wc=ba;break k}xc=c[Ca>>2]|0}do{if((xc&64|0)==0|ra){yc=xc}else{qa=c[j>>2]|0;if((qa|0)==0){yc=xc;break}if(ha){zc=1;Ac=qa}else{qa=(TS(qc)|0)!=0|0;zc=qa;Ac=c[j>>2]|0}if((Ac|0)==95){Bc=1}else{Bc=(TS(Ac)|0)!=0|0}if((zc|0)==(Bc|0)){uc=Za;vc=ea;wc=ba;break k}yc=c[Ca>>2]|0}}while(0);if((yc&128|0)==0){Cc=yc}else{if(ra){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==0){uc=Za;vc=ea;wc=ba;break k}if(ha){Dc=1;Ec=qa}else{qa=(TS(qc)|0)!=0|0;Dc=qa;Ec=c[j>>2]|0}if((Ec|0)==95){Fc=1}else{Fc=(TS(Ec)|0)!=0|0}if((Dc|0)!=(Fc|0)){uc=Za;vc=ea;wc=ba;break k}Cc=c[Ca>>2]|0}do{if((Cc&4|0)==0){Gc=Cc}else{if((c[U>>2]&2|0)!=0){Gc=Cc;break}if((XS(qc,c[$a+24>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}Gc=c[Ca>>2]|0}}while(0);do{if((Gc&4|0)!=0){if((c[U>>2]&2|0)==0){break}qa=hT(qc)|0;aa=$a+24|0;if((XS(qa,c[aa>>2]|0)|0)!=0){break}qa=fT(qc)|0;if((XS(qa,c[aa>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);if((c[Ca>>2]&8|0)==0){break}aa=c[$a+28>>2]|0;qa=c[aa>>2]|0;if((qa|0)==0){break}if((c[U>>2]&2|0)==0){eb=aa;sb=qa;while(1){if((XS(qc,sb)|0)!=0){uc=Za;vc=ea;wc=ba;break k}eb=eb+4|0;sb=c[eb>>2]|0;if((sb|0)==0){break l}}}else{Hc=aa}do{sb=fT(qc)|0;if((XS(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}sb=hT(qc)|0;if((XS(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}Hc=Hc+4|0;}while((c[Hc>>2]|0)!=0)}}while(0);if((Za|0)==0){uc=c[ta>>2]|0;vc=ea;wc=c[$a+16>>2]|0;break}Ca=ea+28|0;Da=c[Ca>>2]|0;if((Da|0)==0){aa=IT(S,0,0,0,32)|0;sb=aa;if((aa|0)==0){sa=169;break h}c[aa+24>>2]=ea;c[aa+28>>2]=0;eb=IT(S,0,0,0,c[l>>2]<<2)|0;c[aa+20>>2]=eb;if((eb|0)==0){sa=176;break h}c[Ca>>2]=sb;Ic=sb}else{Ic=Da}c[Ic>>2]=s;c[Ic+4>>2]=Ea;c[Ic+8>>2]=c[ta>>2];c[Ic+12>>2]=c[$a+12>>2];c[Ic+16>>2]=c[j>>2];if((c[l>>2]|0)>0){Da=c[Ic+20>>2]|0;sb=0;do{c[Da+(sb<<2)>>2]=c[Eb+(sb<<2)>>2];sb=sb+1|0;}while((sb|0)<(c[l>>2]|0))}sb=c[$a+16>>2]|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}Da=Ic+20|0;Ca=sb;while(1){sb=c[Ca>>2]|0;if(!((sb|0)>-1)){uc=Za;vc=Ic;wc=ba;break k}c[(c[Da>>2]|0)+(sb<<2)>>2]=s;sb=Ca+4|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}else{Ca=sb}}}}while(0);Ca=$a+40|0;if((c[Ca>>2]|0)==0){break}else{ba=wc;ea=vc;$a=$a+32|0;Za=uc;ta=Ca}}if((uc|0)==0){Nb=tc;Ob=hc;Pb=vc;Qb=wc;sa=196;continue j}do{if((wc|0)==0){Jc=0}else{ta=c[wc>>2]|0;if((ta|0)>-1){Kc=wc;Lc=ta}else{Jc=wc;break}while(1){ta=Kc+4|0;c[Eb+(Lc<<2)>>2]=s;Za=c[ta>>2]|0;if((Za|0)>-1){Kc=ta;Lc=Za}else{Jc=ta;break}}}}while(0);if((uc|0)==(c[C>>2]|0)){lc=Jc;mc=vc;nc=tc;oc=s;break}else{fa=uc;D=Jc;ca=vc;da=tc;la=s;ka=Ea}}}m:do{if((hc|0)<(oc|0)){sa=96}else{if((hc|0)!=(oc|0)|x){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}ka=c[l>>2]|0;la=c[J>>2]|0;if((ka|0)>0){Mc=0}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}while(1){da=c[Eb+(Mc<<2)>>2]|0;ca=c[n+(Mc<<2)>>2]|0;if((c[la+(Mc<<2)>>2]|0)==0){if((da|0)<(ca|0)){sa=96;break m}if((da|0)>(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}else{if((da|0)>(ca|0)){Nc=ka;break m}if((da|0)<(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}ca=Mc+1|0;if((ca|0)<(ka|0)){Mc=ca}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}}}while(0);if((sa|0)==96){sa=0;if(x){Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}Nc=c[l>>2]|0}if((Nc|0)>0){Oc=0}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}while(1){c[n+(Oc<<2)>>2]=c[Eb+(Oc<<2)>>2];ka=Oc+1|0;if((ka|0)<(c[l>>2]|0)){Oc=ka}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue j}}}if((Ob|0)>=0){sa=205;break}if((c[j>>2]|0)==0){sa=205;break}c[j>>2]=y;q=B;G=Nb;K=v;w=Ob;L=Pb;M=c[l>>2]|0}if((sa|0)==60){HT(S);if((Eb|0)!=0){jU(O)}if((Kb|0)!=0){jU(Kb)}if((Lb|0)==0){A=12;break a}jU(N);A=12;break a}else if((sa|0)==67){HT(S);if((Eb|0)!=0){jU(O)}if((Kb|0)!=0){jU(Kb)}if((Lb|0)==0){A=12;break a}jU(N);A=12;break a}else if((sa|0)==169){HT(S);if((Eb|0)!=0){jU(O)}if((Kb|0)!=0){jU(Kb)}if((Lb|0)==0){A=12;break a}jU(N);A=12;break a}else if((sa|0)==176){HT(S);if((Eb|0)!=0){jU(O)}if((Kb|0)!=0){jU(Kb)}if((Lb|0)==0){A=12;break a}jU(N);A=12;break a}else if((sa|0)==205){Fb=Ob>>>31;Gb=Kb;Hb=Lb;Ib=Eb;Jb=Ob;break}}}while(0);HT(S);if((Ib|0)!=0){jU(Ib)}if((Gb|0)!=0){jU(Gb)}if((Hb|0)==0){Cb=Fb;Db=Jb;sa=375;break}jU(Hb);Cb=Fb;Db=Jb;sa=375}}while(0);do{if((sa|0)==375){if((Cb|0)!=0){A=Cb;break}FT(d,e,c[k+56>>2]|0,a,n,Db);A=0}}while(0);if((n|0)==0){p=A;i=g;return p|0}jU(m);p=A;i=g;return p|0}function FT(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do{if((g|0)>-1){if((d&8|0)!=0){h=0;break}i=c[e+16>>2]|0;j=e+28|0;k=c[j>>2]|0;l=(a|0)!=0;if((k|0)!=0&l){m=e+48|0;n=0;while(1){o=c[i+(n*12|0)>>2]|0;if((o|0)==(c[m>>2]|0)){c[b+(n<<3)>>2]=g;p=g}else{q=c[f+(o<<2)>>2]|0;c[b+(n<<3)>>2]=q;p=q}q=c[i+(n*12|0)+4>>2]|0;if((q|0)==(c[m>>2]|0)){c[b+(n<<3)+4>>2]=g;r=g}else{o=c[f+(q<<2)>>2]|0;c[b+(n<<3)+4>>2]=o;r=o}if((p|0)==-1|(r|0)==-1){c[b+(n<<3)+4>>2]=-1;c[b+(n<<3)>>2]=-1}o=n+1|0;q=c[j>>2]|0;if(o>>>0<q>>>0&o>>>0<a>>>0){n=o}else{s=q;break}}}else{s=k}if((s|0)!=0&l){t=0;u=s}else{h=0;break}while(1){n=b+(t<<3)+4|0;m=c[i+(t*12|0)+8>>2]|0;do{if((m|0)==0){v=u}else{q=c[m>>2]|0;if(!((q|0)>-1)){v=u;break}o=b+(t<<3)|0;w=0;x=q;q=c[o>>2]|0;while(1){if((q|0)<(c[b+(x<<3)>>2]|0)){y=21}else{if((c[n>>2]|0)>(c[b+(x<<3)+4>>2]|0)){y=21}else{z=q}}if((y|0)==21){y=0;c[n>>2]=-1;c[o>>2]=-1;z=-1}A=w+1|0;B=c[m+(A<<2)>>2]|0;if((B|0)>-1){w=A;x=B;q=z}else{break}}v=c[j>>2]|0}}while(0);m=t+1|0;if(m>>>0<v>>>0&m>>>0<a>>>0){t=m;u=v}else{h=m;break}}}else{h=0}}while(0);if(h>>>0<a>>>0){C=h}else{return}do{c[b+(C<<3)>>2]=-1;c[b+(C<<3)+4>>2]=-1;C=C+1|0;}while(C>>>0<a>>>0);return}function GT(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==0){c=kU(1,24)|0}else{NU(b|0,0,24)|0;c=b}if((c|0)==0){d=0;return d|0}d=c;return d|0}function HT(a){a=a|0;var b=0,d=0,e=0;b=c[a>>2]|0;if((b|0)==0){d=a;jU(d);return}else{e=b}while(1){jU(c[e>>2]|0);b=c[e+4>>2]|0;jU(e);if((b|0)==0){break}else{e=b}}d=a;jU(d);return}function IT(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+16|0;if((c[g>>2]|0)!=0){h=0;return h|0}i=a+12|0;j=c[i>>2]|0;do{if(j>>>0<f>>>0){if((b|0)!=0){if((d|0)!=0){c[a+8>>2]=d;c[i>>2]=1024;k=1024;l=d;break}c[g>>2]=1;h=0;return h|0}m=f<<3;n=m>>>0>1024>>>0?m:1024;m=iU(8)|0;o=m;if((m|0)==0){c[g>>2]=1;h=0;return h|0}p=iU(n)|0;q=m;c[q>>2]=p;if((p|0)==0){jU(m);c[g>>2]=1;h=0;return h|0}c[m+4>>2]=0;m=a+4|0;p=c[m>>2]|0;if((p|0)!=0){c[p+4>>2]=o}p=a|0;if((c[p>>2]|0)==0){c[p>>2]=o}c[m>>2]=o;o=c[q>>2]|0;c[a+8>>2]=o;c[i>>2]=n;k=n;l=o}else{k=j;l=c[a+8>>2]|0}}while(0);j=l+f&3;g=((j|0)==0?0:4-j|0)+f|0;c[a+8>>2]=l+g;c[i>>2]=k-g;if((e|0)==0){h=l;return h|0}NU(l|0,0,g|0)|0;h=l;return h|0}function JT(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((b|0)==0){d=a+((KT(a)|0)<<2)|0;return d|0}else{e=a}while(1){f=c[e>>2]|0;if((f|0)==0|(f|0)==(b|0)){break}else{e=e+4|0}}d=(f|0)!=0?e:0;return d|0}function KT(a){a=a|0;var b=0;b=a;while(1){if((c[b>>2]|0)==0){break}else{b=b+4|0}}return b-a>>2|0}function LT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)==0){return a|0}else{e=b;f=d;g=a}while(1){d=f-1|0;c[g>>2]=c[e>>2];if((d|0)==0){break}else{e=e+4|0;f=d;g=g+4|0}}return a|0}function MT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=(d|0)==0;if(a-b>>2>>>0<d>>>0){if(e){return a|0}else{f=d}do{f=f-1|0;c[a+(f<<2)>>2]=c[b+(f<<2)>>2];}while((f|0)!=0);return a|0}else{if(e){return a|0}else{g=b;h=d;i=a}while(1){d=h-1|0;c[i>>2]=c[g>>2];if((d|0)==0){break}else{g=g+4|0;h=d;i=i+4|0}}return a|0}return 0}function NT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;if((d|0)==0){return a|0}else{e=d;f=a}while(1){d=e-1|0;c[f>>2]=b;if((d|0)==0){break}else{e=d;f=f+4|0}}return a|0}function OT(a){a=a|0;return}function PT(a){a=a|0;c[a>>2]=905352;return}function QT(a){a=a|0;qU(a);return}function RT(a){a=a|0;return}function ST(a){a=a|0;return 892424}function TT(a){a=a|0;OT(a|0);return}function UT(a){a=a|0;return}function VT(a){a=a|0;return}function WT(a){a=a|0;OT(a|0);qU(a);return}function XT(a){a=a|0;OT(a|0);qU(a);return}function YT(a){a=a|0;OT(a|0);qU(a);return}function ZT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e|0;if((a|0)==(b|0)){g=1;i=e;return g|0}if((b|0)==0){g=0;i=e;return g|0}h=bU(b,913368,913352,0)|0;b=h;if((h|0)==0){g=0;i=e;return g|0}NU(f|0,0,56)|0;c[f>>2]=b;c[f+8>>2]=a;c[f+12>>2]=-1;c[f+48>>2]=1;je[c[(c[h>>2]|0)+28>>2]&63](b,f,c[d>>2]|0,1);if((c[f+24>>2]|0)!=1){g=0;i=e;return g|0}c[d>>2]=c[f+16>>2];g=1;i=e;return g|0}function _T(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((c[d+8>>2]|0)!=(b|0)){return}b=d+16|0;g=c[b>>2]|0;if((g|0)==0){c[b>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((g|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function $T(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((b|0)!=(c[d+8>>2]|0)){g=c[b+8>>2]|0;je[c[(c[g>>2]|0)+28>>2]&63](g,d,e,f);return}g=d+16|0;b=c[g>>2]|0;if((b|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function aU(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((b|0)==(c[d+8>>2]|0)){g=d+16|0;h=c[g>>2]|0;if((h|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((h|0)!=(e|0)){h=d+36|0;c[h>>2]=(c[h>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}h=d+24|0;if((c[h>>2]|0)!=2){return}c[h>>2]=f;return}h=c[b+12>>2]|0;g=b+16+(h<<3)|0;i=c[b+20>>2]|0;j=i>>8;if((i&1|0)==0){k=j}else{k=c[(c[e>>2]|0)+j>>2]|0}j=c[b+16>>2]|0;je[c[(c[j>>2]|0)+28>>2]&63](j,d,e+k|0,(i&2|0)!=0?f:2);if((h|0)<=1){return}h=d+54|0;i=e;k=b+24|0;while(1){b=c[k+4>>2]|0;j=b>>8;if((b&1|0)==0){l=j}else{l=c[(c[i>>2]|0)+j>>2]|0}j=c[k>>2]|0;je[c[(c[j>>2]|0)+28>>2]&63](j,d,e+l|0,(b&2|0)!=0?f:2);if((a[h]|0)!=0){m=16;break}b=k+8|0;if(b>>>0<g>>>0){k=b}else{m=16;break}}if((m|0)==16){return}}function bU(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+56|0;g=f|0;h=c[a>>2]|0;j=a+(c[h-8>>2]|0)|0;k=c[h-4>>2]|0;h=k;c[g>>2]=d;c[g+4>>2]=a;c[g+8>>2]=b;c[g+12>>2]=e;e=g+16|0;b=g+20|0;a=g+24|0;l=g+28|0;m=g+32|0;n=g+40|0;NU(e|0,0,39)|0;do{if((k|0)==(d|0)){c[g+48>>2]=1;Yd[c[(c[k>>2]|0)+20>>2]&63](h,g,j,j,1,0);o=(c[a>>2]|0)==1?j:0}else{Pd[c[(c[k>>2]|0)+24>>2]&31](h,g,j,1,0);p=c[g+36>>2]|0;if((p|0)==0){if((c[n>>2]|0)!=1){o=0;break}if((c[l>>2]|0)!=1){o=0;break}o=(c[m>>2]|0)==1?c[b>>2]|0:0;break}else if((p|0)!=1){o=0;break}if((c[a>>2]|0)!=1){if((c[n>>2]|0)!=0){o=0;break}if((c[l>>2]|0)!=1){o=0;break}if((c[m>>2]|0)!=1){o=0;break}}o=c[e>>2]|0}}while(0);i=f;return o|0}function cU(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)==(c[d>>2]|0)){do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=c[b+12>>2]|0;k=b+16+(j<<3)|0;a:do{if((j|0)>0){l=d+52|0;m=d+53|0;n=d+54|0;o=b+8|0;p=d+24|0;q=e;r=0;s=b+16|0;t=0;b:while(1){a[l]=0;a[m]=0;u=c[s+4>>2]|0;v=u>>8;if((u&1|0)==0){w=v}else{w=c[(c[q>>2]|0)+v>>2]|0}v=c[s>>2]|0;Yd[c[(c[v>>2]|0)+20>>2]&63](v,d,e,e+w|0,2-(u>>>1&1)|0,g);if((a[n]|0)!=0){x=t;y=r;break}do{if((a[m]|0)==0){z=t;A=r}else{if((a[l]|0)==0){if((c[o>>2]&1|0)==0){x=1;y=r;break b}else{z=1;A=r;break}}if((c[p>>2]|0)==1){B=27;break a}if((c[o>>2]&2|0)==0){B=27;break a}else{z=1;A=1}}}while(0);u=s+8|0;if(u>>>0<k>>>0){r=A;s=u;t=z}else{x=z;y=A;break}}if(y){C=x;B=26}else{D=x;B=23}}else{D=0;B=23}}while(0);do{if((B|0)==23){c[h>>2]=e;k=d+40|0;c[k>>2]=(c[k>>2]|0)+1;if((c[d+36>>2]|0)!=1){C=D;B=26;break}if((c[d+24>>2]|0)!=2){C=D;B=26;break}a[d+54|0]=1;if(D){B=27}else{B=28}}}while(0);if((B|0)==26){if(C){B=27}else{B=28}}if((B|0)==27){c[i>>2]=3;return}else if((B|0)==28){c[i>>2]=4;return}}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}C=c[b+12>>2]|0;D=b+16+(C<<3)|0;x=c[b+20>>2]|0;y=x>>8;if((x&1|0)==0){E=y}else{E=c[(c[e>>2]|0)+y>>2]|0}y=c[b+16>>2]|0;Pd[c[(c[y>>2]|0)+24>>2]&31](y,d,e+E|0,(x&2|0)!=0?f:2,g);x=b+24|0;if((C|0)<=1){return}C=c[b+8>>2]|0;do{if((C&2|0)==0){b=d+36|0;if((c[b>>2]|0)==1){break}if((C&1|0)==0){E=d+54|0;y=e;A=x;while(1){if((a[E]|0)!=0){B=53;break}if((c[b>>2]|0)==1){B=53;break}z=c[A+4>>2]|0;w=z>>8;if((z&1|0)==0){F=w}else{F=c[(c[y>>2]|0)+w>>2]|0}w=c[A>>2]|0;Pd[c[(c[w>>2]|0)+24>>2]&31](w,d,e+F|0,(z&2|0)!=0?f:2,g);z=A+8|0;if(z>>>0<D>>>0){A=z}else{B=53;break}}if((B|0)==53){return}}A=d+24|0;y=d+54|0;E=e;i=x;while(1){if((a[y]|0)!=0){B=53;break}if((c[b>>2]|0)==1){if((c[A>>2]|0)==1){B=53;break}}z=c[i+4>>2]|0;w=z>>8;if((z&1|0)==0){G=w}else{G=c[(c[E>>2]|0)+w>>2]|0}w=c[i>>2]|0;Pd[c[(c[w>>2]|0)+24>>2]&31](w,d,e+G|0,(z&2|0)!=0?f:2,g);z=i+8|0;if(z>>>0<D>>>0){i=z}else{B=53;break}}if((B|0)==53){return}}}while(0);G=d+54|0;F=e;C=x;while(1){if((a[G]|0)!=0){B=53;break}x=c[C+4>>2]|0;i=x>>8;if((x&1|0)==0){H=i}else{H=c[(c[F>>2]|0)+i>>2]|0}i=c[C>>2]|0;Pd[c[(c[i>>2]|0)+24>>2]&31](i,d,e+H|0,(x&2|0)!=0?f:2,g);x=C+8|0;if(x>>>0<D>>>0){C=x}else{B=53;break}}if((B|0)==53){return}}function dU(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)!=(c[d>>2]|0)){h=c[b+8>>2]|0;Pd[c[(c[h>>2]|0)+24>>2]&31](h,d,e,f,g);return}do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=d+52|0;a[j]=0;k=d+53|0;a[k]=0;l=c[b+8>>2]|0;Yd[c[(c[l>>2]|0)+20>>2]&63](l,d,e,e,1,g);if((a[k]|0)==0){m=0;n=13}else{if((a[j]|0)==0){m=1;n=13}}a:do{if((n|0)==13){c[h>>2]=e;j=d+40|0;c[j>>2]=(c[j>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){n=16;break}a[d+54|0]=1;if(m){break a}}else{n=16}}while(0);if((n|0)==16){if(m){break}}c[i>>2]=4;return}}while(0);c[i>>2]=3;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function eU(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;if((c[d+8>>2]|0)==(b|0)){if((c[d+4>>2]|0)!=(e|0)){return}g=d+28|0;if((c[g>>2]|0)==1){return}c[g>>2]=f;return}if((c[d>>2]|0)!=(b|0)){return}do{if((c[d+16>>2]|0)!=(e|0)){b=d+20|0;if((c[b>>2]|0)==(e|0)){break}c[d+32>>2]=f;c[b>>2]=e;b=d+40|0;c[b>>2]=(c[b>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){break}a[d+54|0]=1}}while(0);c[d+44>>2]=4;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function fU(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((b|0)!=(c[d+8>>2]|0)){i=d+52|0;j=a[i]|0;k=d+53|0;l=a[k]|0;m=c[b+12>>2]|0;n=b+16+(m<<3)|0;a[i]=0;a[k]=0;o=c[b+20>>2]|0;p=o>>8;if((o&1|0)==0){q=p}else{q=c[(c[f>>2]|0)+p>>2]|0}p=c[b+16>>2]|0;Yd[c[(c[p>>2]|0)+20>>2]&63](p,d,e,f+q|0,(o&2|0)!=0?g:2,h);a:do{if((m|0)>1){o=d+24|0;q=b+8|0;p=d+54|0;r=f;s=b+24|0;do{if((a[p]|0)!=0){break a}do{if((a[i]|0)==0){if((a[k]|0)==0){break}if((c[q>>2]&1|0)==0){break a}}else{if((c[o>>2]|0)==1){break a}if((c[q>>2]&2|0)==0){break a}}}while(0);a[i]=0;a[k]=0;t=c[s+4>>2]|0;u=t>>8;if((t&1|0)==0){v=u}else{v=c[(c[r>>2]|0)+u>>2]|0}u=c[s>>2]|0;Yd[c[(c[u>>2]|0)+20>>2]&63](u,d,e,f+v|0,(t&2|0)!=0?g:2,h);s=s+8|0;}while(s>>>0<n>>>0)}}while(0);a[i]=j;a[k]=l;return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;l=c[f>>2]|0;if((l|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((l|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;l=c[e>>2]|0;if((l|0)==2){c[e>>2]=g;w=g}else{w=l}if(!((c[d+48>>2]|0)==1&(w|0)==1)){return}a[d+54|0]=1;return}function gU(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;if((b|0)!=(c[d+8>>2]|0)){i=c[b+8>>2]|0;Yd[c[(c[i>>2]|0)+20>>2]&63](i,d,e,f,g,h);return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;h=c[f>>2]|0;if((h|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((h|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;h=c[e>>2]|0;if((h|0)==2){c[e>>2]=g;j=g}else{j=h}if(!((c[d+48>>2]|0)==1&(j|0)==1)){return}a[d+54|0]=1;return}function hU(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;if((c[d+8>>2]|0)!=(b|0)){return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;b=c[f>>2]|0;if((b|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;b=c[e>>2]|0;if((b|0)==2){c[e>>2]=g;i=g}else{i=b}if(!((c[d+48>>2]|0)==1&(i|0)==1)){return}a[d+54|0]=1;return}function iU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;do{if(a>>>0<245>>>0){if(a>>>0<11>>>0){b=16}else{b=a+11&-8}d=b>>>3;e=c[234926]|0;f=e>>>(d>>>0);if((f&3|0)!=0){g=(f&1^1)+d|0;h=g<<1;i=939744+(h<<2)|0;j=939744+(h+2<<2)|0;h=c[j>>2]|0;k=h+8|0;l=c[k>>2]|0;do{if((i|0)==(l|0)){c[234926]=e&~(1<<g)}else{if(l>>>0<(c[234930]|0)>>>0){jd();return 0}m=l+12|0;if((c[m>>2]|0)==(h|0)){c[m>>2]=i;c[j>>2]=l;break}else{jd();return 0}}}while(0);l=g<<3;c[h+4>>2]=l|3;j=h+(l|4)|0;c[j>>2]=c[j>>2]|1;n=k;return n|0}if(!(b>>>0>(c[234928]|0)>>>0)){o=b;break}if((f|0)!=0){j=2<<d;l=f<<d&(j|-j);j=(l&-l)-1|0;l=j>>>12&16;i=j>>>(l>>>0);j=i>>>5&8;m=i>>>(j>>>0);i=m>>>2&4;p=m>>>(i>>>0);m=p>>>1&2;q=p>>>(m>>>0);p=q>>>1&1;r=(j|l|i|m|p)+(q>>>(p>>>0))|0;p=r<<1;q=939744+(p<<2)|0;m=939744+(p+2<<2)|0;p=c[m>>2]|0;i=p+8|0;l=c[i>>2]|0;do{if((q|0)==(l|0)){c[234926]=e&~(1<<r)}else{if(l>>>0<(c[234930]|0)>>>0){jd();return 0}j=l+12|0;if((c[j>>2]|0)==(p|0)){c[j>>2]=q;c[m>>2]=l;break}else{jd();return 0}}}while(0);l=r<<3;m=l-b|0;c[p+4>>2]=b|3;q=p;e=q+b|0;c[q+(b|4)>>2]=m|1;c[q+l>>2]=m;l=c[234928]|0;if((l|0)!=0){q=c[234931]|0;d=l>>>3;l=d<<1;f=939744+(l<<2)|0;k=c[234926]|0;h=1<<d;do{if((k&h|0)==0){c[234926]=k|h;s=f;t=939744+(l+2<<2)|0}else{d=939744+(l+2<<2)|0;g=c[d>>2]|0;if(!(g>>>0<(c[234930]|0)>>>0)){s=g;t=d;break}jd();return 0}}while(0);c[t>>2]=q;c[s+12>>2]=q;c[q+8>>2]=s;c[q+12>>2]=f}c[234928]=m;c[234931]=e;n=i;return n|0}l=c[234927]|0;if((l|0)==0){o=b;break}h=(l&-l)-1|0;l=h>>>12&16;k=h>>>(l>>>0);h=k>>>5&8;p=k>>>(h>>>0);k=p>>>2&4;r=p>>>(k>>>0);p=r>>>1&2;d=r>>>(p>>>0);r=d>>>1&1;g=c[940008+((h|l|k|p|r)+(d>>>(r>>>0))<<2)>>2]|0;r=g;d=g;p=(c[g+4>>2]&-8)-b|0;while(1){g=c[r+16>>2]|0;if((g|0)==0){k=c[r+20>>2]|0;if((k|0)==0){break}else{u=k}}else{u=g}g=(c[u+4>>2]&-8)-b|0;k=g>>>0<p>>>0;r=u;d=k?u:d;p=k?g:p}r=d;i=c[234930]|0;if(r>>>0<i>>>0){jd();return 0}e=r+b|0;m=e;if(!(r>>>0<e>>>0)){jd();return 0}e=c[d+24>>2]|0;f=c[d+12>>2]|0;do{if((f|0)==(d|0)){q=d+20|0;g=c[q>>2]|0;if((g|0)==0){k=d+16|0;l=c[k>>2]|0;if((l|0)==0){v=0;break}else{w=l;x=k}}else{w=g;x=q}while(1){q=w+20|0;g=c[q>>2]|0;if((g|0)!=0){w=g;x=q;continue}q=w+16|0;g=c[q>>2]|0;if((g|0)==0){break}else{w=g;x=q}}if(x>>>0<i>>>0){jd();return 0}else{c[x>>2]=0;v=w;break}}else{q=c[d+8>>2]|0;if(q>>>0<i>>>0){jd();return 0}g=q+12|0;if((c[g>>2]|0)!=(d|0)){jd();return 0}k=f+8|0;if((c[k>>2]|0)==(d|0)){c[g>>2]=f;c[k>>2]=q;v=f;break}else{jd();return 0}}}while(0);a:do{if((e|0)!=0){f=c[d+28>>2]|0;i=940008+(f<<2)|0;do{if((d|0)==(c[i>>2]|0)){c[i>>2]=v;if((v|0)!=0){break}c[234927]=c[234927]&~(1<<f);break a}else{if(e>>>0<(c[234930]|0)>>>0){jd();return 0}q=e+16|0;if((c[q>>2]|0)==(d|0)){c[q>>2]=v}else{c[e+20>>2]=v}if((v|0)==0){break a}}}while(0);if(v>>>0<(c[234930]|0)>>>0){jd();return 0}c[v+24>>2]=e;f=c[d+16>>2]|0;do{if((f|0)!=0){if(f>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[v+16>>2]=f;c[f+24>>2]=v;break}}}while(0);f=c[d+20>>2]|0;if((f|0)==0){break}if(f>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[v+20>>2]=f;c[f+24>>2]=v;break}}}while(0);if(p>>>0<16>>>0){e=p+b|0;c[d+4>>2]=e|3;f=r+(e+4)|0;c[f>>2]=c[f>>2]|1}else{c[d+4>>2]=b|3;c[r+(b|4)>>2]=p|1;c[r+(p+b)>>2]=p;f=c[234928]|0;if((f|0)!=0){e=c[234931]|0;i=f>>>3;f=i<<1;q=939744+(f<<2)|0;k=c[234926]|0;g=1<<i;do{if((k&g|0)==0){c[234926]=k|g;y=q;z=939744+(f+2<<2)|0}else{i=939744+(f+2<<2)|0;l=c[i>>2]|0;if(!(l>>>0<(c[234930]|0)>>>0)){y=l;z=i;break}jd();return 0}}while(0);c[z>>2]=e;c[y+12>>2]=e;c[e+8>>2]=y;c[e+12>>2]=q}c[234928]=p;c[234931]=m}f=d+8|0;if((f|0)==0){o=b;break}else{n=f}return n|0}else{if(a>>>0>4294967231>>>0){o=-1;break}f=a+11|0;g=f&-8;k=c[234927]|0;if((k|0)==0){o=g;break}r=-g|0;i=f>>>8;do{if((i|0)==0){A=0}else{if(g>>>0>16777215>>>0){A=31;break}f=(i+1048320|0)>>>16&8;l=i<<f;h=(l+520192|0)>>>16&4;j=l<<h;l=(j+245760|0)>>>16&2;B=14-(h|f|l)+(j<<l>>>15)|0;A=g>>>((B+7|0)>>>0)&1|B<<1}}while(0);i=c[940008+(A<<2)>>2]|0;b:do{if((i|0)==0){C=0;D=r;E=0}else{if((A|0)==31){F=0}else{F=25-(A>>>1)|0}d=0;m=r;p=i;q=g<<F;e=0;while(1){B=c[p+4>>2]&-8;l=B-g|0;if(l>>>0<m>>>0){if((B|0)==(g|0)){C=p;D=l;E=p;break b}else{G=p;H=l}}else{G=d;H=m}l=c[p+20>>2]|0;B=c[p+16+(q>>>31<<2)>>2]|0;j=(l|0)==0|(l|0)==(B|0)?e:l;if((B|0)==0){C=G;D=H;E=j;break}else{d=G;m=H;p=B;q=q<<1;e=j}}}}while(0);if((E|0)==0&(C|0)==0){i=2<<A;r=k&(i|-i);if((r|0)==0){o=g;break}i=(r&-r)-1|0;r=i>>>12&16;e=i>>>(r>>>0);i=e>>>5&8;q=e>>>(i>>>0);e=q>>>2&4;p=q>>>(e>>>0);q=p>>>1&2;m=p>>>(q>>>0);p=m>>>1&1;I=c[940008+((i|r|e|q|p)+(m>>>(p>>>0))<<2)>>2]|0}else{I=E}if((I|0)==0){J=D;K=C}else{p=I;m=D;q=C;while(1){e=(c[p+4>>2]&-8)-g|0;r=e>>>0<m>>>0;i=r?e:m;e=r?p:q;r=c[p+16>>2]|0;if((r|0)!=0){p=r;m=i;q=e;continue}r=c[p+20>>2]|0;if((r|0)==0){J=i;K=e;break}else{p=r;m=i;q=e}}}if((K|0)==0){o=g;break}if(!(J>>>0<((c[234928]|0)-g|0)>>>0)){o=g;break}q=K;m=c[234930]|0;if(q>>>0<m>>>0){jd();return 0}p=q+g|0;k=p;if(!(q>>>0<p>>>0)){jd();return 0}e=c[K+24>>2]|0;i=c[K+12>>2]|0;do{if((i|0)==(K|0)){r=K+20|0;d=c[r>>2]|0;if((d|0)==0){j=K+16|0;B=c[j>>2]|0;if((B|0)==0){L=0;break}else{M=B;N=j}}else{M=d;N=r}while(1){r=M+20|0;d=c[r>>2]|0;if((d|0)!=0){M=d;N=r;continue}r=M+16|0;d=c[r>>2]|0;if((d|0)==0){break}else{M=d;N=r}}if(N>>>0<m>>>0){jd();return 0}else{c[N>>2]=0;L=M;break}}else{r=c[K+8>>2]|0;if(r>>>0<m>>>0){jd();return 0}d=r+12|0;if((c[d>>2]|0)!=(K|0)){jd();return 0}j=i+8|0;if((c[j>>2]|0)==(K|0)){c[d>>2]=i;c[j>>2]=r;L=i;break}else{jd();return 0}}}while(0);c:do{if((e|0)!=0){i=c[K+28>>2]|0;m=940008+(i<<2)|0;do{if((K|0)==(c[m>>2]|0)){c[m>>2]=L;if((L|0)!=0){break}c[234927]=c[234927]&~(1<<i);break c}else{if(e>>>0<(c[234930]|0)>>>0){jd();return 0}r=e+16|0;if((c[r>>2]|0)==(K|0)){c[r>>2]=L}else{c[e+20>>2]=L}if((L|0)==0){break c}}}while(0);if(L>>>0<(c[234930]|0)>>>0){jd();return 0}c[L+24>>2]=e;i=c[K+16>>2]|0;do{if((i|0)!=0){if(i>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[L+16>>2]=i;c[i+24>>2]=L;break}}}while(0);i=c[K+20>>2]|0;if((i|0)==0){break}if(i>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[L+20>>2]=i;c[i+24>>2]=L;break}}}while(0);do{if(J>>>0<16>>>0){e=J+g|0;c[K+4>>2]=e|3;i=q+(e+4)|0;c[i>>2]=c[i>>2]|1}else{c[K+4>>2]=g|3;c[q+(g|4)>>2]=J|1;c[q+(J+g)>>2]=J;i=J>>>3;if(J>>>0<256>>>0){e=i<<1;m=939744+(e<<2)|0;r=c[234926]|0;j=1<<i;do{if((r&j|0)==0){c[234926]=r|j;O=m;P=939744+(e+2<<2)|0}else{i=939744+(e+2<<2)|0;d=c[i>>2]|0;if(!(d>>>0<(c[234930]|0)>>>0)){O=d;P=i;break}jd();return 0}}while(0);c[P>>2]=k;c[O+12>>2]=k;c[q+(g+8)>>2]=O;c[q+(g+12)>>2]=m;break}e=p;j=J>>>8;do{if((j|0)==0){Q=0}else{if(J>>>0>16777215>>>0){Q=31;break}r=(j+1048320|0)>>>16&8;i=j<<r;d=(i+520192|0)>>>16&4;B=i<<d;i=(B+245760|0)>>>16&2;l=14-(d|r|i)+(B<<i>>>15)|0;Q=J>>>((l+7|0)>>>0)&1|l<<1}}while(0);j=940008+(Q<<2)|0;c[q+(g+28)>>2]=Q;c[q+(g+20)>>2]=0;c[q+(g+16)>>2]=0;m=c[234927]|0;l=1<<Q;if((m&l|0)==0){c[234927]=m|l;c[j>>2]=e;c[q+(g+24)>>2]=j;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}if((Q|0)==31){R=0}else{R=25-(Q>>>1)|0}l=J<<R;m=c[j>>2]|0;while(1){if((c[m+4>>2]&-8|0)==(J|0)){break}S=m+16+(l>>>31<<2)|0;j=c[S>>2]|0;if((j|0)==0){T=151;break}else{l=l<<1;m=j}}if((T|0)==151){if(S>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[S>>2]=e;c[q+(g+24)>>2]=m;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}}l=m+8|0;j=c[l>>2]|0;i=c[234930]|0;if(m>>>0<i>>>0){jd();return 0}if(j>>>0<i>>>0){jd();return 0}else{c[j+12>>2]=e;c[l>>2]=e;c[q+(g+8)>>2]=j;c[q+(g+12)>>2]=m;c[q+(g+24)>>2]=0;break}}}while(0);q=K+8|0;if((q|0)==0){o=g;break}else{n=q}return n|0}}while(0);K=c[234928]|0;if(!(o>>>0>K>>>0)){S=K-o|0;J=c[234931]|0;if(S>>>0>15>>>0){R=J;c[234931]=R+o;c[234928]=S;c[R+(o+4)>>2]=S|1;c[R+K>>2]=S;c[J+4>>2]=o|3}else{c[234928]=0;c[234931]=0;c[J+4>>2]=K|3;S=J+(K+4)|0;c[S>>2]=c[S>>2]|1}n=J+8|0;return n|0}J=c[234929]|0;if(o>>>0<J>>>0){S=J-o|0;c[234929]=S;J=c[234932]|0;K=J;c[234932]=K+o;c[K+(o+4)>>2]=S|1;c[J+4>>2]=o|3;n=J+8|0;return n|0}do{if((c[231394]|0)==0){J=Bc(30)|0;if((J-1&J|0)==0){c[231396]=J;c[231395]=J;c[231397]=-1;c[231398]=-1;c[231399]=0;c[235037]=0;c[231394]=(Ld(0)|0)&-16^1431655768;break}else{jd();return 0}}}while(0);J=o+48|0;S=c[231396]|0;K=o+47|0;R=S+K|0;Q=-S|0;S=R&Q;if(!(S>>>0>o>>>0)){n=0;return n|0}O=c[235036]|0;do{if((O|0)!=0){P=c[235034]|0;L=P+S|0;if(L>>>0<=P>>>0|L>>>0>O>>>0){n=0}else{break}return n|0}}while(0);d:do{if((c[235037]&4|0)==0){O=c[234932]|0;e:do{if((O|0)==0){T=181}else{L=O;P=940152;while(1){U=P|0;M=c[U>>2]|0;if(!(M>>>0>L>>>0)){V=P+4|0;if((M+(c[V>>2]|0)|0)>>>0>L>>>0){break}}M=c[P+8>>2]|0;if((M|0)==0){T=181;break e}else{P=M}}if((P|0)==0){T=181;break}L=R-(c[234929]|0)&Q;if(!(L>>>0<2147483647>>>0)){W=0;break}m=Sc(L|0)|0;e=(m|0)==((c[U>>2]|0)+(c[V>>2]|0)|0);X=e?m:-1;Y=e?L:0;Z=m;_=L;T=190}}while(0);do{if((T|0)==181){O=Sc(0)|0;if((O|0)==-1){W=0;break}g=O;L=c[231395]|0;m=L-1|0;if((m&g|0)==0){$=S}else{$=S-g+(m+g&-L)|0}L=c[235034]|0;g=L+$|0;if(!($>>>0>o>>>0&$>>>0<2147483647>>>0)){W=0;break}m=c[235036]|0;if((m|0)!=0){if(g>>>0<=L>>>0|g>>>0>m>>>0){W=0;break}}m=Sc($|0)|0;g=(m|0)==(O|0);X=g?O:-1;Y=g?$:0;Z=m;_=$;T=190}}while(0);f:do{if((T|0)==190){m=-_|0;if(!((X|0)==-1)){aa=Y;ba=X;T=201;break d}do{if((Z|0)!=-1&_>>>0<2147483647>>>0&_>>>0<J>>>0){g=c[231396]|0;O=K-_+g&-g;if(!(O>>>0<2147483647>>>0)){ca=_;break}if((Sc(O|0)|0)==-1){Sc(m|0)|0;W=Y;break f}else{ca=O+_|0;break}}else{ca=_}}while(0);if((Z|0)==-1){W=Y}else{aa=ca;ba=Z;T=201;break d}}}while(0);c[235037]=c[235037]|4;da=W;T=198}else{da=0;T=198}}while(0);do{if((T|0)==198){if(!(S>>>0<2147483647>>>0)){break}W=Sc(S|0)|0;Z=Sc(0)|0;if(!((Z|0)!=-1&(W|0)!=-1&W>>>0<Z>>>0)){break}ca=Z-W|0;Z=ca>>>0>(o+40|0)>>>0;Y=Z?W:-1;if(!((Y|0)==-1)){aa=Z?ca:da;ba=Y;T=201}}}while(0);do{if((T|0)==201){da=(c[235034]|0)+aa|0;c[235034]=da;if(da>>>0>(c[235035]|0)>>>0){c[235035]=da}da=c[234932]|0;g:do{if((da|0)==0){S=c[234930]|0;if((S|0)==0|ba>>>0<S>>>0){c[234930]=ba}c[235038]=ba;c[235039]=aa;c[235041]=0;c[234935]=c[231394];c[234934]=-1;S=0;do{Y=S<<1;ca=939744+(Y<<2)|0;c[939744+(Y+3<<2)>>2]=ca;c[939744+(Y+2<<2)>>2]=ca;S=S+1|0;}while(S>>>0<32>>>0);S=ba+8|0;if((S&7|0)==0){ea=0}else{ea=-S&7}S=aa-40-ea|0;c[234932]=ba+ea;c[234929]=S;c[ba+(ea+4)>>2]=S|1;c[ba+(aa-36)>>2]=40;c[234933]=c[231398]}else{S=940152;while(1){fa=c[S>>2]|0;ga=S+4|0;ha=c[ga>>2]|0;if((ba|0)==(fa+ha|0)){T=213;break}ca=c[S+8>>2]|0;if((ca|0)==0){break}else{S=ca}}do{if((T|0)==213){if((c[S+12>>2]&8|0)!=0){break}ca=da;if(!(ca>>>0>=fa>>>0&ca>>>0<ba>>>0)){break}c[ga>>2]=ha+aa;Y=(c[234929]|0)+aa|0;Z=da+8|0;if((Z&7|0)==0){ia=0}else{ia=-Z&7}Z=Y-ia|0;c[234932]=ca+ia;c[234929]=Z;c[ca+(ia+4)>>2]=Z|1;c[ca+(Y+4)>>2]=40;c[234933]=c[231398];break g}}while(0);if(ba>>>0<(c[234930]|0)>>>0){c[234930]=ba}S=ba+aa|0;Y=940152;while(1){ja=Y|0;if((c[ja>>2]|0)==(S|0)){T=223;break}ca=c[Y+8>>2]|0;if((ca|0)==0){break}else{Y=ca}}do{if((T|0)==223){if((c[Y+12>>2]&8|0)!=0){break}c[ja>>2]=ba;S=Y+4|0;c[S>>2]=(c[S>>2]|0)+aa;S=ba+8|0;if((S&7|0)==0){ka=0}else{ka=-S&7}S=ba+(aa+8)|0;if((S&7|0)==0){la=0}else{la=-S&7}S=ba+(la+aa)|0;ca=S;Z=ka+o|0;W=ba+Z|0;_=W;K=S-(ba+ka)-o|0;c[ba+(ka+4)>>2]=o|3;do{if((ca|0)==(c[234932]|0)){J=(c[234929]|0)+K|0;c[234929]=J;c[234932]=_;c[ba+(Z+4)>>2]=J|1}else{if((ca|0)==(c[234931]|0)){J=(c[234928]|0)+K|0;c[234928]=J;c[234931]=_;c[ba+(Z+4)>>2]=J|1;c[ba+(J+Z)>>2]=J;break}J=aa+4|0;X=c[ba+(J+la)>>2]|0;if((X&3|0)==1){$=X&-8;V=X>>>3;h:do{if(X>>>0<256>>>0){U=c[ba+((la|8)+aa)>>2]|0;Q=c[ba+(aa+12+la)>>2]|0;R=939744+(V<<1<<2)|0;do{if((U|0)!=(R|0)){if(U>>>0<(c[234930]|0)>>>0){jd();return 0}if((c[U+12>>2]|0)==(ca|0)){break}jd();return 0}}while(0);if((Q|0)==(U|0)){c[234926]=c[234926]&~(1<<V);break}do{if((Q|0)==(R|0)){ma=Q+8|0}else{if(Q>>>0<(c[234930]|0)>>>0){jd();return 0}m=Q+8|0;if((c[m>>2]|0)==(ca|0)){ma=m;break}jd();return 0}}while(0);c[U+12>>2]=Q;c[ma>>2]=U}else{R=S;m=c[ba+((la|24)+aa)>>2]|0;P=c[ba+(aa+12+la)>>2]|0;do{if((P|0)==(R|0)){O=la|16;g=ba+(J+O)|0;L=c[g>>2]|0;if((L|0)==0){e=ba+(O+aa)|0;O=c[e>>2]|0;if((O|0)==0){na=0;break}else{oa=O;pa=e}}else{oa=L;pa=g}while(1){g=oa+20|0;L=c[g>>2]|0;if((L|0)!=0){oa=L;pa=g;continue}g=oa+16|0;L=c[g>>2]|0;if((L|0)==0){break}else{oa=L;pa=g}}if(pa>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[pa>>2]=0;na=oa;break}}else{g=c[ba+((la|8)+aa)>>2]|0;if(g>>>0<(c[234930]|0)>>>0){jd();return 0}L=g+12|0;if((c[L>>2]|0)!=(R|0)){jd();return 0}e=P+8|0;if((c[e>>2]|0)==(R|0)){c[L>>2]=P;c[e>>2]=g;na=P;break}else{jd();return 0}}}while(0);if((m|0)==0){break}P=c[ba+(aa+28+la)>>2]|0;U=940008+(P<<2)|0;do{if((R|0)==(c[U>>2]|0)){c[U>>2]=na;if((na|0)!=0){break}c[234927]=c[234927]&~(1<<P);break h}else{if(m>>>0<(c[234930]|0)>>>0){jd();return 0}Q=m+16|0;if((c[Q>>2]|0)==(R|0)){c[Q>>2]=na}else{c[m+20>>2]=na}if((na|0)==0){break h}}}while(0);if(na>>>0<(c[234930]|0)>>>0){jd();return 0}c[na+24>>2]=m;R=la|16;P=c[ba+(R+aa)>>2]|0;do{if((P|0)!=0){if(P>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[na+16>>2]=P;c[P+24>>2]=na;break}}}while(0);P=c[ba+(J+R)>>2]|0;if((P|0)==0){break}if(P>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[na+20>>2]=P;c[P+24>>2]=na;break}}}while(0);qa=ba+(($|la)+aa)|0;ra=$+K|0}else{qa=ca;ra=K}J=qa+4|0;c[J>>2]=c[J>>2]&-2;c[ba+(Z+4)>>2]=ra|1;c[ba+(ra+Z)>>2]=ra;J=ra>>>3;if(ra>>>0<256>>>0){V=J<<1;X=939744+(V<<2)|0;P=c[234926]|0;m=1<<J;do{if((P&m|0)==0){c[234926]=P|m;sa=X;ta=939744+(V+2<<2)|0}else{J=939744+(V+2<<2)|0;U=c[J>>2]|0;if(!(U>>>0<(c[234930]|0)>>>0)){sa=U;ta=J;break}jd();return 0}}while(0);c[ta>>2]=_;c[sa+12>>2]=_;c[ba+(Z+8)>>2]=sa;c[ba+(Z+12)>>2]=X;break}V=W;m=ra>>>8;do{if((m|0)==0){ua=0}else{if(ra>>>0>16777215>>>0){ua=31;break}P=(m+1048320|0)>>>16&8;$=m<<P;J=($+520192|0)>>>16&4;U=$<<J;$=(U+245760|0)>>>16&2;Q=14-(J|P|$)+(U<<$>>>15)|0;ua=ra>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=940008+(ua<<2)|0;c[ba+(Z+28)>>2]=ua;c[ba+(Z+20)>>2]=0;c[ba+(Z+16)>>2]=0;X=c[234927]|0;Q=1<<ua;if((X&Q|0)==0){c[234927]=X|Q;c[m>>2]=V;c[ba+(Z+24)>>2]=m;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}if((ua|0)==31){va=0}else{va=25-(ua>>>1)|0}Q=ra<<va;X=c[m>>2]|0;while(1){if((c[X+4>>2]&-8|0)==(ra|0)){break}wa=X+16+(Q>>>31<<2)|0;m=c[wa>>2]|0;if((m|0)==0){T=296;break}else{Q=Q<<1;X=m}}if((T|0)==296){if(wa>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[wa>>2]=V;c[ba+(Z+24)>>2]=X;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}}Q=X+8|0;m=c[Q>>2]|0;$=c[234930]|0;if(X>>>0<$>>>0){jd();return 0}if(m>>>0<$>>>0){jd();return 0}else{c[m+12>>2]=V;c[Q>>2]=V;c[ba+(Z+8)>>2]=m;c[ba+(Z+12)>>2]=X;c[ba+(Z+24)>>2]=0;break}}}while(0);n=ba+(ka|8)|0;return n|0}}while(0);Y=da;Z=940152;while(1){xa=c[Z>>2]|0;if(!(xa>>>0>Y>>>0)){ya=c[Z+4>>2]|0;za=xa+ya|0;if(za>>>0>Y>>>0){break}}Z=c[Z+8>>2]|0}Z=xa+(ya-39)|0;if((Z&7|0)==0){Aa=0}else{Aa=-Z&7}Z=xa+(ya-47+Aa)|0;W=Z>>>0<(da+16|0)>>>0?Y:Z;Z=W+8|0;_=ba+8|0;if((_&7|0)==0){Ba=0}else{Ba=-_&7}_=aa-40-Ba|0;c[234932]=ba+Ba;c[234929]=_;c[ba+(Ba+4)>>2]=_|1;c[ba+(aa-36)>>2]=40;c[234933]=c[231398];c[W+4>>2]=27;c[Z>>2]=c[235038];c[Z+4>>2]=c[235039];c[Z+8>>2]=c[235040];c[Z+12>>2]=c[235041];c[235038]=ba;c[235039]=aa;c[235041]=0;c[235040]=Z;Z=W+28|0;c[Z>>2]=7;if((W+32|0)>>>0<za>>>0){_=Z;while(1){Z=_+4|0;c[Z>>2]=7;if((_+8|0)>>>0<za>>>0){_=Z}else{break}}}if((W|0)==(Y|0)){break}_=W-da|0;Z=Y+(_+4)|0;c[Z>>2]=c[Z>>2]&-2;c[da+4>>2]=_|1;c[Y+_>>2]=_;Z=_>>>3;if(_>>>0<256>>>0){K=Z<<1;ca=939744+(K<<2)|0;S=c[234926]|0;m=1<<Z;do{if((S&m|0)==0){c[234926]=S|m;Ca=ca;Da=939744+(K+2<<2)|0}else{Z=939744+(K+2<<2)|0;Q=c[Z>>2]|0;if(!(Q>>>0<(c[234930]|0)>>>0)){Ca=Q;Da=Z;break}jd();return 0}}while(0);c[Da>>2]=da;c[Ca+12>>2]=da;c[da+8>>2]=Ca;c[da+12>>2]=ca;break}K=da;m=_>>>8;do{if((m|0)==0){Ea=0}else{if(_>>>0>16777215>>>0){Ea=31;break}S=(m+1048320|0)>>>16&8;Y=m<<S;W=(Y+520192|0)>>>16&4;Z=Y<<W;Y=(Z+245760|0)>>>16&2;Q=14-(W|S|Y)+(Z<<Y>>>15)|0;Ea=_>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=940008+(Ea<<2)|0;c[da+28>>2]=Ea;c[da+20>>2]=0;c[da+16>>2]=0;ca=c[234927]|0;Q=1<<Ea;if((ca&Q|0)==0){c[234927]=ca|Q;c[m>>2]=K;c[da+24>>2]=m;c[da+12>>2]=da;c[da+8>>2]=da;break}if((Ea|0)==31){Fa=0}else{Fa=25-(Ea>>>1)|0}Q=_<<Fa;ca=c[m>>2]|0;while(1){if((c[ca+4>>2]&-8|0)==(_|0)){break}Ga=ca+16+(Q>>>31<<2)|0;m=c[Ga>>2]|0;if((m|0)==0){T=331;break}else{Q=Q<<1;ca=m}}if((T|0)==331){if(Ga>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[Ga>>2]=K;c[da+24>>2]=ca;c[da+12>>2]=da;c[da+8>>2]=da;break}}Q=ca+8|0;_=c[Q>>2]|0;m=c[234930]|0;if(ca>>>0<m>>>0){jd();return 0}if(_>>>0<m>>>0){jd();return 0}else{c[_+12>>2]=K;c[Q>>2]=K;c[da+8>>2]=_;c[da+12>>2]=ca;c[da+24>>2]=0;break}}}while(0);da=c[234929]|0;if(!(da>>>0>o>>>0)){break}_=da-o|0;c[234929]=_;da=c[234932]|0;Q=da;c[234932]=Q+o;c[Q+(o+4)>>2]=_|1;c[da+4>>2]=o|3;n=da+8|0;return n|0}}while(0);c[(Vc()|0)>>2]=12;n=0;return n|0}function jU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;if((a|0)==0){return}b=a-8|0;d=b;e=c[234930]|0;if(b>>>0<e>>>0){jd()}f=c[a-4>>2]|0;g=f&3;if((g|0)==1){jd()}h=f&-8;i=a+(h-8)|0;j=i;a:do{if((f&1|0)==0){k=c[b>>2]|0;if((g|0)==0){return}l=-8-k|0;m=a+l|0;n=m;o=k+h|0;if(m>>>0<e>>>0){jd()}if((n|0)==(c[234931]|0)){p=a+(h-4)|0;if((c[p>>2]&3|0)!=3){q=n;r=o;break}c[234928]=o;c[p>>2]=c[p>>2]&-2;c[a+(l+4)>>2]=o|1;c[i>>2]=o;return}p=k>>>3;if(k>>>0<256>>>0){k=c[a+(l+8)>>2]|0;s=c[a+(l+12)>>2]|0;t=939744+(p<<1<<2)|0;do{if((k|0)!=(t|0)){if(k>>>0<e>>>0){jd()}if((c[k+12>>2]|0)==(n|0)){break}jd()}}while(0);if((s|0)==(k|0)){c[234926]=c[234926]&~(1<<p);q=n;r=o;break}do{if((s|0)==(t|0)){u=s+8|0}else{if(s>>>0<e>>>0){jd()}v=s+8|0;if((c[v>>2]|0)==(n|0)){u=v;break}jd()}}while(0);c[k+12>>2]=s;c[u>>2]=k;q=n;r=o;break}t=m;p=c[a+(l+24)>>2]|0;v=c[a+(l+12)>>2]|0;do{if((v|0)==(t|0)){w=a+(l+20)|0;x=c[w>>2]|0;if((x|0)==0){y=a+(l+16)|0;z=c[y>>2]|0;if((z|0)==0){A=0;break}else{B=z;C=y}}else{B=x;C=w}while(1){w=B+20|0;x=c[w>>2]|0;if((x|0)!=0){B=x;C=w;continue}w=B+16|0;x=c[w>>2]|0;if((x|0)==0){break}else{B=x;C=w}}if(C>>>0<e>>>0){jd()}else{c[C>>2]=0;A=B;break}}else{w=c[a+(l+8)>>2]|0;if(w>>>0<e>>>0){jd()}x=w+12|0;if((c[x>>2]|0)!=(t|0)){jd()}y=v+8|0;if((c[y>>2]|0)==(t|0)){c[x>>2]=v;c[y>>2]=w;A=v;break}else{jd()}}}while(0);if((p|0)==0){q=n;r=o;break}v=c[a+(l+28)>>2]|0;m=940008+(v<<2)|0;do{if((t|0)==(c[m>>2]|0)){c[m>>2]=A;if((A|0)!=0){break}c[234927]=c[234927]&~(1<<v);q=n;r=o;break a}else{if(p>>>0<(c[234930]|0)>>>0){jd()}k=p+16|0;if((c[k>>2]|0)==(t|0)){c[k>>2]=A}else{c[p+20>>2]=A}if((A|0)==0){q=n;r=o;break a}}}while(0);if(A>>>0<(c[234930]|0)>>>0){jd()}c[A+24>>2]=p;t=c[a+(l+16)>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[234930]|0)>>>0){jd()}else{c[A+16>>2]=t;c[t+24>>2]=A;break}}}while(0);t=c[a+(l+20)>>2]|0;if((t|0)==0){q=n;r=o;break}if(t>>>0<(c[234930]|0)>>>0){jd()}else{c[A+20>>2]=t;c[t+24>>2]=A;q=n;r=o;break}}else{q=d;r=h}}while(0);d=q;if(!(d>>>0<i>>>0)){jd()}A=a+(h-4)|0;e=c[A>>2]|0;if((e&1|0)==0){jd()}do{if((e&2|0)==0){if((j|0)==(c[234932]|0)){B=(c[234929]|0)+r|0;c[234929]=B;c[234932]=q;c[q+4>>2]=B|1;if((q|0)!=(c[234931]|0)){return}c[234931]=0;c[234928]=0;return}if((j|0)==(c[234931]|0)){B=(c[234928]|0)+r|0;c[234928]=B;c[234931]=q;c[q+4>>2]=B|1;c[d+B>>2]=B;return}B=(e&-8)+r|0;C=e>>>3;b:do{if(e>>>0<256>>>0){u=c[a+h>>2]|0;g=c[a+(h|4)>>2]|0;b=939744+(C<<1<<2)|0;do{if((u|0)!=(b|0)){if(u>>>0<(c[234930]|0)>>>0){jd()}if((c[u+12>>2]|0)==(j|0)){break}jd()}}while(0);if((g|0)==(u|0)){c[234926]=c[234926]&~(1<<C);break}do{if((g|0)==(b|0)){D=g+8|0}else{if(g>>>0<(c[234930]|0)>>>0){jd()}f=g+8|0;if((c[f>>2]|0)==(j|0)){D=f;break}jd()}}while(0);c[u+12>>2]=g;c[D>>2]=u}else{b=i;f=c[a+(h+16)>>2]|0;t=c[a+(h|4)>>2]|0;do{if((t|0)==(b|0)){p=a+(h+12)|0;v=c[p>>2]|0;if((v|0)==0){m=a+(h+8)|0;k=c[m>>2]|0;if((k|0)==0){E=0;break}else{F=k;G=m}}else{F=v;G=p}while(1){p=F+20|0;v=c[p>>2]|0;if((v|0)!=0){F=v;G=p;continue}p=F+16|0;v=c[p>>2]|0;if((v|0)==0){break}else{F=v;G=p}}if(G>>>0<(c[234930]|0)>>>0){jd()}else{c[G>>2]=0;E=F;break}}else{p=c[a+h>>2]|0;if(p>>>0<(c[234930]|0)>>>0){jd()}v=p+12|0;if((c[v>>2]|0)!=(b|0)){jd()}m=t+8|0;if((c[m>>2]|0)==(b|0)){c[v>>2]=t;c[m>>2]=p;E=t;break}else{jd()}}}while(0);if((f|0)==0){break}t=c[a+(h+20)>>2]|0;u=940008+(t<<2)|0;do{if((b|0)==(c[u>>2]|0)){c[u>>2]=E;if((E|0)!=0){break}c[234927]=c[234927]&~(1<<t);break b}else{if(f>>>0<(c[234930]|0)>>>0){jd()}g=f+16|0;if((c[g>>2]|0)==(b|0)){c[g>>2]=E}else{c[f+20>>2]=E}if((E|0)==0){break b}}}while(0);if(E>>>0<(c[234930]|0)>>>0){jd()}c[E+24>>2]=f;b=c[a+(h+8)>>2]|0;do{if((b|0)!=0){if(b>>>0<(c[234930]|0)>>>0){jd()}else{c[E+16>>2]=b;c[b+24>>2]=E;break}}}while(0);b=c[a+(h+12)>>2]|0;if((b|0)==0){break}if(b>>>0<(c[234930]|0)>>>0){jd()}else{c[E+20>>2]=b;c[b+24>>2]=E;break}}}while(0);c[q+4>>2]=B|1;c[d+B>>2]=B;if((q|0)!=(c[234931]|0)){H=B;break}c[234928]=B;return}else{c[A>>2]=e&-2;c[q+4>>2]=r|1;c[d+r>>2]=r;H=r}}while(0);r=H>>>3;if(H>>>0<256>>>0){d=r<<1;e=939744+(d<<2)|0;A=c[234926]|0;E=1<<r;do{if((A&E|0)==0){c[234926]=A|E;I=e;J=939744+(d+2<<2)|0}else{r=939744+(d+2<<2)|0;h=c[r>>2]|0;if(!(h>>>0<(c[234930]|0)>>>0)){I=h;J=r;break}jd()}}while(0);c[J>>2]=q;c[I+12>>2]=q;c[q+8>>2]=I;c[q+12>>2]=e;return}e=q;I=H>>>8;do{if((I|0)==0){K=0}else{if(H>>>0>16777215>>>0){K=31;break}J=(I+1048320|0)>>>16&8;d=I<<J;E=(d+520192|0)>>>16&4;A=d<<E;d=(A+245760|0)>>>16&2;r=14-(E|J|d)+(A<<d>>>15)|0;K=H>>>((r+7|0)>>>0)&1|r<<1}}while(0);I=940008+(K<<2)|0;c[q+28>>2]=K;c[q+20>>2]=0;c[q+16>>2]=0;r=c[234927]|0;d=1<<K;do{if((r&d|0)==0){c[234927]=r|d;c[I>>2]=e;c[q+24>>2]=I;c[q+12>>2]=q;c[q+8>>2]=q}else{if((K|0)==31){L=0}else{L=25-(K>>>1)|0}A=H<<L;J=c[I>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(H|0)){break}M=J+16+(A>>>31<<2)|0;E=c[M>>2]|0;if((E|0)==0){N=129;break}else{A=A<<1;J=E}}if((N|0)==129){if(M>>>0<(c[234930]|0)>>>0){jd()}else{c[M>>2]=e;c[q+24>>2]=J;c[q+12>>2]=q;c[q+8>>2]=q;break}}A=J+8|0;B=c[A>>2]|0;E=c[234930]|0;if(J>>>0<E>>>0){jd()}if(B>>>0<E>>>0){jd()}else{c[B+12>>2]=e;c[A>>2]=e;c[q+8>>2]=B;c[q+12>>2]=J;c[q+24>>2]=0;break}}}while(0);q=(c[234934]|0)-1|0;c[234934]=q;if((q|0)==0){O=940160}else{return}while(1){q=c[O>>2]|0;if((q|0)==0){break}else{O=q+8|0}}c[234934]=-1;return}function kU(a,b){a=a|0;b=b|0;var d=0,e=0;do{if((a|0)==0){d=0}else{e=ga(b,a)|0;if(!((b|a)>>>0>65535>>>0)){d=e;break}d=((e>>>0)/(a>>>0)|0|0)==(b|0)?e:-1}}while(0);b=iU(d)|0;if((b|0)==0){return b|0}if((c[b-4>>2]&3|0)==0){return b|0}NU(b|0,0,d|0)|0;return b|0}function lU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;if((a|0)==0){d=iU(b)|0;return d|0}if(b>>>0>4294967231>>>0){c[(Vc()|0)>>2]=12;d=0;return d|0}if(b>>>0<11>>>0){e=16}else{e=b+11&-8}f=mU(a-8|0,e)|0;if((f|0)!=0){d=f+8|0;return d|0}f=iU(b)|0;if((f|0)==0){d=0;return d|0}e=c[a-4>>2]|0;g=(e&-8)-((e&3|0)==0?8:4)|0;MU(f|0,a|0,g>>>0<b>>>0?g:b)|0;jU(a);d=f;return d|0}function mU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+4|0;e=c[d>>2]|0;f=e&-8;g=a;h=g+f|0;i=h;j=c[234930]|0;if(g>>>0<j>>>0){jd();return 0}k=e&3;if(!((k|0)!=1&g>>>0<h>>>0)){jd();return 0}l=g+(f|4)|0;m=c[l>>2]|0;if((m&1|0)==0){jd();return 0}if((k|0)==0){if(b>>>0<256>>>0){n=0;return n|0}do{if(!(f>>>0<(b+4|0)>>>0)){if((f-b|0)>>>0>c[231396]<<1>>>0){break}else{n=a}return n|0}}while(0);n=0;return n|0}if(!(f>>>0<b>>>0)){k=f-b|0;if(!(k>>>0>15>>>0)){n=a;return n|0}c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|3;c[l>>2]=c[l>>2]|1;nU(g+b|0,k);n=a;return n|0}if((i|0)==(c[234932]|0)){k=(c[234929]|0)+f|0;if(!(k>>>0>b>>>0)){n=0;return n|0}l=k-b|0;c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=l|1;c[234932]=g+b;c[234929]=l;n=a;return n|0}if((i|0)==(c[234931]|0)){l=(c[234928]|0)+f|0;if(l>>>0<b>>>0){n=0;return n|0}k=l-b|0;if(k>>>0>15>>>0){c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|1;c[g+l>>2]=k;o=g+(l+4)|0;c[o>>2]=c[o>>2]&-2;p=g+b|0;q=k}else{c[d>>2]=e&1|l|2;e=g+(l+4)|0;c[e>>2]=c[e>>2]|1;p=0;q=0}c[234928]=q;c[234931]=p;n=a;return n|0}if((m&2|0)!=0){n=0;return n|0}p=(m&-8)+f|0;if(p>>>0<b>>>0){n=0;return n|0}q=p-b|0;e=m>>>3;a:do{if(m>>>0<256>>>0){l=c[g+(f+8)>>2]|0;k=c[g+(f+12)>>2]|0;o=939744+(e<<1<<2)|0;do{if((l|0)!=(o|0)){if(l>>>0<j>>>0){jd();return 0}if((c[l+12>>2]|0)==(i|0)){break}jd();return 0}}while(0);if((k|0)==(l|0)){c[234926]=c[234926]&~(1<<e);break}do{if((k|0)==(o|0)){r=k+8|0}else{if(k>>>0<j>>>0){jd();return 0}s=k+8|0;if((c[s>>2]|0)==(i|0)){r=s;break}jd();return 0}}while(0);c[l+12>>2]=k;c[r>>2]=l}else{o=h;s=c[g+(f+24)>>2]|0;t=c[g+(f+12)>>2]|0;do{if((t|0)==(o|0)){u=g+(f+20)|0;v=c[u>>2]|0;if((v|0)==0){w=g+(f+16)|0;x=c[w>>2]|0;if((x|0)==0){y=0;break}else{z=x;A=w}}else{z=v;A=u}while(1){u=z+20|0;v=c[u>>2]|0;if((v|0)!=0){z=v;A=u;continue}u=z+16|0;v=c[u>>2]|0;if((v|0)==0){break}else{z=v;A=u}}if(A>>>0<j>>>0){jd();return 0}else{c[A>>2]=0;y=z;break}}else{u=c[g+(f+8)>>2]|0;if(u>>>0<j>>>0){jd();return 0}v=u+12|0;if((c[v>>2]|0)!=(o|0)){jd();return 0}w=t+8|0;if((c[w>>2]|0)==(o|0)){c[v>>2]=t;c[w>>2]=u;y=t;break}else{jd();return 0}}}while(0);if((s|0)==0){break}t=c[g+(f+28)>>2]|0;l=940008+(t<<2)|0;do{if((o|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[234927]=c[234927]&~(1<<t);break a}else{if(s>>>0<(c[234930]|0)>>>0){jd();return 0}k=s+16|0;if((c[k>>2]|0)==(o|0)){c[k>>2]=y}else{c[s+20>>2]=y}if((y|0)==0){break a}}}while(0);if(y>>>0<(c[234930]|0)>>>0){jd();return 0}c[y+24>>2]=s;o=c[g+(f+16)>>2]|0;do{if((o|0)!=0){if(o>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[y+16>>2]=o;c[o+24>>2]=y;break}}}while(0);o=c[g+(f+20)>>2]|0;if((o|0)==0){break}if(o>>>0<(c[234930]|0)>>>0){jd();return 0}else{c[y+20>>2]=o;c[o+24>>2]=y;break}}}while(0);if(q>>>0<16>>>0){c[d>>2]=p|c[d>>2]&1|2;y=g+(p|4)|0;c[y>>2]=c[y>>2]|1;n=a;return n|0}else{c[d>>2]=c[d>>2]&1|b|2;c[g+(b+4)>>2]=q|3;d=g+(p|4)|0;c[d>>2]=c[d>>2]|1;nU(g+b|0,q);n=a;return n|0}return 0}function nU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=a;e=d+b|0;f=e;g=c[a+4>>2]|0;a:do{if((g&1|0)==0){h=c[a>>2]|0;if((g&3|0)==0){return}i=d+(-h|0)|0;j=i;k=h+b|0;l=c[234930]|0;if(i>>>0<l>>>0){jd()}if((j|0)==(c[234931]|0)){m=d+(b+4)|0;if((c[m>>2]&3|0)!=3){n=j;o=k;break}c[234928]=k;c[m>>2]=c[m>>2]&-2;c[d+(4-h)>>2]=k|1;c[e>>2]=k;return}m=h>>>3;if(h>>>0<256>>>0){p=c[d+(8-h)>>2]|0;q=c[d+(12-h)>>2]|0;r=939744+(m<<1<<2)|0;do{if((p|0)!=(r|0)){if(p>>>0<l>>>0){jd()}if((c[p+12>>2]|0)==(j|0)){break}jd()}}while(0);if((q|0)==(p|0)){c[234926]=c[234926]&~(1<<m);n=j;o=k;break}do{if((q|0)==(r|0)){s=q+8|0}else{if(q>>>0<l>>>0){jd()}t=q+8|0;if((c[t>>2]|0)==(j|0)){s=t;break}jd()}}while(0);c[p+12>>2]=q;c[s>>2]=p;n=j;o=k;break}r=i;m=c[d+(24-h)>>2]|0;t=c[d+(12-h)>>2]|0;do{if((t|0)==(r|0)){u=16-h|0;v=d+(u+4)|0;w=c[v>>2]|0;if((w|0)==0){x=d+u|0;u=c[x>>2]|0;if((u|0)==0){y=0;break}else{z=u;A=x}}else{z=w;A=v}while(1){v=z+20|0;w=c[v>>2]|0;if((w|0)!=0){z=w;A=v;continue}v=z+16|0;w=c[v>>2]|0;if((w|0)==0){break}else{z=w;A=v}}if(A>>>0<l>>>0){jd()}else{c[A>>2]=0;y=z;break}}else{v=c[d+(8-h)>>2]|0;if(v>>>0<l>>>0){jd()}w=v+12|0;if((c[w>>2]|0)!=(r|0)){jd()}x=t+8|0;if((c[x>>2]|0)==(r|0)){c[w>>2]=t;c[x>>2]=v;y=t;break}else{jd()}}}while(0);if((m|0)==0){n=j;o=k;break}t=c[d+(28-h)>>2]|0;l=940008+(t<<2)|0;do{if((r|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[234927]=c[234927]&~(1<<t);n=j;o=k;break a}else{if(m>>>0<(c[234930]|0)>>>0){jd()}i=m+16|0;if((c[i>>2]|0)==(r|0)){c[i>>2]=y}else{c[m+20>>2]=y}if((y|0)==0){n=j;o=k;break a}}}while(0);if(y>>>0<(c[234930]|0)>>>0){jd()}c[y+24>>2]=m;r=16-h|0;t=c[d+r>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[234930]|0)>>>0){jd()}else{c[y+16>>2]=t;c[t+24>>2]=y;break}}}while(0);t=c[d+(r+4)>>2]|0;if((t|0)==0){n=j;o=k;break}if(t>>>0<(c[234930]|0)>>>0){jd()}else{c[y+20>>2]=t;c[t+24>>2]=y;n=j;o=k;break}}else{n=a;o=b}}while(0);a=c[234930]|0;if(e>>>0<a>>>0){jd()}y=d+(b+4)|0;z=c[y>>2]|0;do{if((z&2|0)==0){if((f|0)==(c[234932]|0)){A=(c[234929]|0)+o|0;c[234929]=A;c[234932]=n;c[n+4>>2]=A|1;if((n|0)!=(c[234931]|0)){return}c[234931]=0;c[234928]=0;return}if((f|0)==(c[234931]|0)){A=(c[234928]|0)+o|0;c[234928]=A;c[234931]=n;c[n+4>>2]=A|1;c[n+A>>2]=A;return}A=(z&-8)+o|0;s=z>>>3;b:do{if(z>>>0<256>>>0){g=c[d+(b+8)>>2]|0;t=c[d+(b+12)>>2]|0;h=939744+(s<<1<<2)|0;do{if((g|0)!=(h|0)){if(g>>>0<a>>>0){jd()}if((c[g+12>>2]|0)==(f|0)){break}jd()}}while(0);if((t|0)==(g|0)){c[234926]=c[234926]&~(1<<s);break}do{if((t|0)==(h|0)){B=t+8|0}else{if(t>>>0<a>>>0){jd()}m=t+8|0;if((c[m>>2]|0)==(f|0)){B=m;break}jd()}}while(0);c[g+12>>2]=t;c[B>>2]=g}else{h=e;m=c[d+(b+24)>>2]|0;l=c[d+(b+12)>>2]|0;do{if((l|0)==(h|0)){i=d+(b+20)|0;p=c[i>>2]|0;if((p|0)==0){q=d+(b+16)|0;v=c[q>>2]|0;if((v|0)==0){C=0;break}else{D=v;E=q}}else{D=p;E=i}while(1){i=D+20|0;p=c[i>>2]|0;if((p|0)!=0){D=p;E=i;continue}i=D+16|0;p=c[i>>2]|0;if((p|0)==0){break}else{D=p;E=i}}if(E>>>0<a>>>0){jd()}else{c[E>>2]=0;C=D;break}}else{i=c[d+(b+8)>>2]|0;if(i>>>0<a>>>0){jd()}p=i+12|0;if((c[p>>2]|0)!=(h|0)){jd()}q=l+8|0;if((c[q>>2]|0)==(h|0)){c[p>>2]=l;c[q>>2]=i;C=l;break}else{jd()}}}while(0);if((m|0)==0){break}l=c[d+(b+28)>>2]|0;g=940008+(l<<2)|0;do{if((h|0)==(c[g>>2]|0)){c[g>>2]=C;if((C|0)!=0){break}c[234927]=c[234927]&~(1<<l);break b}else{if(m>>>0<(c[234930]|0)>>>0){jd()}t=m+16|0;if((c[t>>2]|0)==(h|0)){c[t>>2]=C}else{c[m+20>>2]=C}if((C|0)==0){break b}}}while(0);if(C>>>0<(c[234930]|0)>>>0){jd()}c[C+24>>2]=m;h=c[d+(b+16)>>2]|0;do{if((h|0)!=0){if(h>>>0<(c[234930]|0)>>>0){jd()}else{c[C+16>>2]=h;c[h+24>>2]=C;break}}}while(0);h=c[d+(b+20)>>2]|0;if((h|0)==0){break}if(h>>>0<(c[234930]|0)>>>0){jd()}else{c[C+20>>2]=h;c[h+24>>2]=C;break}}}while(0);c[n+4>>2]=A|1;c[n+A>>2]=A;if((n|0)!=(c[234931]|0)){F=A;break}c[234928]=A;return}else{c[y>>2]=z&-2;c[n+4>>2]=o|1;c[n+o>>2]=o;F=o}}while(0);o=F>>>3;if(F>>>0<256>>>0){z=o<<1;y=939744+(z<<2)|0;C=c[234926]|0;b=1<<o;do{if((C&b|0)==0){c[234926]=C|b;G=y;H=939744+(z+2<<2)|0}else{o=939744+(z+2<<2)|0;d=c[o>>2]|0;if(!(d>>>0<(c[234930]|0)>>>0)){G=d;H=o;break}jd()}}while(0);c[H>>2]=n;c[G+12>>2]=n;c[n+8>>2]=G;c[n+12>>2]=y;return}y=n;G=F>>>8;do{if((G|0)==0){I=0}else{if(F>>>0>16777215>>>0){I=31;break}H=(G+1048320|0)>>>16&8;z=G<<H;b=(z+520192|0)>>>16&4;C=z<<b;z=(C+245760|0)>>>16&2;o=14-(b|H|z)+(C<<z>>>15)|0;I=F>>>((o+7|0)>>>0)&1|o<<1}}while(0);G=940008+(I<<2)|0;c[n+28>>2]=I;c[n+20>>2]=0;c[n+16>>2]=0;o=c[234927]|0;z=1<<I;if((o&z|0)==0){c[234927]=o|z;c[G>>2]=y;c[n+24>>2]=G;c[n+12>>2]=n;c[n+8>>2]=n;return}if((I|0)==31){J=0}else{J=25-(I>>>1)|0}I=F<<J;J=c[G>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(F|0)){break}K=J+16+(I>>>31<<2)|0;G=c[K>>2]|0;if((G|0)==0){L=126;break}else{I=I<<1;J=G}}if((L|0)==126){if(K>>>0<(c[234930]|0)>>>0){jd()}c[K>>2]=y;c[n+24>>2]=J;c[n+12>>2]=n;c[n+8>>2]=n;return}K=J+8|0;L=c[K>>2]|0;I=c[234930]|0;if(J>>>0<I>>>0){jd()}if(L>>>0<I>>>0){jd()}c[L+12>>2]=y;c[K>>2]=y;c[n+8>>2]=L;c[n+12>>2]=J;c[n+24>>2]=0;return}function oU(a){a=a|0;var b=0,d=0,e=0;b=(a|0)==0?1:a;while(1){d=iU(b)|0;if((d|0)!=0){e=10;break}a=(I=c[235904]|0,c[235904]=I+0,I);if((a|0)==0){break}he[a&15]()}if((e|0)==10){return d|0}d=xd(4)|0;c[d>>2]=905320;tc(d|0,911728,194);return 0}function pU(a){a=a|0;return oU(a)|0}function qU(a){a=a|0;if((a|0)==0){return}jU(a);return}function rU(a){a=a|0;qU(a);return}function sU(a){a=a|0;qU(a);return}function tU(a){a=a|0;return}function uU(a){a=a|0;return 49824}function vU(){var a=0;a=xd(4)|0;c[a>>2]=905320;tc(a|0,911728,194)}function wU(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0.0,zc=0,Ac=0,Bc=0.0,Cc=0.0,Dc=0.0,Ec=0.0,Fc=0.0,Gc=0.0,Hc=0.0,Ic=0,Jc=0,Kc=0.0,Lc=0,Mc=0;g=i;i=i+512|0;h=g|0;if((e|0)==1){j=-1074;k=53}else if((e|0)==2){j=-1074;k=53}else if((e|0)==0){j=-149;k=24}else{l=0.0;i=g;return+l}e=b+4|0;m=b+100|0;do{n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;o=d[n]|0}else{o=zU(b)|0}}while((ab(o|0)|0)!=0);do{if((o|0)==45|(o|0)==43){n=1-(((o|0)==45)<<1)|0;p=c[e>>2]|0;if(p>>>0<(c[m>>2]|0)>>>0){c[e>>2]=p+1;q=d[p]|0;r=n;break}else{q=zU(b)|0;r=n;break}}else{q=o;r=1}}while(0);o=0;n=q;while(1){if((n|32|0)!=(a[33032+o|0]|0)){s=o;t=n;break}do{if(o>>>0<7>>>0){q=c[e>>2]|0;if(q>>>0<(c[m>>2]|0)>>>0){c[e>>2]=q+1;u=d[q]|0;break}else{u=zU(b)|0;break}}else{u=n}}while(0);q=o+1|0;if(q>>>0<8>>>0){o=q;n=u}else{s=q;t=u;break}}do{if((s|0)==3){x=23}else if((s|0)!=8){u=(f|0)==0;if(!(s>>>0<4>>>0|u)){if((s|0)==8){break}else{x=23;break}}do{if((s|0)==0){if((t|32|0)==110){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;y=d[n]|0}else{y=zU(b)|0}if((y|32|0)!=97){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;z=d[n]|0}else{z=zU(b)|0}if((z|32|0)!=110){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;A=d[n]|0}else{A=zU(b)|0}if((A|0)==40){B=1}else{if((c[m>>2]|0)==0){l=+v;i=g;return+l}c[e>>2]=(c[e>>2]|0)-1;l=+v;i=g;return+l}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;C=d[n]|0}else{C=zU(b)|0}if(!((C-48|0)>>>0<10>>>0|(C-65|0)>>>0<26>>>0)){if(!((C-97|0)>>>0<26>>>0|(C|0)==95)){break}}B=B+1|0}if((C|0)==41){l=+v;i=g;return+l}n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}if(u){c[(Vc()|0)>>2]=22;yU(b,0);l=0.0;i=g;return+l}if((B|0)==0|n){l=+v;i=g;return+l}else{D=B}while(1){n=D-1|0;c[e>>2]=(c[e>>2]|0)-1;if((n|0)==0){l=+v;break}else{D=n}}i=g;return+l}do{if((t|0)==48){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;E=d[n]|0}else{E=zU(b)|0}if((E|32|0)!=120){if((c[m>>2]|0)==0){F=48;break}c[e>>2]=(c[e>>2]|0)-1;F=48;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=0}else{G=zU(b)|0;H=0}while(1){if((G|0)==46){x=68;break}else if((G|0)!=48){I=G;J=0;L=0;M=0;N=0;O=H;P=0;Q=0;R=1.0;S=0.0;T=0;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=1;continue}else{G=zU(b)|0;H=1;continue}}a:do{if((x|0)==68){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;U=d[n]|0}else{U=zU(b)|0}if((U|0)==48){W=-1;X=-1}else{I=U;J=0;L=0;M=0;N=0;O=H;P=1;Q=0;R=1.0;S=0.0;T=0;break}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;Y=d[n]|0}else{Y=zU(b)|0}if((Y|0)!=48){I=Y;J=0;L=0;M=W;N=X;O=1;P=1;Q=0;R=1.0;S=0.0;T=0;break a}n=UU(X,W,-1,-1)|0;W=K;X=n}}}while(0);b:while(1){n=I-48|0;do{if(n>>>0<10>>>0){Z=n;x=82}else{o=I|32;q=(I|0)==46;if(!((o-97|0)>>>0<6>>>0|q)){_=I;break b}if(q){if((P|0)==0){$=J;aa=L;ba=J;ca=L;da=O;ea=1;fa=Q;ha=R;ia=S;ja=T;break}else{_=46;break b}}else{Z=(I|0)>57?o-87|0:n;x=82;break}}}while(0);if((x|0)==82){x=0;n=0;do{if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){ka=Q;la=R;ma=S;na=Z+(T<<4)|0}else{o=0;if((J|0)<(o|0)|(J|0)==(o|0)&L>>>0<14>>>0){oa=R*.0625;ka=Q;la=oa;ma=S+oa*+(Z|0);na=T;break}if(!((Z|0)!=0&(Q|0)==0)){ka=Q;la=R;ma=S;na=T;break}ka=1;la=R;ma=S+R*.5;na=T}}while(0);n=UU(L,J,1,0)|0;$=K;aa=n;ba=M;ca=N;da=1;ea=P;fa=ka;ha=la;ia=ma;ja=na}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;I=d[n]|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}else{I=zU(b)|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}}if((O|0)==0){n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}do{if(u){yU(b,0)}else{if(n){break}o=c[e>>2]|0;c[e>>2]=o-1;if((P|0)==0){break}c[e>>2]=o-2}}while(0);l=+(r|0)*0.0;i=g;return+l}n=(P|0)==0;o=n?L:N;q=n?J:M;n=0;if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){n=T;p=J;pa=L;while(1){qa=n<<4;ra=UU(pa,p,1,0)|0;sa=K;ta=0;if((sa|0)<(ta|0)|(sa|0)==(ta|0)&ra>>>0<8>>>0){n=qa;p=sa;pa=ra}else{ua=qa;break}}}else{ua=T}do{if((_|32|0)==112){pa=xU(b,f)|0;p=K;if(!((pa|0)==0&(p|0)==(-2147483648|0))){va=p;wa=pa;break}if(u){yU(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0;break}}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0}}while(0);pa=UU(o<<2|0>>>30,q<<2|o>>>30,-32,-1)|0;p=UU(pa,K,wa,va)|0;pa=K;if((ua|0)==0){l=+(r|0)*0.0;i=g;return+l}n=0;if((pa|0)>(n|0)|(pa|0)==(n|0)&p>>>0>(-j|0)>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}n=j-106|0;qa=(n|0)<0|0?-1:0;if((pa|0)<(qa|0)|(pa|0)==(qa|0)&p>>>0<n>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((ua|0)>-1){n=ua;oa=S;qa=pa;ra=p;while(1){sa=n<<1;if(oa<.5){xa=oa;ya=sa}else{xa=oa+-1.0;ya=sa|1}za=oa+xa;sa=UU(ra,qa,-1,-1)|0;ta=K;if((ya|0)>-1){n=ya;oa=za;qa=ta;ra=sa}else{Aa=ya;Ba=za;Ca=ta;Da=sa;break}}}else{Aa=ua;Ba=S;Ca=pa;Da=p}ra=0;qa=VU(32,0,j,(j|0)<0|0?-1:0)|0;n=UU(Da,Ca,qa,K)|0;qa=K;if((ra|0)>(qa|0)|(ra|0)==(qa|0)&k>>>0>n>>>0){qa=n;Ea=(qa|0)<0?0:qa}else{Ea=k}do{if((Ea|0)<53){oa=+(r|0);za=+oc(+(+AU(1.0,84-Ea|0)),+oa);if(!((Ea|0)<32&Ba!=0.0)){Fa=Ba;Ga=Aa;Ha=za;Ia=oa;break}qa=Aa&1;Fa=(qa|0)==0?0.0:Ba;Ga=(qa^1)+Aa|0;Ha=za;Ia=oa}else{Fa=Ba;Ga=Aa;Ha=0.0;Ia=+(r|0)}}while(0);oa=Ia*Fa+(Ha+Ia*+(Ga>>>0>>>0))-Ha;if(!(oa!=0.0)){c[(Vc()|0)>>2]=34}l=+BU(oa,Da);i=g;return+l}else{F=t}}while(0);p=j+k|0;pa=3-p|0;qa=F;n=0;while(1){if((qa|0)==46){x=137;break}else if((qa|0)!=48){Ja=qa;Ka=0;La=n;Ma=0;Na=0;break}ra=c[e>>2]|0;if(ra>>>0<(c[m>>2]|0)>>>0){c[e>>2]=ra+1;qa=d[ra]|0;n=1;continue}else{qa=zU(b)|0;n=1;continue}}c:do{if((x|0)==137){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Oa=d[qa]|0}else{Oa=zU(b)|0}if((Oa|0)==48){Pa=-1;Qa=-1}else{Ja=Oa;Ka=1;La=n;Ma=0;Na=0;break}while(1){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Ra=d[qa]|0}else{Ra=zU(b)|0}if((Ra|0)!=48){Ja=Ra;Ka=1;La=1;Ma=Pa;Na=Qa;break c}qa=UU(Qa,Pa,-1,-1)|0;Pa=K;Qa=qa}}}while(0);n=h|0;c[n>>2]=0;qa=Ja-48|0;ra=(Ja|0)==46;d:do{if(qa>>>0<10>>>0|ra){o=h+496|0;q=Ma;sa=Na;ta=0;Sa=0;Ta=0;Ua=La;Va=Ka;Wa=0;Xa=0;Ya=Ja;Za=qa;_a=ra;while(1){do{if(_a){if((Va|0)==0){$a=Xa;bb=Wa;cb=1;db=Ua;eb=Ta;fb=ta;gb=Sa;hb=ta;ib=Sa}else{jb=q;kb=sa;lb=ta;mb=Sa;nb=Ta;ob=Ua;pb=Wa;qb=Xa;rb=Ya;break d}}else{sb=UU(Sa,ta,1,0)|0;tb=K;ub=(Ya|0)!=48;if((Wa|0)>=125){if(!ub){$a=Xa;bb=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}c[o>>2]=c[o>>2]|1;$a=Xa;bb=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}vb=h+(Wa<<2)|0;if((Xa|0)==0){wb=Za}else{wb=Ya-48+((c[vb>>2]|0)*10|0)|0}c[vb>>2]=wb;vb=Xa+1|0;xb=(vb|0)==9;$a=xb?0:vb;bb=(xb&1)+Wa|0;cb=Va;db=1;eb=ub?sb:Ta;fb=tb;gb=sb;hb=q;ib=sa}}while(0);sb=c[e>>2]|0;if(sb>>>0<(c[m>>2]|0)>>>0){c[e>>2]=sb+1;yb=d[sb]|0}else{yb=zU(b)|0}sb=yb-48|0;tb=(yb|0)==46;if(sb>>>0<10>>>0|tb){q=hb;sa=ib;ta=fb;Sa=gb;Ta=eb;Ua=db;Va=cb;Wa=bb;Xa=$a;Ya=yb;Za=sb;_a=tb}else{zb=hb;Ab=ib;Bb=fb;Cb=gb;Db=eb;Eb=db;Fb=cb;Gb=bb;Hb=$a;Ib=yb;x=160;break}}}else{zb=Ma;Ab=Na;Bb=0;Cb=0;Db=0;Eb=La;Fb=Ka;Gb=0;Hb=0;Ib=Ja;x=160}}while(0);if((x|0)==160){ra=(Fb|0)==0;jb=ra?Bb:zb;kb=ra?Cb:Ab;lb=Bb;mb=Cb;nb=Db;ob=Eb;pb=Gb;qb=Hb;rb=Ib}ra=(ob|0)!=0;do{if(ra){if((rb|32|0)!=101){x=169;break}qa=xU(b,f)|0;_a=K;do{if((qa|0)==0&(_a|0)==(-2147483648|0)){if(u){yU(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){Jb=0;Kb=0;break}c[e>>2]=(c[e>>2]|0)-1;Jb=0;Kb=0;break}}else{Jb=_a;Kb=qa}}while(0);qa=UU(Kb,Jb,kb,jb)|0;Lb=K;Mb=qa}else{x=169}}while(0);do{if((x|0)==169){if(!((rb|0)>-1)){Lb=jb;Mb=kb;break}if((c[m>>2]|0)==0){Lb=jb;Mb=kb;break}c[e>>2]=(c[e>>2]|0)-1;Lb=jb;Mb=kb}}while(0);if(!ra){c[(Vc()|0)>>2]=22;yU(b,0);l=0.0;i=g;return+l}qa=c[n>>2]|0;if((qa|0)==0){l=+(r|0)*0.0;i=g;return+l}_a=0;do{if((Mb|0)==(mb|0)&(Lb|0)==(lb|0)&((lb|0)<(_a|0)|(lb|0)==(_a|0)&mb>>>0<10>>>0)){if(!(k>>>0>30>>>0)){if((qa>>>(k>>>0)|0)!=0){break}}l=+(r|0)*+(qa>>>0>>>0);i=g;return+l}}while(0);qa=(j|0)/-2|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)>(_a|0)|(Lb|0)==(_a|0)&Mb>>>0>qa>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}qa=j-106|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)<(_a|0)|(Lb|0)==(_a|0)&Mb>>>0<qa>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((qb|0)==0){Nb=pb}else{if((qb|0)<9){qa=h+(pb<<2)|0;_a=qb;ra=c[qa>>2]|0;do{ra=ra*10|0;_a=_a+1|0;}while((_a|0)<9);c[qa>>2]=ra}Nb=pb+1|0}_a=Mb;do{if((nb|0)<9){if(!((nb|0)<=(_a|0)&(_a|0)<18)){break}if((_a|0)==9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0);i=g;return+l}if((_a|0)<9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0)/+(c[17696+(8-_a<<2)>>2]|0);i=g;return+l}Za=k+27+(_a*-3|0)|0;Ya=c[n>>2]|0;if((Za|0)<=30){if((Ya>>>(Za>>>0)|0)!=0){break}}l=+(r|0)*+(Ya>>>0>>>0)*+(c[17696+(_a-10<<2)>>2]|0);i=g;return+l}}while(0);n=(_a|0)%9|0;if((n|0)==0){Ob=0;Pb=Nb;Qb=0;Rb=_a}else{ra=(_a|0)>-1?n:n+9|0;n=c[17696+(8-ra<<2)>>2]|0;do{if((Nb|0)==0){Sb=0;Tb=0;Ub=_a}else{qa=1e9/(n|0)|0;Ya=_a;Za=0;Xa=0;Wa=0;while(1){Va=h+(Xa<<2)|0;Ua=c[Va>>2]|0;Ta=((Ua>>>0)/(n>>>0)|0)+Wa|0;c[Va>>2]=Ta;Wb=ga((Ua>>>0)%(n>>>0)|0,qa)|0;Ua=Xa+1|0;if((Xa|0)==(Za|0)&(Ta|0)==0){Xb=Ua&127;Yb=Ya-9|0}else{Xb=Za;Yb=Ya}if((Ua|0)==(Nb|0)){break}else{Ya=Yb;Za=Xb;Xa=Ua;Wa=Wb}}if((Wb|0)==0){Sb=Nb;Tb=Xb;Ub=Yb;break}c[h+(Nb<<2)>>2]=Wb;Sb=Nb+1|0;Tb=Xb;Ub=Yb}}while(0);Ob=Tb;Pb=Sb;Qb=0;Rb=9-ra+Ub|0}e:while(1){n=h+(Ob<<2)|0;if((Rb|0)<18){_a=Pb;Wa=Qb;while(1){Xa=0;Za=_a+127|0;Ya=_a;while(1){qa=Za&127;Ua=h+(qa<<2)|0;Ta=c[Ua>>2]|0;Va=UU(Ta<<29|0>>>3,0<<29|Ta>>>3,Xa,0)|0;Ta=K;Sa=0;if(Ta>>>0>Sa>>>0|Ta>>>0==Sa>>>0&Va>>>0>1e9>>>0){Sa=dV(Va,Ta,1e9,0)|0;ta=eV(Va,Ta,1e9,0)|0;Zb=Sa;_b=ta}else{Zb=0;_b=Va}c[Ua>>2]=_b;Ua=(qa|0)==(Ob|0);if((qa|0)!=(Ya+127&127|0)|Ua){$b=Ya}else{$b=(_b|0)==0?qa:Ya}if(Ua){break}else{Xa=Zb;Za=qa-1|0;Ya=$b}}Ya=Wa-29|0;if((Zb|0)==0){_a=$b;Wa=Ya}else{ac=Ya;bc=$b;cc=Zb;break}}}else{if((Rb|0)==18){dc=Pb;ec=Qb}else{fc=Ob;gc=Pb;hc=Qb;ic=Rb;break}while(1){if(!((c[n>>2]|0)>>>0<9007199>>>0)){fc=Ob;gc=dc;hc=ec;ic=18;break e}Wa=0;_a=dc+127|0;Ya=dc;while(1){Za=_a&127;Xa=h+(Za<<2)|0;qa=c[Xa>>2]|0;Ua=UU(qa<<29|0>>>3,0<<29|qa>>>3,Wa,0)|0;qa=K;Va=0;if(qa>>>0>Va>>>0|qa>>>0==Va>>>0&Ua>>>0>1e9>>>0){Va=dV(Ua,qa,1e9,0)|0;ta=eV(Ua,qa,1e9,0)|0;jc=Va;kc=ta}else{jc=0;kc=Ua}c[Xa>>2]=kc;Xa=(Za|0)==(Ob|0);if((Za|0)!=(Ya+127&127|0)|Xa){lc=Ya}else{lc=(kc|0)==0?Za:Ya}if(Xa){break}else{Wa=jc;_a=Za-1|0;Ya=lc}}Ya=ec-29|0;if((jc|0)==0){dc=lc;ec=Ya}else{ac=Ya;bc=lc;cc=jc;break}}}n=Ob+127&127;if((n|0)==(bc|0)){Ya=bc+127&127;_a=h+((bc+126&127)<<2)|0;c[_a>>2]=c[_a>>2]|c[h+(Ya<<2)>>2];mc=Ya}else{mc=bc}c[h+(n<<2)>>2]=cc;Ob=n;Pb=mc;Qb=ac;Rb=Rb+9|0}f:while(1){nc=gc+1&127;ra=h+((gc+127&127)<<2)|0;n=fc;Ya=hc;_a=ic;while(1){Wa=(_a|0)==18;Za=(_a|0)>27?9:1;pc=n;qc=Ya;while(1){Xa=0;while(1){if((Xa|0)>=2){rc=Xa;break}Ua=Xa+pc&127;if((Ua|0)==(gc|0)){rc=2;break}ta=c[h+(Ua<<2)>>2]|0;Ua=c[17688+(Xa<<2)>>2]|0;if(ta>>>0<Ua>>>0){rc=2;break}if(ta>>>0>Ua>>>0){rc=Xa;break}else{Xa=Xa+1|0}}if((rc|0)==2&Wa){break f}sc=Za+qc|0;if((pc|0)==(gc|0)){pc=gc;qc=sc}else{break}}Wa=(1<<Za)-1|0;Xa=1e9>>>(Za>>>0);tc=_a;uc=pc;Ua=pc;vc=0;do{ta=h+(Ua<<2)|0;Va=c[ta>>2]|0;qa=(Va>>>(Za>>>0))+vc|0;c[ta>>2]=qa;vc=ga(Va&Wa,Xa)|0;Va=(Ua|0)==(uc|0)&(qa|0)==0;Ua=Ua+1&127;tc=Va?tc-9|0:tc;uc=Va?Ua:uc;}while((Ua|0)!=(gc|0));if((vc|0)==0){n=uc;Ya=sc;_a=tc;continue}if((nc|0)!=(uc|0)){break}c[ra>>2]=c[ra>>2]|1;n=uc;Ya=sc;_a=tc}c[h+(gc<<2)>>2]=vc;fc=uc;gc=nc;hc=sc;ic=tc}_a=pc&127;if((_a|0)==(gc|0)){c[h+(nc-1<<2)>>2]=0;wc=nc}else{wc=gc}oa=+((c[h+(_a<<2)>>2]|0)>>>0>>>0);_a=pc+1&127;if((_a|0)==(wc|0)){Ya=wc+1&127;c[h+(Ya-1<<2)>>2]=0;xc=Ya}else{xc=wc}za=+(r|0);yc=za*(oa*1.0e9+ +((c[h+(_a<<2)>>2]|0)>>>0>>>0));_a=qc+53|0;Ya=_a-j|0;if((Ya|0)<(k|0)){zc=(Ya|0)<0?0:Ya;Ac=1}else{zc=k;Ac=0}if((zc|0)<53){oa=+oc(+(+AU(1.0,105-zc|0)),+yc);Bc=+Vb(+yc,+(+AU(1.0,53-zc|0)));Cc=oa;Dc=Bc;Ec=oa+(yc-Bc)}else{Cc=0.0;Dc=0.0;Ec=yc}n=pc+2&127;do{if((n|0)==(xc|0)){Fc=Dc}else{ra=c[h+(n<<2)>>2]|0;do{if(ra>>>0<5e8>>>0){if((ra|0)==0){if((pc+3&127|0)==(xc|0)){Gc=Dc;break}}Gc=za*.25+Dc}else{if(ra>>>0>5e8>>>0){Gc=za*.75+Dc;break}if((pc+3&127|0)==(xc|0)){Gc=za*.5+Dc;break}else{Gc=za*.75+Dc;break}}}while(0);if((53-zc|0)<=1){Fc=Gc;break}if(+Vb(+Gc,+1.0)!=0.0){Fc=Gc;break}Fc=Gc+1.0}}while(0);za=Ec+Fc-Cc;do{if((_a&2147483647|0)>(-2-p|0)){if(+V(+za)<9007199254740992.0){Hc=za;Ic=Ac;Jc=qc}else{Hc=za*.5;Ic=(Ac|0)!=0&(zc|0)==(Ya|0)?0:Ac;Jc=qc+1|0}if((Jc+53|0)<=(pa|0)){if(!((Ic|0)!=0&Fc!=0.0)){Kc=Hc;Lc=Jc;break}}c[(Vc()|0)>>2]=34;Kc=Hc;Lc=Jc}else{Kc=za;Lc=qc}}while(0);l=+BU(Kc,Lc);i=g;return+l}}while(0);if((c[m>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}c[(Vc()|0)>>2]=22;yU(b,0);l=0.0;i=g;return+l}}while(0);do{if((x|0)==23){b=(c[m>>2]|0)==0;if(!b){c[e>>2]=(c[e>>2]|0)-1}if(s>>>0<4>>>0|(f|0)==0|b){break}else{Mc=s}do{c[e>>2]=(c[e>>2]|0)-1;Mc=Mc-1|0;}while(Mc>>>0>3>>>0)}}while(0);l=+(r|0)*w;i=g;return+l}function xU(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+4|0;f=c[e>>2]|0;g=a+100|0;if(f>>>0<(c[g>>2]|0)>>>0){c[e>>2]=f+1;h=d[f]|0}else{h=zU(a)|0}do{if((h|0)==45|(h|0)==43){f=(h|0)==45|0;i=c[e>>2]|0;if(i>>>0<(c[g>>2]|0)>>>0){c[e>>2]=i+1;j=d[i]|0}else{j=zU(a)|0}if((j-48|0)>>>0<10>>>0|(b|0)==0){k=f;l=j;break}if((c[g>>2]|0)==0){k=f;l=j;break}c[e>>2]=(c[e>>2]|0)-1;k=f;l=j}else{k=0;l=h}}while(0);if((l-48|0)>>>0>9>>>0){if((c[g>>2]|0)==0){m=-2147483648;n=0;return(K=m,n)|0}c[e>>2]=(c[e>>2]|0)-1;m=-2147483648;n=0;return(K=m,n)|0}else{o=l;p=0}while(1){q=o-48+p|0;l=c[e>>2]|0;if(l>>>0<(c[g>>2]|0)>>>0){c[e>>2]=l+1;r=d[l]|0}else{r=zU(a)|0}if(!((r-48|0)>>>0<10>>>0&(q|0)<214748364)){break}o=r;p=q*10|0}p=q;o=(q|0)<0|0?-1:0;if((r-48|0)>>>0<10>>>0){q=r;l=o;h=p;while(1){j=cV(h,l,10,0)|0;b=K;f=UU(q,(q|0)<0|0?-1:0,-48,-1)|0;i=UU(f,K,j,b)|0;b=K;j=c[e>>2]|0;if(j>>>0<(c[g>>2]|0)>>>0){c[e>>2]=j+1;s=d[j]|0}else{s=zU(a)|0}j=21474836;if((s-48|0)>>>0<10>>>0&((b|0)<(j|0)|(b|0)==(j|0)&i>>>0<2061584302>>>0)){q=s;l=b;h=i}else{t=s;u=b;v=i;break}}}else{t=r;u=o;v=p}if((t-48|0)>>>0<10>>>0){do{t=c[e>>2]|0;if(t>>>0<(c[g>>2]|0)>>>0){c[e>>2]=t+1;w=d[t]|0}else{w=zU(a)|0}}while((w-48|0)>>>0<10>>>0)}if((c[g>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}e=(k|0)!=0;k=VU(0,0,v,u)|0;m=e?K:u;n=e?k:v;return(K=m,n)|0}function yU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a+104>>2]=b;d=c[a+8>>2]|0;e=c[a+4>>2]|0;f=d-e|0;c[a+108>>2]=f;if((b|0)!=0&(f|0)>(b|0)){c[a+100>>2]=e+b;return}else{c[a+100>>2]=d;return}}function zU(b){b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=b+104|0;f=c[e>>2]|0;if((f|0)==0){g=3}else{if((c[b+108>>2]|0)<(f|0)){g=3}}do{if((g|0)==3){f=DU(b)|0;if((f|0)<0){break}h=c[e>>2]|0;i=c[b+8>>2]|0;do{if((h|0)==0){g=8}else{j=c[b+4>>2]|0;k=h-(c[b+108>>2]|0)-1|0;if((i-j|0)<=(k|0)){g=8;break}c[b+100>>2]=j+k}}while(0);if((g|0)==8){c[b+100>>2]=i}h=c[b+4>>2]|0;if((i|0)!=0){k=b+108|0;c[k>>2]=i+1-h+(c[k>>2]|0)}k=h-1|0;if((d[k]|0|0)==(f|0)){l=f;return l|0}a[k]=f;l=f;return l|0}}while(0);c[b+100>>2]=0;l=-1;return l|0}function AU(a,b){a=+a;b=b|0;var d=0.0,e=0,f=0.0,g=0;do{if((b|0)>1023){d=a*8.98846567431158e+307;e=b-1023|0;if((e|0)<=1023){f=d;g=e;break}e=b-2046|0;f=d*8.98846567431158e+307;g=(e|0)>1023?1023:e}else{if(!((b|0)<-1022)){f=a;g=b;break}d=a*2.2250738585072014e-308;e=b+1022|0;if(!((e|0)<-1022)){f=d;g=e;break}e=b+2044|0;f=d*2.2250738585072014e-308;g=(e|0)<-1022?-1022:e}}while(0);return+(f*(c[k>>2]=0<<20|0>>>12,c[k+4>>2]=g+1023<<20|0>>>12,+h[k>>3]))}function BU(a,b){a=+a;b=b|0;return+(+AU(a,b))}function CU(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+74|0;e=a[d]|0;a[d]=e-1&255|e;e=b+20|0;d=b+44|0;if((c[e>>2]|0)>>>0>(c[d>>2]|0)>>>0){Vd[c[b+36>>2]&127](b,0,0)|0}c[b+16>>2]=0;c[b+28>>2]=0;c[e>>2]=0;e=b|0;f=c[e>>2]|0;if((f&20|0)==0){g=c[d>>2]|0;c[b+8>>2]=g;c[b+4>>2]=g;h=0;return h|0}if((f&4|0)==0){h=-1;return h|0}c[e>>2]=f|32;h=-1;return h|0}function DU(a){a=a|0;var b=0,e=0,f=0,g=0;b=i;i=i+8|0;e=b|0;if((c[a+8>>2]|0)==0){if((CU(a)|0)==0){f=3}else{g=-1}}else{f=3}do{if((f|0)==3){if((Vd[c[a+32>>2]&127](a,e,1)|0)!=1){g=-1;break}g=d[e]|0}}while(0);i=b;return g|0}function EU(a){a=a|0;return+(+FU(a,0))}function FU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;NU(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;yU(e,0);h=+wU(e,1,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function GU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;NU(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;yU(e,0);h=+wU(e,2,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function HU(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((d|0)==0){e=0;return e|0}else{f=d;g=b;h=c}while(1){i=a[g]|0;j=a[h]|0;if(!(i<<24>>24==j<<24>>24)){break}c=f-1|0;if((c|0)==0){e=0;k=5;break}else{f=c;g=g+1|0;h=h+1|0}}if((k|0)==5){return e|0}e=(i&255)-(j&255)|0;return e|0}function IU(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a[b]|0;e=a[c]|0;if(d<<24>>24!=e<<24>>24|d<<24>>24==0|e<<24>>24==0){f=d;g=e;h=f&255;i=g&255;j=h-i|0;return j|0}else{k=b;l=c}while(1){c=k+1|0;b=l+1|0;e=a[c]|0;d=a[b]|0;if(e<<24>>24!=d<<24>>24|e<<24>>24==0|d<<24>>24==0){f=e;g=d;break}else{k=c;l=b}}h=f&255;i=g&255;j=h-i|0;return j|0}function JU(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((e|0)==0){f=0;return f|0}g=a[b]|0;a:do{if(g<<24>>24==0){h=c;i=0}else{j=b;k=c;l=e;m=g;while(1){n=l-1|0;o=a[k]|0;if(!((n|0)!=0&o<<24>>24!=0&m<<24>>24==o<<24>>24)){h=k;i=m;break a}o=j+1|0;p=k+1|0;q=a[o]|0;if(q<<24>>24==0){h=p;i=0;break}else{j=o;k=p;l=n;m=q}}}}while(0);f=(i&255)-(d[h]|0)|0;return f|0}function KU(b){b=b|0;var c=0;c=b;while(a[c]|0){c=c+1|0}return c-b|0}function LU(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;while((e|0)<(d|0)){a[b+e|0]=f?0:a[c+e|0]|0;f=f?1:(a[c+e|0]|0)==0;e=e+1|0}return b|0}function MU(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((e|0)>=4096)return uc(b|0,d|0,e|0)|0;f=b|0;if((b&3)==(d&3)){while(b&3){if((e|0)==0)return f|0;a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}while((e|0)>=4){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0;e=e-4|0}}while((e|0)>0){a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}return f|0}function NU(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;if((e|0)>=20){d=d&255;g=b&3;h=d|d<<8|d<<16|d<<24;i=f&~3;if(g){g=b+4-g|0;while((b|0)<(g|0)){a[b]=d;b=b+1|0}}while((b|0)<(i|0)){c[b>>2]=h;b=b+4|0}}while((b|0)<(f|0)){a[b]=d;b=b+1|0}return b-e|0}function OU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;z=z+1|0;c[a>>2]=z;while((e|0)<40){if((c[d+(e<<2)>>2]|0)==0){c[d+(e<<2)>>2]=z;c[d+((e<<2)+4)>>2]=b;c[d+((e<<2)+8)>>2]=0;return 0}e=e+2|0}kc(116);kc(111);kc(111);kc(32);kc(109);kc(97);kc(110);kc(121);kc(32);kc(115);kc(101);kc(116);kc(106);kc(109);kc(112);kc(115);kc(32);kc(105);kc(110);kc(32);kc(97);kc(32);kc(102);kc(117);kc(110);kc(99);kc(116);kc(105);kc(111);kc(110);kc(32);kc(99);kc(97);kc(108);kc(108);kc(44);kc(32);kc(98);kc(117);kc(105);kc(108);kc(100);kc(32);kc(119);kc(105);kc(116);kc(104);kc(32);kc(97);kc(32);kc(104);kc(105);kc(103);kc(104);kc(101);kc(114);kc(32);kc(118);kc(97);kc(108);kc(117);kc(101);kc(32);kc(102);kc(111);kc(114);kc(32);kc(77);kc(65);kc(88);kc(95);kc(83);kc(69);kc(84);kc(74);kc(77);kc(80);kc(83);kc(10);ha(0);return 0}function PU(a,b){a=a|0;b=b|0;var d=0,e=0;while((d|0)<20){e=c[b+(d<<2)>>2]|0;if((e|0)==0)break;if((e|0)==(a|0)){return c[b+((d<<2)+4)>>2]|0}d=d+2|0}return 0}function QU(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b]=a[c]|0}b=e}else{MU(b,c,d)|0}return b|0}function RU(a){a=a|0;var b=0;b=(ga(c[a>>2]|0,31010991)|0)+1735287159&2147483647;c[a>>2]=b;return b|0}function SU(){return RU(o)|0}function TU(b,c){b=b|0;c=c|0;var d=0;do{a[b+d|0]=a[c+d|0];d=d+1|0}while(a[c+(d-1)|0]|0);return b|0}function UU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return(K=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function VU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return(K=e,a-c>>>0|0)|0}function WU(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}K=a<<c-32;return 0}function XU(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=0;return b>>>c-32|0}function YU(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=(b|0)<0?-1:0;return b>>c-32|0}function ZU(b){b=b|0;var c=0;c=a[n+(b>>>24)|0]|0;if((c|0)<8)return c|0;c=a[n+(b>>16&255)|0]|0;if((c|0)<8)return c+8|0;c=a[n+(b>>8&255)|0]|0;if((c|0)<8)return c+16|0;return(a[n+(b&255)|0]|0)+24|0}function _U(b){b=b|0;var c=0;c=a[m+(b&255)|0]|0;if((c|0)<8)return c|0;c=a[m+(b>>8&255)|0]|0;if((c|0)<8)return c+8|0;c=a[m+(b>>16&255)|0]|0;if((c|0)<8)return c+16|0;return(a[m+(b>>>24)|0]|0)+24|0}function $U(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=ga(d,c)|0;f=a>>>16;a=(e>>>16)+(ga(d,f)|0)|0;d=b>>>16;b=ga(d,c)|0;return(K=(a>>>16)+(ga(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function aV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=VU(e^a,f^b,e,f)|0;b=K;a=g^e;e=h^f;f=VU((fV(i,b,VU(g^c,h^d,g,h)|0,K,0)|0)^a,K^e,a,e)|0;return(K=K,f)|0}function bV(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=b>>31|((b|0)<0?-1:0)<<1;j=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;k=e>>31|((e|0)<0?-1:0)<<1;l=((e|0)<0?-1:0)>>31|((e|0)<0?-1:0)<<1;m=VU(h^a,j^b,h,j)|0;b=K;fV(m,b,VU(k^d,l^e,k,l)|0,K,g)|0;l=VU(c[g>>2]^h,c[g+4>>2]^j,h,j)|0;j=K;i=f;return(K=j,l)|0}function cV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=$U(e,a)|0;f=K;return(K=(ga(b,a)|0)+(ga(d,e)|0)+f|f&0,c|0|0)|0}function dV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=fV(a,b,c,d,0)|0;return(K=K,e)|0}function eV(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=f|0;fV(a,b,d,e,g)|0;i=f;return(K=c[g+4>>2]|0,c[g>>2]|0)|0}function fV(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0;g=a;h=b;i=h;j=d;k=e;l=k;if((i|0)==0){m=(f|0)!=0;if((l|0)==0){if(m){c[f>>2]=(g>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return(K=n,o)|0}else{if(!m){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;o=0;return(K=n,o)|0}}m=(l|0)==0;do{if((j|0)==0){if(m){if((f|0)!=0){c[f>>2]=(i>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return(K=n,o)|0}if((g|0)==0){if((f|0)!=0){c[f>>2]=0;c[f+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return(K=n,o)|0}p=l-1|0;if((p&l|0)==0){if((f|0)!=0){c[f>>2]=a|0;c[f+4>>2]=p&i|b&0}n=0;o=i>>>((_U(l|0)|0)>>>0);return(K=n,o)|0}p=(ZU(l|0)|0)-(ZU(i|0)|0)|0;if(p>>>0<=30){q=p+1|0;r=31-p|0;s=q;t=i<<r|g>>>(q>>>0);u=i>>>(q>>>0);v=0;w=g<<r;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}else{if(!m){r=(ZU(l|0)|0)-(ZU(i|0)|0)|0;if(r>>>0<=31){q=r+1|0;p=31-r|0;x=r-31>>31;s=q;t=g>>>(q>>>0)&x|i<<p;u=i>>>(q>>>0)&x;v=0;w=g<<p;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}p=j-1|0;if((p&j|0)!=0){x=(ZU(j|0)|0)+33-(ZU(i|0)|0)|0;q=64-x|0;r=32-x|0;y=r>>31;z=x-32|0;A=z>>31;s=x;t=r-1>>31&i>>>(z>>>0)|(i<<r|g>>>(x>>>0))&A;u=A&i>>>(x>>>0);v=g<<q&y;w=(i<<q|g>>>(z>>>0))&y|g<<r&x-33>>31;break}if((f|0)!=0){c[f>>2]=p&g;c[f+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return(K=n,o)|0}else{p=_U(j|0)|0;n=i>>>(p>>>0)|0;o=i<<32-p|g>>>(p>>>0)|0;return(K=n,o)|0}}}while(0);if((s|0)==0){B=w;C=v;D=u;E=t;F=0;G=0}else{g=d|0|0;d=k|e&0;e=UU(g,d,-1,-1)|0;k=K;i=w;w=v;v=u;u=t;t=s;s=0;while(1){H=w>>>31|i<<1;I=s|w<<1;j=u<<1|i>>>31|0;a=u>>>31|v<<1|0;VU(e,k,j,a)|0;b=K;h=b>>31|((b|0)<0?-1:0)<<1;J=h&1;L=VU(j,a,h&g,(((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1)&d)|0;M=K;b=t-1|0;if((b|0)==0){break}else{i=H;w=I;v=M;u=L;t=b;s=J}}B=H;C=I;D=M;E=L;F=0;G=J}J=C;C=0;if((f|0)!=0){c[f>>2]=E;c[f+4>>2]=D}n=(J|0)>>>31|(B|C)<<1|(C<<1|J>>>31)&0|F;o=(J<<1|0>>>31)&-2|G;return(K=n,o)|0}function gV(a){a=a|0;qc(a|0)}function hV(a){a=a|0;return Rb(a|0)|0}function iV(a){a=a|0;return Zb(a|0)|0}function jV(a){a=a|0;return Sa(a|0)|0}function kV(a){a=a|0;return Ic(a|0)|0}function lV(a){a=a|0;return od(a|0)|0}function mV(a){a=a|0;return Oa(a|0)|0}function nV(a){a=a|0;return gb(a|0)|0}function oV(a,b){a=a|0;b=b|0;return Pb(a|0,b|0)|0}function pV(a,b){a=a|0;b=b|0;return ob(a|0,b|0)|0}function qV(){return qd()|0}function rV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Xa(a|0,b|0,c|0,d|0)|0}function sV(){db()}function tV(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Nd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function uV(a,b){a=a|0;b=+b;Od[a&3](+b)}function vV(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;Pd[a&31](b|0,c|0,d|0,e|0,f|0)}function wV(a,b){a=a|0;b=b|0;Qd[a&511](b|0)}function xV(a,b,c){a=a|0;b=b|0;c=c|0;Rd[a&127](b|0,c|0)}function yV(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;return Sd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)|0}function zV(a,b){a=a|0;b=b|0;return Td[a&255](b|0)|0}function AV(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return Ud[a&127](b|0,c|0,d|0,e|0,f|0)|0}function BV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Vd[a&127](b|0,c|0,d|0)|0}function CV(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;Wd[a&15](b|0,c|0,d|0,e|0,f|0,+g)}function DV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;Xd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function EV(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Yd[a&63](b|0,c|0,d|0,e|0,f|0,g|0)}function FV(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;Zd[a&7](b|0,c|0,+d,e|0,f|0)}function GV(a,b,c){a=a|0;b=b|0;c=+c;return _d[a&3](b|0,+c)|0}function HV(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;$d[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function IV(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;ae[a&7](b|0,c|0,d|0,e|0,f|0,g|0,+h)}function JV(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;be[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function KV(a,b,c){a=a|0;b=b|0;c=c|0;return ce[a&127](b|0,c|0)|0}function LV(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;return de[a&3](b|0,c|0,d|0,e|0,+f,g|0)|0}function MV(a){a=a|0;return ee[a&15]()|0}function NV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return fe[a&127](b|0,c|0,d|0,e|0)|0}function OV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ge[a&15](b|0,c|0,d|0)}function PV(a){a=a|0;he[a&15]()}function QV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ie[a&31](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function RV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;je[a&63](b|0,c|0,d|0,e|0)}function SV(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(0);return 0}function TV(a){a=+a;ha(1)}function UV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(2)}function VV(a){a=a|0;ha(3)}function WV(a,b){a=a|0;b=b|0;ha(4)}function XV(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ha(5);return 0}function YV(a){a=a|0;ha(6);return 0}function ZV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(7);return 0}function _V(a,b,c){a=a|0;b=b|0;c=c|0;ha(8);return 0}function $V(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;ha(9)}function aW(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(10)}function bW(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ha(11)}function cW(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;ha(12)}function dW(a,b){a=a|0;b=+b;ha(13);return 0}function eW(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(14)}function fW(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ha(15)}function gW(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ha(16)}function hW(a,b){a=a|0;b=b|0;ha(17);return 0}function iW(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;ha(18);return 0}function jW(){ha(19);return 0}function kW(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(20);return 0}function lW(a,b,c){a=a|0;b=b|0;c=c|0;ha(21)}function mW(){ha(22)}function nW(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(23);return 0}function oW(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(24)}



function Ty(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0;e=i;i=i+12840|0;Uy(e|0);TJ(e+200|0);Vy(e+216|0,e+232|0);Vy(e+240|0,e+256|0);do{if((c[(b+92|0)>>2]|0)==0){if((c[229289]|0)==0){ZJ(e+296|0,c[b+80>>2]|0);Wy(e+280|0,e+296|0,895112);eK(e+200|0,e+280|0)|0;dK(e+280|0);dK(e+296|0)}else{fK(e+200|0,c[229259]|0)|0}f=xc(AK(e+200|0)|0,42576)|0;if((f|0)!=0){j=f;break}f=AK(e+200|0)|0;Hq(0,37656,(k=i,i=i+8|0,c[k>>2]=f,k)|0);i=k}else{j=0}}while(0);f=sl(0)|0;if((f|0)==0){Oa(j|0)|0;Hq(0,33440,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}Dl(f,e|0);El(f,8,8);l=c[(b+92|0)>>2]|0;do{if((l|0)==0){NU(e+312|0|0|0,0,1024)|0;while(1){m=gd(e+312|0|0|0,1,1024,j|0)|0;if((Fl(f,e+312|0|0,m,m>>>0<1024>>>0&1)|0)==0){break}if(m>>>0<1024>>>0){n=49;break}}if((n|0)==49){Oa(j|0)|0;break}Oa(j|0)|0;m=AK(e+200|0)|0;o=Nl(Kl(f)|0)|0;p=Ll(f)|0;Fq(1,0,29496,(k=i,i=i+24|0,c[k>>2]=m,c[k+8>>2]=o,c[k+16>>2]=p,k)|0);i=k;zl(f);Hq(0,26056,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}else{if((Fl(f,l,KU(l|0)|0,1)|0)!=0){break}p=c[u>>2]|0;o=c[(b+92|0)>>2]|0;m=Nl(Kl(f)|0)|0;q=Ll(f)|0;kd(p|0,23488,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0)|0;i=k;q=c[(b+92|0)>>2]|0;m=Nl(Kl(f)|0)|0;o=Ll(f)|0;Fq(1,0,903864,(k=i,i=i+24|0,c[k>>2]=q,c[k+8>>2]=m,c[k+16>>2]=o,k)|0);i=k;zl(f);Hq(0,26056,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);l=e|0|0;ZJ(e+1344|0,901184);_y(e+1336|0,l,e+1344|0);$y(e+1360|0,l);j=Zy(e+1336|0,e+1360|0)|0;dK(e+1344|0);n=c[(b+88|0)>>2]|0;do{if(j){o=AK(e+200|0)|0;Fq(1,0,898912,(k=i,i=i+16|0,c[k>>2]=n,c[k+8>>2]=o,k)|0);i=k}else{ZJ(e+1368|0,901184);o=IU(n,AK(az(l,e+1368|0)|0)|0)|0;dK(e+1368|0);if((o|0)==0){break}zl(f);ZJ(e+1384|0,901184);o=AK(az(l,e+1384|0)|0)|0;m=AK(e+200|0)|0;q=c[(b+88|0)>>2]|0;Fq(1,0,896984,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0);i=k;dK(e+1384|0);Hq(0,26056,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);bz(e|0,b,c[229280]|0,c[229281]|0);Dq(23,1,895592,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;ZJ(e+1416|0,894552);VJ(e+1400|0,az((e|0)+12|0,e+1416|0)|0);cz(e+1400|0,d|0,0.0);dK(e+1400|0);dK(e+1416|0);Dq(23,0,893648,(k=i,i=i+8|0,h[k>>3]=+h[(d|0)>>3],k)|0);i=k;ZJ(e+1448|0,892688);VJ(e+1432|0,az((e|0)+12|0,e+1448|0)|0);cz(e+1432|0,d+8|0,1.0);dK(e+1432|0);dK(e+1448|0);Dq(23,0,891928,(k=i,i=i+8|0,h[k>>3]=+h[(d+8|0)>>3],k)|0);i=k;ZJ(e+1480|0,891264);VJ(e+1464|0,az((e|0)+12|0,e+1480|0)|0);cz(e+1464|0,d+24|0,(+h[(d+8|0)>>3]- +h[(d|0)>>3])/500.0);dK(e+1464|0);dK(e+1480|0);Dq(23,0,890456,(k=i,i=i+8|0,h[k>>3]=+h[(d+24|0)>>3],k)|0);i=k;ZJ(e+1512|0,889680);VJ(e+1496|0,az((e|0)+12|0,e+1512|0)|0);cz(e+1496|0,d+32|0,1.0e-5);dK(e+1496|0);dK(e+1512|0);Dq(23,0,888488,(k=i,i=i+8|0,h[k>>3]=+h[(d+32|0)>>3],k)|0);i=k;ZJ(e+1544|0,708144);VJ(e+1528|0,az((e|0)+12|0,e+1544|0)|0);dz(e+1528|0,d+40|0);dK(e+1528|0);dK(e+1544|0);Dq(23,0,56488,(k=i,i=i+8|0,c[k>>2]=c[(d+40|0)>>2],k)|0);i=k;ZJ(e+1576|0,55592);VJ(e+1560|0,az((e|0)+12|0,e+1576|0)|0);dz(e+1560|0,d+44|0);dK(e+1560|0);dK(e+1576|0);Dq(23,0,54480,(k=i,i=i+8|0,c[k>>2]=c[(d+44|0)>>2],k)|0);i=k;ZJ(e+1608|0,53576);VJ(e+1592|0,az((e|0)+12|0,e+1608|0)|0);dz(e+1592|0,d+48|0);dK(e+1592|0);dK(e+1608|0);Dq(23,0,52816,(k=i,i=i+8|0,c[k>>2]=c[(d+48|0)>>2],k)|0);i=k;ZJ(e+1640|0,52136);VJ(e+1624|0,az(l,e+1640|0)|0);dz(e+1624|0,d+268|0);dK(e+1624|0);dK(e+1640|0);Dq(23,0,51464,(k=i,i=i+8|0,c[k>>2]=c[(d+268|0)>>2],k)|0);i=k;if((c[229129]|0)!=0){Qd[c[3540]&511](23)}ZJ(e+1744|0,50744);VJ(e+1728|0,az(l,e+1744|0)|0);ez(e+1728|0,e+1656|0,0);dK(e+1728|0);dK(e+1744|0);ZJ(e+1776|0,49400);VJ(e+1760|0,az(l,e+1776|0)|0);ez(e+1760|0,e+1664|0,0);dK(e+1760|0);dK(e+1776|0);ZJ(e+1808|0,48608);VJ(e+1792|0,az(l,e+1808|0)|0);ez(e+1792|0,e+1672|0,0);dK(e+1792|0);dK(e+1808|0);ZJ(e+1840|0,47592);VJ(e+1824|0,az(l,e+1840|0)|0);ez(e+1824|0,e+1688|0,0);dK(e+1824|0);dK(e+1840|0);ZJ(e+1872|0,46944);VJ(e+1856|0,az(l,e+1872|0)|0);ez(e+1856|0,e+1680|0,0);dK(e+1856|0);dK(e+1872|0);ZJ(e+1904|0,46296);VJ(e+1888|0,az(l,e+1904|0)|0);ez(e+1888|0,e+1704|0,0);dK(e+1888|0);dK(e+1904|0);ZJ(e+1936|0,45688);VJ(e+1920|0,az(l,e+1936|0)|0);ez(e+1920|0,e+1696|0,0);dK(e+1920|0);dK(e+1936|0);ZJ(e+1968|0,45088);VJ(e+1952|0,az(l,e+1968|0)|0);ez(e+1952|0,e+1720|0,0);dK(e+1952|0);dK(e+1968|0);ZJ(e+2e3|0,44496);VJ(e+1984|0,az(l,e+2e3|0)|0);ez(e+1984|0,e+1712|0,0);dK(e+1984|0);dK(e+2e3|0);l=c[(e+1656|0)>>2]|0;do{if((l|0)==(c[(b+104|0)>>2]|0)){if((c[(e+1664|0)>>2]|0)!=((c[(b+108|0)>>2]|0)-(l<<1)|0)){break}if((c[(e+1672|0)>>2]|0)!=(c[(b+128|0)>>2]|0)){break}if((c[(e+1688|0)>>2]|0)!=(c[(b+132|0)>>2]|0)){break}if((c[(e+1680|0)>>2]|0)!=(c[(b+116|0)>>2]|0)){break}if((c[(e+1704|0)>>2]|0)!=(c[(b+136|0)>>2]|0)){break}if((c[(e+1696|0)>>2]|0)!=(c[(b+120|0)>>2]|0)){break}if((c[(e+1720|0)>>2]|0)!=(c[(b+140|0)>>2]|0)){break}if((c[(e+1712|0)>>2]|0)!=(c[(b+124|0)>>2]|0)){break}Dq(4,1,38624,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){d=(e|0)+24|0;n=0;do{c[(e+2032|0)>>2]=n;j=fz(d,e+2032|0)|0;ZJ(e+2040|0,38208);VJ(e+2016|0,az(j,e+2040|0)|0);dz(e+2016|0,(c[(b|0)>>2]|0)+(n*112|0)+4|0);dK(e+2016|0);dK(e+2040|0);c[(e+2072|0)>>2]=n;j=fz(d,e+2072|0)|0;ZJ(e+2080|0,36816);VJ(e+2056|0,az(j,e+2080|0)|0);gz(e+2056|0,(c[(b|0)>>2]|0)+(n*112|0)|0);dK(e+2056|0);dK(e+2080|0);c[(e+2112|0)>>2]=n;j=fz(d,e+2112|0)|0;ZJ(e+2120|0,36008);VJ(e+2096|0,az(j,e+2120|0)|0);dz(e+2096|0,(c[(b|0)>>2]|0)+(n*112|0)+8|0);dK(e+2096|0);dK(e+2120|0);c[(e+2152|0)>>2]=n;j=fz(d,e+2152|0)|0;ZJ(e+2160|0,35288);VJ(e+2136|0,az(j,e+2160|0)|0);dz(e+2136|0,(c[(b|0)>>2]|0)+(n*112|0)+12|0);dK(e+2136|0);dK(e+2160|0);c[(e+2192|0)>>2]=n;j=fz(d,e+2192|0)|0;ZJ(e+2200|0,34632);VJ(e+2176|0,az(j,e+2200|0)|0);ez(e+2176|0,(c[(b|0)>>2]|0)+(n*112|0)+16|0,0);dK(e+2176|0);dK(e+2200|0);c[(e+2232|0)>>2]=n;j=fz(d,e+2232|0)|0;ZJ(e+2240|0,33984);VJ(e+2216|0,az(j,e+2240|0)|0);ez(e+2216|0,(c[(b|0)>>2]|0)+(n*112|0)+20|0,0);dK(e+2216|0);dK(e+2240|0);c[(e+2272|0)>>2]=n;j=fz(d,e+2272|0)|0;ZJ(e+2280|0,32584);VJ(e+2256|0,az(j,e+2280|0)|0);ez(e+2256|0,(c[(b|0)>>2]|0)+(n*112|0)+24|0,0);dK(e+2256|0);dK(e+2280|0);c[(e+2312|0)>>2]=n;j=fz(d,e+2312|0)|0;ZJ(e+2320|0,31784);VJ(e+2296|0,az(j,e+2320|0)|0);ez(e+2296|0,(c[(b|0)>>2]|0)+(n*112|0)+28|0,0);dK(e+2296|0);dK(e+2320|0);c[(e+2352|0)>>2]=n;j=fz(d,e+2352|0)|0;ZJ(e+2360|0,31072);VJ(e+2336|0,az(j,e+2360|0)|0);ez(e+2336|0,(c[(b|0)>>2]|0)+(n*112|0)+32|0,0);dK(e+2336|0);dK(e+2360|0);c[(e+2392|0)>>2]=n;j=fz(d,e+2392|0)|0;ZJ(e+2400|0,30424);VJ(e+2376|0,az(j,e+2400|0)|0);hz(e+2376|0,(c[(b|0)>>2]|0)+(n*112|0)+88|0);dK(e+2376|0);dK(e+2400|0);c[(e+2432|0)>>2]=n;j=fz(d,e+2432|0)|0;ZJ(e+2440|0,30112);VJ(e+2416|0,az(j,e+2440|0)|0);cz(e+2416|0,(c[(b|0)>>2]|0)+(n*112|0)+96|0,0.0);dK(e+2416|0);dK(e+2440|0);c[(e+2472|0)>>2]=n;j=fz(d,e+2472|0)|0;ZJ(e+2480|0,29784);VJ(e+2456|0,az(j,e+2480|0)|0);hz(e+2456|0,(c[(b|0)>>2]|0)+(n*112|0)+72|0);dK(e+2456|0);dK(e+2480|0);c[(e+2512|0)>>2]=n;j=fz(d,e+2512|0)|0;ZJ(e+2520|0,29168);VJ(e+2496|0,az(j,e+2520|0)|0);hz(e+2496|0,(c[(b|0)>>2]|0)+(n*112|0)+73|0);dK(e+2496|0);dK(e+2520|0);c[(e+2552|0)>>2]=n;j=fz(d,e+2552|0)|0;ZJ(e+2560|0,28888);VJ(e+2536|0,az(j,e+2560|0)|0);cz(e+2536|0,(c[(b|0)>>2]|0)+(n*112|0)+80|0,1.0);dK(e+2536|0);dK(e+2560|0);c[(e+2592|0)>>2]=n;j=fz(d,e+2592|0)|0;ZJ(e+2600|0,28544);VJ(e+2576|0,az(j,e+2600|0)|0);cz(e+2576|0,(c[(b|0)>>2]|0)+(n*112|0)+56|0,-1.7976931348623157e+308);dK(e+2576|0);dK(e+2600|0);c[(e+2632|0)>>2]=n;j=fz(d,e+2632|0)|0;ZJ(e+2640|0,28064);VJ(e+2616|0,az(j,e+2640|0)|0);cz(e+2616|0,(c[(b|0)>>2]|0)+(n*112|0)+64|0,1.7976931348623157e+308);dK(e+2616|0);dK(e+2640|0);j=c[(b|0)>>2]|0;q=(a[j+(n*112|0)+88|0]|0)!=0;r=+h[j+(n*112|0)+96>>3];m=(a[j+(n*112|0)+72|0]|0)!=0?26584:26376;o=(a[j+(n*112|0)+73|0]|0)!=0;s=+h[j+(n*112|0)+80>>3];t=+h[j+(n*112|0)+56>>3];v=+h[j+(n*112|0)+64>>3];Dq(4,0,27472,(k=i,i=i+80|0,c[k>>2]=c[j+(n*112|0)+4>>2],c[k+8>>2]=q?939512:27008,h[k+16>>3]=r,c[k+24>>2]=q?939512:26792,c[k+32>>2]=m,c[k+40>>2]=o?939512:27008,h[k+48>>3]=s,c[k+56>>2]=o?939512:26792,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;o=c[(b|0)>>2]|0;m=c[o+(n*112|0)+4>>2]|0;if((a[m]|0)==36){a[o+(n*112|0)+104|0]=1;w=c[(c[(b|0)>>2]|0)+(n*112|0)+4>>2]|0}else{w=m}ZJ(e+2656|0,w);c[(iz(e+216|0,e+2656|0)|0)>>2]=n;dK(e+2656|0);n=n+1|0;}while((n|0)<(c[(b+104|0)>>2]|0))}if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,25552,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){n=(e|0)+36|0;d=0;do{c[(e+2688|0)>>2]=d;m=fz(n,e+2688|0)|0;ZJ(e+2696|0,38208);VJ(e+2672|0,az(m,e+2696|0)|0);dz(e+2672|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+4|0);dK(e+2672|0);dK(e+2696|0);c[(e+2728|0)>>2]=d;m=fz(n,e+2728|0)|0;ZJ(e+2736|0,36816);VJ(e+2712|0,az(m,e+2736|0)|0);gz(e+2712|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)|0);dK(e+2712|0);dK(e+2736|0);c[(e+2768|0)>>2]=d;m=fz(n,e+2768|0)|0;ZJ(e+2776|0,36008);VJ(e+2752|0,az(m,e+2776|0)|0);dz(e+2752|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+8|0);dK(e+2752|0);dK(e+2776|0);c[(e+2808|0)>>2]=d;m=fz(n,e+2808|0)|0;ZJ(e+2816|0,35288);VJ(e+2792|0,az(m,e+2816|0)|0);dz(e+2792|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+12|0);dK(e+2792|0);dK(e+2816|0);c[(e+2848|0)>>2]=d;m=fz(n,e+2848|0)|0;ZJ(e+2856|0,34632);VJ(e+2832|0,az(m,e+2856|0)|0);ez(e+2832|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+16|0,0);dK(e+2832|0);dK(e+2856|0);c[(e+2888|0)>>2]=d;m=fz(n,e+2888|0)|0;ZJ(e+2896|0,33984);VJ(e+2872|0,az(m,e+2896|0)|0);ez(e+2872|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+20|0,0);dK(e+2872|0);dK(e+2896|0);c[(e+2928|0)>>2]=d;m=fz(n,e+2928|0)|0;ZJ(e+2936|0,32584);VJ(e+2912|0,az(m,e+2936|0)|0);ez(e+2912|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+24|0,0);dK(e+2912|0);dK(e+2936|0);c[(e+2968|0)>>2]=d;m=fz(n,e+2968|0)|0;ZJ(e+2976|0,31784);VJ(e+2952|0,az(m,e+2976|0)|0);ez(e+2952|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+28|0,0);dK(e+2952|0);dK(e+2976|0);c[(e+3008|0)>>2]=d;m=fz(n,e+3008|0)|0;ZJ(e+3016|0,31072);VJ(e+2992|0,az(m,e+3016|0)|0);ez(e+2992|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+32|0,0);dK(e+2992|0);dK(e+3016|0);c[(e+3048|0)>>2]=d;m=fz(n,e+3048|0)|0;ZJ(e+3056|0,30424);VJ(e+3032|0,az(m,e+3056|0)|0);hz(e+3032|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+88|0);dK(e+3032|0);dK(e+3056|0);c[(e+3088|0)>>2]=d;m=fz(n,e+3088|0)|0;ZJ(e+3096|0,30112);VJ(e+3072|0,az(m,e+3096|0)|0);cz(e+3072|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+96|0,0.0);dK(e+3072|0);dK(e+3096|0);c[(e+3128|0)>>2]=d;m=fz(n,e+3128|0)|0;ZJ(e+3136|0,29784);VJ(e+3112|0,az(m,e+3136|0)|0);hz(e+3112|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+72|0);dK(e+3112|0);dK(e+3136|0);c[(e+3168|0)>>2]=d;m=fz(n,e+3168|0)|0;ZJ(e+3176|0,29168);VJ(e+3152|0,az(m,e+3176|0)|0);hz(e+3152|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+73|0);dK(e+3152|0);dK(e+3176|0);c[(e+3208|0)>>2]=d;m=fz(n,e+3208|0)|0;ZJ(e+3216|0,28888);VJ(e+3192|0,az(m,e+3216|0)|0);cz(e+3192|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+80|0,1.0);dK(e+3192|0);dK(e+3216|0);c[(e+3248|0)>>2]=d;m=fz(n,e+3248|0)|0;ZJ(e+3256|0,28544);VJ(e+3232|0,az(m,e+3256|0)|0);cz(e+3232|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+56|0,-1.7976931348623157e+308);dK(e+3232|0);dK(e+3256|0);c[(e+3288|0)>>2]=d;m=fz(n,e+3288|0)|0;ZJ(e+3296|0,28064);VJ(e+3272|0,az(m,e+3296|0)|0);cz(e+3272|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+64|0,1.7976931348623157e+308);dK(e+3272|0);dK(e+3296|0);m=(c[(b+104|0)>>2]|0)+d|0;o=c[(b|0)>>2]|0;q=(a[o+(m*112|0)+88|0]|0)!=0;v=+h[o+(m*112|0)+96>>3];j=(a[o+(m*112|0)+72|0]|0)!=0?26584:26376;p=(a[o+(m*112|0)+73|0]|0)!=0;t=+h[o+(m*112|0)+80>>3];s=+h[o+(m*112|0)+56>>3];r=+h[o+(m*112|0)+64>>3];Dq(4,0,27472,(k=i,i=i+80|0,c[k>>2]=c[o+(m*112|0)+4>>2],c[k+8>>2]=q?939512:27008,h[k+16>>3]=v,c[k+24>>2]=q?939512:26792,c[k+32>>2]=j,c[k+40>>2]=p?939512:27008,h[k+48>>3]=t,c[k+56>>2]=p?939512:26792,h[k+64>>3]=s,h[k+72>>3]=r,k)|0);i=k;p=c[(b+104|0)>>2]|0;j=p+d|0;q=c[(b|0)>>2]|0;if((a[c[q+(j*112|0)+4>>2]|0]|0)==36){a[q+(j*112|0)+104|0]=1;x=c[(b+104|0)>>2]|0;y=c[(b|0)>>2]|0}else{x=p;y=q}q=x+d|0;ZJ(e+3312|0,c[y+(q*112|0)+4>>2]|0);c[(iz(e+216|0,e+3312|0)|0)>>2]=q;dK(e+3312|0);d=d+1|0;}while((d|0)<(c[(b+104|0)>>2]|0))}if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,25016,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;d=c[(b+104|0)>>2]<<1;if(((c[(b+108|0)>>2]|0)-d|0)>0){n=(e|0)+48|0;q=0;p=d;do{d=p+q|0;c[(e+3344|0)>>2]=q;j=fz(n,e+3344|0)|0;ZJ(e+3352|0,38208);VJ(e+3328|0,az(j,e+3352|0)|0);dz(e+3328|0,(c[(b|0)>>2]|0)+(d*112|0)+4|0);dK(e+3328|0);dK(e+3352|0);c[(e+3384|0)>>2]=q;j=fz(n,e+3384|0)|0;ZJ(e+3392|0,36816);VJ(e+3368|0,az(j,e+3392|0)|0);gz(e+3368|0,(c[(b|0)>>2]|0)+(d*112|0)|0);dK(e+3368|0);dK(e+3392|0);c[(e+3424|0)>>2]=q;j=fz(n,e+3424|0)|0;ZJ(e+3432|0,36008);VJ(e+3408|0,az(j,e+3432|0)|0);dz(e+3408|0,(c[(b|0)>>2]|0)+(d*112|0)+8|0);dK(e+3408|0);dK(e+3432|0);c[(e+3464|0)>>2]=q;j=fz(n,e+3464|0)|0;ZJ(e+3472|0,35288);VJ(e+3448|0,az(j,e+3472|0)|0);dz(e+3448|0,(c[(b|0)>>2]|0)+(d*112|0)+12|0);dK(e+3448|0);dK(e+3472|0);c[(e+3504|0)>>2]=q;j=fz(n,e+3504|0)|0;ZJ(e+3512|0,34632);VJ(e+3488|0,az(j,e+3512|0)|0);ez(e+3488|0,(c[(b|0)>>2]|0)+(d*112|0)+16|0,0);dK(e+3488|0);dK(e+3512|0);c[(e+3544|0)>>2]=q;j=fz(n,e+3544|0)|0;ZJ(e+3552|0,33984);VJ(e+3528|0,az(j,e+3552|0)|0);ez(e+3528|0,(c[(b|0)>>2]|0)+(d*112|0)+20|0,0);dK(e+3528|0);dK(e+3552|0);c[(e+3584|0)>>2]=q;j=fz(n,e+3584|0)|0;ZJ(e+3592|0,32584);VJ(e+3568|0,az(j,e+3592|0)|0);ez(e+3568|0,(c[(b|0)>>2]|0)+(d*112|0)+24|0,0);dK(e+3568|0);dK(e+3592|0);c[(e+3624|0)>>2]=q;j=fz(n,e+3624|0)|0;ZJ(e+3632|0,31784);VJ(e+3608|0,az(j,e+3632|0)|0);ez(e+3608|0,(c[(b|0)>>2]|0)+(d*112|0)+28|0,0);dK(e+3608|0);dK(e+3632|0);c[(e+3664|0)>>2]=q;j=fz(n,e+3664|0)|0;ZJ(e+3672|0,31072);VJ(e+3648|0,az(j,e+3672|0)|0);ez(e+3648|0,(c[(b|0)>>2]|0)+(d*112|0)+32|0,0);dK(e+3648|0);dK(e+3672|0);c[(e+3704|0)>>2]=q;j=fz(n,e+3704|0)|0;ZJ(e+3712|0,30424);VJ(e+3688|0,az(j,e+3712|0)|0);hz(e+3688|0,(c[(b|0)>>2]|0)+(d*112|0)+88|0);dK(e+3688|0);dK(e+3712|0);c[(e+3744|0)>>2]=q;j=fz(n,e+3744|0)|0;ZJ(e+3752|0,30112);VJ(e+3728|0,az(j,e+3752|0)|0);cz(e+3728|0,(c[(b|0)>>2]|0)+(d*112|0)+96|0,0.0);dK(e+3728|0);dK(e+3752|0);c[(e+3784|0)>>2]=q;j=fz(n,e+3784|0)|0;ZJ(e+3792|0,29784);VJ(e+3768|0,az(j,e+3792|0)|0);hz(e+3768|0,(c[(b|0)>>2]|0)+(d*112|0)+72|0);dK(e+3768|0);dK(e+3792|0);c[(e+3824|0)>>2]=q;j=fz(n,e+3824|0)|0;ZJ(e+3832|0,29168);VJ(e+3808|0,az(j,e+3832|0)|0);hz(e+3808|0,(c[(b|0)>>2]|0)+(d*112|0)+73|0);dK(e+3808|0);dK(e+3832|0);c[(e+3864|0)>>2]=q;j=fz(n,e+3864|0)|0;ZJ(e+3872|0,28888);VJ(e+3848|0,az(j,e+3872|0)|0);cz(e+3848|0,(c[(b|0)>>2]|0)+(d*112|0)+80|0,1.0);dK(e+3848|0);dK(e+3872|0);c[(e+3904|0)>>2]=q;j=fz(n,e+3904|0)|0;ZJ(e+3912|0,28544);VJ(e+3888|0,az(j,e+3912|0)|0);cz(e+3888|0,(c[(b|0)>>2]|0)+(d*112|0)+56|0,-1.7976931348623157e+308);dK(e+3888|0);dK(e+3912|0);c[(e+3944|0)>>2]=q;j=fz(n,e+3944|0)|0;ZJ(e+3952|0,28064);VJ(e+3928|0,az(j,e+3952|0)|0);cz(e+3928|0,(c[(b|0)>>2]|0)+(d*112|0)+64|0,1.7976931348623157e+308);dK(e+3928|0);dK(e+3952|0);j=c[(b|0)>>2]|0;m=(a[j+(d*112|0)+88|0]|0)!=0;r=+h[j+(d*112|0)+96>>3];o=(a[j+(d*112|0)+72|0]|0)!=0?26584:26376;z=(a[j+(d*112|0)+73|0]|0)!=0;s=+h[j+(d*112|0)+80>>3];t=+h[j+(d*112|0)+56>>3];v=+h[j+(d*112|0)+64>>3];Dq(4,0,27472,(k=i,i=i+80|0,c[k>>2]=c[j+(d*112|0)+4>>2],c[k+8>>2]=m?939512:27008,h[k+16>>3]=r,c[k+24>>2]=m?939512:26792,c[k+32>>2]=o,c[k+40>>2]=z?939512:27008,h[k+48>>3]=s,c[k+56>>2]=z?939512:26792,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;z=c[(b|0)>>2]|0;o=c[z+(d*112|0)+4>>2]|0;if((a[o]|0)==36){a[z+(d*112|0)+104|0]=1;A=c[(c[(b|0)>>2]|0)+(d*112|0)+4>>2]|0}else{A=o}ZJ(e+3968|0,A);c[(iz(e+216|0,e+3968|0)|0)>>2]=d;dK(e+3968|0);q=q+1|0;p=c[(b+104|0)>>2]<<1;}while((q|0)<((c[(b+108|0)>>2]|0)-p|0))}if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,24568,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+116|0)>>2]|0)>0){p=(e|0)+84|0;q=0;do{c[(e+4e3|0)>>2]=q;n=fz(p,e+4e3|0)|0;ZJ(e+4008|0,38208);VJ(e+3984|0,az(n,e+4008|0)|0);dz(e+3984|0,(c[(b+4|0)>>2]|0)+(q*60|0)+4|0);dK(e+3984|0);dK(e+4008|0);c[(e+4040|0)>>2]=q;n=fz(p,e+4040|0)|0;ZJ(e+4048|0,36816);VJ(e+4024|0,az(n,e+4048|0)|0);gz(e+4024|0,(c[(b+4|0)>>2]|0)+(q*60|0)|0);dK(e+4024|0);dK(e+4048|0);c[(e+4080|0)>>2]=q;n=fz(p,e+4080|0)|0;ZJ(e+4088|0,36008);VJ(e+4064|0,az(n,e+4088|0)|0);dz(e+4064|0,(c[(b+4|0)>>2]|0)+(q*60|0)+8|0);dK(e+4064|0);dK(e+4088|0);c[(e+4120|0)>>2]=q;n=fz(p,e+4120|0)|0;ZJ(e+4128|0,35288);VJ(e+4104|0,az(n,e+4128|0)|0);dz(e+4104|0,(c[(b+4|0)>>2]|0)+(q*60|0)+12|0);dK(e+4104|0);dK(e+4128|0);c[(e+4160|0)>>2]=q;n=fz(p,e+4160|0)|0;ZJ(e+4168|0,34632);VJ(e+4144|0,az(n,e+4168|0)|0);ez(e+4144|0,(c[(b+4|0)>>2]|0)+(q*60|0)+16|0,0);dK(e+4144|0);dK(e+4168|0);c[(e+4200|0)>>2]=q;n=fz(p,e+4200|0)|0;ZJ(e+4208|0,33984);VJ(e+4184|0,az(n,e+4208|0)|0);ez(e+4184|0,(c[(b+4|0)>>2]|0)+(q*60|0)+20|0,0);dK(e+4184|0);dK(e+4208|0);c[(e+4240|0)>>2]=q;n=fz(p,e+4240|0)|0;ZJ(e+4248|0,32584);VJ(e+4224|0,az(n,e+4248|0)|0);ez(e+4224|0,(c[(b+4|0)>>2]|0)+(q*60|0)+24|0,0);dK(e+4224|0);dK(e+4248|0);c[(e+4280|0)>>2]=q;n=fz(p,e+4280|0)|0;ZJ(e+4288|0,31784);VJ(e+4264|0,az(n,e+4288|0)|0);ez(e+4264|0,(c[(b+4|0)>>2]|0)+(q*60|0)+28|0,0);dK(e+4264|0);dK(e+4288|0);c[(e+4320|0)>>2]=q;n=fz(p,e+4320|0)|0;ZJ(e+4328|0,31072);VJ(e+4304|0,az(n,e+4328|0)|0);ez(e+4304|0,(c[(b+4|0)>>2]|0)+(q*60|0)+32|0,0);dK(e+4304|0);dK(e+4328|0);c[(e+4360|0)>>2]=q;n=fz(p,e+4360|0)|0;ZJ(e+4368|0,30424);VJ(e+4344|0,az(n,e+4368|0)|0);hz(e+4344|0,(c[(b+4|0)>>2]|0)+(q*60|0)+49|0);dK(e+4344|0);dK(e+4368|0);c[(e+4400|0)>>2]=q;n=fz(p,e+4400|0)|0;ZJ(e+4408|0,30112);VJ(e+4384|0,az(n,e+4408|0)|0);ez(e+4384|0,(c[(b+4|0)>>2]|0)+(q*60|0)+52|0,0);dK(e+4384|0);dK(e+4408|0);c[(e+4440|0)>>2]=q;n=fz(p,e+4440|0)|0;ZJ(e+4448|0,29784);VJ(e+4424|0,az(n,e+4448|0)|0);hz(e+4424|0,(c[(b+4|0)>>2]|0)+(q*60|0)+48|0);dK(e+4424|0);dK(e+4448|0);c[(e+4480|0)>>2]=q;n=fz(p,e+4480|0)|0;ZJ(e+4488|0,28544);VJ(e+4464|0,az(n,e+4488|0)|0);ez(e+4464|0,(c[(b+4|0)>>2]|0)+(q*60|0)+40|0,-2147483648);dK(e+4464|0);dK(e+4488|0);c[(e+4520|0)>>2]=q;n=fz(p,e+4520|0)|0;ZJ(e+4528|0,28064);VJ(e+4504|0,az(n,e+4528|0)|0);ez(e+4504|0,(c[(b+4|0)>>2]|0)+(q*60|0)+44|0,2147483647);dK(e+4504|0);dK(e+4528|0);n=c[(b+4|0)>>2]|0;d=(a[n+(q*60|0)+49|0]|0)!=0;o=c[n+(q*60|0)+52>>2]|0;z=(a[n+(q*60|0)+48|0]|0)!=0?26584:26376;m=c[n+(q*60|0)+40>>2]|0;j=c[n+(q*60|0)+44>>2]|0;Dq(4,0,24320,(k=i,i=i+56|0,c[k>>2]=c[n+(q*60|0)+4>>2],c[k+8>>2]=d?939512:27008,c[k+16>>2]=o,c[k+24>>2]=d?939512:26792,c[k+32>>2]=z,c[k+40>>2]=m,c[k+48>>2]=j,k)|0);i=k;j=c[(b+4|0)>>2]|0;m=c[j+(q*60|0)+4>>2]|0;if((a[m]|0)==36){a[j+(q*60|0)+56|0]=1;C=c[(c[(b+4|0)>>2]|0)+(q*60|0)+4>>2]|0}else{C=m}ZJ(e+4544|0,C);c[(iz(e+216|0,e+4544|0)|0)>>2]=q;dK(e+4544|0);q=q+1|0;}while((q|0)<(c[(b+116|0)>>2]|0))}if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,23672,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[e+9720>>2]=b;c[e+9760>>2]=f;c[e+12744>>2]=k;c[e+12760>>2]=0;c[e+12764>>2]=0;_read_input_xml$0(e);k=c[e+12744>>2]|0;I=c[e+12760>>2]|0;B=c[e+12764>>2]|0;J=+g[e+12764>>2];c[e+12760>>2]=0;c[e+12764>>2]=0;if((I|0)==5){return}}}while(0);if((c[229128]|c[229190]|0)!=0){Fq(22,1,43896,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;C=c[(b+104|0)>>2]|0;Fq(22,0,43240,(k=i,i=i+16|0,c[k>>2]=l,c[k+8>>2]=C,k)|0);i=k;C=(c[b+108>>2]|0)-(c[(b+104|0)>>2]<<1)|0;Fq(22,0,41984,(k=i,i=i+16|0,c[k>>2]=c[(e+1664|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+128>>2]|0;Fq(22,0,41568,(k=i,i=i+16|0,c[k>>2]=c[(e+1672|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+132>>2]|0;Fq(22,0,41e3,(k=i,i=i+16|0,c[k>>2]=c[(e+1688|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+116>>2]|0;Fq(22,0,40616,(k=i,i=i+16|0,c[k>>2]=c[(e+1680|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+136>>2]|0;Fq(22,0,40168,(k=i,i=i+16|0,c[k>>2]=c[(e+1704|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+120>>2]|0;Fq(22,0,39648,(k=i,i=i+16|0,c[k>>2]=c[(e+1696|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+140>>2]|0;Fq(22,0,39328,(k=i,i=i+16|0,c[k>>2]=c[(e+1720|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+124>>2]|0;Fq(22,0,38976,(k=i,i=i+16|0,c[k>>2]=c[(e+1712|0)>>2],c[k+8>>2]=C,k)|0);i=k;Qd[c[3540]&511](22)}zl(f);Sa(0)|0;qc(-1|0)}function Uy(a){a=a|0;_F(a);return}function Vy(a,b){a=a|0;b=b|0;FB(a,0);return}function Wy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;UJ(a,d|0);e=bK(b)|0;f=Pz(c)|0;EK(a,cK(b)|0,e,f+e|0);wK(a,c,f)|0;i=d;return}function Xy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=i;i=i+184|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+56|0;l=e+72|0;m=e+88|0;n=e+104|0;o=e+120|0;p=e+136|0;q=e+152|0;r=e+168|0;if((IU(b,894392)|0)==0){s=c[d>>2]|0;if((s|0)==0){i=e;return}t=a;u=0;v=s;do{ZJ(f,v);s=az(t,f)|0;fK(s,c[d+((u|1)<<2)>>2]|0)|0;dK(f);u=u+2|0;v=c[d+(u<<2)>>2]|0;}while((v|0)!=0);i=e;return}if((IU(b,894360)|0)==0){v=c[d>>2]|0;if((v|0)==0){i=e;return}u=a+12|0;f=0;t=v;do{ZJ(g,t);v=az(u,g)|0;fK(v,c[d+((f|1)<<2)>>2]|0)|0;dK(g);f=f+2|0;t=c[d+(f<<2)>>2]|0;}while((t|0)!=0);i=e;return}if((IU(b,894256)|0)!=0){do{if((IU(b,892456)|0)!=0){if((IU(b,892416)|0)==0){break}if((IU(b,892320)|0)==0){break}if((IU(b,892312)|0)==0){break}i=e;return}}while(0);t=(c[d>>2]|0)==0;f=a+196|0;g=a+192|0;u=fz(c[f>>2]|0,g)|0;if(t){w=u}else{t=0;v=d;s=u;while(1){ZJ(q,c[v>>2]|0);u=az(s,q)|0;fK(u,c[d+((t|1)<<2)>>2]|0)|0;dK(q);u=t+2|0;x=d+(u<<2)|0;y=(c[x>>2]|0)==0;z=fz(c[f>>2]|0,g)|0;if(y){w=z;break}else{t=u;v=x;s=z}}}ZJ(r,892256);fK(az(w,r)|0,b)|0;dK(r);i=e;return}qz(h,j);TJ(k);TJ(l);j=a+192|0;c[j>>2]=-1;r=a+196|0;c[r>>2]=0;b=c[d>>2]|0;if((b|0)!=0){w=0;s=b;do{ZJ(m,s);b=az(h,m)|0;fK(b,c[d+((w|1)<<2)>>2]|0)|0;dK(m);w=w+2|0;s=c[d+(w<<2)>>2]|0;}while((s|0)!=0)}ZJ(n,894216);eK(k,az(h,n)|0)|0;dK(n);ZJ(o,894080);eK(l,az(h,o)|0)|0;dK(o);c[j>>2]=Oc(AK(k)|0)|0;if((DK(l,894032)|0)==0){A=a+24|0}else{A=c[r>>2]|0}c[r>>2]=A;if((DK(l,894016)|0)==0){B=a+36|0}else{B=c[r>>2]|0}c[r>>2]=B;if((DK(l,893960)|0)==0){C=a+48|0}else{C=c[r>>2]|0}c[r>>2]=C;if((DK(l,893864)|0)==0){D=a+60|0}else{D=c[r>>2]|0}c[r>>2]=D;if((DK(l,893856)|0)==0){E=a+72|0}else{E=c[r>>2]|0}c[r>>2]=E;if((DK(l,893480)|0)==0){F=a+84|0}else{F=c[r>>2]|0}c[r>>2]=F;if((DK(l,893464)|0)==0){G=a+96|0}else{G=c[r>>2]|0}c[r>>2]=G;if((DK(l,893456)|0)==0){H=a+108|0}else{H=c[r>>2]|0}c[r>>2]=H;if((DK(l,893288)|0)==0){I=a+120|0}else{I=c[r>>2]|0}c[r>>2]=I;if((DK(l,893248)|0)==0){J=a+132|0}else{J=c[r>>2]|0}c[r>>2]=J;if((DK(l,893240)|0)==0){K=a+144|0}else{K=c[r>>2]|0}c[r>>2]=K;if((DK(l,893176)|0)==0){L=a+156|0}else{L=c[r>>2]|0}c[r>>2]=L;if((DK(l,893088)|0)==0){M=a+168|0}else{M=c[r>>2]|0}c[r>>2]=M;if((DK(l,893e3)|0)==0){N=a+180|0}else{N=c[r>>2]|0}c[r>>2]=N;a=AK(l)|0;ZJ(p,38208);M=AK(az(h,p)|0)|0;Gq(0,(N|0)!=0|0,892848,(N=i,i=i+16|0,c[N>>2]=a,c[N+8>>2]=M,N)|0);i=N;dK(p);DE(fz(c[r>>2]|0,j)|0,h)|0;dK(l);dK(k);yz(h);i=e;return}function Yy(a,b){a=a|0;b=b|0;return}function Zy(a,b){a=a|0;b=b|0;return oB(a|0,b|0)|0}function _y(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;xB(e,b|0,c);pB(a,e);i=d;return}function $y(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;qB(d,b|0);pB(a,d);i=c;return}function az(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=ZC(a,e,b)|0;k=c[j>>2]|0;Fv(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}$C(h,a,b);aD(g,h);_C(f,g);bD(h);h=c[e>>2]|0;cD(a|0,h,j,dD(f)|0);j=eD(f)|0;bD(f);l=j;m=l+28|0;i=d;return m|0}function bz(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0;f=i;i=i+2120|0;g=f|0;h=f+24|0;j=f+216|0;k=f+232|0;l=f+248|0;m=f+264|0;n=f+280|0;o=f+296|0;p=f+312|0;q=f+328|0;r=f+344|0;s=f+360|0;t=f+376|0;u=f+392|0;v=f+408|0;w=f+424|0;x=f+440|0;y=f+456|0;z=f+472|0;A=f+488|0;B=f+504|0;C=f+520|0;D=f+536|0;E=f+552|0;F=f+568|0;G=f+584|0;H=f+600|0;I=f+616|0;J=f+632|0;K=f+648|0;L=f+664|0;M=f+680|0;N=f+696|0;O=f+712|0;P=f+728|0;Q=f+744|0;R=f+760|0;S=f+776|0;T=f+784|0;U=f+800|0;V=f+808|0;W=f+824|0;X=f+832|0;Y=f+848|0;Z=f+856|0;_=f+872|0;$=f+880|0;aa=f+896|0;ba=f+904|0;ca=f+920|0;da=f+928|0;ea=f+944|0;fa=f+952|0;ga=f+968|0;ha=f+976|0;ia=f+992|0;ja=f+1e3|0;ka=f+1016|0;la=f+1024|0;ma=f+1040|0;na=f+1048|0;oa=f+1064|0;pa=f+1072|0;qa=f+1088|0;ra=f+1096|0;sa=f+1112|0;ta=f+1120|0;ua=f+1136|0;va=f+1144|0;wa=f+1160|0;xa=f+1168|0;ya=f+1184|0;za=f+1192|0;Aa=f+1208|0;Ba=f+1216|0;Ca=f+1232|0;Da=f+1240|0;Ea=f+1256|0;Fa=f+1264|0;Ga=f+1280|0;Ha=f+1288|0;Ia=f+1304|0;Ja=f+1312|0;Ka=f+1328|0;La=f+1336|0;Ma=f+1352|0;Na=f+1360|0;Oa=f+1376|0;Pa=f+1384|0;Qa=f+1400|0;Ra=f+1408|0;Sa=f+1424|0;Ta=f+1432|0;Ua=f+1448|0;Va=f+1456|0;Xa=f+1472|0;Ya=f+1480|0;Za=f+1496|0;_a=f+1504|0;$a=f+1520|0;ab=f+1528|0;bb=f+1544|0;cb=f+1552|0;db=f+1568|0;eb=f+1576|0;fb=f+1592|0;gb=f+1600|0;hb=f+1616|0;ib=f+1624|0;jb=f+1640|0;kb=f+1648|0;lb=f+1664|0;mb=f+1672|0;nb=f+1688|0;ob=f+1696|0;pb=f+1712|0;qb=f+1720|0;rb=f+1736|0;sb=f+1744|0;tb=f+1760|0;ub=f+1768|0;vb=f+1784|0;wb=f+1792|0;xb=f+1808|0;yb=f+1816|0;zb=f+1832|0;Ab=f+1840|0;Bb=f+1856|0;Cb=f+1864|0;Db=f+1880|0;Eb=f+1888|0;Fb=f+1904|0;Gb=f+1912|0;Hb=f+1928|0;Ib=f+1936|0;Jb=f+1952|0;Kb=f+1960|0;Lb=f+1976|0;Mb=f+1984|0;Nb=f+2e3|0;Ob=f+2008|0;Pb=f+2024|0;Qb=f+2032|0;Rb=f+2048|0;Sb=f+2056|0;Tb=f+2072|0;Ub=f+2080|0;Vb=f+2096|0;Wb=f+2104|0;qz(g,f+16|0);Xb=(d|0)!=0;Yb=(e|0)==0;if(!(Yb|Xb^1)){Hq(0,897432,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb}if(Xb){_b=Ic(d|0)|0}else{_b=0}if(Yb){$b=_b}else{Dq(23,0,897384,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb;rz(h);sz(h,e,8);if(!(tz(h)|0)){Hq(0,896760,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb}TJ(j);e=h;uz(e,j)|0;VJ(k,j);while(1){_b=uz(e,j)|0;if(!(PK(_b+(c[(c[_b>>2]|0)-12>>2]|0)|0)|0)){break}OK(l,896744,j);uK(k,l)|0;dK(l)}l=Ic(AK(k)|0)|0;vz(h);dK(k);dK(j);wz(h);$b=l}if(($b|0)==0){Dq(23,0,896104,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;yz(g);i=f;return}TJ(m);TJ(n);Dq(23,0,896592,(Zb=i,i=i+8|0,c[Zb>>2]=$b,Zb)|0);i=Zb;l=Wa($b|0,896744)|0;if((l|0)!=0){h=l;do{l=oU(12)|0;ZJ(l,h);j=BK(l,896416,0)|0;zK(o,l,0,j);eK(m,o)|0;dK(o);zK(p,l,j+1|0,(kK(l)|0)+~j|0);eK(n,p)|0;dK(p);eK(az(g,m)|0,n)|0;j=AK(m)|0;l=AK(n)|0;Dq(23,0,896240,(Zb=i,i=i+16|0,c[Zb>>2]=j,c[Zb+8>>2]=l,Zb)|0);i=Zb;h=Wa(0,896744)|0;}while((h|0)!=0)}jU($b);$b=a+12|0;ZJ(q,708144);h=az($b,q)|0;ZJ(r,708144);if((xz(g,r)|0)==0){ZJ(t,708144);ac=az($b,t)|0;bc=1;cc=0}else{ZJ(s,708144);ac=az(g,s)|0;bc=0;cc=1}eK(h,ac)|0;if(bc){dK(t)}if(cc){dK(s)}dK(r);dK(q);ZJ(u,894552);q=az($b,u)|0;ZJ(v,894552);if((xz(g,v)|0)==0){ZJ(x,894552);dc=az($b,x)|0;ec=1;fc=0}else{ZJ(w,894552);dc=az(g,w)|0;ec=0;fc=1}eK(q,dc)|0;if(ec){dK(x)}if(fc){dK(w)}dK(v);dK(u);ZJ(y,892688);u=az($b,y)|0;ZJ(z,892688);if((xz(g,z)|0)==0){ZJ(B,892688);gc=az($b,B)|0;hc=1;ic=0}else{ZJ(A,892688);gc=az(g,A)|0;hc=0;ic=1}eK(u,gc)|0;if(hc){dK(B)}if(ic){dK(A)}dK(z);dK(y);ZJ(C,891264);y=az($b,C)|0;ZJ(D,891264);if((xz(g,D)|0)==0){ZJ(F,891264);jc=az($b,F)|0;kc=1;lc=0}else{ZJ(E,891264);jc=az(g,E)|0;kc=0;lc=1}eK(y,jc)|0;if(kc){dK(F)}if(lc){dK(E)}dK(D);dK(C);ZJ(G,889680);C=az($b,G)|0;ZJ(H,889680);if((xz(g,H)|0)==0){ZJ(J,889680);mc=az($b,J)|0;nc=1;oc=0}else{ZJ(I,889680);mc=az(g,I)|0;nc=0;oc=1}eK(C,mc)|0;if(nc){dK(J)}if(oc){dK(I)}dK(H);dK(G);ZJ(K,55592);G=az($b,K)|0;ZJ(L,55592);if((xz(g,L)|0)==0){ZJ(N,55592);pc=az($b,N)|0;qc=1;rc=0}else{ZJ(M,55592);pc=az(g,M)|0;qc=0;rc=1}eK(G,pc)|0;if(qc){dK(N)}if(rc){dK(M)}dK(L);dK(K);ZJ(O,53576);K=az($b,O)|0;ZJ(P,53576);if((xz(g,P)|0)==0){ZJ(R,53576);sc=az($b,R)|0;tc=1;uc=0}else{ZJ(Q,53576);sc=az(g,Q)|0;tc=0;uc=1}eK(K,sc)|0;if(tc){dK(R)}if(uc){dK(Q)}dK(P);dK(O);O=b+104|0;P=c[O>>2]|0;if((P|0)>0){Q=a+24|0;uc=a+36|0;R=0;while(1){c[S>>2]=R;tc=fz(Q,S)|0;ZJ(T,30112);sc=az(tc,T)|0;c[U>>2]=R;tc=fz(Q,U)|0;ZJ(V,38208);if((xz(g,az(tc,V)|0)|0)==0){c[Y>>2]=R;tc=fz(Q,Y)|0;ZJ(Z,30112);vc=az(tc,Z)|0;wc=1;xc=0}else{c[W>>2]=R;tc=fz(Q,W)|0;ZJ(X,38208);vc=az(g,az(tc,X)|0)|0;wc=0;xc=1}eK(sc,vc)|0;if(wc){dK(Z)}if(xc){dK(X)}dK(V);dK(T);c[_>>2]=R;sc=fz(uc,_)|0;ZJ($,30112);tc=az(sc,$)|0;c[aa>>2]=R;sc=fz(uc,aa)|0;ZJ(ba,38208);if((xz(g,az(sc,ba)|0)|0)==0){c[ea>>2]=R;sc=fz(uc,ea)|0;ZJ(fa,30112);yc=az(sc,fa)|0;zc=1;Ac=0}else{c[ca>>2]=R;sc=fz(uc,ca)|0;ZJ(da,38208);yc=az(g,az(sc,da)|0)|0;zc=0;Ac=1}eK(tc,yc)|0;if(zc){dK(fa)}if(Ac){dK(da)}dK(ba);dK($);tc=R+1|0;sc=c[O>>2]|0;if((tc|0)<(sc|0)){R=tc}else{Bc=sc;break}}}else{Bc=P}P=b+108|0;if(((c[P>>2]|0)-(Bc<<1)|0)>0){Bc=a+48|0;R=0;do{c[ga>>2]=R;$=fz(Bc,ga)|0;ZJ(ha,30112);ba=az($,ha)|0;c[ia>>2]=R;$=fz(Bc,ia)|0;ZJ(ja,38208);if((xz(g,az($,ja)|0)|0)==0){c[ma>>2]=R;$=fz(Bc,ma)|0;ZJ(na,30112);Cc=az($,na)|0;Dc=1;Ec=0}else{c[ka>>2]=R;$=fz(Bc,ka)|0;ZJ(la,38208);Cc=az(g,az($,la)|0)|0;Dc=0;Ec=1}eK(ba,Cc)|0;if(Dc){dK(na)}if(Ec){dK(la)}dK(ja);dK(ha);R=R+1|0;}while((R|0)<((c[P>>2]|0)-(c[O>>2]<<1)|0))}O=b+116|0;if((c[O>>2]|0)>0){P=a+84|0;R=0;do{c[oa>>2]=R;ha=fz(P,oa)|0;ZJ(pa,30112);ja=az(ha,pa)|0;c[qa>>2]=R;ha=fz(P,qa)|0;ZJ(ra,38208);if((xz(g,az(ha,ra)|0)|0)==0){c[ua>>2]=R;ha=fz(P,ua)|0;ZJ(va,30112);Fc=az(ha,va)|0;Gc=1;Hc=0}else{c[sa>>2]=R;ha=fz(P,sa)|0;ZJ(ta,38208);Fc=az(g,az(ha,ta)|0)|0;Gc=0;Hc=1}eK(ja,Fc)|0;if(Gc){dK(va)}if(Hc){dK(ta)}dK(ra);dK(pa);R=R+1|0;}while((R|0)<(c[O>>2]|0))}O=b+120|0;if((c[O>>2]|0)>0){R=a+120|0;pa=0;do{c[wa>>2]=pa;ra=fz(R,wa)|0;ZJ(xa,30112);ta=az(ra,xa)|0;c[ya>>2]=pa;ra=fz(R,ya)|0;ZJ(za,38208);if((xz(g,az(ra,za)|0)|0)==0){c[Ca>>2]=pa;ra=fz(R,Ca)|0;ZJ(Da,30112);Jc=az(ra,Da)|0;Kc=1;Lc=0}else{c[Aa>>2]=pa;ra=fz(R,Aa)|0;ZJ(Ba,38208);Jc=az(g,az(ra,Ba)|0)|0;Kc=0;Lc=1}eK(ta,Jc)|0;if(Kc){dK(Da)}if(Lc){dK(Ba)}dK(za);dK(xa);pa=pa+1|0;}while((pa|0)<(c[O>>2]|0))}O=b+124|0;if((c[O>>2]|0)>0){pa=a+156|0;xa=0;do{c[Ea>>2]=xa;za=fz(pa,Ea)|0;ZJ(Fa,30112);Ba=az(za,Fa)|0;c[Ga>>2]=xa;za=fz(pa,Ga)|0;ZJ(Ha,38208);if((xz(g,az(za,Ha)|0)|0)==0){c[Ka>>2]=xa;za=fz(pa,Ka)|0;ZJ(La,30112);Mc=az(za,La)|0;Nc=1;Oc=0}else{c[Ia>>2]=xa;za=fz(pa,Ia)|0;ZJ(Ja,38208);Mc=az(g,az(za,Ja)|0)|0;Nc=0;Oc=1}eK(Ba,Mc)|0;if(Nc){dK(La)}if(Oc){dK(Ja)}dK(Ha);dK(Fa);xa=xa+1|0;}while((xa|0)<(c[O>>2]|0))}O=b+128|0;if((c[O>>2]|0)>0){xa=a+60|0;Fa=0;do{c[Ma>>2]=Fa;Ha=fz(xa,Ma)|0;ZJ(Na,30112);Ja=az(Ha,Na)|0;c[Oa>>2]=Fa;Ha=fz(xa,Oa)|0;ZJ(Pa,38208);if((xz(g,az(Ha,Pa)|0)|0)==0){c[Sa>>2]=Fa;Ha=fz(xa,Sa)|0;ZJ(Ta,30112);Pc=az(Ha,Ta)|0;Qc=1;Rc=0}else{c[Qa>>2]=Fa;Ha=fz(xa,Qa)|0;ZJ(Ra,38208);Pc=az(g,az(Ha,Ra)|0)|0;Qc=0;Rc=1}eK(Ja,Pc)|0;if(Qc){dK(Ta)}if(Rc){dK(Ra)}dK(Pa);dK(Na);Fa=Fa+1|0;}while((Fa|0)<(c[O>>2]|0))}O=b+132|0;if((c[O>>2]|0)>0){Fa=a+96|0;Na=0;do{c[Ua>>2]=Na;Pa=fz(Fa,Ua)|0;ZJ(Va,30112);Ra=az(Pa,Va)|0;c[Xa>>2]=Na;Pa=fz(Fa,Xa)|0;ZJ(Ya,38208);if((xz(g,az(Pa,Ya)|0)|0)==0){c[$a>>2]=Na;Pa=fz(Fa,$a)|0;ZJ(ab,30112);Sc=az(Pa,ab)|0;Tc=1;Uc=0}else{c[Za>>2]=Na;Pa=fz(Fa,Za)|0;ZJ(_a,38208);Sc=az(g,az(Pa,_a)|0)|0;Tc=0;Uc=1}eK(Ra,Sc)|0;if(Tc){dK(ab)}if(Uc){dK(_a)}dK(Ya);dK(Va);Na=Na+1|0;}while((Na|0)<(c[O>>2]|0))}O=b+136|0;if((c[O>>2]|0)>0){Na=a+132|0;Va=0;do{c[bb>>2]=Va;Ya=fz(Na,bb)|0;ZJ(cb,30112);_a=az(Ya,cb)|0;c[db>>2]=Va;Ya=fz(Na,db)|0;ZJ(eb,38208);if((xz(g,az(Ya,eb)|0)|0)==0){c[hb>>2]=Va;Ya=fz(Na,hb)|0;ZJ(ib,30112);Vc=az(Ya,ib)|0;Wc=1;Xc=0}else{c[fb>>2]=Va;Ya=fz(Na,fb)|0;ZJ(gb,38208);Vc=az(g,az(Ya,gb)|0)|0;Wc=0;Xc=1}eK(_a,Vc)|0;if(Wc){dK(ib)}if(Xc){dK(gb)}dK(eb);dK(cb);Va=Va+1|0;}while((Va|0)<(c[O>>2]|0))}O=b+140|0;if((c[O>>2]|0)>0){Va=a+168|0;cb=0;do{c[jb>>2]=cb;eb=fz(Va,jb)|0;ZJ(kb,30112);gb=az(eb,kb)|0;c[lb>>2]=cb;eb=fz(Va,lb)|0;ZJ(mb,38208);if((xz(g,az(eb,mb)|0)|0)==0){c[pb>>2]=cb;eb=fz(Va,pb)|0;ZJ(qb,30112);Yc=az(eb,qb)|0;Zc=1;_c=0}else{c[nb>>2]=cb;eb=fz(Va,nb)|0;ZJ(ob,38208);Yc=az(g,az(eb,ob)|0)|0;Zc=0;_c=1}eK(gb,Yc)|0;if(Zc){dK(qb)}if(_c){dK(ob)}dK(mb);dK(kb);cb=cb+1|0;}while((cb|0)<(c[O>>2]|0))}O=b+208|0;if((c[O>>2]|0)>0){cb=a+72|0;kb=0;do{c[rb>>2]=kb;mb=fz(cb,rb)|0;ZJ(sb,30112);ob=az(mb,sb)|0;c[tb>>2]=kb;mb=fz(cb,tb)|0;ZJ(ub,38208);if((xz(g,az(mb,ub)|0)|0)==0){c[xb>>2]=kb;mb=fz(cb,xb)|0;ZJ(yb,30112);$c=az(mb,yb)|0;ad=1;bd=0}else{c[vb>>2]=kb;mb=fz(cb,vb)|0;ZJ(wb,38208);$c=az(g,az(mb,wb)|0)|0;ad=0;bd=1}eK(ob,$c)|0;if(ad){dK(yb)}if(bd){dK(wb)}dK(ub);dK(sb);kb=kb+1|0;}while((kb|0)<(c[O>>2]|0))}O=b+212|0;if((c[O>>2]|0)>0){kb=a+108|0;sb=0;do{c[zb>>2]=sb;ub=fz(kb,zb)|0;ZJ(Ab,30112);wb=az(ub,Ab)|0;c[Bb>>2]=sb;ub=fz(kb,Bb)|0;ZJ(Cb,38208);if((xz(g,az(ub,Cb)|0)|0)==0){c[Fb>>2]=sb;ub=fz(kb,Fb)|0;ZJ(Gb,30112);cd=az(ub,Gb)|0;dd=1;ed=0}else{c[Db>>2]=sb;ub=fz(kb,Db)|0;ZJ(Eb,38208);cd=az(g,az(ub,Eb)|0)|0;dd=0;ed=1}eK(wb,cd)|0;if(dd){dK(Gb)}if(ed){dK(Eb)}dK(Cb);dK(Ab);sb=sb+1|0;}while((sb|0)<(c[O>>2]|0))}O=b+216|0;if((c[O>>2]|0)>0){sb=a+144|0;Ab=0;do{c[Hb>>2]=Ab;Cb=fz(sb,Hb)|0;ZJ(Ib,30112);Eb=az(Cb,Ib)|0;c[Jb>>2]=Ab;Cb=fz(sb,Jb)|0;ZJ(Kb,38208);if((xz(g,az(Cb,Kb)|0)|0)==0){c[Nb>>2]=Ab;Cb=fz(sb,Nb)|0;ZJ(Ob,30112);fd=az(Cb,Ob)|0;gd=1;hd=0}else{c[Lb>>2]=Ab;Cb=fz(sb,Lb)|0;ZJ(Mb,38208);fd=az(g,az(Cb,Mb)|0)|0;gd=0;hd=1}eK(Eb,fd)|0;if(gd){dK(Ob)}if(hd){dK(Mb)}dK(Kb);dK(Ib);Ab=Ab+1|0;}while((Ab|0)<(c[O>>2]|0))}O=b+220|0;if((c[O>>2]|0)>0){b=a+180|0;a=0;do{c[Pb>>2]=a;Ab=fz(b,Pb)|0;ZJ(Qb,30112);Ib=az(Ab,Qb)|0;c[Rb>>2]=a;Ab=fz(b,Rb)|0;ZJ(Sb,38208);if((xz(g,az(Ab,Sb)|0)|0)==0){c[Vb>>2]=a;Ab=fz(b,Vb)|0;ZJ(Wb,30112);id=az(Ab,Wb)|0;jd=1;kd=0}else{c[Tb>>2]=a;Ab=fz(b,Tb)|0;ZJ(Ub,38208);id=az(g,az(Ab,Ub)|0)|0;jd=0;kd=1}eK(Ib,id)|0;if(jd){dK(Wb)}if(kd){dK(Ub)}dK(Sb);dK(Qb);a=a+1|0;}while((a|0)<(c[O>>2]|0))}Dq(23,0,896224,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;dK(n);dK(m);yz(g);i=f;return}function cz(a,b,c){a=a|0;b=b|0;c=+c;if((DK(a,939512)|0)==0){h[b>>3]=c;return}if((DK(a,26584)|0)==0){h[b>>3]=1.0;return}if((DK(a,26376)|0)==0){h[b>>3]=0.0;return}else{h[b>>3]=+EU(AK(a)|0);return}}function dz(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;if((b|0)==0){Fq(22,0,894832,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=d;return}else{c[b>>2]=Ic(AK(a)|0)|0;i=d;return}}function ez(a,b,d){a=a|0;b=b|0;d=d|0;if((DK(a,939512)|0)==0){c[b>>2]=d}if((DK(a,26584)|0)==0){c[b>>2]=1;return}if((DK(a,26376)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Oc(AK(a)|0)|0;return}}function fz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=OB(a,e,b)|0;k=c[j>>2]|0;Fv(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}QB(h,a,b);RB(g,h);PB(f,g);SB(h);h=c[e>>2]|0;TB(a|0,h,j,UB(f)|0);j=VB(f)|0;SB(f);l=j;m=l+20|0;i=d;return m|0}function gz(a,b){a=a|0;b=b|0;if((DK(a,26584)|0)==0){c[b>>2]=1;return}if((DK(a,26376)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Oc(AK(a)|0)|0;return}}function hz(b,c){b=b|0;c=c|0;a[c]=(DK(b,26584)|0)==0|0;return}function iz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=qA(a,e,b)|0;k=c[j>>2]|0;Fv(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}sA(h,a,b);tA(g,h);rA(f,g);uA(h);h=c[e>>2]|0;vA(a|0,h,j,wA(f)|0);j=xA(f)|0;uA(f);l=j;m=l+28|0;i=d;return m|0}function jz(a,b){a=a|0;b=b|0;eK(b,a)|0;return}function kz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;hA(e,b|0,c);$z(a,e);i=d;return}function lz(a,b){a=a|0;b=b|0;return Zz(a|0,b|0)|0}function mz(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;aA(d,b|0);$z(a,d);i=c;return}function nz(a){a=a|0;return Wz(a|0)|0}function oz(a){a=a|0;tE(a);return}function pz(a){a=a|0;gE(a);return}function qz(a,b){a=a|0;b=b|0;PC(a,0);return}function rz(a){a=a|0;var b=0,d=0,e=0;b=a+108|0;aL(b);d=a|0;c[d>>2]=907444;e=b|0;c[e>>2]=907464;b=a+8|0;UL(a,908404,b|0);c[d>>2]=907444;c[e>>2]=907464;my(b);return}function sz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(Nv(a+8|0,b,d|8)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){TK(d,4);return}else{RK(d,0);return}}function tz(a){a=a|0;return Rz(a+8|0)|0}function uz(a,b){a=a|0;b=b|0;return Qz(a,b,_K(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0}function vz(a){a=a|0;if((Pv(a+8|0)|0)!=0){return}TK(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function wz(a){a=a|0;Vz(a,908400);XK(a+108|0);return}function xz(a,b){a=a|0;b=b|0;return zz(a|0,b)|0}function yz(a){a=a|0;XD(a);return}function zz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+8|0;e=d|0;f=Bz(a)|0;Fv(e);if((f|0)==0){g=0;i=d;return g|0}h=Cz(a)|0;a=f;while(1){f=a+16|0;if(Dz(h,b,f)|0){j=a|0}else{if(!(Ez(h,f,b)|0)){g=1;k=8;break}j=a+4|0}f=c[j>>2]|0;Fv(e);if((f|0)==0){g=0;k=8;break}else{a=f}}if((k|0)==8){i=d;return g|0}return 0}function Az(a){a=a|0;return qv(Kz(a+4|0)|0)|0}function Bz(a){a=a|0;return c[(Az(a)|0)>>2]|0}function Cz(a){a=a|0;return Iz(a+8|0)|0}function Dz(a,b,c){a=a|0;b=b|0;c=c|0;return Fz(0,b,c|0)|0}function Ez(a,b,c){a=a|0;b=b|0;c=c|0;return Fz(0,b|0,c)|0}function Fz(a,b,c){a=a|0;b=b|0;c=c|0;return Gz(b,c)|0}function Gz(a,b){a=a|0;b=b|0;return(CK(a,b)|0)<0|0}function Hz(a,b,c){a=a|0;b=b|0;c=c|0;return HU(a,b,c)|0}function Iz(a){a=a|0;return Jz(a|0)|0}function Jz(a){a=a|0;return a|0}function Kz(a){a=a|0;return Lz(a|0)|0}function Lz(a){a=a|0;return a|0}function Mz(a,b){a=a|0;b=b|0;return Oz(0,b,0)|0}function Nz(b,c){b=b|0;c=c|0;a[b]=a[c]|0;return}function Oz(a,b,c){a=a|0;b=b|0;c=c|0;return oU(b)|0}function Pz(a){a=a|0;return KU(a|0)|0}function Qz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;e=i;i=i+8|0;f=e|0;ZL(f,a,1);if(!(aM(f)|0)){i=e;return a|0}tK(b);f=a;g=a;h=0;while(1){j=gL(YK(g+(c[(c[f>>2]|0)-12>>2]|0)|0)|0)|0;if(zw(j,-1)|0){k=h;l=2;break}m=h+1|0;n=Aw(j)|0;if(Ew(n,d)|0){k=m;l=0;break}vK(b,n);if((bK(b)|0)==-17){k=m;l=4;break}else{h=m}}TK(g+(c[(c[f>>2]|0)-12>>2]|0)|0,(k|0)==0?l|4:l);i=e;return a|0}function Rz(a){a=a|0;return(c[a+64>>2]|0)!=0|0}function Sz(a){a=a|0;wz(a);qU(a);return}function Tz(a){a=a|0;wz(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function Uz(a){a=a|0;Sz(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function Vz(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];nw(a+8|0);return}function Wz(a){a=a|0;return Xz((c[a>>2]|0)+16|0)|0}function Xz(a){a=a|0;return Yz(a)|0}function Yz(a){a=a|0;return a|0}function Zz(a,b){a=a|0;b=b|0;return(_z(a,b)|0)^1|0}function _z(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function $z(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];gA(a,b);i=d;return}function aA(a,b){a=a|0;b=b|0;bA(a,cA(b)|0);return}function bA(a,b){a=a|0;b=b|0;fA(a,b);return}function cA(a){a=a|0;return qv(dA(a+4|0)|0)|0}function dA(a){a=a|0;return eA(a|0)|0}function eA(a){a=a|0;return a|0}function fA(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function gA(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function hA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=jA(b)|0;iA(f,b,d,h,cA(b)|0);aA(g,b);do{if(Zz(f,g)|0){h=kA(b)|0;if(lA(h,d,mA(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);aA(a,b);i=e;return}function iA(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;Fv(h);a:do{if((e|0)==0){j=f}else{k=kA(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(pA(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;Fv(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;Fv(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);bA(a,j);i=g;return}function jA(a){a=a|0;return c[(cA(a)|0)>>2]|0}function kA(a){a=a|0;return nA(a+8|0)|0}function lA(a,b,c){a=a|0;b=b|0;c=c|0;return Fz(0,b,c|0)|0}function mA(a){a=a|0;return(c[a>>2]|0)+16|0}function nA(a){a=a|0;return oA(a|0)|0}function oA(a){a=a|0;return a|0}function pA(a,b,c){a=a|0;b=b|0;c=c|0;return Fz(0,b|0,c)|0}function qA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=jA(h)|0;Fv(e|0);if((a|0)==0){j=cA(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(Fz(0,d,a)|0){m=l|0;j=c[m>>2]|0;Fv(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(Fz(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Fv(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function rA(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];mB(a,b);i=d;return}function sA(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=TA(c|0)|0;c=VA(k,1)|0;WA(g,k);UA(f,c,g);XA(0,MA((YA(f)|0)+16|0)|0,d);d=ZA(f)|0;a[d+4|0]=1;_A(0,KA((YA(f)|0)+28|0)|0);a[d+5|0]=1;$A(j,f);tA(h,j);rA(b,h);uA(j);uA(f);i=e;return}function tA(a,b){a=a|0;b=b|0;RA(a,b);return}function uA(a){a=a|0;GA(a);return}function vA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Fv(f|0);c[e>>2]=0;Fv(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=CA(a)|0;b=c[c[e>>2]>>2]|0;Fv(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(cA(a)|0)>>2]|0;px(e,c[d>>2]|0);d=DA(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function wA(a){a=a|0;return c[(AA(a|0)|0)>>2]|0}function xA(a){a=a|0;var b=0;b=yA(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function yA(a){a=a|0;return zA(a|0)|0}function zA(a){a=a|0;return a|0}function AA(a){a=a|0;return BA(a|0)|0}function BA(a){a=a|0;return a|0}function CA(a){a=a|0;return a|0}function DA(a){a=a|0;return EA(a+8|0)|0}function EA(a){a=a|0;return FA(a|0)|0}function FA(a){a=a|0;return a|0}function GA(a){a=a|0;HA(a,0);return}function HA(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=yA(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}JA(IA(d)|0,e);return}function IA(a){a=a|0;return QA(a|0)|0}function JA(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;LA(e,MA(d+16|0)|0)}if((d|0)==0){return}NA(c[b>>2]|0,d,1);return}function KA(a){a=a|0;return a|0}function LA(a,b){a=a|0;b=b|0;a=i;i=i+8|0;PA(a|0,0,b);i=a;return}function MA(a){a=a|0;return a|0}function NA(a,b,c){a=a|0;b=b|0;c=c|0;OA(0,b,0);return}function OA(a,b,c){a=a|0;b=b|0;c=c|0;qU(b);return}function PA(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;dK(d);i=c;return}function QA(a){a=a|0;return a+4|0}function RA(a,b){a=a|0;b=b|0;SA(a,b);return}function SA(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function TA(a){a=a|0;return kB(a+4|0)|0}function UA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];cB(a,b,d);i=e;return}function VA(a,b){a=a|0;b=b|0;return bB(0,b,0)|0}function WA(a,b){a=a|0;b=b|0;aB(a,b);return}function XA(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}VJ(b,c);return}function YA(a){a=a|0;return c[(AA(a|0)|0)>>2]|0}function ZA(a){a=a|0;return IA(a|0)|0}function _A(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function $A(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;RA(f,b);rA(e,f);tA(d,e);rA(a,d);uA(e);i=c;return}function aB(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function bB(a,b,c){a=a|0;b=b|0;c=c|0;return oU(b<<5)|0}function cB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(eB(f)|0)>>2]|0;f=fB(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;dB(a|0,b,g);i=e;return}function dB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];gB(a,b,d);i=e;return}function eB(a){a=a|0;return a|0}function fB(a){a=a|0;return a|0}function gB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(iB(f)|0)>>2]|0;f=jB(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;hB(a|0,b,g);i=e;return}function hB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(iB(f)|0)>>2];f=jB(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function iB(a){a=a|0;return a|0}function jB(a){a=a|0;return a|0}function kB(a){a=a|0;return lB(a|0)|0}function lB(a){a=a|0;return a|0}function mB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=xA(nB(b)|0)|0;g=jB(ZA(nB(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;dB(a|0,f,e);i=d;return}function nB(a){a=a|0;return c[a>>2]|0}function oB(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function pB(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];wB(a,b);i=d;return}function qB(a,b){a=a|0;b=b|0;rB(a,sB(b)|0);return}function rB(a,b){a=a|0;b=b|0;vB(a,b);return}function sB(a){a=a|0;return qv(tB(a+4|0)|0)|0}function tB(a){a=a|0;return uB(a|0)|0}function uB(a){a=a|0;return a|0}function vB(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function wB(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function xB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=zB(b)|0;yB(f,b,d,h,sB(b)|0);qB(g,b);do{if(AB(f,g)|0){h=BB(b)|0;if(Dz(h,d,CB(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);qB(a,b);i=e;return}function yB(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;Fv(h);a:do{if((e|0)==0){j=f}else{k=BB(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(Ez(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;Fv(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;Fv(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);rB(a,j);i=g;return}function zB(a){a=a|0;return c[(sB(a)|0)>>2]|0}function AB(a,b){a=a|0;b=b|0;return(oB(a,b)|0)^1|0}function BB(a){a=a|0;return DB(a+8|0)|0}function CB(a){a=a|0;return(c[a>>2]|0)+16|0}function DB(a){a=a|0;return EB(a|0)|0}function EB(a){a=a|0;return a|0}function FB(a,b){a=a|0;b=b|0;b=i;i=i+8|0;GB(a|0,b|0);i=b;return}function GB(a,b){a=a|0;b=b|0;HB(a,0);return}function HB(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;IB(a+4|0);JB(a+8|0,0,b|0);d=cA(a)|0;c[(CA(a)|0)>>2]=d;i=b;return}function IB(a){a=a|0;MB(a);return}function JB(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;KB(b,c,d);i=e;return}function KB(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;LB(b|0,c[(hy(g)|0)>>2]|0,f+8|0);i=f;return}function LB(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(hy(g)|0)>>2];i=f;return}function MB(a){a=a|0;NB(a|0);return}function NB(a){a=a|0;ky(a|0);return}function OB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=OC(h)|0;Fv(e|0);if((a|0)==0){j=$B(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(Cv(0,d,a)|0){m=l|0;j=c[m>>2]|0;Fv(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(Cv(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Fv(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function PB(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];MC(a,b);i=d;return}function QB(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=rC(c|0)|0;c=tC(k,1)|0;uC(g,k);sC(f,c,g);vC(0,Bx((wC(f)|0)+16|0)|0,d);d=xC(f)|0;a[d+4|0]=1;yC(0,kC((wC(f)|0)+20|0)|0);a[d+5|0]=1;zC(j,f);RB(h,j);PB(b,h);SB(j);SB(f);i=e;return}function RB(a,b){a=a|0;b=b|0;pC(a,b);return}function SB(a){a=a|0;fC(a);return}function TB(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Fv(f|0);c[e>>2]=0;Fv(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=_B(a)|0;b=c[c[e>>2]>>2]|0;Fv(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[($B(a)|0)>>2]|0;px(e,c[d>>2]|0);d=aC(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function UB(a){a=a|0;return c[(YB(a|0)|0)>>2]|0}function VB(a){a=a|0;var b=0;b=WB(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function WB(a){a=a|0;return XB(a|0)|0}function XB(a){a=a|0;return a|0}function YB(a){a=a|0;return ZB(a|0)|0}function ZB(a){a=a|0;return a|0}function _B(a){a=a|0;return a|0}function $B(a){a=a|0;return qv(dC(a+4|0)|0)|0}function aC(a){a=a|0;return bC(a+8|0)|0}function bC(a){a=a|0;return cC(a|0)|0}function cC(a){a=a|0;return a|0}function dC(a){a=a|0;return eC(a|0)|0}function eC(a){a=a|0;return a|0}function fC(a){a=a|0;gC(a,0);return}function gC(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=WB(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}iC(hC(d)|0,e);return}function hC(a){a=a|0;return oC(a|0)|0}function iC(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;jC(e,kC(d+20|0)|0)}if((d|0)==0){return}lC(c[b>>2]|0,d,1);return}function jC(a,b){a=a|0;b=b|0;a=i;i=i+8|0;nC(a|0,0,b);i=a;return}function kC(a){a=a|0;return a|0}function lC(a,b,c){a=a|0;b=b|0;c=c|0;mC(0,b,0);return}function mC(a,b,c){a=a|0;b=b|0;c=c|0;qU(b);return}function nC(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;yz(d);i=c;return}function oC(a){a=a|0;return a+4|0}function pC(a,b){a=a|0;b=b|0;qC(a,b);return}function qC(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function rC(a){a=a|0;return KC(a+4|0)|0}function sC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];CC(a,b,d);i=e;return}function tC(a,b){a=a|0;b=b|0;return BC(0,b,0)|0}function uC(a,b){a=a|0;b=b|0;AC(a,b);return}function vC(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function wC(a){a=a|0;return c[(YB(a|0)|0)>>2]|0}function xC(a){a=a|0;return hC(a|0)|0}function yC(a,b){a=a|0;b=b|0;a=i;i=i+8|0;if((b|0)==0){i=a;return}qz(b,a|0);i=a;return}function zC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;pC(f,b);PB(e,f);RB(d,e);PB(a,d);SB(e);i=c;return}function AC(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function BC(a,b,c){a=a|0;b=b|0;c=c|0;return oU(b<<5)|0}function CC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(EC(f)|0)>>2]|0;f=FC(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;DC(a|0,b,g);i=e;return}function DC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];GC(a,b,d);i=e;return}function EC(a){a=a|0;return a|0}function FC(a){a=a|0;return a|0}function GC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(IC(f)|0)>>2]|0;f=JC(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;HC(a|0,b,g);i=e;return}function HC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(IC(f)|0)>>2];f=JC(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function IC(a){a=a|0;return a|0}function JC(a){a=a|0;return a|0}function KC(a){a=a|0;return LC(a|0)|0}function LC(a){a=a|0;return a|0}function MC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=VB(NC(b)|0)|0;g=JC(xC(NC(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;DC(a|0,f,e);i=d;return}function NC(a){a=a|0;return c[a>>2]|0}function OC(a){a=a|0;return c[($B(a)|0)>>2]|0}function PC(a,b){a=a|0;b=b|0;b=i;i=i+8|0;QC(a|0,b|0);i=b;return}function QC(a,b){a=a|0;b=b|0;RC(a,0);return}function RC(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;SC(a+4|0);TC(a+8|0,0,b|0);d=sB(a)|0;c[(UC(a)|0)>>2]=d;i=b;return}function SC(a){a=a|0;XC(a);return}function TC(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;VC(b,c,d);i=e;return}function UC(a){a=a|0;return a|0}function VC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;WC(b|0,c[(hy(g)|0)>>2]|0,f+8|0);i=f;return}function WC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(hy(g)|0)>>2];i=f;return}function XC(a){a=a|0;YC(a|0);return}function YC(a){a=a|0;ky(a|0);return}function ZC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=zB(h)|0;Fv(e|0);if((a|0)==0){j=sB(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(Fz(0,d,a)|0){m=l|0;j=c[m>>2]|0;Fv(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(Fz(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Fv(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function _C(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];VD(a,b);i=d;return}function $C(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=AD(c|0)|0;c=CD(k,1)|0;DD(g,k);BD(f,c,g);ED(0,MA((FD(f)|0)+16|0)|0,d);d=GD(f)|0;a[d+4|0]=1;HD(0,rD((FD(f)|0)+28|0)|0);a[d+5|0]=1;ID(j,f);aD(h,j);_C(b,h);bD(j);bD(f);i=e;return}function _read_input_xml$0(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0;d=c[b+9720>>2]|0;e=c[b+9760>>2]|0;f=c[b+12744>>2]|0;a:do{if((c[(d+120|0)>>2]|0)>0){g=(b|0)+120|0;j=0;do{c[(b+4576|0)>>2]=j;k=fz(g,b+4576|0)|0;ZJ(b+4584|0,38208);VJ(b+4560|0,az(k,b+4584|0)|0);dz(b+4560|0,(c[(d+8|0)>>2]|0)+(j*48|0)+4|0);dK(b+4560|0);dK(b+4584|0);c[(b+4616|0)>>2]=j;k=fz(g,b+4616|0)|0;ZJ(b+4624|0,36816);VJ(b+4600|0,az(k,b+4624|0)|0);gz(b+4600|0,(c[(d+8|0)>>2]|0)+(j*48|0)|0);dK(b+4600|0);dK(b+4624|0);c[(b+4656|0)>>2]=j;k=fz(g,b+4656|0)|0;ZJ(b+4664|0,36008);VJ(b+4640|0,az(k,b+4664|0)|0);dz(b+4640|0,(c[(d+8|0)>>2]|0)+(j*48|0)+8|0);dK(b+4640|0);dK(b+4664|0);c[(b+4696|0)>>2]=j;k=fz(g,b+4696|0)|0;ZJ(b+4704|0,35288);VJ(b+4680|0,az(k,b+4704|0)|0);dz(b+4680|0,(c[(d+8|0)>>2]|0)+(j*48|0)+12|0);dK(b+4680|0);dK(b+4704|0);c[(b+4736|0)>>2]=j;k=fz(g,b+4736|0)|0;ZJ(b+4744|0,34632);VJ(b+4720|0,az(k,b+4744|0)|0);ez(b+4720|0,(c[(d+8|0)>>2]|0)+(j*48|0)+16|0,0);dK(b+4720|0);dK(b+4744|0);c[(b+4776|0)>>2]=j;k=fz(g,b+4776|0)|0;ZJ(b+4784|0,33984);VJ(b+4760|0,az(k,b+4784|0)|0);ez(b+4760|0,(c[(d+8|0)>>2]|0)+(j*48|0)+20|0,0);dK(b+4760|0);dK(b+4784|0);c[(b+4816|0)>>2]=j;k=fz(g,b+4816|0)|0;ZJ(b+4824|0,32584);VJ(b+4800|0,az(k,b+4824|0)|0);ez(b+4800|0,(c[(d+8|0)>>2]|0)+(j*48|0)+24|0,0);dK(b+4800|0);dK(b+4824|0);c[(b+4856|0)>>2]=j;k=fz(g,b+4856|0)|0;ZJ(b+4864|0,31784);VJ(b+4840|0,az(k,b+4864|0)|0);ez(b+4840|0,(c[(d+8|0)>>2]|0)+(j*48|0)+28|0,0);dK(b+4840|0);dK(b+4864|0);c[(b+4896|0)>>2]=j;k=fz(g,b+4896|0)|0;ZJ(b+4904|0,31072);VJ(b+4880|0,az(k,b+4904|0)|0);ez(b+4880|0,(c[(d+8|0)>>2]|0)+(j*48|0)+32|0,0);dK(b+4880|0);dK(b+4904|0);c[(b+4936|0)>>2]=j;k=fz(g,b+4936|0)|0;ZJ(b+4944|0,30424);VJ(b+4920|0,az(k,b+4944|0)|0);hz(b+4920|0,(c[(d+8|0)>>2]|0)+(j*48|0)+41|0);dK(b+4920|0);dK(b+4944|0);c[(b+4976|0)>>2]=j;k=fz(g,b+4976|0)|0;ZJ(b+4984|0,30112);VJ(b+4960|0,az(k,b+4984|0)|0);hz(b+4960|0,(c[(d+8|0)>>2]|0)+(j*48|0)+42|0);dK(b+4960|0);dK(b+4984|0);c[(b+5016|0)>>2]=j;k=fz(g,b+5016|0)|0;ZJ(b+5024|0,29784);VJ(b+5e3|0,az(k,b+5024|0)|0);hz(b+5e3|0,(c[(d+8|0)>>2]|0)+(j*48|0)+40|0);dK(b+5e3|0);dK(b+5024|0);k=c[(d+8|0)>>2]|0;l=(a[k+(j*48|0)+41|0]|0)!=0;m=(a[k+(j*48|0)+42|0]|0)!=0?26584:26376;n=(a[k+(j*48|0)+40|0]|0)!=0?26584:26376;Dq(4,0,22720,(f=i,i=i+40|0,c[f>>2]=c[k+(j*48|0)+4>>2],c[f+8>>2]=l?939512:27008,c[f+16>>2]=m,c[f+24>>2]=l?939512:26792,c[f+32>>2]=n,f)|0);i=f;n=c[(d+8|0)>>2]|0;l=c[n+(j*48|0)+4>>2]|0;if((a[l]|0)==36){a[n+(j*48|0)+44|0]=1;o=c[(c[(d+8|0)>>2]|0)+(j*48|0)+4>>2]|0}else{o=l}ZJ(b+5040|0,o);c[(iz(b+216|0,b+5040|0)|0)>>2]=j;dK(b+5040|0);j=j+1|0;}while((j|0)<(c[(d+120|0)>>2]|0))}if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,22360,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+124|0)>>2]|0)>0){j=(b|0)+156|0;g=0;do{c[(b+5072|0)>>2]=g;l=fz(j,b+5072|0)|0;ZJ(b+5080|0,38208);VJ(b+5056|0,az(l,b+5080|0)|0);dz(b+5056|0,(c[(d+12|0)>>2]|0)+(g*52|0)+4|0);dK(b+5056|0);dK(b+5080|0);c[(b+5112|0)>>2]=g;l=fz(j,b+5112|0)|0;ZJ(b+5120|0,36816);VJ(b+5096|0,az(l,b+5120|0)|0);gz(b+5096|0,(c[(d+12|0)>>2]|0)+(g*52|0)|0);dK(b+5096|0);dK(b+5120|0);c[(b+5152|0)>>2]=g;l=fz(j,b+5152|0)|0;ZJ(b+5160|0,36008);VJ(b+5136|0,az(l,b+5160|0)|0);dz(b+5136|0,(c[(d+12|0)>>2]|0)+(g*52|0)+8|0);dK(b+5136|0);dK(b+5160|0);c[(b+5192|0)>>2]=g;l=fz(j,b+5192|0)|0;ZJ(b+5200|0,35288);VJ(b+5176|0,az(l,b+5200|0)|0);dz(b+5176|0,(c[(d+12|0)>>2]|0)+(g*52|0)+12|0);dK(b+5176|0);dK(b+5200|0);c[(b+5232|0)>>2]=g;l=fz(j,b+5232|0)|0;ZJ(b+5240|0,34632);VJ(b+5216|0,az(l,b+5240|0)|0);ez(b+5216|0,(c[(d+12|0)>>2]|0)+(g*52|0)+16|0,0);dK(b+5216|0);dK(b+5240|0);c[(b+5272|0)>>2]=g;l=fz(j,b+5272|0)|0;ZJ(b+5280|0,33984);VJ(b+5256|0,az(l,b+5280|0)|0);ez(b+5256|0,(c[(d+12|0)>>2]|0)+(g*52|0)+20|0,0);dK(b+5256|0);dK(b+5280|0);c[(b+5312|0)>>2]=g;l=fz(j,b+5312|0)|0;ZJ(b+5320|0,32584);VJ(b+5296|0,az(l,b+5320|0)|0);ez(b+5296|0,(c[(d+12|0)>>2]|0)+(g*52|0)+24|0,0);dK(b+5296|0);dK(b+5320|0);c[(b+5352|0)>>2]=g;l=fz(j,b+5352|0)|0;ZJ(b+5360|0,31784);VJ(b+5336|0,az(l,b+5360|0)|0);ez(b+5336|0,(c[(d+12|0)>>2]|0)+(g*52|0)+28|0,0);dK(b+5336|0);dK(b+5360|0);c[(b+5392|0)>>2]=g;l=fz(j,b+5392|0)|0;ZJ(b+5400|0,31072);VJ(b+5376|0,az(l,b+5400|0)|0);ez(b+5376|0,(c[(d+12|0)>>2]|0)+(g*52|0)+32|0,0);dK(b+5376|0);dK(b+5400|0);c[(b+5432|0)>>2]=g;l=fz(j,b+5432|0)|0;ZJ(b+5440|0,30424);VJ(b+5416|0,az(l,b+5440|0)|0);hz(b+5416|0,(c[(d+12|0)>>2]|0)+(g*52|0)+40|0);dK(b+5416|0);dK(b+5440|0);c[(b+5472|0)>>2]=g;l=fz(j,b+5472|0)|0;ZJ(b+5480|0,30112);VJ(b+5456|0,az(l,b+5480|0)|0);dz(b+5456|0,(c[(d+12|0)>>2]|0)+(g*52|0)+44|0);dK(b+5456|0);dK(b+5480|0);l=c[(d+12|0)>>2]|0;n=(a[l+(g*52|0)+40|0]|0)!=0;m=c[l+(g*52|0)+44>>2]|0;Dq(4,0,22064,(f=i,i=i+32|0,c[f>>2]=c[l+(g*52|0)+4>>2],c[f+8>>2]=n?939512:27008,c[f+16>>2]=m,c[f+24>>2]=n?939512:26792,f)|0);i=f;n=c[(d+12|0)>>2]|0;m=c[n+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[n+(g*52|0)+48|0]=1;p=c[(c[(d+12|0)>>2]|0)+(g*52|0)+4>>2]|0}else{p=m}ZJ(b+5496|0,p);c[(iz(b+216|0,b+5496|0)|0)>>2]=g;dK(b+5496|0);g=g+1|0;}while((g|0)<(c[(d+124|0)>>2]|0))}if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,21704,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+128|0)>>2]|0)>0){g=(b|0)+60|0;j=0;do{c[(b+5528|0)>>2]=j;m=fz(g,b+5528|0)|0;ZJ(b+5536|0,38208);VJ(b+5512|0,az(m,b+5536|0)|0);dz(b+5512|0,(c[(d+16|0)>>2]|0)+(j*112|0)+4|0);dK(b+5512|0);dK(b+5536|0);c[(b+5568|0)>>2]=j;m=fz(g,b+5568|0)|0;ZJ(b+5576|0,36816);VJ(b+5552|0,az(m,b+5576|0)|0);gz(b+5552|0,(c[(d+16|0)>>2]|0)+(j*112|0)|0);dK(b+5552|0);dK(b+5576|0);c[(b+5608|0)>>2]=j;m=fz(g,b+5608|0)|0;ZJ(b+5616|0,36008);VJ(b+5592|0,az(m,b+5616|0)|0);dz(b+5592|0,(c[(d+16|0)>>2]|0)+(j*112|0)+8|0);dK(b+5592|0);dK(b+5616|0);c[(b+5648|0)>>2]=j;m=fz(g,b+5648|0)|0;ZJ(b+5656|0,35288);VJ(b+5632|0,az(m,b+5656|0)|0);dz(b+5632|0,(c[(d+16|0)>>2]|0)+(j*112|0)+12|0);dK(b+5632|0);dK(b+5656|0);c[(b+5688|0)>>2]=j;m=fz(g,b+5688|0)|0;ZJ(b+5696|0,34632);VJ(b+5672|0,az(m,b+5696|0)|0);ez(b+5672|0,(c[(d+16|0)>>2]|0)+(j*112|0)+16|0,0);dK(b+5672|0);dK(b+5696|0);c[(b+5728|0)>>2]=j;m=fz(g,b+5728|0)|0;ZJ(b+5736|0,33984);VJ(b+5712|0,az(m,b+5736|0)|0);ez(b+5712|0,(c[(d+16|0)>>2]|0)+(j*112|0)+20|0,0);dK(b+5712|0);dK(b+5736|0);c[(b+5768|0)>>2]=j;m=fz(g,b+5768|0)|0;ZJ(b+5776|0,32584);VJ(b+5752|0,az(m,b+5776|0)|0);ez(b+5752|0,(c[(d+16|0)>>2]|0)+(j*112|0)+24|0,0);dK(b+5752|0);dK(b+5776|0);c[(b+5808|0)>>2]=j;m=fz(g,b+5808|0)|0;ZJ(b+5816|0,31784);VJ(b+5792|0,az(m,b+5816|0)|0);ez(b+5792|0,(c[(d+16|0)>>2]|0)+(j*112|0)+28|0,0);dK(b+5792|0);dK(b+5816|0);c[(b+5848|0)>>2]=j;m=fz(g,b+5848|0)|0;ZJ(b+5856|0,31072);VJ(b+5832|0,az(m,b+5856|0)|0);ez(b+5832|0,(c[(d+16|0)>>2]|0)+(j*112|0)+32|0,0);dK(b+5832|0);dK(b+5856|0);c[(b+5888|0)>>2]=j;m=fz(g,b+5888|0)|0;ZJ(b+5896|0,30424);VJ(b+5872|0,az(m,b+5896|0)|0);hz(b+5872|0,(c[(d+16|0)>>2]|0)+(j*112|0)+88|0);dK(b+5872|0);dK(b+5896|0);c[(b+5928|0)>>2]=j;m=fz(g,b+5928|0)|0;ZJ(b+5936|0,30112);VJ(b+5912|0,az(m,b+5936|0)|0);cz(b+5912|0,(c[(d+16|0)>>2]|0)+(j*112|0)+96|0,0.0);dK(b+5912|0);dK(b+5936|0);c[(b+5968|0)>>2]=j;m=fz(g,b+5968|0)|0;ZJ(b+5976|0,29784);VJ(b+5952|0,az(m,b+5976|0)|0);hz(b+5952|0,(c[(d+16|0)>>2]|0)+(j*112|0)+72|0);dK(b+5952|0);dK(b+5976|0);c[(b+6008|0)>>2]=j;m=fz(g,b+6008|0)|0;ZJ(b+6016|0,29168);VJ(b+5992|0,az(m,b+6016|0)|0);hz(b+5992|0,(c[(d+16|0)>>2]|0)+(j*112|0)+73|0);dK(b+5992|0);dK(b+6016|0);c[(b+6048|0)>>2]=j;m=fz(g,b+6048|0)|0;ZJ(b+6056|0,28888);VJ(b+6032|0,az(m,b+6056|0)|0);cz(b+6032|0,(c[(d+16|0)>>2]|0)+(j*112|0)+80|0,1.0);dK(b+6032|0);dK(b+6056|0);c[(b+6088|0)>>2]=j;m=fz(g,b+6088|0)|0;ZJ(b+6096|0,28544);VJ(b+6072|0,az(m,b+6096|0)|0);cz(b+6072|0,(c[(d+16|0)>>2]|0)+(j*112|0)+56|0,-1.7976931348623157e+308);dK(b+6072|0);dK(b+6096|0);c[(b+6128|0)>>2]=j;m=fz(g,b+6128|0)|0;ZJ(b+6136|0,28064);VJ(b+6112|0,az(m,b+6136|0)|0);cz(b+6112|0,(c[(d+16|0)>>2]|0)+(j*112|0)+64|0,1.7976931348623157e+308);dK(b+6112|0);dK(b+6136|0);m=c[(d+16|0)>>2]|0;n=(a[m+(j*112|0)+88|0]|0)!=0;q=+h[m+(j*112|0)+96>>3];l=(a[m+(j*112|0)+72|0]|0)!=0?26584:26376;k=(a[m+(j*112|0)+73|0]|0)!=0;r=+h[m+(j*112|0)+80>>3];s=+h[m+(j*112|0)+56>>3];t=+h[m+(j*112|0)+64>>3];Dq(4,0,21464,(f=i,i=i+80|0,c[f>>2]=c[m+(j*112|0)+4>>2],c[f+8>>2]=n?939512:27008,h[f+16>>3]=q,c[f+24>>2]=n?939512:26792,c[f+32>>2]=l,c[f+40>>2]=k?939512:27008,h[f+48>>3]=r,c[f+56>>2]=k?939512:26792,h[f+64>>3]=s,h[f+72>>3]=t,f)|0);i=f;k=c[(d+16|0)>>2]|0;l=c[k+(j*112|0)+4>>2]|0;if((a[l]|0)==36){a[k+(j*112|0)+104|0]=1;u=c[(c[(d+16|0)>>2]|0)+(j*112|0)+4>>2]|0}else{u=l}ZJ(b+6152|0,u);c[(iz(b+240|0,b+6152|0)|0)>>2]=j;dK(b+6152|0);j=j+1|0;}while((j|0)<(c[(d+128|0)>>2]|0))}if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,904360,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+132|0)>>2]|0)>0){j=(b|0)+96|0;g=0;do{c[(b+6184|0)>>2]=g;l=fz(j,b+6184|0)|0;ZJ(b+6192|0,38208);VJ(b+6168|0,az(l,b+6192|0)|0);dz(b+6168|0,(c[(d+20|0)>>2]|0)+(g*60|0)+4|0);dK(b+6168|0);dK(b+6192|0);c[(b+6224|0)>>2]=g;l=fz(j,b+6224|0)|0;ZJ(b+6232|0,36816);VJ(b+6208|0,az(l,b+6232|0)|0);gz(b+6208|0,(c[(d+20|0)>>2]|0)+(g*60|0)|0);dK(b+6208|0);dK(b+6232|0);c[(b+6264|0)>>2]=g;l=fz(j,b+6264|0)|0;ZJ(b+6272|0,36008);VJ(b+6248|0,az(l,b+6272|0)|0);dz(b+6248|0,(c[(d+20|0)>>2]|0)+(g*60|0)+8|0);dK(b+6248|0);dK(b+6272|0);c[(b+6304|0)>>2]=g;l=fz(j,b+6304|0)|0;ZJ(b+6312|0,35288);VJ(b+6288|0,az(l,b+6312|0)|0);dz(b+6288|0,(c[(d+20|0)>>2]|0)+(g*60|0)+12|0);dK(b+6288|0);dK(b+6312|0);c[(b+6344|0)>>2]=g;l=fz(j,b+6344|0)|0;ZJ(b+6352|0,34632);VJ(b+6328|0,az(l,b+6352|0)|0);ez(b+6328|0,(c[(d+20|0)>>2]|0)+(g*60|0)+16|0,0);dK(b+6328|0);dK(b+6352|0);c[(b+6384|0)>>2]=g;l=fz(j,b+6384|0)|0;ZJ(b+6392|0,33984);VJ(b+6368|0,az(l,b+6392|0)|0);ez(b+6368|0,(c[(d+20|0)>>2]|0)+(g*60|0)+20|0,0);dK(b+6368|0);dK(b+6392|0);c[(b+6424|0)>>2]=g;l=fz(j,b+6424|0)|0;ZJ(b+6432|0,32584);VJ(b+6408|0,az(l,b+6432|0)|0);ez(b+6408|0,(c[(d+20|0)>>2]|0)+(g*60|0)+24|0,0);dK(b+6408|0);dK(b+6432|0);c[(b+6464|0)>>2]=g;l=fz(j,b+6464|0)|0;ZJ(b+6472|0,31784);VJ(b+6448|0,az(l,b+6472|0)|0);ez(b+6448|0,(c[(d+20|0)>>2]|0)+(g*60|0)+28|0,0);dK(b+6448|0);dK(b+6472|0);c[(b+6504|0)>>2]=g;l=fz(j,b+6504|0)|0;ZJ(b+6512|0,31072);VJ(b+6488|0,az(l,b+6512|0)|0);ez(b+6488|0,(c[(d+20|0)>>2]|0)+(g*60|0)+32|0,0);dK(b+6488|0);dK(b+6512|0);c[(b+6544|0)>>2]=g;l=fz(j,b+6544|0)|0;ZJ(b+6552|0,30424);VJ(b+6528|0,az(l,b+6552|0)|0);hz(b+6528|0,(c[(d+20|0)>>2]|0)+(g*60|0)+49|0);dK(b+6528|0);dK(b+6552|0);c[(b+6584|0)>>2]=g;l=fz(j,b+6584|0)|0;ZJ(b+6592|0,30112);VJ(b+6568|0,az(l,b+6592|0)|0);ez(b+6568|0,(c[(d+20|0)>>2]|0)+(g*60|0)+52|0,0);dK(b+6568|0);dK(b+6592|0);c[(b+6624|0)>>2]=g;l=fz(j,b+6624|0)|0;ZJ(b+6632|0,29784);VJ(b+6608|0,az(l,b+6632|0)|0);hz(b+6608|0,(c[(d+20|0)>>2]|0)+(g*60|0)+48|0);dK(b+6608|0);dK(b+6632|0);c[(b+6664|0)>>2]=g;l=fz(j,b+6664|0)|0;ZJ(b+6672|0,28544);VJ(b+6648|0,az(l,b+6672|0)|0);ez(b+6648|0,(c[(d+20|0)>>2]|0)+(g*60|0)+40|0,-2147483648);dK(b+6648|0);dK(b+6672|0);c[(b+6704|0)>>2]=g;l=fz(j,b+6704|0)|0;ZJ(b+6712|0,28064);VJ(b+6688|0,az(l,b+6712|0)|0);ez(b+6688|0,(c[(d+20|0)>>2]|0)+(g*60|0)+44|0,2147483647);dK(b+6688|0);dK(b+6712|0);l=c[(d+20|0)>>2]|0;k=(a[l+(g*60|0)+49|0]|0)!=0;n=c[l+(g*60|0)+52>>2]|0;m=(a[l+(g*60|0)+48|0]|0)!=0?26584:26376;v=c[l+(g*60|0)+40>>2]|0;w=c[l+(g*60|0)+44>>2]|0;Dq(4,0,904240,(f=i,i=i+56|0,c[f>>2]=c[l+(g*60|0)+4>>2],c[f+8>>2]=k?939512:27008,c[f+16>>2]=n,c[f+24>>2]=k?939512:26792,c[f+32>>2]=m,c[f+40>>2]=v,c[f+48>>2]=w,f)|0);i=f;w=c[(d+20|0)>>2]|0;v=c[w+(g*60|0)+4>>2]|0;if((a[v]|0)==36){a[w+(g*60|0)+56|0]=1;x=c[(c[(d+20|0)>>2]|0)+(g*60|0)+4>>2]|0}else{x=v}ZJ(b+6728|0,x);c[(iz(b+240|0,b+6728|0)|0)>>2]=g;dK(b+6728|0);g=g+1|0;}while((g|0)<(c[(d+132|0)>>2]|0))}if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,903576,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+136|0)>>2]|0)>0){g=(b|0)+132|0;j=0;do{c[(b+6760|0)>>2]=j;v=fz(g,b+6760|0)|0;ZJ(b+6768|0,38208);VJ(b+6744|0,az(v,b+6768|0)|0);dz(b+6744|0,(c[(d+24|0)>>2]|0)+(j*48|0)+4|0);dK(b+6744|0);dK(b+6768|0);c[(b+6800|0)>>2]=j;v=fz(g,b+6800|0)|0;ZJ(b+6808|0,36816);VJ(b+6784|0,az(v,b+6808|0)|0);gz(b+6784|0,(c[(d+24|0)>>2]|0)+(j*48|0)|0);dK(b+6784|0);dK(b+6808|0);c[(b+6840|0)>>2]=j;v=fz(g,b+6840|0)|0;ZJ(b+6848|0,36008);VJ(b+6824|0,az(v,b+6848|0)|0);dz(b+6824|0,(c[(d+24|0)>>2]|0)+(j*48|0)+8|0);dK(b+6824|0);dK(b+6848|0);c[(b+6880|0)>>2]=j;v=fz(g,b+6880|0)|0;ZJ(b+6888|0,35288);VJ(b+6864|0,az(v,b+6888|0)|0);dz(b+6864|0,(c[(d+24|0)>>2]|0)+(j*48|0)+12|0);dK(b+6864|0);dK(b+6888|0);c[(b+6920|0)>>2]=j;v=fz(g,b+6920|0)|0;ZJ(b+6928|0,34632);VJ(b+6904|0,az(v,b+6928|0)|0);ez(b+6904|0,(c[(d+24|0)>>2]|0)+(j*48|0)+16|0,0);dK(b+6904|0);dK(b+6928|0);c[(b+6960|0)>>2]=j;v=fz(g,b+6960|0)|0;ZJ(b+6968|0,33984);VJ(b+6944|0,az(v,b+6968|0)|0);ez(b+6944|0,(c[(d+24|0)>>2]|0)+(j*48|0)+20|0,0);dK(b+6944|0);dK(b+6968|0);c[(b+7e3|0)>>2]=j;v=fz(g,b+7e3|0)|0;ZJ(b+7008|0,32584);VJ(b+6984|0,az(v,b+7008|0)|0);ez(b+6984|0,(c[(d+24|0)>>2]|0)+(j*48|0)+24|0,0);dK(b+6984|0);dK(b+7008|0);c[(b+7040|0)>>2]=j;v=fz(g,b+7040|0)|0;ZJ(b+7048|0,31784);VJ(b+7024|0,az(v,b+7048|0)|0);ez(b+7024|0,(c[(d+24|0)>>2]|0)+(j*48|0)+28|0,0);dK(b+7024|0);dK(b+7048|0);c[(b+7080|0)>>2]=j;v=fz(g,b+7080|0)|0;ZJ(b+7088|0,31072);VJ(b+7064|0,az(v,b+7088|0)|0);ez(b+7064|0,(c[(d+24|0)>>2]|0)+(j*48|0)+32|0,0);dK(b+7064|0);dK(b+7088|0);c[(b+7120|0)>>2]=j;v=fz(g,b+7120|0)|0;ZJ(b+7128|0,30424);VJ(b+7104|0,az(v,b+7128|0)|0);hz(b+7104|0,(c[(d+24|0)>>2]|0)+(j*48|0)+41|0);dK(b+7104|0);dK(b+7128|0);c[(b+7160|0)>>2]=j;v=fz(g,b+7160|0)|0;ZJ(b+7168|0,30112);VJ(b+7144|0,az(v,b+7168|0)|0);hz(b+7144|0,(c[(d+24|0)>>2]|0)+(j*48|0)+42|0);dK(b+7144|0);dK(b+7168|0);c[(b+7200|0)>>2]=j;v=fz(g,b+7200|0)|0;ZJ(b+7208|0,29784);VJ(b+7184|0,az(v,b+7208|0)|0);hz(b+7184|0,(c[(d+24|0)>>2]|0)+(j*48|0)+40|0);dK(b+7184|0);dK(b+7208|0);v=c[(d+24|0)>>2]|0;w=(a[v+(j*48|0)+41|0]|0)!=0;m=(a[v+(j*48|0)+42|0]|0)!=0?26584:26376;k=(a[v+(j*48|0)+40|0]|0)!=0?26584:26376;Dq(4,0,903304,(f=i,i=i+40|0,c[f>>2]=c[v+(j*48|0)+4>>2],c[f+8>>2]=w?939512:27008,c[f+16>>2]=m,c[f+24>>2]=w?939512:26792,c[f+32>>2]=k,f)|0);i=f;k=c[(d+24|0)>>2]|0;w=c[k+(j*48|0)+4>>2]|0;if((a[w]|0)==36){a[k+(j*48|0)+44|0]=1;y=c[(c[(d+24|0)>>2]|0)+(j*48|0)+4>>2]|0}else{y=w}ZJ(b+7224|0,y);c[(iz(b+240|0,b+7224|0)|0)>>2]=j;dK(b+7224|0);j=j+1|0;}while((j|0)<(c[(d+136|0)>>2]|0))}if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,903232,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+140|0)>>2]|0)>0){j=(b|0)+168|0;g=0;do{c[(b+7256|0)>>2]=g;w=fz(j,b+7256|0)|0;ZJ(b+7264|0,38208);VJ(b+7240|0,az(w,b+7264|0)|0);dz(b+7240|0,(c[(d+28|0)>>2]|0)+(g*52|0)+4|0);dK(b+7240|0);dK(b+7264|0);c[(b+7296|0)>>2]=g;w=fz(j,b+7296|0)|0;ZJ(b+7304|0,36816);VJ(b+7280|0,az(w,b+7304|0)|0);gz(b+7280|0,(c[(d+28|0)>>2]|0)+(g*52|0)|0);dK(b+7280|0);dK(b+7304|0);c[(b+7336|0)>>2]=g;w=fz(j,b+7336|0)|0;ZJ(b+7344|0,36008);VJ(b+7320|0,az(w,b+7344|0)|0);dz(b+7320|0,(c[(d+28|0)>>2]|0)+(g*52|0)+8|0);dK(b+7320|0);dK(b+7344|0);c[(b+7376|0)>>2]=g;w=fz(j,b+7376|0)|0;ZJ(b+7384|0,35288);VJ(b+7360|0,az(w,b+7384|0)|0);dz(b+7360|0,(c[(d+28|0)>>2]|0)+(g*52|0)+12|0);dK(b+7360|0);dK(b+7384|0);c[(b+7416|0)>>2]=g;w=fz(j,b+7416|0)|0;ZJ(b+7424|0,34632);VJ(b+7400|0,az(w,b+7424|0)|0);ez(b+7400|0,(c[(d+28|0)>>2]|0)+(g*52|0)+16|0,0);dK(b+7400|0);dK(b+7424|0);c[(b+7456|0)>>2]=g;w=fz(j,b+7456|0)|0;ZJ(b+7464|0,33984);VJ(b+7440|0,az(w,b+7464|0)|0);ez(b+7440|0,(c[(d+28|0)>>2]|0)+(g*52|0)+20|0,0);dK(b+7440|0);dK(b+7464|0);c[(b+7496|0)>>2]=g;w=fz(j,b+7496|0)|0;ZJ(b+7504|0,32584);VJ(b+7480|0,az(w,b+7504|0)|0);ez(b+7480|0,(c[(d+28|0)>>2]|0)+(g*52|0)+24|0,0);dK(b+7480|0);dK(b+7504|0);c[(b+7536|0)>>2]=g;w=fz(j,b+7536|0)|0;ZJ(b+7544|0,31784);VJ(b+7520|0,az(w,b+7544|0)|0);ez(b+7520|0,(c[(d+28|0)>>2]|0)+(g*52|0)+28|0,0);dK(b+7520|0);dK(b+7544|0);c[(b+7576|0)>>2]=g;w=fz(j,b+7576|0)|0;ZJ(b+7584|0,31072);VJ(b+7560|0,az(w,b+7584|0)|0);ez(b+7560|0,(c[(d+28|0)>>2]|0)+(g*52|0)+32|0,0);dK(b+7560|0);dK(b+7584|0);c[(b+7616|0)>>2]=g;w=fz(j,b+7616|0)|0;ZJ(b+7624|0,30424);VJ(b+7600|0,az(w,b+7624|0)|0);hz(b+7600|0,(c[(d+28|0)>>2]|0)+(g*52|0)+40|0);dK(b+7600|0);dK(b+7624|0);c[(b+7656|0)>>2]=g;w=fz(j,b+7656|0)|0;ZJ(b+7664|0,30112);VJ(b+7640|0,az(w,b+7664|0)|0);dz(b+7640|0,(c[(d+28|0)>>2]|0)+(g*52|0)+44|0);dK(b+7640|0);dK(b+7664|0);w=c[(d+28|0)>>2]|0;k=(a[w+(g*52|0)+40|0]|0)!=0;m=c[w+(g*52|0)+44>>2]|0;Dq(4,0,902896,(f=i,i=i+32|0,c[f>>2]=c[w+(g*52|0)+4>>2],c[f+8>>2]=k?939512:27008,c[f+16>>2]=m,c[f+24>>2]=k?939512:26792,f)|0);i=f;k=c[(d+28|0)>>2]|0;m=c[k+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[k+(g*52|0)+48|0]=1;z=c[(c[(d+28|0)>>2]|0)+(g*52|0)+4>>2]|0}else{z=m}ZJ(b+7680|0,z);c[(iz(b+240|0,b+7680|0)|0)>>2]=g;dK(b+7680|0);g=g+1|0;}while((g|0)<(c[(d+140|0)>>2]|0))}if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,902672,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;b:do{if((c[(d+208|0)>>2]|0)>0){g=(b|0)+72|0;j=0;c:while(1){c[(b+7712|0)>>2]=j;m=fz(g,b+7712|0)|0;ZJ(b+7720|0,38208);VJ(b+7696|0,az(m,b+7720|0)|0);dz(b+7696|0,(c[(d+32|0)>>2]|0)+(j*52|0)+16|0);dK(b+7696|0);dK(b+7720|0);c[(b+7752|0)>>2]=j;m=fz(g,b+7752|0)|0;ZJ(b+7760|0,36816);VJ(b+7736|0,az(m,b+7760|0)|0);gz(b+7736|0,(c[(d+32|0)>>2]|0)+(j*52|0)+12|0);dK(b+7736|0);dK(b+7760|0);c[(b+7792|0)>>2]=j;m=fz(g,b+7792|0)|0;ZJ(b+7800|0,36008);VJ(b+7776|0,az(m,b+7800|0)|0);dz(b+7776|0,(c[(d+32|0)>>2]|0)+(j*52|0)+20|0);dK(b+7776|0);dK(b+7800|0);c[(b+7832|0)>>2]=j;m=fz(g,b+7832|0)|0;ZJ(b+7840|0,35288);VJ(b+7816|0,az(m,b+7840|0)|0);dz(b+7816|0,(c[(d+32|0)>>2]|0)+(j*52|0)+24|0);dK(b+7816|0);dK(b+7840|0);c[(b+7872|0)>>2]=j;m=fz(g,b+7872|0)|0;ZJ(b+7880|0,34632);VJ(b+7856|0,az(m,b+7880|0)|0);ez(b+7856|0,(c[(d+32|0)>>2]|0)+(j*52|0)+28|0,0);dK(b+7856|0);dK(b+7880|0);c[(b+7912|0)>>2]=j;m=fz(g,b+7912|0)|0;ZJ(b+7920|0,33984);VJ(b+7896|0,az(m,b+7920|0)|0);ez(b+7896|0,(c[(d+32|0)>>2]|0)+(j*52|0)+32|0,0);dK(b+7896|0);dK(b+7920|0);c[(b+7952|0)>>2]=j;m=fz(g,b+7952|0)|0;ZJ(b+7960|0,32584);VJ(b+7936|0,az(m,b+7960|0)|0);ez(b+7936|0,(c[(d+32|0)>>2]|0)+(j*52|0)+36|0,0);dK(b+7936|0);dK(b+7960|0);c[(b+7992|0)>>2]=j;m=fz(g,b+7992|0)|0;ZJ(b+8e3|0,31784);VJ(b+7976|0,az(m,b+8e3|0)|0);ez(b+7976|0,(c[(d+32|0)>>2]|0)+(j*52|0)+40|0,0);dK(b+7976|0);dK(b+8e3|0);c[(b+8032|0)>>2]=j;m=fz(g,b+8032|0)|0;ZJ(b+8040|0,31072);VJ(b+8016|0,az(m,b+8040|0)|0);ez(b+8016|0,(c[(d+32|0)>>2]|0)+(j*52|0)+44|0,0);dK(b+8016|0);dK(b+8040|0);TJ(b+8056|0);c[(b+8088|0)>>2]=j;m=fz(g,b+8088|0)|0;ZJ(b+8096|0,902400);VJ(b+8072|0,az(m,b+8096|0)|0);jz(b+8072|0,b+8056|0);dK(b+8072|0);dK(b+8096|0);m=(DK(b+8056|0,902384)|0)==0;c[(c[(d+32|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+32|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;Dq(4,0,902232,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+32|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+8128|0)>>2]=j;k=fz(g,b+8128|0)|0;ZJ(b+8136|0,901712);VJ(b+8112|0,az(k,b+8136|0)|0);jz(b+8112|0,b+8056|0);dK(b+8112|0);dK(b+8136|0);kz(b+264|0,b+216|0,b+8056|0);kz(b+272|0,b+240|0,b+8056|0);mz(b+8152|0,b+216|0);do{if(lz(b+264|0,b+8152|0)|0){k=c[(nz(b+264|0)|0)+12>>2]|0;m=c[(d+32|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{mz(b+8160|0,b+240|0);if(lz(b+272|0,b+8160|0)|0){m=c[(nz(b+272|0)|0)+12>>2]|0;k=c[(d+32|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1;break}if((DK(b+8056|0,901504)|0)!=0){break c}a[(c[(d+32|0)>>2]|0)+(j*52|0)+8|0]=2}}while(0);dK(b+8056|0);j=j+1|0;if((j|0)>=(c[(d+208|0)>>2]|0)){break b}}OK(b+8184|0,900720,b+8056|0);Wy(b+8168|0,b+8184|0,900504);dK(b+8184|0);j=AK(b+8168|0)|0;Hq(0,900488,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,899648,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;d:do{if((c[(d+212|0)>>2]|0)>0){j=(b|0)+108|0;g=0;while(1){c[(b+8216|0)>>2]=g;k=fz(j,b+8216|0)|0;ZJ(b+8224|0,38208);VJ(b+8200|0,az(k,b+8224|0)|0);dz(b+8200|0,(c[(d+36|0)>>2]|0)+(g*52|0)+16|0);dK(b+8200|0);dK(b+8224|0);c[(b+8256|0)>>2]=g;k=fz(j,b+8256|0)|0;ZJ(b+8264|0,36816);VJ(b+8240|0,az(k,b+8264|0)|0);gz(b+8240|0,(c[(d+36|0)>>2]|0)+(g*52|0)+12|0);dK(b+8240|0);dK(b+8264|0);c[(b+8296|0)>>2]=g;k=fz(j,b+8296|0)|0;ZJ(b+8304|0,36008);VJ(b+8280|0,az(k,b+8304|0)|0);dz(b+8280|0,(c[(d+36|0)>>2]|0)+(g*52|0)+20|0);dK(b+8280|0);dK(b+8304|0);c[(b+8336|0)>>2]=g;k=fz(j,b+8336|0)|0;ZJ(b+8344|0,35288);VJ(b+8320|0,az(k,b+8344|0)|0);dz(b+8320|0,(c[(d+36|0)>>2]|0)+(g*52|0)+24|0);dK(b+8320|0);dK(b+8344|0);c[(b+8376|0)>>2]=g;k=fz(j,b+8376|0)|0;ZJ(b+8384|0,34632);VJ(b+8360|0,az(k,b+8384|0)|0);ez(b+8360|0,(c[(d+36|0)>>2]|0)+(g*52|0)+28|0,0);dK(b+8360|0);dK(b+8384|0);c[(b+8416|0)>>2]=g;k=fz(j,b+8416|0)|0;ZJ(b+8424|0,33984);VJ(b+8400|0,az(k,b+8424|0)|0);ez(b+8400|0,(c[(d+36|0)>>2]|0)+(g*52|0)+32|0,0);dK(b+8400|0);dK(b+8424|0);c[(b+8456|0)>>2]=g;k=fz(j,b+8456|0)|0;ZJ(b+8464|0,32584);VJ(b+8440|0,az(k,b+8464|0)|0);ez(b+8440|0,(c[(d+36|0)>>2]|0)+(g*52|0)+36|0,0);dK(b+8440|0);dK(b+8464|0);c[(b+8496|0)>>2]=g;k=fz(j,b+8496|0)|0;ZJ(b+8504|0,31784);VJ(b+8480|0,az(k,b+8504|0)|0);ez(b+8480|0,(c[(d+36|0)>>2]|0)+(g*52|0)+40|0,0);dK(b+8480|0);dK(b+8504|0);c[(b+8536|0)>>2]=g;k=fz(j,b+8536|0)|0;ZJ(b+8544|0,31072);VJ(b+8520|0,az(k,b+8544|0)|0);ez(b+8520|0,(c[(d+36|0)>>2]|0)+(g*52|0)+44|0,0);dK(b+8520|0);dK(b+8544|0);TJ(b+8560|0);c[(b+8592|0)>>2]=g;k=fz(j,b+8592|0)|0;ZJ(b+8600|0,902400);VJ(b+8576|0,az(k,b+8600|0)|0);jz(b+8576|0,b+8560|0);dK(b+8576|0);dK(b+8600|0);k=(DK(b+8560|0,902384)|0)==0;c[(c[(d+36|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+36|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;Dq(4,0,902232,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+36|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+8632|0)>>2]=g;m=fz(j,b+8632|0)|0;ZJ(b+8640|0,901712);VJ(b+8616|0,az(m,b+8640|0)|0);jz(b+8616|0,b+8560|0);dK(b+8616|0);dK(b+8640|0);kz(b+264|0,b+216|0,b+8560|0);kz(b+272|0,b+240|0,b+8560|0);mz(b+8656|0,b+216|0);if(lz(b+264|0,b+8656|0)|0){m=c[(nz(b+264|0)|0)+12>>2]|0;k=c[(d+36|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{mz(b+8664|0,b+240|0);if(!(lz(b+272|0,b+8664|0)|0)){break}k=c[(nz(b+272|0)|0)+12>>2]|0;m=c[(d+36|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}dK(b+8560|0);g=g+1|0;if((g|0)>=(c[(d+212|0)>>2]|0)){break d}}OK(b+8688|0,899584,b+8560|0);Wy(b+8672|0,b+8688|0,900504);dK(b+8688|0);g=AK(b+8672|0)|0;Hq(0,900488,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,898632,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;e:do{if((c[(d+216|0)>>2]|0)>0){g=(b|0)+144|0;j=0;while(1){c[(b+8720|0)>>2]=j;m=fz(g,b+8720|0)|0;ZJ(b+8728|0,38208);VJ(b+8704|0,az(m,b+8728|0)|0);dz(b+8704|0,(c[(d+40|0)>>2]|0)+(j*52|0)+16|0);dK(b+8704|0);dK(b+8728|0);c[(b+8760|0)>>2]=j;m=fz(g,b+8760|0)|0;ZJ(b+8768|0,36816);VJ(b+8744|0,az(m,b+8768|0)|0);gz(b+8744|0,(c[(d+40|0)>>2]|0)+(j*52|0)+12|0);dK(b+8744|0);dK(b+8768|0);c[(b+8800|0)>>2]=j;m=fz(g,b+8800|0)|0;ZJ(b+8808|0,36008);VJ(b+8784|0,az(m,b+8808|0)|0);dz(b+8784|0,(c[(d+40|0)>>2]|0)+(j*52|0)+20|0);dK(b+8784|0);dK(b+8808|0);c[(b+8840|0)>>2]=j;m=fz(g,b+8840|0)|0;ZJ(b+8848|0,35288);VJ(b+8824|0,az(m,b+8848|0)|0);dz(b+8824|0,(c[(d+40|0)>>2]|0)+(j*52|0)+24|0);dK(b+8824|0);dK(b+8848|0);c[(b+8880|0)>>2]=j;m=fz(g,b+8880|0)|0;ZJ(b+8888|0,34632);VJ(b+8864|0,az(m,b+8888|0)|0);hz(b+8864|0,(c[(d+40|0)>>2]|0)+(j*52|0)+28|0);dK(b+8864|0);dK(b+8888|0);c[(b+8920|0)>>2]=j;m=fz(g,b+8920|0)|0;ZJ(b+8928|0,33984);VJ(b+8904|0,az(m,b+8928|0)|0);hz(b+8904|0,(c[(d+40|0)>>2]|0)+(j*52|0)+32|0);dK(b+8904|0);dK(b+8928|0);c[(b+8960|0)>>2]=j;m=fz(g,b+8960|0)|0;ZJ(b+8968|0,32584);VJ(b+8944|0,az(m,b+8968|0)|0);hz(b+8944|0,(c[(d+40|0)>>2]|0)+(j*52|0)+36|0);dK(b+8944|0);dK(b+8968|0);c[(b+9e3|0)>>2]=j;m=fz(g,b+9e3|0)|0;ZJ(b+9008|0,31784);VJ(b+8984|0,az(m,b+9008|0)|0);hz(b+8984|0,(c[(d+40|0)>>2]|0)+(j*52|0)+40|0);dK(b+8984|0);dK(b+9008|0);c[(b+9040|0)>>2]=j;m=fz(g,b+9040|0)|0;ZJ(b+9048|0,31072);VJ(b+9024|0,az(m,b+9048|0)|0);hz(b+9024|0,(c[(d+40|0)>>2]|0)+(j*52|0)+44|0);dK(b+9024|0);dK(b+9048|0);TJ(b+9064|0);c[(b+9096|0)>>2]=j;m=fz(g,b+9096|0)|0;ZJ(b+9104|0,902400);VJ(b+9080|0,az(m,b+9104|0)|0);jz(b+9080|0,b+9064|0);dK(b+9080|0);dK(b+9104|0);m=(DK(b+9064|0,902384)|0)==0;c[(c[(d+40|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+40|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;Dq(4,0,902232,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+40|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+9136|0)>>2]=j;k=fz(g,b+9136|0)|0;ZJ(b+9144|0,901712);VJ(b+9120|0,az(k,b+9144|0)|0);jz(b+9120|0,b+9064|0);dK(b+9120|0);dK(b+9144|0);kz(b+264|0,b+216|0,b+9064|0);kz(b+272|0,b+240|0,b+9064|0);mz(b+9160|0,b+216|0);if(lz(b+264|0,b+9160|0)|0){k=c[(nz(b+264|0)|0)+12>>2]|0;m=c[(d+40|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{mz(b+9168|0,b+240|0);if(!(lz(b+272|0,b+9168|0)|0)){break}m=c[(nz(b+272|0)|0)+12>>2]|0;k=c[(d+40|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1}dK(b+9064|0);j=j+1|0;if((j|0)>=(c[(d+216|0)>>2]|0)){break e}}OK(b+9192|0,898408,b+9064|0);Wy(b+9176|0,b+9192|0,900504);dK(b+9192|0);j=AK(b+9176|0)|0;Hq(0,900488,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[229110]|0)!=0){Qd[c[3540]&511](4)}Dq(4,1,897952,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;f:do{if((c[(d+220|0)>>2]|0)>0){j=(b|0)+180|0;g=0;while(1){c[(b+9224|0)>>2]=g;k=fz(j,b+9224|0)|0;ZJ(b+9232|0,38208);VJ(b+9208|0,az(k,b+9232|0)|0);dz(b+9208|0,(c[(d+44|0)>>2]|0)+(g*52|0)+16|0);dK(b+9208|0);dK(b+9232|0);c[(b+9264|0)>>2]=g;k=fz(j,b+9264|0)|0;ZJ(b+9272|0,36816);VJ(b+9248|0,az(k,b+9272|0)|0);gz(b+9248|0,(c[(d+44|0)>>2]|0)+(g*52|0)+12|0);dK(b+9248|0);dK(b+9272|0);c[(b+9304|0)>>2]=g;k=fz(j,b+9304|0)|0;ZJ(b+9312|0,36008);VJ(b+9288|0,az(k,b+9312|0)|0);dz(b+9288|0,(c[(d+44|0)>>2]|0)+(g*52|0)+20|0);dK(b+9288|0);dK(b+9312|0);c[(b+9344|0)>>2]=g;k=fz(j,b+9344|0)|0;ZJ(b+9352|0,35288);VJ(b+9328|0,az(k,b+9352|0)|0);dz(b+9328|0,(c[(d+44|0)>>2]|0)+(g*52|0)+24|0);dK(b+9328|0);dK(b+9352|0);c[(b+9384|0)>>2]=g;k=fz(j,b+9384|0)|0;ZJ(b+9392|0,34632);VJ(b+9368|0,az(k,b+9392|0)|0);dz(b+9368|0,(c[(d+44|0)>>2]|0)+(g*52|0)+28|0);dK(b+9368|0);dK(b+9392|0);c[(b+9424|0)>>2]=g;k=fz(j,b+9424|0)|0;ZJ(b+9432|0,33984);VJ(b+9408|0,az(k,b+9432|0)|0);dz(b+9408|0,(c[(d+44|0)>>2]|0)+(g*52|0)+32|0);dK(b+9408|0);dK(b+9432|0);c[(b+9464|0)>>2]=g;k=fz(j,b+9464|0)|0;ZJ(b+9472|0,32584);VJ(b+9448|0,az(k,b+9472|0)|0);dz(b+9448|0,(c[(d+44|0)>>2]|0)+(g*52|0)+36|0);dK(b+9448|0);dK(b+9472|0);c[(b+9504|0)>>2]=g;k=fz(j,b+9504|0)|0;ZJ(b+9512|0,31784);VJ(b+9488|0,az(k,b+9512|0)|0);dz(b+9488|0,(c[(d+44|0)>>2]|0)+(g*52|0)+40|0);dK(b+9488|0);dK(b+9512|0);c[(b+9544|0)>>2]=g;k=fz(j,b+9544|0)|0;ZJ(b+9552|0,31072);VJ(b+9528|0,az(k,b+9552|0)|0);dz(b+9528|0,(c[(d+44|0)>>2]|0)+(g*52|0)+44|0);dK(b+9528|0);dK(b+9552|0);TJ(b+9568|0);c[(b+9600|0)>>2]=g;k=fz(j,b+9600|0)|0;ZJ(b+9608|0,902400);VJ(b+9584|0,az(k,b+9608|0)|0);jz(b+9584|0,b+9568|0);dK(b+9584|0);dK(b+9608|0);k=(DK(b+9568|0,902384)|0)==0;c[(c[(d+44|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+44|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;Dq(4,0,902232,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+44|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+9640|0)>>2]=g;m=fz(j,b+9640|0)|0;ZJ(b+9648|0,901712);VJ(b+9624|0,az(m,b+9648|0)|0);jz(b+9624|0,b+9568|0);dK(b+9624|0);dK(b+9648|0);kz(b+264|0,b+216|0,b+9568|0);kz(b+272|0,b+240|0,b+9568|0);mz(b+9664|0,b+216|0);if(lz(b+264|0,b+9664|0)|0){m=c[(nz(b+264|0)|0)+12>>2]|0;k=c[(d+44|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{mz(b+9672|0,b+240|0);if(!(lz(b+272|0,b+9672|0)|0)){break}k=c[(nz(b+272|0)|0)+12>>2]|0;m=c[(d+44|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}dK(b+9568|0);g=g+1|0;if((g|0)>=(c[(d+220|0)>>2]|0)){break f}}OK(b+9696|0,897928,b+9568|0);Wy(b+9680|0,b+9696|0,900504);dK(b+9696|0);g=AK(b+9680|0)|0;Hq(0,900488,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[229110]|0)!=0){Qd[c[3540]&511](4)}zl(e);oz(b+240|0);oz(b+216|0);dK(b+200|0);pz(b|0);i=b;c[b+12760>>2]=5;break a}while(0);c[b+12744>>2]=f}




// EMSCRIPTEN_END_FUNCS
var Nd=[SV,SV,ql,SV,Bs,SV,Ds,SV,Is,SV,SV,SV,SV,SV,SV,SV];var Od=[TV,TV,nt,TV];var Pd=[UV,UV,ao,UV,wn,UV,eU,UV,cp,UV,dU,UV,Pm,UV,Qm,UV,Go,UV,xn,UV,dp,UV,ep,UV,Ho,UV,bo,UV,cU,UV,UV,UV];var Qd=[VV,VV,zQ,VV,Ug,VV,TM,VV,uQ,VV,yJ,VV,hO,VV,FJ,VV,dL,VV,EQ,VV,SQ,VV,lJ,VV,_I,VV,NQ,VV,UN,VV,mt,VV,xJ,VV,ER,VV,DJ,VV,qN,VV,GJ,VV,JM,VV,FM,VV,Uz,VV,ZG,VV,yJ,VV,QQ,VV,eR,VV,JO,VV,rN,VV,xM,VV,dt,VV,vQ,VV,RQ,VV,aH,VV,XL,VV,UM,VV,wP,VV,JQ,VV,_t,VV,Sg,VV,UT,VV,pw,VV,Pg,VV,aS,VV,HK,VV,DJ,VV,PM,VV,bP,VV,dS,VV,TQ,VV,jU,VV,WT,VV,oQ,VV,$R,VV,HM,VV,kw,VV,dM,VV,OM,VV,YO,VV,RS,VV,yJ,VV,LS,VV,VN,VV,bS,VV,PR,VV,_G,VV,lw,VV,Tz,VV,Bq,VV,xP,VV,WL,VV,lM,VV,VO,VV,IO,VV,lP,VV,sU,VV,iw,VV,cL,VV,gV,VV,VK,VV,OS,VV,PS,VV,DM,VV,wz,VV,yM,VV,HL,VV,XT,VV,oR,VV,RT,VV,YL,VV,EM,VV,SP,VV,RI,VV,HP,VV,zM,VV,zq,VV,tU,VV,VT,VV,eJ,VV,IQ,VV,WO,VV,bQ,VV,QT,VV,_R,VV,VP,VV,pQ,VV,QS,VV,aP,VV,gO,VV,IM,VV,Sz,VV,Rg,VV,mw,VV,GM,VV,KM,VV,fM,VV,wG,VV,iQ,VV,aQ,VV,cS,VV,vO,VV,fk,VV,PT,VV,ZI,VV,YG,VV,RT,VV,YT,VV,Qg,VV,kM,VV,qI,VV,PJ,VV,VL,VV,LG,VV,fJ,VV,WK,VV,wM,VV,nw,VV,cH,VV,UK,VV,jM,VV,OJ,VV,mJ,VV,LQ,VV,IP,VV,Jg,VV,uO,VV,mP,VV,TI,VV,eM,VV,GL,VV,iM,VV,NS,VV,dK,VV,AQ,VV,Kr,VV,SI,VV,cM,VV,TT,VV,ZO,VV,jQ,VV,TP,VV,fR,VV,CJ,VV,wR,VV,SS,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV,VV];var Rd=[WV,WV,mS,WV,Zu,WV,NP,WV,Yy,WV,pP,WV,BH,WV,jS,WV,Iu,WV,GP,WV,Ku,WV,Iy,WV,Pu,WV,Hu,WV,iS,WV,UI,WV,yQ,WV,Jy,WV,IL,WV,hP,WV,QP,WV,Hy,WV,DP,WV,gP,WV,eP,WV,OP,WV,MQ,WV,Ju,WV,vP,WV,Lu,WV,gJ,WV,RP,WV,wy,WV,lS,WV,Tg,WV,qw,WV,qP,WV,BJ,WV,LP,WV,ty,WV,nS,WV,FP,WV,sP,WV,ry,WV,kS,WV,uP,WV,$I,WV,uL,WV,DQ,WV,nJ,WV,AP,WV,kP,WV,jP,WV,fP,WV,py,WV,$u,WV,BP,WV,CP,WV,MP,WV,rP,WV,WV,WV,WV,WV,WV,WV,WV,WV];var Sd=[XV,XV,Hs,XV,cn,XV,Cs,XV,Es,XV,Fs,XV,Gs,XV,Xm,XV];var Td=[YV,YV,pG,YV,BS,YV,BL,YV,tR,YV,rS,YV,CL,YV,WR,YV,gk,YV,zS,YV,nP,YV,hV,YV,wO,YV,pS,YV,pJ,YV,al,YV,Fg,YV,vt,YV,QL,YV,hk,YV,iU,YV,PL,YV,Et,YV,VR,YV,vS,YV,_g,YV,tS,YV,bl,YV,ST,YV,EJ,YV,eS,YV,nl,YV,uS,YV,Gg,YV,uw,YV,fS,YV,yL,YV,sR,YV,PP,YV,wS,YV,VI,YV,iV,YV,oP,YV,Tq,YV,LR,YV,jV,YV,Ee,YV,Xg,YV,kV,YV,BR,YV,JP,YV,oS,YV,ml,YV,aJ,YV,Lt,YV,BM,YV,iP,YV,ek,YV,NL,YV,bJ,YV,fl,YV,hl,YV,gl,YV,il,YV,el,YV,gS,YV,zL,YV,ML,YV,hJ,YV,vw,YV,vR,YV,Zg,YV,tP,YV,AS,YV,oJ,YV,KR,YV,uU,YV,cP,YV,qS,YV,dP,YV,dl,YV,zJ,YV,yP,YV,De,YV,DR,YV,EP,YV,zP,YV,sS,YV,KP,YV,AR,YV,KO,YV,hS,YV,fH,YV,yS,YV,JI,YV,xS,YV,kl,YV,Fe,YV,OR,YV,lV,YV,ll,YV,jl,YV,ZR,YV,mV,YV,nV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV,YV];var Ud=[ZV,ZV,kp,ZV,wp,ZV,tp,ZV,xp,ZV,yp,ZV,zp,ZV,Op,ZV,Xp,ZV,dR,ZV,mp,ZV,$p,ZV,aq,ZV,JR,ZV,lp,ZV,Zp,ZV,Yp,ZV,Sp,ZV,Up,ZV,qp,ZV,Rp,ZV,Wp,ZV,rR,ZV,_p,ZV,nR,ZV,QM,ZV,XR,ZV,Ap,ZV,MR,ZV,Fp,ZV,Gp,ZV,Hp,ZV,Cp,ZV,Dp,ZV,sp,ZV,Bp,ZV,Ep,ZV,Vp,ZV,vp,ZV,bq,ZV,Qp,ZV,Kp,ZV,Lp,ZV,Np,ZV,Pp,ZV,Ip,ZV,rp,ZV,Mp,ZV,Jp,ZV,cq,ZV,LM,ZV,fq,ZV,uR,ZV,np,ZV,zR,ZV,pp,ZV,Tp,ZV,UR,ZV,CR,ZV,gq,ZV,up,ZV,dq,ZV,eq,ZV,ZV,ZV];var Vd=[_V,_V,Wg,_V,Sm,_V,NM,_V,$Q,_V,vG,_V,rG,_V,ZT,_V,wQ,_V,$m,_V,Zm,_V,hR,_V,cR,_V,nn,_V,BI,_V,Tn,_V,SM,_V,tn,_V,JJ,_V,xo,_V,EL,_V,AL,_V,UQ,_V,JL,_V,BQ,_V,rw,_V,mR,_V,dn,_V,ZQ,_V,WI,_V,OL,_V,KJ,_V,jR,_V,Zn,_V,vL,_V,Do,_V,iJ,_V,yG,_V,SL,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V,_V];var Wd=[$V,$V,rO,$V,pO,$V,eO,$V,bO,$V,$V,$V,$V,$V,$V,$V];var Xd=[aW,aW,_O,aW,XO,aW,YP,aW,UP,aW,cQ,aW,eQ,aW,aW,aW];var Yd=[bW,bW,fU,bW,nO,bW,jO,bW,iO,bW,gU,bW,xq,bW,sO,bW,sw,bW,xQ,bW,KL,bW,fO,bW,WN,bW,$N,bW,XN,bW,dH,bW,hU,bW,wL,bW,wq,bW,CQ,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW,bW];var Zd=[cW,cW,Ct,cW,Dt,cW,cW,cW];var _d=[dW,dW,Ig,dW];var $d=[eW,eW,BO,eW,LO,eW,NO,eW,tQ,eW,oO,eW,mO,eW,nQ,eW,xO,eW,AO,eW,OO,eW,MN,eW,ZM,eW,zO,eW,AN,eW,dN,eW,MO,eW,aO,eW,_N,eW,EN,eW,wN,eW,yN,eW,nN,eW,CN,eW,uN,eW,sN,eW,KN,eW,IN,eW,GN,eW,PO,eW,bN,eW,yO,eW,fN,eW,$M,eW,XM,eW,lN,eW,jN,eW,hN,eW,VM,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW,eW];var ae=[fW,fW,qQ,fW,kQ,fW,fW,fW];var be=[gW,gW,QO,gW,CO,gW,gW,gW];var ce=[hW,hW,No,hW,qJ,hW,Lo,hW,Mo,hW,Ce,hW,aR,hW,RL,hW,ol,hW,Yg,hW,kR,hW,Ao,hW,gR,hW,cJ,hW,jJ,hW,YQ,hW,Vn,hW,$g,hW,Nm,hW,hH,hW,Po,hW,Vg,hW,pl,hW,Oo,hW,Ko,hW,ww,hW,CT,hW,iR,hW,Co,hW,Mm,hW,Wn,hW,Om,hW,FL,hW,er,hW,TL,hW,_Q,hW,oV,hW,Yn,hW,pV,hW,zo,hW,gH,hW,sn,hW,xw,hW,DL,hW,XI,hW,pn,hW,Jo,hW,Io,hW,qn,hW,lU,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW,hW];var de=[iW,iW,mu,iW];var ee=[jW,jW,OI,jW,rl,jW,Uq,jW,PI,jW,MI,jW,qV,jW,jW,jW];var fe=[kW,kW,Hl,kW,am,kW,vn,kW,On,kW,Em,kW,$n,kW,an,kW,Bo,kW,on,kW,uo,kW,yo,kW,hn,kW,rn,kW,Pn,kW,VQ,kW,ym,kW,to,kW,ro,kW,en,kW,rV,kW,Um,kW,Qn,kW,gn,kW,WQ,kW,Rn,kW,mn,kW,kn,kW,wo,kW,lR,kW,Fo,kW,jn,kW,sm,kW,vm,kW,Un,kW,ln,kW,Km,kW,xm,kW,Xl,kW,so,kW,vo,kW,Vm,kW,Sn,kW,bR,kW,Xn,kW,jm,kW,bn,kW,XQ,kW,Nn,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW,kW];var ge=[lW,lW,AG,lW,Cu,lW,Eu,lW,Xy,lW,IJ,lW,CM,lW,AH,lW];var he=[mW,mW,Lg,mW,NH,mW,hq,mW,sV,mW,Sq,mW,jq,mW,mW,mW];var ie=[nW,nW,xR,nW,HR,nW,FR,nW,SR,nW,yR,nW,QR,nW,pR,nW,qR,nW,nW,nW,nW,nW,nW,nW,nW,nW,nW,nW,nW,nW,nW,nW];var je=[oW,oW,zG,oW,eH,oW,$T,oW,Wm,oW,un,oW,_T,oW,Fq,oW,Eo,oW,tw,oW,xL,oW,RM,oW,LL,oW,aU,oW,Dq,oW,MM,oW,_n,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW,oW];return{_testSetjmp:PU,_strlen:KU,_free:jU,_main:Kg,_rand_r:RU,_realloc:lU,_strncpy:LU,_memmove:QU,__GLOBAL__I_a:sJ,_saveSetjmp:OU,_memset:NU,_malloc:iU,_memcpy:MU,_strcpy:TU,_calloc:kU,_rand:SU,runPostSets:Ae,stackAlloc:ke,stackSave:le,stackRestore:me,setThrew:ne,setTempRet0:qe,setTempRet1:re,setTempRet2:se,setTempRet3:te,setTempRet4:ue,setTempRet5:ve,setTempRet6:we,setTempRet7:xe,setTempRet8:ye,setTempRet9:ze,dynCall_iiiiiiii:tV,dynCall_vd:uV,dynCall_viiiii:vV,dynCall_vi:wV,dynCall_vii:xV,dynCall_iiiiiiiiiii:yV,dynCall_ii:zV,dynCall_iiiiii:AV,dynCall_iiii:BV,dynCall_viiiiid:CV,dynCall_viiiiiiii:DV,dynCall_viiiiii:EV,dynCall_viidii:FV,dynCall_iid:GV,dynCall_viiiiiii:HV,dynCall_viiiiiid:IV,dynCall_viiiiiiiii:JV,dynCall_iii:KV,dynCall_iiiiidi:LV,dynCall_i:MV,dynCall_iiiii:NV,dynCall_viii:OV,dynCall_v:PV,dynCall_iiiiiiiii:QV,dynCall_viiii:RV}})


// EMSCRIPTEN_END_ASM
({ "Math": Math, "Int8Array": Int8Array, "Int16Array": Int16Array, "Int32Array": Int32Array, "Uint8Array": Uint8Array, "Uint16Array": Uint16Array, "Uint32Array": Uint32Array, "Float32Array": Float32Array, "Float64Array": Float64Array }, { "abort": abort, "assert": assert, "asmPrintInt": asmPrintInt, "asmPrintFloat": asmPrintFloat, "min": Math_min, "invoke_iiiiiiii": invoke_iiiiiiii, "invoke_vd": invoke_vd, "invoke_viiiii": invoke_viiiii, "invoke_vi": invoke_vi, "invoke_vii": invoke_vii, "invoke_iiiiiiiiiii": invoke_iiiiiiiiiii, "invoke_ii": invoke_ii, "invoke_iiiiii": invoke_iiiiii, "invoke_iiii": invoke_iiii, "invoke_viiiiid": invoke_viiiiid, "invoke_viiiiiiii": invoke_viiiiiiii, "invoke_viiiiii": invoke_viiiiii, "invoke_viidii": invoke_viidii, "invoke_iid": invoke_iid, "invoke_viiiiiii": invoke_viiiiiii, "invoke_viiiiiid": invoke_viiiiiid, "invoke_viiiiiiiii": invoke_viiiiiiiii, "invoke_iii": invoke_iii, "invoke_iiiiidi": invoke_iiiiidi, "invoke_i": invoke_i, "invoke_iiiii": invoke_iiiii, "invoke_viii": invoke_viii, "invoke_v": invoke_v, "invoke_iiiiiiiii": invoke_iiiiiiiii, "invoke_viiii": invoke_viiii, "_llvm_lifetime_end": _llvm_lifetime_end, "_lseek": _lseek, "__scanString": __scanString, "_fclose": _fclose, "_pthread_mutex_lock": _pthread_mutex_lock, "___cxa_end_catch": ___cxa_end_catch, "_strtoull": _strtoull, "_fflush": _fflush, "_lis_solver_create": _lis_solver_create, "_strtol": _strtol, "_fputc": _fputc, "_strtok": _strtok, "_fwrite": _fwrite, "_send": _send, "_fputs": _fputs, "_emscripten_get_now": _emscripten_get_now, "_tmpnam": _tmpnam, "_isspace": _isspace, "_localtime": _localtime, "_read": _read, "_GC_init": _GC_init, "_ceil": _ceil, "___ctype_b_loc": ___ctype_b_loc, "_GC_malloc_atomic": _GC_malloc_atomic, "_isxdigit_l": _isxdigit_l, "_strstr": _strstr, "_fileno": _fileno, "_perror": _perror, "_fsync": _fsync, "___cxa_guard_abort": ___cxa_guard_abort, "_newlocale": _newlocale, "_signal": _signal, "___gxx_personality_v0": ___gxx_personality_v0, "_pthread_cond_wait": _pthread_cond_wait, "___cxa_rethrow": ___cxa_rethrow, "_freopen": _freopen, "___resumeException": ___resumeException, "_sscanf": _sscanf, "_round": _round, "_llvm_va_end": _llvm_va_end, "_clock_gettime": _clock_gettime, "_tmpfile": _tmpfile, "_vsscanf": _vsscanf, "_snprintf": _snprintf, "_fgetc": _fgetc, "_pclose": _pclose, "__getFloat": __getFloat, "_atexit": _atexit, "___cxa_free_exception": ___cxa_free_exception, "_close": _close, "_isdigit_l": _isdigit_l, "_vasprintf": _vasprintf, "___setErrNo": ___setErrNo, "_isxdigit": _isxdigit, "_access": _access, "_ftell": _ftell, "_exit": _exit, "_sprintf": _sprintf, "_pthread_setspecific": _pthread_setspecific, "_asprintf": _asprintf, "_GC_strdup": _GC_strdup, "_strrchr": _strrchr, "_freelocale": _freelocale, "_catgets": _catgets, "_fmod": _fmod, "__isLeapYear": __isLeapYear, "_fmax": _fmax, "___cxa_is_number_type": ___cxa_is_number_type, "_GC_malloc": _GC_malloc, "___cxa_does_inherit": ___cxa_does_inherit, "___cxa_guard_acquire": ___cxa_guard_acquire, "_lis_vector_destroy": _lis_vector_destroy, "_localtime_r": _localtime_r, "___cxa_begin_catch": ___cxa_begin_catch, "_lis_vector_create": _lis_vector_create, "__ZNSt9exceptionD2Ev": __ZNSt9exceptionD2Ev, "_recv": _recv, "__parseInt64": __parseInt64, "__ZSt18uncaught_exceptionv": __ZSt18uncaught_exceptionv, "_cos": _cos, "_lis_matrix_set_value": _lis_matrix_set_value, "_putchar": _putchar, "___cxa_call_unexpected": ___cxa_call_unexpected, "_popen": _popen, "_isblank": _isblank, "_copysign": _copysign, "_bsearch": _bsearch, "__exit": __exit, "_strftime": _strftime, "_tzset": _tzset, "___cxa_throw": ___cxa_throw, "_emscripten_memcpy_big": _emscripten_memcpy_big, "_printf": _printf, "_pread": _pread, "_fopen": _fopen, "_open": _open, "_strtoull_l": _strtoull_l, "__arraySum": __arraySum, "_sysconf": _sysconf, "_puts": _puts, "_pthread_key_create": _pthread_key_create, "_strtoll_l": _strtoll_l, "_qsort": _qsort, "_system": _system, "___cxa_find_matching_catch": ___cxa_find_matching_catch, "_strdup": _strdup, "_srand": _srand, "_isatty": _isatty, "__formatString": __formatString, "_pthread_cond_broadcast": _pthread_cond_broadcast, "__ZSt9terminatev": __ZSt9terminatev, "_atoi": _atoi, "_vfprintf": _vfprintf, "_pthread_mutex_unlock": _pthread_mutex_unlock, "_llvm_pow_f64": _llvm_pow_f64, "_sbrk": _sbrk, "_fscanf": _fscanf, "_lis_solver_destroy": _lis_solver_destroy, "___errno_location": ___errno_location, "_strerror": _strerror, "_fstat": _fstat, "_catclose": _catclose, "_llvm_lifetime_start": _llvm_lifetime_start, "__parseInt": __parseInt, "___cxa_guard_release": ___cxa_guard_release, "_ungetc": _ungetc, "_ftruncate": _ftruncate, "_uselocale": _uselocale, "_vsnprintf": _vsnprintf, "_htonl": _htonl, "___assert_fail": ___assert_fail, "_fread": _fread, "_strtok_r": _strtok_r, "_strftime_l": _strftime_l, "_abort": _abort, "_fprintf": _fprintf, "_isdigit": _isdigit, "_strtoll": _strtoll, "__addDays": __addDays, "_pthread_getspecific": _pthread_getspecific, "_fabs": _fabs, "_GC_collect_a_little": _GC_collect_a_little, "__reallyNegative": __reallyNegative, "_fseek": _fseek, "_sqrt": _sqrt, "_write": _write, "_mkport": _mkport, "_rewind": _rewind, "___cxa_allocate_exception": ___cxa_allocate_exception, "_sin": _sin, "_stat": _stat, "_longjmp": _longjmp, "_truncate": _truncate, "_catopen": _catopen, "___ctype_toupper_loc": ___ctype_toupper_loc, "___ctype_tolower_loc": ___ctype_tolower_loc, "_lis_vector_set_size": _lis_vector_set_size, "_unlink": _unlink, "_pwrite": _pwrite, "_strerror_r": _strerror_r, "_floor": _floor, "_lis_solver_set_option": _lis_solver_set_option, "_time": _time, "STACKTOP": STACKTOP, "STACK_MAX": STACK_MAX, "tempDoublePtr": tempDoublePtr, "ABORT": ABORT, "cttz_i8": cttz_i8, "ctlz_i8": ctlz_i8, "___rand_seed": ___rand_seed, "NaN": NaN, "Infinity": Infinity, "_stdin": _stdin, "__ZTVN10__cxxabiv117__class_type_infoE": __ZTVN10__cxxabiv117__class_type_infoE, "_stdout": _stdout, "___dso_handle": ___dso_handle, "__ZTVN10__cxxabiv120__si_class_type_infoE": __ZTVN10__cxxabiv120__si_class_type_infoE, "_stderr": _stderr }, buffer);
var _testSetjmp = Module["_testSetjmp"] = asm["_testSetjmp"];
var _strlen = Module["_strlen"] = asm["_strlen"];
var _free = Module["_free"] = asm["_free"];
var _main = Module["_main"] = asm["_main"];
var _rand_r = Module["_rand_r"] = asm["_rand_r"];
var _realloc = Module["_realloc"] = asm["_realloc"];
var _strncpy = Module["_strncpy"] = asm["_strncpy"];
var _memmove = Module["_memmove"] = asm["_memmove"];
var __GLOBAL__I_a = Module["__GLOBAL__I_a"] = asm["__GLOBAL__I_a"];
var _saveSetjmp = Module["_saveSetjmp"] = asm["_saveSetjmp"];
var _memset = Module["_memset"] = asm["_memset"];
var _malloc = Module["_malloc"] = asm["_malloc"];
var _memcpy = Module["_memcpy"] = asm["_memcpy"];
var _strcpy = Module["_strcpy"] = asm["_strcpy"];
var _calloc = Module["_calloc"] = asm["_calloc"];
var _rand = Module["_rand"] = asm["_rand"];
var runPostSets = Module["runPostSets"] = asm["runPostSets"];
var dynCall_iiiiiiii = Module["dynCall_iiiiiiii"] = asm["dynCall_iiiiiiii"];
var dynCall_vd = Module["dynCall_vd"] = asm["dynCall_vd"];
var dynCall_viiiii = Module["dynCall_viiiii"] = asm["dynCall_viiiii"];
var dynCall_vi = Module["dynCall_vi"] = asm["dynCall_vi"];
var dynCall_vii = Module["dynCall_vii"] = asm["dynCall_vii"];
var dynCall_iiiiiiiiiii = Module["dynCall_iiiiiiiiiii"] = asm["dynCall_iiiiiiiiiii"];
var dynCall_ii = Module["dynCall_ii"] = asm["dynCall_ii"];
var dynCall_iiiiii = Module["dynCall_iiiiii"] = asm["dynCall_iiiiii"];
var dynCall_iiii = Module["dynCall_iiii"] = asm["dynCall_iiii"];
var dynCall_viiiiid = Module["dynCall_viiiiid"] = asm["dynCall_viiiiid"];
var dynCall_viiiiiiii = Module["dynCall_viiiiiiii"] = asm["dynCall_viiiiiiii"];
var dynCall_viiiiii = Module["dynCall_viiiiii"] = asm["dynCall_viiiiii"];
var dynCall_viidii = Module["dynCall_viidii"] = asm["dynCall_viidii"];
var dynCall_iid = Module["dynCall_iid"] = asm["dynCall_iid"];
var dynCall_viiiiiii = Module["dynCall_viiiiiii"] = asm["dynCall_viiiiiii"];
var dynCall_viiiiiid = Module["dynCall_viiiiiid"] = asm["dynCall_viiiiiid"];
var dynCall_viiiiiiiii = Module["dynCall_viiiiiiiii"] = asm["dynCall_viiiiiiiii"];
var dynCall_iii = Module["dynCall_iii"] = asm["dynCall_iii"];
var dynCall_iiiiidi = Module["dynCall_iiiiidi"] = asm["dynCall_iiiiidi"];
var dynCall_i = Module["dynCall_i"] = asm["dynCall_i"];
var dynCall_iiiii = Module["dynCall_iiiii"] = asm["dynCall_iiiii"];
var dynCall_viii = Module["dynCall_viii"] = asm["dynCall_viii"];
var dynCall_v = Module["dynCall_v"] = asm["dynCall_v"];
var dynCall_iiiiiiiii = Module["dynCall_iiiiiiiii"] = asm["dynCall_iiiiiiiii"];
var dynCall_viiii = Module["dynCall_viiii"] = asm["dynCall_viiii"];

Runtime.stackAlloc = function(size) { return asm['stackAlloc'](size) };
Runtime.stackSave = function() { return asm['stackSave']() };
Runtime.stackRestore = function(top) { asm['stackRestore'](top) };

// TODO: strip out parts of this we do not need

//======= begin closure i64 code =======

// Copyright 2009 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Defines a Long class for representing a 64-bit two's-complement
 * integer value, which faithfully simulates the behavior of a Java "long". This
 * implementation is derived from LongLib in GWT.
 *
 */

var i64Math = (function() { // Emscripten wrapper
  var goog = { math: {} };


  /**
   * Constructs a 64-bit two's-complement integer, given its low and high 32-bit
   * values as *signed* integers.  See the from* functions below for more
   * convenient ways of constructing Longs.
   *
   * The internal representation of a long is the two given signed, 32-bit values.
   * We use 32-bit pieces because these are the size of integers on which
   * Javascript performs bit-operations.  For operations like addition and
   * multiplication, we split each number into 16-bit pieces, which can easily be
   * multiplied within Javascript's floating-point representation without overflow
   * or change in sign.
   *
   * In the algorithms below, we frequently reduce the negative case to the
   * positive case by negating the input(s) and then post-processing the result.
   * Note that we must ALWAYS check specially whether those values are MIN_VALUE
   * (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
   * a positive number, it overflows back into a negative).  Not handling this
   * case would often result in infinite recursion.
   *
   * @param {number} low  The low (signed) 32 bits of the long.
   * @param {number} high  The high (signed) 32 bits of the long.
   * @constructor
   */
  goog.math.Long = function(low, high) {
    /**
     * @type {number}
     * @private
     */
    this.low_ = low | 0;  // force into 32 signed bits.

    /**
     * @type {number}
     * @private
     */
    this.high_ = high | 0;  // force into 32 signed bits.
  };


  // NOTE: Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the
  // from* methods on which they depend.


  /**
   * A cache of the Long representations of small integer values.
   * @type {!Object}
   * @private
   */
  goog.math.Long.IntCache_ = {};


  /**
   * Returns a Long representing the given (32-bit) integer value.
   * @param {number} value The 32-bit integer in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromInt = function(value) {
    if (-128 <= value && value < 128) {
      var cachedObj = goog.math.Long.IntCache_[value];
      if (cachedObj) {
        return cachedObj;
      }
    }

    var obj = new goog.math.Long(value | 0, value < 0 ? -1 : 0);
    if (-128 <= value && value < 128) {
      goog.math.Long.IntCache_[value] = obj;
    }
    return obj;
  };


  /**
   * Returns a Long representing the given value, provided that it is a finite
   * number.  Otherwise, zero is returned.
   * @param {number} value The number in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromNumber = function(value) {
    if (isNaN(value) || !isFinite(value)) {
      return goog.math.Long.ZERO;
    } else if (value <= -goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MIN_VALUE;
    } else if (value + 1 >= goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MAX_VALUE;
    } else if (value < 0) {
      return goog.math.Long.fromNumber(-value).negate();
    } else {
      return new goog.math.Long(
          (value % goog.math.Long.TWO_PWR_32_DBL_) | 0,
          (value / goog.math.Long.TWO_PWR_32_DBL_) | 0);
    }
  };


  /**
   * Returns a Long representing the 64-bit integer that comes by concatenating
   * the given high and low bits.  Each is assumed to use 32 bits.
   * @param {number} lowBits The low 32-bits.
   * @param {number} highBits The high 32-bits.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromBits = function(lowBits, highBits) {
    return new goog.math.Long(lowBits, highBits);
  };


  /**
   * Returns a Long representation of the given string, written using the given
   * radix.
   * @param {string} str The textual representation of the Long.
   * @param {number=} opt_radix The radix in which the text is written.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromString = function(str, opt_radix) {
    if (str.length == 0) {
      throw Error('number format error: empty string');
    }

    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (str.charAt(0) == '-') {
      return goog.math.Long.fromString(str.substring(1), radix).negate();
    } else if (str.indexOf('-') >= 0) {
      throw Error('number format error: interior "-" character: ' + str);
    }

    // Do several (8) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 8));

    var result = goog.math.Long.ZERO;
    for (var i = 0; i < str.length; i += 8) {
      var size = Math.min(8, str.length - i);
      var value = parseInt(str.substring(i, i + size), radix);
      if (size < 8) {
        var power = goog.math.Long.fromNumber(Math.pow(radix, size));
        result = result.multiply(power).add(goog.math.Long.fromNumber(value));
      } else {
        result = result.multiply(radixToPower);
        result = result.add(goog.math.Long.fromNumber(value));
      }
    }
    return result;
  };


  // NOTE: the compiler should inline these constant values below and then remove
  // these variables, so there should be no runtime penalty for these.


  /**
   * Number used repeated below in calculations.  This must appear before the
   * first call to any from* function below.
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_16_DBL_ = 1 << 16;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_24_DBL_ = 1 << 24;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_32_DBL_ =
      goog.math.Long.TWO_PWR_16_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_31_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ / 2;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_48_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_64_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_32_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_63_DBL_ =
      goog.math.Long.TWO_PWR_64_DBL_ / 2;


  /** @type {!goog.math.Long} */
  goog.math.Long.ZERO = goog.math.Long.fromInt(0);


  /** @type {!goog.math.Long} */
  goog.math.Long.ONE = goog.math.Long.fromInt(1);


  /** @type {!goog.math.Long} */
  goog.math.Long.NEG_ONE = goog.math.Long.fromInt(-1);


  /** @type {!goog.math.Long} */
  goog.math.Long.MAX_VALUE =
      goog.math.Long.fromBits(0xFFFFFFFF | 0, 0x7FFFFFFF | 0);


  /** @type {!goog.math.Long} */
  goog.math.Long.MIN_VALUE = goog.math.Long.fromBits(0, 0x80000000 | 0);


  /**
   * @type {!goog.math.Long}
   * @private
   */
  goog.math.Long.TWO_PWR_24_ = goog.math.Long.fromInt(1 << 24);


  /** @return {number} The value, assuming it is a 32-bit integer. */
  goog.math.Long.prototype.toInt = function() {
    return this.low_;
  };


  /** @return {number} The closest floating-point representation to this value. */
  goog.math.Long.prototype.toNumber = function() {
    return this.high_ * goog.math.Long.TWO_PWR_32_DBL_ +
           this.getLowBitsUnsigned();
  };


  /**
   * @param {number=} opt_radix The radix in which the text should be written.
   * @return {string} The textual representation of this value.
   */
  goog.math.Long.prototype.toString = function(opt_radix) {
    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (this.isZero()) {
      return '0';
    }

    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        // We need to change the Long value before it can be negated, so we remove
        // the bottom-most digit in this base and then recurse to do the rest.
        var radixLong = goog.math.Long.fromNumber(radix);
        var div = this.div(radixLong);
        var rem = div.multiply(radixLong).subtract(this);
        return div.toString(radix) + rem.toInt().toString(radix);
      } else {
        return '-' + this.negate().toString(radix);
      }
    }

    // Do several (6) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 6));

    var rem = this;
    var result = '';
    while (true) {
      var remDiv = rem.div(radixToPower);
      var intval = rem.subtract(remDiv.multiply(radixToPower)).toInt();
      var digits = intval.toString(radix);

      rem = remDiv;
      if (rem.isZero()) {
        return digits + result;
      } else {
        while (digits.length < 6) {
          digits = '0' + digits;
        }
        result = '' + digits + result;
      }
    }
  };


  /** @return {number} The high 32-bits as a signed value. */
  goog.math.Long.prototype.getHighBits = function() {
    return this.high_;
  };


  /** @return {number} The low 32-bits as a signed value. */
  goog.math.Long.prototype.getLowBits = function() {
    return this.low_;
  };


  /** @return {number} The low 32-bits as an unsigned value. */
  goog.math.Long.prototype.getLowBitsUnsigned = function() {
    return (this.low_ >= 0) ?
        this.low_ : goog.math.Long.TWO_PWR_32_DBL_ + this.low_;
  };


  /**
   * @return {number} Returns the number of bits needed to represent the absolute
   *     value of this Long.
   */
  goog.math.Long.prototype.getNumBitsAbs = function() {
    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        return 64;
      } else {
        return this.negate().getNumBitsAbs();
      }
    } else {
      var val = this.high_ != 0 ? this.high_ : this.low_;
      for (var bit = 31; bit > 0; bit--) {
        if ((val & (1 << bit)) != 0) {
          break;
        }
      }
      return this.high_ != 0 ? bit + 33 : bit + 1;
    }
  };


  /** @return {boolean} Whether this value is zero. */
  goog.math.Long.prototype.isZero = function() {
    return this.high_ == 0 && this.low_ == 0;
  };


  /** @return {boolean} Whether this value is negative. */
  goog.math.Long.prototype.isNegative = function() {
    return this.high_ < 0;
  };


  /** @return {boolean} Whether this value is odd. */
  goog.math.Long.prototype.isOdd = function() {
    return (this.low_ & 1) == 1;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long equals the other.
   */
  goog.math.Long.prototype.equals = function(other) {
    return (this.high_ == other.high_) && (this.low_ == other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long does not equal the other.
   */
  goog.math.Long.prototype.notEquals = function(other) {
    return (this.high_ != other.high_) || (this.low_ != other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than the other.
   */
  goog.math.Long.prototype.lessThan = function(other) {
    return this.compare(other) < 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than or equal to the other.
   */
  goog.math.Long.prototype.lessThanOrEqual = function(other) {
    return this.compare(other) <= 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than the other.
   */
  goog.math.Long.prototype.greaterThan = function(other) {
    return this.compare(other) > 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than or equal to the other.
   */
  goog.math.Long.prototype.greaterThanOrEqual = function(other) {
    return this.compare(other) >= 0;
  };


  /**
   * Compares this Long with the given one.
   * @param {goog.math.Long} other Long to compare against.
   * @return {number} 0 if they are the same, 1 if the this is greater, and -1
   *     if the given one is greater.
   */
  goog.math.Long.prototype.compare = function(other) {
    if (this.equals(other)) {
      return 0;
    }

    var thisNeg = this.isNegative();
    var otherNeg = other.isNegative();
    if (thisNeg && !otherNeg) {
      return -1;
    }
    if (!thisNeg && otherNeg) {
      return 1;
    }

    // at this point, the signs are the same, so subtraction will not overflow
    if (this.subtract(other).isNegative()) {
      return -1;
    } else {
      return 1;
    }
  };


  /** @return {!goog.math.Long} The negation of this value. */
  goog.math.Long.prototype.negate = function() {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.MIN_VALUE;
    } else {
      return this.not().add(goog.math.Long.ONE);
    }
  };


  /**
   * Returns the sum of this and the given Long.
   * @param {goog.math.Long} other Long to add to this one.
   * @return {!goog.math.Long} The sum of this and the given Long.
   */
  goog.math.Long.prototype.add = function(other) {
    // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 + b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 + b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 + b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 + b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns the difference of this and the given Long.
   * @param {goog.math.Long} other Long to subtract from this.
   * @return {!goog.math.Long} The difference of this and the given Long.
   */
  goog.math.Long.prototype.subtract = function(other) {
    return this.add(other.negate());
  };


  /**
   * Returns the product of this and the given long.
   * @param {goog.math.Long} other Long to multiply with this.
   * @return {!goog.math.Long} The product of this and the other.
   */
  goog.math.Long.prototype.multiply = function(other) {
    if (this.isZero()) {
      return goog.math.Long.ZERO;
    } else if (other.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return other.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return this.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().multiply(other.negate());
      } else {
        return this.negate().multiply(other).negate();
      }
    } else if (other.isNegative()) {
      return this.multiply(other.negate()).negate();
    }

    // If both longs are small, use float multiplication
    if (this.lessThan(goog.math.Long.TWO_PWR_24_) &&
        other.lessThan(goog.math.Long.TWO_PWR_24_)) {
      return goog.math.Long.fromNumber(this.toNumber() * other.toNumber());
    }

    // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
    // We can skip products that would overflow.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 * b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 * b00;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c16 += a00 * b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 * b00;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a16 * b16;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a00 * b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns this Long divided by the given one.
   * @param {goog.math.Long} other Long by which to divide.
   * @return {!goog.math.Long} This Long divided by the given one.
   */
  goog.math.Long.prototype.div = function(other) {
    if (other.isZero()) {
      throw Error('division by zero');
    } else if (this.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      if (other.equals(goog.math.Long.ONE) ||
          other.equals(goog.math.Long.NEG_ONE)) {
        return goog.math.Long.MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
      } else if (other.equals(goog.math.Long.MIN_VALUE)) {
        return goog.math.Long.ONE;
      } else {
        // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
        var halfThis = this.shiftRight(1);
        var approx = halfThis.div(other).shiftLeft(1);
        if (approx.equals(goog.math.Long.ZERO)) {
          return other.isNegative() ? goog.math.Long.ONE : goog.math.Long.NEG_ONE;
        } else {
          var rem = this.subtract(other.multiply(approx));
          var result = approx.add(rem.div(other));
          return result;
        }
      }
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().div(other.negate());
      } else {
        return this.negate().div(other).negate();
      }
    } else if (other.isNegative()) {
      return this.div(other.negate()).negate();
    }

    // Repeat the following until the remainder is less than other:  find a
    // floating-point that approximates remainder / other *from below*, add this
    // into the result, and subtract it from the remainder.  It is critical that
    // the approximate value is less than or equal to the real value so that the
    // remainder never becomes negative.
    var res = goog.math.Long.ZERO;
    var rem = this;
    while (rem.greaterThanOrEqual(other)) {
      // Approximate the result of division. This may be a little greater or
      // smaller than the actual value.
      var approx = Math.max(1, Math.floor(rem.toNumber() / other.toNumber()));

      // We will tweak the approximate result by changing it in the 48-th digit or
      // the smallest non-fractional digit, whichever is larger.
      var log2 = Math.ceil(Math.log(approx) / Math.LN2);
      var delta = (log2 <= 48) ? 1 : Math.pow(2, log2 - 48);

      // Decrease the approximation until it is smaller than the remainder.  Note
      // that if it is too large, the product overflows and is negative.
      var approxRes = goog.math.Long.fromNumber(approx);
      var approxRem = approxRes.multiply(other);
      while (approxRem.isNegative() || approxRem.greaterThan(rem)) {
        approx -= delta;
        approxRes = goog.math.Long.fromNumber(approx);
        approxRem = approxRes.multiply(other);
      }

      // We know the answer can't be zero... and actually, zero would cause
      // infinite recursion since we would make no progress.
      if (approxRes.isZero()) {
        approxRes = goog.math.Long.ONE;
      }

      res = res.add(approxRes);
      rem = rem.subtract(approxRem);
    }
    return res;
  };


  /**
   * Returns this Long modulo the given one.
   * @param {goog.math.Long} other Long by which to mod.
   * @return {!goog.math.Long} This Long modulo the given one.
   */
  goog.math.Long.prototype.modulo = function(other) {
    return this.subtract(this.div(other).multiply(other));
  };


  /** @return {!goog.math.Long} The bitwise-NOT of this value. */
  goog.math.Long.prototype.not = function() {
    return goog.math.Long.fromBits(~this.low_, ~this.high_);
  };


  /**
   * Returns the bitwise-AND of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to AND.
   * @return {!goog.math.Long} The bitwise-AND of this and the other.
   */
  goog.math.Long.prototype.and = function(other) {
    return goog.math.Long.fromBits(this.low_ & other.low_,
                                   this.high_ & other.high_);
  };


  /**
   * Returns the bitwise-OR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to OR.
   * @return {!goog.math.Long} The bitwise-OR of this and the other.
   */
  goog.math.Long.prototype.or = function(other) {
    return goog.math.Long.fromBits(this.low_ | other.low_,
                                   this.high_ | other.high_);
  };


  /**
   * Returns the bitwise-XOR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to XOR.
   * @return {!goog.math.Long} The bitwise-XOR of this and the other.
   */
  goog.math.Long.prototype.xor = function(other) {
    return goog.math.Long.fromBits(this.low_ ^ other.low_,
                                   this.high_ ^ other.high_);
  };


  /**
   * Returns this Long with bits shifted to the left by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the left by the given amount.
   */
  goog.math.Long.prototype.shiftLeft = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var low = this.low_;
      if (numBits < 32) {
        var high = this.high_;
        return goog.math.Long.fromBits(
            low << numBits,
            (high << numBits) | (low >>> (32 - numBits)));
      } else {
        return goog.math.Long.fromBits(0, low << (numBits - 32));
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount.
   */
  goog.math.Long.prototype.shiftRight = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >> numBits);
      } else {
        return goog.math.Long.fromBits(
            high >> (numBits - 32),
            high >= 0 ? 0 : -1);
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount, with
   * the new top bits matching the current sign bit.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount, with
   *     zeros placed into the new leading bits.
   */
  goog.math.Long.prototype.shiftRightUnsigned = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >>> numBits);
      } else if (numBits == 32) {
        return goog.math.Long.fromBits(high, 0);
      } else {
        return goog.math.Long.fromBits(high >>> (numBits - 32), 0);
      }
    }
  };

  //======= begin jsbn =======

  var navigator = { appName: 'Modern Browser' }; // polyfill a little

  // Copyright (c) 2005  Tom Wu
  // All Rights Reserved.
  // http://www-cs-students.stanford.edu/~tjw/jsbn/

  /*
   * Copyright (c) 2003-2005  Tom Wu
   * All Rights Reserved.
   *
   * Permission is hereby granted, free of charge, to any person obtaining
   * a copy of this software and associated documentation files (the
   * "Software"), to deal in the Software without restriction, including
   * without limitation the rights to use, copy, modify, merge, publish,
   * distribute, sublicense, and/or sell copies of the Software, and to
   * permit persons to whom the Software is furnished to do so, subject to
   * the following conditions:
   *
   * The above copyright notice and this permission notice shall be
   * included in all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
   * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
   * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
   *
   * IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
   * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
   * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
   * THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
   * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
   *
   * In addition, the following condition applies:
   *
   * All redistributions must retain an intact copy of this copyright notice
   * and disclaimer.
   */

  // Basic JavaScript BN library - subset useful for RSA encryption.

  // Bits per digit
  var dbits;

  // JavaScript engine analysis
  var canary = 0xdeadbeefcafe;
  var j_lm = ((canary&0xffffff)==0xefcafe);

  // (public) Constructor
  function BigInteger(a,b,c) {
    if(a != null)
      if("number" == typeof a) this.fromNumber(a,b,c);
      else if(b == null && "string" != typeof a) this.fromString(a,256);
      else this.fromString(a,b);
  }

  // return new, unset BigInteger
  function nbi() { return new BigInteger(null); }

  // am: Compute w_j += (x*this_i), propagate carries,
  // c is initial carry, returns final carry.
  // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
  // We need to select the fastest one that works in this environment.

  // am1: use a single mult and divide to get the high bits,
  // max digit bits should be 26 because
  // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
  function am1(i,x,w,j,c,n) {
    while(--n >= 0) {
      var v = x*this[i++]+w[j]+c;
      c = Math.floor(v/0x4000000);
      w[j++] = v&0x3ffffff;
    }
    return c;
  }
  // am2 avoids a big mult-and-extract completely.
  // Max digit bits should be <= 30 because we do bitwise ops
  // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
  function am2(i,x,w,j,c,n) {
    var xl = x&0x7fff, xh = x>>15;
    while(--n >= 0) {
      var l = this[i]&0x7fff;
      var h = this[i++]>>15;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
      c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
      w[j++] = l&0x3fffffff;
    }
    return c;
  }
  // Alternately, set max digit bits to 28 since some
  // browsers slow down when dealing with 32-bit numbers.
  function am3(i,x,w,j,c,n) {
    var xl = x&0x3fff, xh = x>>14;
    while(--n >= 0) {
      var l = this[i]&0x3fff;
      var h = this[i++]>>14;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x3fff)<<14)+w[j]+c;
      c = (l>>28)+(m>>14)+xh*h;
      w[j++] = l&0xfffffff;
    }
    return c;
  }
  if(j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
    BigInteger.prototype.am = am2;
    dbits = 30;
  }
  else if(j_lm && (navigator.appName != "Netscape")) {
    BigInteger.prototype.am = am1;
    dbits = 26;
  }
  else { // Mozilla/Netscape seems to prefer am3
    BigInteger.prototype.am = am3;
    dbits = 28;
  }

  BigInteger.prototype.DB = dbits;
  BigInteger.prototype.DM = ((1<<dbits)-1);
  BigInteger.prototype.DV = (1<<dbits);

  var BI_FP = 52;
  BigInteger.prototype.FV = Math.pow(2,BI_FP);
  BigInteger.prototype.F1 = BI_FP-dbits;
  BigInteger.prototype.F2 = 2*dbits-BI_FP;

  // Digit conversions
  var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
  var BI_RC = new Array();
  var rr,vv;
  rr = "0".charCodeAt(0);
  for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
  rr = "a".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
  rr = "A".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;

  function int2char(n) { return BI_RM.charAt(n); }
  function intAt(s,i) {
    var c = BI_RC[s.charCodeAt(i)];
    return (c==null)?-1:c;
  }

  // (protected) copy this to r
  function bnpCopyTo(r) {
    for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
    r.t = this.t;
    r.s = this.s;
  }

  // (protected) set from integer value x, -DV <= x < DV
  function bnpFromInt(x) {
    this.t = 1;
    this.s = (x<0)?-1:0;
    if(x > 0) this[0] = x;
    else if(x < -1) this[0] = x+DV;
    else this.t = 0;
  }

  // return bigint initialized to value
  function nbv(i) { var r = nbi(); r.fromInt(i); return r; }

  // (protected) set from string and radix
  function bnpFromString(s,b) {
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 256) k = 8; // byte array
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else { this.fromRadix(s,b); return; }
    this.t = 0;
    this.s = 0;
    var i = s.length, mi = false, sh = 0;
    while(--i >= 0) {
      var x = (k==8)?s[i]&0xff:intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-") mi = true;
        continue;
      }
      mi = false;
      if(sh == 0)
        this[this.t++] = x;
      else if(sh+k > this.DB) {
        this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
        this[this.t++] = (x>>(this.DB-sh));
      }
      else
        this[this.t-1] |= x<<sh;
      sh += k;
      if(sh >= this.DB) sh -= this.DB;
    }
    if(k == 8 && (s[0]&0x80) != 0) {
      this.s = -1;
      if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
    }
    this.clamp();
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) clamp off excess high words
  function bnpClamp() {
    var c = this.s&this.DM;
    while(this.t > 0 && this[this.t-1] == c) --this.t;
  }

  // (public) return string representation in given radix
  function bnToString(b) {
    if(this.s < 0) return "-"+this.negate().toString(b);
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else return this.toRadix(b);
    var km = (1<<k)-1, d, m = false, r = "", i = this.t;
    var p = this.DB-(i*this.DB)%k;
    if(i-- > 0) {
      if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
      while(i >= 0) {
        if(p < k) {
          d = (this[i]&((1<<p)-1))<<(k-p);
          d |= this[--i]>>(p+=this.DB-k);
        }
        else {
          d = (this[i]>>(p-=k))&km;
          if(p <= 0) { p += this.DB; --i; }
        }
        if(d > 0) m = true;
        if(m) r += int2char(d);
      }
    }
    return m?r:"0";
  }

  // (public) -this
  function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }

  // (public) |this|
  function bnAbs() { return (this.s<0)?this.negate():this; }

  // (public) return + if this > a, - if this < a, 0 if equal
  function bnCompareTo(a) {
    var r = this.s-a.s;
    if(r != 0) return r;
    var i = this.t;
    r = i-a.t;
    if(r != 0) return (this.s<0)?-r:r;
    while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
    return 0;
  }

  // returns bit length of the integer x
  function nbits(x) {
    var r = 1, t;
    if((t=x>>>16) != 0) { x = t; r += 16; }
    if((t=x>>8) != 0) { x = t; r += 8; }
    if((t=x>>4) != 0) { x = t; r += 4; }
    if((t=x>>2) != 0) { x = t; r += 2; }
    if((t=x>>1) != 0) { x = t; r += 1; }
    return r;
  }

  // (public) return the number of bits in "this"
  function bnBitLength() {
    if(this.t <= 0) return 0;
    return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
  }

  // (protected) r = this << n*DB
  function bnpDLShiftTo(n,r) {
    var i;
    for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
    for(i = n-1; i >= 0; --i) r[i] = 0;
    r.t = this.t+n;
    r.s = this.s;
  }

  // (protected) r = this >> n*DB
  function bnpDRShiftTo(n,r) {
    for(var i = n; i < this.t; ++i) r[i-n] = this[i];
    r.t = Math.max(this.t-n,0);
    r.s = this.s;
  }

  // (protected) r = this << n
  function bnpLShiftTo(n,r) {
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<cbs)-1;
    var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
    for(i = this.t-1; i >= 0; --i) {
      r[i+ds+1] = (this[i]>>cbs)|c;
      c = (this[i]&bm)<<bs;
    }
    for(i = ds-1; i >= 0; --i) r[i] = 0;
    r[ds] = c;
    r.t = this.t+ds+1;
    r.s = this.s;
    r.clamp();
  }

  // (protected) r = this >> n
  function bnpRShiftTo(n,r) {
    r.s = this.s;
    var ds = Math.floor(n/this.DB);
    if(ds >= this.t) { r.t = 0; return; }
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<bs)-1;
    r[0] = this[ds]>>bs;
    for(var i = ds+1; i < this.t; ++i) {
      r[i-ds-1] |= (this[i]&bm)<<cbs;
      r[i-ds] = this[i]>>bs;
    }
    if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
    r.t = this.t-ds;
    r.clamp();
  }

  // (protected) r = this - a
  function bnpSubTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]-a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c -= a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c -= a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c -= a.s;
    }
    r.s = (c<0)?-1:0;
    if(c < -1) r[i++] = this.DV+c;
    else if(c > 0) r[i++] = c;
    r.t = i;
    r.clamp();
  }

  // (protected) r = this * a, r != this,a (HAC 14.12)
  // "this" should be the larger one if appropriate.
  function bnpMultiplyTo(a,r) {
    var x = this.abs(), y = a.abs();
    var i = x.t;
    r.t = i+y.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
    r.s = 0;
    r.clamp();
    if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
  }

  // (protected) r = this^2, r != this (HAC 14.16)
  function bnpSquareTo(r) {
    var x = this.abs();
    var i = r.t = 2*x.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < x.t-1; ++i) {
      var c = x.am(i,x[i],r,2*i,0,1);
      if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
        r[i+x.t] -= x.DV;
        r[i+x.t+1] = 1;
      }
    }
    if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
    r.s = 0;
    r.clamp();
  }

  // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
  // r != q, this != m.  q or r may be null.
  function bnpDivRemTo(m,q,r) {
    var pm = m.abs();
    if(pm.t <= 0) return;
    var pt = this.abs();
    if(pt.t < pm.t) {
      if(q != null) q.fromInt(0);
      if(r != null) this.copyTo(r);
      return;
    }
    if(r == null) r = nbi();
    var y = nbi(), ts = this.s, ms = m.s;
    var nsh = this.DB-nbits(pm[pm.t-1]);	// normalize modulus
    if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
    else { pm.copyTo(y); pt.copyTo(r); }
    var ys = y.t;
    var y0 = y[ys-1];
    if(y0 == 0) return;
    var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
    var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
    var i = r.t, j = i-ys, t = (q==null)?nbi():q;
    y.dlShiftTo(j,t);
    if(r.compareTo(t) >= 0) {
      r[r.t++] = 1;
      r.subTo(t,r);
    }
    BigInteger.ONE.dlShiftTo(ys,t);
    t.subTo(y,y);	// "negative" y so we can replace sub with am later
    while(y.t < ys) y[y.t++] = 0;
    while(--j >= 0) {
      // Estimate quotient digit
      var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
      if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {	// Try it out
        y.dlShiftTo(j,t);
        r.subTo(t,r);
        while(r[i] < --qd) r.subTo(t,r);
      }
    }
    if(q != null) {
      r.drShiftTo(ys,q);
      if(ts != ms) BigInteger.ZERO.subTo(q,q);
    }
    r.t = ys;
    r.clamp();
    if(nsh > 0) r.rShiftTo(nsh,r);	// Denormalize remainder
    if(ts < 0) BigInteger.ZERO.subTo(r,r);
  }

  // (public) this mod a
  function bnMod(a) {
    var r = nbi();
    this.abs().divRemTo(a,null,r);
    if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
    return r;
  }

  // Modular reduction using "classic" algorithm
  function Classic(m) { this.m = m; }
  function cConvert(x) {
    if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
    else return x;
  }
  function cRevert(x) { return x; }
  function cReduce(x) { x.divRemTo(this.m,null,x); }
  function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
  function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  Classic.prototype.convert = cConvert;
  Classic.prototype.revert = cRevert;
  Classic.prototype.reduce = cReduce;
  Classic.prototype.mulTo = cMulTo;
  Classic.prototype.sqrTo = cSqrTo;

  // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
  // justification:
  //         xy == 1 (mod m)
  //         xy =  1+km
  //   xy(2-xy) = (1+km)(1-km)
  // x[y(2-xy)] = 1-k^2m^2
  // x[y(2-xy)] == 1 (mod m^2)
  // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
  // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
  // JS multiply "overflows" differently from C/C++, so care is needed here.
  function bnpInvDigit() {
    if(this.t < 1) return 0;
    var x = this[0];
    if((x&1) == 0) return 0;
    var y = x&3;		// y == 1/x mod 2^2
    y = (y*(2-(x&0xf)*y))&0xf;	// y == 1/x mod 2^4
    y = (y*(2-(x&0xff)*y))&0xff;	// y == 1/x mod 2^8
    y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;	// y == 1/x mod 2^16
    // last step - calculate inverse mod DV directly;
    // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
    y = (y*(2-x*y%this.DV))%this.DV;		// y == 1/x mod 2^dbits
    // we really want the negative inverse, and -DV < y < DV
    return (y>0)?this.DV-y:-y;
  }

  // Montgomery reduction
  function Montgomery(m) {
    this.m = m;
    this.mp = m.invDigit();
    this.mpl = this.mp&0x7fff;
    this.mph = this.mp>>15;
    this.um = (1<<(m.DB-15))-1;
    this.mt2 = 2*m.t;
  }

  // xR mod m
  function montConvert(x) {
    var r = nbi();
    x.abs().dlShiftTo(this.m.t,r);
    r.divRemTo(this.m,null,r);
    if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
    return r;
  }

  // x/R mod m
  function montRevert(x) {
    var r = nbi();
    x.copyTo(r);
    this.reduce(r);
    return r;
  }

  // x = x/R mod m (HAC 14.32)
  function montReduce(x) {
    while(x.t <= this.mt2)	// pad x so am has enough room later
      x[x.t++] = 0;
    for(var i = 0; i < this.m.t; ++i) {
      // faster way of calculating u0 = x[i]*mp mod DV
      var j = x[i]&0x7fff;
      var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
      // use am to combine the multiply-shift-add into one call
      j = i+this.m.t;
      x[j] += this.m.am(0,u0,x,i,0,this.m.t);
      // propagate carry
      while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
    }
    x.clamp();
    x.drShiftTo(this.m.t,x);
    if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
  }

  // r = "x^2/R mod m"; x != r
  function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  // r = "xy/R mod m"; x,y != r
  function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }

  Montgomery.prototype.convert = montConvert;
  Montgomery.prototype.revert = montRevert;
  Montgomery.prototype.reduce = montReduce;
  Montgomery.prototype.mulTo = montMulTo;
  Montgomery.prototype.sqrTo = montSqrTo;

  // (protected) true iff this is even
  function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }

  // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
  function bnpExp(e,z) {
    if(e > 0xffffffff || e < 1) return BigInteger.ONE;
    var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
    g.copyTo(r);
    while(--i >= 0) {
      z.sqrTo(r,r2);
      if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
      else { var t = r; r = r2; r2 = t; }
    }
    return z.revert(r);
  }

  // (public) this^e % m, 0 <= e < 2^32
  function bnModPowInt(e,m) {
    var z;
    if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
    return this.exp(e,z);
  }

  // protected
  BigInteger.prototype.copyTo = bnpCopyTo;
  BigInteger.prototype.fromInt = bnpFromInt;
  BigInteger.prototype.fromString = bnpFromString;
  BigInteger.prototype.clamp = bnpClamp;
  BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
  BigInteger.prototype.drShiftTo = bnpDRShiftTo;
  BigInteger.prototype.lShiftTo = bnpLShiftTo;
  BigInteger.prototype.rShiftTo = bnpRShiftTo;
  BigInteger.prototype.subTo = bnpSubTo;
  BigInteger.prototype.multiplyTo = bnpMultiplyTo;
  BigInteger.prototype.squareTo = bnpSquareTo;
  BigInteger.prototype.divRemTo = bnpDivRemTo;
  BigInteger.prototype.invDigit = bnpInvDigit;
  BigInteger.prototype.isEven = bnpIsEven;
  BigInteger.prototype.exp = bnpExp;

  // public
  BigInteger.prototype.toString = bnToString;
  BigInteger.prototype.negate = bnNegate;
  BigInteger.prototype.abs = bnAbs;
  BigInteger.prototype.compareTo = bnCompareTo;
  BigInteger.prototype.bitLength = bnBitLength;
  BigInteger.prototype.mod = bnMod;
  BigInteger.prototype.modPowInt = bnModPowInt;

  // "constants"
  BigInteger.ZERO = nbv(0);
  BigInteger.ONE = nbv(1);

  // jsbn2 stuff

  // (protected) convert from radix string
  function bnpFromRadix(s,b) {
    this.fromInt(0);
    if(b == null) b = 10;
    var cs = this.chunkSize(b);
    var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
    for(var i = 0; i < s.length; ++i) {
      var x = intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
        continue;
      }
      w = b*w+x;
      if(++j >= cs) {
        this.dMultiply(d);
        this.dAddOffset(w,0);
        j = 0;
        w = 0;
      }
    }
    if(j > 0) {
      this.dMultiply(Math.pow(b,j));
      this.dAddOffset(w,0);
    }
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) return x s.t. r^x < DV
  function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }

  // (public) 0 if this == 0, 1 if this > 0
  function bnSigNum() {
    if(this.s < 0) return -1;
    else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
    else return 1;
  }

  // (protected) this *= n, this >= 0, 1 < n < DV
  function bnpDMultiply(n) {
    this[this.t] = this.am(0,n-1,this,0,0,this.t);
    ++this.t;
    this.clamp();
  }

  // (protected) this += n << w words, this >= 0
  function bnpDAddOffset(n,w) {
    if(n == 0) return;
    while(this.t <= w) this[this.t++] = 0;
    this[w] += n;
    while(this[w] >= this.DV) {
      this[w] -= this.DV;
      if(++w >= this.t) this[this.t++] = 0;
      ++this[w];
    }
  }

  // (protected) convert to radix string
  function bnpToRadix(b) {
    if(b == null) b = 10;
    if(this.signum() == 0 || b < 2 || b > 36) return "0";
    var cs = this.chunkSize(b);
    var a = Math.pow(b,cs);
    var d = nbv(a), y = nbi(), z = nbi(), r = "";
    this.divRemTo(d,y,z);
    while(y.signum() > 0) {
      r = (a+z.intValue()).toString(b).substr(1) + r;
      y.divRemTo(d,y,z);
    }
    return z.intValue().toString(b) + r;
  }

  // (public) return value as integer
  function bnIntValue() {
    if(this.s < 0) {
      if(this.t == 1) return this[0]-this.DV;
      else if(this.t == 0) return -1;
    }
    else if(this.t == 1) return this[0];
    else if(this.t == 0) return 0;
    // assumes 16 < DB < 32
    return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
  }

  // (protected) r = this + a
  function bnpAddTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]+a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c += a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c += a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += a.s;
    }
    r.s = (c<0)?-1:0;
    if(c > 0) r[i++] = c;
    else if(c < -1) r[i++] = this.DV+c;
    r.t = i;
    r.clamp();
  }

  BigInteger.prototype.fromRadix = bnpFromRadix;
  BigInteger.prototype.chunkSize = bnpChunkSize;
  BigInteger.prototype.signum = bnSigNum;
  BigInteger.prototype.dMultiply = bnpDMultiply;
  BigInteger.prototype.dAddOffset = bnpDAddOffset;
  BigInteger.prototype.toRadix = bnpToRadix;
  BigInteger.prototype.intValue = bnIntValue;
  BigInteger.prototype.addTo = bnpAddTo;

  //======= end jsbn =======

  // Emscripten wrapper
  var Wrapper = {
    abs: function(l, h) {
      var x = new goog.math.Long(l, h);
      var ret;
      if (x.isNegative()) {
        ret = x.negate();
      } else {
        ret = x;
      }
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
    },
    ensureTemps: function() {
      if (Wrapper.ensuredTemps) return;
      Wrapper.ensuredTemps = true;
      Wrapper.two32 = new BigInteger();
      Wrapper.two32.fromString('4294967296', 10);
      Wrapper.two64 = new BigInteger();
      Wrapper.two64.fromString('18446744073709551616', 10);
      Wrapper.temp1 = new BigInteger();
      Wrapper.temp2 = new BigInteger();
    },
    lh2bignum: function(l, h) {
      var a = new BigInteger();
      a.fromString(h.toString(), 10);
      var b = new BigInteger();
      a.multiplyTo(Wrapper.two32, b);
      var c = new BigInteger();
      c.fromString(l.toString(), 10);
      var d = new BigInteger();
      c.addTo(b, d);
      return d;
    },
    stringify: function(l, h, unsigned) {
      var ret = new goog.math.Long(l, h).toString();
      if (unsigned && ret[0] == '-') {
        // unsign slowly using jsbn bignums
        Wrapper.ensureTemps();
        var bignum = new BigInteger();
        bignum.fromString(ret, 10);
        ret = new BigInteger();
        Wrapper.two64.addTo(bignum, ret);
        ret = ret.toString(10);
      }
      return ret;
    },
    fromString: function(str, base, min, max, unsigned) {
      Wrapper.ensureTemps();
      var bignum = new BigInteger();
      bignum.fromString(str, base);
      var bigmin = new BigInteger();
      bigmin.fromString(min, 10);
      var bigmax = new BigInteger();
      bigmax.fromString(max, 10);
      if (unsigned && bignum.compareTo(BigInteger.ZERO) < 0) {
        var temp = new BigInteger();
        bignum.addTo(Wrapper.two64, temp);
        bignum = temp;
      }
      var error = false;
      if (bignum.compareTo(bigmin) < 0) {
        bignum = bigmin;
        error = true;
      } else if (bignum.compareTo(bigmax) > 0) {
        bignum = bigmax;
        error = true;
      }
      var ret = goog.math.Long.fromString(bignum.toString()); // min-max checks should have clamped this to a range goog.math.Long can handle well
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
      if (error) throw 'range error';
    }
  };
  return Wrapper;
})();

//======= end closure i64 code =======



// === Auto-generated postamble setup entry stuff ===

if (memoryInitializer) {
  function applyData(data) {
    HEAPU8.set(data, STATIC_BASE);
  }
  if (ENVIRONMENT_IS_NODE || ENVIRONMENT_IS_SHELL) {
    applyData(Module['readBinary'](memoryInitializer));
  } else {
    addRunDependency('memory initializer');
    Browser.asyncLoad(memoryInitializer, function(data) {
      applyData(data);
      removeRunDependency('memory initializer');
    }, function(data) {
      throw 'could not load memory initializer ' + memoryInitializer;
    });
  }
}

function ExitStatus(status) {
  this.name = "ExitStatus";
  this.message = "Program terminated with exit(" + status + ")";
  this.status = status;
};
ExitStatus.prototype = new Error();
ExitStatus.prototype.constructor = ExitStatus;

var initialStackTop;
var preloadStartTime = null;
var calledMain = false;

dependenciesFulfilled = function runCaller() {
  // If run has never been called, and we should call run (INVOKE_RUN is true, and Module.noInitialRun is not false)
  if (!Module['calledRun'] && shouldRunNow) run();
  if (!Module['calledRun']) dependenciesFulfilled = runCaller; // try this again later, after new deps are fulfilled
}

Module['callMain'] = Module.callMain = function callMain(args) {
  assert(runDependencies == 0, 'cannot call main when async dependencies remain! (listen on __ATMAIN__)');
  assert(__ATPRERUN__.length == 0, 'cannot call main when preRun functions remain to be called');

  args = args || [];

  if (ENVIRONMENT_IS_WEB && preloadStartTime !== null) {
    Module.printErr('preload time: ' + (Date.now() - preloadStartTime) + ' ms');
  }

  ensureInitRuntime();

  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [allocate(intArrayFromString("/bin/this.program"), 'i8', ALLOC_NORMAL) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(allocate(intArrayFromString(args[i]), 'i8', ALLOC_NORMAL));
    pad();
  }
  argv.push(0);
  argv = allocate(argv, 'i32', ALLOC_NORMAL);

  initialStackTop = STACKTOP;

  try {

    var ret = Module['_main'](argc, argv, 0);


    // if we're not running an evented main loop, it's time to exit
    if (!Module['noExitRuntime']) {
      exit(ret);
    }
  }
  catch(e) {
    if (e instanceof ExitStatus) {
      // exit() throws this once it's done to make sure execution
      // has been stopped completely
      return;
    } else if (e == 'SimulateInfiniteLoop') {
      // running an evented main loop, don't immediately exit
      Module['noExitRuntime'] = true;
      return;
    } else {
      if (e && typeof e === 'object' && e.stack) Module.printErr('exception thrown: ' + [e, e.stack]);
      throw e;
    }
  } finally {
    calledMain = true;
  }
}




function run(args) {
  args = args || Module['arguments'];

  if (preloadStartTime === null) preloadStartTime = Date.now();

  if (runDependencies > 0) {
    Module.printErr('run() called, but dependencies remain, so not running');
    return;
  }

  preRun();

  if (runDependencies > 0) return; // a preRun added a dependency, run will be called later
  if (Module['calledRun']) return; // run may have just been called through dependencies being fulfilled just in this very frame

  function doRun() {
    if (Module['calledRun']) return; // run may have just been called while the async setStatus time below was happening
    Module['calledRun'] = true;

    ensureInitRuntime();

    preMain();

    if (Module['_main'] && shouldRunNow) {
      Module['callMain'](args);
    }

    postRun();
  }

  if (Module['setStatus']) {
    Module['setStatus']('Running...');
    setTimeout(function() {
      setTimeout(function() {
        Module['setStatus']('');
      }, 1);
      if (!ABORT) doRun();
    }, 1);
  } else {
    doRun();
  }
}
Module['run'] = Module.run = run;

function exit(status) {
  ABORT = true;
  EXITSTATUS = status;
  STACKTOP = initialStackTop;

  // exit the runtime
  exitRuntime();

  // TODO We should handle this differently based on environment.
  // In the browser, the best we can do is throw an exception
  // to halt execution, but in node we could process.exit and
  // I'd imagine SM shell would have something equivalent.
  // This would let us set a proper exit status (which
  // would be great for checking test exit statuses).
  // https://github.com/kripken/emscripten/issues/1371

  // throw an exception to halt the current execution
  throw new ExitStatus(status);
}
Module['exit'] = Module.exit = exit;

function abort(text) {
  if (text) {
    Module.print(text);
    Module.printErr(text);
  }

  ABORT = true;
  EXITSTATUS = 1;

  throw 'abort() at ' + stackTrace();
}
Module['abort'] = Module.abort = abort;

// {{PRE_RUN_ADDITIONS}}

if (Module['preInit']) {
  if (typeof Module['preInit'] == 'function') Module['preInit'] = [Module['preInit']];
  while (Module['preInit'].length > 0) {
    Module['preInit'].pop()();
  }
}

// shouldRunNow refers to calling main(), not run().
var shouldRunNow = true;
if (Module['noInitialRun']) {
  shouldRunNow = false;
}


run();

// {{POST_RUN_ADDITIONS}}






// {{MODULE_ADDITIONS}}






